/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "en-gb",
        "month_and_day_fns": "MMMM d, y"
    },
    "form": {
        "name": "Name",
        "amount_min": "Minimum amount",
        "amount_max": "Maximum amount",
        "url": "URL",
        "title": "Title",
        "first_date": "First date",
        "repetitions": "Repetitions",
        "description": "Description",
        "iban": "IBAN",
        "skip": "Skip",
        "date": "Date"
    },
    "list": {
        "name": "Name",
        "account_number": "Account number",
        "currentBalance": "Current balance",
        "lastActivity": "Last activity",
        "active": "Is active?"
    },
    "breadcrumbs": {
        "placeholder": "[Placeholder]",
        "budgets": "Budgets",
        "subscriptions": "Subscriptions",
        "transactions": "Transactions",
        "title_expenses": "Expenses",
        "title_withdrawal": "Expenses",
        "title_revenue": "Revenue \/ income",
        "title_deposit": "Revenue \/ income",
        "title_transfer": "Transfers",
        "title_transfers": "Transfers",
        "asset_accounts": "Asset accounts",
        "expense_accounts": "Expense accounts",
        "revenue_accounts": "Revenue accounts",
        "liabilities_accounts": "Liabilities"
    },
    "firefly": {
        "actions": "Actions",
        "edit": "Edit",
        "delete": "Delete",
        "reconcile": "Reconcile",
        "create_new_asset": "Create new asset account",
        "confirm_action": "Confirm action",
        "new_budget": "New budget",
        "new_asset_account": "New asset account",
        "newTransfer": "New transfer",
        "submission_options": "Submission options",
        "apply_rules_checkbox": "Apply rules",
        "fire_webhooks_checkbox": "Fire webhooks",
        "newDeposit": "New deposit",
        "newWithdrawal": "New expense",
        "bills_paid": "Bills paid",
        "left_to_spend": "Left to spend",
        "no_budget": "(no budget)",
        "budgeted": "Budgeted",
        "spent": "Spent",
        "no_bill": "(no bill)",
        "rule_trigger_source_account_starts_choice": "Source account name starts with..",
        "rule_trigger_source_account_ends_choice": "Source account name ends with..",
        "rule_trigger_source_account_is_choice": "Source account name is..",
        "rule_trigger_source_account_contains_choice": "Source account name contains..",
        "rule_trigger_account_id_choice": "Either account ID is exactly..",
        "rule_trigger_source_account_id_choice": "Source account ID is exactly..",
        "rule_trigger_destination_account_id_choice": "Destination account ID is exactly..",
        "rule_trigger_account_is_cash_choice": "Either account is cash",
        "rule_trigger_source_is_cash_choice": "Source account is (cash) account",
        "rule_trigger_destination_is_cash_choice": "Destination account is (cash) account",
        "rule_trigger_source_account_nr_starts_choice": "Source account number \/ IBAN starts with..",
        "rule_trigger_source_account_nr_ends_choice": "Source account number \/ IBAN ends with..",
        "rule_trigger_source_account_nr_is_choice": "Source account number \/ IBAN is..",
        "rule_trigger_source_account_nr_contains_choice": "Source account number \/ IBAN contains..",
        "rule_trigger_destination_account_starts_choice": "Destination account name starts with..",
        "rule_trigger_destination_account_ends_choice": "Destination account name ends with..",
        "rule_trigger_destination_account_is_choice": "Destination account name is..",
        "rule_trigger_destination_account_contains_choice": "Destination account name contains..",
        "rule_trigger_destination_account_nr_starts_choice": "Destination account number \/ IBAN starts with..",
        "rule_trigger_destination_account_nr_ends_choice": "Destination account number \/ IBAN ends with..",
        "rule_trigger_destination_account_nr_is_choice": "Destination account number \/ IBAN is..",
        "rule_trigger_destination_account_nr_contains_choice": "Destination account number \/ IBAN contains..",
        "rule_trigger_transaction_type_choice": "Transaction is of type..",
        "rule_trigger_category_is_choice": "Category is..",
        "rule_trigger_amount_less_choice": "Amount is less than..",
        "rule_trigger_amount_is_choice": "Amount is..",
        "rule_trigger_amount_more_choice": "Amount is more than..",
        "rule_trigger_description_starts_choice": "Description starts with..",
        "rule_trigger_description_ends_choice": "Description ends with..",
        "rule_trigger_description_contains_choice": "Description contains..",
        "rule_trigger_description_is_choice": "Description is..",
        "rule_trigger_date_on_choice": "Transaction date is..",
        "rule_trigger_date_before_choice": "Transaction date is before..",
        "rule_trigger_date_after_choice": "Transaction date is after..",
        "rule_trigger_created_at_on_choice": "Transaction was made on..",
        "rule_trigger_updated_at_on_choice": "Transaction was last edited on..",
        "rule_trigger_budget_is_choice": "Budget is..",
        "rule_trigger_tag_is_choice": "Any tag is..",
        "rule_trigger_currency_is_choice": "Transaction currency is..",
        "rule_trigger_foreign_currency_is_choice": "Transaction foreign currency is..",
        "rule_trigger_has_attachments_choice": "Has at least this many attachments",
        "rule_trigger_has_no_category_choice": "Has no category",
        "rule_trigger_has_any_category_choice": "Has a (any) category",
        "rule_trigger_has_no_budget_choice": "Has no budget",
        "rule_trigger_has_any_budget_choice": "Has a (any) budget",
        "rule_trigger_has_no_bill_choice": "Has no bill",
        "rule_trigger_has_any_bill_choice": "Has a (any) bill",
        "rule_trigger_has_no_tag_choice": "Has no tag(s)",
        "rule_trigger_has_any_tag_choice": "Has one or more (any) tags",
        "rule_trigger_any_notes_choice": "Has (any) notes",
        "rule_trigger_no_notes_choice": "Has no notes",
        "rule_trigger_notes_is_choice": "Notes are..",
        "rule_trigger_notes_contains_choice": "Notes contain..",
        "rule_trigger_notes_starts_choice": "Notes start with..",
        "rule_trigger_notes_ends_choice": "Notes end with..",
        "rule_trigger_bill_is_choice": "Bill is..",
        "rule_trigger_external_id_is_choice": "External ID is..",
        "rule_trigger_internal_reference_is_choice": "Internal reference is..",
        "rule_trigger_journal_id_choice": "Transaction journal ID is..",
        "rule_trigger_any_external_url_choice": "Transaction has an external URL",
        "rule_trigger_no_external_url_choice": "Transaction has no external URL",
        "rule_trigger_id_choice": "Transaction ID is..",
        "rule_action_delete_transaction_choice": "DELETE transaction(!)",
        "rule_action_set_category_choice": "Set category to ..",
        "rule_action_clear_category_choice": "Clear any category",
        "rule_action_set_budget_choice": "Set budget to ..",
        "rule_action_clear_budget_choice": "Clear any budget",
        "rule_action_add_tag_choice": "Add tag ..",
        "rule_action_remove_tag_choice": "Remove tag ..",
        "rule_action_remove_all_tags_choice": "Remove all tags",
        "rule_action_set_description_choice": "Set description to ..",
        "rule_action_update_piggy_choice": "Add \/ remove transaction amount in piggy bank ..",
        "rule_action_append_description_choice": "Append description with ..",
        "rule_action_prepend_description_choice": "Prepend description with ..",
        "rule_action_set_source_account_choice": "Set source account to ..",
        "rule_action_set_destination_account_choice": "Set destination account to ..",
        "rule_action_append_notes_choice": "Append notes with ..",
        "rule_action_prepend_notes_choice": "Prepend notes with ..",
        "rule_action_clear_notes_choice": "Remove any notes",
        "rule_action_set_notes_choice": "Set notes to ..",
        "rule_action_link_to_bill_choice": "Link to a bill ..",
        "rule_action_convert_deposit_choice": "Convert the transaction to a deposit",
        "rule_action_convert_withdrawal_choice": "Convert the transaction to a withdrawal",
        "rule_action_convert_transfer_choice": "Convert the transaction to a transfer",
        "placeholder": "[Placeholder]",
        "recurrences": "Recurring transactions",
        "title_expenses": "Expenses",
        "title_withdrawal": "Expenses",
        "title_revenue": "Revenue \/ income",
        "pref_1D": "One day",
        "pref_1W": "One week",
        "pref_1M": "One month",
        "pref_3M": "Three months (quarter)",
        "pref_6M": "Six months",
        "pref_1Y": "One year",
        "repeat_freq_yearly": "yearly",
        "repeat_freq_half-year": "every half-year",
        "repeat_freq_quarterly": "quarterly",
        "repeat_freq_monthly": "monthly",
        "repeat_freq_weekly": "weekly",
        "single_split": "Split",
        "asset_accounts": "Asset accounts",
        "expense_accounts": "Expense accounts",
        "liabilities_accounts": "Liabilities",
        "undefined_accounts": "Accounts",
        "name": "Name",
        "revenue_accounts": "Revenue accounts",
        "description": "Description",
        "category": "Category",
        "title_deposit": "Revenue \/ income",
        "title_transfer": "Transfers",
        "title_transfers": "Transfers",
        "piggyBanks": "Piggy banks",
        "rules": "Rules",
        "accounts": "Accounts",
        "categories": "Categories",
        "tags": "Tags",
        "object_groups_page_title": "Groups",
        "reports": "Reports",
        "webhooks": "Webhooks",
        "currencies": "Currencies",
        "administration": "Administration",
        "profile": "Profile",
        "source_account": "Source account",
        "destination_account": "Destination account",
        "amount": "Amount",
        "date": "Date",
        "time": "Time",
        "preferences": "Preferences",
        "transactions": "Transactions",
        "balance": "Balance",
        "budgets": "Budgets",
        "subscriptions": "Subscriptions",
        "welcome_back": "What's playing?",
        "bills_to_pay": "Bills to pay",
        "net_worth": "Net worth",
        "pref_last365": "Last year",
        "pref_last90": "Last 90 days",
        "pref_last30": "Last 30 days",
        "pref_last7": "Last 7 days",
        "pref_YTD": "Year to date",
        "pref_QTD": "Quarter to date",
        "pref_MTD": "Month to date"
    }
}
