/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "es",
        "month_and_day_fns": "d MMMM y"
    },
    "form": {
        "name": "Nombre",
        "amount_min": "Importe m\u00ednimo",
        "amount_max": "Importe m\u00e1ximo",
        "url": "URL",
        "title": "T\u00edtulo",
        "first_date": "Primera fecha",
        "repetitions": "Repeticiones",
        "description": "Descripci\u00f3n",
        "iban": "IBAN",
        "skip": "Saltar",
        "date": "Fecha"
    },
    "list": {
        "name": "Nombre",
        "account_number": "N\u00famero de cuenta",
        "currentBalance": "Balance actual",
        "lastActivity": "Actividad m\u00e1s reciente",
        "active": "\u00bfEst\u00e1 Activo?"
    },
    "breadcrumbs": {
        "placeholder": "[Placeholder]",
        "budgets": "Presupuestos",
        "subscriptions": "Suscripciones",
        "transactions": "Transacciones",
        "title_expenses": "Gastos",
        "title_withdrawal": "Gastos",
        "title_revenue": "Ingresos \/ salario",
        "title_deposit": "Ingresos \/ salario",
        "title_transfer": "Transferencias",
        "title_transfers": "Transferencias",
        "asset_accounts": "Cuentas de activos",
        "expense_accounts": "Cuentas de gastos",
        "revenue_accounts": "Cuentas de ingresos",
        "liabilities_accounts": "Pasivos"
    },
    "firefly": {
        "actions": "Acciones",
        "edit": "Editar",
        "delete": "Eliminar",
        "reconcile": "Reconciliar",
        "create_new_asset": "Crear nueva cuenta de activos",
        "confirm_action": "Confirmar acci\u00f3n",
        "new_budget": "Nuevo presupuesto",
        "new_asset_account": "Nueva cuenta de activo",
        "newTransfer": "Nueva transferencia",
        "submission_options": "Submission options",
        "apply_rules_checkbox": "Apply rules",
        "fire_webhooks_checkbox": "Fire webhooks",
        "newDeposit": "Nuevo deposito",
        "newWithdrawal": "Nuevo gasto",
        "bills_paid": "Facturas pagadas",
        "left_to_spend": "Disponible para gastar",
        "no_budget": "(sin presupuesto)",
        "budgeted": "Presupuestado",
        "spent": "Gastado",
        "no_bill": "(sin factura)",
        "rule_trigger_source_account_starts_choice": "El nombre de la cuenta de origen comienza con..",
        "rule_trigger_source_account_ends_choice": "El nombre de la cuenta de origen termina con..",
        "rule_trigger_source_account_is_choice": "El nombre de la cuenta origen es..",
        "rule_trigger_source_account_contains_choice": "El nombre de cuenta de origen contiene..",
        "rule_trigger_account_id_choice": "Either account ID is exactly..",
        "rule_trigger_source_account_id_choice": "El ID de la cuenta de origen es exactamente..",
        "rule_trigger_destination_account_id_choice": "El ID de la cuenta de destino es exactamente..",
        "rule_trigger_account_is_cash_choice": "Either account is cash",
        "rule_trigger_source_is_cash_choice": "La cuenta de origen es de efectivo",
        "rule_trigger_destination_is_cash_choice": "La cuenta de destino es de efectivo",
        "rule_trigger_source_account_nr_starts_choice": "N\u00famero de la cuenta de origen \/ IBAN comienza con..",
        "rule_trigger_source_account_nr_ends_choice": "N\u00famero \/ IBAN de la cuenta de origen termina con..",
        "rule_trigger_source_account_nr_is_choice": "N\u00famero de la cuenta de origen \/ IBAN es..",
        "rule_trigger_source_account_nr_contains_choice": "N\u00famero de cuenta de origen \/ IBAN contiene..",
        "rule_trigger_destination_account_starts_choice": "El nombre de cuenta de destino comienza con..",
        "rule_trigger_destination_account_ends_choice": "El nombre de cuenta de destino termina con...",
        "rule_trigger_destination_account_is_choice": "El nombre de cuenta de destino es...",
        "rule_trigger_destination_account_contains_choice": "El nombre de cuenta de destino contiene..",
        "rule_trigger_destination_account_nr_starts_choice": "N\u00famero \/ IBAN de la cuenta de destino empieza con..",
        "rule_trigger_destination_account_nr_ends_choice": "N\u00famero de la cuenta de destino \/ IBAN termina con..",
        "rule_trigger_destination_account_nr_is_choice": "N\u00famero de la cuenta de destino \/ IBAN es..",
        "rule_trigger_destination_account_nr_contains_choice": "El n\u00famero de la cuenta de destino \/ IBAN contiene..",
        "rule_trigger_transaction_type_choice": "Transacci\u00f3n es del tipo..",
        "rule_trigger_category_is_choice": "Categor\u00eda es..",
        "rule_trigger_amount_less_choice": "Cantidad es menos de..",
        "rule_trigger_amount_is_choice": "Amount is..",
        "rule_trigger_amount_more_choice": "Cantidad es mas de..",
        "rule_trigger_description_starts_choice": "Descripci\u00f3n comienza con..",
        "rule_trigger_description_ends_choice": "Descripci\u00f3n termina con..",
        "rule_trigger_description_contains_choice": "Descripci\u00f3n contiene..",
        "rule_trigger_description_is_choice": "Descripci\u00f3n es..",
        "rule_trigger_date_on_choice": "Transaction date is..",
        "rule_trigger_date_before_choice": "La fecha de la transacci\u00f3n es anterior a..",
        "rule_trigger_date_after_choice": "La fecha de la transacci\u00f3n es despu\u00e9s de..",
        "rule_trigger_created_at_on_choice": "Transaction was made on..",
        "rule_trigger_updated_at_on_choice": "Transaction was last edited on..",
        "rule_trigger_budget_is_choice": "Presupuesto es..",
        "rule_trigger_tag_is_choice": "Any tag is..",
        "rule_trigger_currency_is_choice": "La moneda de la transacci\u00f3n es..",
        "rule_trigger_foreign_currency_is_choice": "La transacci\u00f3n en moneda extranjera es..",
        "rule_trigger_has_attachments_choice": "Tiene al menos tantos archivos adjuntos",
        "rule_trigger_has_no_category_choice": "No tiene categor\u00eda",
        "rule_trigger_has_any_category_choice": "Tiene (cualquier) categor\u00eda",
        "rule_trigger_has_no_budget_choice": "No tiene presupuesto",
        "rule_trigger_has_any_budget_choice": "Tiene un (cualquier) presupuesto",
        "rule_trigger_has_no_bill_choice": "No tiene factura",
        "rule_trigger_has_any_bill_choice": "Tiene una (cualquier) factura",
        "rule_trigger_has_no_tag_choice": "No tiene etiqueta(s)",
        "rule_trigger_has_any_tag_choice": "Tiene una o mas (cualquier) etiquetas",
        "rule_trigger_any_notes_choice": "Tiene (cualquier) notas",
        "rule_trigger_no_notes_choice": "No tiene notas",
        "rule_trigger_notes_is_choice": "Notes are..",
        "rule_trigger_notes_contains_choice": "Notes contain..",
        "rule_trigger_notes_starts_choice": "Notes start with..",
        "rule_trigger_notes_ends_choice": "Notes end with..",
        "rule_trigger_bill_is_choice": "La factura es..",
        "rule_trigger_external_id_is_choice": "External ID is..",
        "rule_trigger_internal_reference_is_choice": "Internal reference is..",
        "rule_trigger_journal_id_choice": "El ID del diario de transacciones es..",
        "rule_trigger_any_external_url_choice": "La transacci\u00f3n tiene una URL externa",
        "rule_trigger_no_external_url_choice": "La transacci\u00f3n no tiene URL externa",
        "rule_trigger_id_choice": "La ID de la transacci\u00f3n es..",
        "rule_action_delete_transaction_choice": "DELETE transaction(!)",
        "rule_action_set_category_choice": "Set category to ..",
        "rule_action_clear_category_choice": "Eliminar cualquier categor\u00eda",
        "rule_action_set_budget_choice": "Set budget to ..",
        "rule_action_clear_budget_choice": "Eliminar cualquier presupuesto",
        "rule_action_add_tag_choice": "Add tag ..",
        "rule_action_remove_tag_choice": "Remove tag ..",
        "rule_action_remove_all_tags_choice": "Eliminar todas las etiquetas",
        "rule_action_set_description_choice": "Set description to ..",
        "rule_action_update_piggy_choice": "Add \/ remove transaction amount in piggy bank ..",
        "rule_action_append_description_choice": "Append description with ..",
        "rule_action_prepend_description_choice": "Prepend description with ..",
        "rule_action_set_source_account_choice": "Set source account to ..",
        "rule_action_set_destination_account_choice": "Set destination account to ..",
        "rule_action_append_notes_choice": "Append notes with ..",
        "rule_action_prepend_notes_choice": "Prepend notes with ..",
        "rule_action_clear_notes_choice": "Eliminar cualquier nota",
        "rule_action_set_notes_choice": "Set notes to ..",
        "rule_action_link_to_bill_choice": "Link to a bill ..",
        "rule_action_convert_deposit_choice": "Convierta esta transacci\u00f3n en un dep\u00f3sito",
        "rule_action_convert_withdrawal_choice": "Convierta esta transacci\u00f3n en un retiro",
        "rule_action_convert_transfer_choice": "Convierta la transacci\u00f3n a una transferencia",
        "placeholder": "[Placeholder]",
        "recurrences": "Transacciones Recurrentes",
        "title_expenses": "Gastos",
        "title_withdrawal": "Gastos",
        "title_revenue": "Ingresos \/ salarios",
        "pref_1D": "Un dia",
        "pref_1W": "Una semana",
        "pref_1M": "Un mes",
        "pref_3M": "Tres meses (trimestre)",
        "pref_6M": "Seis meses",
        "pref_1Y": "Un a\u00f1o",
        "repeat_freq_yearly": "anualmente",
        "repeat_freq_half-year": "cada medio a\u00f1o",
        "repeat_freq_quarterly": "trimestralmente",
        "repeat_freq_monthly": "mensualmente",
        "repeat_freq_weekly": "semanalmente",
        "single_split": "Divisi\u00f3n",
        "asset_accounts": "Cuenta de activos",
        "expense_accounts": "Cuentas de gastos",
        "liabilities_accounts": "Pasivos",
        "undefined_accounts": "Cuentas",
        "name": "Nombre",
        "revenue_accounts": "Cuentas de ingresos",
        "description": "Descripci\u00f3n",
        "category": "Categoria",
        "title_deposit": "Ingresos \/ salarios",
        "title_transfer": "Transferencias",
        "title_transfers": "Transferencias",
        "piggyBanks": "Huchas",
        "rules": "Reglas",
        "accounts": "Cuentas",
        "categories": "Categor\u00edas",
        "tags": "Etiquetas",
        "object_groups_page_title": "Grupos",
        "reports": "Informes",
        "webhooks": "Webhooks",
        "currencies": "Divisas",
        "administration": "Administraci\u00f3n",
        "profile": "Perfil",
        "source_account": "Cuenta origen",
        "destination_account": "Cuenta destino",
        "amount": "Cantidad",
        "date": "Fecha",
        "time": "Hora",
        "preferences": "Preferencias",
        "transactions": "Transacciones",
        "balance": "Balance",
        "budgets": "Presupuestos",
        "subscriptions": "Suscripciones",
        "welcome_back": "\u00bfQu\u00e9 est\u00e1 pasando?",
        "bills_to_pay": "Facturas por pagar",
        "net_worth": "Valor Neto",
        "pref_last365": "A\u00f1o pasado",
        "pref_last90": "\u00daltimos 90 d\u00edas",
        "pref_last30": "\u00daltimos 30 d\u00edas",
        "pref_last7": "\u00daltimos 7 d\u00edas",
        "pref_YTD": "A\u00f1o hasta hoy",
        "pref_QTD": "Trimestre hasta hoy",
        "pref_MTD": "Mes hasta hoy"
    }
}
