/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "fr",
        "month_and_day_fns": "d MMMM y"
    },
    "form": {
        "name": "Nom",
        "amount_min": "Montant minimum",
        "amount_max": "Montant maximum",
        "url": "Liens",
        "title": "Titre",
        "first_date": "Date de d\u00e9but",
        "repetitions": "R\u00e9p\u00e9titions",
        "description": "Description",
        "iban": "Num\u00e9ro IBAN",
        "skip": "Ignorer",
        "date": "Date"
    },
    "list": {
        "name": "Nom",
        "account_number": "N\u00b0 de compte",
        "currentBalance": "Solde courant",
        "lastActivity": "Activit\u00e9 r\u00e9cente",
        "active": "Actif ?"
    },
    "breadcrumbs": {
        "placeholder": "[Placeholder]",
        "budgets": "Budgets",
        "subscriptions": "Abonnements",
        "transactions": "Op\u00e9rations",
        "title_expenses": "D\u00e9penses",
        "title_withdrawal": "D\u00e9penses",
        "title_revenue": "Recette \/ revenu",
        "title_deposit": "Recette \/ revenu",
        "title_transfer": "Transferts",
        "title_transfers": "Transferts",
        "asset_accounts": "Comptes d\u2019actif",
        "expense_accounts": "Comptes de d\u00e9penses",
        "revenue_accounts": "Comptes de recettes",
        "liabilities_accounts": "Passifs"
    },
    "firefly": {
        "actions": "Actions",
        "edit": "Modifier",
        "delete": "Supprimer",
        "reconcile": "Rapprocher",
        "create_new_asset": "Cr\u00e9er un nouveau compte d\u2019actif",
        "confirm_action": "Confirmer l'action",
        "new_budget": "Nouveau budget",
        "new_asset_account": "Nouveau compte d\u2019actif",
        "newTransfer": "Nouveau transfert",
        "submission_options": "Options de soumission",
        "apply_rules_checkbox": "Appliquer les r\u00e8gles",
        "fire_webhooks_checkbox": "Lancer les webhooks",
        "newDeposit": "Nouveau d\u00e9p\u00f4t",
        "newWithdrawal": "Nouvelle d\u00e9pense",
        "bills_paid": "Factures pay\u00e9es",
        "left_to_spend": "Reste \u00e0 d\u00e9penser",
        "no_budget": "(pas de budget)",
        "budgeted": "Budg\u00e9tis\u00e9",
        "spent": "D\u00e9pens\u00e9",
        "no_bill": "(aucune facture)",
        "rule_trigger_source_account_starts_choice": "Le nom du compte source commence par..",
        "rule_trigger_source_account_ends_choice": "Le nom du compte source se termine par..",
        "rule_trigger_source_account_is_choice": "Le nom du compte source est..",
        "rule_trigger_source_account_contains_choice": "Le nom du compte source contient..",
        "rule_trigger_account_id_choice": "L'un des deux comptes a pour identifiant..",
        "rule_trigger_source_account_id_choice": "L'ID du compte source est exactement..",
        "rule_trigger_destination_account_id_choice": "L'ID du compte de destination est exactement..",
        "rule_trigger_account_is_cash_choice": "L'un des deux comptes est en esp\u00e8ces",
        "rule_trigger_source_is_cash_choice": "Le compte source est un compte (d'esp\u00e8ces)",
        "rule_trigger_destination_is_cash_choice": "Le compte de destination est un compte (d'esp\u00e8ces)",
        "rule_trigger_source_account_nr_starts_choice": "Le num\u00e9ro \/ IBAN du compte source commence par..",
        "rule_trigger_source_account_nr_ends_choice": "Le num\u00e9ro \/ IBAN du compte source se termine par..",
        "rule_trigger_source_account_nr_is_choice": "Le num\u00e9ro \/ IBAN du compte source est..",
        "rule_trigger_source_account_nr_contains_choice": "Le num\u00e9ro \/ IBAN du compte source contient..",
        "rule_trigger_destination_account_starts_choice": "Le nom du compte de destination commence par..",
        "rule_trigger_destination_account_ends_choice": "Le nom du compte de destination se termine par..",
        "rule_trigger_destination_account_is_choice": "Le nom du compte de destination est..",
        "rule_trigger_destination_account_contains_choice": "Le nom du compte de destination contient..",
        "rule_trigger_destination_account_nr_starts_choice": "Le num\u00e9ro \/ IBAN du compte de destination commence par..",
        "rule_trigger_destination_account_nr_ends_choice": "Le num\u00e9ro \/ IBAN du compte de destination se termine par..",
        "rule_trigger_destination_account_nr_is_choice": "Le num\u00e9ro \/ IBAN du compte de destination est..",
        "rule_trigger_destination_account_nr_contains_choice": "Le num\u00e9ro \/ IBAN du compte de destination contient..",
        "rule_trigger_transaction_type_choice": "L'op\u00e9ration est du type..",
        "rule_trigger_category_is_choice": "La cat\u00e9gorie est..",
        "rule_trigger_amount_less_choice": "Le montant est inf\u00e9rieur \u00e0..",
        "rule_trigger_amount_is_choice": "Le montant est..",
        "rule_trigger_amount_more_choice": "Le montant est sup\u00e9rieur \u00e0..",
        "rule_trigger_description_starts_choice": "Le description commence par..",
        "rule_trigger_description_ends_choice": "La description se termine par..",
        "rule_trigger_description_contains_choice": "La description contient..",
        "rule_trigger_description_is_choice": "La description est..",
        "rule_trigger_date_on_choice": "La date de l'op\u00e9ration est..",
        "rule_trigger_date_before_choice": "La date de l'op\u00e9ration se situe avant..",
        "rule_trigger_date_after_choice": "La date de l'op\u00e9ration se situe apr\u00e8s..",
        "rule_trigger_created_at_on_choice": "L'op\u00e9ration a \u00e9t\u00e9 cr\u00e9\u00e9e le..",
        "rule_trigger_updated_at_on_choice": "L'op\u00e9ration a \u00e9t\u00e9 mise \u00e0 jour pour la derni\u00e8re fois le..",
        "rule_trigger_budget_is_choice": "Le budget est..",
        "rule_trigger_tag_is_choice": "Un tag est..",
        "rule_trigger_currency_is_choice": "La devise de l'op\u00e9ration est..",
        "rule_trigger_foreign_currency_is_choice": "La devise \u00e9trang\u00e8re de l'op\u00e9ration est..",
        "rule_trigger_has_attachments_choice": "A au moins autant de pi\u00e8ces jointes",
        "rule_trigger_has_no_category_choice": "N'a pas de cat\u00e9gorie",
        "rule_trigger_has_any_category_choice": "A une cat\u00e9gorie",
        "rule_trigger_has_no_budget_choice": "N'a pas de budget",
        "rule_trigger_has_any_budget_choice": "A un (des) budget",
        "rule_trigger_has_no_bill_choice": "N'a pas de facture",
        "rule_trigger_has_any_bill_choice": "A (au moins) une facture",
        "rule_trigger_has_no_tag_choice": "N'a pas de tag(s)",
        "rule_trigger_has_any_tag_choice": "Dispose d'un ou de plusieurs tags",
        "rule_trigger_any_notes_choice": "A une (ou plusieurs) note(s)",
        "rule_trigger_no_notes_choice": "N'a pas de note",
        "rule_trigger_notes_is_choice": "Les notes sont..",
        "rule_trigger_notes_contains_choice": "Les notes contiennent..",
        "rule_trigger_notes_starts_choice": "Les notes commencent par..",
        "rule_trigger_notes_ends_choice": "Les notes se terminent par..",
        "rule_trigger_bill_is_choice": "La facture est..",
        "rule_trigger_external_id_is_choice": "L'ID externe est..",
        "rule_trigger_internal_reference_is_choice": "La r\u00e9f\u00e9rence interne est..",
        "rule_trigger_journal_id_choice": "L'ID du journal d'op\u00e9rations est..",
        "rule_trigger_any_external_url_choice": "L'op\u00e9ration a une URL externe",
        "rule_trigger_no_external_url_choice": "L'op\u00e9ration n'a pas d'URL externe",
        "rule_trigger_id_choice": "L'ID de l'op\u00e9ration est..",
        "rule_action_delete_transaction_choice": "SUPPRIMER l'op\u00e9ration(!)",
        "rule_action_set_category_choice": "D\u00e9finir la cat\u00e9gorie \u00e0..",
        "rule_action_clear_category_choice": "Effacer les cat\u00e9gories",
        "rule_action_set_budget_choice": "D\u00e9finir le budget \u00e0..",
        "rule_action_clear_budget_choice": "Effacer les budgets",
        "rule_action_add_tag_choice": "Ajouter un tag..",
        "rule_action_remove_tag_choice": "Retirer le tag..",
        "rule_action_remove_all_tags_choice": "Supprimer tous les tags",
        "rule_action_set_description_choice": "D\u00e9finir la description \u00e0..",
        "rule_action_update_piggy_choice": "Ajouter\/supprimer un montant dans la tirelire..",
        "rule_action_append_description_choice": "Suffixer la description avec..",
        "rule_action_prepend_description_choice": "Pr\u00e9fixer la description avec..",
        "rule_action_set_source_account_choice": "D\u00e9finir le compte source \u00e0..",
        "rule_action_set_destination_account_choice": "D\u00e9finir le compte de destination \u00e0..",
        "rule_action_append_notes_choice": "Ajouter aux notes ..",
        "rule_action_prepend_notes_choice": "Ajouter au d\u00e9but des notes..",
        "rule_action_clear_notes_choice": "Supprimer les notes",
        "rule_action_set_notes_choice": "Remplacer les notes par..",
        "rule_action_link_to_bill_choice": "Lier \u00e0 une facture..",
        "rule_action_convert_deposit_choice": "Convertir cette op\u00e9ration en d\u00e9p\u00f4t",
        "rule_action_convert_withdrawal_choice": "Convertir cette op\u00e9ration en d\u00e9pense",
        "rule_action_convert_transfer_choice": "Convertir cette op\u00e9ration en transfert",
        "placeholder": "[R\u00e9serv\u00e9]",
        "recurrences": "Op\u00e9rations p\u00e9riodiques",
        "title_expenses": "D\u00e9penses",
        "title_withdrawal": "D\u00e9penses",
        "title_revenue": "Recette \/ revenu",
        "pref_1D": "Un jour",
        "pref_1W": "Une semaine",
        "pref_1M": "Un mois",
        "pref_3M": "Trois mois (trimestre)",
        "pref_6M": "Six mois",
        "pref_1Y": "Un an",
        "repeat_freq_yearly": "annuellement",
        "repeat_freq_half-year": "semestriel",
        "repeat_freq_quarterly": "trimestriel",
        "repeat_freq_monthly": "mensuel",
        "repeat_freq_weekly": "hebdomadaire",
        "single_split": "Ventilation",
        "asset_accounts": "Comptes d\u2019actif",
        "expense_accounts": "Comptes de d\u00e9penses",
        "liabilities_accounts": "Passifs",
        "undefined_accounts": "Comptes",
        "name": "Nom",
        "revenue_accounts": "Comptes de recettes",
        "description": "Description",
        "category": "Cat\u00e9gorie",
        "title_deposit": "Recette \/ revenu",
        "title_transfer": "Transferts",
        "title_transfers": "Transferts",
        "piggyBanks": "Tirelires",
        "rules": "R\u00e8gles",
        "accounts": "Comptes",
        "categories": "Cat\u00e9gories",
        "tags": "Tags",
        "object_groups_page_title": "Groupes",
        "reports": "Rapports",
        "webhooks": "Webhooks",
        "currencies": "Devises",
        "administration": "Administration",
        "profile": "Profil",
        "source_account": "Compte source",
        "destination_account": "Compte de destination",
        "amount": "Montant",
        "date": "Date",
        "time": "Heure",
        "preferences": "Pr\u00e9f\u00e9rences",
        "transactions": "Op\u00e9rations",
        "balance": "Solde",
        "budgets": "Budgets",
        "subscriptions": "Abonnements",
        "welcome_back": "Quoi de neuf ?",
        "bills_to_pay": "Factures \u00e0 payer",
        "net_worth": "Avoir net",
        "pref_last365": "L'ann\u00e9e derni\u00e8re",
        "pref_last90": "Les 90 derniers jours",
        "pref_last30": "Les 30 derniers jours",
        "pref_last7": "Les 7 derniers jours",
        "pref_YTD": "Ann\u00e9e en cours",
        "pref_QTD": "Ce trimestre",
        "pref_MTD": "Ce mois-ci"
    }
}
