/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "nb",
        "month_and_day_fns": "MMMM d, y"
    },
    "form": {
        "name": "Navn",
        "amount_min": "Minimumsbel\u00f8p",
        "amount_max": "Maksimumsbel\u00f8p",
        "url": "URL",
        "title": "Tittel",
        "first_date": "F\u00f8rste dato",
        "repetitions": "Repetisjoner",
        "description": "Beskrivelse",
        "iban": "IBAN",
        "skip": "Hopp over",
        "date": "Dato"
    },
    "list": {
        "name": "Navn",
        "account_number": "Kontonummer",
        "currentBalance": "N\u00e5v\u00e6rende saldo",
        "lastActivity": "Siste aktivitet",
        "active": "Er aktiv?"
    },
    "breadcrumbs": {
        "placeholder": "[Placeholder]",
        "budgets": "Budsjetter",
        "subscriptions": "Abonnementer",
        "transactions": "Transaksjoner",
        "title_expenses": "Utgifter",
        "title_withdrawal": "Utgifter",
        "title_revenue": "Inntekt",
        "title_deposit": "Inntekt",
        "title_transfer": "Overf\u00f8ringer",
        "title_transfers": "Overf\u00f8ringer",
        "asset_accounts": "Aktivakonto",
        "expense_accounts": "Utgiftskonto",
        "revenue_accounts": "Inntektskontoer",
        "liabilities_accounts": "Gjeld"
    },
    "firefly": {
        "actions": "Handlinger",
        "edit": "Rediger",
        "delete": "Slett",
        "reconcile": "Reconcile",
        "create_new_asset": "Opprett ny aktivakonto",
        "confirm_action": "Bekreft handling",
        "new_budget": "Nytt budsjett",
        "new_asset_account": "Ny aktivakonto",
        "newTransfer": "Ny overf\u00f8ring",
        "submission_options": "Submission options",
        "apply_rules_checkbox": "Apply rules",
        "fire_webhooks_checkbox": "Fire webhooks",
        "newDeposit": "Nytt innskudd",
        "newWithdrawal": "Ny utgift",
        "bills_paid": "Regninger betalt",
        "left_to_spend": "Igjen \u00e5 bruke",
        "no_budget": "(ingen budsjett)",
        "budgeted": "Budsjettert",
        "spent": "Brukt",
        "no_bill": "(no bill)",
        "rule_trigger_source_account_starts_choice": "Kildekonto navn starter med..",
        "rule_trigger_source_account_ends_choice": "Kildenavnet slutter med..",
        "rule_trigger_source_account_is_choice": "Kildekonto navn er..",
        "rule_trigger_source_account_contains_choice": "Kildekonto navn inneholder..",
        "rule_trigger_account_id_choice": "En av konto ID'er, er n\u00f8yaktig.",
        "rule_trigger_source_account_id_choice": "Kildekonto-ID er n\u00f8yaktig..",
        "rule_trigger_destination_account_id_choice": "M\u00e5lkonto ID er n\u00f8yaktig..",
        "rule_trigger_account_is_cash_choice": "En av konto er kontant",
        "rule_trigger_source_is_cash_choice": "Kildekonto er (kontant) konto",
        "rule_trigger_destination_is_cash_choice": "M\u00e5lkonto er (kontant) konto",
        "rule_trigger_source_account_nr_starts_choice": "Kildekontonummer \/ IBAN starter med..",
        "rule_trigger_source_account_nr_ends_choice": "Kildekontonummer \/ IBAN slutter med..",
        "rule_trigger_source_account_nr_is_choice": "Kildekontonummer \/ IBAN er..",
        "rule_trigger_source_account_nr_contains_choice": "Kilde kontonummer \/ IBAN inneholder..",
        "rule_trigger_destination_account_starts_choice": "M\u00e5lkontonavnet begynner med..",
        "rule_trigger_destination_account_ends_choice": "M\u00e5lkontonavnet slutter med..",
        "rule_trigger_destination_account_is_choice": "M\u00e5lkonto navn slutter med..",
        "rule_trigger_destination_account_contains_choice": "M\u00e5lkontonavn inneholder..",
        "rule_trigger_destination_account_nr_starts_choice": "M\u00e5lkontonummer \/ IBAN starter med..",
        "rule_trigger_destination_account_nr_ends_choice": "M\u00e5lkontonummer \/ IBAN slutter med..",
        "rule_trigger_destination_account_nr_is_choice": "M\u00e5lkontonummer \/ IBAN er..",
        "rule_trigger_destination_account_nr_contains_choice": "M\u00e5lkontonummer \/ IBAN inneholder..",
        "rule_trigger_transaction_type_choice": "Transaksjonen er av typen..",
        "rule_trigger_category_is_choice": "Kategori er..",
        "rule_trigger_amount_less_choice": "Bel\u00f8pet er mindre enn..",
        "rule_trigger_amount_is_choice": "Bel\u00f8pet er..",
        "rule_trigger_amount_more_choice": "Bel\u00f8pet er mer enn..",
        "rule_trigger_description_starts_choice": "Beskrivelse starter med..",
        "rule_trigger_description_ends_choice": "Beskrivelse slutter med..",
        "rule_trigger_description_contains_choice": "Beskrivelse inneholder..",
        "rule_trigger_description_is_choice": "Beskrivelse er..",
        "rule_trigger_date_on_choice": "Transaksjonsdato er..",
        "rule_trigger_date_before_choice": "Transaksjons dato er f\u00f8r..",
        "rule_trigger_date_after_choice": "Transaksjons dato er etter..",
        "rule_trigger_created_at_on_choice": "Transaksjonen ble gjort p\u00e5..",
        "rule_trigger_updated_at_on_choice": "Transaksjonen ble sist redigert den..",
        "rule_trigger_budget_is_choice": "Budsjett er..",
        "rule_trigger_tag_is_choice": "(En) tagg er..",
        "rule_trigger_currency_is_choice": "Transaksjonsvaluta er..",
        "rule_trigger_foreign_currency_is_choice": "Transaction foreign currency is..",
        "rule_trigger_has_attachments_choice": "Har minst s\u00e5 mange vedlegg",
        "rule_trigger_has_no_category_choice": "Har ingen kategori",
        "rule_trigger_has_any_category_choice": "Har en (hvilken som helst) kategori",
        "rule_trigger_has_no_budget_choice": "Har ingen budsjett",
        "rule_trigger_has_any_budget_choice": "Har et (hvilket som helst) budsjett",
        "rule_trigger_has_no_bill_choice": "Har ingen regning",
        "rule_trigger_has_any_bill_choice": "Har en regning",
        "rule_trigger_has_no_tag_choice": "Har ingen tagg(er)",
        "rule_trigger_has_any_tag_choice": "Har en eller flere tagger",
        "rule_trigger_any_notes_choice": "Har ett eller flere notater",
        "rule_trigger_no_notes_choice": "Har ingen notater",
        "rule_trigger_notes_is_choice": "Notater er..",
        "rule_trigger_notes_contains_choice": "Notater inneholder..",
        "rule_trigger_notes_starts_choice": "Notater begynner med..",
        "rule_trigger_notes_ends_choice": "Notater som slutter med..",
        "rule_trigger_bill_is_choice": "Regning er..",
        "rule_trigger_external_id_is_choice": "Ekstern ID er..",
        "rule_trigger_internal_reference_is_choice": "Intern referanse er..",
        "rule_trigger_journal_id_choice": "Transaction journal ID is..",
        "rule_trigger_any_external_url_choice": "Transaction has an external URL",
        "rule_trigger_no_external_url_choice": "Transaction has no external URL",
        "rule_trigger_id_choice": "Transaksjons-ID er",
        "rule_action_delete_transaction_choice": "DELETE transaction(!)",
        "rule_action_set_category_choice": "Set category to ..",
        "rule_action_clear_category_choice": "T\u00f8m alle kategorier",
        "rule_action_set_budget_choice": "Set budget to ..",
        "rule_action_clear_budget_choice": "T\u00f8m alle budsjetter",
        "rule_action_add_tag_choice": "Add tag ..",
        "rule_action_remove_tag_choice": "Remove tag ..",
        "rule_action_remove_all_tags_choice": "Fjern alle tagger",
        "rule_action_set_description_choice": "Set description to ..",
        "rule_action_update_piggy_choice": "Add \/ remove transaction amount in piggy bank ..",
        "rule_action_append_description_choice": "Append description with ..",
        "rule_action_prepend_description_choice": "Prepend description with ..",
        "rule_action_set_source_account_choice": "Set source account to ..",
        "rule_action_set_destination_account_choice": "Set destination account to ..",
        "rule_action_append_notes_choice": "Append notes with ..",
        "rule_action_prepend_notes_choice": "Prepend notes with ..",
        "rule_action_clear_notes_choice": "Fjern notater",
        "rule_action_set_notes_choice": "Set notes to ..",
        "rule_action_link_to_bill_choice": "Link to a bill ..",
        "rule_action_convert_deposit_choice": "Konverter transaksjonen til et innskudd",
        "rule_action_convert_withdrawal_choice": "Konverter denne transaksjonen til et uttak",
        "rule_action_convert_transfer_choice": "Konverter transaksjonen til en overf\u00f8ring",
        "placeholder": "[Placeholder]",
        "recurrences": "Gjentakende transaksjoner",
        "title_expenses": "Utgifter",
        "title_withdrawal": "Utgifter",
        "title_revenue": "Inntekt",
        "pref_1D": "\u00c9n dag",
        "pref_1W": "\u00c9n uke",
        "pref_1M": "En m\u00e5ned",
        "pref_3M": "Tre m\u00e5neder (kvartal)",
        "pref_6M": "Seks m\u00e5neder",
        "pref_1Y": "Ett \u00e5r",
        "repeat_freq_yearly": "\u00e5rlig",
        "repeat_freq_half-year": "hvert halv\u00e5r",
        "repeat_freq_quarterly": "kvartalsvis",
        "repeat_freq_monthly": "m\u00e5nedlig",
        "repeat_freq_weekly": "ukentlig",
        "single_split": "Del opp",
        "asset_accounts": "Aktivakontoer",
        "expense_accounts": "Utgiftskontoer",
        "liabilities_accounts": "Gjeld",
        "undefined_accounts": "Accounts",
        "name": "Navn",
        "revenue_accounts": "Inntektskontoer",
        "description": "Beskrivelse",
        "category": "Kategori",
        "title_deposit": "Inntekt",
        "title_transfer": "Overf\u00f8ringer",
        "title_transfers": "Overf\u00f8ringer",
        "piggyBanks": "Sparegriser",
        "rules": "Regler",
        "accounts": "Kontoer",
        "categories": "Kategorier",
        "tags": "Tagger",
        "object_groups_page_title": "Groups",
        "reports": "Rapporter",
        "webhooks": "Webhooks",
        "currencies": "Valutaer",
        "administration": "Administrasjon",
        "profile": "Profil",
        "source_account": "Kildekonto",
        "destination_account": "Destinasjonskonto",
        "amount": "Bel\u00f8p",
        "date": "Dato",
        "time": "Time",
        "preferences": "Innstillinger",
        "transactions": "Transaksjoner",
        "balance": "Saldo",
        "budgets": "Budsjetter",
        "subscriptions": "Abonnementer",
        "welcome_back": "Hvordan g\u00e5r det?",
        "bills_to_pay": "Regninger \u00e5 betale",
        "net_worth": "Formue",
        "pref_last365": "I fjor",
        "pref_last90": "Siste 90 dager",
        "pref_last30": "Siste 30 dagene",
        "pref_last7": "Siste 7 dager",
        "pref_YTD": "Year to date",
        "pref_QTD": "Quarter to date",
        "pref_MTD": "Month to date"
    }
}
