/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "nl",
        "month_and_day_fns": "d MMMM y"
    },
    "form": {
        "name": "Naam",
        "amount_min": "Minimumbedrag",
        "amount_max": "Maximumbedrag",
        "url": "URL",
        "title": "Titel",
        "first_date": "Eerste datum",
        "repetitions": "Herhalingen",
        "description": "Omschrijving",
        "iban": "IBAN",
        "skip": "Overslaan",
        "date": "Datum"
    },
    "list": {
        "name": "Naam",
        "account_number": "Rekeningnummer",
        "currentBalance": "Huidig saldo",
        "lastActivity": "Laatste activiteit",
        "active": "Actief?"
    },
    "breadcrumbs": {
        "placeholder": "[Placeholder]",
        "budgets": "Budgetten",
        "subscriptions": "Abonnementen",
        "transactions": "Transacties",
        "title_expenses": "Uitgaven",
        "title_withdrawal": "Uitgaven",
        "title_revenue": "Inkomsten",
        "title_deposit": "Inkomsten",
        "title_transfer": "Overschrijvingen",
        "title_transfers": "Overschrijvingen",
        "asset_accounts": "Betaalrekeningen",
        "expense_accounts": "Crediteuren",
        "revenue_accounts": "Debiteuren",
        "liabilities_accounts": "Passiva"
    },
    "firefly": {
        "actions": "Acties",
        "edit": "Wijzig",
        "delete": "Verwijder",
        "reconcile": "Afstemmen",
        "create_new_asset": "Nieuwe betaalrekening",
        "confirm_action": "Actie bevestigen",
        "new_budget": "Nieuw budget",
        "new_asset_account": "Nieuwe betaalrekening",
        "newTransfer": "Nieuwe overschrijving",
        "submission_options": "Submission options",
        "apply_rules_checkbox": "Apply rules",
        "fire_webhooks_checkbox": "Fire webhooks",
        "newDeposit": "Nieuwe inkomsten",
        "newWithdrawal": "Nieuwe uitgave",
        "bills_paid": "Betaalde contracten",
        "left_to_spend": "Over om uit te geven",
        "no_budget": "(geen budget)",
        "budgeted": "Gebudgetteerd",
        "spent": "Uitgegeven",
        "no_bill": "(geen contract)",
        "rule_trigger_source_account_starts_choice": "Bronrekeningnaam begint met..",
        "rule_trigger_source_account_ends_choice": "Bronrekeningnaam eindigt op..",
        "rule_trigger_source_account_is_choice": "Bronrekeningnaam is..",
        "rule_trigger_source_account_contains_choice": "Bronrekeningnaam bevat..",
        "rule_trigger_account_id_choice": "Bron- of doelrekening-ID is..",
        "rule_trigger_source_account_id_choice": "Bronrekening ID is..",
        "rule_trigger_destination_account_id_choice": "Doelrekening ID is..",
        "rule_trigger_account_is_cash_choice": "Bron- of doelrekening is een cash-rekening",
        "rule_trigger_source_is_cash_choice": "Bronrekening is (cash) account",
        "rule_trigger_destination_is_cash_choice": "Doelrekening is (cash) account",
        "rule_trigger_source_account_nr_starts_choice": "Bronrekeningnummer begint met..",
        "rule_trigger_source_account_nr_ends_choice": "Bronrekeningnummer eindigt op..",
        "rule_trigger_source_account_nr_is_choice": "Bronrekeningnummer \/ IBAN is..",
        "rule_trigger_source_account_nr_contains_choice": "Bronrekeningnummer \/ IBAN bevat..",
        "rule_trigger_destination_account_starts_choice": "Doelrekeningnaam begint met..",
        "rule_trigger_destination_account_ends_choice": "Doelrekeningnaam eindigt op..",
        "rule_trigger_destination_account_is_choice": "Doelrekeningnaam is..",
        "rule_trigger_destination_account_contains_choice": "Doelrekeningnaam bevat..",
        "rule_trigger_destination_account_nr_starts_choice": "Doelrekeningnummer \/ IBAN begint met..",
        "rule_trigger_destination_account_nr_ends_choice": "Doelrekeningnummer \/ IBAN eindigt op..",
        "rule_trigger_destination_account_nr_is_choice": "Doelrekeningnummer \/ IBAN is..",
        "rule_trigger_destination_account_nr_contains_choice": "Doelrekeningnummer \/ IBAN bevat..",
        "rule_trigger_transaction_type_choice": "Transactietype is..",
        "rule_trigger_category_is_choice": "Categorie is..",
        "rule_trigger_amount_less_choice": "Bedrag is minder dan..",
        "rule_trigger_amount_is_choice": "Bedrag is..",
        "rule_trigger_amount_more_choice": "Bedrag is meer dan..",
        "rule_trigger_description_starts_choice": "Omschrijving begint met..",
        "rule_trigger_description_ends_choice": "Omschrijving eindigt op..",
        "rule_trigger_description_contains_choice": "Omschrijving bevat..",
        "rule_trigger_description_is_choice": "Omschrijving is..",
        "rule_trigger_date_on_choice": "Transactiedatum is..",
        "rule_trigger_date_before_choice": "Transactiedatum is v\u00f3\u00f3r..",
        "rule_trigger_date_after_choice": "Transactiedatum is na..",
        "rule_trigger_created_at_on_choice": "Transactie is gemaakt op..",
        "rule_trigger_updated_at_on_choice": "Transactie werd laatst gewijzigd op..",
        "rule_trigger_budget_is_choice": "Budget is..",
        "rule_trigger_tag_is_choice": "Een tag is..",
        "rule_trigger_currency_is_choice": "Transactievaluta is..",
        "rule_trigger_foreign_currency_is_choice": "Transactie vreemde valuta is..",
        "rule_trigger_has_attachments_choice": "Heeft minstens zoveel bijlagen",
        "rule_trigger_has_no_category_choice": "Heeft geen categorie",
        "rule_trigger_has_any_category_choice": "Heeft een (welke dan ook) categorie",
        "rule_trigger_has_no_budget_choice": "Heeft geen budget",
        "rule_trigger_has_any_budget_choice": "Heeft een (welke dan ook) budget",
        "rule_trigger_has_no_bill_choice": "Heeft geen contract",
        "rule_trigger_has_any_bill_choice": "Heeft een (welke dan ook) contract",
        "rule_trigger_has_no_tag_choice": "Heeft geen tag(s)",
        "rule_trigger_has_any_tag_choice": "Heeft een of meer tags",
        "rule_trigger_any_notes_choice": "Heeft (enige) notities",
        "rule_trigger_no_notes_choice": "Heeft geen notities",
        "rule_trigger_notes_is_choice": "Notities zijn..",
        "rule_trigger_notes_contains_choice": "Notities bevatten..",
        "rule_trigger_notes_starts_choice": "Notities beginnen met..",
        "rule_trigger_notes_ends_choice": "Notities eindigen op..",
        "rule_trigger_bill_is_choice": "Contract is..",
        "rule_trigger_external_id_is_choice": "Externe ID is..",
        "rule_trigger_internal_reference_is_choice": "Interne referentie is..",
        "rule_trigger_journal_id_choice": "Transactiejournaal ID is..",
        "rule_trigger_any_external_url_choice": "De transactie heeft een externe URL",
        "rule_trigger_no_external_url_choice": "De transactie heeft geen externe URL",
        "rule_trigger_id_choice": "Transactie-ID is..",
        "rule_action_delete_transaction_choice": "DELETE transaction(!)",
        "rule_action_set_category_choice": "Set category to ..",
        "rule_action_clear_category_choice": "Geef geen categorie",
        "rule_action_set_budget_choice": "Set budget to ..",
        "rule_action_clear_budget_choice": "Maak budget-veld leeg",
        "rule_action_add_tag_choice": "Add tag ..",
        "rule_action_remove_tag_choice": "Remove tag ..",
        "rule_action_remove_all_tags_choice": "Haal alle tags weg",
        "rule_action_set_description_choice": "Set description to ..",
        "rule_action_update_piggy_choice": "Add \/ remove transaction amount in piggy bank ..",
        "rule_action_append_description_choice": "Append description with ..",
        "rule_action_prepend_description_choice": "Prepend description with ..",
        "rule_action_set_source_account_choice": "Set source account to ..",
        "rule_action_set_destination_account_choice": "Set destination account to ..",
        "rule_action_append_notes_choice": "Append notes with ..",
        "rule_action_prepend_notes_choice": "Prepend notes with ..",
        "rule_action_clear_notes_choice": "Verwijder notitie",
        "rule_action_set_notes_choice": "Set notes to ..",
        "rule_action_link_to_bill_choice": "Link to a bill ..",
        "rule_action_convert_deposit_choice": "Verander de transactie in inkomsten",
        "rule_action_convert_withdrawal_choice": "Verander de transactie in een uitgave",
        "rule_action_convert_transfer_choice": "Verander de transactie in een overschrijving",
        "placeholder": "[Placeholder]",
        "recurrences": "Periodieke transacties",
        "title_expenses": "Uitgaven",
        "title_withdrawal": "Uitgaven",
        "title_revenue": "Inkomsten",
        "pref_1D": "E\u00e9n dag",
        "pref_1W": "E\u00e9n week",
        "pref_1M": "E\u00e9n maand",
        "pref_3M": "Drie maanden (kwartaal)",
        "pref_6M": "Zes maanden",
        "pref_1Y": "E\u00e9n jaar",
        "repeat_freq_yearly": "jaarlijks",
        "repeat_freq_half-year": "elk half jaar",
        "repeat_freq_quarterly": "elk kwartaal",
        "repeat_freq_monthly": "maandelijks",
        "repeat_freq_weekly": "wekelijks",
        "single_split": "Split",
        "asset_accounts": "Betaalrekeningen",
        "expense_accounts": "Crediteuren",
        "liabilities_accounts": "Passiva",
        "undefined_accounts": "Rekeningen",
        "name": "Naam",
        "revenue_accounts": "Debiteuren",
        "description": "Omschrijving",
        "category": "Categorie",
        "title_deposit": "Inkomsten",
        "title_transfer": "Overschrijvingen",
        "title_transfers": "Overschrijvingen",
        "piggyBanks": "Spaarpotjes",
        "rules": "Regels",
        "accounts": "Rekeningen",
        "categories": "Categorie\u00ebn",
        "tags": "Tags",
        "object_groups_page_title": "Groepen",
        "reports": "Overzichten",
        "webhooks": "Webhooks",
        "currencies": "Valuta",
        "administration": "Administratie",
        "profile": "Profiel",
        "source_account": "Bronrekening",
        "destination_account": "Doelrekening",
        "amount": "Bedrag",
        "date": "Datum",
        "time": "Tijd",
        "preferences": "Voorkeuren",
        "transactions": "Transacties",
        "balance": "Saldo",
        "budgets": "Budgetten",
        "subscriptions": "Abonnementen",
        "welcome_back": "Hoe staat het er voor?",
        "bills_to_pay": "Openstaande contracten",
        "net_worth": "Kapitaal",
        "pref_last365": "Afgelopen jaar",
        "pref_last90": "Afgelopen 90 dagen",
        "pref_last30": "Afgelopen 30 dagen",
        "pref_last7": "Afgelopen 7 dagen",
        "pref_YTD": "Jaar tot nu",
        "pref_QTD": "Kwartaal tot nu",
        "pref_MTD": "Maand tot nu"
    }
}
