/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "pt-br",
        "month_and_day_fns": "d [de] MMMM [de] y"
    },
    "form": {
        "name": "Nome",
        "amount_min": "Valor M\u00ednimo",
        "amount_max": "Valor M\u00e1ximo",
        "url": "link",
        "title": "T\u00edtulo",
        "first_date": "Primeira data",
        "repetitions": "Repeti\u00e7\u00f5es",
        "description": "Descri\u00e7\u00e3o",
        "iban": "IBAN",
        "skip": "Pular",
        "date": "Data"
    },
    "list": {
        "name": "Nome",
        "account_number": "N\u00famero da conta",
        "currentBalance": "Saldo atual",
        "lastActivity": "\u00daltima atividade",
        "active": "Est\u00e1 ativo?"
    },
    "breadcrumbs": {
        "placeholder": "[Placeholder]",
        "budgets": "Or\u00e7amentos",
        "subscriptions": "Assinaturas",
        "transactions": "Transa\u00e7\u00f5es",
        "title_expenses": "Despesas",
        "title_withdrawal": "Despesas",
        "title_revenue": "Receita \/ Renda",
        "title_deposit": "Receita \/ Renda",
        "title_transfer": "Transfer\u00eancias",
        "title_transfers": "Transfer\u00eancias",
        "asset_accounts": "Contas de ativos",
        "expense_accounts": "Contas de despesas",
        "revenue_accounts": "Contas de receitas",
        "liabilities_accounts": "Passivos"
    },
    "firefly": {
        "actions": "A\u00e7\u00f5es",
        "edit": "Editar",
        "delete": "Apagar",
        "reconcile": "Reconciliar",
        "create_new_asset": "Criar nova conta de ativo",
        "confirm_action": "Confirmar a\u00e7\u00e3o",
        "new_budget": "Novo or\u00e7amento",
        "new_asset_account": "Nova conta de ativo",
        "newTransfer": "Nova transfer\u00eancia",
        "submission_options": "Op\u00e7\u00f5es de envio",
        "apply_rules_checkbox": "Aplicar regras",
        "fire_webhooks_checkbox": "Acionar webhooks",
        "newDeposit": "Novo dep\u00f3sito",
        "newWithdrawal": "Nova despesa",
        "bills_paid": "Contas pagas",
        "left_to_spend": "Restante para gastar",
        "no_budget": "(sem or\u00e7amento)",
        "budgeted": "Or\u00e7ado",
        "spent": "Gasto",
        "no_bill": "(sem conta)",
        "rule_trigger_source_account_starts_choice": "Nome da conta de origem come\u00e7a com..",
        "rule_trigger_source_account_ends_choice": "O nome da conta de origem termina com..",
        "rule_trigger_source_account_is_choice": "Nome da conta de origem \u00e9..",
        "rule_trigger_source_account_contains_choice": "Nome da conta de origem cont\u00e9m..",
        "rule_trigger_account_id_choice": "Ou ID da conta \u00e9 exatamente..",
        "rule_trigger_source_account_id_choice": "ID da conta de origem \u00e9 igual a..",
        "rule_trigger_destination_account_id_choice": "ID da conta de destino \u00e9 igual a..",
        "rule_trigger_account_is_cash_choice": "Ou a conta \u00e9 dinheiro",
        "rule_trigger_source_is_cash_choice": "Conta de origem \u00e9 (dinheiro)",
        "rule_trigger_destination_is_cash_choice": "Conta de destino \u00e9 (dinheiro)",
        "rule_trigger_source_account_nr_starts_choice": "N\u00famero da conta de origem (IBAN) come\u00e7a com..",
        "rule_trigger_source_account_nr_ends_choice": "N\u00famero da conta de origem (IBAN) termina com..",
        "rule_trigger_source_account_nr_is_choice": "N\u00famero da conta de origem (IBAN) \u00e9..",
        "rule_trigger_source_account_nr_contains_choice": "N\u00famero da conta de origem (IBAN) cont\u00e9m..",
        "rule_trigger_destination_account_starts_choice": "Nome da conta de destino come\u00e7a com..",
        "rule_trigger_destination_account_ends_choice": "Nome da conta de destino termina com..",
        "rule_trigger_destination_account_is_choice": "Nome da conta de destino \u00e9..",
        "rule_trigger_destination_account_contains_choice": "Nome da conta de destino cont\u00e9m..",
        "rule_trigger_destination_account_nr_starts_choice": "N\u00famero da conta de destino (IBAN) come\u00e7a com..",
        "rule_trigger_destination_account_nr_ends_choice": "N\u00famero da conta de destino (IBAN) termina com..",
        "rule_trigger_destination_account_nr_is_choice": "N\u00famero da conta de destino (IBAN) \u00e9..",
        "rule_trigger_destination_account_nr_contains_choice": "N\u00famero da conta de destino (IBAN) cont\u00e9m..",
        "rule_trigger_transaction_type_choice": "Transa\u00e7\u00e3o \u00e9 do tipo..",
        "rule_trigger_category_is_choice": "A categoria \u00e9..",
        "rule_trigger_amount_less_choice": "Quantia \u00e9 inferior a..",
        "rule_trigger_amount_is_choice": "Quantia \u00e9..",
        "rule_trigger_amount_more_choice": "Quantia \u00e9 mais do que..",
        "rule_trigger_description_starts_choice": "Descri\u00e7\u00e3o come\u00e7a com..",
        "rule_trigger_description_ends_choice": "Descri\u00e7\u00e3o termina com..",
        "rule_trigger_description_contains_choice": "Descri\u00e7\u00e3o cont\u00e9m..",
        "rule_trigger_description_is_choice": "Descri\u00e7\u00e3o \u00e9..",
        "rule_trigger_date_on_choice": "Data da transa\u00e7\u00e3o \u00e9..",
        "rule_trigger_date_before_choice": "A data da transa\u00e7\u00e3o \u00e9 anterior a...",
        "rule_trigger_date_after_choice": "A data da transa\u00e7\u00e3o \u00e9 posterior a...",
        "rule_trigger_created_at_on_choice": "Transa\u00e7\u00e3o foi feita em..",
        "rule_trigger_updated_at_on_choice": "Transa\u00e7\u00e3o foi editada pela \u00faltima vez em..",
        "rule_trigger_budget_is_choice": "O or\u00e7amento \u00e9..",
        "rule_trigger_tag_is_choice": "Qualquer tag \u00e9..",
        "rule_trigger_currency_is_choice": "A moeda da transa\u00e7\u00e3o \u00e9..",
        "rule_trigger_foreign_currency_is_choice": "A moeda estrangeira da transa\u00e7\u00e3o \u00e9...",
        "rule_trigger_has_attachments_choice": "Tem pelo menos essa quantidade de anexos",
        "rule_trigger_has_no_category_choice": "N\u00e3o tem categoria",
        "rule_trigger_has_any_category_choice": "Tem uma categoria (qualquer)",
        "rule_trigger_has_no_budget_choice": "N\u00e3o tem or\u00e7amento",
        "rule_trigger_has_any_budget_choice": "Tem um or\u00e7amento (qualquer)",
        "rule_trigger_has_no_bill_choice": "N\u00e3o tem nenhuma conta",
        "rule_trigger_has_any_bill_choice": "Tem uma conta (qualquer)",
        "rule_trigger_has_no_tag_choice": "N\u00e3o tem tag(s)",
        "rule_trigger_has_any_tag_choice": "Tem uma ou mais tags (qualquer)",
        "rule_trigger_any_notes_choice": "Tem notas (qualquer)",
        "rule_trigger_no_notes_choice": "N\u00e3o tem notas",
        "rule_trigger_notes_is_choice": "As notas s\u00e3o..",
        "rule_trigger_notes_contains_choice": "As notas cont\u00eam..",
        "rule_trigger_notes_starts_choice": "As notas come\u00e7am com..",
        "rule_trigger_notes_ends_choice": "As notas terminam com..",
        "rule_trigger_bill_is_choice": "Conta \u00e9..",
        "rule_trigger_external_id_is_choice": "ID externo \u00e9..",
        "rule_trigger_internal_reference_is_choice": "Refer\u00eancia interna \u00e9..",
        "rule_trigger_journal_id_choice": "ID do livro de transa\u00e7\u00e3o \u00e9..",
        "rule_trigger_any_external_url_choice": "A transa\u00e7\u00e3o tem um link externo",
        "rule_trigger_no_external_url_choice": "A transa\u00e7\u00e3o n\u00e3o tem um link externo",
        "rule_trigger_id_choice": "O identificador da transa\u00e7\u00e3o \u00e9..",
        "rule_action_delete_transaction_choice": "DELETE transaction(!)",
        "rule_action_set_category_choice": "Set category to ..",
        "rule_action_clear_category_choice": "Limpar qualquer categoria",
        "rule_action_set_budget_choice": "Set budget to ..",
        "rule_action_clear_budget_choice": "Limpar qualquer or\u00e7amento",
        "rule_action_add_tag_choice": "Add tag ..",
        "rule_action_remove_tag_choice": "Remove tag ..",
        "rule_action_remove_all_tags_choice": "Remover todas as tags",
        "rule_action_set_description_choice": "Set description to ..",
        "rule_action_update_piggy_choice": "Add \/ remove transaction amount in piggy bank ..",
        "rule_action_append_description_choice": "Append description with ..",
        "rule_action_prepend_description_choice": "Prepend description with ..",
        "rule_action_set_source_account_choice": "Set source account to ..",
        "rule_action_set_destination_account_choice": "Set destination account to ..",
        "rule_action_append_notes_choice": "Append notes with ..",
        "rule_action_prepend_notes_choice": "Prepend notes with ..",
        "rule_action_clear_notes_choice": "Remover quaisquer notas",
        "rule_action_set_notes_choice": "Set notes to ..",
        "rule_action_link_to_bill_choice": "Link to a bill ..",
        "rule_action_convert_deposit_choice": "Converter esta transfer\u00eancia em entrada",
        "rule_action_convert_withdrawal_choice": "Converter esta transa\u00e7\u00e3o para uma sa\u00edda",
        "rule_action_convert_transfer_choice": "Converter esta transa\u00e7\u00e3o para transfer\u00eancia",
        "placeholder": "[Placeholder]",
        "recurrences": "Transa\u00e7\u00f5es recorrentes",
        "title_expenses": "Despesas",
        "title_withdrawal": "Despesas",
        "title_revenue": "Receitas \/ Renda",
        "pref_1D": "Um dia",
        "pref_1W": "Uma semana",
        "pref_1M": "Um m\u00eas",
        "pref_3M": "Trimestral",
        "pref_6M": "Semestral",
        "pref_1Y": "Um ano",
        "repeat_freq_yearly": "anual",
        "repeat_freq_half-year": "cada semestre",
        "repeat_freq_quarterly": "trimestral",
        "repeat_freq_monthly": "mensal",
        "repeat_freq_weekly": "semanal",
        "single_split": "Divis\u00e3o",
        "asset_accounts": "Contas de ativo",
        "expense_accounts": "Contas de despesas",
        "liabilities_accounts": "Passivos",
        "undefined_accounts": "Contas",
        "name": "Nome",
        "revenue_accounts": "Contas de receitas",
        "description": "Descri\u00e7\u00e3o",
        "category": "Categoria",
        "title_deposit": "Receita \/ Renda",
        "title_transfer": "Transfer\u00eancias",
        "title_transfers": "Transfer\u00eancias",
        "piggyBanks": "Cofrinhos",
        "rules": "Regras",
        "accounts": "Contas",
        "categories": "Categorias",
        "tags": "Tags",
        "object_groups_page_title": "Grupos",
        "reports": "Relat\u00f3rios",
        "webhooks": "Webhooks",
        "currencies": "Moedas",
        "administration": "Administra\u00e7\u00e3o",
        "profile": "Perfil",
        "source_account": "Conta origem",
        "destination_account": "Conta destino",
        "amount": "Valor",
        "date": "Data",
        "time": "Hor\u00e1rio",
        "preferences": "Prefer\u00eancias",
        "transactions": "Transa\u00e7\u00f5es",
        "balance": "Saldo",
        "budgets": "Or\u00e7amentos",
        "subscriptions": "Assinaturas",
        "welcome_back": "O que est\u00e1 acontecendo?",
        "bills_to_pay": "Contas a pagar",
        "net_worth": "Valor L\u00edquido",
        "pref_last365": "Ano passado",
        "pref_last90": "\u00daltimos 90 dias",
        "pref_last30": "\u00daltimos 30 dias",
        "pref_last7": "\u00daltimos 7 dias",
        "pref_YTD": "Ano at\u00e9 \u00e0 data",
        "pref_QTD": "Trimestre at\u00e9 \u00e0 data",
        "pref_MTD": "M\u00eas at\u00e9 a data"
    }
}
