/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "vi",
        "month_and_day_fns": "MMMM d, y"
    },
    "form": {
        "name": "T\u00ean",
        "amount_min": "S\u1ed1 ti\u1ec1n t\u1ed1i thi\u1ec3u",
        "amount_max": "S\u1ed1 ti\u1ec1n t\u1ed1i \u0111a",
        "url": "URL",
        "title": "Ti\u00eau \u0111\u1ec1",
        "first_date": "Ng\u00e0y \u0111\u1ea7u ti\u00ean",
        "repetitions": "S\u1ef1 l\u1eb7p l\u1ea1i",
        "description": "M\u00f4 t\u1ea3",
        "iban": "IBAN",
        "skip": "B\u1ecf qua",
        "date": "Ng\u00e0y"
    },
    "list": {
        "name": "T\u00ean",
        "account_number": "Account number",
        "currentBalance": "S\u1ed1 d\u01b0 hi\u1ec7n t\u1ea1i",
        "lastActivity": "Ho\u1ea1t \u0111\u1ed9ng cu\u1ed1i c\u00f9ng",
        "active": "\u0110ang ho\u1ea1t \u0111\u1ed9ng?"
    },
    "breadcrumbs": {
        "placeholder": "Gi\u1eef ch\u1ed7",
        "budgets": "Ng\u00e2n s\u00e1ch",
        "subscriptions": "\u0110\u0103ng k\u00fd nh\u1eadn th\u00f4ng tin",
        "transactions": "Giao d\u1ecbch",
        "title_expenses": "Chi ph\u00ed",
        "title_withdrawal": "Chi ph\u00ed",
        "title_revenue": "Thu nh\u1eadp doanh thu",
        "title_deposit": "Thu nh\u1eadp doanh thu",
        "title_transfer": "Chuy\u1ec3n",
        "title_transfers": "Chuy\u1ec3n",
        "asset_accounts": "T\u00e0i kho\u1ea3n t\u00e0i s\u1ea3n",
        "expense_accounts": "T\u00e0i kho\u1ea3n chi ph\u00ed",
        "revenue_accounts": "T\u00e0i kho\u1ea3n thu nh\u1eadp",
        "liabilities_accounts": "N\u1ee3 ph\u1ea3i tr\u1ea3"
    },
    "firefly": {
        "actions": "H\u00e0nh \u0111\u1ed9ng",
        "edit": "S\u1eeda",
        "delete": "X\u00f3a",
        "reconcile": "\u0110\u1ed1i chi\u1ebfu",
        "create_new_asset": "T\u1ea1o t\u00e0i kho\u1ea3n m\u1edbi",
        "confirm_action": "Confirm action",
        "new_budget": "Ng\u00e2n s\u00e1ch m\u1edbi",
        "new_asset_account": "t\u00e0i kho\u1ea3n m\u1edbi",
        "newTransfer": "Chuy\u1ec3n kho\u1ea3n m\u1edbi",
        "submission_options": "Submission options",
        "apply_rules_checkbox": "Apply rules",
        "fire_webhooks_checkbox": "Fire webhooks",
        "newDeposit": "Ti\u1ec1n g\u1eedi m\u1edbi",
        "newWithdrawal": "Chi ph\u00ed m\u1edbi",
        "bills_paid": "H\u00f3a \u0111\u01a1n thanh to\u00e1n",
        "left_to_spend": "C\u00f2n l\u1ea1i \u0111\u1ec3 chi ti\u00eau",
        "no_budget": "(kh\u00f4ng c\u00f3 ng\u00e2n s\u00e1ch)",
        "budgeted": "Ng\u00e2n s\u00e1ch",
        "spent": "\u0110\u00e3 chi",
        "no_bill": "(no bill)",
        "rule_trigger_source_account_starts_choice": "Source account name starts with..",
        "rule_trigger_source_account_ends_choice": "Source account name ends with..",
        "rule_trigger_source_account_is_choice": "Source account name is..",
        "rule_trigger_source_account_contains_choice": "T\u00ean t\u00e0i kho\u1ea3n ch\u1ee9a..",
        "rule_trigger_account_id_choice": "Either account ID is exactly..",
        "rule_trigger_source_account_id_choice": "Source account ID is exactly..",
        "rule_trigger_destination_account_id_choice": "Destination account ID is exactly..",
        "rule_trigger_account_is_cash_choice": "Either account is cash",
        "rule_trigger_source_is_cash_choice": "Source account is (cash) account",
        "rule_trigger_destination_is_cash_choice": "Destination account is (cash) account",
        "rule_trigger_source_account_nr_starts_choice": "Source account number \/ IBAN starts with..",
        "rule_trigger_source_account_nr_ends_choice": "Source account number \/ IBAN ends with..",
        "rule_trigger_source_account_nr_is_choice": "S\u1ed1 t\u00e0i kho\u1ea3n ngu\u1ed3n \/ IBAN l\u00e0..",
        "rule_trigger_source_account_nr_contains_choice": "S\u1ed1 t\u00e0i kho\u1ea3n ngu\u1ed3n \/ IBAN ch\u1ee9a..",
        "rule_trigger_destination_account_starts_choice": "T\u00ean t\u00e0i kho\u1ea3n \u0111\u00edch b\u1eaft \u0111\u1ea7u b\u1eb1ng..",
        "rule_trigger_destination_account_ends_choice": "T\u00ean t\u00e0i kho\u1ea3n \u0111\u00edch k\u1ebft th\u00fac b\u1eb1ng..",
        "rule_trigger_destination_account_is_choice": "T\u00ean t\u00e0i kho\u1ea3n \u0111\u00edch l\u00e0..",
        "rule_trigger_destination_account_contains_choice": "Destination account name contains..",
        "rule_trigger_destination_account_nr_starts_choice": "Destination account number \/ IBAN starts with..",
        "rule_trigger_destination_account_nr_ends_choice": "Destination account number \/ IBAN ends with..",
        "rule_trigger_destination_account_nr_is_choice": "Destination account number \/ IBAN is..",
        "rule_trigger_destination_account_nr_contains_choice": "Destination account number \/ IBAN contains..",
        "rule_trigger_transaction_type_choice": "Giao d\u1ecbch thu\u1ed9c lo\u1ea1i..",
        "rule_trigger_category_is_choice": "Danh m\u1ee5c l\u00e0..",
        "rule_trigger_amount_less_choice": "S\u1ed1 ti\u1ec1n \u00edt h\u01a1n..",
        "rule_trigger_amount_is_choice": "Amount is..",
        "rule_trigger_amount_more_choice": "S\u1ed1 ti\u1ec1n nhi\u1ec1u h\u01a1n..",
        "rule_trigger_description_starts_choice": "M\u00f4 t\u1ea3 b\u1eaft \u0111\u1ea7u b\u1eb1ng..",
        "rule_trigger_description_ends_choice": "M\u00f4 t\u1ea3 k\u1ebft th\u00fac b\u1eb1ng..",
        "rule_trigger_description_contains_choice": "M\u00f4 t\u1ea3 c\u00f3 ch\u1ee9a..",
        "rule_trigger_description_is_choice": "M\u00f4 t\u1ea3 l\u00e0..",
        "rule_trigger_date_on_choice": "Transaction date is..",
        "rule_trigger_date_before_choice": "Ng\u00e0y giao d\u1ecbch tr\u01b0\u1edbc..",
        "rule_trigger_date_after_choice": "Ng\u00e0y giao d\u1ecbch sau..",
        "rule_trigger_created_at_on_choice": "Transaction was made on..",
        "rule_trigger_updated_at_on_choice": "Transaction was last edited on..",
        "rule_trigger_budget_is_choice": "Ng\u00e2n s\u00e1ch l\u00e0..",
        "rule_trigger_tag_is_choice": "Any tag is..",
        "rule_trigger_currency_is_choice": "Ti\u1ec1n t\u1ec7 giao d\u1ecbch l\u00e0..",
        "rule_trigger_foreign_currency_is_choice": "Giao d\u1ecbch ngo\u1ea1i t\u1ec7 l\u00e0..",
        "rule_trigger_has_attachments_choice": "C\u00f3 \u00edt nh\u1ea5t nhi\u1ec1u t\u1ec7p \u0111\u00ednh k\u00e8m n\u00e0y",
        "rule_trigger_has_no_category_choice": "Kh\u00f4ng c\u00f3 danh m\u1ee5c",
        "rule_trigger_has_any_category_choice": "C\u00f3 m\u1ed9t danh m\u1ee5c (b\u1ea5t k\u1ef3)",
        "rule_trigger_has_no_budget_choice": "Kh\u00f4ng c\u00f3 ng\u00e2n s\u00e1ch",
        "rule_trigger_has_any_budget_choice": "C\u00f3 ng\u00e2n s\u00e1ch (b\u1ea5t k\u1ef3)",
        "rule_trigger_has_no_bill_choice": "Has no bill",
        "rule_trigger_has_any_bill_choice": "Has a (any) bill",
        "rule_trigger_has_no_tag_choice": "Kh\u00f4ng c\u00f3 nh\u00e3n",
        "rule_trigger_has_any_tag_choice": "C\u00f3 m\u1ed9t ho\u1eb7c nhi\u1ec1u nh\u00e3n(b\u1ea5t k\u1ef3)",
        "rule_trigger_any_notes_choice": "C\u00f3 (b\u1ea5t k\u1ef3) ghi ch\u00fa",
        "rule_trigger_no_notes_choice": "Kh\u00f4ng c\u00f3 ghi ch\u00fa",
        "rule_trigger_notes_is_choice": "Notes are..",
        "rule_trigger_notes_contains_choice": "Notes contain..",
        "rule_trigger_notes_starts_choice": "Notes start with..",
        "rule_trigger_notes_ends_choice": "Notes end with..",
        "rule_trigger_bill_is_choice": "H\u00f3a \u0111\u01a1n l\u00e0..",
        "rule_trigger_external_id_is_choice": "External ID is..",
        "rule_trigger_internal_reference_is_choice": "Internal reference is..",
        "rule_trigger_journal_id_choice": "Transaction journal ID is..",
        "rule_trigger_any_external_url_choice": "Transaction has an external URL",
        "rule_trigger_no_external_url_choice": "Transaction has no external URL",
        "rule_trigger_id_choice": "Transaction ID is..",
        "rule_action_delete_transaction_choice": "DELETE transaction(!)",
        "rule_action_set_category_choice": "Set category to ..",
        "rule_action_clear_category_choice": "X\u00f3a m\u1ecdi danh m\u1ee5c",
        "rule_action_set_budget_choice": "Set budget to ..",
        "rule_action_clear_budget_choice": "X\u00f3a m\u1ecdi ng\u00e2n s\u00e1ch",
        "rule_action_add_tag_choice": "Add tag ..",
        "rule_action_remove_tag_choice": "Remove tag ..",
        "rule_action_remove_all_tags_choice": "X\u00f3a t\u1ea5t c\u1ea3 c\u00e1c nh\u00e3n",
        "rule_action_set_description_choice": "Set description to ..",
        "rule_action_update_piggy_choice": "Add \/ remove transaction amount in piggy bank ..",
        "rule_action_append_description_choice": "Append description with ..",
        "rule_action_prepend_description_choice": "Prepend description with ..",
        "rule_action_set_source_account_choice": "Set source account to ..",
        "rule_action_set_destination_account_choice": "Set destination account to ..",
        "rule_action_append_notes_choice": "Append notes with ..",
        "rule_action_prepend_notes_choice": "Prepend notes with ..",
        "rule_action_clear_notes_choice": "X\u00f3a m\u1ecdi ghi ch\u00fa",
        "rule_action_set_notes_choice": "Set notes to ..",
        "rule_action_link_to_bill_choice": "Link to a bill ..",
        "rule_action_convert_deposit_choice": "Chuy\u1ec3n \u0111\u1ed5i giao d\u1ecbch th\u00e0nh ti\u1ec1n g\u1eedi",
        "rule_action_convert_withdrawal_choice": "Chuy\u1ec3n \u0111\u1ed5i giao d\u1ecbch sang r\u00fat ti\u1ec1n",
        "rule_action_convert_transfer_choice": "Chuy\u1ec3n \u0111\u1ed5i giao d\u1ecbch sang chuy\u1ec3n kho\u1ea3n",
        "placeholder": "[Placeholder]",
        "recurrences": "Giao d\u1ecbch \u0111\u1ecbnh k\u1ef3",
        "title_expenses": "Chi ph\u00ed",
        "title_withdrawal": "Chi ph\u00ed",
        "title_revenue": "Thu nh\u1eadp doanh thu",
        "pref_1D": "M\u1ed9t ng\u00e0y",
        "pref_1W": "M\u1ed9t tu\u1ea7n",
        "pref_1M": "M\u1ed9t th\u00e1ng",
        "pref_3M": "Ba th\u00e1ng (qu\u00fd)",
        "pref_6M": "S\u00e1u th\u00e1ng",
        "pref_1Y": "M\u1ed9t n\u0103m",
        "repeat_freq_yearly": "h\u00e0ng n\u0103m",
        "repeat_freq_half-year": "m\u1ed7i n\u1eeda n\u0103m",
        "repeat_freq_quarterly": "h\u00e0ng qu\u00fd",
        "repeat_freq_monthly": "h\u00e0ng th\u00e1ng",
        "repeat_freq_weekly": "h\u00e0ng tu\u1ea7n",
        "single_split": "Chia ra",
        "asset_accounts": "t\u00e0i kho\u1ea3n",
        "expense_accounts": "T\u00e0i kho\u1ea3n chi ph\u00ed",
        "liabilities_accounts": "N\u1ee3",
        "undefined_accounts": "Accounts",
        "name": "T\u00ean",
        "revenue_accounts": "T\u00e0i kho\u1ea3n doanh thu",
        "description": "S\u1ef1 mi\u00eau t\u1ea3",
        "category": "Danh m\u1ee5c",
        "title_deposit": "Thu nh\u1eadp doanh thu",
        "title_transfer": "Chuy\u1ec3n",
        "title_transfers": "Chuy\u1ec3n",
        "piggyBanks": "Heo \u0111\u1ea5t",
        "rules": "Quy t\u1eafc",
        "accounts": "T\u00e0i kho\u1ea3n",
        "categories": "Danh m\u1ee5c",
        "tags": "Nh\u00e3n",
        "object_groups_page_title": "C\u00e1c Nh\u00f3m",
        "reports": "B\u00e1o c\u00e1o",
        "webhooks": "Webhooks",
        "currencies": "Ti\u1ec1n t\u1ec7",
        "administration": "Qu\u1ea3n tr\u1ecb",
        "profile": "H\u1ed3 s\u01a1",
        "source_account": "Ngu\u1ed3n t\u00e0i kho\u1ea3n",
        "destination_account": "T\u00e0i kho\u1ea3n \u0111\u00edch",
        "amount": "S\u1ed1 ti\u1ec1n",
        "date": "Ng\u00e0y",
        "time": "Time",
        "preferences": "C\u00e1 nh\u00e2n",
        "transactions": "Giao d\u1ecbch",
        "balance": "Ti\u1ec1n c\u00f2n l\u1ea1i",
        "budgets": "Ng\u00e2n s\u00e1ch",
        "subscriptions": "Subscriptions",
        "welcome_back": "Ch\u00e0o m\u1eebng tr\u1edf l\u1ea1i?",
        "bills_to_pay": "H\u00f3a \u0111\u01a1n ph\u1ea3i tr\u1ea3",
        "net_worth": "T\u00e0i s\u1ea3n th\u1ef1c",
        "pref_last365": "N\u0103m tr\u01b0\u1edbc",
        "pref_last90": "90 ng\u00e0y cu\u1ed1i",
        "pref_last30": "30 ng\u00e0y cu\u1ed1i",
        "pref_last7": "7 ng\u00e0y tr\u01b0\u1edbc",
        "pref_YTD": "Year to date",
        "pref_QTD": "Quarter to date",
        "pref_MTD": "Month to date"
    }
}
