/*
 * index.js
 * Copyright (c) 2022 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

export default {
    "config": {
        "html_language": "zh-tw",
        "month_and_day_fns": "MMMM d, y"
    },
    "form": {
        "name": "\u540d\u7a31",
        "amount_min": "\u6700\u5c0f\u91d1\u984d",
        "amount_max": "\u6700\u5927\u91d1\u984d",
        "url": "URL",
        "title": "\u6a19\u984c",
        "first_date": "\u521d\u6b21\u65e5\u671f",
        "repetitions": "\u91cd\u8907",
        "description": "\u63cf\u8ff0",
        "iban": "\u570b\u969b\u9280\u884c\u5e33\u6236\u865f\u78bc (IBAN)",
        "skip": "\u7565\u904e",
        "date": "\u65e5\u671f"
    },
    "list": {
        "name": "\u540d\u7a31",
        "account_number": "Account number",
        "currentBalance": "\u76ee\u524d\u9918\u984d",
        "lastActivity": "\u4e0a\u6b21\u6d3b\u52d5",
        "active": "\u662f\u5426\u555f\u7528\uff1f"
    },
    "breadcrumbs": {
        "placeholder": "[Placeholder]",
        "budgets": "\u9810\u7b97",
        "subscriptions": "Subscriptions",
        "transactions": "Transactions",
        "title_expenses": "Expenses",
        "title_withdrawal": "Expenses",
        "title_revenue": "Revenue \/ income",
        "title_deposit": "Revenue \/ income",
        "title_transfer": "Transfers",
        "title_transfers": "Transfers",
        "asset_accounts": "Asset accounts",
        "expense_accounts": "Expense accounts",
        "revenue_accounts": "Revenue accounts",
        "liabilities_accounts": "Liabilities"
    },
    "firefly": {
        "actions": "\u64cd\u4f5c",
        "edit": "\u7de8\u8f2f",
        "delete": "\u522a\u9664",
        "reconcile": "Reconcile",
        "create_new_asset": "\u5efa\u7acb\u65b0\u8cc7\u7522\u5e33\u6236",
        "confirm_action": "Confirm action",
        "new_budget": "\u65b0\u9810\u7b97",
        "new_asset_account": "\u65b0\u8cc7\u7522\u5e33\u6236",
        "newTransfer": "\u65b0\u8f49\u5e33",
        "submission_options": "Submission options",
        "apply_rules_checkbox": "Apply rules",
        "fire_webhooks_checkbox": "Fire webhooks",
        "newDeposit": "\u65b0\u5b58\u6b3e",
        "newWithdrawal": "\u65b0\u652f\u51fa",
        "bills_paid": "\u5df2\u7e73\u5e33\u55ae",
        "left_to_spend": "\u5269\u9918\u53ef\u82b1\u8cbb",
        "no_budget": "(\u7121\u9810\u7b97)",
        "budgeted": "\u5df2\u5217\u5165\u9810\u7b97",
        "spent": "\u652f\u51fa",
        "no_bill": "(no bill)",
        "rule_trigger_source_account_starts_choice": "Source account name starts with..",
        "rule_trigger_source_account_ends_choice": "Source account name ends with..",
        "rule_trigger_source_account_is_choice": "Source account name is..",
        "rule_trigger_source_account_contains_choice": "Source account name contains..",
        "rule_trigger_account_id_choice": "Either account ID is exactly..",
        "rule_trigger_source_account_id_choice": "Source account ID is exactly..",
        "rule_trigger_destination_account_id_choice": "Destination account ID is exactly..",
        "rule_trigger_account_is_cash_choice": "Either account is cash",
        "rule_trigger_source_is_cash_choice": "Source account is (cash) account",
        "rule_trigger_destination_is_cash_choice": "Destination account is (cash) account",
        "rule_trigger_source_account_nr_starts_choice": "Source account number \/ IBAN starts with..",
        "rule_trigger_source_account_nr_ends_choice": "Source account number \/ IBAN ends with..",
        "rule_trigger_source_account_nr_is_choice": "Source account number \/ IBAN is..",
        "rule_trigger_source_account_nr_contains_choice": "Source account number \/ IBAN contains..",
        "rule_trigger_destination_account_starts_choice": "Destination account name starts with..",
        "rule_trigger_destination_account_ends_choice": "Destination account name ends with..",
        "rule_trigger_destination_account_is_choice": "Destination account name is..",
        "rule_trigger_destination_account_contains_choice": "Destination account name contains..",
        "rule_trigger_destination_account_nr_starts_choice": "Destination account number \/ IBAN starts with..",
        "rule_trigger_destination_account_nr_ends_choice": "Destination account number \/ IBAN ends with..",
        "rule_trigger_destination_account_nr_is_choice": "Destination account number \/ IBAN is..",
        "rule_trigger_destination_account_nr_contains_choice": "Destination account number \/ IBAN contains..",
        "rule_trigger_transaction_type_choice": "\u8f49\u5e33\u985e\u578b\u70ba\u2026",
        "rule_trigger_category_is_choice": "\u985e\u5225...",
        "rule_trigger_amount_less_choice": "\u91d1\u984d\u5c0f\u65bc\u2026",
        "rule_trigger_amount_is_choice": "Amount is..",
        "rule_trigger_amount_more_choice": "\u91d1\u984d\u5927\u65bc\u2026",
        "rule_trigger_description_starts_choice": "\u63cf\u8ff0\u4ee5\u2026\u958b\u982d",
        "rule_trigger_description_ends_choice": "\u63cf\u8ff0\u4ee5\u2026\u4f5c\u7d50",
        "rule_trigger_description_contains_choice": "\u63cf\u8ff0\u5305\u542b\u2026",
        "rule_trigger_description_is_choice": "\u63cf\u8ff0\u662f\u2026",
        "rule_trigger_date_on_choice": "Transaction date is..",
        "rule_trigger_date_before_choice": "Transaction date is before..",
        "rule_trigger_date_after_choice": "Transaction date is after..",
        "rule_trigger_created_at_on_choice": "Transaction was made on..",
        "rule_trigger_updated_at_on_choice": "Transaction was last edited on..",
        "rule_trigger_budget_is_choice": "\u9810\u7b97\u70ba\u2026",
        "rule_trigger_tag_is_choice": "Any tag is..",
        "rule_trigger_currency_is_choice": "\u8f49\u5e33\u8ca8\u5e63\u70ba\u2026",
        "rule_trigger_foreign_currency_is_choice": "Transaction foreign currency is..",
        "rule_trigger_has_attachments_choice": "\u81f3\u5c11\u6709\u9019\u9ebc\u591a\u9644\u52a0\u6a94\u6848",
        "rule_trigger_has_no_category_choice": "\u7121\u5206\u985e",
        "rule_trigger_has_any_category_choice": "\u6709\u4e00\u500b (\u4efb\u4f55) \u5206\u985e",
        "rule_trigger_has_no_budget_choice": "\u6c92\u6709\u9810\u7b97",
        "rule_trigger_has_any_budget_choice": "\u6709\u4e00\u500b (\u4efb\u4f55) \u9810\u7b97",
        "rule_trigger_has_no_bill_choice": "Has no bill",
        "rule_trigger_has_any_bill_choice": "Has a (any) bill",
        "rule_trigger_has_no_tag_choice": "\u6c92\u6709\u6a19\u7c64",
        "rule_trigger_has_any_tag_choice": "\u6709\u4e00\u500b\u6216\u591a\u500b (\u4efb\u4f55) \u6a19\u7c64",
        "rule_trigger_any_notes_choice": "\u6709 (\u4efb\u4f55) \u8a3b\u91cb",
        "rule_trigger_no_notes_choice": "\u6c92\u6709\u8a3b\u91cb",
        "rule_trigger_notes_is_choice": "Notes are..",
        "rule_trigger_notes_contains_choice": "Notes contain..",
        "rule_trigger_notes_starts_choice": "Notes start with..",
        "rule_trigger_notes_ends_choice": "Notes end with..",
        "rule_trigger_bill_is_choice": "Bill is..",
        "rule_trigger_external_id_is_choice": "External ID is..",
        "rule_trigger_internal_reference_is_choice": "Internal reference is..",
        "rule_trigger_journal_id_choice": "Transaction journal ID is..",
        "rule_trigger_any_external_url_choice": "Transaction has an external URL",
        "rule_trigger_no_external_url_choice": "Transaction has no external URL",
        "rule_trigger_id_choice": "Transaction ID is..",
        "rule_action_delete_transaction_choice": "DELETE transaction(!)",
        "rule_action_set_category_choice": "Set category to ..",
        "rule_action_clear_category_choice": "\u6e05\u7a7a\u4efb\u4f55\u5206\u985e",
        "rule_action_set_budget_choice": "Set budget to ..",
        "rule_action_clear_budget_choice": "\u6e05\u7a7a\u4efb\u4f55\u9810\u7b97",
        "rule_action_add_tag_choice": "Add tag ..",
        "rule_action_remove_tag_choice": "Remove tag ..",
        "rule_action_remove_all_tags_choice": "\u79fb\u9664\u6240\u6709\u6a19\u7c64",
        "rule_action_set_description_choice": "Set description to ..",
        "rule_action_update_piggy_choice": "Add \/ remove transaction amount in piggy bank ..",
        "rule_action_append_description_choice": "Append description with ..",
        "rule_action_prepend_description_choice": "Prepend description with ..",
        "rule_action_set_source_account_choice": "Set source account to ..",
        "rule_action_set_destination_account_choice": "Set destination account to ..",
        "rule_action_append_notes_choice": "Append notes with ..",
        "rule_action_prepend_notes_choice": "Prepend notes with ..",
        "rule_action_clear_notes_choice": "\u79fb\u9664\u4efb\u4f55\u8a3b\u91cb",
        "rule_action_set_notes_choice": "Set notes to ..",
        "rule_action_link_to_bill_choice": "Link to a bill ..",
        "rule_action_convert_deposit_choice": "\u8f49\u63db\u4ea4\u6613\u70ba\u5b58\u6b3e",
        "rule_action_convert_withdrawal_choice": "\u8f49\u63db\u4ea4\u6613\u81f3\u63d0\u6b3e",
        "rule_action_convert_transfer_choice": "\u8f49\u63db\u4ea4\u6613\u81f3\u8f49\u5e33",
        "placeholder": "[Placeholder]",
        "recurrences": "\u9031\u671f\u6027\u4ea4\u6613",
        "title_expenses": "\u652f\u51fa",
        "title_withdrawal": "\u652f\u51fa",
        "title_revenue": "\u6536\u5165",
        "pref_1D": "1 \u5929",
        "pref_1W": "1 \u9031",
        "pref_1M": "1 \u500b\u6708",
        "pref_3M": "3\u500b\u6708 (\u5b63)",
        "pref_6M": "6\u500b\u6708",
        "pref_1Y": "1\u5e74",
        "repeat_freq_yearly": "\u6bcf\u5e74",
        "repeat_freq_half-year": "\u6bcf\u534a\u5e74",
        "repeat_freq_quarterly": "\u6bcf\u5b63",
        "repeat_freq_monthly": "\u6bcf\u6708",
        "repeat_freq_weekly": "\u6bcf\u9031",
        "single_split": "Split",
        "asset_accounts": "\u8cc7\u7522\u5e33\u6236",
        "expense_accounts": "\u652f\u51fa\u5e33\u6236",
        "liabilities_accounts": "\u50b5\u52d9",
        "undefined_accounts": "Accounts",
        "name": "\u540d\u7a31",
        "revenue_accounts": "\u6536\u5165\u5e33\u6236",
        "description": "\u63cf\u8ff0",
        "category": "\u5206\u985e",
        "title_deposit": "\u6536\u5165",
        "title_transfer": "\u8f49\u5e33",
        "title_transfers": "\u8f49\u5e33",
        "piggyBanks": "\u5c0f\u8c6c\u64b2\u6eff",
        "rules": "\u898f\u5247",
        "accounts": "\u5e33\u6236",
        "categories": "\u5206\u985e",
        "tags": "\u6a19\u7c64",
        "object_groups_page_title": "Groups",
        "reports": "\u5831\u8868",
        "webhooks": "Webhooks",
        "currencies": "\u8ca8\u5e63",
        "administration": "\u7ba1\u7406",
        "profile": "\u500b\u4eba\u6a94\u6848",
        "source_account": "Source account",
        "destination_account": "Destination account",
        "amount": "\u91d1\u984d",
        "date": "\u65e5\u671f",
        "time": "Time",
        "preferences": "\u504f\u597d\u8a2d\u5b9a",
        "transactions": "\u4ea4\u6613",
        "balance": "\u9918\u984d",
        "budgets": "\u9810\u7b97",
        "subscriptions": "Subscriptions",
        "welcome_back": "What's playing?",
        "bills_to_pay": "\u5f85\u4ed8\u5e33\u55ae",
        "net_worth": "\u6de8\u503c",
        "pref_last365": "Last year",
        "pref_last90": "Last 90 days",
        "pref_last30": "Last 30 days",
        "pref_last7": "Last 7 days",
        "pref_YTD": "Year to date",
        "pref_QTD": "Quarter to date",
        "pref_MTD": "Month to date"
    }
}
