<?php

/**
 * list.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

return [
    'buttons'                 => '按钮',
    'icon'                    => '图标',
    'id'                      => 'ID',
    'create_date'             => '创建于',
    'update_date'             => '更新于',
    'updated_at'              => '更新于',
    'balance_before'          => '交易前余额',
    'balance_after'           => '交易后余额',
    'name'                    => '名称',
    'role'                    => '角色',
    'currentBalance'          => '目前余额',
    'linked_to_rules'         => '相关规则',
    'active'                  => '是否启用？',
    'percentage'              => '%',
    'recurring_transaction'   => '定期交易',
    'next_due'                => '下个到期日',
    'transaction_type'        => '类别',
    'lastActivity'            => '上次活动',
    'balanceDiff'             => '余额差',
    'other_meta_data'         => '其它元信息',
    'invited_at'              => '邀请于',
    'expires'                 => '邀请过期',
    'invited_by'              => '邀请者',
    'invite_link'             => '邀请链接',
    'account_type'            => '账户类型',
    'created_at'              => '创建于',
    'account'                 => '账户',
    'external_url'            => '外部链接',
    'matchingAmount'          => '金额',
    'destination'             => '目标',
    'source'                  => '来源',
    'next_expected_match'     => '预期下次支付',
    'automatch'               => '自动匹配？',
    'repeat_freq'             => '重复',
    'description'             => '描述',
    'amount'                  => '金额',
    'date'                    => '日期',
    'interest_date'           => '利率日期',
    'book_date'               => '登记日期',
    'process_date'            => '处理日期',
    'due_date'                => '到期日',
    'payment_date'            => '付款日期',
    'invoice_date'            => '发票日期',
    'internal_reference'      => '内部参考',
    'notes'                   => '备注',
    'from'                    => '自',
    'piggy_bank'              => '存钱罐',
    'to'                      => '至目标',
    'budget'                  => '预算',
    'category'                => '分类',
    'bill'                    => '账单',
    'withdrawal'              => '支出',
    'deposit'                 => '收入',
    'transfer'                => '转账',
    'type'                    => '类型',
    'completed'               => '已完成',
    'iban'                    => '国际银行账户号码（IBAN）',
    'account_number'          => '账户号码',
    'paid_current_period'     => '当前周期支付',
    'email'                   => '电子邮件',
    'registered_at'           => '注册于',
    'is_blocked'              => '被封禁',
    'is_admin'                => '是管理员',
    'has_two_factor'          => '有两步验证（2FA）',
    'blocked_code'            => '区块代码',
    'source_account'          => '来源账户',
    'destination_account'     => '目标账户',
    'accounts_count'          => '账户数量',
    'journals_count'          => '交易数量',
    'attachments_count'       => '附件数量',
    'bills_count'             => '账单数量',
    'categories_count'        => '分类数量',
    'budget_count'            => '预算数量',
    'rule_and_groups_count'   => '规则及规则组数量',
    'tags_count'              => '标签数量',
    'tags'                    => '标签',
    'inward'                  => '内向描述',
    'outward'                 => '外向描述',
    'number_of_transactions'  => '交易数量',
    'total_amount'            => '总金额',
    'sum'                     => '总和',
    'sum_excluding_transfers' => '总和（不包括转账）',
    'sum_withdrawals'         => '支出总和',
    'sum_deposits'            => '收入总和',
    'sum_transfers'           => '转账总和',
    'sum_reconciliations'     => '对账总和',
    'reconcile'               => '对账',
    'sepa_ct_id'              => 'SEPA 端到端标识符',
    'sepa_ct_op'              => 'SEPA 对方账户标识符',
    'sepa_db'                 => 'SEPA 授权标识符',
    'sepa_country'            => 'SEPA 国家',
    'sepa_cc'                 => 'SEPA 清关代码',
    'sepa_ep'                 => 'SEPA 外部用途',
    'sepa_ci'                 => 'SEPA 授权标识符',
    'sepa_batch_id'           => 'SEPA 批次 ID',
    'external_id'             => '外部 ID',
    'account_at_bunq'         => 'bunq 账户',
    'file_name'               => '文件名称',
    'file_size'               => '文件大小',
    'file_type'               => '文件类型',
    'attached_to'             => '附加到',
    'file_exists'             => '文件已存在',
    'spectre_bank'            => '银行',
    'spectre_last_use'        => '上次登录',
    'spectre_status'          => '状态',
    'bunq_payment_id'         => 'bunq 付款 ID',
    'repetitions'             => '重复',
    'title'                   => '标题',
    'transaction_s'           => '交易',
    'field'                   => '字段',
    'value'                   => '值',
    'interest'                => '利息',
    'interest_period'         => '计息期',
    'liability_type'          => '债务类型',
    'liability_direction'     => '债务增/减',
    'end_date'                => '截止日期',
    'payment_info'            => '付款信息',
    'expected_info'           => '下一个预期的交易',
    'start_date'              => '起始日期',
    'trigger'                 => '触发条件',
    'response'                => '答复',
    'delivery'                => '交付',
    'url'                     => '网址',
    'secret'                  => '密钥',

];
