<?php

/**
 * list.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

return [
    'buttons'                 => '按鈕',
    'icon'                    => '圖示',
    'id'                      => 'ID',
    'create_date'             => '建立於',
    'update_date'             => '更新於',
    'updated_at'              => '更新於',
    'balance_before'          => '交易前餘額',
    'balance_after'           => '交易後餘額',
    'name'                    => '名稱',
    'role'                    => '角色',
    'currentBalance'          => '目前餘額',
    'linked_to_rules'         => '相關規則',
    'active'                  => '是否啟用？',
    'percentage'              => 'pct.',
    'recurring_transaction'   => 'Recurring transaction',
    'next_due'                => 'Next due',
    'transaction_type'        => 'Type',
    'lastActivity'            => '上次活動',
    'balanceDiff'             => '餘額差',
    'other_meta_data'         => 'Other meta data',
    'invited_at'              => 'Invited at',
    'expires'                 => 'Invitation expires',
    'invited_by'              => 'Invited by',
    'invite_link'             => 'Invite link',
    'account_type'            => '帳戶類型',
    'created_at'              => '建立於',
    'account'                 => '帳戶',
    'external_url'            => 'External URL',
    'matchingAmount'          => '金額',
    'destination'             => '目標',
    'source'                  => '來源',
    'next_expected_match'     => '下一個預期的配對',
    'automatch'               => '自動配對？',
    'repeat_freq'             => '重複',
    'description'             => '描述',
    'amount'                  => '金額',
    'date'                    => '日期',
    'interest_date'           => '利率日期',
    'book_date'               => '登記日期',
    'process_date'            => '處理日期',
    'due_date'                => '到期日',
    'payment_date'            => '付款日期',
    'invoice_date'            => '發票日期',
    'internal_reference'      => 'Internal reference',
    'notes'                   => '備註',
    'from'                    => '自',
    'piggy_bank'              => '小豬撲滿',
    'to'                      => '至',
    'budget'                  => '預算',
    'category'                => '分類',
    'bill'                    => '帳單',
    'withdrawal'              => '提款',
    'deposit'                 => '存款',
    'transfer'                => '轉帳',
    'type'                    => '類型',
    'completed'               => '已完成',
    'iban'                    => '國際銀行帳戶號碼 (IBAN)',
    'account_number'          => 'Account number',
    'paid_current_period'     => '已付此區間',
    'email'                   => '電子郵件',
    'registered_at'           => '註冊於',
    'is_blocked'              => '被封鎖',
    'is_admin'                => '是管理員',
    'has_two_factor'          => '有兩步驟驗證 (2FA)',
    'blocked_code'            => '封鎖代碼',
    'source_account'          => '來源帳戶',
    'destination_account'     => '目標帳戶',
    'accounts_count'          => '帳戶數量',
    'journals_count'          => '交易數量',
    'attachments_count'       => '附加檔案數量',
    'bills_count'             => '帳單數量',
    'categories_count'        => '分類數量',
    'budget_count'            => '預算數量',
    'rule_and_groups_count'   => '規則及規則群組數量',
    'tags_count'              => '標籤數量',
    'tags'                    => '標籤',
    'inward'                  => '流入描述',
    'outward'                 => '流出描述',
    'number_of_transactions'  => '交易數量',
    'total_amount'            => '總金額',
    'sum'                     => '總和',
    'sum_excluding_transfers' => '總和 (不包括轉帳)',
    'sum_withdrawals'         => '提款總和',
    'sum_deposits'            => '存款總和',
    'sum_transfers'           => '轉帳總和',
    'sum_reconciliations'     => 'Sum of reconciliations',
    'reconcile'               => '對帳',
    'sepa_ct_id'              => 'SEPA End to End Identifier',
    'sepa_ct_op'              => 'SEPA Opposing Account Identifier',
    'sepa_db'                 => 'SEPA Mandate Identifier',
    'sepa_country'            => 'SEPA Country',
    'sepa_cc'                 => 'SEPA Clearing Code',
    'sepa_ep'                 => 'SEPA External Purpose',
    'sepa_ci'                 => 'SEPA Creditor Identifier',
    'sepa_batch_id'           => 'SEPA Batch ID',
    'external_id'             => '外部 ID',
    'account_at_bunq'         => 'bunq 帳戶',
    'file_name'               => '檔案名稱',
    'file_size'               => '檔案大小',
    'file_type'               => '檔案類型',
    'attached_to'             => '附加到',
    'file_exists'             => '檔案已存在',
    'spectre_bank'            => '銀行',
    'spectre_last_use'        => '上次登錄',
    'spectre_status'          => '狀態',
    'bunq_payment_id'         => 'bunq 付款 ID',
    'repetitions'             => '重複',
    'title'                   => '標題',
    'transaction_s'           => '交易',
    'field'                   => '欄位',
    'value'                   => '值',
    'interest'                => '利率',
    'interest_period'         => 'Interest period',
    'liability_type'          => '負債類型',
    'liability_direction'     => 'Liability in/out',
    'end_date'                => 'End date',
    'payment_info'            => 'Payment information',
    'expected_info'           => 'Next expected transaction',
    'start_date'              => 'Start date',
    'trigger'                 => 'Trigger',
    'response'                => 'Response',
    'delivery'                => 'Delivery',
    'url'                     => 'URL',
    'secret'                  => 'Secret',

];
