<?php

/**
 * firefly.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

return [
    // general stuff:
    'close'                                => 'Cerrar',
    'actions'                              => 'Acciones',
    'edit'                                 => 'Editar',
    'delete'                               => 'Eliminar',
    'split'                                => 'Separar',
    'single_split'                         => 'División',
    'clone'                                => 'Duplicar',
    'confirm_action'                       => 'Confirmar acción',
    'last_seven_days'                      => 'Últimos siete días',
    'last_thirty_days'                     => 'Últimos treinta días',
    'last_180_days'                        => 'Últimos 180 días',
    'month_to_date'                        => 'Month to date',
    'year_to_date'                         => 'Year to date',
    'YTD'                                  => 'Año en curso',
    'welcome_back'                         => '¿Qué está pasando?',
    'everything'                           => 'Todo',
    'today'                                => 'hoy',
    'customRange'                          => 'Rango personalizado',
    'date_range'                           => 'Rango de fechas',
    'apply'                                => 'Aplicar',
    'select_date'                          => 'Seleccionar fecha...',
    'cancel'                               => 'Cancelar',
    'from'                                 => 'Desde',
    'to'                                   => 'Hasta',
    'structure'                            => 'Estructura',
    'help_translating'                     => 'Este texto de ayuda no está disponible en tu idioma. <a href="https://crowdin.com/project/firefly-iii-help">¿Nos ayudaría a traducir?</a>',
    'showEverything'                       => 'Mostrar todo',
    'never'                                => 'Nunca',
    'no_results_for_empty_search'          => 'Su búsqueda estaba vacía, por lo que no se encontró nada.',
    'removed_amount'                       => 'Eliminado :amount',
    'added_amount'                         => 'Añadido :amount',
    'asset_account_role_help'              => 'Las opciones extras como resultado de su elección se pueden establecer más tarde.',
    'Opening balance'                      => 'Balance inicial',
    'create_new_stuff'                     => 'Crear nueva etiqueta',
    'new_withdrawal'                       => 'Nuevo retiro',
    'create_new_transaction'               => 'Crear una nueva transacción',
    'sidebar_frontpage_create'             => 'Crear',
    'new_transaction'                      => 'Nueva transacción',
    'no_rules_for_bill'                    => 'Esta factura no tiene reglas asociadas a ella.',
    'go_to_asset_accounts'                 => 'Ver tus cuentas de activos',
    'go_to_budgets'                        => 'Ir a tus presupuestos',
    'go_to_withdrawals'                    => 'Ir a tus retiradas',
    'clones_journal_x'                     => 'Esta transacción es una copia de ":description" (#:id)',
    'go_to_categories'                     => 'Ir a tus categorías',
    'go_to_bills'                          => 'Ir a tus cuentas',
    'go_to_expense_accounts'               => 'Ver tus cuentas de gastos',
    'go_to_revenue_accounts'               => 'Ver tus cuentas de ingresos',
    'go_to_piggies'                        => 'Ir a tu hucha',
    'new_deposit'                          => 'Nuevo depósito',
    'new_transfer'                         => 'Nueva transferencia',
    'new_transfers'                        => 'Nueva transferencia',
    'new_asset_account'                    => 'Nueva cuenta de activo',
    'new_expense_account'                  => 'Nueva cuenta de gastos',
    'new_revenue_account'                  => 'Nueva cuenta de ingresos',
    'new_liabilities_account'              => 'Nueva obligación (pasivo)',
    'new_budget'                           => 'Nuevo presupuesto',
    'new_bill'                             => 'Nueva factura',
    'block_account_logout'                 => 'Tu sesión ha sido cerrada. Las cuentas bloqueadas no pueden utilizar este sitio. ¿Registrarte con una dirección válida de correo electrónico?',
    'flash_success'                        => '¡Operación correcta!',
    'flash_info'                           => 'Mensaje',
    'flash_warning'                        => '¡Atención!',
    'flash_error'                          => '¡Error!',
    'flash_danger'                         => '¡Peligro!',
    'flash_info_multiple'                  => 'Hay un mensaje | Hay :count mensajes',
    'flash_error_multiple'                 => 'Hay un error|Hay unos :count errores',
    'net_worth'                            => 'Valor Neto',
    'help_for_this_page'                   => 'Ayuda para esta página',
    'help_for_this_page_body'              => 'Puedes encontrar más información sobre esta página <a href="https://docs.firefly-iii.org/">en la documentación</a>.',
    'two_factor_welcome'                   => '¡Hola!',
    'two_factor_enter_code'                => 'Para continuar, introduce tu código de autenticación de dos pasos. La aplicación puede generarlo para usted.',
    'two_factor_code_here'                 => 'Ingresar código aquí',
    'two_factor_title'                     => 'Autenticación en dos pasos',
    'authenticate'                         => 'Autentificar',
    'two_factor_forgot_title'              => 'Autenticación en dos pasos perdida',
    'two_factor_forgot'                    => 'Olvidé mi cosa de dos factores.',
    'two_factor_lost_header'               => '¿Perdiste tu autenticación de doble factor?',
    'two_factor_lost_intro'                => 'Si también perdiste tus códigos de copia de seguridad, tienes mala suerte. Esto no es algo que puedas arreglar desde la interfaz web. Tienes dos opciones.',
    'two_factor_lost_fix_self'             => 'Si ejecutas tu propia instancia de Firefly III, lee <a href="https://docs.firefly-iii.org/faq/other#i-lost-my-two-factor-authentication-codes-and-backup-codes">esta entrada en el FAQ</a> para obtener instrucciones.',
    'two_factor_lost_fix_owner'            => 'De lo contrario, comunícate por mail con el dueño del sitio, <a href="mailto::site_owner">:site_owner</a> y pídele que restablezca tu autenticación de dos pasos.',
    'mfa_backup_code'                      => 'Has usado un código de respaldo para iniciar sesión en Firefly III. No se puede usar de nuevo, así que táchalo de tu lista.',
    'pref_two_factor_new_backup_codes'     => 'Obtener nuevos códigos de copia de seguridad',
    'pref_two_factor_backup_code_count'    => 'Tienes :count código de copia de seguridad válido. |Tienes :count códigos de copia de seguridad válidos.',
    '2fa_i_have_them'                      => '¡Los he guardado!',
    'warning_much_data'                    => ':days días de datos pueden tardar en cargarse.',
    'registered'                           => '¡Te has registrado con éxito!',
    'Default asset account'                => 'Cuenta de activos por defecto',
    'no_budget_pointer'                    => 'Parece que aún no tienes presupuestos. Debes crear algunos en la página <a href="budgets">presupuestos</a>. Los presupuestos pueden ayudarle a realizar un seguimiento de los gastos.',
    'no_bill_pointer'                      => 'Parece que aún no tienes facturas. Deberías crear algunas en la página de <a href="bills">facturas</a>. Las facturas pueden ayudarte a llevar un seguimiento de los gastos.',
    'Savings account'                      => 'Cuenta de ahorros',
    'Credit card'                          => 'Tarjeta de crédito',
    'source_accounts'                      => 'Cuenta origen|Cuentas de origen',
    'destination_accounts'                 => 'Cuenta de destino|Cuentas de destino',
    'user_id_is'                           => 'Tu id de usuario es <strong>:user</strong>',
    'field_supports_markdown'              => 'Este campo admite <a href="https://en.support.wordpress.com/markdown-quick-reference/">Markdown</a>.',
    'need_more_help'                       => 'Si necesita más ayuda con Firefly III, por favor <a href="https://github.com/firefly-iii/firefly-iii/issues">abre un ticket en Github</a>.',
    'reenable_intro_text'                  => 'También puedes reactivar <a href="#" id="reenableGuidance">la guía de introducción</a>.',
    'intro_boxes_after_refresh'            => 'Los cuadros de introducción volverán a aparecer cuando actualices la página.',
    'show_all_no_filter'                   => 'Mostrar todas las transacciones sin agruparlas por fecha.',
    'expenses_by_category'                 => 'Gastos por categoría',
    'expenses_by_budget'                   => 'Gastos por presupuesto',
    'income_by_category'                   => 'Ingresos por categoría',
    'expenses_by_asset_account'            => 'Gastos por cuenta de activos',
    'expenses_by_expense_account'          => 'Gastos por cuenta de gastos',
    'cannot_redirect_to_account'           => 'Firefly III no puede redirigirlo a la página correcta. Disculpas.',
    'sum_of_expenses'                      => 'Total gastos',
    'sum_of_income'                        => 'Total ingresos',
    'liabilities'                          => 'Pasivos',
    'spent_in_specific_budget'             => 'Gastado en el presupuesto ":budget"',
    'spent_in_specific_double'             => 'Gastado en cuenta ":account"',
    'earned_in_specific_double'            => 'Ganado en cuenta ":account"',
    'source_account'                       => 'Cuenta origen',
    'source_account_reconciliation'        => 'No puedes editar la cuenta de origen de una transacción de reconciliación.',
    'destination_account'                  => 'Cuenta destino',
    'destination_account_reconciliation'   => 'No puedes editar la cuenta de destino de una transacción de reconciliación.',
    'sum_of_expenses_in_budget'            => 'Total gastado en el presupuesto ":budget"',
    'left_in_budget_limit'                 => 'Disponible para gasto según presupuesto',
    'current_period'                       => 'Período actual',
    'show_the_current_period_and_overview' => 'Mostrar el período actual y el resumen',
    'pref_languages_locale'                => 'Para que un idioma distinto al inglés funcione correctamente, su sistema operativo debe disponer de la información regional correcta. Si no está disponible, los datos de divisas, fechas y cantidades pueden tener un formato incorrecto.',
    'budget_in_period'                     => 'Todas las transacciones del presupuesto ":name" entre :start y :end en :currency',
    'chart_budget_in_period'               => 'Gráfico para todas las transacciones del presupuesto ":name" entre :start y :end en :currency',
    'chart_budget_in_period_only_currency' => 'La cantidad que presupuestaste fue en :currency, por lo que este gráfico sólo mostrará transacciones en :currency.',
    'chart_account_in_period'              => 'Gráfico para las transacciones de la cuenta ":name" (:balance) entre :start y :end',
    'chart_category_in_period'             => 'Gráfico para las transacciones de la categoría ":name" entre :start y :end',
    'chart_category_all'                   => 'Gráfico para las transacciones de la categoría ":name"',
    'clone_withdrawal'                     => 'Duplicar esta retirada',
    'clone_deposit'                        => 'Duplicar este depósito',
    'clone_transfer'                       => 'Duplicar esta transferencia',
    'multi_select_no_selection'            => 'Ninguno seleccionado',
    'multi_select_select_all'              => 'Seleccionar todo',
    'multi_select_n_selected'              => 'seleccionado',
    'multi_select_all_selected'            => 'Todos seleccionados',
    'multi_select_filter_placeholder'      => 'Buscar...',
    'intro_next_label'                     => 'Siguiente',
    'intro_prev_label'                     => 'Anterior',
    'intro_skip_label'                     => 'Saltar',
    'intro_done_label'                     => 'Hecho',
    'between_dates_breadcrumb'             => 'Entre :start y :end',
    'all_journals_without_budget'          => 'Todas las transacciones sin presupuesto',
    'journals_without_budget'              => 'Transacciones sin presupuesto',
    'all_journals_without_category'        => 'Todas las transacciones sin categoría',
    'journals_without_category'            => 'Transacciones sin categoría',
    'all_journals_for_account'             => 'Todas las transacciones de la cuenta :name',
    'chart_all_journals_for_account'       => 'Gráfico de todas las transacciones de la cuenta :name',
    'journals_in_period_for_account'       => 'Todas las transacciones por cuenta :name entre :start y :end',
    'journals_in_period_for_account_js'    => 'Todas las transacciones de la cuenta {title} entre {start} y {end}',
    'transferred'                          => 'Transferido',
    'all_withdrawal'                       => 'Todos los gastos',
    'all_transactions'                     => 'Todas las transacciones',
    'title_withdrawal_between'             => 'Todos los gastos entre :start y :end',
    'all_deposit'                          => 'Todos los ingresos',
    'title_deposit_between'                => 'Todos los ingresos entre :start y :end',
    'all_transfers'                        => 'Todas las transferencias',
    'title_transfers_between'              => 'Todas las transferencias entre :start y :end',
    'all_transfer'                         => 'Todas las transferencias',
    'all_journals_for_tag'                 => 'Todas las transacciones etiquetadas como ":tag"',
    'title_transfer_between'               => 'Todas las transferencias entre :start y :end',
    'all_journals_for_category'            => 'Todas las transacciones para la categoría :name',
    'all_journals_for_budget'              => 'Todas las transacciones para el presupuesto :name',
    'chart_all_journals_for_budget'        => 'Gráfico de todas las transacciones para presupuesto :name',
    'journals_in_period_for_category'      => 'Todas las transacciones para la categoría :name entre :start y :end',
    'journals_in_period_for_tag'           => 'Todas las transacciones para etiqueta :tag entre :start y :end',
    'not_available_demo_user'              => 'La característica a la que tratas de acceder no está disponible para usuarios de la demo.',
    'exchange_rate_instructions'           => 'La cuenta de activos "@name" sólo acepta transacciones en @native_currency. Si deseas usar @foreign_currency, asegúrate que la cantidad en @native_currency sea conocida también:',
    'transfer_exchange_rate_instructions'  => 'La cuenta de activos "@source_name" solo acepta transacciones en "@source_currency". cuenta de activos de destino "@dest_name" solo acepta transacciones en @dest_currency. Debes indicar la cantidad correcta transferida en ambas monedas.',
    'transaction_data'                     => 'Datos de transacción',
    'invalid_server_configuration'         => 'Configuración de servidor no válida',
    'invalid_locale_settings'              => 'Firefly III no puede formatear cantidades monetarias porque a su servidor le faltan los paquetes requeridos. Hay <a href="https://docs.firefly-iii.org/firefly-iii/advanced-installation/locales/">instrucciones de cómo hacer esto</a>.',
    'quickswitch'                          => 'Cambio rápido',
    'sign_in_to_start'                     => 'Iniciar sesión para comenzar',
    'sign_in'                              => 'Iniciar sesión',
    'register_new_account'                 => 'Registrar una nueva cuenta',
    'forgot_my_password'                   => 'He olvidado mi contraseña',
    'problems_with_input'                  => 'Hubo algunos problemas con su entrada.',
    'reset_password'                       => 'Restablecer su contraseña',
    'button_reset_password'                => 'Restablecer contraseña',
    'reset_button'                         => 'Restablecer',
    'want_to_login'                        => 'Quiero iniciar sesión',
    'login_page_title'                     => 'Iniciar sesión en Firefly III',
    'register_page_title'                  => 'Registrarse en Firefly III',
    'forgot_pw_page_title'                 => 'Olvidaste tu contraseña para Firefly III',
    'reset_pw_page_title'                  => 'Restablecer contraseña para Firefly III',
    'cannot_reset_demo_user'               => 'No puedes restablecer la contraseña del usuario demo.',
    'no_att_demo_user'                     => 'El usuario de demostración no puede subir archivos adjuntos.',
    'button_register'                      => 'Registrarse',
    'authorization'                        => 'Autorización',
    'active_bills_only'                    => 'solo facturas activas',
    'active_bills_only_total'              => 'todas las facturas activas',
    'active_exp_bills_only'                => 'solo facturas activas y esperadas',
    'active_exp_bills_only_total'          => 'solo las facturas activas esperadas',
    'per_period_sum_1D'                    => 'Costes diarios esperados',
    'per_period_sum_1W'                    => 'Costes semanales esperados',
    'per_period_sum_1M'                    => 'Costes mensuales esperados',
    'per_period_sum_3M'                    => 'Costes trimestrales esperados',
    'per_period_sum_6M'                    => 'Costes semestrales esperados',
    'per_period_sum_1Y'                    => 'Costes anuales esperados',
    'average_per_bill'                     => 'media por factura',
    'expected_total'                       => 'total esperado',
    'reconciliation_account_name'          => ':name reconciliación (:currency)',
    'saved'                                => 'Guardado',
    'advanced_options'                     => 'Opciones avanzadas',
    'advanced_options_explain'             => 'Algunas páginas de Firefly III tienen opciones avanzadas ocultas detrás de este botón. Esta página no tiene nada elegante, ¡pero echa un vistazo a las demás!',
    'here_be_dragons'                      => 'Hic sunt dracones',

    // Webhooks
    'webhooks'                             => 'Webhooks',
    'webhooks_breadcrumb'                  => 'Webhooks',
    'no_webhook_messages'                  => 'There are no webhook messages',
    'webhook_trigger_STORE_TRANSACTION'    => 'After transaction creation',
    'webhook_trigger_UPDATE_TRANSACTION'   => 'After transaction update',
    'webhook_trigger_DESTROY_TRANSACTION'  => 'After transaction delete',
    'webhook_response_TRANSACTIONS'        => 'Transaction details',
    'webhook_response_ACCOUNTS'            => 'Account details',
    'webhook_response_none_NONE'           => 'No details',
    'webhook_delivery_JSON'                => 'JSON',
    'inspect'                              => 'Inspect',
    'create_new_webhook'                   => 'Create new webhook',
    'webhooks_create_breadcrumb'           => 'Create new webhook',
    'webhook_trigger_form_help'            => 'Indicate on what event the webhook will trigger',
    'webhook_response_form_help'           => 'Indicate what the webhook must submit to the URL.',
    'webhook_delivery_form_help'           => 'Which format the webhook must deliver data in.',
    'webhook_active_form_help'             => 'The webhook must be active or it won\'t be called.',
    'stored_new_webhook'                   => 'Stored new webhook ":title"',
    'delete_webhook'                       => 'Delete webhook',
    'deleted_webhook'                      => 'Deleted webhook ":title"',
    'edit_webhook'                         => 'Edit webhook ":title"',
    'updated_webhook'                      => 'Updated webhook ":title"',
    'edit_webhook_js'                      => 'Edit webhook "{title}"',
    'show_webhook'                         => 'Webhook ":title"',
    'webhook_was_triggered'                => 'The webhook was triggered on the indicated transaction. You can refresh this page to see the results.',
    'webhook_messages'                     => 'Webhook message',
    'view_message'                         => 'View message',
    'view_attempts'                        => 'View failed attempts',
    'message_content_title'                => 'Webhook message content',
    'message_content_help'                 => 'This is the content of the message that was sent (or tried) using this webhook.',
    'attempt_content_title'                => 'Webhook attempts',
    'attempt_content_help'                 => 'These are all the unsuccessful attempts of this webhook message to submit to the configured URL. After some time, Firefly III will stop trying.',
    'no_attempts'                          => 'There are no unsuccessful attempts. That\'s a good thing!',
    'webhook_attempt_at'                   => 'Attempt at {moment}',
    'logs'                                 => 'Logs',
    'response'                             => 'Response',
    'visit_webhook_url'                    => 'Visit webhook URL',
    'reset_webhook_secret'                 => 'Reset webhook secret',

    // API access
    'authorization_request'                => 'Firefly III v:version Solicitud de autorización',
    'authorization_request_intro'          => '<strong>:client</strong> está pidiendo permiso para acceder a la administración de tus finanzas. ¿Deseas autorizar a <strong>:client</strong> a acceder a estos datos?',
    'authorization_request_site'           => 'Serás redirigido a <code>:url</code>, que podrá acceder a tus datos de Firefly III.',
    'authorization_request_invalid'        => 'Esta solicitud de acceso no es válida. Por favor, no vuelva a abrir este enlace.',
    'scopes_will_be_able'                  => 'Esta aplicación podrá:',
    'button_authorize'                     => 'Autorizar',
    'none_in_select_list'                  => '(ninguno)',
    'no_piggy_bank'                        => '(sin hucha)',
    'name_in_currency'                     => ':name en :currency',
    'paid_in_currency'                     => 'Pagado en :currency',
    'unpaid_in_currency'                   => 'Impagado en :currency',
    'is_alpha_warning'                     => 'Estás ejecutando una versión ALPHA. Ten cuidado con los errores y problemas.',
    'is_beta_warning'                      => 'Estás ejecutando una versión BETA. Ten cuidado con los errores y problemas.',
    'all_destination_accounts'             => 'Cuentas destino',
    'all_source_accounts'                  => 'Cuentas origen',
    'back_to_index'                        => 'Volver al Índice',
    'cant_logout_guard'                    => 'Firefly III no puede cerrar sesión.',
    'internal_reference'                   => 'Referencia interna',

    // check for updates:
    'update_check_title'                   => 'Buscar actualizaciones',
    'admin_update_check_title'             => 'Buscar actualizaciones automáticamente',
    'admin_update_check_explain'           => 'Firefly III puede buscar actualizaciones automáticamente. Cuando habilitas esta configuración, Firefly III contactará con el servidor de actualizaciones para comprobar si hay disponible una nueva versión. Cuando sea así, te llegará una notificación. Puedes probar esta notificación usando el botón de la derecha. Por favor, indica abajo si quieres que Firefly III busque actualizaciones.',
    'check_for_updates_permission'         => 'Firefly III puede buscar actualizaciones, pero necesita tu permiso para hacerlo. Por favor, ve a <a href=":link">administracion</a>para indicar si deseas que esta característica sea habilitada.',
    'updates_ask_me_later'                 => 'Preguntarme mas tarde',
    'updates_do_not_check'                 => 'No buscar actualizaciones',
    'updates_enable_check'                 => 'Habilitar el buscar actualizaciones',
    'admin_update_check_now_title'         => 'Buscar actualizaciones ahora',
    'admin_update_check_now_explain'       => 'SI pulsas el botón, Firefly III comprobará si tu actual versión es la última.',
    'check_for_updates_button'             => '¡Comprobar ahora!',
    'update_new_version_alert'             => 'Una nueva versión de Firefly III esta disponible. Estás usando :your_version, la ultima versión es :new_version que se lanzó en :date.',
    'update_version_beta'                  => 'Esta versión es una versión BETA. Puede tener problemas.',
    'update_version_alpha'                 => 'Esta versión es una versión de ALPHA. Puede tener problemas.',
    'update_current_version_alert'         => 'Estás usando :version, que es la última versión disponible.',
    'update_newer_version_alert'           => 'Estás usando :your_version, que es más reciente que la última versión, :new_version.',
    'update_check_error'                   => 'Se ha producido un error al buscar actualizaciones: :error',
    'unknown_error'                        => 'Error desconocido. Lo sentimos.',
    'just_new_release'                     => '¡Una nueva versión está disponible! La versión :version ha sido liberada :date. Esta versión es muy fresca. Espera unos días a que la nueva versión se estabilice.',
    'disabled_but_check'                   => 'Has desactivado la comprobación de actualizaciones. Así que no olvides comprobar las actualizaciones tú mismo de vez en cuando. ¡Gracias!',
    'admin_update_channel_title'           => 'Canal de actualizaciones',
    'admin_update_channel_explain'         => 'Firefly III tiene tres "canales" de actualización que determinan cuán por delante está en términos de características, mejoras y errores. Usa el canal "beta" si eres aventurero y el "alfa" cuando quieras vivir la vida peligrosamente.',
    'update_channel_stable'                => 'Estable. Todo debería funcionar como se espera.',
    'update_channel_beta'                  => 'Beta. Nuevas funcionalidades, pero las cosas pueden romperse.',
    'update_channel_alpha'                 => 'Alpha. Tiramos cosas y usamos lo que sea que se pegue.',

    // search
    'search'                               => 'Buscar',
    'search_query'                         => 'Consulta',
    'search_found_transactions'            => 'Firefly III encontrada :count transacción en :time segundos.|Firefly III encontradas :count transacciones en :time segundos.',
    'search_found_more_transactions'       => 'Firefly III encontró más de :count transacciones en :time segundos.',
    'search_for_query'                     => 'Firefly III está buscando transacciones que contengan todas estas palabras: <span class="text-info">:query</span>',
    'invalid_operators_list'               => 'Estos parámetros de búsqueda no son válidos y han sido ignorados.',

    // old

    'search_modifier_date_on'                             => 'La fecha de la transacción es ":value"',
    'search_modifier_not_date_on'                         => 'Transaction date is not ":value"',
    'search_modifier_reconciled'                          => 'Transaction is reconciled',
    'search_modifier_not_reconciled'                      => 'Transaction is not reconciled',
    'search_modifier_id'                                  => 'El ID de la transacción es ":value"',
    'search_modifier_not_id'                              => 'Transaction ID is not ":value"',
    'search_modifier_date_before'                         => 'La fecha de la transacción es anterior al ":value"',
    'search_modifier_date_after'                          => 'La fecha de la transacción es posterior al ":value"',
    'search_modifier_external_id_is'                      => 'La ID externo es ":value"',
    'search_modifier_not_external_id_is'                  => 'External ID is not ":value"',
    'search_modifier_no_external_url'                     => 'La transacción no tiene URL externa',
    'search_modifier_no_external_id'                      => 'The transaction has no external ID',
    'search_modifier_not_any_external_url'                => 'The transaction has no external URL',
    'search_modifier_not_any_external_id'                 => 'The transaction has no external ID',
    'search_modifier_any_external_url'                    => 'La transacción debe tener alguna URL externa',
    'search_modifier_any_external_id'                     => 'The transaction must have a (any) external ID',
    'search_modifier_not_no_external_url'                 => 'The transaction must have a (any) external URL',
    'search_modifier_not_no_external_id'                  => 'The transaction must have a (any) external ID',
    'search_modifier_internal_reference_is'               => 'La referencia interna es ":value"',
    'search_modifier_not_internal_reference_is'           => 'Internal reference is not ":value"',
    'search_modifier_description_starts'                  => 'Description starts with ":value"',
    'search_modifier_not_description_starts'              => 'Description does not start with ":value"',
    'search_modifier_description_ends'                    => 'Description ends on ":value"',
    'search_modifier_not_description_ends'                => 'Description does not end on ":value"',
    'search_modifier_description_contains'                => 'La descripción contiene ":value"',
    'search_modifier_not_description_contains'            => 'Description does not contain ":value"',
    'search_modifier_description_is'                      => 'La descripción es exactamente ":value"',
    'search_modifier_not_description_is'                  => 'Description is exactly not ":value"',
    'search_modifier_currency_is'                         => 'La transacción en moneda (extranjera) es ":value"',
    'search_modifier_not_currency_is'                     => 'Transaction (foreign) currency is not ":value"',
    'search_modifier_foreign_currency_is'                 => 'La transacción en moneda extranjera es ":value"',
    'search_modifier_not_foreign_currency_is'             => 'Transaction foreign currency is not ":value"',
    'search_modifier_has_attachments'                     => 'La transacción debe tener un archivo adjunto',
    'search_modifier_has_no_category'                     => 'La transacción no debe tener categoría',
    'search_modifier_not_has_no_category'                 => 'The transaction must have a (any) category',
    'search_modifier_not_has_any_category'                => 'The transaction must have no category',
    'search_modifier_has_any_category'                    => 'La transacción debe tener alguna categoría',
    'search_modifier_has_no_budget'                       => 'La transacción no debe tener presupuesto',
    'search_modifier_not_has_any_budget'                  => 'The transaction must have no budget',
    'search_modifier_has_any_budget'                      => 'La transacción debe tener un presupuesto',
    'search_modifier_not_has_no_budget'                   => 'The transaction must have a (any) budget',
    'search_modifier_has_no_bill'                         => 'La transacción no debe tener factura',
    'search_modifier_not_has_no_bill'                     => 'The transaction must have a (any) bill',
    'search_modifier_has_any_bill'                        => 'La transacción debe tener una (cualquier) factura',
    'search_modifier_not_has_any_bill'                    => 'The transaction must have no bill',
    'search_modifier_has_no_tag'                          => 'La transacción no debe tener etiquetas',
    'search_modifier_not_has_any_tag'                     => 'The transaction must have no tags',
    'search_modifier_not_has_no_tag'                      => 'The transaction must have a (any) tag',
    'search_modifier_has_any_tag'                         => 'La transacción debe tener (alguna) etiqueta',
    'search_modifier_notes_contains'                      => 'Las notas de la transacción contienen ":value"',
    'search_modifier_not_notes_contains'                  => 'The transaction notes do not contain ":value"',
    'search_modifier_notes_starts'                        => 'Las notas de la transacción comienzan con ":value"',
    'search_modifier_not_notes_starts'                    => 'The transaction notes do not start with ":value"',
    'search_modifier_notes_ends'                          => 'Las notas de la transacción terminan con ":value"',
    'search_modifier_not_notes_ends'                      => 'The transaction notes do not end with ":value"',
    'search_modifier_notes_is'                            => 'Las notas de la transacción son exactamente ":value"',
    'search_modifier_not_notes_is'                        => 'The transaction notes are exactly not ":value"',
    'search_modifier_no_notes'                            => 'La transacción no tiene notas',
    'search_modifier_not_no_notes'                        => 'The transaction must have notes',
    'search_modifier_any_notes'                           => 'La transacción debe tener notas',
    'search_modifier_not_any_notes'                       => 'The transaction has no notes',
    'search_modifier_amount_is'                           => 'La cantidad es exactamente :value',
    'search_modifier_not_amount_is'                       => 'Amount is not :value',
    'search_modifier_amount_less'                         => 'Cantidad es menor o igual a :value',
    'search_modifier_not_amount_more'                     => 'Amount is less than or equal to :value',
    'search_modifier_amount_more'                         => 'Cantidad es mayor o igual a :value',
    'search_modifier_not_amount_less'                     => 'Amount is more than or equal to :value',
    'search_modifier_source_account_is'                   => 'El nombre de la cuenta de origen es exactamente ":value"',
    'search_modifier_not_source_account_is'               => 'Source account name is not ":value"',
    'search_modifier_source_account_contains'             => 'El nombre de la cuenta de origen contiene ":value"',
    'search_modifier_not_source_account_contains'         => 'Source account name does not contain ":value"',
    'search_modifier_source_account_starts'               => 'El nombre de la cuenta de origen comienza con ":value"',
    'search_modifier_not_source_account_starts'           => 'Source account name does not start with ":value"',
    'search_modifier_source_account_ends'                 => 'El nombre de la cuenta de origen termina con ":value"',
    'search_modifier_not_source_account_ends'             => 'Source account name does not end with ":value"',
    'search_modifier_source_account_id'                   => 'El ID de cuenta original es :value',
    'search_modifier_not_source_account_id'               => 'Source account ID is not :value',
    'search_modifier_source_account_nr_is'                => 'Número de cuenta de origen (IBAN) es ":value"',
    'search_modifier_not_source_account_nr_is'            => 'Source account number (IBAN) is not ":value"',
    'search_modifier_source_account_nr_contains'          => 'El número de cuenta de origen (IBAN) contiene ":value"',
    'search_modifier_not_source_account_nr_contains'      => 'Source account number (IBAN) does not contain ":value"',
    'search_modifier_source_account_nr_starts'            => 'El número de cuenta de origen (IBAN) comienza con ":value"',
    'search_modifier_not_source_account_nr_starts'        => 'Source account number (IBAN) does not start with ":value"',
    'search_modifier_source_account_nr_ends'              => 'Source account number (IBAN) ends on ":value"',
    'search_modifier_not_source_account_nr_ends'          => 'Source account number (IBAN) does not end on ":value"',
    'search_modifier_destination_account_is'              => 'El nombre de la cuenta de destino es exactamente ":value"',
    'search_modifier_not_destination_account_is'          => 'Destination account name is not ":value"',
    'search_modifier_destination_account_contains'        => 'El nombre de la cuenta de destino contiene ":value"',
    'search_modifier_not_destination_account_contains'    => 'Destination account name does not contain ":value"',
    'search_modifier_destination_account_starts'          => 'El nombre de cuenta de destino comienza con ":value"',
    'search_modifier_not_destination_account_starts'      => 'Destination account name does not start with ":value"',
    'search_modifier_destination_account_ends'            => 'Destination account name ends on ":value"',
    'search_modifier_not_destination_account_ends'        => 'Destination account name does not end on ":value"',
    'search_modifier_destination_account_id'              => 'El ID de la cuenta de destino es :value',
    'search_modifier_not_destination_account_id'          => 'Destination account ID is not :value',
    'search_modifier_destination_is_cash'                 => 'Destination account is the "(cash)" account',
    'search_modifier_not_destination_is_cash'             => 'Destination account is not the "(cash)" account',
    'search_modifier_source_is_cash'                      => 'Source account is the "(cash)" account',
    'search_modifier_not_source_is_cash'                  => 'Source account is not the "(cash)" account',
    'search_modifier_destination_account_nr_is'           => 'El número de cuenta de destino (IBAN) es ":value"',
    'search_modifier_not_destination_account_nr_is'       => 'Destination account number (IBAN) is ":value"',
    'search_modifier_destination_account_nr_contains'     => 'El número de cuenta de destino (IBAN) contiene ":value"',
    'search_modifier_not_destination_account_nr_contains' => 'Destination account number (IBAN) does not contain ":value"',
    'search_modifier_destination_account_nr_starts'       => 'El número de cuenta de destino (IBAN) comienza con ":value"',
    'search_modifier_not_destination_account_nr_starts'   => 'Destination account number (IBAN) does not start with ":value"',
    'search_modifier_destination_account_nr_ends'         => 'El número de cuenta de destino (IBAN) termina con ":value"',
    'search_modifier_not_destination_account_nr_ends'     => 'Destination account number (IBAN) does not end with ":value"',
    'search_modifier_account_id'                          => 'El ID de cuenta de origen o destino es/son: :value',
    'search_modifier_not_account_id'                      => 'Source or destination account ID\'s is/are not: :value',
    'search_modifier_category_is'                         => 'La categoría es ":value"',
    'search_modifier_not_category_is'                     => 'Category is not ":value"',
    'search_modifier_budget_is'                           => 'El presupuesto es ":value"',
    'search_modifier_not_budget_is'                       => 'Budget is not ":value"',
    'search_modifier_bill_is'                             => 'La factura es ":value"',
    'search_modifier_not_bill_is'                         => 'Bill is not ":value"',
    'search_modifier_transaction_type'                    => 'El tipo de transacción es ":value"',
    'search_modifier_not_transaction_type'                => 'Transaction type is not ":value"',
    'search_modifier_tag_is'                              => 'La etiqueta es ":value"',
    'search_modifier_not_tag_is'                          => 'No tag is ":value"',
    'search_modifier_date_on_year'                        => 'El año de la transacción es ":value"',
    'search_modifier_not_date_on_year'                    => 'Transaction is not in year ":value"',
    'search_modifier_date_on_month'                       => 'El mes de la transacción es ":value"',
    'search_modifier_not_date_on_month'                   => 'Transaction is not in month ":value"',
    'search_modifier_date_on_day'                         => 'El día de la transacción es ":value"',
    'search_modifier_not_date_on_day'                     => 'Transaction is not on day of month ":value"',
    'search_modifier_date_before_year'                    => 'El año de la transacción es anterior o igual a ":value"',
    'search_modifier_date_before_month'                   => 'El mes de la transacción es anterior o igual a ":value"',
    'search_modifier_date_before_day'                     => 'El día de la transacción es anterior o igual a ":value"',
    'search_modifier_date_after_year'                     => 'El año de la transacción es posterior o igual a ":value"',
    'search_modifier_date_after_month'                    => 'El mes de la transacción es posterior o igual a ":value"',
    'search_modifier_date_after_day'                      => 'El día de la transacción es posterior o igual a ":value"',


    // new
    'search_modifier_tag_is_not'                          => 'La etiqueta no es ":value"',
    'search_modifier_not_tag_is_not'                      => 'Tag is ":value"',
    'search_modifier_account_is'                          => 'Cualquier cuenta es ":value"',
    'search_modifier_not_account_is'                      => 'Neither account is ":value"',
    'search_modifier_account_contains'                    => 'Cualquier cuenta contiene ":value"',
    'search_modifier_not_account_contains'                => 'Neither account contains ":value"',
    'search_modifier_account_ends'                        => 'Cualquier cuenta termina con ":value"',
    'search_modifier_not_account_ends'                    => 'Neither account ends with ":value"',
    'search_modifier_account_starts'                      => 'Cualquier cuenta comienza con ":value"',
    'search_modifier_not_account_starts'                  => 'Neither account starts with ":value"',
    'search_modifier_account_nr_is'                       => 'Número / IBAN de cualquier cuenta es ":value"',
    'search_modifier_not_account_nr_is'                   => 'Neither account number / IBAN is ":value"',
    'search_modifier_account_nr_contains'                 => 'Número de cuenta / IBAN de cualquier cuenta contiene ":value"',
    'search_modifier_not_account_nr_contains'             => 'Neither account number / IBAN contains ":value"',
    'search_modifier_account_nr_ends'                     => 'Número de cuenta / IBAN de cualquier cuenta termina con ":value"',
    'search_modifier_not_account_nr_ends'                 => 'Neither account number / IBAN ends with ":value"',
    'search_modifier_account_nr_starts'                   => 'Número de cuenta / IBAN de cualquier cuenta empieza con ":value"',
    'search_modifier_not_account_nr_starts'               => 'Neither account number / IBAN starts with ":value"',
    'search_modifier_category_contains'                   => 'La categoría contiene ":value"',
    'search_modifier_not_category_contains'               => 'Category does not contain ":value"',
    'search_modifier_category_ends'                       => 'Category ends on ":value"',
    'search_modifier_not_category_ends'                   => 'Category does not end on ":value"',
    'search_modifier_category_starts'                     => 'La categoría comienza con ":value"',
    'search_modifier_not_category_starts'                 => 'Category does not start with ":value"',
    'search_modifier_budget_contains'                     => 'El presupuesto contiene ":value"',
    'search_modifier_not_budget_contains'                 => 'Budget does not contain ":value"',
    'search_modifier_budget_ends'                         => 'El presupuesto termina con ":value"',
    'search_modifier_not_budget_ends'                     => 'Budget does not end on ":value"',
    'search_modifier_budget_starts'                       => 'El presupuesto comienza con ":value"',
    'search_modifier_not_budget_starts'                   => 'Budget does not start with ":value"',
    'search_modifier_bill_contains'                       => 'La factura contiene ":value"',
    'search_modifier_not_bill_contains'                   => 'Bill does not contain ":value"',
    'search_modifier_bill_ends'                           => 'La factura termina con ":value"',
    'search_modifier_not_bill_ends'                       => 'Bill does not end on ":value"',
    'search_modifier_bill_starts'                         => 'La factura comienza con ":value"',
    'search_modifier_not_bill_starts'                     => 'Bill does not start with ":value"',
    'search_modifier_external_id_contains'                => 'La ID externa contiene ":value"',
    'search_modifier_not_external_id_contains'            => 'External ID does not contain ":value"',
    'search_modifier_external_id_ends'                    => 'La ID externa termina con ":value"',
    'search_modifier_not_external_id_ends'                => 'External ID does not end with ":value"',
    'search_modifier_external_id_starts'                  => 'La ID externa comienza con ":value"',
    'search_modifier_not_external_id_starts'              => 'External ID does not start with ":value"',
    'search_modifier_internal_reference_contains'         => 'La referencia interna contiene ":value"',
    'search_modifier_not_internal_reference_contains'     => 'Internal reference does not contain ":value"',
    'search_modifier_internal_reference_ends'             => 'La referencia interna termina con ":value"',
    'search_modifier_internal_reference_starts'           => 'La referencia interna comienza con ":value"',
    'search_modifier_not_internal_reference_ends'         => 'Internal reference does not end with ":value"',
    'search_modifier_not_internal_reference_starts'       => 'Internal reference does not start with ":value"',
    'search_modifier_external_url_is'                     => 'La URL externa es ":value"',
    'search_modifier_not_external_url_is'                 => 'External URL is not ":value"',
    'search_modifier_external_url_contains'               => 'La URL externa contiene ":value"',
    'search_modifier_not_external_url_contains'           => 'External URL does not contain ":value"',
    'search_modifier_external_url_ends'                   => 'La URL externa termina con ":value"',
    'search_modifier_not_external_url_ends'               => 'External URL does not end with ":value"',
    'search_modifier_external_url_starts'                 => 'La URL externa comienza con ":value"',
    'search_modifier_not_external_url_starts'             => 'External URL does not start with ":value"',
    'search_modifier_has_no_attachments'                  => 'La transacción no tiene archivos adjuntos',
    'search_modifier_not_has_no_attachments'              => 'Transaction has attachments',
    'search_modifier_not_has_attachments'                 => 'Transaction has no attachments',
    'search_modifier_account_is_cash'                     => 'Either account is the "(cash)" account.',
    'search_modifier_not_account_is_cash'                 => 'Neither account is the "(cash)" account.',
    'search_modifier_journal_id'                          => 'La ID del registro es ":value"',
    'search_modifier_not_journal_id'                      => 'The journal ID is not ":value"',
    'search_modifier_recurrence_id'                       => 'El ID de transacción recurrente es ":value"',
    'search_modifier_not_recurrence_id'                   => 'The recurring transaction ID is not ":value"',
    'search_modifier_foreign_amount_is'                   => 'La cantidad en divisa extranjera es ":value"',
    'search_modifier_not_foreign_amount_is'               => 'The foreign amount is not ":value"',
    'search_modifier_foreign_amount_less'                 => 'La cantidad en divisa extranjera es menor que ":value"',
    'search_modifier_not_foreign_amount_more'             => 'The foreign amount is less than ":value"',
    'search_modifier_not_foreign_amount_less'             => 'The foreign amount is more than ":value"',
    'search_modifier_foreign_amount_more'                 => 'La cantidad en divisa extranjera es superior a ":value"',
    'search_modifier_exists'                              => 'Transaction exists (any transaction)',
    'search_modifier_not_exists'                          => 'Transaction does not exist (no transaction)',

    // date fields
    'search_modifier_interest_date_on'                    => 'La fecha de interés de la transacción es ":value"',
    'search_modifier_not_interest_date_on'                => 'Transaction interest date is not ":value"',
    'search_modifier_interest_date_on_year'               => 'La fecha de interés de la transacción es en el año ":value"',
    'search_modifier_not_interest_date_on_year'           => 'Transaction interest date is not in year ":value"',
    'search_modifier_interest_date_on_month'              => 'La fecha de interés de la transacción es en el mes ":value"',
    'search_modifier_not_interest_date_on_month'          => 'Transaction interest date is not in month ":value"',
    'search_modifier_interest_date_on_day'                => 'La fecha de interés de la transacción es en el día ":value"',
    'search_modifier_not_interest_date_on_day'            => 'Transaction interest date is not on day of month ":value"',
    'search_modifier_interest_date_before_year'           => 'El año de interés de la transacción es anterior o igual a ":value"',
    'search_modifier_interest_date_before_month'          => 'Transaction interest date is before or in month ":value"',
    'search_modifier_interest_date_before_day'            => 'Transaction interest date is before or on day of month ":value"',
    'search_modifier_interest_date_after_year'            => 'Transaction interest date is after or in year ":value"',
    'search_modifier_interest_date_after_month'           => 'Transaction interest date is after or in month ":value"',
    'search_modifier_interest_date_after_day'             => 'Transaction interest date is after or on day of month ":value"',
    'search_modifier_book_date_on_year'                   => 'Transaction book date is in year ":value"',
    'search_modifier_book_date_on_month'                  => 'Transaction book date is in month ":value"',
    'search_modifier_book_date_on_day'                    => 'Transaction book date is on day of month ":value"',
    'search_modifier_not_book_date_on_year'               => 'Transaction book date is not in year ":value"',
    'search_modifier_not_book_date_on_month'              => 'Transaction book date is not in month ":value"',
    'search_modifier_not_book_date_on_day'                => 'Transaction book date is not on day of month ":value"',
    'search_modifier_book_date_before_year'               => 'Transaction book date is before or in year ":value"',
    'search_modifier_book_date_before_month'              => 'Transaction book date is before or in month ":value"',
    'search_modifier_book_date_before_day'                => 'Transaction book date is before or on day of month ":value"',
    'search_modifier_book_date_after_year'                => 'Transaction book date is after or in year ":value"',
    'search_modifier_book_date_after_month'               => 'Transaction book date is after or in month ":value"',
    'search_modifier_book_date_after_day'                 => 'Transaction book date is after or on day of month ":value"',
    'search_modifier_process_date_on_year'                => 'Transaction process date is in year ":value"',
    'search_modifier_process_date_on_month'               => 'Transaction process date is in month ":value"',
    'search_modifier_process_date_on_day'                 => 'Transaction process date is on day of month ":value"',
    'search_modifier_not_process_date_on_year'            => 'Transaction process date is not in year ":value"',
    'search_modifier_not_process_date_on_month'           => 'Transaction process date is not in month ":value"',
    'search_modifier_not_process_date_on_day'             => 'Transaction process date is not on day of month ":value"',
    'search_modifier_process_date_before_year'            => 'Transaction process date is before or in year ":value"',
    'search_modifier_process_date_before_month'           => 'Transaction process date is before or in month ":value"',
    'search_modifier_process_date_before_day'             => 'Transaction process date is before or on day of month ":value"',
    'search_modifier_process_date_after_year'             => 'Transaction process date is after or in year ":value"',
    'search_modifier_process_date_after_month'            => 'Transaction process date is after or in month ":value"',
    'search_modifier_process_date_after_day'              => 'Transaction process date is after or on day of month ":value"',
    'search_modifier_due_date_on_year'                    => 'Transaction due date is in year ":value"',
    'search_modifier_due_date_on_month'                   => 'Transaction due date is in month ":value"',
    'search_modifier_due_date_on_day'                     => 'Transaction due date is on day of month ":value"',
    'search_modifier_not_due_date_on_year'                => 'Transaction due date is not in year ":value"',
    'search_modifier_not_due_date_on_month'               => 'Transaction due date is not in month ":value"',
    'search_modifier_not_due_date_on_day'                 => 'Transaction due date is not on day of month ":value"',
    'search_modifier_due_date_before_year'                => 'Transaction due date is before or in year ":value"',
    'search_modifier_due_date_before_month'               => 'Transaction due date is before or in month ":value"',
    'search_modifier_due_date_before_day'                 => 'Transaction due date is before or on day of month ":value"',
    'search_modifier_due_date_after_year'                 => 'Transaction due date is after or in year ":value"',
    'search_modifier_due_date_after_month'                => 'Transaction due date is after or in month ":value"',
    'search_modifier_due_date_after_day'                  => 'Transaction due date is after or on day of month ":value"',
    'search_modifier_payment_date_on_year'                => 'Transaction payment date is in year ":value"',
    'search_modifier_payment_date_on_month'               => 'Transaction payment date is in month ":value"',
    'search_modifier_payment_date_on_day'                 => 'Transaction payment date is on day of month ":value"',
    'search_modifier_not_payment_date_on_year'            => 'Transaction payment date is not in year ":value"',
    'search_modifier_not_payment_date_on_month'           => 'Transaction payment date is not in month ":value"',
    'search_modifier_not_payment_date_on_day'             => 'Transaction payment date is not on day of month ":value"',
    'search_modifier_payment_date_before_year'            => 'Transaction payment date is before or in year ":value"',
    'search_modifier_payment_date_before_month'           => 'Transaction payment date is before or in month ":value"',
    'search_modifier_payment_date_before_day'             => 'Transaction payment date is before or on day of month ":value"',
    'search_modifier_payment_date_after_year'             => 'Transaction payment date is after or in year ":value"',
    'search_modifier_payment_date_after_month'            => 'Transaction payment date is after or in month ":value"',
    'search_modifier_payment_date_after_day'              => 'Transaction payment date is after or on day of month ":value"',
    'search_modifier_invoice_date_on_year'                => 'Transaction invoice date is in year ":value"',
    'search_modifier_invoice_date_on_month'               => 'Transaction invoice date is in month ":value"',
    'search_modifier_invoice_date_on_day'                 => 'Transaction invoice date is on day of month ":value"',
    'search_modifier_not_invoice_date_on_year'            => 'Transaction invoice date is not in year ":value"',
    'search_modifier_not_invoice_date_on_month'           => 'Transaction invoice date is not in month ":value"',
    'search_modifier_not_invoice_date_on_day'             => 'Transaction invoice date is not on day of month ":value"',
    'search_modifier_invoice_date_before_year'            => 'Transaction invoice date is before or in year ":value"',
    'search_modifier_invoice_date_before_month'           => 'Transaction invoice date is before or in month ":value"',
    'search_modifier_invoice_date_before_day'             => 'Transaction invoice date is before or on day of month ":value"',
    'search_modifier_invoice_date_after_year'             => 'Transaction invoice date is after or in year ":value"',
    'search_modifier_invoice_date_after_month'            => 'Transaction invoice date is after or in month ":value"',
    'search_modifier_invoice_date_after_day'              => 'Transaction invoice date is after or on day of month ":value"',
    // other dates
    'search_modifier_updated_at_on_year'                  => 'Transaction was last updated in year ":value"',
    'search_modifier_updated_at_on_month'                 => 'Transaction was last updated in month ":value"',
    'search_modifier_updated_at_on_day'                   => 'Transaction was last updated on day of month ":value"',
    'search_modifier_not_updated_at_on_year'              => 'Transaction was not last updated in year ":value"',
    'search_modifier_not_updated_at_on_month'             => 'Transaction was not last updated in month ":value"',
    'search_modifier_not_updated_at_on_day'               => 'Transaction was not last updated on day of month ":value"',
    'search_modifier_updated_at_before_year'              => 'Transaction was last updated in or before year ":value"',
    'search_modifier_updated_at_before_month'             => 'Transaction was last updated in or before month ":value"',
    'search_modifier_updated_at_before_day'               => 'Transaction was last updated on or before day of month ":value"',
    'search_modifier_updated_at_after_year'               => 'Transaction was last updated in or after year ":value"',
    'search_modifier_updated_at_after_month'              => 'Transaction was last updated in or after month ":value"',
    'search_modifier_updated_at_after_day'                => 'Transaction was last updated on or after day of month ":value"',
    'search_modifier_created_at_on_year'                  => 'Transaction was created in year ":value"',
    'search_modifier_created_at_on_month'                 => 'Transaction was created in month ":value"',
    'search_modifier_created_at_on_day'                   => 'Transaction was created on day of month ":value"',
    'search_modifier_not_created_at_on_year'              => 'Transaction was not created in year ":value"',
    'search_modifier_not_created_at_on_month'             => 'Transaction was not created in month ":value"',
    'search_modifier_not_created_at_on_day'               => 'Transaction was not created on day of month ":value"',
    'search_modifier_created_at_before_year'              => 'Transaction was created in or before year ":value"',
    'search_modifier_created_at_before_month'             => 'Transaction was created in or before month ":value"',
    'search_modifier_created_at_before_day'               => 'Transaction was created on or before day of month ":value"',
    'search_modifier_created_at_after_year'               => 'Transaction was created in or after year ":value"',
    'search_modifier_created_at_after_month'              => 'Transaction was created in or after month ":value"',
    'search_modifier_created_at_after_day'                => 'Transaction was created on or after day of month ":value"',
    'search_modifier_interest_date_before'                => 'Transaction interest date is on or before ":value"',
    'search_modifier_interest_date_after'                 => 'Transaction interest date is on or after ":value"',
    'search_modifier_book_date_on'                        => 'Transaction book date is on ":value"',
    'search_modifier_not_book_date_on'                    => 'Transaction book date is not on ":value"',
    'search_modifier_book_date_before'                    => 'Transaction book date is on or before ":value"',
    'search_modifier_book_date_after'                     => 'Transaction book date is on or after ":value"',
    'search_modifier_process_date_on'                     => 'Transaction process date is on ":value"',
    'search_modifier_not_process_date_on'                 => 'Transaction process date is not on ":value"',
    'search_modifier_process_date_before'                 => 'Transaction process date is on or before ":value"',
    'search_modifier_process_date_after'                  => 'Transaction process date is on or after ":value"',
    'search_modifier_due_date_on'                         => 'Transaction due date is on ":value"',
    'search_modifier_not_due_date_on'                     => 'Transaction due date is not on ":value"',
    'search_modifier_due_date_before'                     => 'Transaction due date is on or before ":value"',
    'search_modifier_due_date_after'                      => 'Transaction due date is on or after ":value"',
    'search_modifier_payment_date_on'                     => 'Transaction payment date is on ":value"',
    'search_modifier_not_payment_date_on'                 => 'Transaction payment date is not on ":value"',
    'search_modifier_payment_date_before'                 => 'Transaction payment date is on or before ":value"',
    'search_modifier_payment_date_after'                  => 'Transaction payment date is on or after ":value"',
    'search_modifier_invoice_date_on'                     => 'Transaction invoice date is on ":value"',
    'search_modifier_not_invoice_date_on'                 => 'Transaction invoice date is not on ":value"',
    'search_modifier_invoice_date_before'                 => 'Transaction invoice date is on or before ":value"',
    'search_modifier_invoice_date_after'                  => 'Transaction invoice date is on or after ":value"',
    'search_modifier_created_at_on'                       => 'Transaction was created on ":value"',
    'search_modifier_not_created_at_on'                   => 'Transaction was not created on ":value"',
    'search_modifier_created_at_before'                   => 'Transaction was created on or before ":value"',
    'search_modifier_created_at_after'                    => 'Transaction was created on or after ":value"',
    'search_modifier_updated_at_on'                       => 'Transaction was updated on ":value"',
    'search_modifier_not_updated_at_on'                   => 'Transaction was not updated on ":value"',
    'search_modifier_updated_at_before'                   => 'Transaction was updated on or before ":value"',
    'search_modifier_updated_at_after'                    => 'Transaction was updated on or after ":value"',

    'search_modifier_attachment_name_is'                  => 'Any attachment\'s name is ":value"',
    'search_modifier_attachment_name_contains'            => 'Any attachment\'s name contains ":value"',
    'search_modifier_attachment_name_starts'              => 'Any attachment\'s name starts with ":value"',
    'search_modifier_attachment_name_ends'                => 'Any attachment\'s name ends with ":value"',
    'search_modifier_attachment_notes_are'                => 'Any attachment\'s notes are ":value"',
    'search_modifier_attachment_notes_contains'           => 'Any attachment\'s notes contain ":value"',
    'search_modifier_attachment_notes_starts'             => 'Any attachment\'s notes start with ":value"',
    'search_modifier_attachment_notes_ends'               => 'Any attachment\'s notes end with ":value"',
    'search_modifier_not_attachment_name_is'              => 'Any attachment\'s name is not ":value"',
    'search_modifier_not_attachment_name_contains'        => 'Any attachment\'s name does not contain ":value"',
    'search_modifier_not_attachment_name_starts'          => 'Any attachment\'s name does not start with ":value"',
    'search_modifier_not_attachment_name_ends'            => 'Any attachment\'s name does not end with ":value"',
    'search_modifier_not_attachment_notes_are'            => 'Any attachment\'s notes are not ":value"',
    'search_modifier_not_attachment_notes_contains'       => 'Any attachment\'s notes do not contain ":value"',
    'search_modifier_not_attachment_notes_starts'         => 'Any attachment\'s notes start with ":value"',
    'search_modifier_not_attachment_notes_ends'           => 'Any attachment\'s notes do not end with ":value"',
    'search_modifier_sepa_ct_is'                          => 'SEPA CT is ":value"',
    'update_rule_from_query'                              => 'Actualizar regla ":rule" de la consulta de búsqueda',
    'create_rule_from_query'                              => 'Crear nueva regla a partir de la consulta de búsqueda',
    'rule_from_search_words'                              => 'El motor de reglas tiene un manejo difícil ":string". La regla sugerida que se ajusta a su consulta de búsqueda puede dar diferentes resultados. Por favor verifique los activadores de la regla cuidadosamente.',


    // END
    'modifiers_applies_are'                               => 'Los siguientes modificadores también se aplican a la búsqueda:',
    'general_search_error'                                => 'Se ha producido un error durante la búsqueda. Por favor, compruebe los archivos de registro para obtener más información.',
    'search_box'                                          => 'Buscar',
    'search_box_intro'                                    => 'Bienvenido a la función de búsqueda de Firefly III. Introduce tu consulta de búsqueda en el cuadro. Asegúrate de revisar el archivo de ayuda porque el buscador es bastante avanzado.',
    'search_error'                                        => 'Error durante la búsqueda',
    'search_searching'                                    => 'Buscando...',
    'search_results'                                      => 'Buscar resultados',

    // repeat frequencies:
    'repeat_freq_yearly'                                  => 'anualmente',
    'repeat_freq_half-year'                               => 'cada medio año',
    'repeat_freq_quarterly'                               => 'trimestralmente',
    'repeat_freq_monthly'                                 => 'mensualmente',
    'repeat_freq_weekly'                                  => 'semanalmente',
    'repeat_freq_daily'                                   => 'diariamente',
    'daily'                                               => 'diariamente',
    'weekly'                                              => 'semanalmente',
    'quarterly'                                           => 'trimestralmente',
    'half-year'                                           => 'cada medio año',
    'yearly'                                              => 'anualmente',

    // rules
    'is_not_rule_trigger'                                 => 'Not',
    'cannot_fire_inactive_rules'                          => 'No puedes ejecutar reglas inactivas.',
    'rules'                                               => 'Reglas',
    'rule_name'                                           => 'Nombre de la regla',
    'rule_triggers'                                       => 'La regla se activa cuando',
    'rule_actions'                                        => 'La regla será',
    'new_rule'                                            => 'Nueva regla',
    'new_rule_group'                                      => 'Nuevo grupo de reglas',
    'rule_priority_up'                                    => 'Dar más prioridad a una regla',
    'rule_priority_down'                                  => 'Dar menos prioridad a una regla',
    'make_new_rule_group'                                 => 'Hacer un nuevo grupo de reglas',
    'store_new_rule_group'                                => 'Crear grupo de reglas',
    'created_new_rule_group'                              => '¡Nuevo grupo de reglas ":title" guardado!',
    'updated_rule_group'                                  => 'Grupo de reglas actualizado correctamente ":title".',
    'edit_rule_group'                                     => 'Editar grupo de reglas ":title"',
    'duplicate_rule'                                      => 'Duplicar regla ":title"',
    'rule_copy_of'                                        => 'Copia de ":title"',
    'duplicated_rule'                                     => 'Regla ":title" duplicada en ":newTitle"',
    'delete_rule_group'                                   => 'Eliminar grupo de reglas ":title"',
    'deleted_rule_group'                                  => 'Eliminar grupo de reglas ":title"',
    'update_rule_group'                                   => 'Actualizar grupo de reglas',
    'no_rules_in_group'                                   => 'No hay reglas en este grupo',
    'move_rule_group_up'                                  => 'Mover la regla hacia arriba',
    'move_rule_group_down'                                => 'Mover el grupo de reglas hacia abajo',
    'save_rules_by_moving'                                => 'Guardar esta regla moviéndola a otro grupo de reglas:|Guardar estas reglas moviéndolas a otro grupo de reglas:',
    'make_new_rule'                                       => 'Crea una nueva regla en el grupo ":title"',
    'make_new_rule_no_group'                              => 'Crea una nueva regla',
    'instructions_rule_from_bill'                         => 'A fin de hacer coincidir las transacciones con su nueva cuenta ":name", Firefly III puede crear una regla que chequeará automáticamente todas las transacciones que guardes. Por favor, verifique los detalles debajo y guarde la regla para que Firefly III automáticamente haga coincidir las transacciones con su nueva cuenta.',
    'instructions_rule_from_journal'                      => 'Cree una regla basada en una de sus transacciones. Complemente o envíe el siguiente formulario.',
    'rule_is_strict'                                      => 'regla estricta',
    'rule_is_not_strict'                                  => 'regla no estricta',
    'rule_help_stop_processing'                           => 'Al marcar esta casilla, las reglas posteriores de este grupo no se ejecutarán.',
    'rule_help_strict'                                    => 'En las reglas estrictas TODOS los desencadenadores deben actuar para acción(es) que será(n) ejecutada(s). En las reglas no estrictas, CUALQUIER desencadenador es suficiente para que la(s) acción(es) se ejecute(n).',
    'rule_help_active'                                    => 'Las reglas inactivas nunca se ejecutan.',
    'stored_new_rule'                                     => 'Guardar la nueva regla con titulo ":title"',
    'deleted_rule'                                        => 'Regla eliminada con titulo ":title"',
    'store_new_rule'                                      => 'Crear regla',
    'updated_rule'                                        => 'Regla actualizada con titulo ":title"',
    'default_rule_group_name'                             => 'Reglaspredeterminada',
    'default_rule_group_description'                      => 'Todas las reglas que no pertenecen a ningún grupo.',
    'trigger'                                             => 'Disparador',
    'trigger_value'                                       => 'Disparador en valor',
    'stop_processing_other_triggers'                      => 'Pare el procesamiento de otros disparadores',
    'add_rule_trigger'                                    => 'Añadir nuevo disparador',
    'action'                                              => 'Acción',
    'action_value'                                        => 'Valor de acción',
    'stop_executing_other_actions'                        => 'Dejar de ejecutar otras acciones',
    'add_rule_action'                                     => 'Añadir nueva acción',
    'edit_rule'                                           => 'Editar regla ":title"',
    'delete_rule'                                         => 'Eliminar regla ":title"',
    'update_rule'                                         => 'Actualizar regla',
    'test_rule_triggers'                                  => 'Ver transacciones que coinciden',
    'warning_no_matching_transactions'                    => 'No se encontraron transacciones coincidentes.',
    'warning_no_valid_triggers'                           => 'No se proveen disparadores validos.',
    'apply_rule_selection'                                => 'Aplique la regla ":title" a una seleccion de sus transacciones',
    'apply_rule_selection_intro'                          => 'Las reglas como ":title" normalmente sólo se aplican a transacciones nuevas o actualizadas, pero puedes indicarle a Firefly III que las ejecute en una selección de transacciones existentes. Esto puede ser útil si has actualizado una regla y necesitas que los cambios se apliquen a todas tus otras transacciones.',
    'include_transactions_from_accounts'                  => 'Introduzca transacciones desde estas cuentas',
    'include'                                             => '¿Incluir?',
    'applied_rule_selection'                              => '{0} Ninguna transacción en su selección fue cambiada por la regla ":title".|[1] Una transacción en su selección fue cambiada por la regla ":title".|[2,*] :count transacciones en su selección fueron cambiadas por la regla ":title".',
    'execute'                                             => 'Ejecutar',
    'apply_rule_group_selection'                          => 'Aplique la regla de grupo ":title" a una selección de sus transacciones',
    'apply_rule_group_selection_intro'                    => 'Los grupos de reglas como ":title" normalmente sólo se aplican a transacciones nuevas o actualizadas, pero puedes indicarle a Firefly III que ejecute todas las reglas de este grupo en una selección de transacciones existentes. Esto puede ser útil si has actualizado un grupo de reglas y necesitas que los cambios se apliquen a todas tus otras transacciones.',
    'applied_rule_group_selection'                        => 'El grupo de reglas ":title" ha sido aplicada a su selección.',

    // actions and triggers
    'rule_trigger_store_journal'                          => 'Cuando la transacción es creada',
    'rule_trigger_update_journal'                         => 'Cuando la transacción es actualizada',
    'rule_trigger_user_action'                            => 'La acción del usuario es ":trigger_value"',


    // OLD values (remove non-doubles later):
    'rule_trigger_source_account_starts_choice'           => 'El nombre de la cuenta de origen comienza con..',
    'rule_trigger_source_account_starts'                  => 'El nombre de la cuenta de origen comienza con ":trigger_value"',
    'rule_trigger_source_account_ends_choice'             => 'El nombre de la cuenta de origen termina con..',
    'rule_trigger_source_account_ends'                    => 'El nombre de la cuenta de origen termina con ":trigger_value"',
    'rule_trigger_source_account_is_choice'               => 'El nombre de la cuenta origen es..',
    'rule_trigger_source_account_is'                      => 'El nombre de la cuenta origen es ":trigger_value"',
    'rule_trigger_source_account_contains_choice'         => 'El nombre de cuenta de origen contiene..',
    'rule_trigger_source_account_contains'                => 'El nombre de la cuenta origen contiene ":trigger_value"',
    'rule_trigger_account_id_choice'                      => 'Either account ID is exactly..',
    'rule_trigger_account_id'                             => 'Either account ID is exactly :trigger_value',
    'rule_trigger_source_account_id_choice'               => 'El ID de la cuenta de origen es exactamente..',
    'rule_trigger_source_account_id'                      => 'El ID de cuenta origen es exactamente :trigger_value',
    'rule_trigger_destination_account_id_choice'          => 'El ID de la cuenta de destino es exactamente..',
    'rule_trigger_destination_account_id'                 => 'El ID de cuenta de destino es exactamente :trigger_value',
    'rule_trigger_account_is_cash_choice'                 => 'Either account is cash',
    'rule_trigger_account_is_cash'                        => 'Either account is cash',
    'rule_trigger_source_is_cash_choice'                  => 'La cuenta de origen es de efectivo',
    'rule_trigger_source_is_cash'                         => 'La cuenta de origen es de efectivo',
    'rule_trigger_destination_is_cash_choice'             => 'La cuenta de destino es de efectivo',
    'rule_trigger_destination_is_cash'                    => 'La cuenta de origen es de efectivo',
    'rule_trigger_source_account_nr_starts_choice'        => 'Número de la cuenta de origen / IBAN comienza con..',
    'rule_trigger_source_account_nr_starts'               => 'Número / IBAN de la cuenta origen empieza con ":trigger_value"',
    'rule_trigger_source_account_nr_ends_choice'          => 'Número / IBAN de la cuenta de origen termina con..',
    'rule_trigger_source_account_nr_ends'                 => 'Número de la cuenta de origen / IBAN termina con ":trigger_value"',
    'rule_trigger_source_account_nr_is_choice'            => 'Número de la cuenta de origen / IBAN es..',
    'rule_trigger_source_account_nr_is'                   => 'Número de cuenta de origen / IBAN es ":trigger_value"',
    'rule_trigger_source_account_nr_contains_choice'      => 'Número de cuenta de origen / IBAN contiene..',
    'rule_trigger_source_account_nr_contains'             => 'Número de cuenta de origen / IBAN contiene ":trigger_value"',
    'rule_trigger_destination_account_starts_choice'      => 'El nombre de cuenta de destino comienza con..',
    'rule_trigger_destination_account_starts'             => 'El nombre de cuenta de destino comienza con ":trigger_value"',
    'rule_trigger_destination_account_ends_choice'        => 'El nombre de cuenta de destino termina con...',
    'rule_trigger_destination_account_ends'               => 'El nombre de la cuenta de destino termina con ":trigger_value"',
    'rule_trigger_destination_account_is_choice'          => 'El nombre de cuenta de destino es...',
    'rule_trigger_destination_account_is'                 => 'El nombre de la cuenta de destino es ":trigger_value"',
    'rule_trigger_destination_account_contains_choice'    => 'El nombre de cuenta de destino contiene..',
    'rule_trigger_destination_account_contains'           => 'El nombre de la cuenta de destino contiene ":trigger_value"',
    'rule_trigger_destination_account_nr_starts_choice'   => 'Número / IBAN de la cuenta de destino empieza con..',
    'rule_trigger_destination_account_nr_starts'          => 'Número de la cuenta de destino / IBAN comienza con ":trigger_value"',
    'rule_trigger_destination_account_nr_ends_choice'     => 'Número de la cuenta de destino / IBAN termina con..',
    'rule_trigger_destination_account_nr_ends'            => 'Número de la cuenta de destino / IBAN termina con ":trigger_value"',
    'rule_trigger_destination_account_nr_is_choice'       => 'Número de la cuenta de destino / IBAN es..',
    'rule_trigger_destination_account_nr_is'              => 'Número de la cuenta de destino / IBAN es ":trigger_value"',
    'rule_trigger_destination_account_nr_contains_choice' => 'El número de la cuenta de destino / IBAN contiene..',
    'rule_trigger_destination_account_nr_contains'        => 'El número de la cuenta de destino / IBAN contiene ":trigger_value"',
    'rule_trigger_transaction_type_choice'                => 'Transacción es del tipo..',
    'rule_trigger_transaction_type'                       => 'La transacción es de tipo ":trigger_value"',
    'rule_trigger_category_is_choice'                     => 'Categoría es..',
    'rule_trigger_category_is'                            => 'Categoría es ":trigger_value"',
    'rule_trigger_amount_less_choice'                     => 'Cantidad es menos de..',
    'rule_trigger_amount_less'                            => 'La cantidad es menor que :trigger_value',
    'rule_trigger_amount_is_choice'                       => 'Amount is..',
    'rule_trigger_amount_is'                              => 'Amount is :trigger_value',
    'rule_trigger_amount_more_choice'                     => 'Cantidad es mas de..',
    'rule_trigger_amount_more'                            => 'Cantidad es más de :trigger_value',
    'rule_trigger_description_starts_choice'              => 'Descripción comienza con..',
    'rule_trigger_description_starts'                     => 'La descripción comienza con ":trigger_value"',
    'rule_trigger_description_ends_choice'                => 'Descripción termina con..',
    'rule_trigger_description_ends'                       => 'La descripción termina con ":trigger_value"',
    'rule_trigger_description_contains_choice'            => 'Descripción contiene..',
    'rule_trigger_description_contains'                   => 'La descripción contiene ":trigger_value"',
    'rule_trigger_description_is_choice'                  => 'Descripción es..',
    'rule_trigger_description_is'                         => 'La descripción es ":trigger_value"',
    'rule_trigger_date_on_choice'                         => 'Transaction date is..',
    'rule_trigger_date_on'                                => 'Transaction date is ":trigger_value"',
    'rule_trigger_date_before_choice'                     => 'La fecha de la transacción es anterior a..',
    'rule_trigger_date_before'                            => 'La fecha de la transacción es anterior a ":trigger_value"',
    'rule_trigger_date_after_choice'                      => 'La fecha de la transacción es después de..',
    'rule_trigger_date_after'                             => 'La fecha de la transacción es después de ":trigger_value"',
    'rule_trigger_created_at_on_choice'                   => 'Transaction was made on..',
    'rule_trigger_created_at_on'                          => 'Transaction was made on ":trigger_value"',
    'rule_trigger_updated_at_on_choice'                   => 'Transaction was last edited on..',
    'rule_trigger_updated_at_on'                          => 'Transaction was last edited on ":trigger_value"',
    'rule_trigger_budget_is_choice'                       => 'Presupuesto es..',
    'rule_trigger_budget_is'                              => 'Presupuesto es ":trigger_value"',
    'rule_trigger_tag_is_choice'                          => 'Any tag is..',
    'rule_trigger_tag_is'                                 => 'Any tag is ":trigger_value"',
    'rule_trigger_currency_is_choice'                     => 'La moneda de la transacción es..',
    'rule_trigger_currency_is'                            => 'La moneda de la transacción es ":trigger_value"',
    'rule_trigger_foreign_currency_is_choice'             => 'La transacción en moneda extranjera es..',
    'rule_trigger_foreign_currency_is'                    => 'La transacción en moneda extranjera es ":trigger_value"',
    'rule_trigger_has_attachments_choice'                 => 'Tiene al menos tantos archivos adjuntos',
    'rule_trigger_has_attachments'                        => 'Tiene al menos :trigger_value anexo(s)',
    'rule_trigger_has_no_category_choice'                 => 'No tiene categoría',
    'rule_trigger_has_no_category'                        => 'La transacción no tiene categoría',
    'rule_trigger_has_any_category_choice'                => 'Tiene (cualquier) categoría',
    'rule_trigger_has_any_category'                       => 'La transacción tiene (cualquier) categoría',
    'rule_trigger_has_no_budget_choice'                   => 'No tiene presupuesto',
    'rule_trigger_has_no_budget'                          => 'Transacción no tiene presupuesto',
    'rule_trigger_has_any_budget_choice'                  => 'Tiene un (cualquier) presupuesto',
    'rule_trigger_has_any_budget'                         => 'La transacción tiene (cualquier) presupuesto',
    'rule_trigger_has_no_bill_choice'                     => 'No tiene factura',
    'rule_trigger_has_no_bill'                            => 'Transacción no tiene factura',
    'rule_trigger_has_any_bill_choice'                    => 'Tiene una (cualquier) factura',
    'rule_trigger_has_any_bill'                           => 'Transacción tiene una (cualquier) factura',
    'rule_trigger_has_no_tag_choice'                      => 'No tiene etiqueta(s)',
    'rule_trigger_has_no_tag'                             => 'La transacción no tiene etiqueta(s)',
    'rule_trigger_has_any_tag_choice'                     => 'Tiene una o mas (cualquier) etiquetas',
    'rule_trigger_has_any_tag'                            => 'La transacción tiene una o mas (cualquier) etiquetas',
    'rule_trigger_any_notes_choice'                       => 'Tiene (cualquier) notas',
    'rule_trigger_any_notes'                              => 'La transacción tiene (cualquier) notas',
    'rule_trigger_no_notes_choice'                        => 'No tiene notas',
    'rule_trigger_no_notes'                               => 'Transacción no tiene notas',
    'rule_trigger_notes_is_choice'                        => 'Notes are..',
    'rule_trigger_notes_is'                               => 'Notes are ":trigger_value"',
    'rule_trigger_notes_contains_choice'                  => 'Notes contain..',
    'rule_trigger_notes_contains'                         => 'Notes contain ":trigger_value"',
    'rule_trigger_notes_starts_choice'                    => 'Notes start with..',
    'rule_trigger_notes_starts'                           => 'Notes start with ":trigger_value"',
    'rule_trigger_notes_ends_choice'                      => 'Notes end with..',
    'rule_trigger_notes_ends'                             => 'Notes end with ":trigger_value"',
    'rule_trigger_bill_is_choice'                         => 'La factura es..',
    'rule_trigger_bill_is'                                => 'La factura es ":trigger_value"',
    'rule_trigger_external_id_is_choice'                  => 'External ID is..',
    'rule_trigger_external_id_is'                         => 'External ID is ":trigger_value"',
    'rule_trigger_internal_reference_is_choice'           => 'Internal reference is..',
    'rule_trigger_internal_reference_is'                  => 'Internal reference is ":trigger_value"',
    'rule_trigger_journal_id_choice'                      => 'El ID del diario de transacciones es..',
    'rule_trigger_journal_id'                             => 'El ID del diario de transacciones es ":trigger_value"',
    'rule_trigger_no_external_url'                        => 'La transacción no tiene URL externa',
    'rule_trigger_any_external_url'                       => 'La transacción tiene una URL externa',
    'rule_trigger_any_external_url_choice'                => 'La transacción tiene una URL externa',
    'rule_trigger_no_external_url_choice'                 => 'La transacción no tiene URL externa',
    'rule_trigger_id_choice'                              => 'La ID de la transacción es..',
    'rule_trigger_id'                                     => 'La ID de la transacción es ":trigger_value"',
    'rule_trigger_sepa_ct_is_choice'                      => 'SEPA CT is..',
    'rule_trigger_sepa_ct_is'                             => 'SEPA CT is ":trigger_value"',

    // new values:
    'rule_trigger_user_action_choice'                     => 'User action is ":trigger_value"',
    'rule_trigger_tag_is_not_choice'                      => 'No tag is..',
    'rule_trigger_tag_is_not'                             => 'No tag is ":trigger_value"',
    'rule_trigger_account_is_choice'                      => 'Either account is exactly..',
    'rule_trigger_account_is'                             => 'Either account is exactly ":trigger_value"',
    'rule_trigger_account_contains_choice'                => 'Either account contains..',
    'rule_trigger_account_contains'                       => 'Either account contains ":trigger_value"',
    'rule_trigger_account_ends_choice'                    => 'Either account ends with..',
    'rule_trigger_account_ends'                           => 'Either account ends with ":trigger_value"',
    'rule_trigger_account_starts_choice'                  => 'Either account starts with..',
    'rule_trigger_account_starts'                         => 'Either account starts with ":trigger_value"',
    'rule_trigger_account_nr_is_choice'                   => 'Either account number / IBAN is..',
    'rule_trigger_account_nr_is'                          => 'Either account number / IBAN is ":trigger_value"',
    'rule_trigger_account_nr_contains_choice'             => 'Either account number / IBAN contains..',
    'rule_trigger_account_nr_contains'                    => 'Either account number / IBAN contains ":trigger_value"',
    'rule_trigger_account_nr_ends_choice'                 => 'Either account number / IBAN ends with..',
    'rule_trigger_account_nr_ends'                        => 'Either account number / IBAN ends with ":trigger_value"',
    'rule_trigger_account_nr_starts_choice'               => 'Either account number / IBAN starts with..',
    'rule_trigger_account_nr_starts'                      => 'Either account number / IBAN starts with ":trigger_value"',
    'rule_trigger_category_contains_choice'               => 'Category contains..',
    'rule_trigger_category_contains'                      => 'Category contains ":trigger_value"',
    'rule_trigger_category_ends_choice'                   => 'Category ends with..',
    'rule_trigger_category_ends'                          => 'Category ends with ":trigger_value"',
    'rule_trigger_category_starts_choice'                 => 'Category starts with..',
    'rule_trigger_category_starts'                        => 'Category starts with ":trigger_value"',
    'rule_trigger_budget_contains_choice'                 => 'Budget contains..',
    'rule_trigger_budget_contains'                        => 'Budget contains ":trigger_value"',
    'rule_trigger_budget_ends_choice'                     => 'Budget ends with..',
    'rule_trigger_budget_ends'                            => 'Budget ends with ":trigger_value"',
    'rule_trigger_budget_starts_choice'                   => 'Budget starts with..',
    'rule_trigger_budget_starts'                          => 'Budget starts with ":trigger_value"',
    'rule_trigger_bill_contains_choice'                   => 'Bill contains..',
    'rule_trigger_bill_contains'                          => 'Bill contains ":trigger_value"',
    'rule_trigger_bill_ends_choice'                       => 'Bill ends with..',
    'rule_trigger_bill_ends'                              => 'Bill ends with ":trigger_value"',
    'rule_trigger_bill_starts_choice'                     => 'Bill starts with..',
    'rule_trigger_bill_starts'                            => 'Bill starts with ":trigger_value"',
    'rule_trigger_external_id_contains_choice'            => 'External ID contains..',
    'rule_trigger_external_id_contains'                   => 'External ID contains ":trigger_value"',
    'rule_trigger_external_id_ends_choice'                => 'External ID ends with..',
    'rule_trigger_external_id_ends'                       => 'External ID ends with ":trigger_value"',
    'rule_trigger_external_id_starts_choice'              => 'External ID starts with..',
    'rule_trigger_external_id_starts'                     => 'External ID starts with ":trigger_value"',
    'rule_trigger_internal_reference_contains_choice'     => 'Internal reference contains..',
    'rule_trigger_internal_reference_contains'            => 'Internal reference contains ":trigger_value"',
    'rule_trigger_internal_reference_ends_choice'         => 'Internal reference ends with..',
    'rule_trigger_internal_reference_ends'                => 'Internal reference ends with ":trigger_value"',
    'rule_trigger_internal_reference_starts_choice'       => 'Internal reference starts with..',
    'rule_trigger_internal_reference_starts'              => 'Internal reference starts with ":trigger_value"',
    'rule_trigger_external_url_is_choice'                 => 'External URL is..',
    'rule_trigger_external_url_is'                        => 'External URL is ":trigger_value"',
    'rule_trigger_external_url_contains_choice'           => 'External URL contains..',
    'rule_trigger_external_url_contains'                  => 'External URL contains ":trigger_value"',
    'rule_trigger_external_url_ends_choice'               => 'External URL ends with..',
    'rule_trigger_external_url_ends'                      => 'External URL ends with ":trigger_value"',
    'rule_trigger_external_url_starts_choice'             => 'External URL starts with..',
    'rule_trigger_external_url_starts'                    => 'External URL starts with ":trigger_value"',
    'rule_trigger_has_no_attachments_choice'              => 'Has no attachments',
    'rule_trigger_has_no_attachments'                     => 'Transaction has no attachments',
    'rule_trigger_recurrence_id_choice'                   => 'Recurring transaction ID is..',
    'rule_trigger_recurrence_id'                          => 'Recurring transaction ID is ":trigger_value"',
    'rule_trigger_interest_date_on_choice'                => 'Interest date is on..',
    'rule_trigger_interest_date_on'                       => 'Interest date is on ":trigger_value"',
    'rule_trigger_interest_date_before_choice'            => 'Interest date is before..',
    'rule_trigger_interest_date_before'                   => 'Interest date is before ":trigger_value"',
    'rule_trigger_interest_date_after_choice'             => 'Interest date is after..',
    'rule_trigger_interest_date_after'                    => 'Interest date is after ":trigger_value"',
    'rule_trigger_book_date_on_choice'                    => 'Book date is on..',
    'rule_trigger_book_date_on'                           => 'Book date is on ":trigger_value"',
    'rule_trigger_book_date_before_choice'                => 'Book date is before..',
    'rule_trigger_book_date_before'                       => 'Book date is before ":trigger_value"',
    'rule_trigger_book_date_after_choice'                 => 'Book date is after..',
    'rule_trigger_book_date_after'                        => 'Book date is after ":trigger_value"',
    'rule_trigger_process_date_on_choice'                 => 'Process date is on..',
    'rule_trigger_process_date_on'                        => 'Process date is ":trigger_value"',
    'rule_trigger_process_date_before_choice'             => 'Process date is before..',
    'rule_trigger_process_date_before'                    => 'Process date is before ":trigger_value"',
    'rule_trigger_process_date_after_choice'              => 'Process date is after..',
    'rule_trigger_process_date_after'                     => 'Process date is after ":trigger_value"',
    'rule_trigger_due_date_on_choice'                     => 'Due date is on..',
    'rule_trigger_due_date_on'                            => 'Due date is on ":trigger_value"',
    'rule_trigger_due_date_before_choice'                 => 'Due date is before..',
    'rule_trigger_due_date_before'                        => 'Due date is before ":trigger_value"',
    'rule_trigger_due_date_after_choice'                  => 'Due date is after..',
    'rule_trigger_due_date_after'                         => 'Due date is after ":trigger_value"',
    'rule_trigger_payment_date_on_choice'                 => 'Payment date is on..',
    'rule_trigger_payment_date_on'                        => 'Payment date is on ":trigger_value"',
    'rule_trigger_payment_date_before_choice'             => 'Payment date is before..',
    'rule_trigger_payment_date_before'                    => 'Payment date is before ":trigger_value"',
    'rule_trigger_payment_date_after_choice'              => 'Payment date is after..',
    'rule_trigger_payment_date_after'                     => 'Payment date is after ":trigger_value"',
    'rule_trigger_invoice_date_on_choice'                 => 'Invoice date is on..',
    'rule_trigger_invoice_date_on'                        => 'Invoice date is on ":trigger_value"',
    'rule_trigger_invoice_date_before_choice'             => 'Invoice date is before..',
    'rule_trigger_invoice_date_before'                    => 'Invoice date is before ":trigger_value"',
    'rule_trigger_invoice_date_after_choice'              => 'Invoice date is after..',
    'rule_trigger_invoice_date_after'                     => 'Invoice date is after ":trigger_value"',
    'rule_trigger_created_at_before_choice'               => 'Transaction was created before..',
    'rule_trigger_created_at_before'                      => 'Transaction was created before ":trigger_value"',
    'rule_trigger_created_at_after_choice'                => 'Transaction was created after..',
    'rule_trigger_created_at_after'                       => 'Transaction was created after ":trigger_value"',
    'rule_trigger_updated_at_before_choice'               => 'Transaction was last updated before..',
    'rule_trigger_updated_at_before'                      => 'Transaction was last updated before ":trigger_value"',
    'rule_trigger_updated_at_after_choice'                => 'Transaction was last updated after..',
    'rule_trigger_updated_at_after'                       => 'Transaction was last updated after ":trigger_value"',
    'rule_trigger_foreign_amount_is_choice'               => 'Foreign amount is exactly..',
    'rule_trigger_foreign_amount_is'                      => 'Foreign amount is exactly ":trigger_value"',
    'rule_trigger_foreign_amount_less_choice'             => 'Foreign amount is less than..',
    'rule_trigger_foreign_amount_less'                    => 'Foreign amount is less than ":trigger_value"',
    'rule_trigger_foreign_amount_more_choice'             => 'Foreign amount is more than..',
    'rule_trigger_foreign_amount_more'                    => 'Foreign amount is more than ":trigger_value"',
    'rule_trigger_attachment_name_is_choice'              => 'Any attachment\'s name is..',
    'rule_trigger_attachment_name_is'                     => 'Any attachment\'s name is ":trigger_value"',
    'rule_trigger_attachment_name_contains_choice'        => 'Any attachment\'s name contains..',
    'rule_trigger_attachment_name_contains'               => 'Any attachment\'s name contains ":trigger_value"',
    'rule_trigger_attachment_name_starts_choice'          => 'Any attachment\'s name starts with..',
    'rule_trigger_attachment_name_starts'                 => 'Any attachment\'s name starts with ":trigger_value"',
    'rule_trigger_attachment_name_ends_choice'            => 'Any attachment\'s name ends with..',
    'rule_trigger_attachment_name_ends'                   => 'Any attachment\'s name ends with ":trigger_value"',
    'rule_trigger_attachment_notes_are_choice'            => 'Any attachment\'s notes are..',
    'rule_trigger_attachment_notes_are'                   => 'Any attachment\'s notes are ":trigger_value"',
    'rule_trigger_attachment_notes_contains_choice'       => 'Any attachment\'s notes contain..',
    'rule_trigger_attachment_notes_contains'              => 'Any attachment\'s notes contain ":trigger_value"',
    'rule_trigger_attachment_notes_starts_choice'         => 'Any attachment\'s notes start with..',
    'rule_trigger_attachment_notes_starts'                => 'Any attachment\'s notes start with ":trigger_value"',
    'rule_trigger_attachment_notes_ends_choice'           => 'Any attachment\'s notes end with..',
    'rule_trigger_attachment_notes_ends'                  => 'Any attachment\'s notes end with ":trigger_value"',
    'rule_trigger_reconciled_choice'                      => 'Transaction is reconciled',
    'rule_trigger_reconciled'                             => 'Transaction is reconciled',
    'rule_trigger_exists_choice'                          => 'Any transaction matches(!)',
    'rule_trigger_exists'                                 => 'Any transaction matches',

    // more values for new types:
    'rule_trigger_not_account_id'                         => 'Account ID is not ":trigger_value"',
    'rule_trigger_not_source_account_id'                  => 'Source account ID is not ":trigger_value"',
    'rule_trigger_not_destination_account_id'             => 'Destination account ID is not ":trigger_value"',
    'rule_trigger_not_transaction_type'                   => 'Transaction type is not ":trigger_value"',
    'rule_trigger_not_tag_is'                             => 'Tag is not ":trigger_value"',
    'rule_trigger_not_tag_is_not'                         => 'Tag is ":trigger_value"',
    'rule_trigger_not_description_is'                     => 'Description is not ":trigger_value"',
    'rule_trigger_not_description_contains'               => 'Description does not contain',
    'rule_trigger_not_description_ends'                   => 'Description does not end with ":trigger_value"',
    'rule_trigger_not_description_starts'                 => 'Description does not start with ":trigger_value"',
    'rule_trigger_not_notes_is'                           => 'Notes are not ":trigger_value"',
    'rule_trigger_not_notes_contains'                     => 'Notes do not contain ":trigger_value"',
    'rule_trigger_not_notes_ends'                         => 'Notes do not end on ":trigger_value"',
    'rule_trigger_not_notes_starts'                       => 'Notes do not start with ":trigger_value"',
    'rule_trigger_not_source_account_is'                  => 'Source account is not ":trigger_value"',
    'rule_trigger_not_source_account_contains'            => 'Source account does not contain ":trigger_value"',
    'rule_trigger_not_source_account_ends'                => 'Source account does not end on ":trigger_value"',
    'rule_trigger_not_source_account_starts'              => 'Source account does not start with ":trigger_value"',
    'rule_trigger_not_source_account_nr_is'               => 'Source account number / IBAN is not ":trigger_value"',
    'rule_trigger_not_source_account_nr_contains'         => 'Source account number / IBAN does not contain ":trigger_value"',
    'rule_trigger_not_source_account_nr_ends'             => 'Source account number / IBAN does not end on ":trigger_value"',
    'rule_trigger_not_source_account_nr_starts'           => 'Source account number / IBAN does not start with ":trigger_value"',
    'rule_trigger_not_destination_account_is'             => 'Destination account is not ":trigger_value"',
    'rule_trigger_not_destination_account_contains'       => 'Destination account does not contain ":trigger_value"',
    'rule_trigger_not_destination_account_ends'           => 'Destination account does not end on ":trigger_value"',
    'rule_trigger_not_destination_account_starts'         => 'Destination account does not start with ":trigger_value"',
    'rule_trigger_not_destination_account_nr_is'          => 'Destination account number / IBAN is not ":trigger_value"',
    'rule_trigger_not_destination_account_nr_contains'    => 'Destination account number / IBAN does not contain ":trigger_value"',
    'rule_trigger_not_destination_account_nr_ends'        => 'Destination account number / IBAN does not end on ":trigger_value"',
    'rule_trigger_not_destination_account_nr_starts'      => 'Destination account number / IBAN does not start with ":trigger_value"',
    'rule_trigger_not_account_is'                         => 'Neither account is ":trigger_value"',
    'rule_trigger_not_account_contains'                   => 'Neither account contains ":trigger_value"',
    'rule_trigger_not_account_ends'                       => 'Neither account ends on ":trigger_value"',
    'rule_trigger_not_account_starts'                     => 'Neither account starts with ":trigger_value"',
    'rule_trigger_not_account_nr_is'                      => 'Neither account number / IBAN is ":trigger_value"',
    'rule_trigger_not_account_nr_contains'                => 'Neither account number / IBAN contains ":trigger_value"',
    'rule_trigger_not_account_nr_ends'                    => 'Neither account number / IBAN ends on ":trigger_value"',
    'rule_trigger_not_account_nr_starts'                  => 'Neither account number / IBAN starts with ":trigger_value"',
    'rule_trigger_not_category_is'                        => 'Neither category is ":trigger_value"',
    'rule_trigger_not_category_contains'                  => 'Neither category contains ":trigger_value"',
    'rule_trigger_not_category_ends'                      => 'Neither category ends on ":trigger_value"',
    'rule_trigger_not_category_starts'                    => 'Neither category starts with ":trigger_value"',
    'rule_trigger_not_budget_is'                          => 'Neither budget is ":trigger_value"',
    'rule_trigger_not_budget_contains'                    => 'Neither budget contains ":trigger_value"',
    'rule_trigger_not_budget_ends'                        => 'Neither budget ends on ":trigger_value"',
    'rule_trigger_not_budget_starts'                      => 'Neither budget starts with ":trigger_value"',
    'rule_trigger_not_bill_is'                            => 'Bill is not is ":trigger_value"',
    'rule_trigger_not_bill_contains'                      => 'Bill does not contain ":trigger_value"',
    'rule_trigger_not_bill_ends'                          => 'Bill does not end on ":trigger_value"',
    'rule_trigger_not_bill_starts'                        => 'Bill does not end with ":trigger_value"',
    'rule_trigger_not_external_id_is'                     => 'External ID is not ":trigger_value"',
    'rule_trigger_not_external_id_contains'               => 'External ID does not contain ":trigger_value"',
    'rule_trigger_not_external_id_ends'                   => 'External ID does not end on ":trigger_value"',
    'rule_trigger_not_external_id_starts'                 => 'External ID does not start with ":trigger_value"',
    'rule_trigger_not_internal_reference_is'              => 'Internal reference is not ":trigger_value"',
    'rule_trigger_not_internal_reference_contains'        => 'Internal reference does not contain ":trigger_value"',
    'rule_trigger_not_internal_reference_ends'            => 'Internal reference does not end on ":trigger_value"',
    'rule_trigger_not_internal_reference_starts'          => 'Internal reference does not start with ":trigger_value"',
    'rule_trigger_not_external_url_is'                    => 'External URL is not ":trigger_value"',
    'rule_trigger_not_external_url_contains'              => 'External URL does not contain ":trigger_value"',
    'rule_trigger_not_external_url_ends'                  => 'External URL does not end on ":trigger_value"',
    'rule_trigger_not_external_url_starts'                => 'External URL does not start with ":trigger_value"',
    'rule_trigger_not_currency_is'                        => 'Currency is not ":trigger_value"',
    'rule_trigger_not_foreign_currency_is'                => 'Foreign currency is not ":trigger_value"',
    'rule_trigger_not_id'                                 => 'Transaction ID is not ":trigger_value"',
    'rule_trigger_not_journal_id'                         => 'Transaction journal ID is not ":trigger_value"',
    'rule_trigger_not_recurrence_id'                      => 'Recurrence ID is not ":trigger_value"',
    'rule_trigger_not_date_on'                            => 'Date is not on ":trigger_value"',
    'rule_trigger_not_date_before'                        => 'Date is not before ":trigger_value"',
    'rule_trigger_not_date_after'                         => 'Date is not after ":trigger_value"',
    'rule_trigger_not_interest_date_on'                   => 'Interest date is not on ":trigger_value"',
    'rule_trigger_not_interest_date_before'               => 'Interest date is not before ":trigger_value"',
    'rule_trigger_not_interest_date_after'                => 'Interest date is not after ":trigger_value"',
    'rule_trigger_not_book_date_on'                       => 'Book date is not on ":trigger_value"',
    'rule_trigger_not_book_date_before'                   => 'Book date is not before ":trigger_value"',
    'rule_trigger_not_book_date_after'                    => 'Book date is not after ":trigger_value"',
    'rule_trigger_not_process_date_on'                    => 'Process date is not on ":trigger_value"',
    'rule_trigger_not_process_date_before'                => 'Process date is not before ":trigger_value"',
    'rule_trigger_not_process_date_after'                 => 'Process date is not after ":trigger_value"',
    'rule_trigger_not_due_date_on'                        => 'Due date is not on ":trigger_value"',
    'rule_trigger_not_due_date_before'                    => 'Due date is not before ":trigger_value"',
    'rule_trigger_not_due_date_after'                     => 'Due date is not after ":trigger_value"',
    'rule_trigger_not_payment_date_on'                    => 'Payment date is not on ":trigger_value"',
    'rule_trigger_not_payment_date_before'                => 'Payment date is not before ":trigger_value"',
    'rule_trigger_not_payment_date_after'                 => 'Payment date is not after ":trigger_value"',
    'rule_trigger_not_invoice_date_on'                    => 'Invoice date is not on ":trigger_value"',
    'rule_trigger_not_invoice_date_before'                => 'Invoice date is not before ":trigger_value"',
    'rule_trigger_not_invoice_date_after'                 => 'Invoice date is not after ":trigger_value"',
    'rule_trigger_not_created_at_on'                      => 'Transaction is not created on ":trigger_value"',
    'rule_trigger_not_created_at_before'                  => 'Transaction is not created before ":trigger_value"',
    'rule_trigger_not_created_at_after'                   => 'Transaction is not created after ":trigger_value"',
    'rule_trigger_not_updated_at_on'                      => 'Transaction is not updated on ":trigger_value"',
    'rule_trigger_not_updated_at_before'                  => 'Transaction is not updated before ":trigger_value"',
    'rule_trigger_not_updated_at_after'                   => 'Transaction is not updated after ":trigger_value"',
    'rule_trigger_not_amount_is'                          => 'Transaction amount is not ":trigger_value"',
    'rule_trigger_not_amount_less'                        => 'Transaction amount is more than ":trigger_value"',
    'rule_trigger_not_amount_more'                        => 'Transaction amount is less than ":trigger_value"',
    'rule_trigger_not_foreign_amount_is'                  => 'Foreign transaction amount is not ":trigger_value"',
    'rule_trigger_not_foreign_amount_less'                => 'Foreign transaction amount is more than ":trigger_value"',
    'rule_trigger_not_foreign_amount_more'                => 'Foreign transaction amount is less than ":trigger_value"',
    'rule_trigger_not_attachment_name_is'                 => 'No attachment is named ":trigger_value"',
    'rule_trigger_not_attachment_name_contains'           => 'No attachment name contains ":trigger_value"',
    'rule_trigger_not_attachment_name_starts'             => 'No attachment name starts with ":trigger_value"',
    'rule_trigger_not_attachment_name_ends'               => 'No attachment name ends on ":trigger_value"',
    'rule_trigger_not_attachment_notes_are'               => 'No attachment notes are ":trigger_value"',
    'rule_trigger_not_attachment_notes_contains'          => 'No attachment notes contain ":trigger_value"',
    'rule_trigger_not_attachment_notes_starts'            => 'No attachment notes start with ":trigger_value"',
    'rule_trigger_not_attachment_notes_ends'              => 'No attachment notes end on ":trigger_value"',
    'rule_trigger_not_reconciled'                         => 'Transaction is not reconciled',
    'rule_trigger_not_exists'                             => 'Transaction does not exist',
    'rule_trigger_not_has_attachments'                    => 'Transaction has no attachments',
    'rule_trigger_not_has_any_category'                   => 'Transaction has no category',
    'rule_trigger_not_has_any_budget'                     => 'Transaction has no category',
    'rule_trigger_not_has_any_bill'                       => 'Transaction has no bill',
    'rule_trigger_not_has_any_tag'                        => 'Transaction has no tags',
    'rule_trigger_not_any_notes'                          => 'Transaction has no notes',
    'rule_trigger_not_any_external_url'                   => 'Transaction has no external URL',
    'rule_trigger_not_has_no_attachments'                 => 'Transaction has a (any) attachment(s)',
    'rule_trigger_not_has_no_category'                    => 'Transaction has a (any) category',
    'rule_trigger_not_has_no_budget'                      => 'Transaction has a (any) budget',
    'rule_trigger_not_has_no_bill'                        => 'Transaction has a (any) bill',
    'rule_trigger_not_has_no_tag'                         => 'Transaction has a (any) tag',
    'rule_trigger_not_no_notes'                           => 'Transaction has any notes',
    'rule_trigger_not_no_external_url'                    => 'Transaction has an external URL',
    'rule_trigger_not_source_is_cash'                     => 'Source account is not a cash account',
    'rule_trigger_not_destination_is_cash'                => 'Destination account is not a cash account',
    'rule_trigger_not_account_is_cash'                    => 'Neither account is a cash account',


    // actions
    'rule_action_delete_transaction_choice'               => 'DELETE transaction(!)',
    'rule_action_delete_transaction'                      => 'DELETE transaction(!)',
    'rule_action_set_category'                            => 'Establecer categoría en ":action_value"',
    'rule_action_clear_category'                          => 'Borrar categoría',
    'rule_action_set_budget'                              => 'Establecer presupuesto en ":action_value "',
    'rule_action_clear_budget'                            => 'Borrar presupuesto',
    'rule_action_add_tag'                                 => 'Añadir etiqueta ":action_value"',
    'rule_action_remove_tag'                              => 'Quitar la etiqueta ":action_value"',
    'rule_action_remove_all_tags'                         => 'Eliminar todas las etiquetas',
    'rule_action_set_description'                         => 'Establecer la descripcion en ":action_value"',
    'rule_action_append_description'                      => 'Anexar la descripción con ":action_value"',
    'rule_action_prepend_description'                     => 'Anteponer la descripción con ":action_value"',
    'rule_action_set_category_choice'                     => 'Set category to ..',
    'rule_action_clear_category_choice'                   => 'Eliminar cualquier categoría',
    'rule_action_set_budget_choice'                       => 'Set budget to ..',
    'rule_action_clear_budget_choice'                     => 'Eliminar cualquier presupuesto',
    'rule_action_add_tag_choice'                          => 'Add tag ..',
    'rule_action_remove_tag_choice'                       => 'Remove tag ..',
    'rule_action_remove_all_tags_choice'                  => 'Eliminar todas las etiquetas',
    'rule_action_set_description_choice'                  => 'Set description to ..',
    'rule_action_update_piggy_choice'                     => 'Add / remove transaction amount in piggy bank ..',
    'rule_action_update_piggy'                            => 'Add / remove transaction amount in piggy bank ":action_value"',
    'rule_action_append_description_choice'               => 'Append description with ..',
    'rule_action_prepend_description_choice'              => 'Prepend description with ..',
    'rule_action_set_source_account_choice'               => 'Set source account to ..',
    'rule_action_set_source_account'                      => 'Establecer cuenta de origen en :action_value',
    'rule_action_set_destination_account_choice'          => 'Set destination account to ..',
    'rule_action_set_destination_account'                 => 'Establecer cuenta de destino en :action_value',
    'rule_action_append_notes_choice'                     => 'Append notes with ..',
    'rule_action_append_notes'                            => 'Anexar notas con ":action_value"',
    'rule_action_prepend_notes_choice'                    => 'Prepend notes with ..',
    'rule_action_prepend_notes'                           => 'Prepara notas con ":action_value"',
    'rule_action_clear_notes_choice'                      => 'Eliminar cualquier nota',
    'rule_action_clear_notes'                             => 'Eliminar cualquier nota',
    'rule_action_set_notes_choice'                        => 'Set notes to ..',
    'rule_action_link_to_bill_choice'                     => 'Link to a bill ..',
    'rule_action_link_to_bill'                            => 'Enlace a una factura ":action_value"',
    'rule_action_set_notes'                               => 'Establecer notas para:action_value',
    'rule_action_convert_deposit_choice'                  => 'Convierta esta transacción en un depósito',
    'rule_action_convert_deposit'                         => 'Convierta la transacción en un depósito de ":action_value"',
    'rule_action_convert_withdrawal_choice'               => 'Convierta esta transacción en un retiro',
    'rule_action_convert_withdrawal'                      => 'Convierta la transacción en un depósito de ":action_value"',
    'rule_action_convert_transfer_choice'                 => 'Convierta la transacción a una transferencia',
    'rule_action_convert_transfer'                        => 'Convierta la transacción a una transferencia con ":action_value"',
    'rule_action_append_descr_to_notes_choice'            => 'Append the description to the transaction notes',
    'rule_action_append_notes_to_descr_choice'            => 'Append the transaction notes to the description',
    'rule_action_move_descr_to_notes_choice'              => 'Replace the current transaction notes with the description',
    'rule_action_move_notes_to_descr_choice'              => 'Replace the current description with the transaction notes',
    'rule_action_append_descr_to_notes'                   => 'Append description to notes',
    'rule_action_append_notes_to_descr'                   => 'Append notes to description',
    'rule_action_move_descr_to_notes'                     => 'Replace notes with description',
    'rule_action_move_notes_to_descr'                     => 'Replace description with notes',
    'rulegroup_for_bills_title'                           => 'Regla de grupo para facturas',
    'rulegroup_for_bills_description'                     => 'A special rule group for all the rules that involve bills.',
    'rule_for_bill_title'                                 => 'Auto-generated rule for bill ":name"',
    'rule_for_bill_description'                           => 'This rule is auto-generated to try to match bill ":name".',
    'create_rule_for_bill'                                => 'Crear una nueva regla para la factura ":name"',
    'create_rule_for_bill_txt'                            => 'You have just created a new bill called ":name", congratulations!Firefly III can automagically match new withdrawals to this bill. For example, whenever you pay your rent, the bill "rent" will be linked to the expense. This way, Firefly III can accurately show you which bills are due and which ones aren\'t. In order to do so, a new rule must be created. Firefly III has filled in some sensible defaults for you. Please make sure these are correct. If these values are correct, Firefly III will automatically link the correct withdrawal to the correct bill. Please check out the triggers to see if they are correct, and add some if they\'re wrong.',
    'new_rule_for_bill_title'                             => 'Regla para la factura ":name"',
    'new_rule_for_bill_description'                       => 'Esta regla marca las transacciones para la cuenta ":name".',

    'new_rule_for_journal_title'                => 'Regla basada en la transacción ":description"',
    'new_rule_for_journal_description'          => 'Esta regla se basa en la transacción ":description". Coincidirá con las transacciones que son exactamente iguales.',

    // tags
    'store_new_tag'                             => 'Crear etiqueta',
    'update_tag'                                => 'Actualizar etiqueta',
    'no_location_set'                           => 'Ubicación no establecida.',
    'meta_data'                                 => 'Meta Datos',
    'location'                                  => 'Ubicación',
    'without_date'                              => 'Sin fecha',
    'result'                                    => 'Resultado',
    'sums_apply_to_range'                       => 'Todas las sumas aplican al rango seleccionado',
    'mapbox_api_key'                            => 'Para usar el mapa, obtenga una clave API de <a href="https://www.mapbox.com/">Mapbox</a>Abra su<code>.env</code> y introduzca este código después de <code>MAPBOX_API_KEY=</code>.',
    'press_object_location'                     => 'Haga clic o pulse de forma prolongada para definir la ubicación del objeto.',
    'clear_location'                            => 'Eliminar ubicación',
    'delete_all_selected_tags'                  => 'Eliminar todas las etiquetas seleccionadas',
    'select_tags_to_delete'                     => 'No olvide seleccionar algunas etiquetas.',
    'deleted_x_tags'                            => 'Eliminado :count etiqueta.|Eliminado :count etiquetas.',
    'create_rule_from_transaction'              => 'Crear regla basada en la transacción',
    'create_recurring_from_transaction'         => 'Crear una transacción recurrente basada en la transacción',


    // preferences
    'equal_to_language'                         => '(igual al idioma)',
    'pref_home_screen_accounts'                 => 'Cuentas de la pantalla de inicio',
    'pref_home_screen_accounts_help'            => '¿Qué cuentas se deben mostrar en la página de inicio?',
    'pref_view_range'                           => 'Rango de vision',
    'pref_view_range_help'                      => 'Algunas gráficas se agrupan automáticamente en periodos. Sus presupuestos se agruparán también en períodos. ¿Qué período prefieres?',
    'pref_1D'                                   => 'Un dia',
    'pref_1W'                                   => 'Una semana',
    'pref_1M'                                   => 'Un mes',
    'pref_3M'                                   => 'Tres meses (trimestre)',
    'pref_6M'                                   => 'Seis meses',
    'pref_1Y'                                   => 'Un año',
    'pref_last365'                              => 'Año pasado',
    'pref_last90'                               => 'Últimos 90 días',
    'pref_last30'                               => 'Últimos 30 días',
    'pref_last7'                                => 'Últimos 7 días',
    'pref_YTD'                                  => 'Año hasta hoy',
    'pref_QTD'                                  => 'Trimestre hasta hoy',
    'pref_MTD'                                  => 'Mes hasta hoy',
    'pref_languages'                            => 'Idiomas',
    'pref_locale'                               => 'Configuración del idioma',
    'pref_languages_help'                       => 'Firefly III soporta varios idiomas. ¿Cuál prefieres?',
    'pref_locale_help'                          => 'Firefly III le permite configurar otros ajustes locales, como cómo se da formato a las monedas, números y fechas. Las entradas en esta lista pueden no ser soportadas por su sistema. Firefly III no tiene los ajustes de fecha correctos para cada local; póngase en contacto conmigo para obtener mejoras.',
    'pref_locale_no_demo'                       => 'Esta característica no funcionará para el usuario demo.',
    'pref_custom_fiscal_year'                   => 'Configuraciónes del año fiscal',
    'pref_custom_fiscal_year_label'             => 'Habilitado',
    'pref_custom_fiscal_year_help'              => 'En países que utilizan año fiscal diferente del 1 al 31 de diciembre, usted puede cambiarlo y especificar los días de inicio / y termino del año fiscal',
    'pref_fiscal_year_start_label'              => 'Fecha de inicio del año fiscal',
    'pref_two_factor_auth'                      => 'Verificación en 2 pasos',
    'pref_two_factor_auth_help'                 => 'Cuando usted habilita la verificación en 2 pasos ( también conocida como autenticacion de dos factores) usted agrega una capa adicional de seguridad a su cuenta. usted inicia la sesión que conoce (código de verificación). los códigos de generación son generados por una aplicación de su teléfono, tales como Authy o Google Authenticador.',
    'pref_enable_two_factor_auth'               => 'Permita la verificación de 2 pasos',
    'pref_two_factor_auth_disabled'             => 'Codigo de verificacion en 2 pasos removido y inabilitado',
    'pref_two_factor_auth_remove_it'            => 'No olvide eliminar la cuenta de su aplicación de autenticacion!',
    'pref_two_factor_auth_code'                 => 'Verificar código',
    'pref_two_factor_auth_code_help'            => 'Escanee el código QR con una aplicación en su teléfono como Authy o Google autenticator y ingrese el código generado.',
    'pref_two_factor_auth_reset_code'           => 'Reiniciar código de verificación',
    'pref_two_factor_auth_disable_2fa'          => 'Deshabilitar 2FA',
    '2fa_use_secret_instead'                    => 'Si no puede escanear el código QR, no dude en utilizar en su lugar el código secreto: <code>:secret</code>.',
    '2fa_backup_codes'                          => 'Almacena estos códigos de copia de seguridad para acceder en caso de que pierda su dispositivo.',
    '2fa_already_enabled'                       => 'La verificación de dos pasos ya está activada.',
    'wrong_mfa_code'                            => 'Este código MFA no es válido.',
    'pref_save_settings'                        => 'Guardar la configuración',
    'saved_preferences'                         => '¡Preferencias guardadas!',
    'preferences_general'                       => 'General',
    'preferences_frontpage'                     => 'Pantalla de inicio',
    'preferences_security'                      => 'Seguridad',
    'preferences_layout'                        => 'Diseño',
    'preferences_notifications'                 => 'Notifications',
    'pref_home_show_deposits'                   => 'Mostrar los depósitos en la pantalla de inicio',
    'pref_home_show_deposits_info'              => 'La pantalla de inicio ya muestra sus cuentas de gastos. ¿debería mostrar también su cuenta de ingresos?',
    'pref_home_do_show_deposits'                => 'Si, muestrales',
    'successful_count'                          => 'de cual :count exitoso',
    'list_page_size_title'                      => 'Tamaño de pagina',
    'list_page_size_help'                       => 'Cualquier lista de cosas (cuentas, transacciones, etc) muestra como mucho esta cantidad por pagina.',
    'list_page_size_label'                      => 'Tamaño de pagina',
    'between_dates'                             => '(:start y :end)',
    'pref_optional_fields_transaction'          => 'Campos opcionales para transacciones',
    'pref_optional_fields_transaction_help'     => 'Por defecto no todos los campos se habilitan al crear una nueva transacción (debido al desorden). Aquí puedes habilitar estos campos si crees que pueden ser útiles. Aunque los campos estén desactivados, si los has rellenado serán visibles.',
    'optional_tj_date_fields'                   => 'Campos de fecha',
    'optional_tj_other_fields'                  => 'Otros campos',
    'optional_tj_attachment_fields'             => 'Campos de datos adjuntos',
    'pref_optional_tj_interest_date'            => 'Fecha de intereses',
    'pref_optional_tj_book_date'                => 'Fecha del libro de registro',
    'pref_optional_tj_process_date'             => 'Fecha de procesamiento',
    'pref_optional_tj_due_date'                 => 'Fecha de caducidad',
    'pref_optional_tj_payment_date'             => 'Fecha de pago',
    'pref_optional_tj_invoice_date'             => 'Fecha de la factura',
    'pref_optional_tj_internal_reference'       => 'Referencia interna',
    'pref_optional_tj_notes'                    => 'Notas',
    'pref_optional_tj_attachments'              => 'Adjuntos',
    'pref_optional_tj_external_url'             => 'URL externa',
    'pref_optional_tj_location'                 => 'Ubicación',
    'pref_optional_tj_links'                    => 'Enlaces de transacciones',
    'optional_field_meta_dates'                 => 'Fechas',
    'optional_field_meta_business'              => 'Negocios',
    'optional_field_attachments'                => 'Adjuntos',
    'optional_field_meta_data'                  => 'Opcional meta datos',
    'external_url'                              => 'URL externa',
    'pref_notification_bill_reminder'           => 'Reminder about expiring bills',
    'pref_notification_new_access_token'        => 'Alert when a new API access token is created',
    'pref_notification_transaction_creation'    => 'Alert when a transaction is created automatically',
    'pref_notification_user_login'              => 'Alert when you login from a new location',
    'pref_notifications'                        => 'Notifications',
    'pref_notifications_help'                   => 'Indicate if these are notifications you would like to get. Some notifications may contain sensitive financial information.',
    'slack_webhook_url'                         => 'Slack Webhook URL',
    'slack_webhook_url_help'                    => 'If you want Firefly III to notify you using Slack, enter the webhook URL here. Otherwise leave the field blank. If you are an admin, you need to set this URL in the administration as well.',
    'slack_url_label'                           => 'Slack "incoming webhook" URL',

    // profile:
    'purge_data_title'                          => 'Purge data from Firefly III',
    'purge_data_expl'                           => '"Purging" means "deleting that which is already deleted". In normal circumstances, Firefly III deletes nothing permanently. It just hides it. The button below deletes all of these previously "deleted" records FOREVER.',
    'delete_stuff_header'                       => 'Delete and purge data',
    'purge_all_data'                            => 'Purge all deleted records',
    'purge_data'                                => 'Purge data',
    'purged_all_records'                        => 'All deleted records have been purged.',
    'delete_data_title'                         => 'Delete data from Firefly III',
    'permanent_delete_stuff'                    => 'You can delete stuff from Firefly III. Using the buttons below means that your items will be removed from view and hidden. There is no undo-button for this, but the items may remain in the database where you can salvage them if necessary.',
    'other_sessions_logged_out'                 => 'Todas las demás sesiones han sido desconectadas.',
    'delete_unused_accounts'                    => 'Deleting unused accounts will clean your auto-complete lists.',
    'delete_all_unused_accounts'                => 'Delete unused accounts',
    'deleted_all_unused_accounts'               => 'All unused accounts are deleted',
    'delete_all_budgets'                        => 'Eliminar todos sus presupuestos',
    'delete_all_categories'                     => 'Eliminar todas sus categorías',
    'delete_all_tags'                           => 'Eliminar todas sus etiquetas',
    'delete_all_bills'                          => 'Borrar TODAS sus facturas',
    'delete_all_piggy_banks'                    => 'Borrar TODAS sus huchas',
    'delete_all_rules'                          => 'Borrar TODAS sus reglas',
    'delete_all_recurring'                      => 'Borrar TODAS sus transacciones recurrentes',
    'delete_all_object_groups'                  => 'Borrar TODOS sus grupos de objetos',
    'delete_all_accounts'                       => 'Borrar TODAS sus cuentas',
    'delete_all_asset_accounts'                 => 'Borrar TODAS sus cuentas de activos',
    'delete_all_expense_accounts'               => 'Borrar TODAS sus cuentas de gastos',
    'delete_all_revenue_accounts'               => 'Borrar TODAS sus cuentas de ingresos',
    'delete_all_liabilities'                    => 'Borrar TODOS sus pasivos',
    'delete_all_transactions'                   => 'Borrar TODAS sus transacciones',
    'delete_all_withdrawals'                    => 'Borrar TODOS sus retiros',
    'delete_all_deposits'                       => 'Borrar TODOS sus depósitos',
    'delete_all_transfers'                      => 'Borrar TODAS sus transferencias',
    'also_delete_transactions'                  => '¡Eliminar cuentas también eliminará TODAS los retiros, depósitos y transferencias asociados!',
    'deleted_all_budgets'                       => 'Todos los presupuestos han sido eliminados',
    'deleted_all_categories'                    => 'Todas las categorías han sido eliminadas',
    'deleted_all_tags'                          => 'Todas las etiquetas han sido eliminadas',
    'deleted_all_bills'                         => 'Todas las facturas han sido eliminadas',
    'deleted_all_piggy_banks'                   => 'Todas las huchas han sido eliminadas',
    'deleted_all_rules'                         => 'Todas las reglas y grupos de reglas se han eliminado',
    'deleted_all_object_groups'                 => 'Todos los grupos han sido eliminados',
    'deleted_all_accounts'                      => 'Todas las cuentas han sido eliminadas',
    'deleted_all_asset_accounts'                => 'Todas las cuentas de activos han sido eliminadas',
    'deleted_all_expense_accounts'              => 'Todas las cuentas de gastos han sido eliminadas',
    'deleted_all_revenue_accounts'              => 'Todas las cuentas de ingresos han sido eliminadas',
    'deleted_all_liabilities'                   => 'Todos los pasivos se han eliminado',
    'deleted_all_transactions'                  => 'Todas las transacciones han sido eliminadas',
    'deleted_all_withdrawals'                   => 'Todos los retiros se han eliminado',
    'deleted_all_deposits'                      => 'Todos los depósitos han sido eliminados',
    'deleted_all_transfers'                     => 'Todas las transferencias han sido eliminadas',
    'deleted_all_recurring'                     => 'Todas las transacciones recurrentes han sido eliminadas',
    'change_your_password'                      => 'Cambie su contraseña',
    'delete_account'                            => 'Eliminar cuenta',
    'current_password'                          => 'Contraseña actual',
    'new_password'                              => 'Nueva contraseña',
    'new_password_again'                        => 'Nueva contraseña (de nuevo)',
    'delete_your_account'                       => 'Borre su cuenta',
    'delete_your_account_help'                  => 'Eliminando su cuenta también eliminara cualquier otra cuenta, transacciones,<em>cualquier</em>que podría haber salvado en Firefly III. se habrá IDO.',
    'delete_your_account_password'              => 'Introduzca su contraseña para continuar.',
    'password'                                  => 'Contraseña',
    'are_you_sure'                              => '¿Esta usted seguro? usted no puede deshacer esto.',
    'delete_account_button'                     => 'Borre su cuenta',
    'invalid_current_password'                  => 'Contraseña actual invalida!',
    'password_changed'                          => 'Contraseña cambiada!',
    'should_change'                             => 'La idea es cambiar su contraseña.',
    'invalid_password'                          => 'Contraseña invalida!',
    'what_is_pw_security'                       => '¿Que es "verificar la seguridad de contraseña?',
    'secure_pw_title'                           => 'Como escoger una contraseña segura',
    'forgot_password_response'                  => 'Gracias. Si existe una cuenta con esta dirección de correo electrónico, encontrarás instrucciones en tu bandeja de entrada.',
    'secure_pw_history'                         => 'Cada semana leemos en las noticias sobre un sitio que pierde las contraseñas de sus usuarios. Hackers y ladrones utilizan estas contraseñas para intentar robar tu información privada. Esta información es valiosa.',
    'secure_pw_ff'                              => '¿Utiliza la misma contraseña a través de Internet? Si un sitio pierde su contraseña, los hackers tienen acceso a todos sus datos. Firefly III depende de usted para elegir una contraseña fuerte y única para proteger sus registros financieros.',
    'secure_pw_check_box'                       => 'Para ayudarte a hacer eso Firefly III puede comprobar si la contraseña que quieres usar ha sido robada en el pasado. Si este es el caso, Firefly III te aconseja NO usar esa contraseña.',
    'secure_pw_working_title'                   => '¿Cómo funciona?',
    'secure_pw_working'                         => 'Marcando la casilla, Firefly III enviará los cinco primeros caracteres del hash SHA1 de su contraseña al <a href="https://www.troyhunt.com/introducing-306-million-freely-downloadable-pwned-passwords/">sitio web de Troy Hunt</a> para ver si esta en la lista. Esto le impedirá a usted usar contraseñas inseguras como se recomienda en la última <a href="https://pages.nist.gov/800-63-3/sp800-63b.html">Publicación Especial de NISH</a> sobre este tema.',
    'secure_pw_should'                          => '¿Debo chequear la casilla?',
    'secure_pw_long_password'                   => 'Sí. Verificar siempre que su contraseña es segura.',
    'command_line_token'                        => 'Token de linea de comando',
    'explain_command_line_token'                => 'Necesita este token para realizar opciones de línea de comandos, como exportar datos. Sin él, ese comando sensible no funcionará. No comparta el token de línea de comandos. Nadie le pedirá este token, ni siquiera yo. Si teme que lo haya perdido, o si es paranoico, vuelva a generar este token usando el botón.',
    'regenerate_command_line_token'             => 'Regenerar token de línea de comando',
    'token_regenerated'                         => 'Se generó un nuevo token de línea de comandos',
    'change_your_email'                         => 'Cambie su dirección de correo',
    'email_verification'                        => 'Un mensaje de correo electrónico sera enviado a su nueva dirección de correo viejas y nuevas. por motivos de seguridad, usted no podrá iniciar sesión hasta que verifique su nueva dirección de correo electrónico. Si no esta seguro de si su instalación Firefly III puede enviar correos electrónicos, por favor no use esta función. Si usted es administrador, usted puede probar esto en la <a href="admin">administracion</a>.',
    'email_changed_logout'                      => 'Hasta que usted verifique su dirección de correo electrónico, usted no puede iniciar sesión.',
    'login_with_new_email'                      => 'Usted puede ahora iniciar sesión con su nueva dirección de correo electrónico.',
    'login_with_old_email'                      => 'Usted puede ahora iniciar sesión con su vieja dirección de correo electrónico otra vez.',
    'login_provider_local_only'                 => 'Esta acción no está disponible cuando se identifica a través de ":login_provider".',
    'external_user_mgt_disabled'                => 'Esta acción no está disponible cuando Firefly III no es responsable de la gestión de usuarios o de la autenticación.',
    'external_auth_disabled'                    => 'Esta acción no está disponible cuando Firefly III no es responsable del manejo de la autenticación.',
    'delete_local_info_only'                    => "Debido a que Firefly III no es responsable de la gestión de usuarios o de la autenticación, esta función sólo eliminará la información local de Firefly III.",
    'oauth'                                     => 'OAuth',
    'profile_oauth_clients'                     => 'Clientes de OAuth',
    'profile_oauth_no_clients'                  => 'No ha creado ningún cliente OAuth.',
    'profile_oauth_clients_header'              => 'Clientes',
    'profile_oauth_client_id'                   => 'ID del cliente',
    'profile_oauth_client_name'                 => 'Nombre',
    'profile_oauth_client_secret'               => 'Secreto',
    'profile_oauth_create_new_client'           => 'Crear un Nuevo Cliente',
    'profile_oauth_create_client'               => 'Crear Cliente',
    'profile_oauth_edit_client'                 => 'Editar Cliente',
    'profile_oauth_name_help'                   => 'Algo que sus usuarios reconocerán y confiarán.',
    'profile_oauth_redirect_url'                => 'Redirigir URL',
    'profile_oauth_redirect_url_help'           => 'La URL de devolución de autorización de su aplicación.',
    'profile_authorized_apps'                   => 'Aplicaciones autorizadas',
    'profile_authorized_clients'                => 'Clientes autorizados',
    'profile_scopes'                            => 'Ámbitos',
    'profile_revoke'                            => 'Revocar',
    'profile_oauth_client_secret_title'         => 'Secreto del Cliente',
    'profile_oauth_client_secret_expl'          => 'Aquí está su nuevo secreto de cliente. Esta es la única vez que se mostrará así que no lo pierda! Ahora puede usar este secreto para hacer solicitudes de API.',
    'profile_personal_access_tokens'            => 'Tokens de acceso personal',
    'profile_personal_access_token'             => 'Token de acceso personal',
    'profile_oauth_confidential'                => 'Confidencial',
    'profile_oauth_confidential_help'           => 'Requerir que el cliente se autentifique con un secreto. Los clientes confidenciales pueden mantener las credenciales de forma segura sin exponerlas a partes no autorizadas. Las aplicaciones públicas, como aplicaciones de escritorio nativo o SPA de JavaScript, no pueden guardar secretos de forma segura.',
    'profile_personal_access_token_explanation' => 'Aquí está su nuevo token de acceso personal. Esta es la única vez que se mostrará así que ¡no lo pierda! Ahora puede usar este token para hacer solicitudes de la API.',
    'profile_no_personal_access_token'          => 'No ha creado ningún token de acceso personal.',
    'profile_create_new_token'                  => 'Crear nuevo token',
    'profile_create_token'                      => 'Crear token',
    'profile_create'                            => 'Crear',
    'profile_save_changes'                      => 'Guardar cambios',
    'profile_whoops'                            => '¡Ups!',
    'profile_something_wrong'                   => '¡Algo salió mal!',
    'profile_try_again'                         => 'Algo salió mal. Por favor, vuelva a intentarlo.',
    'amounts'                                   => 'Importes',
    'multi_account_warning_unknown'             => 'Dependiendo del tipo de transacción que cree, la cuenta de origen y/o destino de divisiones posteriores puede ser anulada por lo que se define en la primera división de la transacción.',
    'multi_account_warning_withdrawal'          => 'Tenga en cuenta que la cuenta de origen de las divisiones posteriores será anulada por lo que se defina en la primera división del retiro.',
    'multi_account_warning_deposit'             => 'Tenga en cuenta que la cuenta de destino de las divisiones posteriores será anulada por lo que se defina en la primera división del retiro.',
    'multi_account_warning_transfer'            => 'Tenga en cuenta que la cuenta de origen + destino de divisiones posteriores será anulada por lo que se defina en la primera división de la transferencia.',

    // export data:
    'export_data_title'                         => 'Exportar datos de Firefly III',
    'export_data_menu'                          => 'Exportar datos',
    'export_data_bc'                            => 'Exportar datos de Firefly III',
    'export_data_main_title'                    => 'Exportar datos de Firefly III',
    'export_data_expl'                          => 'Este enlace le permite exportar todas las transacciones + metadatos de Firefly III. Por favor, consulte la ayuda (icono (?) superior derecho) para obtener más información sobre el proceso.',
    'export_data_all_transactions'              => 'Exportar todas las transacciones',
    'export_data_advanced_expl'                 => 'Si necesita un tipo de exportación más avanzado o específico, lea la ayuda sobre cómo usar el comando de consola <code>php artisan help firefly-iii:export-data</code>.',

    // attachments
    'nr_of_attachments'                         => 'Un archivo adjunto:count archivos adjuntos',
    'attachments'                               => 'Archivos adjuntos',
    'edit_attachment'                           => 'Editar cuenta de archivos ":name"',
    'update_attachment'                         => 'Actualizar archivo adjunto',
    'delete_attachment'                         => 'Eliminar archivo adjunto ":name"',
    'attachment_deleted'                        => 'Eliminar archivo adjunto ":name"',
    'liabilities_deleted'                       => 'Pasivo eliminado ":name"',
    'attachment_updated'                        => 'Actualizar archivo adjunto ":name"',
    'upload_max_file_size'                      => 'Tamaño máximo de archivo::size',
    'list_all_attachments'                      => 'Listado de documentos adjuntos',

    // transaction index
    'title_expenses'                            => 'Gastos',
    'title_withdrawal'                          => 'Gastos',
    'title_revenue'                             => 'Ingresos / salarios',
    'title_deposit'                             => 'Ingresos / salarios',
    'title_transfer'                            => 'Transferencias',
    'title_transfers'                           => 'Transferencias',
    'submission_options'                        => 'Submission options',
    'apply_rules_checkbox'                      => 'Apply rules',
    'fire_webhooks_checkbox'                    => 'Fire webhooks',

    // convert stuff:
    'convert_is_already_type_Withdrawal'        => 'Esta transferencia ya es un retiro',
    'convert_is_already_type_Deposit'           => 'Esta transacción ya es un deposito',
    'convert_is_already_type_Transfer'          => 'Esta transacción ya es una transferencia',
    'convert_to_Withdrawal'                     => 'Convierta ":description" a un retiro',
    'convert_to_Deposit'                        => 'Convierta ":description" en un deposito',
    'convert_to_Transfer'                       => 'Convierta ":description" en una transferencia',
    'convert_options_WithdrawalDeposit'         => 'Convertir una retirada de efectivo en un depósito',
    'convert_options_WithdrawalTransfer'        => 'Convertir una retirada de efectivo en una transferencia',
    'convert_options_DepositTransfer'           => 'Convertir un depósito en una transferencia',
    'convert_options_DepositWithdrawal'         => 'Convertir un depósito en una retirada de efectivo',
    'convert_options_TransferWithdrawal'        => 'Convertir una transferencia en una retirada de efectivo',
    'convert_options_TransferDeposit'           => 'Convertir una transferencia en un depósito',
    'convert_Withdrawal_to_deposit'             => 'Convierta este retiro en un deposito',
    'convert_Withdrawal_to_transfer'            => 'Convierta este retiro en una transferencia',
    'convert_Deposit_to_withdrawal'             => 'Convierta este deposito en un retiro',
    'convert_Deposit_to_transfer'               => 'Convierta este deposito en una transferencia',
    'convert_Transfer_to_deposit'               => 'Convierta esta transferencia en un deposito',
    'convert_Transfer_to_withdrawal'            => 'Convierta esta transferencia en un retiro',
    'convert_please_set_revenue_source'         => 'Por favor elija la cuenta de ingresos de donde vendrá el dinero.',
    'convert_please_set_asset_destination'      => 'Por favor elija la cuenta de activos a donde el dinero se destinara.',
    'convert_please_set_expense_destination'    => 'Por favor elija la cuenta de gastos a la que ira el dinero.',
    'convert_please_set_asset_source'           => 'Por favor elija la cuenta de activos de donde vendrá el dinero.',
    'convert_expl_w_d'                          => 'Al convertir de un retiro a un depósito, el dinero será depositado en la cuenta de destino indicada, en lugar de ser retirado de él. Cuando se convierte de un retiro a un depósito, el dinero será depositado en las cuentas de destino indicadas, en lugar de ser retirado de ellas.',
    'convert_expl_w_t'                          => 'Al convertir un retiro en una transferencia, el dinero se transferirá fuera de la cuenta de origen a otra cuenta de activos o pasivos en lugar de ser gastado en la cuenta de gastos originales. Al convertir un retiro en una transferencia, el dinero se transferirá fuera de las cuentas de origen a otras cuentas de activos o pasivos en lugar de gastarse en las cuentas de gastos originales.',
    'convert_expl_d_w'                          => 'Al convertir un depósito en retiro, el dinero será retirado de la cuenta de origen mostrada en lugar de ser depositado en ella. Al convertir un depósito en un retiro, el dinero se retirará de las cuentas de origen mostradas en lugar de depositarse en ellas.',
    'convert_expl_d_t'                          => 'Cuando convierte un depósito en una transferencia, el dinero será depositado en la cuenta de destino listada desde cualquiera de sus cuentas de activos o pasivos. Cuando usted convierte un depósito en una transferencia, el dinero será depositado en las cuentas de destino listadas desde cualquiera de sus cuentas de activos o de responsabilidad.',
    'convert_expl_t_w'                          => 'Cuando usted convierte una transferencia en un retiro, el dinero se gastará en la cuenta de destino que haya establecido aquí, en lugar de ser transferido.|Cuando usted convierte una transferencia en un retiro, el dinero se gastará en las cuentas de destino que haya establecido aquí, en lugar de ser transferido.',
    'convert_expl_t_d'                          => 'Cuando usted convierte una transferencia en un depósito, el dinero será depositado en la cuenta de destino que usted ve aquí, en lugar de ser transferido a ella. |Cuando usted convierte una transferencia en un depósito, el dinero será depositado en las cuentas de destino que usted ve aquí, en lugar de ser transferido a ellas.',
    'convert_select_sources'                    => 'Para completar la conversión, por favor establezca la nueva cuenta de origen a continuación.|Para completar la conversión, por favor configure las nuevas cuentas de origen a continuación.',
    'convert_select_destinations'               => 'Para completar la conversión, por favor establezca la nueva cuenta de origen a continuación.|Para completar la conversión, por favor configure las nuevas cuentas de origen a continuación.',
    'converted_to_Withdrawal'                   => 'La transacción se convirtió en un retiro',
    'converted_to_Deposit'                      => 'La transacción se ha convertido en un deposito',
    'converted_to_Transfer'                     => 'La transacción se convirtió en transferencia',
    'invalid_convert_selection'                 => 'L a cuenta que usted ha selecionado ya esta en uso o no existe.',
    'source_or_dest_invalid'                    => 'No pude encontrar los detalles correctos de la transacción. La conversión no es posible.',
    'convert_to_withdrawal'                     => 'Convertir a retiro',
    'convert_to_deposit'                        => 'Convertir a depósito',
    'convert_to_transfer'                       => 'Convertir a transferencia',

    // create new stuff:
    'create_new_withdrawal'                     => 'Crear nuevo retiro',
    'create_new_deposit'                        => 'Crear nuevo deposito',
    'create_new_transfer'                       => 'Crear nueva transferencia',
    'create_new_asset'                          => 'Crear nueva cuenta de activos',
    'create_new_liabilities'                    => 'Crear nuevo pasivo',
    'create_new_expense'                        => 'Crear nueva cuenta de gastos',
    'create_new_revenue'                        => 'Crear nueva cuenta de ingresos',
    'create_new_piggy_bank'                     => 'Crear nueva hucha',
    'create_new_bill'                           => 'Crear nueva factura',

    // currencies:
    'create_currency'                           => 'Crear nueva moneda',
    'store_currency'                            => 'Crear moneda',
    'update_currency'                           => 'Actualizar moneda',
    'new_default_currency'                      => ':name es ahora moneda por defecto.',
    'cannot_delete_currency'                    => 'No puede eliminar :name porque todavía esta en uso.',
    'cannot_delete_fallback_currency'           => ':name es la moneda de reserva del sistema y no se puede eliminar.',
    'cannot_disable_currency_journals'          => 'No se puede desactivar :name porque las transacciones siguen utilizándola.',
    'cannot_disable_currency_last_left'         => 'No se puede desactivar :name porque es la última moneda habilitada.',
    'cannot_disable_currency_account_meta'      => 'No se puede desactivar :name porque se utiliza en cuentas de activos.',
    'cannot_disable_currency_bills'             => 'No se puede desactivar :name porque se utiliza en facturas.',
    'cannot_disable_currency_recurring'         => 'No se puede desactivar :name porque se utiliza en transacciones recurrentes.',
    'cannot_disable_currency_available_budgets' => 'No se puede desactivar :name porque se utiliza en presupuestos disponibles.',
    'cannot_disable_currency_budget_limits'     => 'No se puede desactivar :name porque se utiliza en límites presupuestarios.',
    'cannot_disable_currency_current_default'   => 'No se puede desactivar :name porque es la moneda por defecto actual.',
    'cannot_disable_currency_system_fallback'   => 'No se puede desactivar :name porque es la moneda por defecto del sistema.',
    'disable_EUR_side_effects'                  => 'El Euro es la moneda de emergencia del sistema. Desactivarla puede tener efectos secundarios no deseados y puede anular su garantía.',
    'deleted_currency'                          => 'Moneda :name eliminada',
    'created_currency'                          => 'Moneda :name creada',
    'could_not_store_currency'                  => 'No se puede crear la nueva moneda.',
    'updated_currency'                          => 'Moneda :name actualizada',
    'ask_site_owner'                            => 'Por favor pregunte :owner por agregar,elimine o edite monedas.',
    'currencies_intro'                          => 'Firefly III respalda varias monedas que usted puede establecer y habilitar aquí.',
    'make_default_currency'                     => 'Establecer por defecto',
    'default_currency'                          => 'por defecto',
    'currency_is_disabled'                      => 'Deshabilitado',
    'enable_currency'                           => 'Activar',
    'disable_currency'                          => 'Desactivar',
    'currencies_default_disabled'               => 'La mayoría de estas monedas están desactivadas por defecto. Para usarlas, debes activarlas primero.',
    'currency_is_now_enabled'                   => 'Moneda ":name" ha sido activada',
    'currency_is_now_disabled'                  => 'Moneda ":name" ha sido desactivada',

    // forms:
    'mandatoryFields'                           => 'Campos obligatorios',
    'optionalFields'                            => 'Campos opcionales',
    'options'                                   => 'Opciones',

    // budgets:
    'daily_budgets'                             => 'Presupuestos diarios',
    'weekly_budgets'                            => 'Presupuestos semanales',
    'monthly_budgets'                           => 'Presupuestos mensuales',
    'quarterly_budgets'                         => 'Presupuestos trimestrales',
    'half_year_budgets'                         => 'Presupuestos semestrales',
    'yearly_budgets'                            => 'Presupuestos anuales',
    'other_budgets'                             => 'Presupuestos de tiempo personalizado',
    'budget_limit_not_in_range'                 => 'Esta cantidad se aplica desde :start hasta :end:',
    'total_available_budget'                    => 'Presupuesto total disponible (entre :start y :end)',
    'total_available_budget_in_currency'        => 'Presupuesto total disponible en :currency',
    'see_below'                                 => 'ver abajo',
    'create_new_budget'                         => 'Crear un nuevo presupuesto',
    'store_new_budget'                          => 'Almacene el nuevo presupuesto',
    'stored_new_budget'                         => 'Presupuesto ":name" creado',
    'available_between'                         => 'Disponible entre :start y :end',
    'transactionsWithoutBudget'                 => 'Gastos sin presupuesto',
    'transactions_no_budget'                    => 'Gastos sin presupuesto entre :start y :end',
    'spent_between'                             => 'Gastado entre :start y :end',
    'set_available_amount'                      => 'Fijar cantidad disponible',
    'update_available_amount'                   => 'Actualizar cantidad disponible',
    'ab_basic_modal_explain'                    => 'Utilice este formulario para indicar cuánto espera poder presupuestar (en total, en :currency) en el período indicado.',
    'createBudget'                              => 'Nuevo presupuesto',
    'invalid_currency'                          => 'Esta es una divisa no válida',
    'invalid_amount'                            => 'Por favor, introduzca una cantidad',
    'set_ab'                                    => 'Se ha establecido el presupuesto disponible',
    'updated_ab'                                => 'El presupuesto disponible ha sido actualizado',
    'deleted_ab'                                => 'El presupuesto disponible ha sido eliminado',
    'deleted_bl'                                => 'La cantidad presupuestada ha sido eliminada',
    'alt_currency_ab_create'                    => 'Establecer el presupuesto disponible en otra divisa',
    'bl_create_btn'                             => 'Establecer presupuesto en otra divisa',
    'inactiveBudgets'                           => 'Presupuestos inactivos',
    'without_budget_between'                    => 'Transacciones sin presupuesto entre :start y :end',
    'delete_budget'                             => 'Eliminar presupuesto ":name"',
    'deleted_budget'                            => 'Presupuesto eliminado ":name"',
    'edit_budget'                               => 'Editar presupuesto ":name"',
    'updated_budget'                            => 'Presupuesto actualizado ":name"',
    'update_amount'                             => 'Actualizar cantidad',
    'update_budget'                             => 'Actualizar presupuesto',
    'update_budget_amount_range'                => 'Cantidad disponible (esperada) actualizada entre :start y :end',
    'set_budget_limit_title'                    => 'Establecer el importe para el presupuesto :budget entre :start y :end',
    'set_budget_limit'                          => 'Establecer cantidad presupuestada',
    'budget_period_navigator'                   => 'Periodo navegador',
    'info_on_available_amount'                  => '¿ que tengo disponible?',
    'available_amount_indication'               => 'Utilice estas cantidades para obtener una indicación de lo que podría ser su presupuesto total.',
    'suggested'                                 => 'Sugerido',
    'average_between'                           => 'Promedio entre :start y :end',
    'transferred_in'                            => 'Transferido (dentro)',
    'transferred_away'                          => 'Transferido (fuera)',
    'auto_budget_none'                          => 'Sin autopresupuesto',
    'auto_budget_reset'                         => 'Establecer una cantidad fija cada periodo',
    'auto_budget_rollover'                      => 'Añadir una cantidad cada período',
    'auto_budget_period_daily'                  => 'Diario',
    'auto_budget_period_weekly'                 => 'Semanal',
    'auto_budget_period_monthly'                => 'Mensual',
    'auto_budget_period_quarterly'              => 'Trimestral',
    'auto_budget_period_half_year'              => 'Cada medio año',
    'auto_budget_period_yearly'                 => 'Anual',
    'auto_budget_help'                          => 'Puedes leer más sobre esta función en la ayuda. Haz clic en el icono de la parte superior derecha (?).',
    'auto_budget_reset_icon'                    => 'Este presupuesto se establecerá periódicamente',
    'auto_budget_rollover_icon'                 => 'La cantidad del presupuesto aumentará periódicamente',
    'remove_budgeted_amount'                    => 'Eliminar la cantidad presupuestada en :currency',

    // bills:
    'not_expected_period'                       => 'No se espera en este período',
    'not_or_not_yet'                            => 'No (todavía)',
    'visit_bill'                                => 'Visit bill ":name" at Firefly III',
    'match_between_amounts'                     => 'La cuenta iguala transacciones entre :low y :high.',
    'running_again_loss'                        => 'Las transacciones previamente vinculadas a esta factura pueden perder su conexión, si (ya) no coinciden con la(s) regla(s).',
    'bill_related_rules'                        => 'Reglas relacionadas con esta cuenta',
    'repeats'                                   => 'Repeticiones',
    'bill_end_date_help'                        => 'Optional field. The bill is expected to end on this date.',
    'bill_extension_date_help'                  => 'Optional field. The bill must be extended (or cancelled) on or before this date.',
    'bill_end_index_line'                       => 'This bill ends on :date',
    'bill_extension_index_line'                 => 'This bill must be extended or cancelled on :date',
    'connected_journals'                        => 'Transacciones conectadas',
    'auto_match_on'                             => 'Automáticamente igualado por Firefly III',
    'auto_match_off'                            => 'No igualado automaticamente por Firefly III',
    'next_expected_match'                       => 'Siguiente partido esperado',
    'delete_bill'                               => 'Eliminar factura ":name"',
    'deleted_bill'                              => 'Eliminar factura ":name"',
    'edit_bill'                                 => 'Editar factura ":name"',
    'more'                                      => 'Mas',
    'rescan_old'                                => 'Ejecutar las reglas de nuevo, en todas las transacciones',
    'update_bill'                               => 'Actualizar factura',
    'updated_bill'                              => 'Actualizar factura ":name"',
    'store_new_bill'                            => 'Crear factura',
    'stored_new_bill'                           => 'Factura ":name" creada',
    'cannot_scan_inactive_bill'                 => 'Las facturas inactivas no pueden ser escaneadas.',
    'rescanned_bill'                            => 'Se volvió a escanear todo, y vinculó :count transacción a la factura. | Se volvió a escanear todo, y vinculó :count transacciones a la factura.',
    'average_bill_amount_year'                  => 'Cantidad media de la factura (:year)',
    'average_bill_amount_overall'               => 'Cantidad media de las facturas (total)',
    'bill_is_active'                            => 'Bill esta activo',
    'bill_expected_between'                     => 'Esperado entre :start y :end',
    'bill_will_automatch'                       => 'Bill se vinculara automáticamente a transacciones coincidentes',
    'skips_over'                                => 'salta sobre',
    'bill_store_error'                          => 'Se ha producido un error inesperado mientras se almacenaba su nueva factura. Por favor, compruebe los archivos de registro',
    'list_inactive_rule'                        => 'regla inactiva',
    'bill_edit_rules'                           => 'Firefly III también intentará editar la regla relacionada con esta factura. Sin embargo, si ha editado esta regla usted mismo, Firefly III no cambiará nada.|Firefly III intentará editar también las :count reglas relacionadas con esta factura. Sin embargo, si ha editado estas reglas usted mismo, Firefly III no cambiará nada.',
    'bill_expected_date'                        => 'Se espera :date',
    'bill_expected_date_js'                     => 'Fecha prevista {date}',
    'bill_paid_on'                              => 'Pagado el {date}',
    'bill_repeats_weekly'                       => 'Repetir semanalmente',
    'bill_repeats_monthly'                      => 'Repetir mensualmente',
    'bill_repeats_quarterly'                    => 'Repite trimestralmente',
    'bill_repeats_half-year'                    => 'Repetir cada 6 meses',
    'bill_repeats_yearly'                       => 'Repetir anualmente',
    'bill_repeats_weekly_other'                 => 'Repetir cada dos semanas',
    'bill_repeats_monthly_other'                => 'Repetir cada dos meses',
    'bill_repeats_quarterly_other'              => 'Repetir cada dos trimestres',
    'bill_repeats_half-year_other'              => 'Repetir anualmente',
    'bill_repeats_yearly_other'                 => 'Repetir cada dos años',
    'bill_repeats_weekly_skip'                  => 'Repetir cada {skip} semanas',
    'bill_repeats_monthly_skip'                 => 'Repetir cada {skip} meses',
    'bill_repeats_quarterly_skip'               => 'Repetir cada {skip} trimestres',
    'bill_repeats_half-year_skip'               => 'Repetir cada {skip} medios años',
    'bill_repeats_yearly_skip'                  => 'Repetir cada {skip} años',
    'subscriptions'                             => 'Suscripciones',
    'forever'                                   => 'Siempre',
    'extension_date_is'                         => 'Fecha de extensión es {date}',

    // accounts:
    'inactive_account_link'                     => 'Tiene :count cuenta inactiva (archivada), que puedes ver en esta página separada.|Tienes cuentas :count inactivas (archivadas), que puedes ver en esta página separada.',
    'all_accounts_inactive'                     => 'Estas son sus cuentas inactivas.',
    'active_account_link'                       => 'Este enlace se regresa a sus cuentas activas.',
    'account_missing_transaction'               => 'Cuenta #:id (":name") no puede ser vista directamente, Firefly perdió información de redirección.',
    'cc_monthly_payment_date_help'              => 'Seleccione cualquier año y mes, será ignorado de todos modos. Sólo el día del mes es relevante.',
    'details_for_asset'                         => 'Detalles para la cuenta de activos ":name"',
    'details_for_expense'                       => 'Detalles para la cuenta de gastos ":name"',
    'details_for_revenue'                       => 'Detalles para la cuenta de ingresos ":name"',
    'details_for_cash'                          => 'Detalle para la cuenta de efectivo ":name"',
    'store_new_asset_account'                   => 'Crear cuenta de activos',
    'store_new_expense_account'                 => 'Crear cuenta de gastos',
    'store_new_revenue_account'                 => 'Crear cuenta de ingresos',
    'edit_asset_account'                        => 'Editar cuenta de activos ":name"',
    'edit_expense_account'                      => 'Editar cuenta de gastos ":name"',
    'edit_revenue_account'                      => 'Editar cuenta de ganancias ":name"',
    'delete_asset_account'                      => 'Eliminar cuenta de activo ":name"',
    'delete_expense_account'                    => 'Eliminar cuenta de gastos ":name"',
    'delete_revenue_account'                    => 'Eliminar cuenta de ganancias ":name"',
    'delete_liabilities_account'                => 'Eliminar pasivo ":name"',
    'asset_deleted'                             => 'Se ha eliminado exitosamente la cuenta de activos ":name"',
    'account_deleted'                           => 'Cuenta "::name" eliminada con éxito',
    'expense_deleted'                           => 'Exitosamente eliminado la cuenta de gastos ":name"',
    'revenue_deleted'                           => 'Exitosamente eliminado cuenta de ganacias ":name"',
    'update_asset_account'                      => 'Actualizar cuenta de activos',
    'update_undefined_account'                  => 'Actualizar cuenta',
    'update_liabilities_account'                => 'Actualizar pasivo',
    'update_expense_account'                    => 'Actualizar cuenta de gastos',
    'update_revenue_account'                    => 'Actualizar cuenta de ingresos',
    'make_new_asset_account'                    => 'Crear nueva cuenta de activo',
    'make_new_expense_account'                  => 'Crear nueva cuenta de gastos',
    'make_new_revenue_account'                  => 'Crear nueva cuenta de ingresos',
    'make_new_liabilities_account'              => 'Crear un nuevo pasivo',
    'asset_accounts'                            => 'Cuenta de activos',
    'undefined_accounts'                        => 'Cuentas',
    'asset_accounts_inactive'                   => 'Cuentas de activos (inactivas)',
    'expense_accounts'                          => 'Cuentas de gastos',
    'expense_accounts_inactive'                 => 'Cuentas de gastos (inactivas)',
    'revenue_accounts'                          => 'Cuentas de ingresos',
    'revenue_accounts_inactive'                 => 'Cuentas de ingresos (inactivas)',
    'cash_accounts'                             => 'Cuentas de efectivo',
    'Cash account'                              => 'Cuenta de efectivo',
    'liabilities_accounts'                      => 'Pasivos',
    'liabilities_accounts_inactive'             => 'Pasivos (inactivos)',
    'reconcile_account'                         => 'Reconciliar cuenta ":account"',
    'overview_of_reconcile_modal'               => 'Resumen de reconciliación',
    'delete_reconciliation'                     => 'Eliminar reconciliacion',
    'update_reconciliation'                     => 'Actualizar reconciliacion',
    'amount_cannot_be_zero'                     => 'La cantidad no puede ser cero',
    'end_of_reconcile_period'                   => 'Fin del periodo de reconciliacion::period',
    'start_of_reconcile_period'                 => 'Inicio de periodo de reconciliación::period',
    'start_balance'                             => 'Balance inicial',
    'end_balance'                               => 'Balance final',
    'update_balance_dates_instruction'          => 'Coinciden con las cantidades y fechas sobre su estado de cuenta, y presione "comenzar reconciliación"',
    'select_transactions_instruction'           => 'Seleccione las transacciones que aparecen en su estado bancario.',
    'select_range_and_balance'                  => 'Primero verifique el rango de las fechas y los saldos. luego presione "comenzar reconciliación"',
    'date_change_instruction'                   => 'Si usted cambia el rango de las fechas ahora, se perderá cualquier progreso.',
    'update_selection'                          => 'Selección de actualización',
    'store_reconcile'                           => 'Guardar reconciliación',
    'reconciliation_transaction'                => 'Transacción de reconciliación',
    'Reconciliation'                            => 'Reconciliacion',
    'reconciliation'                            => 'Reconciliacion',
    'reconcile_options'                         => 'Opciones de reconciliacion',
    'reconcile_range'                           => 'Rango de reconciliacion',
    'start_reconcile'                           => 'Comienzo de reconciliación',
    'cash_account_type'                         => 'Efectivo',
    'cash'                                      => 'efectivo',
    'cant_find_redirect_account'                => 'Firefly III le intentó redirigir pero no pudo. Lo sentimos. Volver al índice.',
    'account_type'                              => 'Tipo de cuenta',
    'save_transactions_by_moving'               => 'Guardar esta transacción moviéndola a otra cuenta:|Guardar estas transacciones moviéndolas a otra cuenta:',
    'save_transactions_by_moving_js'            => 'Ninguna transacción|Guardar esta transacción moviéndola a otra cuenta. |Guardar estas transacciones moviéndolas a otra cuenta.',
    'stored_new_account'                        => 'Nueva cuenta ":name" almacenada!',
    'stored_new_account_js'                     => 'Nueva cuenta "<a href="accounts/show/{ID}">{name}</a>" guardada!',
    'updated_account'                           => 'Cuenta actualizada ":name"',
    'updated_account_js'                        => 'Cuenta actualizada "<a href="accounts/show/{ID}">{title}</a>".',
    'credit_card_options'                       => 'Opciones de tarjeta de crédito',
    'no_transactions_account'                   => 'No hay transacciones ( en este periodo) para cuenta de activos ":name".',
    'no_transactions_period'                    => 'No hay transacciones (en este período).',
    'no_data_for_chart'                         => 'No hay suficiente información (todavía) para generar este gráfico.',
    'select_at_least_one_account'               => 'Por favor, seleccione al menos una cuenta',
    'select_at_least_one_category'              => 'Por favor, seleccione al menos una categoría',
    'select_at_least_one_budget'                => 'Por favor, seleccione al menos un presupuesto',
    'select_at_least_one_tag'                   => 'Por favor, seleccione al menos una etiqueta',
    'select_at_least_one_expense'               => 'Por favor, seleccione al menos una combinación de cuentas de gastos/ingresos. Si no tiene ninguna (la lista está vacía) este informe no está disponible.',
    'account_default_currency'                  => 'Esta será la moneda por defecto asociada a esta cuenta.',
    'reconcile_has_more'                        => 'Su libro principal de Firefly III tiene mas dinero de lo que su banco afirma debería tener, Hay varias opciones. por favor elija que hacer. luego, presione "confirmar reconciliación".',
    'reconcile_has_less'                        => 'Su libro principal de Firefly III tiene menos dinero de el que su banco dice que usted debería tener. hay varias opciones. Por favor elija que hacer, luego presione " Confirmar reconciliación".',
    'reconcile_is_equal'                        => 'Su libro principal de Firefly III y sus estados de cuenta coinciden. No hay nada que hacer. por favor presione "Confirmar reconciliación" para confirmar su entrada.',
    'create_pos_reconcile_transaction'          => 'Borre las transacciones seleccionadas, y cree una corrección agregando :amount a esta cuenta de activo.',
    'create_neg_reconcile_transaction'          => 'Borre las transacciones seleccionadas, y cree una corrección eliminando :amount de esta cuenta de activo.',
    'reconcile_do_nothing'                      => 'Borre la transacciones seleccionadas, pero no las corrija.',
    'reconcile_go_back'                         => 'Usted puede siempre editar o eliminar una corrección mas tarde.',
    'must_be_asset_account'                     => 'Usted solo puede reconciliar cuentas de activos',
    'reconciliation_stored'                     => 'Reconciliación almacenada',
    'reconciliation_error'                      => 'Debido a un error, las transacciones fueron marcadas como reconciliadas, pero la corrección no se ha guardado: :error.',
    'reconciliation_transaction_title'          => 'Reconciliación (:from a :to)',
    'sum_of_reconciliation'                     => 'Suma de reconciliación',
    'reconcile_this_account'                    => 'Reconciliar esta cuenta',
    'reconcile'                                 => 'Reconciliar',
    'show'                                      => 'Mostrar',
    'confirm_reconciliation'                    => 'Confirmar la reconciliacion',
    'submitted_start_balance'                   => 'Balance final enviado',
    'selected_transactions'                     => 'Transacciones seleccionadas (:count)',
    'already_cleared_transactions'              => 'Transacciones ya despejadas (:count)',
    'submitted_end_balance'                     => 'Balance final enviado',
    'initial_balance_description'               => 'Balance inicial para ":account"',
    'liability_credit_description'              => 'Crédito pasivo para ":account"',
    'interest_calc_'                            => 'desconocido',
    'interest_calc_daily'                       => 'Por dia',
    'interest_calc_monthly'                     => 'Por mes',
    'interest_calc_yearly'                      => 'Por año',
    'interest_calc_weekly'                      => 'Por semana',
    'interest_calc_half-year'                   => 'Por semestre',
    'interest_calc_quarterly'                   => 'Por trimestre',
    'initial_balance_account'                   => 'Balance inicial de la cuenta :account',
    'list_options'                              => 'Opciones de lista',

    // categories:
    'new_category'                              => 'Nueva categoría',
    'create_new_category'                       => 'Crear una nueva categoria',
    'without_category'                          => 'Sin categoría',
    'update_category'                           => 'Actualizar categoría',
    'updated_category'                          => 'Actualizar categoría ":name"',
    'categories'                                => 'Categorías',
    'edit_category'                             => 'Editar categoría ":name"',
    'no_category'                               => '(sin categoría)',
    'category'                                  => 'Categoria',
    'delete_category'                           => 'Eliminar categoría ":name"',
    'deleted_category'                          => 'Categoría eliminada ":name"',
    'store_category'                            => 'Guardar nueva categoria',
    'stored_category'                           => 'Nueva categoría guardada ":name"',
    'without_category_between'                  => 'Sin categoría entre :start y:end',

    // transactions:
    'update_withdrawal'                         => 'Actualización de retiro',
    'update_deposit'                            => 'Actualización de deposito',
    'update_transaction'                        => 'Actualizar transacción',
    'update_transfer'                           => 'Actualización de transferencia',
    'updated_withdrawal'                        => 'Retiro actualizado',
    'updated_deposit'                           => 'Actualización de deposito ":description"',
    'updated_transfer'                          => 'Transferencia actualizada ":description"',
    'no_changes_withdrawal'                     => 'Retiro ":description" no se cambió.',
    'no_changes_deposit'                        => 'Depósito ":description" no se cambió.',
    'no_changes_transfer'                       => 'Transferencia ":description" no se cambió.',
    'delete_withdrawal'                         => 'Eliminar ":description"',
    'delete_deposit'                            => 'Eliminar deposito ":description"',
    'delete_transfer'                           => 'Eliminar transferencia ":description"',
    'deleted_withdrawal'                        => 'Eliminado exitosamente',
    'deleted_deposit'                           => 'Deposito eliminado exitosamente ":description"',
    'deleted_transfer'                          => 'Transferencia eliminada exitosamente ":description"',
    'deleted_reconciliation'                    => 'Transacción de conciliación eliminada con éxito "::description"',
    'stored_journal'                            => 'Nueva transacción creada exitosamente ":description"',
    'stored_journal_no_descr'                   => 'Se ha creado tu nueva transacción con éxito',
    'updated_journal_no_descr'                  => 'Se ha actualizado tu transacción con éxito',
    'select_transactions'                       => 'Seleccionar transacciones',
    'rule_group_select_transactions'            => 'Aplicar ":title" a las transacciones',
    'rule_select_transactions'                  => 'Aplicar ":title" a las transacciones',
    'stop_selection'                            => 'Pare de seleccionas transacciones',
    'reconcile_selected'                        => 'Reconciliar',
    'mass_delete_journals'                      => 'Eliminar un numero de transacciones',
    'mass_edit_journals'                        => 'Editar un numero de transacciones',
    'mass_bulk_journals'                        => 'Editar múltiples transacciones',
    'mass_bulk_journals_explain'                => 'Este formulario le permite cambiar las propiedades de las transacciones que aparecen a continuación en una actualización de barrido. Todas las transacciones en la tabla se actualizarán cuando cambie los parámetros que vea aquí.',
    'part_of_split'                             => 'Esta transacción es parte de una transacción dividida. Si no ha seleccionado todas las partes, puede terminar con cambiar sólo la mitad de la transacción.',
    'bulk_set_new_values'                       => 'Use las entradas abajo para establecer nuevos valores. Si usted los deja vacíos, serán vacíos para todos. también, tenga en cuenta que solo los retiros tendrán un presupuesto.',
    'no_bulk_category'                          => 'No actualizar la categoria',
    'no_bulk_budget'                            => 'No actualizar el presupuesto',
    'no_bulk_tags'                              => 'No actualizar etiqueta(s)',
    'replace_with_these_tags'                   => 'Reemplazar con estas etiquetas',
    'append_these_tags'                         => 'Añadir esas etiquetas',
    'mass_edit'                                 => 'Editar seleccionado individualmente',
    'bulk_edit'                                 => 'Editar seleccionados en masa',
    'mass_delete'                               => 'Eliminar seleccionados',
    'cannot_edit_other_fields'                  => 'Usted no puede editar en masa otros campos ademas de los que están aquí, porque no hay espacio para mostrarlos. siga el enlace y editelo uno a uno, si usted necesita editar estos campos.',
    'cannot_change_amount_reconciled'           => 'No puede cambiar la cantidad de transacciones conciliadas.',
    'no_budget'                                 => '(sin presupuesto)',
    'no_bill'                                   => '(sin factura)',
    'account_per_budget'                        => 'Cuenta por presupuesto',
    'account_per_category'                      => 'Cuenta por categoría',
    'create_new_object'                         => 'Crear',
    'empty'                                     => '(vacío)',
    'all_other_budgets'                         => '(todos los demás presupuestos)',
    'all_other_accounts'                        => '(todas las demás cuentas)',
    'expense_per_source_account'                => 'Gastos por cuenta de origen',
    'expense_per_destination_account'           => 'Gastos por cuenta destino',
    'income_per_destination_account'            => 'Ingresos por cuenta de destino',
    'spent_in_specific_category'                => 'Gastado en categoría ":category"',
    'earned_in_specific_category'               => 'Ganado en la categoría ":category"',
    'spent_in_specific_tag'                     => 'Gastado en etiqueta ":tag"',
    'earned_in_specific_tag'                    => 'Ganado en etiqueta ":tag"',
    'income_per_source_account'                 => 'Ingresos por cuenta fuente',
    'average_spending_per_destination'          => 'Gasto promedio por cuenta de destino',
    'average_spending_per_source'               => 'Gasto promedio por cuenta de origen',
    'average_earning_per_source'                => 'Ingreso promedio por cuenta de origen',
    'average_earning_per_destination'           => 'Ingreso promedio por cuenta de destino',
    'account_per_tag'                           => 'Cuenta por etiqueta',
    'tag_report_expenses_listed_once'           => 'Los gastos y los ingresos nunca se enumeran dos veces. Si una transacción tiene múltiples etiquetas, sólo puede aparecer bajo una de sus etiquetas. Esta lista puede parecer que faltan datos, pero las cantidades serán correctas.',
    'double_report_expenses_charted_once'       => 'Los gastos y los ingresos nunca se muestran dos veces. Si una transacción tiene múltiples etiquetas, sólo puede aparecer bajo una de sus etiquetas. Este gráfico puede parecer que faltan datos, pero las cantidades serán correctas.',
    'tag_report_chart_single_tag'               => 'Este gráfico se aplica a una sola etiqueta. Si una transacción tiene múltiples etiquetas, lo que ve aquí puede reflejarse también en los gráficos de otras etiquetas.',
    'tag'                                       => 'Etiqueta',
    'no_budget_squared'                         => '(sin presupuesto)',
    'perm-delete-many'                          => 'Eliminar muchos elementos en una sola vez puede ser muy perturbador. Por favor, tenga cuidado. Puede eliminar parte de una transacción dividida de esta página, así que tenga cuidado.',
    'mass_deleted_transactions_success'         => 'Eliminado :count transacción.|Eliminado :count transacciones.',
    'mass_edited_transactions_success'          => 'Actualizado :count transaction.|Actualizado :count transacciones.',
    'opt_group_'                                => '(Sin tipo de cuenta)',
    'opt_group_no_account_type'                 => '(Sin tipo de cuenta)',
    'opt_group_defaultAsset'                    => 'Cuentas de activos por defecto',
    'opt_group_savingAsset'                     => 'Cuenta de ahorros',
    'opt_group_sharedAsset'                     => 'Cuenta de activos compartidas',
    'opt_group_ccAsset'                         => 'Tarjetas de credito',
    'opt_group_cashWalletAsset'                 => 'Billeteras de efectivo',
    'opt_group_expense_account'                 => 'Cuentas de gastos',
    'opt_group_revenue_account'                 => 'Cuentas de ingresos',
    'opt_group_l_Loan'                          => 'Pasivo: Préstamo',
    'opt_group_cash_account'                    => 'Cuenta de efectivo',
    'opt_group_l_Debt'                          => 'Pasivo: Deuda',
    'opt_group_l_Mortgage'                      => 'Pasivo: Hipoteca',
    'opt_group_l_Credit card'                   => 'Pasivo: Tarjeta de crédito',
    'notes'                                     => 'Notas',
    'unknown_journal_error'                     => 'No se pudo guardar la transacción. Por favor, revise los archivos de registro.',
    'attachment_not_found'                      => 'No se pudo encontrar este adjunto.',
    'journal_link_bill'                         => 'Esta transacción está vinculada a la factura <a href=":route">:name</a>. Para eliminar la conexión, desmarca la casilla de verificación. Usa reglas para conectarla a otra factura.',
    'transaction_stored_link'                   => '<a href="transactions/show/{ID}">La transacción #{ID} ("{title}")</a> ha sido almacenada.',
    'transaction_new_stored_link'               => '<a href="transactions/show/{ID}">La transacción #{ID}</a> ha sido guardada.',
    'transaction_updated_link'                  => '<a href="transactions/show/{ID}">La transacción #{ID}</a> ("{title}") ha sido actualizada.',
    'transaction_updated_no_changes'            => '<a href="transactions/show/{ID}">La transacción #{ID}</a> ("{title}") no recibió ningún cambio.',
    'first_split_decides'                       => 'La primera división determina el valor de este campo',
    'first_split_overrules_source'              => 'La primera división puede anular la cuenta de origen',
    'first_split_overrules_destination'         => 'La primera división puede anular la cuenta de destino',
    'spent_x_of_y'                              => '{amount} gastado de {total}',

    // new user:
    'welcome'                                   => 'Bienvenido a Firefly III!',
    'submit'                                    => 'Enviar',
    'submission'                                => 'Envío',
    'submit_yes_really'                         => 'Enviar (Se lo que estoy haciendo)',
    'getting_started'                           => 'Comenzando',
    'to_get_started'                            => 'Felicidades, has instalado con éxito Firefly III. Para empezar en esta herramienta, por favor escribe el nombre de tu banco y el saldo de su cuenta principal. Si tienes más de una cuenta, podrás agregarla más tarde. Firefly III necesita algo por lo que empezar.',
    'savings_balance_text'                      => 'Firefly III creará automáticamente una cuenta de ahorros. Por defecto, no habrá dinero en su cuenta de ahorros, pero si le dice a Firefly III el saldo se almacenará como tal.',
    'finish_up_new_user'                        => '¡Todo listo! Puedes continuar pulsando <strong>Enviar</strong>. Serás redirigido al inicio de Firefly III.',
    'stored_new_accounts_new_user'              => '¡Bien! Tus nuevas cuentas han sido almacenadas.',
    'set_preferred_language'                    => 'Si prefiere usar Firefly III en otro lenguaje, por favor indíquelo aquí.',
    'language'                                  => 'Idioma',
    'new_savings_account'                       => ':bank_name Cuenta de ahorros',
    'cash_wallet'                               => 'Billetera de efectivo',
    'currency_not_present'                      => 'Si la moneda que normalmente utiliza no se encuentra listada, no se preocupe. Puede crear su propia moneda desde Opciones>Monedas.',

    // home page:
    'transaction_table_description'             => 'Una tabla que contiene sus transacciones',
    'opposing_account'                          => 'Cuenta opuesta',
    'yourAccounts'                              => 'Tus cuentas',
    'your_accounts'                             => 'Resumen de su cuenta',
    'category_overview'                         => 'Resumen de categorías',
    'expense_overview'                          => 'Resumen de la cuenta de gastos',
    'revenue_overview'                          => 'Resumen de la cuenta de ingresos',
    'budgetsAndSpending'                        => 'Presupuestos y gastos',
    'budgets_and_spending'                      => 'Presupuestos y gastos',
    'go_to_budget'                              => 'Ir al presupuesto "{budget}"',
    'go_to_deposits'                            => 'Ir a depósitos',
    'go_to_expenses'                            => 'Ir a gastos',
    'savings'                                   => 'Ahorros',
    'newWithdrawal'                             => 'Nuevo gasto',
    'newDeposit'                                => 'Nuevo deposito',
    'newTransfer'                               => 'Nueva transferencia',
    'bills_to_pay'                              => 'Facturas por pagar',
    'per_day'                                   => 'Por dia',
    'left_to_spend_per_day'                     => 'Disponible para gasto diario',
    'bills_paid'                                => 'Facturas pagadas',
    'custom_period'                             => 'Período personalizado',
    'reset_to_current'                          => 'Restablecer al período actual',
    'select_period'                             => 'Seleccione un período',

    // menu and titles, should be recycled as often as possible:
    'currency'                                  => 'Moneda',
    'preferences'                               => 'Preferencias',
    'logout'                                    => 'Cerrar sesión',
    'logout_other_sessions'                     => 'Desconectar todas las demás sesiones',
    'toggleNavigation'                          => 'Activar navegación',
    'searchPlaceholder'                         => 'Buscar...',
    'version'                                   => 'Versión',
    'dashboard'                                 => 'Panel de control',
    'available_budget'                          => 'Presupuesto disponible ({currency})',
    'currencies'                                => 'Divisas',
    'activity'                                  => 'Actividad',
    'usage'                                     => 'Uso',
    'accounts'                                  => 'Cuentas',
    'Asset account'                             => 'Cuenta de activos',
    'Default account'                           => 'Cuenta de activos',
    'Expense account'                           => 'Cuenta de gastos',
    'Revenue account'                           => 'Cuenta de ganancia',
    'Initial balance account'                   => 'Cuenta de balance inicial',
    'account_type_Debt'                         => 'Deuda',
    'account_type_Loan'                         => 'Préstamo',
    'account_type_Mortgage'                     => 'Hipoteca',
    'account_type_debt'                         => 'Deuda',
    'account_type_loan'                         => 'Préstamo',
    'account_type_mortgage'                     => 'Hipoteca',
    'account_type_Credit card'                  => 'Tarjeta de crédito',
    'credit_card_type_monthlyFull'              => 'Pago completo cada mes',
    'liability_direction_credit'                => 'Se me debe esta deuda',
    'liability_direction_debit'                 => 'Le debo esta deuda a otra persona',
    'liability_direction_credit_short'          => 'Tenía esta deuda',
    'liability_direction_debit_short'           => 'Tiene esta deuda',
    'liability_direction__short'                => 'Desconocido',
    'liability_direction_null_short'            => 'Desconocido',
    'Liability credit'                          => 'Crédito pasivo',
    'budgets'                                   => 'Presupuestos',
    'tags'                                      => 'Etiquetas',
    'reports'                                   => 'Informes',
    'transactions'                              => 'Transacciones',
    'expenses'                                  => 'Gastos',
    'income'                                    => 'Ingresos / salarios',
    'transfers'                                 => 'Transferencias',
    'moneyManagement'                           => 'Gestión del dinero',
    'money_management'                          => 'Gestión del dinero',
    'tools'                                     => 'Herramientas',
    'piggyBanks'                                => 'Huchas',
    'piggy_banks'                               => 'Huchas',
    'amount_x_of_y'                             => '{current} de {total}',
    'bills'                                     => 'Facturas',
    'withdrawal'                                => 'Retiro',
    'opening_balance'                           => 'Saldo inicial',
    'deposit'                                   => 'Depósito',
    'account'                                   => 'Cuenta',
    'transfer'                                  => 'Transferencia',
    'Withdrawal'                                => 'Retiro',
    'Deposit'                                   => 'Depósito',
    'Transfer'                                  => 'Transferencia',
    'bill'                                      => 'Factura',
    'yes'                                       => 'Si',
    'no'                                        => 'No',
    'amount'                                    => 'Cantidad',
    'overview'                                  => 'Resumen',
    'saveOnAccount'                             => 'Guardar en cuenta',
    'unknown'                                   => 'Desconocido',
    'monthly'                                   => 'Mensual',
    'profile'                                   => 'Perfil',
    'errors'                                    => 'Errores',
    'debt_start_date'                           => 'Fecha de inicio de deuda',
    'debt_start_amount'                         => 'Cantidad inicial de la deuda',
    'debt_start_amount_help'                    => 'Siempre es mejor establecer este valor a una cantidad negativa. Lea las páginas de ayuda (arriba a la derecha (icono-?)) para más información.',
    'interest_period_help'                      => 'Este campo es meramente cosmético y no se calculará para usted. Como resulta que los bancos son muy estrepitosos, por lo que Firefly III nunca lo hace bien.',
    'store_new_liabilities_account'             => 'Crear nuevo pasivo',
    'edit_liabilities_account'                  => 'Editar pasivo ":name"',
    'financial_control'                         => 'Control financiero',
    'accounting'                                => 'Contabilidad',
    'automation'                                => 'Automatización',
    'others'                                    => 'Otros',
    'classification'                            => 'Clasificación',
    'store_transaction'                         => 'Guardar transacción',

    // reports:
    'report_default'                            => 'Reporte financiero por defecto entre :start y :end',
    'report_audit'                              => 'Transacción general del historial entre :start y :end',
    'report_category'                           => 'Reporte de categoría entre :start y :end',
    'report_double'                             => 'Informe de cuenta de gastos/ingresos entre :start y :end',
    'report_budget'                             => 'Reporte de presupuesto entre :start y :end',
    'report_tag'                                => 'Reporte de etiqueta entre :start y :end',
    'quick_link_reports'                        => 'Enlaces rápidos',
    'quick_link_examples'                       => 'Estos son sólo algunos enlaces de ejemplo para empezar. Echa un vistazo a las páginas de ayuda bajo el botón (?)-para obtener información sobre todos los informes y las palabras mágicas que puedes usar.',
    'quick_link_default_report'                 => 'Reporte financiero por defecto',
    'quick_link_audit_report'                   => 'Resumen del historial de transacciones',
    'report_this_month_quick'                   => 'Mes en curso, todas las cuentas',
    'report_last_month_quick'                   => 'Último mes, todas las cuentas',
    'report_this_year_quick'                    => 'Año en curso, todas las cuentas',
    'report_this_fiscal_year_quick'             => 'Año fiscal en curso, todas las cuentas',
    'report_all_time_quick'                     => 'Todo el tiempo, todas las cuentas',
    'reports_can_bookmark'                      => 'Recuerda que los informes pueden ser marcados como favoritos.',
    'incomeVsExpenses'                          => 'Ingresos vs. gastos',
    'accountBalances'                           => 'Balances de cuentas',
    'balanceStart'                              => 'Balance al inicio de un periodo',
    'balanceEnd'                                => 'Balance al final de un periodo',
    'splitByAccount'                            => 'Separada por cuenta',
    'coveredWithTags'                           => 'Cubierta con etiquetas',
    'leftInBudget'                              => 'Disponible en presupuesto',
    'left_in_debt'                              => 'Importe debido',
    'sumOfSums'                                 => 'Suma de sumas',
    'noCategory'                                => '(sin categoría)',
    'notCharged'                                => 'No cargado (todavía)',
    'inactive'                                  => 'Inactivo',
    'active'                                    => 'Activo',
    'difference'                                => 'Diferente',
    'money_flowing_in'                          => 'Dentro',
    'money_flowing_out'                         => 'Fuera',
    'topX'                                      => 'tope :number',
    'show_full_list'                            => 'Mostrar lista entera',
    'show_only_top'                             => 'Mostrar solo tope :number',
    'report_type'                               => 'Tipo de reporte',
    'report_type_default'                       => 'Informe financiero predeterminado',
    'report_type_audit'                         => 'Resumen del historial de transacciones (auditar)',
    'report_type_category'                      => 'Reporte de categoría',
    'report_type_budget'                        => 'Reporte de presupuesto',
    'report_type_tag'                           => 'Reporte de etiqueta',
    'report_type_double'                        => 'Informe de cuenta de gastos/ingresos',
    'more_info_help'                            => 'Puedes encontrar más información sobre estos tipos de informes en las páginas de ayuda. Pulsa el icono (?) En la esquina superior derecha.',
    'report_included_accounts'                  => 'Cuentas incluidas',
    'report_date_range'                         => 'Rango de fechas',
    'report_preset_ranges'                      => 'Rangos preestablecidos',
    'shared'                                    => 'Compartido',
    'fiscal_year'                               => 'Año fiscal',
    'income_entry'                              => 'Ingresos de la cuenta ":name" entre :start y :end',
    'expense_entry'                             => 'Gastos a cuenta ":name" entre :start y :end',
    'category_entry'                            => 'Gastos e ingresos en la categoría ":name" entre :start y :end',
    'budget_spent_amount'                       => 'Gastos en presupuesto ":budget" entre :start y :end',
    'balance_amount'                            => 'Gastos en presupuesto ":budget" pago desde la cuenta ":account" entre :start y :end',
    'no_audit_activity'                         => 'Ninguna actividad fue registrada en la cuenta <a href=":url" title=":account_name">:account_name</a> entre :start y :end.',
    'audit_end_balance'                         => 'Saldo de cuenta de <a href=":url" title=":account_name">:account_name</a> en el final de :end fue :balance',
    'reports_extra_options'                     => 'Opciones adicionales',
    'report_has_no_extra_options'               => 'Este informe no tiene opciones adicionales',
    'reports_submit'                            => 'Ver informe',
    'end_after_start_date'                      => 'Fecha final de reporte debe ser después de la fecha de inicio.',
    'select_category'                           => 'Seleccionar categoría (as)',
    'select_budget'                             => 'Seleccionar presupuesto (s).',
    'select_tag'                                => 'Seleccionar etiqueta (s).',
    'income_per_category'                       => 'Ingresos por categoria',
    'expense_per_category'                      => 'Gastos por categoria',
    'expense_per_budget'                        => 'Gastos por presupuestos',
    'income_per_account'                        => 'Ingresos por cuenta',
    'expense_per_account'                       => 'Gastos por cuenta',
    'expense_per_tag'                           => 'Gastos por etiqueta',
    'income_per_tag'                            => 'Ingreso por etiqueta',
    'include_expense_not_in_budget'             => 'Gastos incluidos que no están en el presupuesto (s) seleccionado',
    'include_expense_not_in_account'            => 'Gastos incluidos que no están en la cuenta (s) seleccionada',
    'include_expense_not_in_category'           => 'Gastos incluidos que no están en la categoría (s) seleccionada',
    'include_income_not_in_category'            => 'Ingresos incluidos que no estan en la categoria (s) seleccionada',
    'include_income_not_in_account'             => 'Ingresos incluidos que no están en la cuenta (s) seleccionada',
    'include_income_not_in_tags'                => 'Ingresos incluidos no en la etiqueta (s) seleccionadas',
    'include_expense_not_in_tags'               => 'Gastos incluidos no seleccionados con etiqueta',
    'everything_else'                           => 'Todo lo demas',
    'income_and_expenses'                       => 'Ingresos y gastos',
    'spent_average'                             => 'Gastado (promedio)',
    'income_average'                            => 'Ingresos (promedio)',
    'transaction_count'                         => 'Cuenta de transacciones',
    'average_spending_per_account'              => 'Promedio de gasto por cuenta',
    'average_income_per_account'                => 'Promedio de ingreso por cuenta',
    'total'                                     => 'Total',
    'description'                               => 'Descripción',
    'sum_of_period'                             => 'Suma de período',
    'average_in_period'                         => 'Promedio en el período',
    'account_role_defaultAsset'                 => 'Cuentas de ingresos por defecto',
    'account_role_sharedAsset'                  => 'Cuenta de ingresos compartida',
    'account_role_savingAsset'                  => 'Cuentas de ahorros',
    'account_role_ccAsset'                      => 'Tarjeta de Crédito',
    'account_role_cashWalletAsset'              => 'Billetera de efectivo',
    'budget_chart_click'                        => 'Por favor de click el nombre del presupuesto en la tabla de arriba para ver el cuadro.',
    'category_chart_click'                      => 'Por favor de click en el nombre de categoría en la tabla de arriba para ver el cuadro.',
    'in_out_accounts'                           => 'Ganado y gastado por combinación',
    'in_out_accounts_per_asset'                 => 'Ganado y gastado (por cuenta de activos)',
    'in_out_per_category'                       => 'Ganado y gastado por categoría',
    'out_per_budget'                            => 'Gasto por presupuesto',
    'select_expense_revenue'                    => 'Seleccione cuenta de gastos/ingresos',
    'multi_currency_report_sum'                 => 'Como esta lista contiene cuentas con múltiples monedas, la(s) suma(s) que veas puede no tener sentido. El reporte siempre figurará en tu moneda predeterminada.',
    'sum_in_default_currency'                   => 'La suma siempre estará en tu moneda predeterminada.',
    'net_filtered_prefs'                        => 'Este gráfico nunca incluirá cuentas que tengan la opción "Incluir en el valor neto" no marcada.',

    // charts:
    'chart'                                     => 'Grafico',
    'month'                                     => 'Mes',
    'budget'                                    => 'Presupuesto',
    'spent'                                     => 'Gastado',
    'spent_capped'                              => 'Gastado (tope)',
    'spent_in_budget'                           => 'Gastado en presupuesto',
    'left_to_spend'                             => 'Disponible para gastar',
    'earned'                                    => 'Ganado',
    'overspent'                                 => 'Sobrepasadas',
    'left'                                      => 'Disponible',
    'max-amount'                                => 'Cantidad máxima',
    'min-amount'                                => 'Monto mínimo',
    'journal-amount'                            => 'Entrada actual de factura',
    'name'                                      => 'Nombre',
    'date'                                      => 'Fecha',
    'date_and_time'                             => 'Fecha y hora',
    'time'                                      => 'Hora',
    'paid'                                      => 'Pagado',
    'unpaid'                                    => 'No pagado',
    'day'                                       => 'Día',
    'budgeted'                                  => 'Presupuestado',
    'period'                                    => 'Período',
    'balance'                                   => 'Balance',
    'sum'                                       => 'Suma',
    'summary'                                   => 'Resumen',
    'average'                                   => 'Promedio',
    'balanceFor'                                => 'Saldo por :name',
    'no_tags'                                   => '(sin etiquetas)',

    // piggy banks:
    'event_history'                             => 'Event history',
    'add_money_to_piggy'                        => 'Añadir dinero a la hucha ":name"',
    'piggy_bank'                                => 'Hucha',
    'new_piggy_bank'                            => 'Nueva hucha',
    'store_piggy_bank'                          => 'Crear hucha',
    'stored_piggy_bank'                         => 'Crear hucha ":name"',
    'account_status'                            => 'Estado de cuenta',
    'left_for_piggy_banks'                      => 'Apartado para las huchas',
    'sum_of_piggy_banks'                        => 'Total de las huchas',
    'saved_so_far'                              => 'Guardado hasta el momento',
    'left_to_save'                              => 'Disponible para ahorro',
    'suggested_amount'                          => 'Cantidad mensual sugerida para ahorrar',
    'add_money_to_piggy_title'                  => 'Añadir dinero a la hucha ":name"',
    'remove_money_from_piggy_title'             => 'Quitar dinero de la hucha ":name"',
    'add'                                       => 'Añadir',
    'no_money_for_piggy'                        => 'Usted no tiene dinero para añadir a esta hucha.',
    'suggested_savings_per_month'               => 'Sugerido por mes',

    'remove'                    => 'Eliminar',
    'max_amount_add'            => 'La cantidad máxima que usted puede agregar es',
    'max_amount_remove'         => 'La cantidad máxima que usted puede retirar es',
    'update_piggy_button'       => 'Actualizar hucha',
    'update_piggy_title'        => 'Actualizar hucha ":name"',
    'updated_piggy_bank'        => 'Hucha ":name" actualizada',
    'details'                   => 'Detalles',
    'events'                    => 'Eventos',
    'target_amount'             => 'Cantidad objetivo',
    'start_date'                => 'Fecha de inicio',
    'no_start_date'             => 'Sin fecha de inicio',
    'target_date'               => 'Fecha objetivo',
    'no_target_date'            => 'Sin fecha de objetivo',
    'table'                     => 'Mesa',
    'delete_piggy_bank'         => 'Eliminar hucha ":name"',
    'cannot_add_amount_piggy'   => 'No se pudo agregar :amount a ":name.".',
    'cannot_remove_from_piggy'  => 'No se pudo eliminar :amount de :name.',
    'deleted_piggy_bank'        => 'Hucha ":name" eliminada',
    'added_amount_to_piggy'     => 'Agregado :amount a ":name"',
    'removed_amount_from_piggy' => 'Eliminado :amount de :name',
    'piggy_events'              => 'Huchas relacionadas',

    // tags
    'delete_tag'                => 'Eliminar etiqueta ":tag"',
    'deleted_tag'               => 'Eliminar etiqueta ":tag"',
    'new_tag'                   => 'Hacer nueva etiqueta',
    'edit_tag'                  => 'Editar etiqueta ":tag"',
    'updated_tag'               => 'Actualizar etiqueta ":tag"',
    'created_tag'               => 'Etiqueta ":tag" ha sido creado!',

    'transaction_journal_information'          => 'Información de transacción',
    'transaction_journal_meta'                 => 'Información Meta',
    'transaction_journal_more'                 => 'Más información',
    'basic_journal_information'                => 'Información básica de transacción',
    'transaction_journal_extra'                => 'Información adicional',
    'att_part_of_journal'                      => 'Guardado en ":journal"',
    'total_amount'                             => 'Cantidad total',
    'number_of_decimals'                       => 'Número de decimales',

    // administration
    'invite_new_user_title'                    => 'Invite new user',
    'invite_new_user_text'                     => 'As an administrator, you can invite users to register on your Firefly III administration. Using the direct link you can share with them, they will be able to register an account. The invited user and their invite link will appear in the table below. You are free to share the invitation link with them.',
    'invited_user_mail'                        => 'Email address',
    'invite_user'                              => 'Invite user',
    'user_is_invited'                          => 'Email address ":address" was invited to Firefly III',
    'administration'                           => 'Administración',
    'code_already_used'                        => 'Invite code has been used',
    'user_administration'                      => 'Administración de usuarios',
    'list_all_users'                           => 'Todos los usuarios',
    'all_users'                                => 'Todo usuario',
    'instance_configuration'                   => 'Configuracion',
    'firefly_instance_configuration'           => 'Opciones de configuración de Firefly III',
    'setting_single_user_mode'                 => 'Modo de usuario único',
    'setting_single_user_mode_explain'         => 'Por defecto, Firefly III solo acepta un único usuario: tú. Esto es una medida de seguridad para impedir que otros utilicen su instancia a menos que lo permitas. Si desmarcas esta casilla, otros podrán registrarse en esta instancia si tienen acceso a ella.',
    'store_configuration'                      => 'Guardar configuración',
    'single_user_administration'               => 'Administración de usuarios para :email',
    'edit_user'                                => 'Editar usuario :email',
    'hidden_fields_preferences'                => 'Puede habilitar más opciones de transacción en sus <a href="preferences">ajustes </a>.',
    'user_data_information'                    => 'Datos del usuario',
    'user_information'                         => 'Información del usuario',
    'total_size'                               => 'tamaño total',
    'budget_or_budgets'                        => ':count presupuesto|:count presupuestos',
    'budgets_with_limits'                      => ':count presupuesto con cantidad configurada|:count presupuestos con cantidad configurada',
    'nr_of_rules_in_total_groups'              => ':count_rules reglas en :count_groups grupo de reglas',
    'tag_or_tags'                              => ':count etiqueta|:count etiquetas',
    'configuration_updated'                    => 'La configuración ha sido actualizada',
    'setting_is_demo_site'                     => 'Sitio de demostracion',
    'setting_is_demo_site_explain'             => 'Si usted chequea esta casilla, esta instalación se comportara como si fuera el sitio de demostración, que puede tener efectos secundarios extraños.',
    'block_code_bounced'                       => 'Mensaje (s) de correo rebotados',
    'block_code_expired'                       => 'Cuenta de demostración vencida',
    'no_block_code'                            => 'No hay razón para el bloqueo o usuario bloqueado',
    'block_code_email_changed'                 => 'El usuario no ha confirmado aun una nueva dirección de correo',
    'admin_update_email'                       => 'Contrario a la pagina de perfil, El usuario NO se notificara que su dirección de correo ha cambiado!',
    'update_user'                              => 'Actualizar usuario',
    'updated_user'                             => 'Los datos del usuario han sido cambiados.',
    'delete_user'                              => 'Eliminar usuario :email',
    'user_deleted'                             => 'El usuario ha sido eliminado',
    'send_test_email'                          => 'Enviar mensaje de correo electrónico de prueba',
    'send_test_email_text'                     => 'To see if your installation is capable of sending email or posting Slack messages, please press this button. You will not see an error here (if any), <strong>the log files will reflect any errors</strong>. You can press this button as many times as you like. There is no spam control. The message will be sent to <code>:email</code> and should arrive shortly.',
    'send_message'                             => 'Enviar mensaje',
    'send_test_triggered'                      => 'La prueba fue disparada. Chequee su bandeja de entrada y archivos de registro.',
    'give_admin_careful'                       => 'Los usuarios a los que se les conceden derechos de administrador pueden quitarte el tuyo. Ten cuidado.',
    'admin_maintanance_title'                  => 'Mantenimiento',
    'admin_maintanance_expl'                   => 'Algunos botones útiles para mantenimiento de Firefly III',
    'admin_maintenance_clear_cache'            => 'Limpiar cache',
    'admin_notifications'                      => 'Admin notifications',
    'admin_notifications_expl'                 => 'The following notifications can be enabled or disabled by the administrator. If you want to get these messages over Slack as well, set the "incoming webhook" URL.',
    'admin_notification_check_user_new_reg'    => 'User gets post-registration welcome message',
    'admin_notification_check_admin_new_reg'   => 'Administrator(s) get new user registration notification',
    'admin_notification_check_new_version'     => 'A new version is available',
    'admin_notification_check_invite_created'  => 'A user is invited to Firefly III',
    'admin_notification_check_invite_redeemed' => 'A user invitation is redeemed',
    'all_invited_users'                        => 'All invited users',
    'save_notification_settings'               => 'Save settings',
    'notification_settings_saved'              => 'The notification settings have been saved',


    'split_transaction_title'               => 'Descripción de la transacción dividida',
    'split_transaction_title_help'          => 'Si crea una transacción dividida, debe existir una descripción global para todas las divisiones de la transacción.',
    'split_title_help'                      => 'Si crea una transacción dividida, debe haber una descripción global para todos los fragmentos de la transacción.',
    'you_create_transfer'                   => 'Está creando una transferencia.',
    'you_create_withdrawal'                 => 'Está creando un retiro.',
    'you_create_deposit'                    => 'Está creando un depósito.',


    // links
    'journal_link_configuration'            => 'Configuración de enlaces de transacción',
    'create_new_link_type'                  => 'Crear un nuevo tipo de enlace',
    'store_new_link_type'                   => 'Crear tipo de enlace',
    'update_link_type'                      => 'Actualizar tipo de enlace',
    'edit_link_type'                        => 'Editar tipo de enlace ":name"',
    'updated_link_type'                     => 'Actualizar tipo de enlace ":name"',
    'delete_link_type'                      => 'Eliminar tipo de enlace ":name"',
    'deleted_link_type'                     => 'Eliminar tipo de enlace ":name"',
    'stored_new_link_type'                  => 'Guardar nuevo tipo de enlace ":name"',
    'cannot_edit_link_type'                 => 'No puede editar el tipo de enlace ":name"',
    'link_type_help_name'                   => 'Ie "Duplicados"',
    'link_type_help_inward'                 => 'Ie."duplicados"',
    'link_type_help_outward'                => 'Ie."esta duplicado por"',
    'save_connections_by_moving'            => 'Guarde el enlace entre estas transacciones moviéndolas a otro tipo de enlace:',
    'do_not_save_connection'                => '(no guarde la conexión)',
    'link_transaction'                      => 'Enlazar transacción',
    'link_to_other_transaction'             => 'Enlazar esta transacción con otra',
    'select_transaction_to_link'            => 'Seleccione una transacción para enlazar esta transacción. Los enlaces no están siendo utilizados actualmente en Firefly III (aparte de ser mostrados), esto cambiará en el futuro. Utilice la casilla de búsqueda para seleccionar una transacción por título o por ID. Si desea agregar tipos de enlace personalizados, compruebe la sección de administración.',
    'this_transaction'                      => 'Esta transacción',
    'transaction'                           => 'Transaccion',
    'comments'                              => 'Comentarios',
    'link_notes'                            => 'Cualquier nota que desee almacenar con el enlace.',
    'invalid_link_selection'                => 'No se puede vincular esta transacción',
    'selected_transaction'                  => 'Transacción seleccionada',
    'journals_linked'                       => 'Las transacciones están vinculadas.',
    'journals_error_linked'                 => 'Estas transacciones ya están vinculadas.',
    'journals_link_to_self'                 => 'No puede relacionar una transacción consigo misma',
    'journal_links'                         => 'Enlaces de transacciones',
    'this_withdrawal'                       => 'Este retiro',
    'this_deposit'                          => 'Este deposito',
    'this_transfer'                         => 'Esta transferencia',
    'overview_for_link'                     => 'Visión en conjunto para el tipo de enlace ":name"',
    'source_transaction'                    => 'Transacción fuente',
    'link_description'                      => 'Descripción de enlace',
    'destination_transaction'               => 'Transacción de destino',
    'delete_journal_link'                   => 'Elimine el link entre <a href=":source_link"><a href=":source_link"><a href=":source_link">:source</a> y <a href=":destination_link"><a href=":destination_link">:destination</a>',
    'deleted_link'                          => 'Enlace borrado',

    // link translations:
    'Paid_name'                             => 'Pagado',
    'Refund_name'                           => 'Reembolso',
    'Reimbursement_name'                    => 'Reembolso',
    'Related_name'                          => 'Relacionado',
    'relates to_inward'                     => 'relacionado con',
    'is (partially) refunded by_inward'     => 'es (parcialmente) devuelto por',
    'is (partially) paid for by_inward'     => 'es(parcialmente) pagado por',
    'is (partially) reimbursed by_inward'   => 'es(parcialmente) reembolsado por',
    'inward_transaction'                    => 'Transacción interna',
    'outward_transaction'                   => 'Transacción externa',
    'relates to_outward'                    => 'relacionado con',
    '(partially) refunds_outward'           => '(parcialmente) reembolso',
    '(partially) pays for_outward'          => '(parcialmente) paga por',
    '(partially) reimburses_outward'        => '(parcialmente) reembolsa',
    'is (partially) refunded by'            => 'es (parcialmente) devuelto por',
    'is (partially) paid for by'            => 'es(parcialmente) pagado por',
    'is (partially) reimbursed by'          => 'es(parcialmente) reembolsado por',
    'relates to'                            => 'relacionado con',
    '(partially) refunds'                   => '(parcialmente) reembolsado',
    '(partially) pays for'                  => 'paga (parcialmente) por',
    '(partially) reimburses'                => 'reembolsa (parcialmente)',

    // split a transaction:
    'splits'                                => 'Divisiones',
    'add_another_split'                     => 'Añadir otra división',
    'cannot_edit_opening_balance'           => 'Usted no puede editar el balance de apertura de una cuenta.',
    'no_edit_multiple_left'                 => 'Usted no ha seleccionado transacciones válidas para editar.',
    'breadcrumb_convert_group'              => 'Convertir transacción',
    'convert_invalid_source'                => 'La información de origen no es válida para la transacción #%d.',
    'convert_invalid_destination'           => 'La información de destino no es válida para la transacción #%d.',
    'create_another'                        => 'Después de guardar, vuelve aquí para crear otro.',
    'after_update_create_another'           => 'Después de actualizar, vuelve aquí para continuar editando.',
    'store_as_new'                          => 'Almacenar como una nueva transacción en lugar de actualizar.',
    'reset_after'                           => 'Restablecer formulario después del envío',
    'errors_submission'                     => 'Hubo un problema con su envío. Por favor, compruebe los errores.',
    'transaction_expand_split'              => 'Expandir división',
    'transaction_collapse_split'            => 'Colapsar división',

    // object groups
    'default_group_title_name'              => '(sin agrupación)',

    // empty lists? no objects? instructions:
    'no_accounts_title_asset'               => '¡Vamos a crear una cuenta de activos!',
    'no_accounts_intro_asset'               => 'Usted aun no tiene cuenta de activos. las cuentas de activos son sus cuentas principales: sus cuentas de cheques, cuenta de ahorros, cuenta compartida o incluso su tarjeta de crédito.',
    'no_accounts_imperative_asset'          => 'Para comenzar a utilizar Firefly III Usted debe crear al menos una cuenta de activo. Vamos a hacerlo ahora:',
    'no_accounts_create_asset'              => 'Crear una cuenta de activos',
    'no_accounts_title_expense'             => '¡Vamos a crear una cuenta de gastos!',
    'no_accounts_intro_expense'             => 'Usted aun no tiene cuentas de gastos. Las cuentas de gastos son los lugares donde se gasta dinero, tales como tiendas y supermercados.',
    'no_accounts_imperative_expense'        => 'Las cuentas de gastos se crean automáticamente cuando crea transacciones, pero usted puede crear una manualmente también. si usted quiere. vamos a crear una ahora:',
    'no_accounts_create_expense'            => 'Crear una cuenta de gastos',
    'no_accounts_title_revenue'             => '¡Vamos a crear una cuenta de ingresos!',
    'no_accounts_intro_revenue'             => 'Usted no tiene cuentas de ingresos aun. Cuentas de ingresos son los lugares donde usted recibe dinero, como su empleador.',
    'no_accounts_imperative_revenue'        => 'Las cuentas de ganancias se crean automáticamente cuando usted crea transacciones, pero usted puede crear una manualmente también, si usted quiere. vamos a crear una ahora:',
    'no_accounts_create_revenue'            => 'Crear una cuenta de ingresos',
    'no_accounts_title_liabilities'         => '¡Vamos a crear un pasivo!',
    'no_accounts_intro_liabilities'         => 'Todavía no tienes pasivos. Los pasivos son las cuentas que registran sus préstamos y otras deudas.',
    'no_accounts_imperative_liabilities'    => 'No necesita usar esta función pero, puede ser muy útil si desea hacer un seguimiento de estas cosas.',
    'no_accounts_create_liabilities'        => 'Crear un pasivo',
    'no_budgets_title_default'              => 'Vamos a crear un presupuesto',
    'no_rules_title_default'                => 'Vamos a crear una regla',
    'no_budgets_intro_default'              => 'Todavía no tienes presupuestos. Los presupuestos se usan para organizar tus gastos en grupos, a los que puedes asignar un tope para limitarlos.',
    'no_rules_intro_default'                => 'Aún no tiene reglas. Las reglas son potentes automatizaciones que pueden manejar transacciones por usted.',
    'no_rules_imperative_default'           => 'Las reglas pueden ser muy útiles cuando está gestionando transacciones. Vamos a crear una ahora:',
    'no_budgets_imperative_default'         => 'Los presupuestos son las herramientas básicas de la gestión financiera. Vamos a crear uno ahora:',
    'no_budgets_create_default'             => 'Crear un presupuesto',
    'no_rules_create_default'               => 'Crear regla',
    'no_categories_title_default'           => '¡Vamos a crear una categoría!',
    'no_categories_intro_default'           => 'Todavía no tienes categorías. Las categorías se utilizan para ajustar sus transacciones y etiquetarlas con su categoría designada.',
    'no_categories_imperative_default'      => 'Las categorías se crean automáticamente al crear transacciones, pero también puedes crearlas manualmente. Vamos a crear una:',
    'no_categories_create_default'          => 'Crear una categoría',
    'no_tags_title_default'                 => '¡Vamos a crear una etiqueta!',
    'no_tags_intro_default'                 => 'Todavía no tienes etiquetas. Las etiquetas se utilizan para ajustar tus transacciones y etiquetarlas con palabras clave específicas.',
    'no_tags_imperative_default'            => 'Las etiquetas se crean automáticamente al crear transacciones, pero también puedes crearlas manualmente. Vamos a crear una:',
    'no_tags_create_default'                => 'Crear etiqueta',
    'no_transactions_title_withdrawal'      => '¡Vamos a crear un gasto!',
    'no_transactions_intro_withdrawal'      => 'Usted no tiene gastos todavía. Usted debe crear gastos paran comenzar a administrar sus finanzas.',
    'no_transactions_imperative_withdrawal' => '¿Has gastado algo de dinero? Entonces usted debería escribirlo:',
    'no_transactions_create_withdrawal'     => 'Crear un gasto',
    'no_transactions_title_deposit'         => '¡Vamos a crear algún ingreso!',
    'no_transactions_intro_deposit'         => 'Usted no tiene gastos grabados todavía. Usted debe crear entradas de ingresos para comenzar a gerenciar sus finanzas.',
    'no_transactions_imperative_deposit'    => '¿ A recibido usted algún dinero? Entonces usted debería escribirlo:',
    'no_transactions_create_deposit'        => 'Cree un deposito',
    'no_transactions_title_transfers'       => '¡Vamos a crear una tranferencia!',
    'no_transactions_intro_transfers'       => 'Usted no tiene transferencias aun. Cuando usted mueve dinero entre cuentas de activos, se registra como una transferencia.',
    'no_transactions_imperative_transfers'  => '¿Has movido algo de dinero? Entonces usted debería escribirlo:',
    'no_transactions_create_transfers'      => 'Crear una transferencia',
    'no_piggies_title_default'              => '¡Vamos a crear una hucha!',
    'no_piggies_intro_default'              => 'Aún no tienes huchas. Puedes crear huchas para dividir tus ahorros y hacer un seguimiento de lo que estés ahorrando.',
    'no_piggies_imperative_default'         => '¿Tiene cosas para las cuales está ahorrando dinero? Cree una hucha y haga su seguimiento:',
    'no_piggies_create_default'             => 'Crear una nueva hucha',
    'no_bills_title_default'                => '¡Vamos a crear una factura!',
    'no_bills_intro_default'                => 'Usted no tiene facturas aun. Usted puede crear facturas para hacer un seguimiento de los gastos regulares, como su alquiler o el seguro.',
    'no_bills_imperative_default'           => '¿Tienes facturas periódicas? Crea una factura y haz un seguimiento de tus pagos:',
    'no_bills_create_default'               => 'Crear una factura',

    // recurring transactions
    'create_right_now'                      => 'Create right now',
    'no_new_transaction_in_recurrence' => 'No new transaction was created. Perhaps it was already fired for this date?',
    'recurrences'                           => 'Transacciones Recurrentes',
    'repeat_until_in_past'                  => 'Esta transacción recurrente dejó de repetirse el :date.',
    'recurring_calendar_view'               => 'Calendario',
    'no_recurring_title_default'            => 'Vamos a crear una transacción recurrente!',
    'no_recurring_intro_default'            => 'Usted no tiene transacciones recurrentes aún. Puede usar esto para hacer que Firefly III cree transacciones por usted.',
    'no_recurring_imperative_default'       => 'Esta es una característica bastante avanzada pero, puede ser extremadamente útil. Asegúrese de haber leído la documentación (?- Icono en la esquina derecha) antes de continuar.',
    'no_recurring_create_default'           => 'Crear una transacción recurrente',
    'make_new_recurring'                    => 'Crear una transacción recurrente',
    'recurring_daily'                       => 'Diario',
    'recurring_weekly'                      => 'Cada semana los :weekday',
    'recurring_weekly_skip'                 => 'Cada :skip(er/a) semana en :weekday',
    'recurring_monthly'                     => 'Todos los meses, el :dayOfMonthº día',
    'recurring_monthly_skip'                => 'Cada :skip(er/o) mes en el :dayOfMonth(er/o) día',
    'recurring_ndom'                        => 'Todos los meses, el :dayOfMonthº :weekday',
    'recurring_yearly'                      => 'Cada año en :date',
    'overview_for_recurrence'               => 'Resumen de transacción recurrente ":title"',
    'warning_duplicates_repetitions'        => 'En algunas ocasiones, las fechas aparecen duplicadas en esta lista. Esto puede ocurrir porque múltiples repeticiones chocan. Firefly III siempre generará una transacción por día.',
    'created_transactions'                  => 'Transacciones relacionadas',
    'expected_withdrawals'                  => 'Extractos previstos',
    'expected_deposits'                     => 'Ingresos previstos',
    'expected_transfers'                    => 'Transferencias previstas',
    'created_withdrawals'                   => 'Extractos creadas',
    'created_deposits'                      => 'Depósitos creados',
    'created_transfers'                     => 'Transferencias creadas',
    'recurring_info'                        => 'Transacción recurrente :count / :total',
    'created_from_recurrence'               => 'Creado a partir de transacción recurrente ":title" (#:id)',
    'recurring_never_cron'                  => 'Al parecer, el cron job necesario para realizar las transacciones recurrentes nunca se ejecutó. Esto es normal por supuesto, cuando acabas de instalar Firefly III pero, es algo que deberías configurar lo antes posible. Por favor, revisa las páginas de ayuda usando el ícono-(?) en la esquina derecha de la página.',
    'recurring_cron_long_ago'               => 'Aparentemente han pasado mas de 36 horas desde que el cron job para dar soporte a las transacciones recurrentes se ha disparado por última vez. Está usted seguro que lo ha configurado correctamente? Por favor, revise las páginas de ayuda usando el ícono-(?) en la esquina derecha de la página.',

    'create_new_recurrence'              => 'Crear transacción recurrente',
    'help_first_date'                    => 'Indique la primera recurrencia esperada. Esto debe ser en un tiempo futuro.',
    'help_first_date_no_past'            => 'Indique la primera recurrencia esperada. Firefly III no creará transacciones en el pasado.',
    'no_currency'                        => '(sin moneda)',
    'mandatory_for_recurring'            => 'Información de recurrencia obligatorio',
    'mandatory_for_transaction'          => 'Información obligatoria de transacción',
    'optional_for_recurring'             => 'Información de recurrencia opcional',
    'optional_for_transaction'           => 'Información de transacción opcional',
    'change_date_other_options'          => 'Cambie la "primera fecha" para ver más opciones.',
    'mandatory_fields_for_tranaction'    => 'Los valores de aquí van a terminar en las transaccion(es) que se están creando',
    'click_for_calendar'                 => 'Haga clic aquí para ver un calendario que le muestra cuando se repetirá la transacción.',
    'repeat_forever'                     => 'Repetir por siempre',
    'repeat_until_date'                  => 'Repetir hasta',
    'repeat_times'                       => 'Repetir un número de veces',
    'recurring_skips_one'                => 'Intercalado',
    'recurring_skips_more'               => 'Saltea :count ocurrencias',
    'store_new_recurrence'               => 'Crear transacción recurrente',
    'stored_new_recurrence'              => 'Transacción recurrente ":title" almacenada con éxito.',
    'edit_recurrence'                    => 'Editar transacción recurrente ":title"',
    'recurring_repeats_until'            => 'Repetir hasta :date',
    'recurring_repeats_forever'          => 'Repetir por siempre',
    'recurring_repeats_x_times'          => 'Repetir :count vez|Repetir :count veces',
    'update_recurrence'                  => 'Actualizar transacción recurrente',
    'updated_recurrence'                 => 'Transacción recurrente ":title" actualizada',
    'recurrence_is_inactive'             => 'Esta transacción recurrente no está activa y no generará nuevas transacciones.',
    'delete_recurring'                   => 'Borrar Transacción Recurrente ":title"',
    'new_recurring_transaction'          => 'Nueva Transacción Recurrente',
    'help_weekend'                       => '¿Qué debe hacer Firefly III cuando la transacción recurrente cae el sábado o el domingo?',
    'do_nothing'                         => 'Sólo crear la transacción',
    'skip_transaction'                   => 'Saltar la ocurrencia',
    'jump_to_friday'                     => 'Crear la transacción el viernes anterior en su lugar',
    'jump_to_monday'                     => 'Crear la transacción el lunes próximo en su lugar',
    'will_jump_friday'                   => 'Se creará el viernes en lugar de los fines de semana.',
    'will_jump_monday'                   => 'Se creará el lunes en lugar de los fines de semana.',
    'except_weekends'                    => 'Excluir los fines de semana',
    'recurrence_deleted'                 => 'Transacción recurrente ":title" eliminada',

    // new lines for summary controller.
    'box_balance_in_currency'            => 'Saldo (:currency)',
    'box_spent_in_currency'              => 'Gasto (:currency)',
    'box_earned_in_currency'             => 'Ganado (:currency)',
    'box_budgeted_in_currency'           => 'Presupuestado (:currency)',
    'box_bill_paid_in_currency'          => 'Facturas pagadas (:currency)',
    'box_bill_unpaid_in_currency'        => 'Facturas sin pagar (:currency)',
    'box_left_to_spend_in_currency'      => 'Disponible para gasto (:currency)',
    'box_net_worth_in_currency'          => 'Valor neto (:currency)',
    'box_spend_per_day'                  => 'Disponible para gasto diario: :amount',

    // debug page
    'debug_page'                         => 'Pagina de depuración',
    'debug_submit_instructions'          => 'Si está teniendo problemas, puede usar la información en este cuadro como información de depuración. Por favor, copie y pegue en un nuevo o existente <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub issue</a>. Generará una hermosa tabla que se puede utilizar para diagnosticar rápidamente su problema.',
    'debug_pretty_table'                 => 'Si copia/pega la casilla de abajo en un problema de GitHub, generará una tabla. Por favor, no envuelva este texto con comillas.',
    'debug_additional_data'              => 'También puede compartir el contenido del cuadro de abajo. También puede copiar y pegar esto en un <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub issue</a> nuevo o existente. Sin embargo, el contenido de este cuadro puede contener información privada como nombres de cuenta, detalles de transacción o direcciones de correo electrónico.',

    // object groups
    'object_groups_menu_bar'             => 'Grupos',
    'object_groups_page_title'           => 'Grupos',
    'object_groups_breadcrumb'           => 'Grupos',
    'object_groups_index'                => 'Resumen',
    'object_groups'                      => 'Grupos',
    'object_groups_empty_explain'        => 'Algunas cosas en Firefly III se pueden dividir en grupos. Las huchas, por ejemplo, incluyen un campo "Grupo" en las pantallas de edición y creación. Cuando establece este campo, puede editar los nombres y el orden de los grupos en esta página. Para obtener más información, consulte las páginas de ayuda en la esquina superior derecha, debajo del icono (?).',
    'object_group_title'                 => 'Título',
    'edit_object_group'                  => 'Editar grupo ":title"',
    'delete_object_group'                => 'Eliminar grupo ":title"',
    'update_object_group'                => 'Actualizar grupo',
    'updated_object_group'               => 'Grupo ":title" actualizado con éxito',
    'deleted_object_group'               => 'Grupo ":title" eliminado con éxito',
    'object_group'                       => 'Grupo',

    // other stuff
    'placeholder'                        => '[Placeholder]',

    // audit log entries
    'audit_log_entries'                  => 'Audit log entries',
    'ale_action_log_add'                 => 'Added :amount to piggy bank ":name"',
    'ale_action_log_remove'              => 'Removed :amount from piggy bank ":name"',
    'ale_action_clear_budget'            => 'Removed from budget',
    'ale_action_clear_category'          => 'Removed from category',
    'ale_action_clear_notes'             => 'Removed notes',
    'ale_action_clear_tag'               => 'Cleared tag',
    'ale_action_clear_all_tags'          => 'Cleared all tags',
    'ale_action_set_bill'                => 'Linked to bill',
    'ale_action_set_budget'              => 'Set budget',
    'ale_action_set_category'            => 'Set category',
    'ale_action_set_source'              => 'Set source account',
    'ale_action_set_destination'         => 'Set destination account',
    'ale_action_update_transaction_type' => 'Changed transaction type',
    'ale_action_update_notes'            => 'Changed notes',
    'ale_action_update_description'      => 'Changed description',
    'ale_action_add_to_piggy'            => 'Piggy bank',
    'ale_action_remove_from_piggy'       => 'Piggy bank',
    'ale_action_add_tag'                 => 'Added tag',

];
