<?php

/**
 * firefly.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

return [
    // general stuff:
    'close'                                => 'Fechar',
    'actions'                              => 'Ações',
    'edit'                                 => 'Editar',
    'delete'                               => 'Apagar',
    'split'                                => 'Dividir',
    'single_split'                         => 'Divisão',
    'clone'                                => 'Clonar',
    'confirm_action'                       => 'Confirmar ação',
    'last_seven_days'                      => 'Últimos sete dias',
    'last_thirty_days'                     => 'Últimos 30 dias',
    'last_180_days'                        => 'Últimos 180 dias',
    'month_to_date'                        => 'Mês até a data',
    'year_to_date'                         => 'Ano até à data',
    'YTD'                                  => 'Acumulado no ano',
    'welcome_back'                         => 'O que está acontecendo?',
    'everything'                           => 'Tudo',
    'today'                                => 'hoje',
    'customRange'                          => 'Intervalo Personalizado',
    'date_range'                           => 'Intervalo de datas',
    'apply'                                => 'Aplicar',
    'select_date'                          => 'Selecione a data..',
    'cancel'                               => 'Cancelar',
    'from'                                 => 'De',
    'to'                                   => 'Até',
    'structure'                            => 'Estrutura',
    'help_translating'                     => 'Este texto de ajuda ainda não está disponível no seu idioma. <a href="https://crowdin.com/project/firefly-iii-help">Que tal ajudar a traduzí-lo?</a>',
    'showEverything'                       => 'Mostrar tudo',
    'never'                                => 'Nunca',
    'no_results_for_empty_search'          => 'Sua pesquisa estava vazia, então nada foi encontrado.',
    'removed_amount'                       => ':amount removido',
    'added_amount'                         => ':amount adicionada',
    'asset_account_role_help'              => 'Quaisquer opções extras resultantes da sua escolha pode ser definido mais tarde.',
    'Opening balance'                      => 'Saldo inicial',
    'create_new_stuff'                     => 'Criar novas coisas',
    'new_withdrawal'                       => 'Nova retirada',
    'create_new_transaction'               => 'Criar nova transação',
    'sidebar_frontpage_create'             => 'Criar',
    'new_transaction'                      => 'Nova transação',
    'no_rules_for_bill'                    => 'Esta conta não tem regras associadas a ela.',
    'go_to_asset_accounts'                 => 'Veja suas contas ativas',
    'go_to_budgets'                        => 'Vá para seus orçamentos',
    'go_to_withdrawals'                    => 'Vá para seus saques',
    'clones_journal_x'                     => 'Esta transação é um clone de ":description" (#:id)',
    'go_to_categories'                     => 'Vá para suas categorias',
    'go_to_bills'                          => 'Vá para suas contas',
    'go_to_expense_accounts'               => 'Veja suas despesas',
    'go_to_revenue_accounts'               => 'Veja suas receitas',
    'go_to_piggies'                        => 'Vá para sua poupança',
    'new_deposit'                          => 'Novo depósito',
    'new_transfer'                         => 'Nova transferência',
    'new_transfers'                        => 'Nova transferência',
    'new_asset_account'                    => 'Nova conta de ativo',
    'new_expense_account'                  => 'Nova conta de despesa',
    'new_revenue_account'                  => 'Nova conta de receita',
    'new_liabilities_account'              => 'Novo passivo',
    'new_budget'                           => 'Novo orçamento',
    'new_bill'                             => 'Nova fatura',
    'block_account_logout'                 => 'Você foi desconectado. Contas bloqueadas não podem usar este site. Você se registrou com um email válido?',
    'flash_success'                        => 'Sucesso!',
    'flash_info'                           => 'Mensagem',
    'flash_warning'                        => 'Atenção!',
    'flash_error'                          => 'Erro!',
    'flash_danger'                         => 'Perigo!',
    'flash_info_multiple'                  => 'Há uma mensagem|Existem :count mensagens',
    'flash_error_multiple'                 => 'Houve um erro|Houve :count erros',
    'net_worth'                            => 'Valor Líquido',
    'help_for_this_page'                   => 'Ajuda para esta página',
    'help_for_this_page_body'              => 'Você pode encontrar mais informações sobre esta página <a href="https://docs.firefly-iii.org/">na documentação</a>.',
    'two_factor_welcome'                   => 'Olá!',
    'two_factor_enter_code'                => 'Para continuar, por favor, digite seu código de autenticação em duas etapas. Seu aplicativo pode gerá-lo para você.',
    'two_factor_code_here'                 => 'Insira o código aqui',
    'two_factor_title'                     => 'Autenticação em duas etapas',
    'authenticate'                         => 'Autenticar',
    'two_factor_forgot_title'              => 'Perdeu autenticação em duas etapas',
    'two_factor_forgot'                    => 'Esqueci minha autenticação em duas etapas.',
    'two_factor_lost_header'               => 'Perdeu sua autenticação em duas etapas?',
    'two_factor_lost_intro'                => 'Se você perdeu seus códigos de backup também, você tem azar. Isso não é algo que você pode corrigir a partir da interface da web. Você tem duas escolhas.',
    'two_factor_lost_fix_self'             => 'Caso você execute sua própria instância do Firefly III, leia <a href="https://docs.firefly-iii.org/faq/other#i-lost-my-two-factor-authentication-codes-and-backup-codes">este item no FAQ</a> para instruções.',
    'two_factor_lost_fix_owner'            => 'Caso contrário, o proprietário do site <a href="mailto::site_owner">:site_owner</a> e peça para redefinir a sua autenticação de duas etapas.',
    'mfa_backup_code'                      => 'Você usou um código de backup para acessar o Firefly III. Não pode ser usado novamente, então cruze-o na sua lista.',
    'pref_two_factor_new_backup_codes'     => 'Obter novos códigos de backup',
    'pref_two_factor_backup_code_count'    => 'Você tem :count código de backup válido.|Você tem :count códigos de backup válidos.',
    '2fa_i_have_them'                      => 'Eu os armazenei!',
    'warning_much_data'                    => ':days dias de dados podem demorar um pouco para carregar.',
    'registered'                           => 'Você se registrou com sucesso!',
    'Default asset account'                => 'Conta padrão',
    'no_budget_pointer'                    => 'Parece que você ainda não tem orçamentos. Você deve criar alguns na página de <a href="budgets">orçamentos</a>. Orçamentos podem ajudá-lo a manter o controle das despesas.',
    'no_bill_pointer'                      => 'Parece que você ainda não tem contas. Você deve criar algumas em <a href="bills">contas</a>. Contas podem ajudar você a manter o controle de despesas.',
    'Savings account'                      => 'Conta poupança',
    'Credit card'                          => 'Cartão de crédito',
    'source_accounts'                      => 'Conta de origem|Contas de origem',
    'destination_accounts'                 => 'Conta de destino|Contas de destino',
    'user_id_is'                           => 'Seu id de usuário é <strong>:user</strong>',
    'field_supports_markdown'              => 'Este campo suporta <a href="https://en.support.wordpress.com/markdown-quick-reference/">Markdown</a>.',
    'need_more_help'                       => 'Se você precisa de mais ajuda usando o Firefly III, por favor <a href="https://github.com/firefly-iii/firefly-iii/issues">abra um ticket no Github</a>.',
    'reenable_intro_text'                  => 'Você também pode reabilitar <a href="#" id="reenableGuidance">o guia de introdução</a>.',
    'intro_boxes_after_refresh'            => 'As caixas de introdução reaparecerão quando você atualizar a página.',
    'show_all_no_filter'                   => 'Mostre todas as transações sem agrupá-las por data.',
    'expenses_by_category'                 => 'Despesa por categoria',
    'expenses_by_budget'                   => 'Despesas pelo orçamento',
    'income_by_category'                   => 'Receitas por categoria',
    'expenses_by_asset_account'            => 'Despesas por conta de ativos',
    'expenses_by_expense_account'          => 'Despesas por conta de despesa',
    'cannot_redirect_to_account'           => 'Firefly III não pode redirecioná-lo para a página correta. Minhas desculpas.',
    'sum_of_expenses'                      => 'Soma das despesas',
    'sum_of_income'                        => 'Soma da renda',
    'liabilities'                          => 'Passivos',
    'spent_in_specific_budget'             => 'Gasto no orçamento ":budget"',
    'spent_in_specific_double'             => 'Gasto na conta ":account"',
    'earned_in_specific_double'            => 'Ganho na conta ":account"',
    'source_account'                       => 'Conta origem',
    'source_account_reconciliation'        => 'Você não pode editar a conta de origem de uma transação de reconciliação.',
    'destination_account'                  => 'Conta destino',
    'destination_account_reconciliation'   => 'Você não pode editar a conta de origem de uma transação de reconciliação.',
    'sum_of_expenses_in_budget'            => 'Gasto total no orçamento ":budget"',
    'left_in_budget_limit'                 => 'Restante para gastar de acordo com o orçamento',
    'current_period'                       => 'Período atual',
    'show_the_current_period_and_overview' => 'Mostrar o período atual e visão geral',
    'pref_languages_locale'                => 'Para que um idioma diferente do inglês funcione corretamente, seu sistema operacional deve estar equipado com as informações locais corretas. Se estas não estiverem presentes, os dados de moeda, as datas e os montantes podem ser formatados incorretamente.',
    'budget_in_period'                     => 'Todas as transações para orçamento ":name" entre :start e :end na moeda :currency',
    'chart_budget_in_period'               => 'Gráfico para todas as transações do orçamento ":name" entre :start e :end em :currency',
    'chart_budget_in_period_only_currency' => 'O valor que você orçou foi em :currency, então este gráfico mostrará apenas transações em :currency.',
    'chart_account_in_period'              => 'Gráfico para todas as transações para a conta ":name" (:balance) entre :start e :end',
    'chart_category_in_period'             => 'Gráfico para todas as transações para a categoria ":name" entre :start e :end',
    'chart_category_all'                   => 'Gráfico para todas as transações para a categoria ":name"',
    'clone_withdrawal'                     => 'Clonar esta saída',
    'clone_deposit'                        => 'Clonar esta entrada',
    'clone_transfer'                       => 'Clonar esta transferência',
    'multi_select_no_selection'            => 'Nenhum selecionado',
    'multi_select_select_all'              => 'Selecionar tudo',
    'multi_select_n_selected'              => 'selecionado',
    'multi_select_all_selected'            => 'Todos selecionados',
    'multi_select_filter_placeholder'      => 'Encontrar..',
    'intro_next_label'                     => 'Próximo',
    'intro_prev_label'                     => 'Anterior',
    'intro_skip_label'                     => 'Pular',
    'intro_done_label'                     => 'Concluído',
    'between_dates_breadcrumb'             => 'Entre :start e :end',
    'all_journals_without_budget'          => 'Todas as transações sem um orçamento',
    'journals_without_budget'              => 'Transações sem um orçamento',
    'all_journals_without_category'        => 'Todas as transações sem uma categoria',
    'journals_without_category'            => 'Transações sem uma categoria',
    'all_journals_for_account'             => 'Todas as transações para conta :name',
    'chart_all_journals_for_account'       => 'Gráfico de todas as transações para conta :name',
    'journals_in_period_for_account'       => 'Todas as transações para conta :name entre :start e :end',
    'journals_in_period_for_account_js'    => 'Todas as transações para conta {title} entre {start} e {end}',
    'transferred'                          => 'Transferido',
    'all_withdrawal'                       => 'Todas as despesas',
    'all_transactions'                     => 'Todas as transações',
    'title_withdrawal_between'             => 'Todas as despesas entre :start e :end',
    'all_deposit'                          => 'Todas as receitas',
    'title_deposit_between'                => 'Todas as receitas entre :start e :end',
    'all_transfers'                        => 'Todas as transferências',
    'title_transfers_between'              => 'Todas as transferências entre :start e :end',
    'all_transfer'                         => 'Todas as transferências',
    'all_journals_for_tag'                 => 'Todas as transações para tag ":tag"',
    'title_transfer_between'               => 'Todas as transferências entre :start e :end',
    'all_journals_for_category'            => 'Todas as transações para categoria :name',
    'all_journals_for_budget'              => 'Todas as transações para orçamento :name',
    'chart_all_journals_for_budget'        => 'Gráfico de todas as transações para orçamento :name',
    'journals_in_period_for_category'      => 'Todas as transações para a categoria :name entre :start e :end',
    'journals_in_period_for_tag'           => 'Todas as transações para tag :tag entre :start e :end',
    'not_available_demo_user'              => 'O recurso que você tenta acessar não está disponível para usuários da demo.',
    'exchange_rate_instructions'           => 'A conta ativa "@name" aceita apenas transações em @native_currency. Se você deseja usar @foreign_currency em vez disso, verifique se a quantidade em @native_currency também é conhecida:',
    'transfer_exchange_rate_instructions'  => 'A conta ativa de origem "@source_name" aceita apenas transações em @source_currency. A conta ativa de destino "@dest_name" aceita apenas transações em @dest_currency. Você deve fornecer o valor transferido corretamente em ambas as moedas.',
    'transaction_data'                     => 'Dados de transação',
    'invalid_server_configuration'         => 'Configuração do servidor inválida',
    'invalid_locale_settings'              => 'O Firefly III não é capaz de formatar quantidades monetárias porque está faltando os pacotes necessários no seu servidor. Existem <a href="https://docs.firefly-iii.org/firefly-iii/advanced-installation/locales/">instruções sobre como fazer isso</a>.',
    'quickswitch'                          => 'Mudança rápida',
    'sign_in_to_start'                     => 'Faça login para iniciar sua sessão',
    'sign_in'                              => 'Entrar',
    'register_new_account'                 => 'Cadastrar uma nova conta',
    'forgot_my_password'                   => 'Esqueci minha senha',
    'problems_with_input'                  => 'Houve alguns problemas com a sua entrada.',
    'reset_password'                       => 'Redefinir sua senha',
    'button_reset_password'                => 'Redefinir senha',
    'reset_button'                         => 'Redefinir',
    'want_to_login'                        => 'Eu quero fazer o login',
    'login_page_title'                     => 'Login no Firefly III',
    'register_page_title'                  => 'Registrar no Firefly III',
    'forgot_pw_page_title'                 => 'Esqueceu sua senha do Firefly III',
    'reset_pw_page_title'                  => 'Redefinir sua senha para Firefly III',
    'cannot_reset_demo_user'               => 'Você não pode redefinir a senha do usuário demo.',
    'no_att_demo_user'                     => 'O usuário de demonstração não pode enviar anexos.',
    'button_register'                      => 'Registrar',
    'authorization'                        => 'Autorização',
    'active_bills_only'                    => 'apenas contas ativas',
    'active_bills_only_total'              => 'todas as contas ativas',
    'active_exp_bills_only'                => 'somente contas ativas e esperadas',
    'active_exp_bills_only_total'          => 'somente contas ativas e esperadas',
    'per_period_sum_1D'                    => 'Custos diários esperados',
    'per_period_sum_1W'                    => 'Custos semanais esperados',
    'per_period_sum_1M'                    => 'Custos mensais esperados',
    'per_period_sum_3M'                    => 'Custos trimestrais esperados',
    'per_period_sum_6M'                    => 'Custos semestrais esperados',
    'per_period_sum_1Y'                    => 'Custos anuais esperados',
    'average_per_bill'                     => 'média por conta',
    'expected_total'                       => 'total esperado',
    'reconciliation_account_name'          => 'Reconciliação :name (:currency)',
    'saved'                                => 'Salvo',
    'advanced_options'                     => 'Opções avançadas',
    'advanced_options_explain'             => 'Algumas páginas no Firefly III têm opções avançadas escondidas atrás deste botão. Esta página não tem nada elaborado aqui, mas confira as outras!',
    'here_be_dragons'                      => 'Hic sunt dracones',

    // Webhooks
    'webhooks'                             => 'Webhooks',
    'webhooks_breadcrumb'                  => 'Webhooks',
    'no_webhook_messages'                  => 'Não há mensagens de webhook',
    'webhook_trigger_STORE_TRANSACTION'    => 'Após criação da transação',
    'webhook_trigger_UPDATE_TRANSACTION'   => 'Após atualização da transação',
    'webhook_trigger_DESTROY_TRANSACTION'  => 'Após exclusão da transação',
    'webhook_response_TRANSACTIONS'        => 'Detalhes da transação',
    'webhook_response_ACCOUNTS'            => 'Detalhes da conta',
    'webhook_response_none_NONE'           => 'Sem detalhes',
    'webhook_delivery_JSON'                => 'JSON',
    'inspect'                              => 'Inspecionar',
    'create_new_webhook'                   => 'Criar novo webhook',
    'webhooks_create_breadcrumb'           => 'Criar novo webhook',
    'webhook_trigger_form_help'            => 'Indica em que evento o webhook será acionado',
    'webhook_response_form_help'           => 'Indica que o webhook deverá enviar para a URL.',
    'webhook_delivery_form_help'           => 'Em que formato o webhook deverá entregar os dados.',
    'webhook_active_form_help'             => 'O webhook deverá estar ativo ou não será chamado.',
    'stored_new_webhook'                   => 'Novo webhook armazenado: ":title"',
    'delete_webhook'                       => 'Excluir webhook',
    'deleted_webhook'                      => 'Webhook ":title" excluído',
    'edit_webhook'                         => 'Editar webhook ":title"',
    'updated_webhook'                      => 'Webhook ":title" atualizado',
    'edit_webhook_js'                      => 'Editar webhook "{title}"',
    'show_webhook'                         => 'Webhook ":title"',
    'webhook_was_triggered'                => 'O webhook foi acionado na transação indicada. Você pode atualizar esta página para ver os resultados.',
    'webhook_messages'                     => 'Mensagem do webhook',
    'view_message'                         => 'Ver mensagem',
    'view_attempts'                        => 'Ver tentativas que falharam',
    'message_content_title'                => 'Conteúdo da mensagem do webhook',
    'message_content_help'                 => 'Este é o conteúdo da mensagem enviada (ou a tentativa) usando este webhook.',
    'attempt_content_title'                => 'Tentativas do webhook',
    'attempt_content_help'                 => 'Estas são todas as tentativas mal sucedidas do webhook enviar mensagem para a URL configurada. Depois de algum tempo, Firefly III parará de tentar.',
    'no_attempts'                          => 'Não há tentativas mal sucedidas. Esta é uma coisa boa!',
    'webhook_attempt_at'                   => 'Tentativa em {moment}',
    'logs'                                 => 'Registros',
    'response'                             => 'Resposta',
    'visit_webhook_url'                    => 'Acesse a URL do webhook',
    'reset_webhook_secret'                 => 'Redefinir chave do webhook',

    // API access
    'authorization_request'                => 'Firefly III v:version Pedido de autorização',
    'authorization_request_intro'          => 'O aplicativo "<strong>:client</strong>" está solicitando permissão para acessar sua administração financeira. Você deseja autorizar o acesso a estes registros a <strong>:client</strong>?',
    'authorization_request_site'           => 'Você será redirecionado para <code>:url</code> que então será capaz de acessar seus dados do Firefly III.',
    'authorization_request_invalid'        => 'Este pedido de acesso é inválido. Por favor, nunca mais acesse este link novamente.',
    'scopes_will_be_able'                  => 'Esta aplicação será capaz de:',
    'button_authorize'                     => 'Autorizar',
    'none_in_select_list'                  => '(nenhum)',
    'no_piggy_bank'                        => '(nenhum cofrinho)',
    'name_in_currency'                     => ':name em :currency',
    'paid_in_currency'                     => 'Pago em :currency',
    'unpaid_in_currency'                   => 'Não pago em :currency',
    'is_alpha_warning'                     => 'Você está executando uma versão ALPHA. Cuidado com bugs e problemas.',
    'is_beta_warning'                      => 'Você está executando uma versão BETA. Cuidado com bugs e problemas.',
    'all_destination_accounts'             => 'Contas de destino',
    'all_source_accounts'                  => 'Contas de origem',
    'back_to_index'                        => 'Voltar ao índice',
    'cant_logout_guard'                    => 'Firefly III não pode te deslogar.',
    'internal_reference'                   => 'Referência interna',

    // check for updates:
    'update_check_title'                   => 'Verificar Atualizações',
    'admin_update_check_title'             => 'Verificar atualização automaticamente',
    'admin_update_check_explain'           => 'O Firefly lll pode checar por atualizações automaticamente. Quando você ativar essa configuração, o servidor de atualização do Firefly lll será contatado para ver se uma nova versão está disponível. Quando estiver, você receberá uma notificação. Você pode testar essa notificação utilizando o botão à direita. Por favor, indique abaixo se você quer que o Firefly lll verifique por atualizações.',
    'check_for_updates_permission'         => 'O Firefly III pode verificar atualizações, mas precisa da sua permissão para fazê-lo. Acesse o <a href=":link">administração</a> para indicar se você gostaria que esse recurso fosse ativado.',
    'updates_ask_me_later'                 => 'Pergunte-me depois',
    'updates_do_not_check'                 => 'Não verifique se há atualizações',
    'updates_enable_check'                 => 'Habilitar a verificação de atualizações',
    'admin_update_check_now_title'         => 'Verifique se há atualizações agora',
    'admin_update_check_now_explain'       => 'Se você pressionar o botão, o Firefly III verá se sua versão atual é a mais recente.',
    'check_for_updates_button'             => 'Verifique agora!',
    'update_new_version_alert'             => 'Uma nova versão do Firefly lll está disponível. Você está utilizando a versão :your_version, e a nova é a :new_version, que foi lançada no dia :date.',
    'update_version_beta'                  => 'Esta versão é uma versão BETA. Você pode encontrar problemas.',
    'update_version_alpha'                 => 'Esta versão é uma versão ALPHA. Você pode encontrar problemas.',
    'update_current_version_alert'         => 'Você está utilizando a versão :version, que é a última disponível.',
    'update_newer_version_alert'           => 'Você está utilizando a versão :your_version, que é mais nova do que a mais recente :new_version.',
    'update_check_error'                   => 'Ocorreu um erro durante a verificação de atualizações: :error',
    'unknown_error'                        => 'Erro desconhecido. Desculpe por isso.',
    'just_new_release'                     => 'Uma nova versão está disponível! A versão :version foi lançada no dia :date. Esse lançamento é bastante novo. Espere por alguns dias para que a nova versão se estabilize.',
    'disabled_but_check'                   => 'Você desativou a verificação de atualizações. Então, não se esqueça de verificar se há atualizações de vez em quando. Obrigado!',
    'admin_update_channel_title'           => 'Atualizar canal',
    'admin_update_channel_explain'         => 'O Firefly lll tem três "canais" de atualizações que determinam o quão à frente da curva você está em termos de funções, melhorias e bugs. Utilize o canal "beta" se você é aventureiro, e o "alpha" se você gosta de viver a vida perigosamente.',
    'update_channel_stable'                => 'Estável. Tudo deve funcionar como esperado.',
    'update_channel_beta'                  => 'Beta. Novas funções, mas as coisas podem estar quebradas.',
    'update_channel_alpha'                 => 'Alfa. Nós tentamos várias coisas e usamos o que funcionar.',

    // search
    'search'                               => 'Pesquisa',
    'search_query'                         => 'Pedido',
    'search_found_transactions'            => 'Firefly III encontrou :count transação em :time segundos.|Firefly III encontrou :count transações em :time segundos.',
    'search_found_more_transactions'       => 'Firefly III encontrou mais de :count transações em :time segundos.',
    'search_for_query'                     => 'Firefly III está procurando transações com todas estas palavras neles: <span class="text-info">:query</span>',
    'invalid_operators_list'               => 'Estes parâmetros de busca não são válidos e foram ignorados.',

    // old

    'search_modifier_date_on'                             => 'A data da transação é ":value"',
    'search_modifier_not_date_on'                         => 'A data da transação não é ":value"',
    'search_modifier_reconciled'                          => 'Transação está reconciliada',
    'search_modifier_not_reconciled'                      => 'Transação não está reconciliada',
    'search_modifier_id'                                  => 'O ID da transação é ":value"',
    'search_modifier_not_id'                              => 'O ID da transação não é ":value"',
    'search_modifier_date_before'                         => 'Data da transação é anterior ou em ":value"',
    'search_modifier_date_after'                          => 'Data da transação é posterior ou em ":value"',
    'search_modifier_external_id_is'                      => 'O ID externo é ":value"',
    'search_modifier_not_external_id_is'                  => 'ID Externo não é ":value"',
    'search_modifier_no_external_url'                     => 'A transação não tem URL externa',
    'search_modifier_no_external_id'                      => 'The transaction has no external ID',
    'search_modifier_not_any_external_url'                => 'A transação não tem URL externa',
    'search_modifier_not_any_external_id'                 => 'The transaction has no external ID',
    'search_modifier_any_external_url'                    => 'A transação deve ter uma URL externa (qualquer)',
    'search_modifier_any_external_id'                     => 'The transaction must have a (any) external ID',
    'search_modifier_not_no_external_url'                 => 'A transação deve ter uma URL externa (qualquer)',
    'search_modifier_not_no_external_id'                  => 'The transaction must have a (any) external ID',
    'search_modifier_internal_reference_is'               => 'A referência interna é ":value"',
    'search_modifier_not_internal_reference_is'           => 'Referência interna não é ":value"',
    'search_modifier_description_starts'                  => 'Descrição começa com ":value"',
    'search_modifier_not_description_starts'              => 'Descrição não começa com ":value"',
    'search_modifier_description_ends'                    => 'Descrição termina em ":value"',
    'search_modifier_not_description_ends'                => 'Descrição não termina com ":value"',
    'search_modifier_description_contains'                => 'Descrição contém ":value"',
    'search_modifier_not_description_contains'            => 'Description does not contain ":value"',
    'search_modifier_description_is'                      => 'Descrição é exatamente ":value"',
    'search_modifier_not_description_is'                  => 'Descrição não é exatamente ":value"',
    'search_modifier_currency_is'                         => 'A moeda da transação (estrangeira) é ":value"',
    'search_modifier_not_currency_is'                     => 'A moeda (estrangeira) da transação não é ":value"',
    'search_modifier_foreign_currency_is'                 => 'A moeda estrangeira da transação é ":value"',
    'search_modifier_not_foreign_currency_is'             => 'A moeda estrangeira da transação não é ":value"',
    'search_modifier_has_attachments'                     => 'A transação deve ter um anexo',
    'search_modifier_has_no_category'                     => 'A transação não deve ter nenhuma categoria',
    'search_modifier_not_has_no_category'                 => 'A transação deve ter (qualquer) categoria',
    'search_modifier_not_has_any_category'                => 'A transação não deve ter nenhuma categoria',
    'search_modifier_has_any_category'                    => 'A transação deve ter uma categoria (qualquer)',
    'search_modifier_has_no_budget'                       => 'A transação não deve ter orçamento',
    'search_modifier_not_has_any_budget'                  => 'A transação não deve ter orçamento',
    'search_modifier_has_any_budget'                      => 'A transação deve ter um orçamento (qualquer)',
    'search_modifier_not_has_no_budget'                   => 'A transação deve ter (qualquer) orçamento',
    'search_modifier_has_no_bill'                         => 'A transação não pode ter uma conta',
    'search_modifier_not_has_no_bill'                     => 'A transação deve ter (qualquer) conta',
    'search_modifier_has_any_bill'                        => 'A transação deve ter uma conta (qualquer)',
    'search_modifier_not_has_any_bill'                    => 'A transação não pode ter uma conta',
    'search_modifier_has_no_tag'                          => 'A transação não deve ter etiquetas',
    'search_modifier_not_has_any_tag'                     => 'A transação não deve ter etiquetas',
    'search_modifier_not_has_no_tag'                      => 'A transação deve ter uma tag (qualquer)',
    'search_modifier_has_any_tag'                         => 'A transação deve ter uma tag (qualquer)',
    'search_modifier_notes_contains'                      => 'As notas de transação contém ":value"',
    'search_modifier_not_notes_contains'                  => 'As anotações da transação não contém ":value"',
    'search_modifier_notes_starts'                        => 'As notas de transação começam com ":value"',
    'search_modifier_not_notes_starts'                    => 'As anotações da transação não começam com ":value"',
    'search_modifier_notes_ends'                          => 'As notas de transação terminam com ":value"',
    'search_modifier_not_notes_ends'                      => 'As anotações da transação não terminam com ":value"',
    'search_modifier_notes_is'                            => 'As notas de transação são iguais a ":value"',
    'search_modifier_not_notes_is'                        => 'As anotações da transação não são iguais a ":value"',
    'search_modifier_no_notes'                            => 'A transação não tem notas',
    'search_modifier_not_no_notes'                        => 'A transação deve ter anotações',
    'search_modifier_any_notes'                           => 'A transação deve ter notas',
    'search_modifier_not_any_notes'                       => 'A transação não tem anotações',
    'search_modifier_amount_is'                           => 'Valor é exatamente :value',
    'search_modifier_not_amount_is'                       => 'O valor não é :value',
    'search_modifier_amount_less'                         => 'Valor é menor ou igual a :value',
    'search_modifier_not_amount_more'                     => 'O valor é menor ou igual a :value',
    'search_modifier_amount_more'                         => 'Valor é maior ou igual a :value',
    'search_modifier_not_amount_less'                     => 'O valor é maior ou igual a :value',
    'search_modifier_source_account_is'                   => 'O nome da conta de origem é igual a ":value"',
    'search_modifier_not_source_account_is'               => 'O nome da conta de origem não é igual a ":value"',
    'search_modifier_source_account_contains'             => 'O nome da conta de origem contém ":value"',
    'search_modifier_not_source_account_contains'         => 'O nome da conta de origem não contém ":value"',
    'search_modifier_source_account_starts'               => 'Nome da conta de origem começa com ":value"',
    'search_modifier_not_source_account_starts'           => 'O nome da conta de origem não começa com ":value"',
    'search_modifier_source_account_ends'                 => 'O nome da conta de origem termina com ":value"',
    'search_modifier_not_source_account_ends'             => 'O nome da conta de origem não termina com ":value"',
    'search_modifier_source_account_id'                   => 'ID da conta de origem é :value',
    'search_modifier_not_source_account_id'               => 'ID da conta de origem não é :value',
    'search_modifier_source_account_nr_is'                => 'Número da conta de origem (IBAN) é ":value"',
    'search_modifier_not_source_account_nr_is'            => 'Número da conta de origem (IBAN) não é ":value"',
    'search_modifier_source_account_nr_contains'          => 'Número da conta de origem (IBAN) contém ":value"',
    'search_modifier_not_source_account_nr_contains'      => 'Número da conta de origem (IBAN) não contém ":value"',
    'search_modifier_source_account_nr_starts'            => 'Número da conta de origem (IBAN) começa com ":value"',
    'search_modifier_not_source_account_nr_starts'        => 'Número da conta de origem (IBAN) não começa com ":value"',
    'search_modifier_source_account_nr_ends'              => 'Número da conta de origem (IBAN) termina com ":value"',
    'search_modifier_not_source_account_nr_ends'          => 'Número da conta de origem (IBAN) não termina com ":value"',
    'search_modifier_destination_account_is'              => 'O nome da conta de destino é igual a ":value"',
    'search_modifier_not_destination_account_is'          => 'O nome da conta de destino não é ":value"',
    'search_modifier_destination_account_contains'        => 'Nome da conta de destino contém ":value"',
    'search_modifier_not_destination_account_contains'    => 'Nome da conta de destino não contém ":value"',
    'search_modifier_destination_account_starts'          => 'O nome da conta de destino começa com ":value"',
    'search_modifier_not_destination_account_starts'      => 'Nome da conta de destino não começa com ":value"',
    'search_modifier_destination_account_ends'            => 'Nome da conta de destino termina com ":value"',
    'search_modifier_not_destination_account_ends'        => 'Nome da conta de destino não termina com ":value"',
    'search_modifier_destination_account_id'              => 'ID da conta de destino é :value',
    'search_modifier_not_destination_account_id'          => 'ID da conta de destino não é :value',
    'search_modifier_destination_is_cash'                 => 'A conta de destino é conta "(dinheiro)"',
    'search_modifier_not_destination_is_cash'             => 'A conta de destino não é a conta "(dinheiro)"',
    'search_modifier_source_is_cash'                      => 'A conta de origem é a conta "(dinheiro)"',
    'search_modifier_not_source_is_cash'                  => 'A conta de origem não é a conta "(dinheiro)"',
    'search_modifier_destination_account_nr_is'           => 'Número da conta de destino (IBAN) é ":value"',
    'search_modifier_not_destination_account_nr_is'       => 'Número da conta de destino (IBAN) é ":value"',
    'search_modifier_destination_account_nr_contains'     => 'Número da conta de destino (IBAN) contém ":value"',
    'search_modifier_not_destination_account_nr_contains' => 'Número da conta de destino (IBAN) não contém ":value"',
    'search_modifier_destination_account_nr_starts'       => 'Número da conta de destino (IBAN) começa com ":value"',
    'search_modifier_not_destination_account_nr_starts'   => 'Número da conta de destino (IBAN) não começa com ":value"',
    'search_modifier_destination_account_nr_ends'         => 'Número da conta de destino (IBAN) termina com ":value"',
    'search_modifier_not_destination_account_nr_ends'     => 'Número da conta de destino (IBAN) não termina com ":value"',
    'search_modifier_account_id'                          => 'ID(s) da conta de origem ou destino é/são: :value',
    'search_modifier_not_account_id'                      => 'ID(s) da conta de origem ou destino não é/são: :value',
    'search_modifier_category_is'                         => 'A categoria é ":value"',
    'search_modifier_not_category_is'                     => 'A categoria não é ":value"',
    'search_modifier_budget_is'                           => 'O orçamento é ":value"',
    'search_modifier_not_budget_is'                       => 'Orçamento não é ":value"',
    'search_modifier_bill_is'                             => 'Conta é ":value"',
    'search_modifier_not_bill_is'                         => 'Fatura não é ":value"',
    'search_modifier_transaction_type'                    => 'O tipo da transação é ":value"',
    'search_modifier_not_transaction_type'                => 'Tipo de transação não é ":value"',
    'search_modifier_tag_is'                              => 'A etiqueta é ":value"',
    'search_modifier_not_tag_is'                          => 'Nenhuma tag é ":value"',
    'search_modifier_date_on_year'                        => 'Transação é no ano de ":value"',
    'search_modifier_not_date_on_year'                    => 'Transação não está no ano ":value"',
    'search_modifier_date_on_month'                       => 'Transação é no mês de ":value"',
    'search_modifier_not_date_on_month'                   => 'Transação não está em mês ":value"',
    'search_modifier_date_on_day'                         => 'Transação é no dia do mês de ":value"',
    'search_modifier_not_date_on_day'                     => 'Transação não está no dia do mês ":value"',
    'search_modifier_date_before_year'                    => 'Transação é antes ou no ano de ":value"',
    'search_modifier_date_before_month'                   => 'Transação é antes ou no mês de ":value"',
    'search_modifier_date_before_day'                     => 'A transação é antes ou no dia do mês ":value"',
    'search_modifier_date_after_year'                     => 'Transação está no ano ou após ":value"',
    'search_modifier_date_after_month'                    => 'Transação está no mês ou após ":value"',
    'search_modifier_date_after_day'                      => 'Transação é depois ou no dia do mês de ":value"',


    // new
    'search_modifier_tag_is_not'                          => 'Nenhuma tag é ":value"',
    'search_modifier_not_tag_is_not'                      => 'A tag é ":value"',
    'search_modifier_account_is'                          => 'Ou a conta é ":value"',
    'search_modifier_not_account_is'                      => 'Nenhuma conta é ":value"',
    'search_modifier_account_contains'                    => 'Ou a conta contém ":value"',
    'search_modifier_not_account_contains'                => 'Nenhuma conta contém ":value"',
    'search_modifier_account_ends'                        => 'Ou a conta termina com ":value"',
    'search_modifier_not_account_ends'                    => 'Nenhuma conta termina com ":value"',
    'search_modifier_account_starts'                      => 'Ou a conta começa com ":value"',
    'search_modifier_not_account_starts'                  => 'Nenhuma conta começa com ":value"',
    'search_modifier_account_nr_is'                       => 'Ou número da conta / IBAN é ":value"',
    'search_modifier_not_account_nr_is'                   => 'Nenhum número de conta / IBAN é ":value"',
    'search_modifier_account_nr_contains'                 => 'Ou número da conta / IBAN contém ":value"',
    'search_modifier_not_account_nr_contains'             => 'Nenhum número de conta / IBAN contém ":value"',
    'search_modifier_account_nr_ends'                     => 'Ou número de conta / IBAN termina com ":value"',
    'search_modifier_not_account_nr_ends'                 => 'Nenhum número de conta / IBAN termina com ":value"',
    'search_modifier_account_nr_starts'                   => 'Ou número da conta / IBAN começa com ":value"',
    'search_modifier_not_account_nr_starts'               => 'Nenhum número de conta / IBAN começa com ":value"',
    'search_modifier_category_contains'                   => 'Categoria contém ":value"',
    'search_modifier_not_category_contains'               => 'Categoria não contém ":value"',
    'search_modifier_category_ends'                       => 'Categoria termina em ":value"',
    'search_modifier_not_category_ends'                   => 'Categoria não termina em ":value"',
    'search_modifier_category_starts'                     => 'Categoria começa com ":value"',
    'search_modifier_not_category_starts'                 => 'Categoria não começa com ":value"',
    'search_modifier_budget_contains'                     => 'Orçamento contém ":value"',
    'search_modifier_not_budget_contains'                 => 'Orçamento não contém ":value"',
    'search_modifier_budget_ends'                         => 'Orçamento termina com ":value"',
    'search_modifier_not_budget_ends'                     => 'Orçamento não termina em ":value"',
    'search_modifier_budget_starts'                       => 'Orçamento começa com ":value"',
    'search_modifier_not_budget_starts'                   => 'Orçamento não começa com ":value"',
    'search_modifier_bill_contains'                       => 'Fatura contém ":value"',
    'search_modifier_not_bill_contains'                   => 'Fatura não contém ":value"',
    'search_modifier_bill_ends'                           => 'Fatura termina com ":value"',
    'search_modifier_not_bill_ends'                       => 'Fatura não termina em ":value"',
    'search_modifier_bill_starts'                         => 'Fatura começa com ":value"',
    'search_modifier_not_bill_starts'                     => 'Fatura não começa com ":value"',
    'search_modifier_external_id_contains'                => 'ID Externo contém ":value"',
    'search_modifier_not_external_id_contains'            => 'ID Externo não contém ":value"',
    'search_modifier_external_id_ends'                    => 'ID Externo termina com ":value"',
    'search_modifier_not_external_id_ends'                => 'ID Externo não termina com ":value"',
    'search_modifier_external_id_starts'                  => 'ID Externo começa com ":value"',
    'search_modifier_not_external_id_starts'              => 'ID Externo não inicia com ":value"',
    'search_modifier_internal_reference_contains'         => 'Referência interna contém ":value"',
    'search_modifier_not_internal_reference_contains'     => 'Referência interna não contém ":value"',
    'search_modifier_internal_reference_ends'             => 'Referência interna termina com ":value"',
    'search_modifier_internal_reference_starts'           => 'Referência interna começa com ":value"',
    'search_modifier_not_internal_reference_ends'         => 'Referência interna não termina com ":value"',
    'search_modifier_not_internal_reference_starts'       => 'Referência interna não inicia com ":value"',
    'search_modifier_external_url_is'                     => 'URL externa é ":value"',
    'search_modifier_not_external_url_is'                 => 'URL externa não é ":value"',
    'search_modifier_external_url_contains'               => 'URL externa contém ":value"',
    'search_modifier_not_external_url_contains'           => 'URL externa não contém ":value"',
    'search_modifier_external_url_ends'                   => 'URL externa termina com ":value"',
    'search_modifier_not_external_url_ends'               => 'URL externa não termina com ":value"',
    'search_modifier_external_url_starts'                 => 'URL externa começa com ":value"',
    'search_modifier_not_external_url_starts'             => 'URL externa não inicia com ":value"',
    'search_modifier_has_no_attachments'                  => 'A transação não tem anexos',
    'search_modifier_not_has_no_attachments'              => 'A transação tem anexos',
    'search_modifier_not_has_attachments'                 => 'A transação não tem anexos',
    'search_modifier_account_is_cash'                     => 'Qualquer outra conta é a conta em "(dinheiro)".',
    'search_modifier_not_account_is_cash'                 => 'Nenhuma das contas é a conta em "(dinheiro)".',
    'search_modifier_journal_id'                          => 'O ID do registro é ":value"',
    'search_modifier_not_journal_id'                      => 'O ID do diário não é ":value"',
    'search_modifier_recurrence_id'                       => 'O ID da transação recorrente é ":value"',
    'search_modifier_not_recurrence_id'                   => 'O ID de transação recorrente não é ":value"',
    'search_modifier_foreign_amount_is'                   => 'A quantidade em moeda estrangeira é ":value"',
    'search_modifier_not_foreign_amount_is'               => 'A quantidade em moeda estrangeira não é ":value"',
    'search_modifier_foreign_amount_less'                 => 'A quantidade em moeda estrangeira é menor que ":value"',
    'search_modifier_not_foreign_amount_more'             => 'A quantidade em moeda estrangeira é menor que ":value"',
    'search_modifier_not_foreign_amount_less'             => 'A quantidade em moeda estrangeira é maior que ":value"',
    'search_modifier_foreign_amount_more'                 => 'A quantidade em moeda estrangeira é maior que ":value"',
    'search_modifier_exists'                              => 'Transação existe (qualquer transação)',
    'search_modifier_not_exists'                          => 'Transação não existe (sem transação)',

    // date fields
    'search_modifier_interest_date_on'                    => 'Data de juros da transação é ":value"',
    'search_modifier_not_interest_date_on'                => 'Data de juros da transação não é ":value"',
    'search_modifier_interest_date_on_year'               => 'Data de juros da transação está no ano de ":value"',
    'search_modifier_not_interest_date_on_year'           => 'Data de juros da transação não está no ano ":value"',
    'search_modifier_interest_date_on_month'              => 'Data de juros da transação é no mês de ":value"',
    'search_modifier_not_interest_date_on_month'          => 'Data de juros da transação não está no mês ":value"',
    'search_modifier_interest_date_on_day'                => 'Data de juros da transação é no dia do mês de ":value"',
    'search_modifier_not_interest_date_on_day'            => 'Transaction interest date is not on day of month ":value"',
    'search_modifier_interest_date_before_year'           => 'Data de juros da transação é antes ou no ano de ":value"',
    'search_modifier_interest_date_before_month'          => 'Data de juros da transação é antes ou no mês de ":value"',
    'search_modifier_interest_date_before_day'            => 'Data de juros da transação é antes ou no dia do mês de ":value"',
    'search_modifier_interest_date_after_year'            => 'Data de juros da transação é após ou no ano de ":value"',
    'search_modifier_interest_date_after_month'           => 'Data de juros da transação é posterior ou no mês de ":value"',
    'search_modifier_interest_date_after_day'             => 'Data de juros da transação é após ou no dia do mês de ":value"',
    'search_modifier_book_date_on_year'                   => 'Data de reserva da transação está no ano de ":value"',
    'search_modifier_book_date_on_month'                  => 'Data de reserva da transação é no mês de ":value"',
    'search_modifier_book_date_on_day'                    => 'Data de reserva da transação é no dia do mês de ":value"',
    'search_modifier_not_book_date_on_year'               => 'Transaction book date is not in year ":value"',
    'search_modifier_not_book_date_on_month'              => 'Transaction book date is not in month ":value"',
    'search_modifier_not_book_date_on_day'                => 'Transaction book date is not on day of month ":value"',
    'search_modifier_book_date_before_year'               => 'Data de reserva da transação é antes ou no ano de ":value"',
    'search_modifier_book_date_before_month'              => 'Data de reserva da transação é antes ou no mês de ":value"',
    'search_modifier_book_date_before_day'                => 'Data de reserva da transação é antes ou no dia do mês de ":value"',
    'search_modifier_book_date_after_year'                => 'Data de reserva da transação é posterior ou no ano de ":value"',
    'search_modifier_book_date_after_month'               => 'Data de reserva da transação é posterior ou no mês de ":value"',
    'search_modifier_book_date_after_day'                 => 'Data de reserva da transação é posterior ou no dia do mês de ":value"',
    'search_modifier_process_date_on_year'                => 'Data de processamento da transação está no ano de ":value"',
    'search_modifier_process_date_on_month'               => 'Data de processamento da transação está no mês de ":value"',
    'search_modifier_process_date_on_day'                 => 'Data de processamento da transação está no dia do mês de ":value"',
    'search_modifier_not_process_date_on_year'            => 'Transaction process date is not in year ":value"',
    'search_modifier_not_process_date_on_month'           => 'Transaction process date is not in month ":value"',
    'search_modifier_not_process_date_on_day'             => 'Transaction process date is not on day of month ":value"',
    'search_modifier_process_date_before_year'            => 'Data de processamento da transação é antes ou no ano de ":value"',
    'search_modifier_process_date_before_month'           => 'Data de processamento da transação é antes ou no mês de ":value"',
    'search_modifier_process_date_before_day'             => 'Data de processamento da transação é antes ou no dia do mês de ":value"',
    'search_modifier_process_date_after_year'             => 'Data de processamento da transação é posterior ou no ano de ":value"',
    'search_modifier_process_date_after_month'            => 'Data de processamento da transação é posterior ou no mês de ":value"',
    'search_modifier_process_date_after_day'              => 'Data de processamento da transação é posterior ou no dia do mês de ":value"',
    'search_modifier_due_date_on_year'                    => 'Data de vencimento da transação é no ano de ":value"',
    'search_modifier_due_date_on_month'                   => 'Data de vencimento da transação é no mês de ":value"',
    'search_modifier_due_date_on_day'                     => 'Data de vencimento da transação é no dia do mês de ":value"',
    'search_modifier_not_due_date_on_year'                => 'Transaction due date is not in year ":value"',
    'search_modifier_not_due_date_on_month'               => 'Transaction due date is not in month ":value"',
    'search_modifier_not_due_date_on_day'                 => 'Transaction due date is not on day of month ":value"',
    'search_modifier_due_date_before_year'                => 'Data de vencimento da transação é antes ou no ano de ":value"',
    'search_modifier_due_date_before_month'               => 'Data de vencimento da transação é antes ou no mês de ":value"',
    'search_modifier_due_date_before_day'                 => 'Data de vencimento da transação é antes ou no dia do mês de ":value"',
    'search_modifier_due_date_after_year'                 => 'Data de vencimento da transação é posterior ou no ano de ":value"',
    'search_modifier_due_date_after_month'                => 'Data de vencimento da transação é posterior ou no mês de ":value"',
    'search_modifier_due_date_after_day'                  => 'Data de vencimento da transação é posterior ou no dia do mês de ":value"',
    'search_modifier_payment_date_on_year'                => 'Data de pagamento da transação é no ano de ":value"',
    'search_modifier_payment_date_on_month'               => 'Data de pagamento da transação é no dia do mês de ":value"',
    'search_modifier_payment_date_on_day'                 => 'Data de pagamento da transação é no dia do mês de ":value"',
    'search_modifier_not_payment_date_on_year'            => 'Transaction payment date is not in year ":value"',
    'search_modifier_not_payment_date_on_month'           => 'Transaction payment date is not in month ":value"',
    'search_modifier_not_payment_date_on_day'             => 'Transaction payment date is not on day of month ":value"',
    'search_modifier_payment_date_before_year'            => 'Data de pagamento da transação é antes ou no ano de ":value"',
    'search_modifier_payment_date_before_month'           => 'Data de pagamento da transação é antes ou no mês de ":value"',
    'search_modifier_payment_date_before_day'             => 'Data de pagamento da transação é antes ou no dia do mês de ":value"',
    'search_modifier_payment_date_after_year'             => 'Data de pagamento da transação é posterior ou no ano de ":value"',
    'search_modifier_payment_date_after_month'            => 'Data de pagamento da transação é posterior ou no mês de ":value"',
    'search_modifier_payment_date_after_day'              => 'Data de pagamento da transação é posterior ou no dia do mês de ":value"',
    'search_modifier_invoice_date_on_year'                => 'Data de fatura da transação está no ano de ":value"',
    'search_modifier_invoice_date_on_month'               => 'Data de fatura da transação está no mês de ":value"',
    'search_modifier_invoice_date_on_day'                 => 'Data de fatura da transação é no dia do mês de ":value"',
    'search_modifier_not_invoice_date_on_year'            => 'Transaction invoice date is not in year ":value"',
    'search_modifier_not_invoice_date_on_month'           => 'Transaction invoice date is not in month ":value"',
    'search_modifier_not_invoice_date_on_day'             => 'Transaction invoice date is not on day of month ":value"',
    'search_modifier_invoice_date_before_year'            => 'Data de fatura da transação é antes ou no ano de ":value"',
    'search_modifier_invoice_date_before_month'           => 'Data da fatura da transação é antes ou em no mês de ":value"',
    'search_modifier_invoice_date_before_day'             => 'Data de fatura da transação é antes ou no dia do mês de ":value"',
    'search_modifier_invoice_date_after_year'             => 'Data de fatura da transação é posterior ou no ano de ":value"',
    'search_modifier_invoice_date_after_month'            => 'Data de fatura da transação é antes ou no ano de ":value"',
    'search_modifier_invoice_date_after_day'              => 'Data de pagamento da transação é antes ou no dia do mês de ":value"',
    // other dates
    'search_modifier_updated_at_on_year'                  => 'A transação foi atualizada pela última vez no ano de ":value"',
    'search_modifier_updated_at_on_month'                 => 'A transação foi atualizada pela última vez no mês de ":value"',
    'search_modifier_updated_at_on_day'                   => 'A transação foi atualizada pela última vez no dia do mês de ":value"',
    'search_modifier_not_updated_at_on_year'              => 'Transaction was not last updated in year ":value"',
    'search_modifier_not_updated_at_on_month'             => 'Transaction was not last updated in month ":value"',
    'search_modifier_not_updated_at_on_day'               => 'Transaction was not last updated on day of month ":value"',
    'search_modifier_updated_at_before_year'              => 'A transação foi atualizada pela última vez no ano, ou antes de ":value"',
    'search_modifier_updated_at_before_month'             => 'A transação foi atualizada pela última vez no mês ou antes de ":value"',
    'search_modifier_updated_at_before_day'               => 'A transação foi atualizada pela última vez no dia do mês ou antes de ":value"',
    'search_modifier_updated_at_after_year'               => 'A transação foi atualizada pela última vez no ano, ou depois de ":value"',
    'search_modifier_updated_at_after_month'              => 'A transação foi atualizada pela última vez no mês ou depois de ":value"',
    'search_modifier_updated_at_after_day'                => 'A transação foi atualizada pela última vez no dia do mês ou depois de ":value"',
    'search_modifier_created_at_on_year'                  => 'A transação foi criada no ano de ":value"',
    'search_modifier_created_at_on_month'                 => 'A transação foi criada no mês de ":value"',
    'search_modifier_created_at_on_day'                   => 'A transação foi criada no dia do mês de ":value"',
    'search_modifier_not_created_at_on_year'              => 'Transaction was not created in year ":value"',
    'search_modifier_not_created_at_on_month'             => 'Transaction was not created in month ":value"',
    'search_modifier_not_created_at_on_day'               => 'Transaction was not created on day of month ":value"',
    'search_modifier_created_at_before_year'              => 'A transação foi criada em ou antes do ano de ":value"',
    'search_modifier_created_at_before_month'             => 'A transação foi criada em ou antes do mês de ":value"',
    'search_modifier_created_at_before_day'               => 'A transação foi criada em ou antes do dia do mês de ":value"',
    'search_modifier_created_at_after_year'               => 'A transação foi criada em ou após o ano de ":value"',
    'search_modifier_created_at_after_month'              => 'A transação foi criada em ou após o mês de ":value"',
    'search_modifier_created_at_after_day'                => 'A transação foi criada em ou após o dia do mês de ":value"',
    'search_modifier_interest_date_before'                => 'Data de juros da transação é em ou antes de ":value"',
    'search_modifier_interest_date_after'                 => 'Data de juros da transação é em ou posterior a ":value"',
    'search_modifier_book_date_on'                        => 'Data de reserva da transação é em:value"',
    'search_modifier_not_book_date_on'                    => 'Transaction book date is not on ":value"',
    'search_modifier_book_date_before'                    => 'Data de reserva da transação é em ou antes de ":value"',
    'search_modifier_book_date_after'                     => 'Data de reserva da transação é em ou após ":value"',
    'search_modifier_process_date_on'                     => 'Data de processamento da transação é em ":value"',
    'search_modifier_not_process_date_on'                 => 'Transaction process date is not on ":value"',
    'search_modifier_process_date_before'                 => 'Data de processamento da transação é em ou antes de ":value"',
    'search_modifier_process_date_after'                  => 'Data de processamento da transação é em ou após ":value"',
    'search_modifier_due_date_on'                         => 'Data de vencimento da transação é em ":value"',
    'search_modifier_not_due_date_on'                     => 'Transaction due date is not on ":value"',
    'search_modifier_due_date_before'                     => 'Data de vencimento da transação é em ou antes de ":value"',
    'search_modifier_due_date_after'                      => 'Data de vencimento da transação é em ou após ":value"',
    'search_modifier_payment_date_on'                     => 'Data de pagamento da transação é em ":value"',
    'search_modifier_not_payment_date_on'                 => 'Transaction payment date is not on ":value"',
    'search_modifier_payment_date_before'                 => 'Data de pagamento da transação é em ou antes de ":value"',
    'search_modifier_payment_date_after'                  => 'Data de pagamento da transação é em ou após ":value"',
    'search_modifier_invoice_date_on'                     => 'Data de fatura de transação é em ":value"',
    'search_modifier_not_invoice_date_on'                 => 'Transaction invoice date is not on ":value"',
    'search_modifier_invoice_date_before'                 => 'Data da fatura de transação é em ou antes de ":value"',
    'search_modifier_invoice_date_after'                  => 'Data da fatura de transação é em ou após ":value"',
    'search_modifier_created_at_on'                       => 'A transação foi criada em ":value"',
    'search_modifier_not_created_at_on'                   => 'Transaction was not created on ":value"',
    'search_modifier_created_at_before'                   => 'A transação foi criada em ou antes de ":value"',
    'search_modifier_created_at_after'                    => 'A transação foi criada em ou após ":value"',
    'search_modifier_updated_at_on'                       => 'Transação foi atualizada em ":value"',
    'search_modifier_not_updated_at_on'                   => 'Transaction was not updated on ":value"',
    'search_modifier_updated_at_before'                   => 'A transação foi atualizada em ou antes de ":value"',
    'search_modifier_updated_at_after'                    => 'A transação foi atualizada em ou após ":value"',

    'search_modifier_attachment_name_is'                  => 'Qualquer nome de anexo é ":value"',
    'search_modifier_attachment_name_contains'            => 'Qualquer nome do anexo contém ":value"',
    'search_modifier_attachment_name_starts'              => 'Qualquer nome de anexo começa com ":value"',
    'search_modifier_attachment_name_ends'                => 'Qualquer nome de anexo termina com ":value"',
    'search_modifier_attachment_notes_are'                => 'Qualquer nota de anexo é ":value"',
    'search_modifier_attachment_notes_contains'           => 'Qualquer nota de anexo contém ":value"',
    'search_modifier_attachment_notes_starts'             => 'Qualquer nota de anexo começa com ":value"',
    'search_modifier_attachment_notes_ends'               => 'Any attachment\'s notes end with ":value"',
    'search_modifier_not_attachment_name_is'              => 'Any attachment\'s name is not ":value"',
    'search_modifier_not_attachment_name_contains'        => 'Any attachment\'s name does not contain ":value"',
    'search_modifier_not_attachment_name_starts'          => 'Any attachment\'s name does not start with ":value"',
    'search_modifier_not_attachment_name_ends'            => 'Any attachment\'s name does not end with ":value"',
    'search_modifier_not_attachment_notes_are'            => 'Any attachment\'s notes are not ":value"',
    'search_modifier_not_attachment_notes_contains'       => 'Any attachment\'s notes do not contain ":value"',
    'search_modifier_not_attachment_notes_starts'         => 'Any attachment\'s notes start with ":value"',
    'search_modifier_not_attachment_notes_ends'           => 'Any attachment\'s notes do not end with ":value"',
    'search_modifier_sepa_ct_is'                          => 'SEPA CT is ":value"',
    'update_rule_from_query'                              => 'Atualizar regra ":rule" da pesquisa',
    'create_rule_from_query'                              => 'Criar nova regra a partir da pesquisa',
    'rule_from_search_words'                              => 'O mecanismo de regra tem dificuldade para tratar ":string". A regra sugerida que se encaixa na sua pesquisa pode retornar resultados diferentes. Por favor, verifique os gatilhos das regras cuidadosamente.',


    // END
    'modifiers_applies_are'                               => 'Os seguintes modificadores são aplicados também à busca:',
    'general_search_error'                                => 'Um erro ocorreu durante a pesquisa. Por favor, cheque os arquivos de log para mais informações.',
    'search_box'                                          => 'Pesquisar',
    'search_box_intro'                                    => 'Bem-vindo à função de pesquisa do Firefly III. Digite sua consulta de pesquisa na caixa. Certifique-se de verificar o arquivo de ajuda porque a pesquisa é bastante avançada.',
    'search_error'                                        => 'Erro durante a busca',
    'search_searching'                                    => 'Procurando ...',
    'search_results'                                      => 'Resultados da pesquisa',

    // repeat frequencies:
    'repeat_freq_yearly'                                  => 'anual',
    'repeat_freq_half-year'                               => 'cada semestre',
    'repeat_freq_quarterly'                               => 'trimestral',
    'repeat_freq_monthly'                                 => 'mensal',
    'repeat_freq_weekly'                                  => 'semanal',
    'repeat_freq_daily'                                   => 'diariamente',
    'daily'                                               => 'diariamente',
    'weekly'                                              => 'semanal',
    'quarterly'                                           => 'trimestral',
    'half-year'                                           => 'semestralmente',
    'yearly'                                              => 'anual',

    // rules
    'is_not_rule_trigger'                                 => 'Not',
    'cannot_fire_inactive_rules'                          => 'Você não pode executar regras inativas.',
    'rules'                                               => 'Regras',
    'rule_name'                                           => 'Nome da regra',
    'rule_triggers'                                       => 'Regra dispara quando',
    'rule_actions'                                        => 'Regra será',
    'new_rule'                                            => 'Nova regra',
    'new_rule_group'                                      => 'Novo grupo de regras',
    'rule_priority_up'                                    => 'Dar mais prioridade a regra',
    'rule_priority_down'                                  => 'Dar a regra menos prioridade',
    'make_new_rule_group'                                 => 'Fazer o novo grupo de regras',
    'store_new_rule_group'                                => 'Gravar novo grupo de regras',
    'created_new_rule_group'                              => 'Novo grupo de regras ":title" armazenado!',
    'updated_rule_group'                                  => 'Grupo de regras atualizado com sucesso ":title".',
    'edit_rule_group'                                     => 'Editar grupo de regras ":title"',
    'duplicate_rule'                                      => 'Duplicar regra ":title"',
    'rule_copy_of'                                        => 'Cópia de ":title"',
    'duplicated_rule'                                     => 'Regra duplicada ":title" em ":newTitle"',
    'delete_rule_group'                                   => 'Excluir grupo de regra ":title"',
    'deleted_rule_group'                                  => 'Removido grupo de regra ":title"',
    'update_rule_group'                                   => 'Atualizar um grupo de regra',
    'no_rules_in_group'                                   => 'Não existem regras neste grupo',
    'move_rule_group_up'                                  => 'Subir o grupo de regras',
    'move_rule_group_down'                                => 'Descer grupo de regras',
    'save_rules_by_moving'                                => 'Salve essa regra movendo-a para outro grupo de regras:|Salve essas regras movendo-as para outro grupo de regras:',
    'make_new_rule'                                       => 'Faça uma nova regra no grupo de regras ":title"',
    'make_new_rule_no_group'                              => 'Criar uma nova regra',
    'instructions_rule_from_bill'                         => 'Para conectar transações com sua nova conta ":name", Firefly III pode criar uma regra que automaticamente será verificada a cada transação que você criar. Verifique os detalhes abaixo e salve a regra para que o Firefly III possa conectar automaticamente as transações a sua nova conta.',
    'instructions_rule_from_journal'                      => 'Crie uma regra com base em uma de suas transações. Complete ou envie o formulário abaixo.',
    'rule_is_strict'                                      => 'regra estrita',
    'rule_is_not_strict'                                  => 'regra não estrita',
    'rule_help_stop_processing'                           => 'Quando você marcar essa caixa, regras posteriores deste grupo não serão executadas.',
    'rule_help_strict'                                    => 'Nas regras estritas TODOS os gatilhos devem ser acionados para que a ação ou ações sejam executadas. Nas regras não-estritas, QUALQUER gatilho será suficiente para que a ação ou ações sejam executadas.',
    'rule_help_active'                                    => 'Regras inativas nunca serão disparadas.',
    'stored_new_rule'                                     => 'Armazenado a nova regra com o título ":title"',
    'deleted_rule'                                        => 'Regra excluída com o título ":title"',
    'store_new_rule'                                      => 'Armazenar nova regra',
    'updated_rule'                                        => 'Regra atualizada com o título ":title"',
    'default_rule_group_name'                             => 'Regras padrão',
    'default_rule_group_description'                      => 'Todas as suas regras, não estão em um grupo específico.',
    'trigger'                                             => 'Disparo',
    'trigger_value'                                       => 'Disparo no valor',
    'stop_processing_other_triggers'                      => 'Parar o processamento de outros gatilhos',
    'add_rule_trigger'                                    => 'Adicionar novo disparador',
    'action'                                              => 'Ação',
    'action_value'                                        => 'Valor da ação',
    'stop_executing_other_actions'                        => 'Parar de executar outras ações',
    'add_rule_action'                                     => 'Adicionar nova ação',
    'edit_rule'                                           => 'Editar regra ":title"',
    'delete_rule'                                         => 'Excluir a regra ":title"',
    'update_rule'                                         => 'Atualizar Regra',
    'test_rule_triggers'                                  => 'Veja transações correspondentes',
    'warning_no_matching_transactions'                    => 'Nenhuma transação correspondente foi encontrada.',
    'warning_no_valid_triggers'                           => 'Sem gatilhos válidos fornecidos.',
    'apply_rule_selection'                                => 'Aplicar a regra ":title" para uma seleção de suas transações',
    'apply_rule_selection_intro'                          => 'As regras como ":title" normalmente são aplicadas apenas a transações novas ou atualizadas, mas você pode informar o Firefly III para executá-lo em uma seleção de suas transações existentes. Isso pode ser útil quando você atualizou uma regra e você precisa das alterações a serem aplicadas a todas as suas outras transações.',
    'include_transactions_from_accounts'                  => 'Incluir as transações destas contas',
    'include'                                             => 'Incluir?',
    'applied_rule_selection'                              => '{0} Nenhuma transação em sua seleção foi alterada pela regra ":title".|[1] Uma transação em sua seleção foi alterada pela regra ":title".|[2,*] :count transações em sua seleção foram alteradas pela regra ":title".',
    'execute'                                             => 'Executar',
    'apply_rule_group_selection'                          => 'Aplicar grupo de regras ":title" para uma seleção de suas transações',
    'apply_rule_group_selection_intro'                    => 'Os grupos de regras como ":title" normalmente são aplicados apenas a transações novas ou atualizadas, mas você pode informar ao Firefly III para executar todas as regras neste grupo em uma seleção de suas transações existentes. Isso pode ser útil quando você atualizou um grupo de regras e você precisa das alterações a serem aplicadas a todas as suas outras transações.',
    'applied_rule_group_selection'                        => 'Grupo de regras ":title" tem sido aplicada para sua seleção.',

    // actions and triggers
    'rule_trigger_store_journal'                          => 'Quando uma transação é criada',
    'rule_trigger_update_journal'                         => 'Quando uma transação é atualizada',
    'rule_trigger_user_action'                            => 'Ação do usuário é ":trigger_value"',


    // OLD values (remove non-doubles later):
    'rule_trigger_source_account_starts_choice'           => 'Nome da conta de origem começa com..',
    'rule_trigger_source_account_starts'                  => 'Nome da conta de origem começa com ":trigger_value"',
    'rule_trigger_source_account_ends_choice'             => 'O nome da conta de origem termina com..',
    'rule_trigger_source_account_ends'                    => 'O nome da conta de origem termina com ":trigger_value"',
    'rule_trigger_source_account_is_choice'               => 'Nome da conta de origem é..',
    'rule_trigger_source_account_is'                      => 'Nome da conta de origem é ":trigger_value"',
    'rule_trigger_source_account_contains_choice'         => 'Nome da conta de origem contém..',
    'rule_trigger_source_account_contains'                => 'Nome da conta de origem contém ":trigger_value"',
    'rule_trigger_account_id_choice'                      => 'Ou ID da conta é exatamente..',
    'rule_trigger_account_id'                             => 'Ou o ID da conta é exatamente :trigger_value',
    'rule_trigger_source_account_id_choice'               => 'ID da conta de origem é igual a..',
    'rule_trigger_source_account_id'                      => 'ID da conta de origem é igual a :trigger_value',
    'rule_trigger_destination_account_id_choice'          => 'ID da conta de destino é igual a..',
    'rule_trigger_destination_account_id'                 => 'ID da conta de destino é igual a :trigger_value',
    'rule_trigger_account_is_cash_choice'                 => 'Ou a conta é dinheiro',
    'rule_trigger_account_is_cash'                        => 'Ou a conta é dinheiro',
    'rule_trigger_source_is_cash_choice'                  => 'Conta de origem é (dinheiro)',
    'rule_trigger_source_is_cash'                         => 'Conta de origem é (dinheiro)',
    'rule_trigger_destination_is_cash_choice'             => 'Conta de destino é (dinheiro)',
    'rule_trigger_destination_is_cash'                    => 'Conta de destino é (dinheiro)',
    'rule_trigger_source_account_nr_starts_choice'        => 'Número da conta de origem (IBAN) começa com..',
    'rule_trigger_source_account_nr_starts'               => 'Número da conta de origem (IBAN) começa com ":trigger_value"',
    'rule_trigger_source_account_nr_ends_choice'          => 'Número da conta de origem (IBAN) termina com..',
    'rule_trigger_source_account_nr_ends'                 => 'Número da conta de origem (IBAN) termina com ":trigger_value"',
    'rule_trigger_source_account_nr_is_choice'            => 'Número da conta de origem (IBAN) é..',
    'rule_trigger_source_account_nr_is'                   => 'Número da conta de origem (IBAN) é ":trigger_value"',
    'rule_trigger_source_account_nr_contains_choice'      => 'Número da conta de origem (IBAN) contém..',
    'rule_trigger_source_account_nr_contains'             => 'Número da conta de origem (IBAN) contém ":trigger_value"',
    'rule_trigger_destination_account_starts_choice'      => 'Nome da conta de destino começa com..',
    'rule_trigger_destination_account_starts'             => 'Nome da conta de destino começa com ":trigger_value"',
    'rule_trigger_destination_account_ends_choice'        => 'Nome da conta de destino termina com..',
    'rule_trigger_destination_account_ends'               => 'Nome da conta de destino termina com ":trigger_value"',
    'rule_trigger_destination_account_is_choice'          => 'Nome da conta de destino é..',
    'rule_trigger_destination_account_is'                 => 'Nome da conta de destino é ":trigger_value"',
    'rule_trigger_destination_account_contains_choice'    => 'Nome da conta de destino contém..',
    'rule_trigger_destination_account_contains'           => 'Nome da conta de destino contém ":trigger_value"',
    'rule_trigger_destination_account_nr_starts_choice'   => 'Número da conta de destino (IBAN) começa com..',
    'rule_trigger_destination_account_nr_starts'          => 'Número da conta de destino (IBAN) começa com ":trigger_value"',
    'rule_trigger_destination_account_nr_ends_choice'     => 'Número da conta de destino (IBAN) termina com..',
    'rule_trigger_destination_account_nr_ends'            => 'Número da conta de destino (IBAN) termina com ":trigger_value"',
    'rule_trigger_destination_account_nr_is_choice'       => 'Número da conta de destino (IBAN) é..',
    'rule_trigger_destination_account_nr_is'              => 'Número da conta de destino (IBAN) é ":trigger_value"',
    'rule_trigger_destination_account_nr_contains_choice' => 'Número da conta de destino (IBAN) contém..',
    'rule_trigger_destination_account_nr_contains'        => 'Número da conta de destino (IBAN) contém ":trigger_value"',
    'rule_trigger_transaction_type_choice'                => 'Transação é do tipo..',
    'rule_trigger_transaction_type'                       => 'Transação é do tipo ":trigger_value"',
    'rule_trigger_category_is_choice'                     => 'A categoria é..',
    'rule_trigger_category_is'                            => 'A categoria é ":trigger_value"',
    'rule_trigger_amount_less_choice'                     => 'Quantia é inferior a..',
    'rule_trigger_amount_less'                            => 'Quantia é inferior :trigger_value',
    'rule_trigger_amount_is_choice'                       => 'Quantia é..',
    'rule_trigger_amount_is'                              => 'Quantia é :trigger_value',
    'rule_trigger_amount_more_choice'                     => 'Quantia é mais do que..',
    'rule_trigger_amount_more'                            => 'Quantia é mais de :trigger_value',
    'rule_trigger_description_starts_choice'              => 'Descrição começa com..',
    'rule_trigger_description_starts'                     => 'Descrição começa com ":trigger_value"',
    'rule_trigger_description_ends_choice'                => 'Descrição termina com..',
    'rule_trigger_description_ends'                       => 'Descrição termina com ":trigger_value"',
    'rule_trigger_description_contains_choice'            => 'Descrição contém..',
    'rule_trigger_description_contains'                   => 'Descrição contém ":trigger_value"',
    'rule_trigger_description_is_choice'                  => 'Descrição é..',
    'rule_trigger_description_is'                         => 'Descrição é ":trigger_value"',
    'rule_trigger_date_on_choice'                         => 'Data da transação é..',
    'rule_trigger_date_on'                                => 'Data de transação é ":trigger_value"',
    'rule_trigger_date_before_choice'                     => 'A data da transação é anterior a...',
    'rule_trigger_date_before'                            => 'A data da transação é anterior a ":trigger_value"',
    'rule_trigger_date_after_choice'                      => 'A data da transação é posterior a...',
    'rule_trigger_date_after'                             => 'A data da transação é posterior a ":trigger_value"',
    'rule_trigger_created_at_on_choice'                   => 'Transação foi feita em..',
    'rule_trigger_created_at_on'                          => 'A transação foi feita em ":trigger_value"',
    'rule_trigger_updated_at_on_choice'                   => 'Transação foi editada pela última vez em..',
    'rule_trigger_updated_at_on'                          => 'Transação foi editada pela última vez em ":trigger_value"',
    'rule_trigger_budget_is_choice'                       => 'O orçamento é..',
    'rule_trigger_budget_is'                              => 'O orçamento é ":trigger_value"',
    'rule_trigger_tag_is_choice'                          => 'Qualquer tag é..',
    'rule_trigger_tag_is'                                 => 'Qualquer tag é ":trigger_value"',
    'rule_trigger_currency_is_choice'                     => 'A moeda da transação é..',
    'rule_trigger_currency_is'                            => 'A moeda da transação é ":trigger_value"',
    'rule_trigger_foreign_currency_is_choice'             => 'A moeda estrangeira da transação é...',
    'rule_trigger_foreign_currency_is'                    => 'A moeda estrangeira da transação é ":trigger_value"',
    'rule_trigger_has_attachments_choice'                 => 'Tem pelo menos essa quantidade de anexos',
    'rule_trigger_has_attachments'                        => 'Tem pelo menos :trigger_value anexo(s)',
    'rule_trigger_has_no_category_choice'                 => 'Não tem categoria',
    'rule_trigger_has_no_category'                        => 'A transação não tem categoria',
    'rule_trigger_has_any_category_choice'                => 'Tem uma categoria (qualquer)',
    'rule_trigger_has_any_category'                       => 'A transação tem uma categoria (qualquer)',
    'rule_trigger_has_no_budget_choice'                   => 'Não tem orçamento',
    'rule_trigger_has_no_budget'                          => 'A transação não possui orçamento',
    'rule_trigger_has_any_budget_choice'                  => 'Tem um orçamento (qualquer)',
    'rule_trigger_has_any_budget'                         => 'Transação tem um orçamento (qualquer)',
    'rule_trigger_has_no_bill_choice'                     => 'Não tem nenhuma conta',
    'rule_trigger_has_no_bill'                            => 'A transação não tem nenhuma conta',
    'rule_trigger_has_any_bill_choice'                    => 'Tem uma conta (qualquer)',
    'rule_trigger_has_any_bill'                           => 'A transação tem uma conta (qualquer)',
    'rule_trigger_has_no_tag_choice'                      => 'Não tem tag(s)',
    'rule_trigger_has_no_tag'                             => 'A transação não tem tag(s)',
    'rule_trigger_has_any_tag_choice'                     => 'Tem uma ou mais tags (qualquer)',
    'rule_trigger_has_any_tag'                            => 'A transação tem uma ou mais tags (qualquer)',
    'rule_trigger_any_notes_choice'                       => 'Tem notas (qualquer)',
    'rule_trigger_any_notes'                              => 'A transação tem notas (qualquer)',
    'rule_trigger_no_notes_choice'                        => 'Não tem notas',
    'rule_trigger_no_notes'                               => 'A transação não tem notas',
    'rule_trigger_notes_is_choice'                        => 'As notas são..',
    'rule_trigger_notes_is'                               => 'As notas são ":trigger_value"',
    'rule_trigger_notes_contains_choice'                  => 'As notas contêm..',
    'rule_trigger_notes_contains'                         => 'As notas contêm ":trigger_value"',
    'rule_trigger_notes_starts_choice'                    => 'As notas começam com..',
    'rule_trigger_notes_starts'                           => 'As notas começam com ":trigger_value"',
    'rule_trigger_notes_ends_choice'                      => 'As notas terminam com..',
    'rule_trigger_notes_ends'                             => 'Notas terminam com ":trigger_value"',
    'rule_trigger_bill_is_choice'                         => 'Conta é..',
    'rule_trigger_bill_is'                                => 'Conta é ":trigger_value"',
    'rule_trigger_external_id_is_choice'                  => 'ID externo é..',
    'rule_trigger_external_id_is'                         => 'ID externo é ":trigger_value"',
    'rule_trigger_internal_reference_is_choice'           => 'Referência interna é..',
    'rule_trigger_internal_reference_is'                  => 'Referência interna é ":trigger_value"',
    'rule_trigger_journal_id_choice'                      => 'ID do livro de transação é..',
    'rule_trigger_journal_id'                             => 'ID do livro de transação é ":trigger_value"',
    'rule_trigger_no_external_url'                        => 'A transação não tem URL externa',
    'rule_trigger_any_external_url'                       => 'A transação tem uma URL externa',
    'rule_trigger_any_external_url_choice'                => 'A transação tem um link externo',
    'rule_trigger_no_external_url_choice'                 => 'A transação não tem um link externo',
    'rule_trigger_id_choice'                              => 'O identificador da transação é..',
    'rule_trigger_id'                                     => 'O identificador da transação é ":trigger_value"',
    'rule_trigger_sepa_ct_is_choice'                      => 'SEPA CT is..',
    'rule_trigger_sepa_ct_is'                             => 'SEPA CT is ":trigger_value"',

    // new values:
    'rule_trigger_user_action_choice'                     => 'Ação do usuário é ":trigger_value"',
    'rule_trigger_tag_is_not_choice'                      => 'No tag is..',
    'rule_trigger_tag_is_not'                             => 'No tag is ":trigger_value"',
    'rule_trigger_account_is_choice'                      => 'Ou a conta é exatamente..',
    'rule_trigger_account_is'                             => 'Ou a conta é exatamente ":trigger_value"',
    'rule_trigger_account_contains_choice'                => 'Ou a conta contém..',
    'rule_trigger_account_contains'                       => 'Ou a conta contém ":trigger_value"',
    'rule_trigger_account_ends_choice'                    => 'Ou a conta termina com..',
    'rule_trigger_account_ends'                           => 'Ou a conta termina com ":trigger_value"',
    'rule_trigger_account_starts_choice'                  => 'Ou a conta começa com..',
    'rule_trigger_account_starts'                         => 'Ou a conta começa com ":trigger_value"',
    'rule_trigger_account_nr_is_choice'                   => 'Ou número da conta / IBAN é..',
    'rule_trigger_account_nr_is'                          => 'Ou número da conta / IBAN é ":trigger_value"',
    'rule_trigger_account_nr_contains_choice'             => 'Ou número da conta / IBAN contém..',
    'rule_trigger_account_nr_contains'                    => 'Ou número da conta / IBAN contém ":trigger_value"',
    'rule_trigger_account_nr_ends_choice'                 => 'Ou número da conta / IBAN termina com..',
    'rule_trigger_account_nr_ends'                        => 'Ou número da conta / IBAN termina com ":trigger_value"',
    'rule_trigger_account_nr_starts_choice'               => 'Ou número da conta / IBAN começa com..',
    'rule_trigger_account_nr_starts'                      => 'Ou número da conta / IBAN começa com ":trigger_value"',
    'rule_trigger_category_contains_choice'               => 'A categoria contém..',
    'rule_trigger_category_contains'                      => 'Categoria contém ":trigger_value"',
    'rule_trigger_category_ends_choice'                   => 'Categoria termina com..',
    'rule_trigger_category_ends'                          => 'Categoria termina com ":trigger_value"',
    'rule_trigger_category_starts_choice'                 => 'Categoria começa com..',
    'rule_trigger_category_starts'                        => 'Categoria começa com ":trigger_value"',
    'rule_trigger_budget_contains_choice'                 => 'O orçamento contém..',
    'rule_trigger_budget_contains'                        => 'O orçamento contém ":trigger_value"',
    'rule_trigger_budget_ends_choice'                     => 'O orçamento termina com..',
    'rule_trigger_budget_ends'                            => 'Orçamento termina com ":trigger_value"',
    'rule_trigger_budget_starts_choice'                   => 'O orçamento começa com..',
    'rule_trigger_budget_starts'                          => 'Orçamento começa com ":trigger_value"',
    'rule_trigger_bill_contains_choice'                   => 'A fatura contém..',
    'rule_trigger_bill_contains'                          => 'Fatura contém ":trigger_value"',
    'rule_trigger_bill_ends_choice'                       => 'Fatura termina com..',
    'rule_trigger_bill_ends'                              => 'Fatura termina com ":trigger_value"',
    'rule_trigger_bill_starts_choice'                     => 'Fatura começa com..',
    'rule_trigger_bill_starts'                            => 'Fatura começa com ":trigger_value"',
    'rule_trigger_external_id_contains_choice'            => 'ID Externo contém..',
    'rule_trigger_external_id_contains'                   => 'ID Externo contém ":trigger_value"',
    'rule_trigger_external_id_ends_choice'                => 'ID externo termina com..',
    'rule_trigger_external_id_ends'                       => 'ID Externo termina com ":trigger_value"',
    'rule_trigger_external_id_starts_choice'              => 'ID externo começa com..',
    'rule_trigger_external_id_starts'                     => 'ID Externo começa com ":trigger_value"',
    'rule_trigger_internal_reference_contains_choice'     => 'Referência interna contém..',
    'rule_trigger_internal_reference_contains'            => 'Referência interna contém ":trigger_value"',
    'rule_trigger_internal_reference_ends_choice'         => 'Referência interna termina com..',
    'rule_trigger_internal_reference_ends'                => 'Referência interna termina com ":trigger_value"',
    'rule_trigger_internal_reference_starts_choice'       => 'Referência interna começa com..',
    'rule_trigger_internal_reference_starts'              => 'Referência interna começa com ":trigger_value"',
    'rule_trigger_external_url_is_choice'                 => 'URL externa é..',
    'rule_trigger_external_url_is'                        => 'URL externa é ":trigger_value"',
    'rule_trigger_external_url_contains_choice'           => 'URL externa contém..',
    'rule_trigger_external_url_contains'                  => 'URL externa contém ":trigger_value"',
    'rule_trigger_external_url_ends_choice'               => 'URL externa termina com..',
    'rule_trigger_external_url_ends'                      => 'URL externa termina com ":trigger_value"',
    'rule_trigger_external_url_starts_choice'             => 'URL externa começa com..',
    'rule_trigger_external_url_starts'                    => 'URL externa começa com ":trigger_value"',
    'rule_trigger_has_no_attachments_choice'              => 'Não há anexos',
    'rule_trigger_has_no_attachments'                     => 'A transação não tem anexos',
    'rule_trigger_recurrence_id_choice'                   => 'O ID da transação recorrente é..',
    'rule_trigger_recurrence_id'                          => 'ID da transação recorrente é ":trigger_value"',
    'rule_trigger_interest_date_on_choice'                => 'Data de juros é em..',
    'rule_trigger_interest_date_on'                       => 'Data de juros é em ":trigger_value"',
    'rule_trigger_interest_date_before_choice'            => 'Data de juros é anterior a..',
    'rule_trigger_interest_date_before'                   => 'Data de juros é antes de ":trigger_value"',
    'rule_trigger_interest_date_after_choice'             => 'Data de juros é após..',
    'rule_trigger_interest_date_after'                    => 'Data de juros é após ":trigger_value"',
    'rule_trigger_book_date_on_choice'                    => 'Data de reserva é em..',
    'rule_trigger_book_date_on'                           => 'Data de reserva é em ":trigger_value"',
    'rule_trigger_book_date_before_choice'                => 'A data de reserva é antes de..',
    'rule_trigger_book_date_before'                       => 'Data de reserva é antes de ":trigger_value"',
    'rule_trigger_book_date_after_choice'                 => 'A data de reserva é após..',
    'rule_trigger_book_date_after'                        => 'Data de reserva após ":trigger_value"',
    'rule_trigger_process_date_on_choice'                 => 'Data de processamento é em..',
    'rule_trigger_process_date_on'                        => 'Data de processamento é ":trigger_value"',
    'rule_trigger_process_date_before_choice'             => 'Data de processamento é antes de..',
    'rule_trigger_process_date_before'                    => 'Data de processamento é antes de ":trigger_value"',
    'rule_trigger_process_date_after_choice'              => 'Data de processamento é após..',
    'rule_trigger_process_date_after'                     => 'Data de processamento é após ":trigger_value"',
    'rule_trigger_due_date_on_choice'                     => 'Data de vencimento é em..',
    'rule_trigger_due_date_on'                            => 'Data de vencimento é em ":trigger_value"',
    'rule_trigger_due_date_before_choice'                 => 'A data de vencimento é antes de..',
    'rule_trigger_due_date_before'                        => 'Data de vencimento é antes de ":trigger_value"',
    'rule_trigger_due_date_after_choice'                  => 'Data de vencimento é após..',
    'rule_trigger_due_date_after'                         => 'Data de vencimento é após ":trigger_value"',
    'rule_trigger_payment_date_on_choice'                 => 'Data de pagamento é em..',
    'rule_trigger_payment_date_on'                        => 'Data do pagamento é em ":trigger_value"',
    'rule_trigger_payment_date_before_choice'             => 'Data de pagamento é anterior a..',
    'rule_trigger_payment_date_before'                    => 'Data do pagamento é antes de ":trigger_value"',
    'rule_trigger_payment_date_after_choice'              => 'Data de pagamento é depois de..',
    'rule_trigger_payment_date_after'                     => 'Data do pagamento é após ":trigger_value"',
    'rule_trigger_invoice_date_on_choice'                 => 'Data da fatura é em..',
    'rule_trigger_invoice_date_on'                        => 'A data da fatura é em ":trigger_value"',
    'rule_trigger_invoice_date_before_choice'             => 'Data da fatura é antes de..',
    'rule_trigger_invoice_date_before'                    => 'Data da fatura é antes de ":trigger_value"',
    'rule_trigger_invoice_date_after_choice'              => 'Data da fatura é depois de..',
    'rule_trigger_invoice_date_after'                     => 'Data da fatura é depois de ":trigger_value"',
    'rule_trigger_created_at_before_choice'               => 'A transação foi criada antes de..',
    'rule_trigger_created_at_before'                      => 'A transação foi criada antes de ":trigger_value"',
    'rule_trigger_created_at_after_choice'                => 'A transação foi criada depois de..',
    'rule_trigger_created_at_after'                       => 'A transação foi criada após ":trigger_value"',
    'rule_trigger_updated_at_before_choice'               => 'A transação foi atualizada pela última vez..',
    'rule_trigger_updated_at_before'                      => 'A transação foi atualizada pela última vez antes de ":trigger_value"',
    'rule_trigger_updated_at_after_choice'                => 'A transação foi atualizada pela última vez depois de..',
    'rule_trigger_updated_at_after'                       => 'A transação foi atualizada pela última vez após ":trigger_value"',
    'rule_trigger_foreign_amount_is_choice'               => 'Quantidade em moeda estrangeira é exatamente..',
    'rule_trigger_foreign_amount_is'                      => 'Quantidade em moeda estrangeira é exatamente ":trigger_value"',
    'rule_trigger_foreign_amount_less_choice'             => 'Quantidade em moeda estrangeira é menor que..',
    'rule_trigger_foreign_amount_less'                    => 'Quantia em moeda estrangeira é inferior a ":trigger_value"',
    'rule_trigger_foreign_amount_more_choice'             => 'Quantidade em moeda estrangeira é maior que..',
    'rule_trigger_foreign_amount_more'                    => 'Quantia em moeda estrangeira é maior que ":trigger_value"',
    'rule_trigger_attachment_name_is_choice'              => 'Qualquer nome do anexo é..',
    'rule_trigger_attachment_name_is'                     => 'Qualquer nome de anexo é ":trigger_value"',
    'rule_trigger_attachment_name_contains_choice'        => 'Qualquer nome do anexo contém..',
    'rule_trigger_attachment_name_contains'               => 'Qualquer nome do anexo contém ":trigger_value"',
    'rule_trigger_attachment_name_starts_choice'          => 'Qualquer nome do anexo começa com..',
    'rule_trigger_attachment_name_starts'                 => 'Qualquer nome de anexo começa com ":trigger_value"',
    'rule_trigger_attachment_name_ends_choice'            => 'Qualquer nome de anexo termina com..',
    'rule_trigger_attachment_name_ends'                   => 'Qualquer nome de anexo termina com ":trigger_value"',
    'rule_trigger_attachment_notes_are_choice'            => 'Qualquer nota de anexo é..',
    'rule_trigger_attachment_notes_are'                   => 'Qualquer nota de anexo é ":trigger_value"',
    'rule_trigger_attachment_notes_contains_choice'       => 'Qualquer nota de anexo contém..',
    'rule_trigger_attachment_notes_contains'              => 'Qualquer nota de anexo contém ":trigger_value"',
    'rule_trigger_attachment_notes_starts_choice'         => 'Qualquer nota de anexo começa com..',
    'rule_trigger_attachment_notes_starts'                => 'Qualquer nota de anexo começa com ":trigger_value"',
    'rule_trigger_attachment_notes_ends_choice'           => 'Qualquer nota de anexo termina com..',
    'rule_trigger_attachment_notes_ends'                  => 'Qualquer nota de anexo termina com ":trigger_value"',
    'rule_trigger_reconciled_choice'                      => 'Transaction is reconciled',
    'rule_trigger_reconciled'                             => 'Transaction is reconciled',
    'rule_trigger_exists_choice'                          => 'Any transaction matches(!)',
    'rule_trigger_exists'                                 => 'Any transaction matches',

    // more values for new types:
    'rule_trigger_not_account_id'                         => 'Account ID is not ":trigger_value"',
    'rule_trigger_not_source_account_id'                  => 'Source account ID is not ":trigger_value"',
    'rule_trigger_not_destination_account_id'             => 'Destination account ID is not ":trigger_value"',
    'rule_trigger_not_transaction_type'                   => 'Transaction type is not ":trigger_value"',
    'rule_trigger_not_tag_is'                             => 'A etiqueta não é ":trigger_value"',
    'rule_trigger_not_tag_is_not'                         => 'A tag é ":trigger_value"',
    'rule_trigger_not_description_is'                     => 'Descrição não é ":trigger_value"',
    'rule_trigger_not_description_contains'               => 'Descrição não contém',
    'rule_trigger_not_description_ends'                   => 'Descrição não termina com ":trigger_value"',
    'rule_trigger_not_description_starts'                 => 'Descrição não começa com ":trigger_value"',
    'rule_trigger_not_notes_is'                           => 'As notas não são ":trigger_value"',
    'rule_trigger_not_notes_contains'                     => 'As notas não contêm ":trigger_value"',
    'rule_trigger_not_notes_ends'                         => 'As notas não terminam em ":trigger_value"',
    'rule_trigger_not_notes_starts'                       => 'As notas não começam com ":trigger_value"',
    'rule_trigger_not_source_account_is'                  => 'Conta de origem não é ":trigger_value"',
    'rule_trigger_not_source_account_contains'            => 'Conta de origem não contém ":trigger_value"',
    'rule_trigger_not_source_account_ends'                => 'Conta de origem não termina em ":trigger_value"',
    'rule_trigger_not_source_account_starts'              => 'Conta de origem não começa com ":trigger_value"',
    'rule_trigger_not_source_account_nr_is'               => 'Número da conta de origem / IBAN não é ":trigger_value"',
    'rule_trigger_not_source_account_nr_contains'         => 'Número da conta de origem / IBAN não contém ":trigger_value"',
    'rule_trigger_not_source_account_nr_ends'             => 'Número da conta de origem / IBAN não termina em ":trigger_value"',
    'rule_trigger_not_source_account_nr_starts'           => 'Número da conta de origem / IBAN não começa com ":trigger_value"',
    'rule_trigger_not_destination_account_is'             => 'Conta de destino não é ":trigger_value"',
    'rule_trigger_not_destination_account_contains'       => 'Conta de destino não contém ":trigger_value"',
    'rule_trigger_not_destination_account_ends'           => 'Conta de destino não termina em ":trigger_value"',
    'rule_trigger_not_destination_account_starts'         => 'Conta de destino não começa com ":trigger_value"',
    'rule_trigger_not_destination_account_nr_is'          => 'Número da conta de destino / IBAN não é ":trigger_value"',
    'rule_trigger_not_destination_account_nr_contains'    => 'Número da conta de destino / IBAN não contém ":trigger_value"',
    'rule_trigger_not_destination_account_nr_ends'        => 'Número da conta de destino / IBAN não termina em ":trigger_value"',
    'rule_trigger_not_destination_account_nr_starts'      => 'Número da conta de destino / IBAN não começa com ":trigger_value"',
    'rule_trigger_not_account_is'                         => 'Nenhuma conta é ":trigger_value"',
    'rule_trigger_not_account_contains'                   => 'Nenhuma conta contém ":trigger_value"',
    'rule_trigger_not_account_ends'                       => 'Nenhuma conta termina em ":trigger_value"',
    'rule_trigger_not_account_starts'                     => 'Nenhuma conta começa com ":trigger_value"',
    'rule_trigger_not_account_nr_is'                      => 'Nenhum número de conta / IBAN é ":trigger_value"',
    'rule_trigger_not_account_nr_contains'                => 'Nenhum número de conta / IBAN contém ":trigger_value"',
    'rule_trigger_not_account_nr_ends'                    => 'Nenhum número de conta / IBAN termina em ":trigger_value"',
    'rule_trigger_not_account_nr_starts'                  => 'Nenhum número de conta / IBAN começa com ":trigger_value"',
    'rule_trigger_not_category_is'                        => 'Nenhuma categoria é ":trigger_value"',
    'rule_trigger_not_category_contains'                  => 'Nenhuma categoria contém ":trigger_value"',
    'rule_trigger_not_category_ends'                      => 'Nenhuma categoria termina em ":trigger_value"',
    'rule_trigger_not_category_starts'                    => 'Nenhuma categoria começa com ":trigger_value"',
    'rule_trigger_not_budget_is'                          => 'Nenhum orçamento é ":trigger_value"',
    'rule_trigger_not_budget_contains'                    => 'Nenhum orçamento contém ":trigger_value"',
    'rule_trigger_not_budget_ends'                        => 'Nenhum orçamento termina em ":trigger_value"',
    'rule_trigger_not_budget_starts'                      => 'Nenhum orçamento começa com ":trigger_value"',
    'rule_trigger_not_bill_is'                            => 'Fatura não é ":trigger_value"',
    'rule_trigger_not_bill_contains'                      => 'Fatura não contém ":trigger_value"',
    'rule_trigger_not_bill_ends'                          => 'Fatura não termina em ":trigger_value"',
    'rule_trigger_not_bill_starts'                        => 'Fatura não termina com ":trigger_value"',
    'rule_trigger_not_external_id_is'                     => 'ID Externo não é ":trigger_value"',
    'rule_trigger_not_external_id_contains'               => 'ID Externo não contém ":trigger_value"',
    'rule_trigger_not_external_id_ends'                   => 'ID Externo não termina em ":trigger_value"',
    'rule_trigger_not_external_id_starts'                 => 'ID Externo não inicia com ":trigger_value"',
    'rule_trigger_not_internal_reference_is'              => 'Referência interna não é ":trigger_value"',
    'rule_trigger_not_internal_reference_contains'        => 'Referência interna não contém ":trigger_value"',
    'rule_trigger_not_internal_reference_ends'            => 'Referência interna não termina em ":trigger_value"',
    'rule_trigger_not_internal_reference_starts'          => 'Referência interna não começa com ":trigger_value"',
    'rule_trigger_not_external_url_is'                    => 'URL externa não é ":trigger_value"',
    'rule_trigger_not_external_url_contains'              => 'URL externa não contém ":trigger_value"',
    'rule_trigger_not_external_url_ends'                  => 'URL externa não termina em ":trigger_value"',
    'rule_trigger_not_external_url_starts'                => 'URL externa não inicia com ":trigger_value"',
    'rule_trigger_not_currency_is'                        => 'A moeda não é ":trigger_value"',
    'rule_trigger_not_foreign_currency_is'                => 'A moeda estrangeira não é ":trigger_value"',
    'rule_trigger_not_id'                                 => 'O identificador da transação não é ":trigger_value"',
    'rule_trigger_not_journal_id'                         => 'Identificador do livro de transação não é ":trigger_value"',
    'rule_trigger_not_recurrence_id'                      => 'Identificador recorrente não é ":trigger_value"',
    'rule_trigger_not_date_on'                            => 'A data não está em ":trigger_value"',
    'rule_trigger_not_date_before'                        => 'A data não está antes de ":trigger_value"',
    'rule_trigger_not_date_after'                         => 'A data não está após ":trigger_value"',
    'rule_trigger_not_interest_date_on'                   => 'Data de juros não é em ":trigger_value"',
    'rule_trigger_not_interest_date_before'               => 'Data de juros não é anterior a ":trigger_value"',
    'rule_trigger_not_interest_date_after'                => 'Data de juros não é posterior a ":trigger_value"',
    'rule_trigger_not_book_date_on'                       => 'Data de agendamento não é em ":trigger_value"',
    'rule_trigger_not_book_date_before'                   => 'Data de agendamento não é antes de ":trigger_value"',
    'rule_trigger_not_book_date_after'                    => 'Data de agendamento não é após ":trigger_value"',
    'rule_trigger_not_process_date_on'                    => 'Data de processamento não é em ":trigger_value"',
    'rule_trigger_not_process_date_before'                => 'Data de processamento não é antes de ":trigger_value"',
    'rule_trigger_not_process_date_after'                 => 'Data de processamento não é após ":trigger_value"',
    'rule_trigger_not_due_date_on'                        => 'Data de vencimento não é em ":trigger_value"',
    'rule_trigger_not_due_date_before'                    => 'Data de vencimento não é antes de ":trigger_value"',
    'rule_trigger_not_due_date_after'                     => 'Data de vencimento não é após ":trigger_value"',
    'rule_trigger_not_payment_date_on'                    => 'Data do pagamento não é em ":trigger_value"',
    'rule_trigger_not_payment_date_before'                => 'Data do pagamento não é antes de ":trigger_value"',
    'rule_trigger_not_payment_date_after'                 => 'Data do pagamento não é após ":trigger_value"',
    'rule_trigger_not_invoice_date_on'                    => 'Data da fatura não é em ":trigger_value"',
    'rule_trigger_not_invoice_date_before'                => 'Data da fatura não é antes de ":trigger_value"',
    'rule_trigger_not_invoice_date_after'                 => 'Data da fatura não é depois de ":trigger_value"',
    'rule_trigger_not_created_at_on'                      => 'A transação não foi criada em ":trigger_value"',
    'rule_trigger_not_created_at_before'                  => 'A transação não foi criada antes de ":trigger_value"',
    'rule_trigger_not_created_at_after'                   => 'A transação não foi criada depois de ":trigger_value"',
    'rule_trigger_not_updated_at_on'                      => 'A transação não foi atualizada em ":trigger_value"',
    'rule_trigger_not_updated_at_before'                  => 'A transação não foi atualizada antes de ":trigger_value"',
    'rule_trigger_not_updated_at_after'                   => 'A transação não foi atualizada depois de ":trigger_value"',
    'rule_trigger_not_amount_is'                          => 'O valor da transação não é ":trigger_value"',
    'rule_trigger_not_amount_less'                        => 'O valor da transação é maior que ":trigger_value"',
    'rule_trigger_not_amount_more'                        => 'O valor da transação é menor que ":trigger_value"',
    'rule_trigger_not_foreign_amount_is'                  => 'O valor da transação estrangeira não é ":trigger_value"',
    'rule_trigger_not_foreign_amount_less'                => 'O valor da transação estrangeira é maior que ":trigger_value"',
    'rule_trigger_not_foreign_amount_more'                => 'O valor da transação estrangeira é menor que ":trigger_value"',
    'rule_trigger_not_attachment_name_is'                 => 'Nenhum anexo é nomeado ":trigger_value"',
    'rule_trigger_not_attachment_name_contains'           => 'Nenhum nome do anexo contém ":trigger_value"',
    'rule_trigger_not_attachment_name_starts'             => 'Nenhum nome de anexo começa com ":trigger_value"',
    'rule_trigger_not_attachment_name_ends'               => 'Nenhum nome do anexo termina em ":trigger_value"',
    'rule_trigger_not_attachment_notes_are'               => 'No attachment notes are ":trigger_value"',
    'rule_trigger_not_attachment_notes_contains'          => 'No attachment notes contain ":trigger_value"',
    'rule_trigger_not_attachment_notes_starts'            => 'No attachment notes start with ":trigger_value"',
    'rule_trigger_not_attachment_notes_ends'              => 'No attachment notes end on ":trigger_value"',
    'rule_trigger_not_reconciled'                         => 'Transaction is not reconciled',
    'rule_trigger_not_exists'                             => 'Transaction does not exist',
    'rule_trigger_not_has_attachments'                    => 'Transaction has no attachments',
    'rule_trigger_not_has_any_category'                   => 'Transaction has no category',
    'rule_trigger_not_has_any_budget'                     => 'Transaction has no category',
    'rule_trigger_not_has_any_bill'                       => 'Transaction has no bill',
    'rule_trigger_not_has_any_tag'                        => 'Transaction has no tags',
    'rule_trigger_not_any_notes'                          => 'Transaction has no notes',
    'rule_trigger_not_any_external_url'                   => 'Transaction has no external URL',
    'rule_trigger_not_has_no_attachments'                 => 'Transaction has a (any) attachment(s)',
    'rule_trigger_not_has_no_category'                    => 'Transaction has a (any) category',
    'rule_trigger_not_has_no_budget'                      => 'Transaction has a (any) budget',
    'rule_trigger_not_has_no_bill'                        => 'Transaction has a (any) bill',
    'rule_trigger_not_has_no_tag'                         => 'Transaction has a (any) tag',
    'rule_trigger_not_no_notes'                           => 'Transaction has any notes',
    'rule_trigger_not_no_external_url'                    => 'Transaction has an external URL',
    'rule_trigger_not_source_is_cash'                     => 'Source account is not a cash account',
    'rule_trigger_not_destination_is_cash'                => 'Destination account is not a cash account',
    'rule_trigger_not_account_is_cash'                    => 'Neither account is a cash account',


    // actions
    'rule_action_delete_transaction_choice'               => 'DELETE transaction(!)',
    'rule_action_delete_transaction'                      => 'DELETE transaction(!)',
    'rule_action_set_category'                            => 'Definir categoria para ":action_value"',
    'rule_action_clear_category'                          => 'Limpar categoria',
    'rule_action_set_budget'                              => 'Definir orçamento para ":action_value"',
    'rule_action_clear_budget'                            => 'Limpar orçamento',
    'rule_action_add_tag'                                 => 'Adicionar tag ":action_value"',
    'rule_action_remove_tag'                              => 'Remover tag ":action_value"',
    'rule_action_remove_all_tags'                         => 'Remover todas as tags',
    'rule_action_set_description'                         => 'Definir descrição para ":action_value"',
    'rule_action_append_description'                      => 'Acrescentar a descrição com ":action_value"',
    'rule_action_prepend_description'                     => 'Preceder a descrição com ":action_value"',
    'rule_action_set_category_choice'                     => 'Set category to ..',
    'rule_action_clear_category_choice'                   => 'Limpar qualquer categoria',
    'rule_action_set_budget_choice'                       => 'Set budget to ..',
    'rule_action_clear_budget_choice'                     => 'Limpar qualquer orçamento',
    'rule_action_add_tag_choice'                          => 'Add tag ..',
    'rule_action_remove_tag_choice'                       => 'Remove tag ..',
    'rule_action_remove_all_tags_choice'                  => 'Remover todas as tags',
    'rule_action_set_description_choice'                  => 'Set description to ..',
    'rule_action_update_piggy_choice'                     => 'Add / remove transaction amount in piggy bank ..',
    'rule_action_update_piggy'                            => 'Add / remove transaction amount in piggy bank ":action_value"',
    'rule_action_append_description_choice'               => 'Append description with ..',
    'rule_action_prepend_description_choice'              => 'Prepend description with ..',
    'rule_action_set_source_account_choice'               => 'Set source account to ..',
    'rule_action_set_source_account'                      => 'Definir a conta de origem para :action_value',
    'rule_action_set_destination_account_choice'          => 'Set destination account to ..',
    'rule_action_set_destination_account'                 => 'Definir a conta de destino :action_value',
    'rule_action_append_notes_choice'                     => 'Append notes with ..',
    'rule_action_append_notes'                            => 'Anexar notas com ":action_value"',
    'rule_action_prepend_notes_choice'                    => 'Prepend notes with ..',
    'rule_action_prepend_notes'                           => 'Preceder notas com ":action_value"',
    'rule_action_clear_notes_choice'                      => 'Remover quaisquer notas',
    'rule_action_clear_notes'                             => 'Remover quaisquer notas',
    'rule_action_set_notes_choice'                        => 'Set notes to ..',
    'rule_action_link_to_bill_choice'                     => 'Link to a bill ..',
    'rule_action_link_to_bill'                            => 'Vincular à conta ":action_value"',
    'rule_action_set_notes'                               => 'Defina notas para ":action_value"',
    'rule_action_convert_deposit_choice'                  => 'Converter esta transferência em entrada',
    'rule_action_convert_deposit'                         => 'Converter a transação em uma entrada de ":action_value"',
    'rule_action_convert_withdrawal_choice'               => 'Converter esta transação para uma saída',
    'rule_action_convert_withdrawal'                      => 'Converter a transação em uma saída de ":action_value"',
    'rule_action_convert_transfer_choice'                 => 'Converter esta transação para transferência',
    'rule_action_convert_transfer'                        => 'Converter a transação em uma transferência de ":action_value"',
    'rule_action_append_descr_to_notes_choice'            => 'Append the description to the transaction notes',
    'rule_action_append_notes_to_descr_choice'            => 'Append the transaction notes to the description',
    'rule_action_move_descr_to_notes_choice'              => 'Replace the current transaction notes with the description',
    'rule_action_move_notes_to_descr_choice'              => 'Replace the current description with the transaction notes',
    'rule_action_append_descr_to_notes'                   => 'Append description to notes',
    'rule_action_append_notes_to_descr'                   => 'Append notes to description',
    'rule_action_move_descr_to_notes'                     => 'Replace notes with description',
    'rule_action_move_notes_to_descr'                     => 'Replace description with notes',
    'rulegroup_for_bills_title'                           => 'Grupo de regras para contas',
    'rulegroup_for_bills_description'                     => 'A special rule group for all the rules that involve bills.',
    'rule_for_bill_title'                                 => 'Auto-generated rule for bill ":name"',
    'rule_for_bill_description'                           => 'Esta regra é gerada automaticamente para tentar corresponder à conta ":name".',
    'create_rule_for_bill'                                => 'Criar uma nova regra para a conta ":name"',
    'create_rule_for_bill_txt'                            => 'Você acabou de criar uma nova conta chamada ":name". Parabéns! O Firefly III pode combinar automagicamente novas retiradas com essa conta. Por exemplo, sempre que você pagar seu aluguel, a conta "aluguel" será vinculada a essa despesa. Dessa forma, o Firefly III pode mostrar com precisão quais contas estão vencidas e quais não estão. Para isso, uma nova regra deve ser criada. O Firefly III preencheu algumas informações por você. Por favor, verifique se está tudo certo. Se estiverem corretas, o Firefly III irá vincular as retiradas a essas contas automaticamente. Por favor, confira os gatilhos e adicione outros se estiverem errados.',
    'new_rule_for_bill_title'                             => 'Regra para a conta ":name"',
    'new_rule_for_bill_description'                       => 'Esta regra marca as transações para a conta ":name".',

    'new_rule_for_journal_title'                => 'Regra baseada na transação ":description"',
    'new_rule_for_journal_description'          => 'Esta regra é baseada na transação ":description". Irá corresponder a transações que são exatamente iguais.',

    // tags
    'store_new_tag'                             => 'Armazenar nova tag',
    'update_tag'                                => 'Atualizar tag',
    'no_location_set'                           => 'Nenhuma localização.',
    'meta_data'                                 => 'Meta dados',
    'location'                                  => 'Localização',
    'without_date'                              => 'Sem data',
    'result'                                    => 'Resultado',
    'sums_apply_to_range'                       => 'Todas as somas aplicam-se ao intervalo selecionado',
    'mapbox_api_key'                            => 'Para usar o mapa, obtenha uma chave API do <a href="https://www.mapbox.com/">Mapbox</a>. Abra seu arquivo <code>.env</code> e insira este código <code>MAPBOX_API_KEY=</code>.',
    'press_object_location'                     => 'Clique com o botão direito ou pressione longamente para definir a localização do objeto.',
    'clear_location'                            => 'Limpar localização',
    'delete_all_selected_tags'                  => 'Excluir todas as tags selecionadas',
    'select_tags_to_delete'                     => 'Não se esqueça de selecionar algumas tags.',
    'deleted_x_tags'                            => ':count etiqueta foi deletada. :count etiquetas foram deletadas.',
    'create_rule_from_transaction'              => 'Criar regra baseada na transação',
    'create_recurring_from_transaction'         => 'Criar transação recorrente baseada na transação',


    // preferences
    'equal_to_language'                         => '(igual ao idioma)',
    'pref_home_screen_accounts'                 => 'Conta da tela inicial',
    'pref_home_screen_accounts_help'            => 'Que conta deve ser exibida na tela inicial?',
    'pref_view_range'                           => 'Ver intervalo',
    'pref_view_range_help'                      => 'Algumas tabelas estão automaticamente agrupadas em períodos. Seus orçamentos também serão agrupados em períodos. Qual período você prefere?',
    'pref_1D'                                   => 'Um dia',
    'pref_1W'                                   => 'Uma semana',
    'pref_1M'                                   => 'Um mês',
    'pref_3M'                                   => 'Trimestral',
    'pref_6M'                                   => 'Semestral',
    'pref_1Y'                                   => 'Um ano',
    'pref_last365'                              => 'Ano passado',
    'pref_last90'                               => 'Últimos 90 dias',
    'pref_last30'                               => 'Últimos 30 dias',
    'pref_last7'                                => 'Últimos 7 dias',
    'pref_YTD'                                  => 'Ano até à data',
    'pref_QTD'                                  => 'Trimestre até à data',
    'pref_MTD'                                  => 'Mês até a data',
    'pref_languages'                            => 'Idiomas',
    'pref_locale'                               => 'Configurações regionais',
    'pref_languages_help'                       => 'Firefly III suporta muitos idiomas. Qual você prefere?',
    'pref_locale_help'                          => 'Firefly III permite que você defina outras configurações locais, por exemplo, como moedas, números e datas são formatadas. Os itens nesta lista podem não ser suportadas pelo seu sistema. Firefly III não tem as corretas configurações de data para cada local; entre em contato para melhorias.',
    'pref_locale_no_demo'                       => 'Este recurso não funcionará para o usuário de demonstração.',
    'pref_custom_fiscal_year'                   => 'Configurações de ano fiscal',
    'pref_custom_fiscal_year_label'             => 'Habilitado',
    'pref_custom_fiscal_year_help'              => 'Nos países que usam um exercício diferente de 1 de Janeiro a 31 de Dezembro, você pode ativar isto e especificar início / fim do ano fiscal',
    'pref_fiscal_year_start_label'              => 'Data de início de ano fiscal',
    'pref_two_factor_auth'                      => 'Verificação em duas etapas',
    'pref_two_factor_auth_help'                 => 'Quando você habilitar verificação em 2-passos (também conhecido como Two Factor Authentication), você adicionar uma camada extra de segurança para sua conta. Você entra com alguma coisa que você sabe (sua senha) e algo que você tem (um código de verificação). Os códigos de verificação são gerados por um aplicativo em seu telefone, como Authy ou Google Authenticator.',
    'pref_enable_two_factor_auth'               => 'Habilitar a verificação de 2 etapas',
    'pref_two_factor_auth_disabled'             => 'código de verificação em 2 etapas removido e desativado',
    'pref_two_factor_auth_remove_it'            => 'Não se esqueça de remover a conta de seu aplicativo de autenticação!',
    'pref_two_factor_auth_code'                 => 'Verificar código',
    'pref_two_factor_auth_code_help'            => 'Scaneie o código QR com um aplicativo em seu telefone como Authy ou Google Authenticator e insira o código gerado.',
    'pref_two_factor_auth_reset_code'           => 'Redefinir o código de verificação',
    'pref_two_factor_auth_disable_2fa'          => 'Desativar verificação em duas etapas',
    '2fa_use_secret_instead'                    => 'Se você não pode escanear o QR code, sinta-se à vontade para usar o código secreto <code>:secret</code>.',
    '2fa_backup_codes'                          => 'Armazene esses códigos de reserva para acesso, caso você perca seu dispositivo.',
    '2fa_already_enabled'                       => 'A verificação em duas etapas já está habilitada.',
    'wrong_mfa_code'                            => 'Esse código MFA não é válido.',
    'pref_save_settings'                        => 'Salvar definições',
    'saved_preferences'                         => 'Preferências salvas!',
    'preferences_general'                       => 'Geral',
    'preferences_frontpage'                     => 'Tela inicial',
    'preferences_security'                      => 'Segurança',
    'preferences_layout'                        => 'Interface',
    'preferences_notifications'                 => 'Notificações',
    'pref_home_show_deposits'                   => 'Depósitos de mostrar na tela inicial',
    'pref_home_show_deposits_info'              => 'A tela inicial já mostra suas contas de despesas. Deveria também mostrar suas receitas?',
    'pref_home_do_show_deposits'                => 'Sim, mostrar-lhes',
    'successful_count'                          => 'dos quais :count bem sucedida',
    'list_page_size_title'                      => 'Tamanho da página',
    'list_page_size_help'                       => 'Qualquer lista de coisas (contas, transações, etc.) mostra, no máximo, este tanto por página.',
    'list_page_size_label'                      => 'Tamanho da página',
    'between_dates'                             => '(:start e :end)',
    'pref_optional_fields_transaction'          => 'Campos opcionais para transações',
    'pref_optional_fields_transaction_help'     => 'Por padrão, nem todos os campos estão ativados ao criar uma nova transação (por causa da desordem). Abaixo, você pode habilitar esses campos se você acha que eles podem ser úteis para você. Claro, qualquer campo desabilitado, mas já preenchido, será visível, independentemente da configuração.',
    'optional_tj_date_fields'                   => 'Campos de data',
    'optional_tj_other_fields'                  => 'Outros campos',
    'optional_tj_attachment_fields'             => 'Campos de anexo',
    'pref_optional_tj_interest_date'            => 'Data de interesse',
    'pref_optional_tj_book_date'                => 'Data reserva',
    'pref_optional_tj_process_date'             => 'Data de processamento',
    'pref_optional_tj_due_date'                 => 'Data de vencimento',
    'pref_optional_tj_payment_date'             => 'Data de pagamento',
    'pref_optional_tj_invoice_date'             => 'Data da Fatura',
    'pref_optional_tj_internal_reference'       => 'Referência interna',
    'pref_optional_tj_notes'                    => 'Notas',
    'pref_optional_tj_attachments'              => 'Anexos',
    'pref_optional_tj_external_url'             => 'URL externa',
    'pref_optional_tj_location'                 => 'Localização',
    'pref_optional_tj_links'                    => 'Links da transação',
    'optional_field_meta_dates'                 => 'Datas',
    'optional_field_meta_business'              => 'Negócios',
    'optional_field_attachments'                => 'Anexos',
    'optional_field_meta_data'                  => 'Meta dados opcionais',
    'external_url'                              => 'URL externa',
    'pref_notification_bill_reminder'           => 'Lembrete sobre expiração de faturas',
    'pref_notification_new_access_token'        => 'Alerta quando um novo token de acesso à API é criado',
    'pref_notification_transaction_creation'    => 'Alerta quando uma transação é criada automaticamente',
    'pref_notification_user_login'              => 'Alertar quando você logar de uma nova localidade',
    'pref_notifications'                        => 'Notificações',
    'pref_notifications_help'                   => 'Indique se estas são notificações que você gostaria de receber. Algumas notificações podem conter informações financeiras sensíveis.',
    'slack_webhook_url'                         => 'URL de Webhook do Slack',
    'slack_webhook_url_help'                    => 'Se você quiser que o Firefly III envie notificações usando o Slack, digite a URL do webhook aqui. Caso contrário, deixe o campo em branco. Se você é um administrador, você precisa definir esta URL também na administração.',
    'slack_url_label'                           => 'URL do webhook de entrada do Slack',

    // profile:
    'purge_data_title'                          => 'Excluir dados do Firefly III',
    'purge_data_expl'                           => '"Purgar" significa "apagar o que já está excluído". Em circunstâncias normais, o Firefly III não exclui nada permanentemente. Ela apenas o esconde. O botão abaixo exclui todos estes registros "excluídos" anteriores.',
    'delete_stuff_header'                       => 'Apagar e purgar dados',
    'purge_all_data'                            => 'Purgar Registros Excluídos',
    'purge_data'                                => 'Purgar dados',
    'purged_all_records'                        => 'Todos os registros de apagados foram purgados.',
    'delete_data_title'                         => 'Excluir dados do Firefly III',
    'permanent_delete_stuff'                    => 'Você pode excluir coisas do Firefly III. Usar os botões abaixo significa que seus itens serão removidos da visualização e ocultos. Não há botão de desfazer para isso, mas os itens podem permanecer no banco de dados onde você pode salvá-los se necessário.',
    'other_sessions_logged_out'                 => 'Todas as suas outras sessões foram desconectadas.',
    'delete_unused_accounts'                    => 'Excluir contas não utilizadas limpará suas listas de preenchimento automático.',
    'delete_all_unused_accounts'                => 'Apagar contas não utilizadas',
    'deleted_all_unused_accounts'               => 'Todas as contas não utilizadas foram excluídas',
    'delete_all_budgets'                        => 'Excluir TODOS os seus orçamentos',
    'delete_all_categories'                     => 'Excluir TODAS as suas categorias',
    'delete_all_tags'                           => 'Excluir TODAS as suas tags',
    'delete_all_bills'                          => 'Excluir TODAS as suas contas de consumo',
    'delete_all_piggy_banks'                    => 'Excluir TODOS os seus cofrinhos',
    'delete_all_rules'                          => 'Excluir TODAS as suas regras',
    'delete_all_recurring'                      => 'Excluir TODAS as suas transações recorrentes',
    'delete_all_object_groups'                  => 'Excluir TODOS os seus grupos de objetos',
    'delete_all_accounts'                       => 'Excluir TODAS as suas contas',
    'delete_all_asset_accounts'                 => 'Excluir TODAS as suas contas de ativos',
    'delete_all_expense_accounts'               => 'Excluir TODAS as suas contas de despesas',
    'delete_all_revenue_accounts'               => 'Excluir TODAS as suas contas de receita',
    'delete_all_liabilities'                    => 'Excluir TODOS os seus passivos',
    'delete_all_transactions'                   => 'Excluir TODAS as suas transações',
    'delete_all_withdrawals'                    => 'Excluir TODOS os seus saques',
    'delete_all_deposits'                       => 'Excluir TODAS as duas entradas',
    'delete_all_transfers'                      => 'Excluir TODAS as suas transferências',
    'also_delete_transactions'                  => 'A exclusão de contas também excluirá TODAS as saídas, entradas e transferências associadas!',
    'deleted_all_budgets'                       => 'Todos os orçamentos foram excluídos',
    'deleted_all_categories'                    => 'Todas as categorias foram excluídas',
    'deleted_all_tags'                          => 'Todas as tags foram excluídas',
    'deleted_all_bills'                         => 'Todas as contas foram excluídas',
    'deleted_all_piggy_banks'                   => 'Todos os cofrinhos foram excluídos',
    'deleted_all_rules'                         => 'Todas as regras e grupos de regras foram excluídos',
    'deleted_all_object_groups'                 => 'Todos os grupos foram excluídos',
    'deleted_all_accounts'                      => 'Todas as contas foram excluídas',
    'deleted_all_asset_accounts'                => 'Todas as contas de ativos foram excluídas',
    'deleted_all_expense_accounts'              => 'Todas as contas de despesas foram excluídas',
    'deleted_all_revenue_accounts'              => 'Todas as contas de receita foram excluídas',
    'deleted_all_liabilities'                   => 'Todos os passivos foram excluídos',
    'deleted_all_transactions'                  => 'Todas as transações foram excluídas',
    'deleted_all_withdrawals'                   => 'Todas as saídas foram excluídas',
    'deleted_all_deposits'                      => 'Todas as entradas foram excluídas',
    'deleted_all_transfers'                     => 'Todas as transferências foram excluídas',
    'deleted_all_recurring'                     => 'Todas as transações recorrentes foram excluídas',
    'change_your_password'                      => 'Alterar sua senha',
    'delete_account'                            => 'Apagar conta',
    'current_password'                          => 'Senha atual',
    'new_password'                              => 'Nova senha',
    'new_password_again'                        => 'Nova senha (novamente)',
    'delete_your_account'                       => 'Apagar sua conta',
    'delete_your_account_help'                  => 'Excluindo sua conta também vai apagar quaisquer contas, transações, <em>qualquer coisa</em> que você pode ter salvo no Firefly III. Tudo será perdido.',
    'delete_your_account_password'              => 'Coloque sua senha para continuar.',
    'password'                                  => 'Senha',
    'are_you_sure'                              => 'Você tem certeza? Você não poderá desfazer isso.',
    'delete_account_button'                     => 'Apagar sua conta',
    'invalid_current_password'                  => 'Senha atual inválida!',
    'password_changed'                          => 'Senha alterada!',
    'should_change'                             => 'A idéia é alterar sua senha.',
    'invalid_password'                          => 'Senha inválida!',
    'what_is_pw_security'                       => 'O que é "verificar a segurança da senha"?',
    'secure_pw_title'                           => 'Como escolher uma senha segura',
    'forgot_password_response'                  => 'Caso exista uma conta com este endereço de e-mail, você encontrará instruções em sua caixa de entrada.',
    'secure_pw_history'                         => 'Não é toda semana que você lê notícias sobre site que perde as senhas de seus usuários. Hackers e ladrões usam essas senhas para tentar roubar suas informações privadas. Esta informação é valiosa.',
    'secure_pw_ff'                              => 'Você usa a mesma senha em toda a internet? Se um site perder sua senha, os hackers terão acesso a todos os seus dados. O Firefly III depende de você para escolher uma senha forte e única para proteger seus registros financeiros.',
    'secure_pw_check_box'                       => 'Para ajudá-lo o Firefly III pode verificar se a senha que você deseja usar foi roubada anteriormente. Se for esse o caso, o Firefly III aconselha a você NÃO utilizar essa senha.',
    'secure_pw_working_title'                   => 'Como isso funciona?',
    'secure_pw_working'                         => 'Ao marcar a caixa de seleção, o Firefly III enviará os cinco primeiros caracteres do hash SHA1 de sua senha <a href="https://www.troyhunt.com/introducing-306-million-freely-downloadable-pwned-passwords/">ao site Troy Hunt</a>, para verificar se ela está na lista. Isso impede que você use senhas inseguras, como recomendado na última <a href="https://pages.nist.gov/800-63-3/sp800-63b.html">publicação NIST Special</a> sobre esse assunto.',
    'secure_pw_should'                          => 'Devo verificar a caixa?',
    'secure_pw_long_password'                   => 'Sim. Sempre verificar se sua senha é segura.',
    'command_line_token'                        => 'Token de linha de comando',
    'explain_command_line_token'                => 'Você precisa desse token para executar ações na linha de comando, como exportação de dados. Sem ele, esse comando sensível não irá funcionar. Não compartilhe seu token de linha de comando. Ninguém irá te perguntar sobre esse token, nem mesmo eu. se você tiver medo de perder ele, ou quando estiver paranoico, crie um novo token usando o botão.',
    'regenerate_command_line_token'             => 'Regenerar token de linha de comando',
    'token_regenerated'                         => 'Foi gerado um novo token de linha de comando',
    'change_your_email'                         => 'Altere seu endereço de email',
    'email_verification'                        => 'Uma mensagem de e-mail será enviada para o seu endereço de e-mail antigo E novo. Por razões de segurança, você não será capaz de fazer login até você confirmar seu novo endereço de e-mail. Se você não tem certeza se sua instalação do Firefly III é capaz de enviar e-mail, por favor não use esse recurso. Se você é um administrador, você pode testar isso na <a href="admin">Administração</a>.',
    'email_changed_logout'                      => 'Até que você verifique seu endereço de e-mail, não pode iniciar sessão.',
    'login_with_new_email'                      => 'Agora você pode fazer login com seu novo endereço de e-mail.',
    'login_with_old_email'                      => 'Agora você pode fazer login novamente com o seu endereço de e-mail antigo.',
    'login_provider_local_only'                 => 'Esta ação não está disponível durante a autenticação por meio de ":login_provider".',
    'external_user_mgt_disabled'                => 'Esta ação não está disponível quando o Firefly III não é responsável pelo gerenciamento de usuários ou manipulação de autenticação.',
    'external_auth_disabled'                    => 'Esta ação não está disponível quando o Firefly III não é responsável pela autenticação.',
    'delete_local_info_only'                    => "Como o Firefly III não é responsável pelo gerenciamento de usuários ou pela manipulação de autenticação, esta função excluirá apenas informações locais do Firefly III.",
    'oauth'                                     => 'OAuth',
    'profile_oauth_clients'                     => 'Clientes OAuth',
    'profile_oauth_no_clients'                  => 'Você não criou nenhum cliente OAuth.',
    'profile_oauth_clients_header'              => 'Clientes',
    'profile_oauth_client_id'                   => 'ID do Cliente',
    'profile_oauth_client_name'                 => 'Nome',
    'profile_oauth_client_secret'               => 'Segredo',
    'profile_oauth_create_new_client'           => 'Criar um novo cliente',
    'profile_oauth_create_client'               => 'Criar um cliente',
    'profile_oauth_edit_client'                 => 'Editar cliente',
    'profile_oauth_name_help'                   => 'Alguma coisa que seus usuários vão reconhecer e identificar.',
    'profile_oauth_redirect_url'                => 'URL de redirecionamento',
    'profile_oauth_redirect_url_help'           => 'A URL de retorno da sua solicitação de autorização.',
    'profile_authorized_apps'                   => 'Aplicativos autorizados',
    'profile_authorized_clients'                => 'Clientes autorizados',
    'profile_scopes'                            => 'Escopos',
    'profile_revoke'                            => 'Revogar',
    'profile_oauth_client_secret_title'         => 'Segredo do cliente',
    'profile_oauth_client_secret_expl'          => 'Aqui está o seu novo segredo de cliente. Esta é a única vez que ela será mostrada, então não o perca! Agora você pode usar este segredo para fazer requisições de API.',
    'profile_personal_access_tokens'            => 'Tokens de acesso pessoal',
    'profile_personal_access_token'             => 'Token de acesso pessoal',
    'profile_oauth_confidential'                => 'Confidencial',
    'profile_oauth_confidential_help'           => 'Exige que o cliente se autentique com um segredo. Clientes confidenciais podem manter credenciais de forma segura sem expô-las à partes não autorizadas. Aplicações públicas, como aplicações de área de trabalho nativas ou JavaScript SPA, são incapazes de manter segredos com segurança.',
    'profile_personal_access_token_explanation' => 'Aqui está seu novo token de acesso pessoal. Esta é a única vez que ela será mostrada então não perca! Agora você pode usar esse token para fazer solicitações de API.',
    'profile_no_personal_access_token'          => 'Você não criou nenhum token de acesso pessoal.',
    'profile_create_new_token'                  => 'Criar novo token',
    'profile_create_token'                      => 'Criar token',
    'profile_create'                            => 'Criar',
    'profile_save_changes'                      => 'Salvar alterações',
    'profile_whoops'                            => 'Ops!',
    'profile_something_wrong'                   => 'Alguma coisa deu errado!',
    'profile_try_again'                         => 'Algo deu errado. Por favor tente novamente.',
    'amounts'                                   => 'Quantias',
    'multi_account_warning_unknown'             => 'Dependendo do tipo de transação que você criar, a conta de origem e/ou de destino das divisões subsequentes pode ser sobrescrita pelo que estiver definido na primeira divisão da transação.',
    'multi_account_warning_withdrawal'          => 'Tenha em mente que a conta de origem das subsequentes divisões será sobrescrita pelo que estiver definido na primeira divisão da saída.',
    'multi_account_warning_deposit'             => 'Tenha em mente que a conta de destino das divisões subsequentes será sobrescrita pelo que estiver definido na primeira divisão da entrada.',
    'multi_account_warning_transfer'            => 'Tenha em mente que a conta de origem + de destino das divisões subsequentes será sobrescrita pelo que for definido na primeira divisão da transferência.',

    // export data:
    'export_data_title'                         => 'Exportar dados do Firefly III',
    'export_data_menu'                          => 'Exportar dados',
    'export_data_bc'                            => 'Exportar dados do Firefly III',
    'export_data_main_title'                    => 'Exportar dados do Firefly III',
    'export_data_expl'                          => 'Este link permite que você exporte todas as transações e os metadados do Firefly lll. Por favor, consulte a ajuda (ícone no topo direito (?)) para mais informações sobre o processo.',
    'export_data_all_transactions'              => 'Exportar todas as transações',
    'export_data_advanced_expl'                 => 'Se você precisa de um tipo mais avançado ou específico de exportação, leia a ajuda sobre como utilizar o console de comandos <code>php artisan help firefly-iii:export-data</code>.',

    // attachments
    'nr_of_attachments'                         => 'Um anexo|:count anexos',
    'attachments'                               => 'Anexos',
    'edit_attachment'                           => 'Editar anexo ":name"',
    'update_attachment'                         => 'Atualizar anexo',
    'delete_attachment'                         => 'Apagar anexo ":name"',
    'attachment_deleted'                        => 'Anexo apagado ":name"',
    'liabilities_deleted'                       => 'Passivo excluído ":name"',
    'attachment_updated'                        => 'Anexo atualizado ":name"',
    'upload_max_file_size'                      => 'Tamanho máximo do arquivo: :size',
    'list_all_attachments'                      => 'Lista de todos os anexos',

    // transaction index
    'title_expenses'                            => 'Despesas',
    'title_withdrawal'                          => 'Despesas',
    'title_revenue'                             => 'Receitas / Renda',
    'title_deposit'                             => 'Receita / Renda',
    'title_transfer'                            => 'Transferências',
    'title_transfers'                           => 'Transferências',
    'submission_options'                        => 'Opções de envio',
    'apply_rules_checkbox'                      => 'Aplicar regras',
    'fire_webhooks_checkbox'                    => 'Acionar webhooks',

    // convert stuff:
    'convert_is_already_type_Withdrawal'        => 'Esta transação é já uma retirada',
    'convert_is_already_type_Deposit'           => 'Esta operação já é um depósito',
    'convert_is_already_type_Transfer'          => 'Esta transação é já uma transferência',
    'convert_to_Withdrawal'                     => 'Converter ":description" para uma saída',
    'convert_to_Deposit'                        => 'Converter ":description" de um depósito',
    'convert_to_Transfer'                       => 'Converter ":description" para uma transferência',
    'convert_options_WithdrawalDeposit'         => 'Converter uma retirada em um depósito',
    'convert_options_WithdrawalTransfer'        => 'Converter uma retirada em uma transferência',
    'convert_options_DepositTransfer'           => 'Converter um depósito em uma transferência',
    'convert_options_DepositWithdrawal'         => 'Converter um depósito em uma retirada',
    'convert_options_TransferWithdrawal'        => 'Converter uma transferência em uma retirada',
    'convert_options_TransferDeposit'           => 'Converter uma transferência em um depósito',
    'convert_Withdrawal_to_deposit'             => 'Converter esta retirada de um depósito',
    'convert_Withdrawal_to_transfer'            => 'Converter esta retirada para uma transferência',
    'convert_Deposit_to_withdrawal'             => 'Converter este depósito para uma retirada',
    'convert_Deposit_to_transfer'               => 'Converter este depósito para uma transferência',
    'convert_Transfer_to_deposit'               => 'Converter esta transferência para um depósito',
    'convert_Transfer_to_withdrawal'            => 'Converter esta transferência a uma retirada',
    'convert_please_set_revenue_source'         => 'Por favor, escolha a conta de receitas de onde virá o dinheiro.',
    'convert_please_set_asset_destination'      => 'Por favor, escolha a conta de ativo para onde vai o dinheiro.',
    'convert_please_set_expense_destination'    => 'Por favor, escolha a conta de despesas para onde o dinheiro vai.',
    'convert_please_set_asset_source'           => 'Por favor, escolha a conta de ativo, de onde virá o dinheiro.',
    'convert_expl_w_d'                          => 'Ao converter uma saída para uma entrada, o dinheiro será depositado na conta de destino exibida, em vez de ser retirado dela.|Ao converter uma saída para uma entrada, o dinheiro será depositado nas contas de destino exibidas, em vez de ser retirado delas.',
    'convert_expl_w_t'                          => 'Ao converter uma saída em uma transferência, o dinheiro será transferido para fora da conta de origem para outra conta de ativo ou conta de responsabilidade em vez de ser gasto na conta de despesa original.|Ao converter uma saída em uma transferência, o dinheiro será transferido das contas de origem para outras contas de ativo ou contas de responsabilidade em vez de ser gasto nas contas de despesas originais.',
    'convert_expl_d_w'                          => 'Ao converter uma entrada para uma saída, o dinheiro será retirado da conta de destino exibida, em vez de ser depositado nela.|Ao converter uma entrada para uma entrada, o dinheiro será retirado das contas de destino exibidas, em vez de ser depositados nelas.',
    'convert_expl_d_t'                          => 'Quando você converte uma entrada em uma transferência, o dinheiro será depositado na conta de destino listada de sua conta de ativo ou de responsabilidade.|Quando você converter uma entrada em uma transferência, o dinheiro será depositado nas contas de destino listadas de qualquer um dos seus ativos ou contas de responsabilidade.',
    'convert_expl_t_w'                          => 'Quando você converter uma transferência em uma saída, o dinheiro será gasto na conta de destino que você definir aqui, em vez de ser transferido.|Quando você converter uma transferência em uma saída, o dinheiro será gasto nas contas de destino que você definir aqui, em vez de ser transferido.',
    'convert_expl_t_d'                          => 'Quando você converte uma transferência ema uma entrada, o dinheiro será depositado na conta de destino que você vê aqui, em vez de ser transferido para ele.|Quando você converte uma transferência em uma entrada, o dinheiro será depositado nas contas de destino que você vê aqui, em vez de ser transferido para elas.',
    'convert_select_sources'                    => 'Para completar a conversão, defina a nova conta de origem abaixo.|Para completar a conversão, por favor, defina as novas contas de origem abaixo.',
    'convert_select_destinations'               => 'Para completar a conversão, por favor, selecione a nova conta de destino abaixo.|Para completar a conversão, selecione as novas contas de destino abaixo.',
    'converted_to_Withdrawal'                   => 'A transação foi convertida em uma saída',
    'converted_to_Deposit'                      => 'A transação foi convertida em entrada',
    'converted_to_Transfer'                     => 'A transação foi convertida em uma transferência',
    'invalid_convert_selection'                 => 'A conta que você selecionou já é usada nesta transação ou não existe.',
    'source_or_dest_invalid'                    => 'Os detalhes corretos da transação não foram encontrados. A conversão não é possível.',
    'convert_to_withdrawal'                     => 'Converter para saída',
    'convert_to_deposit'                        => 'Converter para entrada',
    'convert_to_transfer'                       => 'Converter para transferência',

    // create new stuff:
    'create_new_withdrawal'                     => 'Criar nova retirada',
    'create_new_deposit'                        => 'Criar um novo depósito',
    'create_new_transfer'                       => 'Criar nova  transferência',
    'create_new_asset'                          => 'Criar nova conta de ativo',
    'create_new_liabilities'                    => 'Criar novo passivo',
    'create_new_expense'                        => 'Criar nova conta de despesa',
    'create_new_revenue'                        => 'Criar nova conta de receita',
    'create_new_piggy_bank'                     => 'Criar novo cofrinho',
    'create_new_bill'                           => 'Criar nova fatura',

    // currencies:
    'create_currency'                           => 'Criar uma nova moeda',
    'store_currency'                            => 'Armazenar nova moeda',
    'update_currency'                           => 'Atualizar moeda',
    'new_default_currency'                      => 'Agora :name é a moeda padrão.',
    'cannot_delete_currency'                    => 'Não é possível excluir :name porque ainda está em uso.',
    'cannot_delete_fallback_currency'           => ':name é a moeda padrão do sistema e não pode ser excluída.',
    'cannot_disable_currency_journals'          => 'Não é possível desativar :name porque as transações ainda estão a usando.',
    'cannot_disable_currency_last_left'         => ':name não pode ser desabilitada pois essa é a única moeda ativa.',
    'cannot_disable_currency_account_meta'      => ':name não pode ser desabilitada pois é utilizada nas contas de ativos.',
    'cannot_disable_currency_bills'             => ':name não pode ser desabilitada pois ela é utilizada em contas de consumo.',
    'cannot_disable_currency_recurring'         => ':name não pode ser desabilitada pois é utilizada nas transações recorrentes.',
    'cannot_disable_currency_available_budgets' => ':name não pode ser desabilitada pois é utilizada em orçamentos existentes.',
    'cannot_disable_currency_budget_limits'     => ':name não pode ser desabilitada pois é utilizada em limites dos orçamentos.',
    'cannot_disable_currency_current_default'   => ':name não pode ser desabilitada pois é moeda atualmente utilizada.',
    'cannot_disable_currency_system_fallback'   => ':name não pode ser desabilitada pois é moeda padrão do sistema.',
    'disable_EUR_side_effects'                  => 'O Euro é a moeda de recurso de emergência do sistema. Desativar pode ter efeitos colaterais indesejados e pode violar sua garantia.',
    'deleted_currency'                          => 'Moeda :name excluída',
    'created_currency'                          => 'Moeda :name criada',
    'could_not_store_currency'                  => 'Não foi possível guardar a nova moeda.',
    'updated_currency'                          => 'Moeda :name atualizada',
    'ask_site_owner'                            => 'Por favor, pergunte ao :owner para adicionar, remover ou editar moedas.',
    'currencies_intro'                          => 'Firefly III oferece suporte a várias moedas que você pode definir e ativar aqui.',
    'make_default_currency'                     => 'Tornar padrão',
    'default_currency'                          => 'padrão',
    'currency_is_disabled'                      => 'Desabilitado',
    'enable_currency'                           => 'Habilitar',
    'disable_currency'                          => 'Desabilitar',
    'currencies_default_disabled'               => 'A maioria das moedas é desabilitada por padrão. Para usá-las, você deve primeiro habilitá-las.',
    'currency_is_now_enabled'                   => 'Moeda ":name" foi ativada',
    'currency_is_now_disabled'                  => 'Moeda ":name" foi desativada',

    // forms:
    'mandatoryFields'                           => 'Campos obrigatórios',
    'optionalFields'                            => 'Campos opcionais',
    'options'                                   => 'Opções',

    // budgets:
    'daily_budgets'                             => 'Orçamentos diários',
    'weekly_budgets'                            => 'Orçamentos semanais',
    'monthly_budgets'                           => 'Orçamentos mensais',
    'quarterly_budgets'                         => 'Orçamentos trimestrais',
    'half_year_budgets'                         => 'Orçamentos semestrais',
    'yearly_budgets'                            => 'Orçamentos anuais',
    'other_budgets'                             => 'Orçamentos de períodos personalizados',
    'budget_limit_not_in_range'                 => 'Esta quantia aplica-se de :start a :end:',
    'total_available_budget'                    => 'Total de orçamentos disponíveis (entre :start e :end)',
    'total_available_budget_in_currency'        => 'Orçamentos disponíveis em :currency',
    'see_below'                                 => 'veja abaixo',
    'create_new_budget'                         => 'Criar um novo orçamento',
    'store_new_budget'                          => 'Armazenar novo orçamento',
    'stored_new_budget'                         => 'Novo orçamento armazenado ":name"',
    'available_between'                         => 'Disponível entre :start e :end',
    'transactionsWithoutBudget'                 => 'Despesas sem orçamentos',
    'transactions_no_budget'                    => 'Despesas sem orçamento entre :start e :end',
    'spent_between'                             => 'Gasto entre :start e :end',
    'set_available_amount'                      => 'Definir o valor disponível',
    'update_available_amount'                   => 'Atualizar o valor disponível',
    'ab_basic_modal_explain'                    => 'Use este formulário para indicar quanto você espera gastar (no total, em :currency) no período indicado.',
    'createBudget'                              => 'Novo orçamento',
    'invalid_currency'                          => 'Esta é uma moeda inválida',
    'invalid_amount'                            => 'Por favor, insira uma quantidade',
    'set_ab'                                    => 'O valor do orçamento disponível foi definido',
    'updated_ab'                                => 'O montante do orçamento disponível foi atualizado',
    'deleted_ab'                                => 'O montante do orçamento disponível foi excluído',
    'deleted_bl'                                => 'O valor orçado foi removido',
    'alt_currency_ab_create'                    => 'Definir o orçamento disponível em outra moeda',
    'bl_create_btn'                             => 'Definir o orçamento em outra moeda',
    'inactiveBudgets'                           => 'Orçamentos inativos',
    'without_budget_between'                    => 'Transações sem um orçamento entre :start e :end',
    'delete_budget'                             => 'Excluir orçamento ":name"',
    'deleted_budget'                            => 'Orçamento ":name" excluído',
    'edit_budget'                               => 'Editar orçamento ":name"',
    'updated_budget'                            => 'Orçamento atualizado ":name"',
    'update_amount'                             => 'Atualizar quantia',
    'update_budget'                             => 'Atualizar Orçamento',
    'update_budget_amount_range'                => 'Atualizar quantia disponível (esperada) entre :start e :end',
    'set_budget_limit_title'                    => 'Definir valor para o orçamento :budget entre :start e :end',
    'set_budget_limit'                          => 'Definir valor orçado',
    'budget_period_navigator'                   => 'Navegador do período',
    'info_on_available_amount'                  => 'O que tenho disponível?',
    'available_amount_indication'               => 'Use esses montantes para obter uma indicação do que seu orçamento total poderia ser.',
    'suggested'                                 => 'Sugerido',
    'average_between'                           => 'Média entre :start e :end',
    'transferred_in'                            => 'Transferido (para)',
    'transferred_away'                          => 'Transferido (fora)',
    'auto_budget_none'                          => 'Sem orçamento automático',
    'auto_budget_reset'                         => 'Definir um valor fixo a cada período',
    'auto_budget_rollover'                      => 'Adicionar valor a cada período',
    'auto_budget_period_daily'                  => 'Diariamente',
    'auto_budget_period_weekly'                 => 'Semanalmente',
    'auto_budget_period_monthly'                => 'Mensalmente',
    'auto_budget_period_quarterly'              => 'Trimestralmente',
    'auto_budget_period_half_year'              => 'A cada semestre',
    'auto_budget_period_yearly'                 => 'Anualmente',
    'auto_budget_help'                          => 'Você pode ler mais sobre esta função na seção ajuda. Clique no ícone superior direito (?).',
    'auto_budget_reset_icon'                    => 'Este orçamento será definido periodicamente',
    'auto_budget_rollover_icon'                 => 'O valor orçado aumentará periodicamente',
    'remove_budgeted_amount'                    => 'Remover montante orçado em :currency',

    // bills:
    'not_expected_period'                       => 'Não esperado este período',
    'not_or_not_yet'                            => 'Não (ainda)',
    'visit_bill'                                => 'Visite a fatura ":name" no Firefly III',
    'match_between_amounts'                     => 'Conta corresponde a transações entre :low e :high.',
    'running_again_loss'                        => 'Transações previamente vinculadas a esta conta podem perder sua conexão se elas (não mais) corresponderem à(s) regra(s).',
    'bill_related_rules'                        => 'Regras relacionadas a esta conta',
    'repeats'                                   => 'Repetições',
    'bill_end_date_help'                        => 'Campo opcional. Espera-se que a fatura termine nesta data.',
    'bill_extension_date_help'                  => 'Campo opcional. A fatura deve ser renovada (ou cancelada) nesta ou antes desta data.',
    'bill_end_index_line'                       => 'Esta fatura termina em :date',
    'bill_extension_index_line'                 => 'Esta fatura deve ser renovada ou cancelada em :date',
    'connected_journals'                        => 'Transações conectadas',
    'auto_match_on'                             => 'Automaticamente correspondente com Firefly III',
    'auto_match_off'                            => 'Não corresponde automaticamente com Firefly III',
    'next_expected_match'                       => 'Próximo correspondente esperado',
    'delete_bill'                               => 'Apagar fatura ":name"',
    'deleted_bill'                              => 'Fatura apagada ":name"',
    'edit_bill'                                 => 'Editar fatura ":name"',
    'more'                                      => 'Mais',
    'rescan_old'                                => 'Executar regras novamente, em todas as transações',
    'update_bill'                               => 'Atualizar fatura',
    'updated_bill'                              => 'Fatura atualizada ":name"',
    'store_new_bill'                            => 'Armazenar nova fatura',
    'stored_new_bill'                           => 'Nova fatura armazenada ":name"',
    'cannot_scan_inactive_bill'                 => 'Faturas inativas não podem ser verificadas.',
    'rescanned_bill'                            => 'Verificamos tudo e linkamos :count transação para a conta.|Verificamos tudo e linkamos :count transações para a conta.',
    'average_bill_amount_year'                  => 'Média da conta (:year)',
    'average_bill_amount_overall'               => 'Média de fatura (geral)',
    'bill_is_active'                            => 'Conta está ativa',
    'bill_expected_between'                     => 'Esperado entre :start e :end',
    'bill_will_automatch'                       => 'A conta será automaticamente vinculada a transações correspondentes',
    'skips_over'                                => 'ignorar',
    'bill_store_error'                          => 'Um erro inesperado ocorreu ao armazenar sua nova conta. Por favor, verifique os arquivos de log',
    'list_inactive_rule'                        => 'regra inativa',
    'bill_edit_rules'                           => 'O Firefly III tentará editar a regra relacionada a esta conta também. Se você editou essa regra, o Firefly III não vai mudar nada.|Firefly III tentará editar :count regras relacionadas a esta conta também. Se você editou essas regras, no entanto, o Firefly III não vai mudar nada.',
    'bill_expected_date'                        => 'Esperado :date',
    'bill_expected_date_js'                     => 'Esperado {date}',
    'bill_paid_on'                              => 'Pago em {date}',
    'bill_repeats_weekly'                       => 'Repete semanalmente',
    'bill_repeats_monthly'                      => 'Repete mensalmente',
    'bill_repeats_quarterly'                    => 'Repete trimestralmente',
    'bill_repeats_half-year'                    => 'Repete a cada semestre',
    'bill_repeats_yearly'                       => 'Repete anualmente',
    'bill_repeats_weekly_other'                 => 'Repete quinzenalmente',
    'bill_repeats_monthly_other'                => 'Repete bimestralmente',
    'bill_repeats_quarterly_other'              => 'Repete a cada dois trimestres',
    'bill_repeats_half-year_other'              => 'Repete anualmente',
    'bill_repeats_yearly_other'                 => 'Repete a cada dois anos',
    'bill_repeats_weekly_skip'                  => 'Repete a cada {skip} semanas',
    'bill_repeats_monthly_skip'                 => 'Repete a cada {skip} meses',
    'bill_repeats_quarterly_skip'               => 'Repete a cada {skip} trimestres',
    'bill_repeats_half-year_skip'               => 'Repete a cada {skip} semestres',
    'bill_repeats_yearly_skip'                  => 'Repete a cada {skip} anos',
    'subscriptions'                             => 'Assinaturas',
    'forever'                                   => 'Para sempre',
    'extension_date_is'                         => 'Data da extensão é {date}',

    // accounts:
    'inactive_account_link'                     => 'Você tem uma conta :count inativa (arquivada) que você pode ver nesta página separada.|Você tem contas :count inativas (arquivadas) que você pode ver nesta página separada.',
    'all_accounts_inactive'                     => 'Estas são as suas contas inativas.',
    'active_account_link'                       => 'Este link volta para suas contas ativas.',
    'account_missing_transaction'               => 'Conta #:id (":name") não pode ser visualizada diretamente, mas o Firefly está sem informação de redirecionamento.',
    'cc_monthly_payment_date_help'              => 'Selecione qualquer ano e mês, eles serão ignorados. Apenas o dia do mês é relevante.',
    'details_for_asset'                         => 'Detalhes para a conta de ativo ":name"',
    'details_for_expense'                       => 'Detalhes para a conta de despesas ":name"',
    'details_for_revenue'                       => 'Detalhes para a conta de receitas ":name"',
    'details_for_cash'                          => 'Detalhes para a conta de dinheiro ":name"',
    'store_new_asset_account'                   => 'Armazenar nova conta de ativo',
    'store_new_expense_account'                 => 'Armazenar nova conta de despesa',
    'store_new_revenue_account'                 => 'Armazenar nova conta de receita',
    'edit_asset_account'                        => 'Editar conta de ativo ":name"',
    'edit_expense_account'                      => 'Editar conta de despesa ":name"',
    'edit_revenue_account'                      => 'Editar conta de receitas ":name"',
    'delete_asset_account'                      => 'Excluir conta do activo ":name"',
    'delete_expense_account'                    => 'Excluir conta de despesas ":name"',
    'delete_revenue_account'                    => 'Excluir conta de receitas ":name"',
    'delete_liabilities_account'                => 'Apagar passivo ":name"',
    'asset_deleted'                             => 'Conta de ativo ":name" excluído com sucesso',
    'account_deleted'                           => 'Conta ":name" deletada com sucesso',
    'expense_deleted'                           => 'Conta de despesa ":name" excluída com sucesso',
    'revenue_deleted'                           => 'Conta de receitas ":name" excluída com sucesso',
    'update_asset_account'                      => 'Atualizar de conta de ativo',
    'update_undefined_account'                  => 'Atualizar conta',
    'update_liabilities_account'                => 'Atualizar passivo',
    'update_expense_account'                    => 'Atualizar conta de despesas',
    'update_revenue_account'                    => 'Atualizar conta de receita',
    'make_new_asset_account'                    => 'Criar uma nova conta de ativo',
    'make_new_expense_account'                  => 'Criar uma nova conta de despesa',
    'make_new_revenue_account'                  => 'Criar uma nova conta de receita',
    'make_new_liabilities_account'              => 'Criar um novo passivo',
    'asset_accounts'                            => 'Contas de ativo',
    'undefined_accounts'                        => 'Contas',
    'asset_accounts_inactive'                   => 'Contas de ativos (inativas)',
    'expense_accounts'                          => 'Contas de despesas',
    'expense_accounts_inactive'                 => 'Contas de despesas (inativas)',
    'revenue_accounts'                          => 'Contas de receitas',
    'revenue_accounts_inactive'                 => 'Contas de receita (inativas)',
    'cash_accounts'                             => 'Contas Correntes',
    'Cash account'                              => 'Conta Corrente',
    'liabilities_accounts'                      => 'Passivos',
    'liabilities_accounts_inactive'             => 'Passivos (inativos)',
    'reconcile_account'                         => 'Reconciliar conta ":account"',
    'overview_of_reconcile_modal'               => 'Visão geral da reconciliação',
    'delete_reconciliation'                     => 'Eliminar reconciliação',
    'update_reconciliation'                     => 'Atualizar a reconciliação',
    'amount_cannot_be_zero'                     => 'O valor não pode ser zero',
    'end_of_reconcile_period'                   => 'Período de fim de reconciliação: :period',
    'start_of_reconcile_period'                 => 'Início do período de reconciliação: :period',
    'start_balance'                             => 'Saldo Inicial',
    'end_balance'                               => 'Saldo Final',
    'update_balance_dates_instruction'          => 'Corresponda os valores e datas acima do seu extracto bancário e pressione "Começar reconciliar"',
    'select_transactions_instruction'           => 'Selecione as transações que aparecem no extrato bancário.',
    'select_range_and_balance'                  => 'Primeiro, verifique o intervalo de datas e os saldos. Em seguida, pressione "Iniciar reconciliação"',
    'date_change_instruction'                   => 'Se você alterar o intervalo de datas agora, qualquer progresso será perdido.',
    'update_selection'                          => 'Atualizar seleção',
    'store_reconcile'                           => 'Armazenar reconciliação',
    'reconciliation_transaction'                => 'Transação de reconciliação',
    'Reconciliation'                            => 'Reconciliação',
    'reconciliation'                            => 'Reconciliação',
    'reconcile_options'                         => 'Opções de reconciliação',
    'reconcile_range'                           => 'Intervalo de reconciliação',
    'start_reconcile'                           => 'Comece a reconciliar',
    'cash_account_type'                         => 'Dinheiro',
    'cash'                                      => 'dinheiro',
    'cant_find_redirect_account'                => 'Firefly III tentou te redirecionar mas não conseguiu. Desculpe por isso. De volta ao índice.',
    'account_type'                              => 'Tipo de conta',
    'save_transactions_by_moving'               => 'Salve esta transação movendo-a para outra conta:|Salve essas transações movendo-as para outra conta:',
    'save_transactions_by_moving_js'            => 'Nenhuma transação.|Salve esta transação movendo-a para outra conta.|Salve essas transações movendo-as para outra conta.',
    'stored_new_account'                        => 'Nova conta ":name" armazenado!',
    'stored_new_account_js'                     => 'Nova conta "<a href="accounts/show/{ID}">{name}</a>" armazenada!',
    'updated_account'                           => 'Conta ":name" atualizada',
    'updated_account_js'                        => 'Conta atualizada "<a href="accounts/show/{ID}">{title}</a>".',
    'credit_card_options'                       => 'Opções de cartão de crédito',
    'no_transactions_account'                   => 'Não há transações (neste período) para a conta ativa ":name".',
    'no_transactions_period'                    => 'Não há transações (neste período).',
    'no_data_for_chart'                         => 'Não há informações suficientes (ainda) para gerar este gráfico.',
    'select_at_least_one_account'               => 'Por favor, selecione pelo menos uma conta de ativo',
    'select_at_least_one_category'              => 'Por favor selecione, pelo menos, uma categoria',
    'select_at_least_one_budget'                => 'Por favor, selecione pelo menos um orçamento',
    'select_at_least_one_tag'                   => 'Por favor, selecione pelo menos uma tag',
    'select_at_least_one_expense'               => 'Por favor, selecione pelo menos uma combinação de contas de despesas/receitas. Se você não tem nenhuma (a lista está vazia) este relatório não está disponível.',
    'account_default_currency'                  => 'Esta será a moeda padrão associada a esta conta.',
    'reconcile_has_more'                        => 'Seu registro do Firefly III tem mais dinheiro nele do que o seu banco afirma que você deveria ter. Existem várias opções. Escolha o que fazer. Em seguida, pressione "Confirmar reconciliação".',
    'reconcile_has_less'                        => 'Seu registro do Firefly III tem menos dinheiro nele do que o seu banco afirma que você deveria ter. Existem várias opções. Escolha o que fazer. Em seguida, pressione "Confirmar reconciliação".',
    'reconcile_is_equal'                        => 'Seu registro do Firefly III e seus registros bancários combinam. Não há nada a se fazer. Pressione "Confirmar reconciliação" para confirmar sua entrada.',
    'create_pos_reconcile_transaction'          => 'Desmarque as transações selecionadas e, em seguida, crie uma correção adicionando :amount para esta conta ativa.',
    'create_neg_reconcile_transaction'          => 'Desmarque as transações selecionadas e, em seguida, crie uma correção removendo :amount para esta conta ativa.',
    'reconcile_do_nothing'                      => 'Desmarcar as transações selecionadas, mas não corrigir.',
    'reconcile_go_back'                         => 'Você sempre pode editar ou excluir uma correção mais tarde.',
    'must_be_asset_account'                     => 'Você só pode conciliar contas de ativos',
    'reconciliation_stored'                     => 'Reconciliação armazenada',
    'reconciliation_error'                      => 'Devido a um erro, as transações foram marcadas como conciliadas, mas a correcção não foi armazenada: :error.',
    'reconciliation_transaction_title'          => 'Reconciliação (:from a :to)',
    'sum_of_reconciliation'                     => 'Total reconciliado',
    'reconcile_this_account'                    => 'Concilie esta conta',
    'reconcile'                                 => 'Reconciliar',
    'show'                                      => 'Exibir',
    'confirm_reconciliation'                    => 'Confirmar reconciliação',
    'submitted_start_balance'                   => 'Saldo inicial enviado',
    'selected_transactions'                     => 'Transações selecionadas (:count)',
    'already_cleared_transactions'              => 'Transações já removidas (:count)',
    'submitted_end_balance'                     => 'Saldo final enviado',
    'initial_balance_description'               => 'Saldo inicial para ":account"',
    'liability_credit_description'              => 'Passivo de crédito para ":account"',
    'interest_calc_'                            => 'desconhecido',
    'interest_calc_daily'                       => 'Por dia',
    'interest_calc_monthly'                     => 'Por mês',
    'interest_calc_yearly'                      => 'Por ano',
    'interest_calc_weekly'                      => 'Por semana',
    'interest_calc_half-year'                   => 'Por semestre',
    'interest_calc_quarterly'                   => 'Por trimestre',
    'initial_balance_account'                   => 'Saldo inicial da conta :account',
    'list_options'                              => 'Opções de lista',

    // categories:
    'new_category'                              => 'Nova categoria',
    'create_new_category'                       => 'Criar uma nova categoria',
    'without_category'                          => 'Sem uma categoria',
    'update_category'                           => 'Atualizar Categoria',
    'updated_category'                          => 'Atualizado categoria ":name"',
    'categories'                                => 'Categorias',
    'edit_category'                             => 'Editar categoria ":name"',
    'no_category'                               => '(sem categoria)',
    'category'                                  => 'Categoria',
    'delete_category'                           => 'Excluir categoria ":name"',
    'deleted_category'                          => 'Categoria ":name" excluída',
    'store_category'                            => 'Armazenar nova categoria',
    'stored_category'                           => 'Armazenada nova categoria ":name"',
    'without_category_between'                  => 'Sem categoria entre :start e :end',

    // transactions:
    'update_withdrawal'                         => 'Atualizar retirada',
    'update_deposit'                            => 'Atualizar de depósito',
    'update_transaction'                        => 'Atualizar transação',
    'update_transfer'                           => 'Atualizar transferência',
    'updated_withdrawal'                        => 'Retirada Atualizada ":description"',
    'updated_deposit'                           => 'Depósito atualizado ":description"',
    'updated_transfer'                          => 'Transferência atualizada ":description"',
    'no_changes_withdrawal'                     => 'A retirada ":description" não foi alterada.',
    'no_changes_deposit'                        => 'O depósito ":description" não foi alterado.',
    'no_changes_transfer'                       => 'A transferência ":description" não foi alterada.',
    'delete_withdrawal'                         => 'Excluir a retirada ":description"',
    'delete_deposit'                            => 'Apagar depósito ":description"',
    'delete_transfer'                           => 'Apagar transferência ":description"',
    'deleted_withdrawal'                        => 'Retirada ":description" excluída com sucesso',
    'deleted_deposit'                           => 'Depósito ":description" excluído com sucesso',
    'deleted_transfer'                          => 'Transferência ":description" excluída com sucesso',
    'deleted_reconciliation'                    => 'Transação de reconciliação ":description" excluída com sucesso',
    'stored_journal'                            => 'Transação ":description" incluída com sucesso',
    'stored_journal_no_descr'                   => 'Transação criada com sucesso',
    'updated_journal_no_descr'                  => 'Transação atualizada com sucesso',
    'select_transactions'                       => 'Selecione as transações',
    'rule_group_select_transactions'            => 'Aplicar ":title" às transações',
    'rule_select_transactions'                  => 'Aplicar ":title" às transações',
    'stop_selection'                            => 'Parar de selecionar transações',
    'reconcile_selected'                        => 'Reconciliar',
    'mass_delete_journals'                      => 'Excluir um número de transacções',
    'mass_edit_journals'                        => 'Editar um número de transacções',
    'mass_bulk_journals'                        => 'Editar um grande número de transações',
    'mass_bulk_journals_explain'                => 'Este formulário permite alterar as propriedades das transações listadas abaixo em uma atualização abrangente. Todas as transações na tabela serão atualizadas quando você alterar os parâmetros que você vê aqui.',
    'part_of_split'                             => 'Esta transação faz parte de uma transação dividida. Se você não selecionou todas as divisões, poderá acabar mudando apenas metade da transação.',
    'bulk_set_new_values'                       => 'Use as entradas abaixo para definir novos valores. Se você deixá-los vazios, eles serão feitos vazios para todos. Além disso, note que apenas as saídas receberão um orçamento.',
    'no_bulk_category'                          => 'Não atualize a categoria',
    'no_bulk_budget'                            => 'Não atualize o orçamento',
    'no_bulk_tags'                              => 'Não atualize a(s) tag(s)',
    'replace_with_these_tags'                   => 'Substituir com estas tags',
    'append_these_tags'                         => 'Adicionar estas tags',
    'mass_edit'                                 => 'Editar selecionados individualmente',
    'bulk_edit'                                 => 'Editar selecionados em massa',
    'mass_delete'                               => 'Excluir selecionados',
    'cannot_edit_other_fields'                  => 'Você não pode editar em massa outros campos que não esses aqui, porque não há espaço para mostrá-los. Por favor siga o link e editá-los por um por um, se você precisar editar esses campos.',
    'cannot_change_amount_reconciled'           => 'Você não pode alterar o valor das transações reconciliadas.',
    'no_budget'                                 => '(sem orçamento)',
    'no_bill'                                   => '(sem conta)',
    'account_per_budget'                        => 'Conta por orçamento',
    'account_per_category'                      => 'Conta por categoria',
    'create_new_object'                         => 'Criar',
    'empty'                                     => '(vazio)',
    'all_other_budgets'                         => '(todos os outros orçamentos)',
    'all_other_accounts'                        => '(todas as outras contas)',
    'expense_per_source_account'                => 'Despesas por conta origem',
    'expense_per_destination_account'           => 'Despesas por conta destino',
    'income_per_destination_account'            => 'Receita por conta destino',
    'spent_in_specific_category'                => 'Gasto na categoria ":category"',
    'earned_in_specific_category'               => 'Ganhos na categoria ":category"',
    'spent_in_specific_tag'                     => 'Gasto na tag ":tag"',
    'earned_in_specific_tag'                    => 'Ganho na tag ":tag"',
    'income_per_source_account'                 => 'Receita por conta origem',
    'average_spending_per_destination'          => 'Média de despesas por conta destino',
    'average_spending_per_source'               => 'Gasto médio por conta origem',
    'average_earning_per_source'                => 'Média de ganhos por conta origem',
    'average_earning_per_destination'           => 'Ganhos médios por conta destino',
    'account_per_tag'                           => 'Conta por tag',
    'tag_report_expenses_listed_once'           => 'Despesas e receitas nunca são listadas duas vezes. Se uma transação tiver múltiplas etiquetas, pode apenas aparecer em uma de suas etiquetas. Esta lista pode parecer estar faltando dados, mas os valores estão corretos.',
    'double_report_expenses_charted_once'       => 'Despesas e receitas nunca são exibidos duas vezes. Se uma transação tiver múltiplas etiquetas, pode apenas aparecer em uma de suas etiquetas. Este gráfico pode parecer que está faltando dados, mas os valores estão corretos.',
    'tag_report_chart_single_tag'               => 'Este gráfico se aplica a uma única etiqueta. Se uma transação tem múltiplas etiquetas, o que você vê aqui pode aparecer nos gráficos de outras etiquetas também.',
    'tag'                                       => 'Etiqueta',
    'no_budget_squared'                         => '(sem orçamento)',
    'perm-delete-many'                          => 'Excluir muitos itens de uma só vez pode ser muito perturbador. Por favor, seja cauteloso. Você pode excluir parte de uma transação dividida desta página, então tome cuidado.',
    'mass_deleted_transactions_success'         => 'Excluído :count transação.|Excluído :count transações.',
    'mass_edited_transactions_success'          => 'Atualizado :count transação.|Atualizado :count transações.',
    'opt_group_'                                => '(nenhum tipo de conta)',
    'opt_group_no_account_type'                 => '(sem o tipo de conta)',
    'opt_group_defaultAsset'                    => 'Contas padrão',
    'opt_group_savingAsset'                     => 'Contas de poupança',
    'opt_group_sharedAsset'                     => 'Contas de ativos compartilhadas',
    'opt_group_ccAsset'                         => 'Cartões de crédito',
    'opt_group_cashWalletAsset'                 => 'Carteiras de dinheiro',
    'opt_group_expense_account'                 => 'Contas de despesas',
    'opt_group_revenue_account'                 => 'Contas de receitas',
    'opt_group_l_Loan'                          => 'Passivo: empréstimo',
    'opt_group_cash_account'                    => 'Conta em dinheiro',
    'opt_group_l_Debt'                          => 'Passivo: dívida',
    'opt_group_l_Mortgage'                      => 'Passivo: hipoteca',
    'opt_group_l_Credit card'                   => 'Passivo: cartão de crédito',
    'notes'                                     => 'Notas',
    'unknown_journal_error'                     => 'A transação não pôde ser armazenada. Por favor, verifique os arquivos de log.',
    'attachment_not_found'                      => 'O anexo não foi encontrado.',
    'journal_link_bill'                         => 'Esta transação está ligada à conta <a href=":route">:name</a>. Para remover a conexão, desmarque a caixa de seleção. Use as regras para conectá-la a outra conta.',
    'transaction_stored_link'                   => '<a href="transactions/show/{ID}">Transação #{ID} ("{title}")</a> foi salva.',
    'transaction_new_stored_link'               => '<a href="transactions/show/{ID}">Transação #{ID}</a> foi salva.',
    'transaction_updated_link'                  => 'A <a href="transactions/show/{ID}">Transação #{ID}</a> ("{title}") foi atualizada.',
    'transaction_updated_no_changes'            => 'A <a href="transactions/show/{ID}">Transação #{ID}</a> ("{title}") não recebeu nenhuma alteração.',
    'first_split_decides'                       => 'A primeira divisão determina o valor deste campo',
    'first_split_overrules_source'              => 'A primeira divisão pode anular a conta de origem',
    'first_split_overrules_destination'         => 'A primeira divisão pode anular a conta de destino',
    'spent_x_of_y'                              => 'Gasto {amount} de {total}',

    // new user:
    'welcome'                                   => 'Bem Vindo ao Firefly III!',
    'submit'                                    => 'Enviar',
    'submission'                                => 'Envio',
    'submit_yes_really'                         => 'Enviar (eu sei o que estou fazendo)',
    'getting_started'                           => 'Iniciar',
    'to_get_started'                            => 'É bom ver que você instalou o Firefly III com sucesso. Para começar com esta ferramenta, insira o nome do banco e o saldo da sua principal conta corrente. Não se preocupe ainda se você tiver várias contas. Você pode adicionar aqueles mais tarde. É só que o Firefly III precisa de algo para começar.',
    'savings_balance_text'                      => 'O Firefly III criará automaticamente uma conta de poupança para você. Por padrão, não haverá dinheiro na sua conta de poupança, mas se você contar o saldo ao Firefly III, ele será armazenado como tal.',
    'finish_up_new_user'                        => 'É isso aí! Você pode continuar pressionando <strong>Enviar</strong>. Você será levado ao índice de Firefly III.',
    'stored_new_accounts_new_user'              => 'Yay! Suas novas contas foram armazenadas.',
    'set_preferred_language'                    => 'Se você prefere utilizar o Firefly III em outro idioma, informe aqui.',
    'language'                                  => 'Idioma',
    'new_savings_account'                       => 'Conta de poupança :bank_name',
    'cash_wallet'                               => 'Carteira de dinheiro',
    'currency_not_present'                      => 'Não se preocupe se a moeda que você usa normalmente não está listada. Você pode criar suas próprias moedas em "Opções > Moedas".',

    // home page:
    'transaction_table_description'             => 'Uma tabela contendo suas transações',
    'opposing_account'                          => 'Conta oposta',
    'yourAccounts'                              => 'Suas contas',
    'your_accounts'                             => 'Visão geral da sua conta',
    'category_overview'                         => 'Visão geral da categoria',
    'expense_overview'                          => 'Visão geral da conta de despesa',
    'revenue_overview'                          => 'Visão geral da conta de receita',
    'budgetsAndSpending'                        => 'Orçamentos e despesas',
    'budgets_and_spending'                      => 'Orçamentos e despesas',
    'go_to_budget'                              => 'Ir para o orçamento "{budget}"',
    'go_to_deposits'                            => 'Ir para as entradas',
    'go_to_expenses'                            => 'Ir para despesas',
    'savings'                                   => 'Poupanças',
    'newWithdrawal'                             => 'Nova despesa',
    'newDeposit'                                => 'Novo depósito',
    'newTransfer'                               => 'Nova transferência',
    'bills_to_pay'                              => 'Contas a pagar',
    'per_day'                                   => 'Por dia',
    'left_to_spend_per_day'                     => 'Restante para gastar por dia',
    'bills_paid'                                => 'Contas pagas',
    'custom_period'                             => 'Período personalizado',
    'reset_to_current'                          => 'Redefinir para o período atual',
    'select_period'                             => 'Selecione um período',

    // menu and titles, should be recycled as often as possible:
    'currency'                                  => 'Moeda',
    'preferences'                               => 'Preferências',
    'logout'                                    => 'Desconectar',
    'logout_other_sessions'                     => 'Sair de todas as outras sessões',
    'toggleNavigation'                          => 'Alternar navegação',
    'searchPlaceholder'                         => 'Pesquisar...',
    'version'                                   => 'Versão',
    'dashboard'                                 => 'Painel de Controle',
    'available_budget'                          => 'Orçamento disponível ({currency})',
    'currencies'                                => 'Moedas',
    'activity'                                  => 'Atividade',
    'usage'                                     => 'Utilização',
    'accounts'                                  => 'Contas',
    'Asset account'                             => 'Conta de ativo',
    'Default account'                           => 'Conta de ativo',
    'Expense account'                           => 'Conta de Despesa',
    'Revenue account'                           => 'Conta de Receita',
    'Initial balance account'                   => 'Saldo inicial da conta',
    'account_type_Debt'                         => 'Dívida',
    'account_type_Loan'                         => 'Empréstimo',
    'account_type_Mortgage'                     => 'Hipoteca',
    'account_type_debt'                         => 'Débito',
    'account_type_loan'                         => 'Empréstimo',
    'account_type_mortgage'                     => 'Hipoteca',
    'account_type_Credit card'                  => 'Cartão de crédito',
    'credit_card_type_monthlyFull'              => 'Pagamento completo todo mês',
    'liability_direction_credit'                => 'Devo este débito',
    'liability_direction_debit'                 => 'Devo este débito a outra pessoa',
    'liability_direction_credit_short'          => 'Devia este débito',
    'liability_direction_debit_short'           => 'Deve este débito',
    'liability_direction__short'                => 'Desconhecida',
    'liability_direction_null_short'            => 'Desconhecida',
    'Liability credit'                          => 'Crédito de passivo',
    'budgets'                                   => 'Orçamentos',
    'tags'                                      => 'Tags',
    'reports'                                   => 'Relatórios',
    'transactions'                              => 'Transações',
    'expenses'                                  => 'Despesas',
    'income'                                    => 'Receita / Renda',
    'transfers'                                 => 'Transferências',
    'moneyManagement'                           => 'Gerenciamento de Dinheiro',
    'money_management'                          => 'Gestão Monetária',
    'tools'                                     => 'Ferramentas',
    'piggyBanks'                                => 'Cofrinhos',
    'piggy_banks'                               => 'Cofrinhos',
    'amount_x_of_y'                             => '{current} de {total}',
    'bills'                                     => 'Faturas',
    'withdrawal'                                => 'Retirada',
    'opening_balance'                           => 'Saldo inicial',
    'deposit'                                   => 'Depósito',
    'account'                                   => 'Conta',
    'transfer'                                  => 'Transferência',
    'Withdrawal'                                => 'Retirada',
    'Deposit'                                   => 'Depósito',
    'Transfer'                                  => 'Transferência',
    'bill'                                      => 'Fatura',
    'yes'                                       => 'Sim',
    'no'                                        => 'Não',
    'amount'                                    => 'Valor',
    'overview'                                  => 'Visão Geral',
    'saveOnAccount'                             => 'Salvar na conta',
    'unknown'                                   => 'Desconhecido',
    'monthly'                                   => 'Mensal',
    'profile'                                   => 'Perfil',
    'errors'                                    => 'Erros',
    'debt_start_date'                           => 'Data de início da dívida',
    'debt_start_amount'                         => 'Montante inicial da dívida',
    'debt_start_amount_help'                    => 'É sempre melhor definir este valor para um valor negativo. Leia as páginas de ajuda (ícone no topo direito (?)) para mais informações.',
    'interest_period_help'                      => 'Esse campo é puramente cosmético e não será calculado para você. Como os bancos são muito sorrateiros, o Firefly lll nunca acertou esse cálculo.',
    'store_new_liabilities_account'             => 'Guardar novo passivo',
    'edit_liabilities_account'                  => 'Editar passivo ":name"',
    'financial_control'                         => 'Controle financeiro',
    'accounting'                                => 'Contabilidade',
    'automation'                                => 'Automação',
    'others'                                    => 'Outros',
    'classification'                            => 'Classificação',
    'store_transaction'                         => 'Salvar transação',

    // reports:
    'report_default'                            => 'Relatório financeiro padrão entre :start e :end',
    'report_audit'                              => 'Visão geral do histórico de transação entre :start e :end',
    'report_category'                           => 'Relatório de categoria entre :start e :end',
    'report_double'                             => 'Relatório de despesas/receitas entre :start e :end',
    'report_budget'                             => 'Relatório de orçamento entre :start e :end',
    'report_tag'                                => 'Relatório de tag entre :start e :end',
    'quick_link_reports'                        => 'Ligações rápidas',
    'quick_link_examples'                       => 'Estes são apenas alguns links de exemplo para você começar. Confira as páginas de ajuda com o botão (?) para obter informações sobre todos os relatórios e as palavras mágicas que você pode usar.',
    'quick_link_default_report'                 => 'Relatório financeiro padrão',
    'quick_link_audit_report'                   => 'Visão geral do histórico de transação',
    'report_this_month_quick'                   => 'Mês atual, todas as contas',
    'report_last_month_quick'                   => 'Mês passado, todas as contas',
    'report_this_year_quick'                    => 'Ano atual, todas as contas',
    'report_this_fiscal_year_quick'             => 'Ano fiscal atual, todas as contas',
    'report_all_time_quick'                     => 'Todos os tempos, todas as contas',
    'reports_can_bookmark'                      => 'Lembre-se que relatórios podem ser marcados.',
    'incomeVsExpenses'                          => 'Renda vs. Despesas',
    'accountBalances'                           => 'Saldos de Contas',
    'balanceStart'                              => 'Saldo no início do período',
    'balanceEnd'                                => 'Saldo no final do período',
    'splitByAccount'                            => 'Dividir por conta',
    'coveredWithTags'                           => 'Coberto com tags',
    'leftInBudget'                              => 'Deixou no orçamento',
    'left_in_debt'                              => 'Valor devido',
    'sumOfSums'                                 => 'Soma dos montantes',
    'noCategory'                                => '(sem categoria)',
    'notCharged'                                => 'Não cobrado (ainda)',
    'inactive'                                  => 'Inativo',
    'active'                                    => 'Ativo',
    'difference'                                => 'Diferença',
    'money_flowing_in'                          => 'Entrada',
    'money_flowing_out'                         => 'Saída',
    'topX'                                      => 'topo :number',
    'show_full_list'                            => 'Mostrar a lista inteira',
    'show_only_top'                             => 'Mostrar apenas os topo :number',
    'report_type'                               => 'Tipo de relatório',
    'report_type_default'                       => 'Relatório financeiro padrão',
    'report_type_audit'                         => 'Visão geral do histórico de transação (auditoria)',
    'report_type_category'                      => 'Relatório por Categorias',
    'report_type_budget'                        => 'Relatório de orçamento',
    'report_type_tag'                           => 'Relatório de tag',
    'report_type_double'                        => 'Relatório de despesas/receitas',
    'more_info_help'                            => 'Mais informações sobre esses tipos de relatórios podem ser encontradas nas páginas de ajuda. Pressione o ícone (?) no canto superior direito.',
    'report_included_accounts'                  => 'Contas incluídas',
    'report_date_range'                         => 'Período',
    'report_preset_ranges'                      => 'Intervalos pré-definidos',
    'shared'                                    => 'Compartilhado',
    'fiscal_year'                               => 'Ano fiscal',
    'income_entry'                              => 'Rendimento da conta ":name" entre :start e :end',
    'expense_entry'                             => 'Despesas da conta ":name" entre :start e :end',
    'category_entry'                            => 'Despesas e receitas na categoria ":name" entre :start e :end',
    'budget_spent_amount'                       => 'Despesas no orçamento ":name" entre :start e :end',
    'balance_amount'                            => 'Despesas no orçamento ":budget" pagas por conta":account" entre :start e :end',
    'no_audit_activity'                         => 'Nenhuma atividade foi registrada na conta <a href=":url" title=":account_name">:account_name</a> entre :start e :end.',
    'audit_end_balance'                         => 'Saldo da conta <a href=":url" title=":account_name">:account_name</a> no final de :end foi :balance',
    'reports_extra_options'                     => 'Opções adicionais',
    'report_has_no_extra_options'               => 'Este relatório não tem mais opções',
    'reports_submit'                            => 'Visualizar relatório',
    'end_after_start_date'                      => 'Data de término do relatório deve ser depois da data de início.',
    'select_category'                           => 'Selecionar categoria(s)',
    'select_budget'                             => 'Selecionar orçamento(s).',
    'select_tag'                                => 'Selecionar tag(s).',
    'income_per_category'                       => 'Receitas por categoria',
    'expense_per_category'                      => 'Despesa por categoria',
    'expense_per_budget'                        => 'Despesa por orçamento',
    'income_per_account'                        => 'Rendimento por conta',
    'expense_per_account'                       => 'Por conta de despesas',
    'expense_per_tag'                           => 'Despesa por tag',
    'income_per_tag'                            => 'Rendimento por tag',
    'include_expense_not_in_budget'             => 'Despesas não incluídas no(s) orçamento(s) selecionado(s)',
    'include_expense_not_in_account'            => 'Despesas não incluídas na(s) contas(s) selecionada(s)',
    'include_expense_not_in_category'           => 'Despesas não incluídas na(s) categoria(s) selecionada(s)',
    'include_income_not_in_category'            => 'Rendimento não incluído na(s) categoria(s) selecionada(s)',
    'include_income_not_in_account'             => 'Rendimento não incluído na(s) conta(s) selecionada(s)',
    'include_income_not_in_tags'                => 'Rendimento não incluído na(s) tag(s) selecionada(s)',
    'include_expense_not_in_tags'               => 'Despesas não incluídas na(s) tag(s) selecionada(s)',
    'everything_else'                           => 'Todo o resto',
    'income_and_expenses'                       => 'Receitas e despesas',
    'spent_average'                             => 'Gastos (média)',
    'income_average'                            => 'Renda (média)',
    'transaction_count'                         => 'Contagem de transações',
    'average_spending_per_account'              => 'Média de gastos por conta',
    'average_income_per_account'                => 'Rendimento médio por conta',
    'total'                                     => 'Total',
    'description'                               => 'Descrição',
    'sum_of_period'                             => 'Soma de período',
    'average_in_period'                         => 'Média do período',
    'account_role_defaultAsset'                 => 'Conta padrão',
    'account_role_sharedAsset'                  => 'Contas de ativos compartilhadas',
    'account_role_savingAsset'                  => 'Conta poupança',
    'account_role_ccAsset'                      => 'Cartão de crédito',
    'account_role_cashWalletAsset'              => 'Carteira de dinheiro',
    'budget_chart_click'                        => 'Clique no nome do orçamento na tabela acima para ver um gráfico.',
    'category_chart_click'                      => 'Clique no nome da categoria na tabela acima para ver um gráfico.',
    'in_out_accounts'                           => 'Ganhou e gastou por combinação',
    'in_out_accounts_per_asset'                 => 'Ganhos e gastos (por conta de ativo)',
    'in_out_per_category'                       => 'Ganhou e gastou por categoria',
    'out_per_budget'                            => 'Gasto por orçamento',
    'select_expense_revenue'                    => 'Selecione conta de despesa/receita',
    'multi_currency_report_sum'                 => 'Esta lista têm contas com várias moedas, portanto a(s) soma(s) que você vê talvez não faça(m) sentido. O relatório sempre usará sua moeda padrão.',
    'sum_in_default_currency'                   => 'A soma será sempre em sua moeda padrão.',
    'net_filtered_prefs'                        => 'Esse gráfico nunca irá incluir contas que têm a opção "incluir no patrimônio líquido" desmarcada.',

    // charts:
    'chart'                                     => 'Gráfico',
    'month'                                     => 'Mês',
    'budget'                                    => 'Orçamento',
    'spent'                                     => 'Gasto',
    'spent_capped'                              => 'Despesa (limitada)',
    'spent_in_budget'                           => 'Gasto no orçamento',
    'left_to_spend'                             => 'Restante para gastar',
    'earned'                                    => 'Ganho',
    'overspent'                                 => 'Gasto excedido',
    'left'                                      => 'Restante',
    'max-amount'                                => 'Valor Máximo',
    'min-amount'                                => 'Valor mínimo',
    'journal-amount'                            => 'Valor atual da conta',
    'name'                                      => 'Nome',
    'date'                                      => 'Data',
    'date_and_time'                             => 'Data e hora',
    'time'                                      => 'Horário',
    'paid'                                      => 'Pago',
    'unpaid'                                    => 'Não pago',
    'day'                                       => 'Dia',
    'budgeted'                                  => 'Orçado',
    'period'                                    => 'Período',
    'balance'                                   => 'Saldo',
    'sum'                                       => 'Soma',
    'summary'                                   => 'Resumo',
    'average'                                   => 'Média',
    'balanceFor'                                => 'Saldo para ":name"',
    'no_tags'                                   => '(sem etiquetas)',

    // piggy banks:
    'event_history'                             => 'Event history',
    'add_money_to_piggy'                        => 'Adicionar dinheiro ao cofrinho ":name"',
    'piggy_bank'                                => 'Cofrinho',
    'new_piggy_bank'                            => 'Nova poupança',
    'store_piggy_bank'                          => 'Armazenar novo cofrinho',
    'stored_piggy_bank'                         => 'Armazenar novo cofrinho ":name"',
    'account_status'                            => 'Status da Conta',
    'left_for_piggy_banks'                      => 'Deixar para cofrinhos',
    'sum_of_piggy_banks'                        => 'Soma dos cofrinhos',
    'saved_so_far'                              => 'Salvo até agora',
    'left_to_save'                              => 'Restante para poupar',
    'suggested_amount'                          => 'Quantia mensal sugerida para poupar',
    'add_money_to_piggy_title'                  => 'Adicionar dinheiro ao cofrinho ":name"',
    'remove_money_from_piggy_title'             => 'Retire o dinheiro do cofrinho ":name"',
    'add'                                       => 'Adicionar',
    'no_money_for_piggy'                        => 'Você não tem dinheiro para colocar nessa poupança.',
    'suggested_savings_per_month'               => 'Sugerido por mês',

    'remove'                    => 'Remover',
    'max_amount_add'            => 'É a quantidade máxima que você pode adicionar é',
    'max_amount_remove'         => 'É a quantidade máxima que você pode remover é',
    'update_piggy_button'       => 'Atualizar cofrinho',
    'update_piggy_title'        => 'Atualizar cofrinho ":name"',
    'updated_piggy_bank'        => 'Cofrinho ":name" atualizado',
    'details'                   => 'Detalhes',
    'events'                    => 'Eventos',
    'target_amount'             => 'Valor alvo',
    'start_date'                => 'Data de Início',
    'no_start_date'             => 'Sem data de início',
    'target_date'               => 'Data Alvo',
    'no_target_date'            => 'Nenhum data',
    'table'                     => 'Tabela',
    'delete_piggy_bank'         => 'Apagar cofrinho ":name"',
    'cannot_add_amount_piggy'   => 'Não foi possível adicionar :amount a ":name".',
    'cannot_remove_from_piggy'  => 'Não foi possível remover :amount de ":name".',
    'deleted_piggy_bank'        => 'Apagar cofrinho ":name"',
    'added_amount_to_piggy'     => 'Adicionado :amount de ":name"',
    'removed_amount_from_piggy' => 'Removido :amount de ":name"',
    'piggy_events'              => 'Relacionado ao cofrinho',

    // tags
    'delete_tag'                => 'Apagar tag ":tag"',
    'deleted_tag'               => 'Apagar tag ":tag"',
    'new_tag'                   => 'Fazer nova tag',
    'edit_tag'                  => 'Editar tag ":tag"',
    'updated_tag'               => 'Tag atualizada ":tag"',
    'created_tag'               => 'Tag ":tag" foi criada!',

    'transaction_journal_information'          => 'Informação da transação',
    'transaction_journal_meta'                 => 'Meta-informação',
    'transaction_journal_more'                 => 'Mais informações',
    'basic_journal_information'                => 'Informações básicas de transação',
    'transaction_journal_extra'                => 'Informação extra',
    'att_part_of_journal'                      => 'Armazendo sob ":journal"',
    'total_amount'                             => 'Valor total',
    'number_of_decimals'                       => 'Número de casas decimais',

    // administration
    'invite_new_user_title'                    => 'Convidar novo usuário',
    'invite_new_user_text'                     => 'Como administrador, você pode convidar usuários para se registrarem na administração do Firefly III. Usando o link direto que você pode compartilhar, eles serão capazes de registrar uma conta. O usuário convidado e seu link de convite aparecerão na tabela abaixo. Você é livre para compartilhar com eles o link do convite.',
    'invited_user_mail'                        => 'E-mail',
    'invite_user'                              => 'Convidar usuário',
    'user_is_invited'                          => 'O e-mail ":address" foi convidado para Firefly III',
    'administration'                           => 'Administração',
    'code_already_used'                        => 'O código de convite foi utilizado',
    'user_administration'                      => 'Administração de usuários',
    'list_all_users'                           => 'Todos os usuários',
    'all_users'                                => 'Todos os usuários',
    'instance_configuration'                   => 'Configuração',
    'firefly_instance_configuration'           => 'Opções de configuração para Firefly III',
    'setting_single_user_mode'                 => 'Modo de usuário único',
    'setting_single_user_mode_explain'         => 'Por padrão, o Firefly III aceita apenas um (1) usuário registrado: você. Esta é uma medida de segurança para impedir que outros usem sua instalação a menos que você os permita. Os registrors futuros estão bloqueados. Quando você desmarca esta opção, outros podem usar sua instalação se puderem alcançá-la (quando ela está conectada à Internet).',
    'store_configuration'                      => 'Salvar configuração',
    'single_user_administration'               => 'Administração de usuários para :email',
    'edit_user'                                => 'Editar usuário :email',
    'hidden_fields_preferences'                => 'Você pode habilitar mais opções de transação em suas <a href="preferences">preferências</a>.',
    'user_data_information'                    => 'Dados de usuário',
    'user_information'                         => 'Informações do usuário',
    'total_size'                               => 'tamanho total',
    'budget_or_budgets'                        => ':count orçamento|:count orçamentos',
    'budgets_with_limits'                      => ':count orçamento com valor configurado|:count orçamentos com valor configurado',
    'nr_of_rules_in_total_groups'              => ':count_rules regra (s) em :count_groups grupo(s) de regras',
    'tag_or_tags'                              => ':count etiqueta|:count etiquetas',
    'configuration_updated'                    => 'A configuração foi atualizada',
    'setting_is_demo_site'                     => 'Site demo',
    'setting_is_demo_site_explain'             => 'Se você marcar esta caixa, esta instalação se comportará como se fosse o site de demonstração, o que pode ter efeitos colaterais estranhos.',
    'block_code_bounced'                       => 'Mensagem(s) de email ressaltada',
    'block_code_expired'                       => 'Conta de demonstração expirada',
    'no_block_code'                            => 'Nenhuma razão para o bloqueio ou o usuário não está bloqueado',
    'block_code_email_changed'                 => 'O usuário ainda não confirmou o novo endereço de e-mail',
    'admin_update_email'                       => 'Ao contrário da página de perfil, o usuário NÃO será notificado de que seu endereço de e-mail mudou!',
    'update_user'                              => 'Atualizar usuário',
    'updated_user'                             => 'Os dados do usuário foram alterados.',
    'delete_user'                              => 'Excluir usuário :email',
    'user_deleted'                             => 'O usuário foi apagado',
    'send_test_email'                          => 'Enviar e-mail de teste',
    'send_test_email_text'                     => 'Para verificar se a sua instalação é capaz de enviar e-mail ou postar mensagens no Slack, pressione este botão. Você não verá um erro aqui (se houver), <strong> os arquivos de log refletirão quaisquer erros</strong>. Você pode pressionar este botão quantas vezes quiser. Não há controle de spam. A mensagem será enviada para <code>:email</code> e deve chegar em breve.',
    'send_message'                             => 'Enviar mensagem',
    'send_test_triggered'                      => 'O teste foi desencadeado. Verifique a sua caixa de entrada e os arquivos de log.',
    'give_admin_careful'                       => 'Os usuários que obtiverem direitos de administrador podem retirar os seus. Tenha cuidado.',
    'admin_maintanance_title'                  => 'Manutenção',
    'admin_maintanance_expl'                   => 'Alguns botões úteis para a manutenção do Firefly III',
    'admin_maintenance_clear_cache'            => 'Limpar o cache',
    'admin_notifications'                      => 'Notificações do Administrador',
    'admin_notifications_expl'                 => 'As seguintes notificações podem ser ativadas ou desativadas pelo administrador. Se você quiser ter essas mensagens no Slack, defina a URL de "webhook de entrada".',
    'admin_notification_check_user_new_reg'    => 'Usuário recebe mensagem de boas-vindas pós-registro',
    'admin_notification_check_admin_new_reg'   => 'Administrador(es) recebem uma notificação de registro de novo usuário',
    'admin_notification_check_new_version'     => 'Uma nova versão está disponível',
    'admin_notification_check_invite_created'  => 'Um usuário foi convidado para Firefly III',
    'admin_notification_check_invite_redeemed' => 'Um convite de usuário foi resgatado',
    'all_invited_users'                        => 'Todos os usuários convidados',
    'save_notification_settings'               => 'Salvar configurações',
    'notification_settings_saved'              => 'As configurações de notificação foram salvas',


    'split_transaction_title'               => 'Descrição da transação dividida',
    'split_transaction_title_help'          => 'Se você criar uma transação dividida, deve haver uma descrição global para todas as partes da transação.',
    'split_title_help'                      => 'Se você criar uma transação dividida, é necessário haver uma descrição global para todas as partes da transação.',
    'you_create_transfer'                   => 'Você está criando uma transferência.',
    'you_create_withdrawal'                 => 'Você está criando uma saída.',
    'you_create_deposit'                    => 'Você está criando uma entrada.',


    // links
    'journal_link_configuration'            => 'Configuração de ligação de transações',
    'create_new_link_type'                  => 'Crie um novo tipo de ligação',
    'store_new_link_type'                   => 'Armazene novo tipo de ligação',
    'update_link_type'                      => 'Atualize o tipo de ligação',
    'edit_link_type'                        => 'Excluir tipo de liagação ":name"',
    'updated_link_type'                     => 'Tipo de ligação ":name" atualizado',
    'delete_link_type'                      => 'Excluir tipo de ligação ":name"',
    'deleted_link_type'                     => 'Tipo de ligação ":name" excluída',
    'stored_new_link_type'                  => 'Armazene novo tipo de ligação ":name"',
    'cannot_edit_link_type'                 => 'Não é possível editar o tipo de ligação ":name"',
    'link_type_help_name'                   => 'Ou seja. "Duplicatas"',
    'link_type_help_inward'                 => 'Ou seja. "duplicatas"',
    'link_type_help_outward'                => 'Ou seja. "é duplicado por"',
    'save_connections_by_moving'            => 'Salve a ligação entre essas transações movendo-as para outro tipo de ligação:',
    'do_not_save_connection'                => '(não salve a conexão)',
    'link_transaction'                      => 'Ligar transação',
    'link_to_other_transaction'             => 'Ligue esta transação a outra transação',
    'select_transaction_to_link'            => 'Selecione uma transação para vincular esta transação. Atualmente, os links não são usados no Firefly III (além de serem exibidos), mas planejo mudar isso no futuro. Use a caixa de pesquisa para selecionar uma transação por título ou por ID. Se você quiser adicionar tipos de link personalizados, confira a seção de administração.',
    'this_transaction'                      => 'Esta transação',
    'transaction'                           => 'Transação',
    'comments'                              => 'Comentários',
    'link_notes'                            => 'Quaisquer notas que você deseja armazenar com o link.',
    'invalid_link_selection'                => 'Não é possível ligar essas transações',
    'selected_transaction'                  => 'Transação selecionada',
    'journals_linked'                       => 'As transações estão ligadas.',
    'journals_error_linked'                 => 'Essas transações já estão ligadas.',
    'journals_link_to_self'                 => 'Você não pode vincular uma transação a ela mesma',
    'journal_links'                         => 'Transações ligadas',
    'this_withdrawal'                       => 'Esta saída',
    'this_deposit'                          => 'Esta entrada',
    'this_transfer'                         => 'Esta transferência',
    'overview_for_link'                     => 'Visão geral para o tipo de ligação ":name"',
    'source_transaction'                    => 'Transação de origem',
    'link_description'                      => 'Descrição da ligação',
    'destination_transaction'               => 'Transação de destino',
    'delete_journal_link'                   => 'Excluir a ligação entre <a href=":source_link">:source</a> e <a href=":destination_link">:destination</a>',
    'deleted_link'                          => 'Excluir ligação',

    // link translations:
    'Paid_name'                             => 'Pago',
    'Refund_name'                           => 'Reembolso',
    'Reimbursement_name'                    => 'Reembolso',
    'Related_name'                          => 'Relacionado',
    'relates to_inward'                     => 'relacionado a',
    'is (partially) refunded by_inward'     => 'é (parcialmente) devolvido por',
    'is (partially) paid for by_inward'     => 'é (parcialmente) pago por',
    'is (partially) reimbursed by_inward'   => 'é (parcialmente) reembolsado por',
    'inward_transaction'                    => 'Transação interna',
    'outward_transaction'                   => 'Transação externa',
    'relates to_outward'                    => 'relacionado a',
    '(partially) refunds_outward'           => 'reembolsos (parcialmente)',
    '(partially) pays for_outward'          => 'paga (parcialmente) por',
    '(partially) reimburses_outward'        => 'reembolsos (parcialmente)',
    'is (partially) refunded by'            => 'foi (parcialmente) reembolsado por',
    'is (partially) paid for by'            => 'foi (parcialmente) pago por',
    'is (partially) reimbursed by'          => 'foi (parcialmente) reembolsado por',
    'relates to'                            => 'relacionado a',
    '(partially) refunds'                   => '(parcialmente) reembolsa',
    '(partially) pays for'                  => '(parcialmente) pago por',
    '(partially) reimburses'                => '(parcialmente) reembolsa',

    // split a transaction:
    'splits'                                => 'Divide-se',
    'add_another_split'                     => 'Adicionar outra divisão',
    'cannot_edit_opening_balance'           => 'Não é possível editar o saldo de abertura de uma conta.',
    'no_edit_multiple_left'                 => 'Você não selecionou nenhuma transação válida para editar.',
    'breadcrumb_convert_group'              => 'Converter transação',
    'convert_invalid_source'                => 'As informações de origem são inválidas para transações #%d.',
    'convert_invalid_destination'           => 'As informações de destino são inválidas para transações #%d.',
    'create_another'                        => 'Depois de armazenar, retorne aqui para criar outro.',
    'after_update_create_another'           => 'Depois de atualizar, retorne aqui para continuar editando.',
    'store_as_new'                          => 'Armazene como uma nova transação em vez de atualizar.',
    'reset_after'                           => 'Resetar o formulário após o envio',
    'errors_submission'                     => 'Há algo de errado com o seu envio. Por favor, verifique os erros abaixo.',
    'transaction_expand_split'              => 'Exibir divisão',
    'transaction_collapse_split'            => 'Esconder divisão',

    // object groups
    'default_group_title_name'              => '(não agrupado)',

    // empty lists? no objects? instructions:
    'no_accounts_title_asset'               => 'Vamos criar uma conta de ativos!',
    'no_accounts_intro_asset'               => 'Ainda não possui contas de ativos. As contas de ativos são suas principais contas: sua conta corrente, conta poupança, conta compartilhada ou mesmo seu cartão de crédito.',
    'no_accounts_imperative_asset'          => 'Para começar a usar o Firefly III, você deve criar pelo menos uma conta de ativos. Vamos fazer agora:',
    'no_accounts_create_asset'              => 'Criar uma conta de ativo',
    'no_accounts_title_expense'             => 'Vamos criar uma conta de despesas!',
    'no_accounts_intro_expense'             => 'Você ainda não possui contas de despesas. As contas de despesas são os lugares onde você gasta dinheiro, como lojas e supermercados.',
    'no_accounts_imperative_expense'        => 'As contas de despesas são criadas automaticamente quando você cria transações, mas você também pode criar uma manualmente, se desejar. Vamos criar uma agora:',
    'no_accounts_create_expense'            => 'Criar uma conta de despesas',
    'no_accounts_title_revenue'             => 'Vamos criar uma conta de receita!',
    'no_accounts_intro_revenue'             => 'Você ainda não possui contas de receita. As contas de receita são os locais onde você recebe dinheiro, como o seu empregador.',
    'no_accounts_imperative_revenue'        => 'As contas de receita são criadas automaticamente quando você cria transações, mas você também pode criar uma manualmente, se desejar. Vamos criar um agora:',
    'no_accounts_create_revenue'            => 'Criar uma conta de receita',
    'no_accounts_title_liabilities'         => 'Vamos criar um passivo!',
    'no_accounts_intro_liabilities'         => 'Você ainda não tem nenhum passivo. Essas contas registram seus empréstimos e outras dívidas.',
    'no_accounts_imperative_liabilities'    => 'Você não precisa usar esse recurso, mas pode ser útil se você quer controlar esse tipo de coisas.',
    'no_accounts_create_liabilities'        => 'Criar um passivo',
    'no_budgets_title_default'              => 'Vamos criar um orçamento',
    'no_rules_title_default'                => 'Vamos criar uma regra',
    'no_budgets_intro_default'              => 'Você ainda não tem nenhum orçamento. Eles são utilizados para organizar suas despesas em grupos lógicos, que você pode aplicar para limitar suas despesas.',
    'no_rules_intro_default'                => 'Você ainda não tem regras. As regras são poderosas automações que podem gerenciar transações para você.',
    'no_rules_imperative_default'           => 'As regras podem ser muito úteis quando você está gerenciando transações. Vamos criar uma agora:',
    'no_budgets_imperative_default'         => 'Os orçamentos são as ferramentas básicas de gestão financeira. Vamos criar um agora:',
    'no_budgets_create_default'             => 'Criar orçamento',
    'no_rules_create_default'               => 'Criar uma regra',
    'no_categories_title_default'           => 'Vamos criar uma categoria!',
    'no_categories_intro_default'           => 'Você ainda não possui categorias. As categorias são usadas para ajustar suas transações e rotulá-las com a categoria designada.',
    'no_categories_imperative_default'      => 'As categorias são criadas automaticamente quando você cria transações, mas você também pode criar uma manualmente. Vamos criar uma agora:',
    'no_categories_create_default'          => 'Criar uma categoria',
    'no_tags_title_default'                 => 'Vamos criar uma tag!',
    'no_tags_intro_default'                 => 'Ainda não possui tags. As tags são usadas para ajustar suas transações e rotulá-las com palavras-chave específicas.',
    'no_tags_imperative_default'            => 'As tags são criadas automaticamente quando você cria transações, mas você também pode criar uma manualmente. Vamos criar uma agora:',
    'no_tags_create_default'                => 'Criar uma tag',
    'no_transactions_title_withdrawal'      => 'Vamos criar uma despesa!',
    'no_transactions_intro_withdrawal'      => 'Ainda não tem despesas. Você deve criar despesas para começar a gerenciar suas finanças.',
    'no_transactions_imperative_withdrawal' => 'Você gastou algum dinheiro? Então você deve anotá-lo:',
    'no_transactions_create_withdrawal'     => 'Crie uma despesa',
    'no_transactions_title_deposit'         => 'Vamos criar alguma renda!',
    'no_transactions_intro_deposit'         => 'Você não tem nenhuma renda registrada ainda. Você deve criar entradas de renda para começar a gerenciar suas finanças.',
    'no_transactions_imperative_deposit'    => 'Você recebeu algum dinheiro? Então você deve anotá-lo:',
    'no_transactions_create_deposit'        => 'Criar uma entrada',
    'no_transactions_title_transfers'       => 'Vamos criar uma transferência!',
    'no_transactions_intro_transfers'       => 'Você ainda não tem transferências. Quando você move dinheiro entre contas ativas, ele é registrado como uma transferência.',
    'no_transactions_imperative_transfers'  => 'Você moveu algum dinheiro? Então você deve anotá-lo:',
    'no_transactions_create_transfers'      => 'Criar uma transferência',
    'no_piggies_title_default'              => 'Vamos criar uma poupança!',
    'no_piggies_intro_default'              => 'Você ainda não tem poupança. Você pode criar popanças para dividir suas economias e acompanhar para o que você está economizando.',
    'no_piggies_imperative_default'         => 'Você tem coisas para as quais você está economizando? Crie uma poupança e acompanhe:',
    'no_piggies_create_default'             => 'Criar uma nova poupança',
    'no_bills_title_default'                => 'Vamos criar uma conta!',
    'no_bills_intro_default'                => 'Você ainda não possui contas. Você pode criar contas para acompanhar as despesas regulares, como sua renda ou seguro.',
    'no_bills_imperative_default'           => 'Você tem esse tipo de conta regularmente? Crie uma conta e acompanhe seus pagamentos:',
    'no_bills_create_default'               => 'Criar uma conta',

    // recurring transactions
    'create_right_now'                      => 'Create right now',
    'no_new_transaction_in_recurrence' => 'No new transaction was created. Perhaps it was already fired for this date?',
    'recurrences'                           => 'Transações recorrentes',
    'repeat_until_in_past'                  => 'Esta transação recorrente parou de repetir em :date.',
    'recurring_calendar_view'               => 'Calendário',
    'no_recurring_title_default'            => 'Vamos criar uma transação recorrente!',
    'no_recurring_intro_default'            => 'Você ainda não tem nenhuma transação recorrente. Você pode usá-las para que o Firefly III crie transações para você automaticamente.',
    'no_recurring_imperative_default'       => 'Essa é uma função bastante avançada, mas pode ser muito útil. Leia a documentação (ícone (?) no canto superior direito) antes de continuar.',
    'no_recurring_create_default'           => 'Criar transação recorrente',
    'make_new_recurring'                    => 'Criar transação recorrente',
    'recurring_daily'                       => 'Todos os dias',
    'recurring_weekly'                      => ':weekday toda semana',
    'recurring_weekly_skip'                 => 'A cada :skipª semana em :weekday',
    'recurring_monthly'                     => 'Todos os meses no dia :dayOfMonth',
    'recurring_monthly_skip'                => 'A cada mês :skipº no dia :dayOfMonth',
    'recurring_ndom'                        => 'Todos os meses na(o) :dayOfMonth ª/º :weekday',
    'recurring_yearly'                      => 'Todos os anos em :date',
    'overview_for_recurrence'               => 'Visão geral da transação recorrente ":title"',
    'warning_duplicates_repetitions'        => 'Em raras ocasiões, as datas aparecem duas vezes na lista. Isso pode acontecer quando várias repetições colidem. Firefly III sempre irá gerar uma transação por dia.',
    'created_transactions'                  => 'Transações relacionadas',
    'expected_withdrawals'                  => 'Saídas previstas',
    'expected_deposits'                     => 'Entradas esperadas',
    'expected_transfers'                    => 'Transferências previstas',
    'created_withdrawals'                   => 'Saídas criadas',
    'created_deposits'                      => 'Entradas criadas',
    'created_transfers'                     => 'Transferências criadas',
    'recurring_info'                        => 'Transação recorrente :count / :total',
    'created_from_recurrence'               => 'Criado a partir da transação recorrente ":title" (#:id)',
    'recurring_never_cron'                  => 'Parece que o cron job necessário para dar suporte a transações recorrentes nunca foi executado. Isso é normal quando você acabou de instalar o Firefly III, mas deve ser configurado o quanto antes. Por favor, veja as páginas de ajuda usando o ícone (?) no canto superior direito da página.',
    'recurring_cron_long_ago'               => 'Faz mais de 36 horas que o cron job que dá suporte a transações recorrentes foi acionado pela última vez. Tem certeza de que foi configurado corretamente? Por favor, veja as páginas de ajuda usando o ícone (?) no canto superior direito da página.',

    'create_new_recurrence'              => 'Criar nova transação recorrente',
    'help_first_date'                    => 'Indique a primeira recorrência esperada. Isso deve ser no futuro.',
    'help_first_date_no_past'            => 'Indique a primeira recorrência esperada. Firefly III não irá criar transações no passado.',
    'no_currency'                        => '(sem moeda)',
    'mandatory_for_recurring'            => 'Informações obrigatórias de recorrência',
    'mandatory_for_transaction'          => 'Informações obrigatórias de transação',
    'optional_for_recurring'             => 'Informações opcionais de recorrência',
    'optional_for_transaction'           => 'Informações opcionais de transação',
    'change_date_other_options'          => 'Mude a "primeira data" para ver mais opções.',
    'mandatory_fields_for_tranaction'    => 'Os valores aqui estarão na(s) transação(ões) criada(s)',
    'click_for_calendar'                 => 'Clique aqui para ver um calendário que mostra quando a transação se repetiria.',
    'repeat_forever'                     => 'Repetir para sempre',
    'repeat_until_date'                  => 'Repetir até uma data',
    'repeat_times'                       => 'Repetir uma quantidade de vezes',
    'recurring_skips_one'                => 'Intercalado',
    'recurring_skips_more'               => 'Pular :count ocorrências',
    'store_new_recurrence'               => 'Salvar transação recorrente',
    'stored_new_recurrence'              => 'Transação recorrente ":title" armazenada com sucesso.',
    'edit_recurrence'                    => 'Editar transação recorrente ":title"',
    'recurring_repeats_until'            => 'Repetir até :date',
    'recurring_repeats_forever'          => 'Repetir sempre',
    'recurring_repeats_x_times'          => 'Repetir :count vez|Repetir :count vezes',
    'update_recurrence'                  => 'Atualizar transação recorrente',
    'updated_recurrence'                 => 'Atualizar transação recorrente ":title"',
    'recurrence_is_inactive'             => 'Esta transação recorrente não está ativa e não gerará novas transações.',
    'delete_recurring'                   => 'Apagar transação recorrente ":title"',
    'new_recurring_transaction'          => 'Nova transação recorrente',
    'help_weekend'                       => 'O que o Firefly III deve fazer quando a transação recorrente cai em um sábado ou domingo?',
    'do_nothing'                         => 'Apenas criar a transação',
    'skip_transaction'                   => 'Pular a ocorrência',
    'jump_to_friday'                     => 'Criar a transação na sexta-feira anterior',
    'jump_to_monday'                     => 'Criar a transação na segunda-feira seguinte',
    'will_jump_friday'                   => 'Será criada na sexta-feira em vez de nos finais de semana.',
    'will_jump_monday'                   => 'Será criada na segunda-feira em vez de nos finais de semana.',
    'except_weekends'                    => 'Exceto nos fins de semana',
    'recurrence_deleted'                 => 'Transação recorrente ":title" apagada',

    // new lines for summary controller.
    'box_balance_in_currency'            => 'Saldo (:currency)',
    'box_spent_in_currency'              => 'Gasto (:currency)',
    'box_earned_in_currency'             => 'Ganho (:currency)',
    'box_budgeted_in_currency'           => 'Orçado (:currency)',
    'box_bill_paid_in_currency'          => 'Contas pagas (:currency)',
    'box_bill_unpaid_in_currency'        => 'Contas não pagas (:currency)',
    'box_left_to_spend_in_currency'      => 'Restante para gastar (:currency)',
    'box_net_worth_in_currency'          => 'Valor líquido (:currency)',
    'box_spend_per_day'                  => 'Restante para gastar por dia: :amount',

    // debug page
    'debug_page'                         => 'Página de depuração',
    'debug_submit_instructions'          => 'Se você estiver com problemas, você pode usar as informações nesta caixa como informações de depuração. Por favor, copie e cole em um issue existente ou nova <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub</a>. Gerará uma linda tabela que pode ser usada para diagnosticar rapidamente seu problema.',
    'debug_pretty_table'                 => 'Se você copiar/colar a caixa abaixo em uma issue no GitHub, ela irá gerar uma tabela. Por favor, não coloque este texto entre acentos agudos ou aspas.',
    'debug_additional_data'              => 'Você também pode compartilhar o conteúdo da caixa abaixo. Você também pode copiar e colar isso em uma issue nova ou existente do <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub</a>. No entanto, o conteúdo desta caixa pode conter informações privadas, como nomes de conta, detalhes da transação ou endereços de e-mail.',

    // object groups
    'object_groups_menu_bar'             => 'Grupos',
    'object_groups_page_title'           => 'Grupos',
    'object_groups_breadcrumb'           => 'Grupos',
    'object_groups_index'                => 'Visão geral',
    'object_groups'                      => 'Grupos',
    'object_groups_empty_explain'        => 'Algumas coisas no Firefly III podem ser divididas em grupos. Por exemplo, apresentam um campo "Grupo" na edição e criam telas. Quando definir este campo, você pode editar os nomes e a ordem dos grupos nesta página. Para obter mais informações, confira as páginas de ajuda no canto superior direito, abaixo do ícone (?).',
    'object_group_title'                 => 'Título',
    'edit_object_group'                  => 'Editar grupo ":title"',
    'delete_object_group'                => 'Excluir grupo ":title"',
    'update_object_group'                => 'Atualizar grupo',
    'updated_object_group'               => 'O grupo ":title" foi atualizado com sucesso',
    'deleted_object_group'               => 'O grupo ":title" foi deletado com sucesso',
    'object_group'                       => 'Grupo',

    // other stuff
    'placeholder'                        => '[Placeholder]',

    // audit log entries
    'audit_log_entries'                  => 'Entradas do log de auditoria',
    'ale_action_log_add'                 => 'Adicionado :amount ao cofrinho ":name"',
    'ale_action_log_remove'              => 'Retirado :amount do cofrinho ":name"',
    'ale_action_clear_budget'            => 'Removido do orçamento',
    'ale_action_clear_category'          => 'Removido da categoria',
    'ale_action_clear_notes'             => 'Anotações removidas',
    'ale_action_clear_tag'               => 'Etiquetas apagadas',
    'ale_action_clear_all_tags'          => 'Todas as etiquetas foram apagadas',
    'ale_action_set_bill'                => 'Ligado à fatura',
    'ale_action_set_budget'              => 'Definir orçamento',
    'ale_action_set_category'            => 'Definir categoria',
    'ale_action_set_source'              => 'Definir conta de origem',
    'ale_action_set_destination'         => 'Definir conta de destino',
    'ale_action_update_transaction_type' => 'Tipo de transação alterado',
    'ale_action_update_notes'            => 'Anotações alteradas',
    'ale_action_update_description'      => 'Descrição alterada',
    'ale_action_add_to_piggy'            => 'Cofrinho',
    'ale_action_remove_from_piggy'       => 'Cofrinho',
    'ale_action_add_tag'                 => 'Etiqueta adicionada',

];
