<?php

/**
 * firefly.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

return [
    // general stuff:
    'close'                                => 'Fechar',
    'actions'                              => 'Ações',
    'edit'                                 => 'Alterar',
    'delete'                               => 'Apagar',
    'split'                                => 'Dividir',
    'single_split'                         => 'Dividir',
    'clone'                                => 'Duplicar',
    'confirm_action'                       => 'Confirmar ação',
    'last_seven_days'                      => 'Últimos sete dias',
    'last_thirty_days'                     => 'Últimos trinta dias',
    'last_180_days'                        => 'Últimos 180 dias',
    'month_to_date'                        => 'Month to date',
    'year_to_date'                         => 'Year to date',
    'YTD'                                  => 'Ano Até à Data (YTD)',
    'welcome_back'                         => 'Tudo bem?',
    'everything'                           => 'Tudo',
    'today'                                => 'hoje',
    'customRange'                          => 'Intervalo personalizado',
    'date_range'                           => 'Intervalo de datas',
    'apply'                                => 'Aplicar',
    'select_date'                          => 'Selecionar data..',
    'cancel'                               => 'Cancelar',
    'from'                                 => 'De',
    'to'                                   => 'Para',
    'structure'                            => 'Estrutura',
    'help_translating'                     => 'Este texto de ajuda não esta disponível, ainda, na tua linguagem. <a href="https://crowdin.com/project/firefly-iii-help">Queres ajudar a traduzir?</a>',
    'showEverything'                       => 'Mostrar tudo',
    'never'                                => 'Nunca',
    'no_results_for_empty_search'          => 'A sua pesquisa estava vazia, nada foi encontrado.',
    'removed_amount'                       => 'Removido :amount',
    'added_amount'                         => 'Adicionado :amount',
    'asset_account_role_help'              => 'Qualquer opção extra resultantes da escolha pode ser definidas posteriormente.',
    'Opening balance'                      => 'Saldo de abertura',
    'create_new_stuff'                     => 'Criar novo',
    'new_withdrawal'                       => 'Novo levantamento',
    'create_new_transaction'               => 'Criar uma nova transação',
    'sidebar_frontpage_create'             => 'Criar',
    'new_transaction'                      => 'Nova transacção',
    'no_rules_for_bill'                    => 'Esta fatura não tem regras associadas.',
    'go_to_asset_accounts'                 => 'Ver as contas de ativos',
    'go_to_budgets'                        => 'Ir para os seus orçamentos',
    'go_to_withdrawals'                    => 'Ir para os seus levantamentos',
    'clones_journal_x'                     => 'Esta transacção é uma cópia de ":description" (#:id)',
    'go_to_categories'                     => 'Ir para categorias',
    'go_to_bills'                          => 'Ir para as faturas',
    'go_to_expense_accounts'               => 'Ver as contas de despesa',
    'go_to_revenue_accounts'               => 'Ver as contas de receitas',
    'go_to_piggies'                        => 'Ir para mealheiros',
    'new_deposit'                          => 'Novo depósito',
    'new_transfer'                         => 'Nova transferência',
    'new_transfers'                        => 'Nova transferência',
    'new_asset_account'                    => 'Nova conta de ativos',
    'new_expense_account'                  => 'Nova conta de ativos',
    'new_revenue_account'                  => 'Nova conta de receitas',
    'new_liabilities_account'              => 'Novo passivo',
    'new_budget'                           => 'Novo orçamento',
    'new_bill'                             => 'Nova fatura',
    'block_account_logout'                 => 'Foi desconectado. Contas bloqueadas não podem utilizar o website. Já se registou com um e-mail válido?',
    'flash_success'                        => 'Sucesso!',
    'flash_info'                           => 'Mensagem',
    'flash_warning'                        => 'Aviso!',
    'flash_error'                          => 'Erro!',
    'flash_danger'                         => 'Perigo!',
    'flash_info_multiple'                  => 'Tens 1 mensagem|Tens :count mensagens',
    'flash_error_multiple'                 => 'Tens 1 erro|Tens :count erros',
    'net_worth'                            => 'Património liquido',
    'help_for_this_page'                   => 'Ajuda para esta pagina',
    'help_for_this_page_body'              => 'Pode encontrar mais informações sobre esta página <a href="https://docs.firefly-iii.org/">na documentação</a>.',
    'two_factor_welcome'                   => 'Olá!',
    'two_factor_enter_code'                => 'Para continuar, por favor introduza o código da sua autenticação de 2 passos. A sua aplicação pode gera-lo para si.',
    'two_factor_code_here'                 => 'Introduza o código aqui',
    'two_factor_title'                     => 'Autenticação de 2 passos',
    'authenticate'                         => 'Autenticar',
    'two_factor_forgot_title'              => 'Perda da autenticação 2 passos',
    'two_factor_forgot'                    => 'Esqueci-me do meu código da autenticação de 2 passos.',
    'two_factor_lost_header'               => 'Perdeu a sua autenticação de 2 passos?',
    'two_factor_lost_intro'                => 'Se também perdu os códigos de backup, está com azar. Não é algo que possa resolver pela interface web. Têm duas alternativas.',
    'two_factor_lost_fix_self'             => 'Se executar sua própria instância do Firefly III, leia <a href="https://docs.firefly-iii.org/faq/other#i-lost-my-two-factor-authentication-codes-and-backup-codes">esta linha no FAQ</a> para instruções.',
    'two_factor_lost_fix_owner'            => 'Caso contrario, envie um email ao dono da plataforma(<a href="mailto::site_owner">:site_owner</a>) e pede-lhe para reiniciar a tua autenticação de 2 passos.',
    'mfa_backup_code'                      => 'Utilizou um código de backup para aceder ao Firefly III. Ele não pode ser utilizado novamente, é melhor risca-lo na sua lista.',
    'pref_two_factor_new_backup_codes'     => 'Obter novos códigos de backup',
    'pref_two_factor_backup_code_count'    => 'Tem :count código de backup válido.|Tem :count códigos de backup válidos.',
    '2fa_i_have_them'                      => 'Guardei-os!',
    'warning_much_data'                    => ':days dias de dados pode demorar.',
    'registered'                           => 'Registou-se com sucesso!',
    'Default asset account'                => 'Conta de ativos padrão',
    'no_budget_pointer'                    => 'Parece que ainda não tem orçamentos. Pode criar-los na página de <a href="budgets">orçamentos</a>. Orçamentos podem ajudá-lo a controlar as despesas.',
    'no_bill_pointer'                      => 'Parece que ainda não tem faturas. Pode criar-las na página de <a href="bills">faturas</a>. Faturas podem ajudá-lo a controlar as despesas.',
    'Savings account'                      => 'Conta poupança',
    'Credit card'                          => 'Cartão de credito',
    'source_accounts'                      => 'Conta de origem|Contas de origem',
    'destination_accounts'                 => 'Conta de destino|Contas de destino',
    'user_id_is'                           => 'O teu id de utilizador: <strong>:user</strong>',
    'field_supports_markdown'              => 'Este campo suporta <a href="https://en.support.wordpress.com/markdown-quick-reference/">Formatacao de Texto</a>.',
    'need_more_help'                       => 'Se precisares de mais ajuda para usar o Firefly III, por favor <a href="https://github.com/firefly-iii/firefly-iii/issues">abre um ticket no Github</a>.',
    'reenable_intro_text'                  => 'Também pode reactivar <a href="#" id="reenableGuidance">o guia de introdução</a>.',
    'intro_boxes_after_refresh'            => 'Os tutoriais de introdução vão aparecer quando atualizar a página.',
    'show_all_no_filter'                   => 'Mostrar todas as transações sem agrupar as mesmas por data.',
    'expenses_by_category'                 => 'Despesas por categoria',
    'expenses_by_budget'                   => 'Despesas por orçamento',
    'income_by_category'                   => 'Receitas por categoria',
    'expenses_by_asset_account'            => 'Despesas por contas de ativos',
    'expenses_by_expense_account'          => 'Despesas por contas de despesas',
    'cannot_redirect_to_account'           => 'O Firefly III não consegue redirecioná-lo para a pagina correta. Lamentamos.',
    'sum_of_expenses'                      => 'Soma das despesas',
    'sum_of_income'                        => 'Soma das receitas',
    'liabilities'                          => 'Passivos',
    'spent_in_specific_budget'             => 'Gasto no orçamento ":budget"',
    'spent_in_specific_double'             => 'Gasto na conta ":account"',
    'earned_in_specific_double'            => 'Ganho na conta ":account"',
    'source_account'                       => 'Conta de origem',
    'source_account_reconciliation'        => 'Não pode editar a conta de origem de uma transacção de reconciliação.',
    'destination_account'                  => 'Conta de destino',
    'destination_account_reconciliation'   => 'Não pode editar a conta de destino de uma transacção de reconciliação.',
    'sum_of_expenses_in_budget'            => 'Total gasto no orçamento ":budget"',
    'left_in_budget_limit'                 => 'Restante para gastar com base no orçamentado',
    'current_period'                       => 'Período atual',
    'show_the_current_period_and_overview' => 'Mostrar o período atual e a visão geral',
    'pref_languages_locale'                => 'Para que um idioma diferente do inglês funcione correctamente, o sistema operativo deve utilizar as definições locais corretas. Se eles não estiverem presentes, dados de moeda, datas e valores podem estar formatados incorrectamente.',
    'budget_in_period'                     => 'Todas as transacções para o orçamento ":name" entre :start e :end em :currency',
    'chart_budget_in_period'               => 'Gráfico para todas as transacções do orçamento ":name" entre :start e :end em :currency',
    'chart_budget_in_period_only_currency' => 'O valor orçamentado foi em :currency, por isso o gráfico apenas irá-lhe mostrar transações em :currency.',
    'chart_account_in_period'              => 'Gráfico para todas as transacções da conta ":name" (:balance) entre :start e :end',
    'chart_category_in_period'             => 'Gráfico para todas as transacções da categoria ":name" entre :start e :end',
    'chart_category_all'                   => 'Gráfico para todas as transacções da categoria ":name"',
    'clone_withdrawal'                     => 'Duplicar este levantamento',
    'clone_deposit'                        => 'Duplicar este depósito',
    'clone_transfer'                       => 'Duplicar esta transferência',
    'multi_select_no_selection'            => 'Nenhum selecionado',
    'multi_select_select_all'              => 'Selecionar todos',
    'multi_select_n_selected'              => 'selecionados',
    'multi_select_all_selected'            => 'Todos selecionados',
    'multi_select_filter_placeholder'      => 'Procurar..',
    'intro_next_label'                     => 'Próximo',
    'intro_prev_label'                     => 'Anterior',
    'intro_skip_label'                     => 'Ignorar',
    'intro_done_label'                     => 'Feito',
    'between_dates_breadcrumb'             => 'Entre :start e :end',
    'all_journals_without_budget'          => 'Todas as transações sem orçamento',
    'journals_without_budget'              => 'Transações sem orçamento',
    'all_journals_without_category'        => 'Todas as transações sem categoria',
    'journals_without_category'            => 'Transações sem categoria',
    'all_journals_for_account'             => 'Todas as transações para a conta :name',
    'chart_all_journals_for_account'       => 'Gráfico de todas as transações para a conta :name',
    'journals_in_period_for_account'       => 'Todas as transações da conta :name entre :start e :end',
    'journals_in_period_for_account_js'    => 'Todas as transações para a conta {title} entre {start} e {end}',
    'transferred'                          => 'Transferido',
    'all_withdrawal'                       => 'Todas as despesas',
    'all_transactions'                     => 'Todas as transações',
    'title_withdrawal_between'             => 'Todas as despesas entre :start e :end',
    'all_deposit'                          => 'Todas as receitas',
    'title_deposit_between'                => 'Todas as receitas entre :start e :end',
    'all_transfers'                        => 'Todas as transferências',
    'title_transfers_between'              => 'Todas as transferências entre :start e :end',
    'all_transfer'                         => 'Todas as transferências',
    'all_journals_for_tag'                 => 'Todas as transações para a etiqueta ":tag"',
    'title_transfer_between'               => 'Todas as transferências entre :start e :end',
    'all_journals_for_category'            => 'Todas as transações para a categoria :name',
    'all_journals_for_budget'              => 'Todas as transações para o orçamento :name',
    'chart_all_journals_for_budget'        => 'Gráfico de todas as transações para o orçamento :name',
    'journals_in_period_for_category'      => 'Todas as transacções da categoria :name entre :start e :end',
    'journals_in_period_for_tag'           => 'Todas as transações da etiqueta :tag entre :start e :end',
    'not_available_demo_user'              => 'A funcionalidade que tentou aceder não está disponível para utilizadores demo.',
    'exchange_rate_instructions'           => 'A conta de activos "@name" apenas aceita transacções em @native_currency. Se prefer usar @foreign_currency em vez disso, tem que inserir o valor em @native_currency também:',
    'transfer_exchange_rate_instructions'  => 'A conta de activos de origem "@source_name" apenas aceita transacções em @source_currency. A conta de activos de destino "@dest_name" apenas aceita transacções em @dest_currency. Tem que fornecer o valor transferido correctamente em ambas as moedas.',
    'transaction_data'                     => 'Data de Transação',
    'invalid_server_configuration'         => 'Configuracao de servidor invalida',
    'invalid_locale_settings'              => 'O Firefly III é incapaz de formatar quantidades monetárias porque o seu servidor têm em falta os pacotes necessários para tal. Existem <a href="https://docs.firefly-iii.org/firefly-iii/advanced-installation/locales/">instruções para resolver isto</a>.',
    'quickswitch'                          => 'Troca rápida',
    'sign_in_to_start'                     => 'Regista-te para iniciar sessao',
    'sign_in'                              => 'Iniciar sessao',
    'register_new_account'                 => 'Registar nova conta',
    'forgot_my_password'                   => 'Esqueci-me da password',
    'problems_with_input'                  => 'Existem alguns problemas com o valor introduzido.',
    'reset_password'                       => 'Redefinir a password',
    'button_reset_password'                => 'Redefinir a password',
    'reset_button'                         => 'Redefinir',
    'want_to_login'                        => 'Fazer login',
    'login_page_title'                     => 'Login no Firefly III',
    'register_page_title'                  => 'Registar no Firefly III',
    'forgot_pw_page_title'                 => 'Esqueceste a password do Firefly III',
    'reset_pw_page_title'                  => 'Reiniciar a password do Firefly III',
    'cannot_reset_demo_user'               => 'Nao podes reiniciar a password do utilizador de demonstracao.',
    'no_att_demo_user'                     => 'O utilizador demo não pode enviar anexos.',
    'button_register'                      => 'Registar',
    'authorization'                        => 'Autorizacao',
    'active_bills_only'                    => 'apenas faturas ativas',
    'active_bills_only_total'              => 'todas as faturas ativas',
    'active_exp_bills_only'                => 'apenas faturas ativas e esperadas',
    'active_exp_bills_only_total'          => 'todas as faturas ativas e esperadas',
    'per_period_sum_1D'                    => 'Previsão de custos diários',
    'per_period_sum_1W'                    => 'Previsão de custos semanais',
    'per_period_sum_1M'                    => 'Previsão de custos mensais',
    'per_period_sum_3M'                    => 'Custos trimestrais esperados',
    'per_period_sum_6M'                    => 'Previsão de custos semestrais',
    'per_period_sum_1Y'                    => 'Previsão de custos anuais',
    'average_per_bill'                     => 'média por fatura',
    'expected_total'                       => 'total esperado',
    'reconciliation_account_name'          => ':name Reconciliação (:currency)',
    'saved'                                => 'Guardado',
    'advanced_options'                     => 'Opções avançadas',
    'advanced_options_explain'             => 'Algumas páginas no Firefly III têm opções avançadas escondidas atrás deste botão. Esta página não tem nada chique aqui, mas veja as outras!',
    'here_be_dragons'                      => 'Hic sunt dracones',

    // Webhooks
    'webhooks'                             => 'Webhooks',
    'webhooks_breadcrumb'                  => 'Webhooks',
    'no_webhook_messages'                  => 'There are no webhook messages',
    'webhook_trigger_STORE_TRANSACTION'    => 'After transaction creation',
    'webhook_trigger_UPDATE_TRANSACTION'   => 'After transaction update',
    'webhook_trigger_DESTROY_TRANSACTION'  => 'After transaction delete',
    'webhook_response_TRANSACTIONS'        => 'Transaction details',
    'webhook_response_ACCOUNTS'            => 'Account details',
    'webhook_response_none_NONE'           => 'No details',
    'webhook_delivery_JSON'                => 'JSON',
    'inspect'                              => 'Inspect',
    'create_new_webhook'                   => 'Create new webhook',
    'webhooks_create_breadcrumb'           => 'Create new webhook',
    'webhook_trigger_form_help'            => 'Indicate on what event the webhook will trigger',
    'webhook_response_form_help'           => 'Indicate what the webhook must submit to the URL.',
    'webhook_delivery_form_help'           => 'Which format the webhook must deliver data in.',
    'webhook_active_form_help'             => 'The webhook must be active or it won\'t be called.',
    'stored_new_webhook'                   => 'Stored new webhook ":title"',
    'delete_webhook'                       => 'Delete webhook',
    'deleted_webhook'                      => 'Deleted webhook ":title"',
    'edit_webhook'                         => 'Edit webhook ":title"',
    'updated_webhook'                      => 'Updated webhook ":title"',
    'edit_webhook_js'                      => 'Edit webhook "{title}"',
    'show_webhook'                         => 'Webhook ":title"',
    'webhook_was_triggered'                => 'The webhook was triggered on the indicated transaction. You can refresh this page to see the results.',
    'webhook_messages'                     => 'Webhook message',
    'view_message'                         => 'View message',
    'view_attempts'                        => 'View failed attempts',
    'message_content_title'                => 'Webhook message content',
    'message_content_help'                 => 'This is the content of the message that was sent (or tried) using this webhook.',
    'attempt_content_title'                => 'Webhook attempts',
    'attempt_content_help'                 => 'These are all the unsuccessful attempts of this webhook message to submit to the configured URL. After some time, Firefly III will stop trying.',
    'no_attempts'                          => 'There are no unsuccessful attempts. That\'s a good thing!',
    'webhook_attempt_at'                   => 'Attempt at {moment}',
    'logs'                                 => 'Logs',
    'response'                             => 'Response',
    'visit_webhook_url'                    => 'Visit webhook URL',
    'reset_webhook_secret'                 => 'Reset webhook secret',

    // API access
    'authorization_request'                => 'Firefly III v:version Solicitar Autorizacao',
    'authorization_request_intro'          => 'A aplicação "<strong>:client</strong>" está a pedir acesso à sua administração financeira. Gostaria de autorizar <strong>:client</strong> para aceder a esses registos?',
    'authorization_request_site'           => 'Será redirecionado para <code>:url</code> onde então será capaz de aceder aos seus dados do Firefly III.',
    'authorization_request_invalid'        => 'Este pedido de acesso é inválido. Por favor nunca siga este link novamente.',
    'scopes_will_be_able'                  => 'Esta aplicacao sera capaz de:',
    'button_authorize'                     => 'Autorizar',
    'none_in_select_list'                  => '(nenhum)',
    'no_piggy_bank'                        => '(nenhum mealheiro)',
    'name_in_currency'                     => ':name em :currency',
    'paid_in_currency'                     => 'Pago em :currency',
    'unpaid_in_currency'                   => 'Nao pago em :currency',
    'is_alpha_warning'                     => 'Está a executar uma versão ALPHA. Cuidado com bugs e problemas.',
    'is_beta_warning'                      => 'Está a executar uma versão ALPHA. Cuidado com bugs e problemas.',
    'all_destination_accounts'             => 'Contas de destino',
    'all_source_accounts'                  => 'Contas de origem',
    'back_to_index'                        => 'Voltar para o índice',
    'cant_logout_guard'                    => 'O Firefly III não consegue terminar a tua sessão.',
    'internal_reference'                   => 'Referência interna',

    // check for updates:
    'update_check_title'                   => 'Verificar por actualizacoes',
    'admin_update_check_title'             => 'Automaticamente verificar por actualizacoes',
    'admin_update_check_explain'           => 'Firefly III pode verificar actualizações automaticamente. Ao activar esta opção, ele entrará em contacto com o servidor de actualização do Firefly III para ver se uma nova versão está disponível. Quando estiver, receberá uma notificação. Pode testar esta notificação utilizando o botão à direita. Indique abaixo se você quer que o Firefly III verifique se há actualizações.',
    'check_for_updates_permission'         => 'O FIrefly III pode procurar por atualizações mas necessita da sua permissão para isso. Por favor dirija-se a <a href=":link">administração</a> para indicar se gostaria de ter esta funcionalidade ativa.',
    'updates_ask_me_later'                 => 'Perguntar-me novamente mais tarde',
    'updates_do_not_check'                 => 'Nao procurar por actualizacoes',
    'updates_enable_check'                 => 'Activar a procura por actualizacoes',
    'admin_update_check_now_title'         => 'Procurar por actualizacoes agora',
    'admin_update_check_now_explain'       => 'Se premires o botao, o Firefly III vai verificar se a versao actual e a mais recente.',
    'check_for_updates_button'             => 'Verificar agora!',
    'update_new_version_alert'             => 'Uma nova versão do Firefly III está disponível. Está com a versão :your_version, a versão mais recente é :new_version que foi lançada em :date.',
    'update_version_beta'                  => 'Esta versão é BETA. Pode ter problemas.',
    'update_version_alpha'                 => 'Esta versão é ALPHA. Pode ter problemas.',
    'update_current_version_alert'         => 'Está a executar :version, que é a última versão disponível.',
    'update_newer_version_alert'           => 'Está a executar :your_version, que é mais recente que a ultima versão, :new_version.',
    'update_check_error'                   => 'Ocorreu um erro durante a verificação de actualizações: :error',
    'unknown_error'                        => 'Erro desconhecido. Pedimos desculpa.',
    'just_new_release'                     => 'Uma nova versão está disponível! A versão :version foi lançada a :date. Esta versão é muito recente. Aguarde alguns dias para que a nova versão possa ser estabilizada.',
    'disabled_but_check'                   => 'Desactivou a verificação de actualizações. Mas, não se esqueça de verificar se há actualizações de vez em quando. Obrigado!',
    'admin_update_channel_title'           => 'Actualizar canal',
    'admin_update_channel_explain'         => 'O Firefly III tem três "canais" de atualizações que determinam o quão há frente você está em termos de funcionalidades, melhorias e erros. Utilize o canal "beta" se gostar de aventuras e o "alpha" se gostar de viver a vida ao limite.',
    'update_channel_stable'                => 'Estável. Deve estar a funcionar como esperado.',
    'update_channel_beta'                  => 'Beta. Novas funcionalidades, mas as algumas coisas podem ter problemas.',
    'update_channel_alpha'                 => 'Alfa. Fazemos o que vier, e o que ficar fica.',

    // search
    'search'                               => 'Procurar',
    'search_query'                         => 'Pesquisa',
    'search_found_transactions'            => 'Firefly III encontrou :count transacção em :time segundos.|Firefly III encontrou :count transacções em :time segundos.',
    'search_found_more_transactions'       => 'Firefly III encontrou mais de :count transacções em :time segundos.',
    'search_for_query'                     => 'O Firefly III está à procura de transacções com as palavras: <span class="text-info">:query</span>',
    'invalid_operators_list'               => 'Estes parâmetros de pesquisa não são válidos e foram ignorados.',

    // old

    'search_modifier_date_on'                             => 'A data da transação é ":value"',
    'search_modifier_not_date_on'                         => 'Transaction date is not ":value"',
    'search_modifier_reconciled'                          => 'Transaction is reconciled',
    'search_modifier_not_reconciled'                      => 'Transaction is not reconciled',
    'search_modifier_id'                                  => 'O ID da transação é ":value"',
    'search_modifier_not_id'                              => 'Transaction ID is not ":value"',
    'search_modifier_date_before'                         => 'A data da transacção é anterior ou a ":value"',
    'search_modifier_date_after'                          => 'A data da transacção é posterior ou a ":value"',
    'search_modifier_external_id_is'                      => 'ID externo é ":value"',
    'search_modifier_not_external_id_is'                  => 'External ID is not ":value"',
    'search_modifier_no_external_url'                     => 'A transação não tem nenhum URL externo',
    'search_modifier_no_external_id'                      => 'The transaction has no external ID',
    'search_modifier_not_any_external_url'                => 'The transaction has no external URL',
    'search_modifier_not_any_external_id'                 => 'The transaction has no external ID',
    'search_modifier_any_external_url'                    => 'A transação tem que ter um URL externo (qualquer)',
    'search_modifier_any_external_id'                     => 'The transaction must have a (any) external ID',
    'search_modifier_not_no_external_url'                 => 'The transaction must have a (any) external URL',
    'search_modifier_not_no_external_id'                  => 'The transaction must have a (any) external ID',
    'search_modifier_internal_reference_is'               => 'A referência interna é ":value"',
    'search_modifier_not_internal_reference_is'           => 'Internal reference is not ":value"',
    'search_modifier_description_starts'                  => 'Description starts with ":value"',
    'search_modifier_not_description_starts'              => 'Description does not start with ":value"',
    'search_modifier_description_ends'                    => 'Description ends on ":value"',
    'search_modifier_not_description_ends'                => 'Description does not end on ":value"',
    'search_modifier_description_contains'                => 'A descrição contém ":value"',
    'search_modifier_not_description_contains'            => 'Description does not contain ":value"',
    'search_modifier_description_is'                      => 'A descrição é exactamente ":value"',
    'search_modifier_not_description_is'                  => 'Description is exactly not ":value"',
    'search_modifier_currency_is'                         => 'A transacção de moeda (estrangeira) é ":value"',
    'search_modifier_not_currency_is'                     => 'Transaction (foreign) currency is not ":value"',
    'search_modifier_foreign_currency_is'                 => 'A moeda estrangeira da transacção é ":value"',
    'search_modifier_not_foreign_currency_is'             => 'Transaction foreign currency is not ":value"',
    'search_modifier_has_attachments'                     => 'A transacção tem que ter um anexo',
    'search_modifier_has_no_category'                     => 'A transacção não pode ter nenhuma categoria',
    'search_modifier_not_has_no_category'                 => 'The transaction must have a (any) category',
    'search_modifier_not_has_any_category'                => 'The transaction must have no category',
    'search_modifier_has_any_category'                    => 'A transacção tem que ter uma categoria (qualquer)',
    'search_modifier_has_no_budget'                       => 'A transacção não deve ter um orçamento',
    'search_modifier_not_has_any_budget'                  => 'The transaction must have no budget',
    'search_modifier_has_any_budget'                      => 'A transacção tem que ter um orçamento (qualquer)',
    'search_modifier_not_has_no_budget'                   => 'The transaction must have a (any) budget',
    'search_modifier_has_no_bill'                         => 'A transação não pode conter uma fatura',
    'search_modifier_not_has_no_bill'                     => 'The transaction must have a (any) bill',
    'search_modifier_has_any_bill'                        => 'A transação deve ter (alguma) fatura',
    'search_modifier_not_has_any_bill'                    => 'The transaction must have no bill',
    'search_modifier_has_no_tag'                          => 'A transação não pode ter etiquetas',
    'search_modifier_not_has_any_tag'                     => 'The transaction must have no tags',
    'search_modifier_not_has_no_tag'                      => 'The transaction must have a (any) tag',
    'search_modifier_has_any_tag'                         => 'A transação tem que ter uma etiqueta (qualquer)',
    'search_modifier_notes_contains'                      => 'As notas de transação contêm ":value"',
    'search_modifier_not_notes_contains'                  => 'The transaction notes do not contain ":value"',
    'search_modifier_notes_starts'                        => 'As notas da transacção começam com ":value"',
    'search_modifier_not_notes_starts'                    => 'The transaction notes do not start with ":value"',
    'search_modifier_notes_ends'                          => 'As notas da transacção acabam com ":value"',
    'search_modifier_not_notes_ends'                      => 'The transaction notes do not end with ":value"',
    'search_modifier_notes_is'                            => 'As notas da transacção são exactamente ":value"',
    'search_modifier_not_notes_is'                        => 'The transaction notes are exactly not ":value"',
    'search_modifier_no_notes'                            => 'A transacção não pode tem notas',
    'search_modifier_not_no_notes'                        => 'The transaction must have notes',
    'search_modifier_any_notes'                           => 'A transacção tem que ter notas',
    'search_modifier_not_any_notes'                       => 'The transaction has no notes',
    'search_modifier_amount_is'                           => 'O valor é exactamente :value',
    'search_modifier_not_amount_is'                       => 'Amount is not :value',
    'search_modifier_amount_less'                         => 'Valor é menor ou igual a :value',
    'search_modifier_not_amount_more'                     => 'Amount is less than or equal to :value',
    'search_modifier_amount_more'                         => 'Valor é maior ou igual a :value',
    'search_modifier_not_amount_less'                     => 'Amount is more than or equal to :value',
    'search_modifier_source_account_is'                   => 'O nome da conta de origem é exactamente ":value"',
    'search_modifier_not_source_account_is'               => 'Source account name is not ":value"',
    'search_modifier_source_account_contains'             => 'O nome da conta de origem contém ":value"',
    'search_modifier_not_source_account_contains'         => 'Source account name does not contain ":value"',
    'search_modifier_source_account_starts'               => 'Nome da conta de origem começa com ":value"',
    'search_modifier_not_source_account_starts'           => 'Source account name does not start with ":value"',
    'search_modifier_source_account_ends'                 => 'O nome da conta de origem acaba com ":value"',
    'search_modifier_not_source_account_ends'             => 'Source account name does not end with ":value"',
    'search_modifier_source_account_id'                   => 'ID da conta de origem é :value',
    'search_modifier_not_source_account_id'               => 'Source account ID is not :value',
    'search_modifier_source_account_nr_is'                => 'Número da conta de origem (IBAN) é ":value"',
    'search_modifier_not_source_account_nr_is'            => 'Source account number (IBAN) is not ":value"',
    'search_modifier_source_account_nr_contains'          => 'Número da conta de origem (IBAN) contém ":value"',
    'search_modifier_not_source_account_nr_contains'      => 'Source account number (IBAN) does not contain ":value"',
    'search_modifier_source_account_nr_starts'            => 'Número da conta de origem (IBAN) começa com ":value"',
    'search_modifier_not_source_account_nr_starts'        => 'Source account number (IBAN) does not start with ":value"',
    'search_modifier_source_account_nr_ends'              => 'Source account number (IBAN) ends on ":value"',
    'search_modifier_not_source_account_nr_ends'          => 'Source account number (IBAN) does not end on ":value"',
    'search_modifier_destination_account_is'              => 'O nome da conta de destino é exactamente ":value"',
    'search_modifier_not_destination_account_is'          => 'Destination account name is not ":value"',
    'search_modifier_destination_account_contains'        => 'Nome da conta de destino contém ":value"',
    'search_modifier_not_destination_account_contains'    => 'Destination account name does not contain ":value"',
    'search_modifier_destination_account_starts'          => 'O nome da conta de destino começa com ":value"',
    'search_modifier_not_destination_account_starts'      => 'Destination account name does not start with ":value"',
    'search_modifier_destination_account_ends'            => 'Destination account name ends on ":value"',
    'search_modifier_not_destination_account_ends'        => 'Destination account name does not end on ":value"',
    'search_modifier_destination_account_id'              => 'ID da conta de destino é :value',
    'search_modifier_not_destination_account_id'          => 'Destination account ID is not :value',
    'search_modifier_destination_is_cash'                 => 'Destination account is the "(cash)" account',
    'search_modifier_not_destination_is_cash'             => 'Destination account is not the "(cash)" account',
    'search_modifier_source_is_cash'                      => 'Source account is the "(cash)" account',
    'search_modifier_not_source_is_cash'                  => 'Source account is not the "(cash)" account',
    'search_modifier_destination_account_nr_is'           => 'Número da conta de destino (IBAN) é ":value"',
    'search_modifier_not_destination_account_nr_is'       => 'Destination account number (IBAN) is ":value"',
    'search_modifier_destination_account_nr_contains'     => 'O número da conta de destino (IBAN) contém ":value"',
    'search_modifier_not_destination_account_nr_contains' => 'Destination account number (IBAN) does not contain ":value"',
    'search_modifier_destination_account_nr_starts'       => 'Número da conta de destino (IBAN) começa com ":value"',
    'search_modifier_not_destination_account_nr_starts'   => 'Destination account number (IBAN) does not start with ":value"',
    'search_modifier_destination_account_nr_ends'         => 'Número da conta de destino (IBAN) acaba com ":value"',
    'search_modifier_not_destination_account_nr_ends'     => 'Destination account number (IBAN) does not end with ":value"',
    'search_modifier_account_id'                          => 'O ID da conta de origem ou destino é/são: :value',
    'search_modifier_not_account_id'                      => 'Source or destination account ID\'s is/are not: :value',
    'search_modifier_category_is'                         => 'A categoria é ":value"',
    'search_modifier_not_category_is'                     => 'Category is not ":value"',
    'search_modifier_budget_is'                           => 'O orçamento é ":value"',
    'search_modifier_not_budget_is'                       => 'Budget is not ":value"',
    'search_modifier_bill_is'                             => 'A fatura é ":value"',
    'search_modifier_not_bill_is'                         => 'Bill is not ":value"',
    'search_modifier_transaction_type'                    => 'Tipo de transacção é ":value"',
    'search_modifier_not_transaction_type'                => 'Transaction type is not ":value"',
    'search_modifier_tag_is'                              => 'A etiqueta é ":value"',
    'search_modifier_not_tag_is'                          => 'No tag is ":value"',
    'search_modifier_date_on_year'                        => 'A transação é do ano ":value"',
    'search_modifier_not_date_on_year'                    => 'Transaction is not in year ":value"',
    'search_modifier_date_on_month'                       => 'A transação é do mês ":value"',
    'search_modifier_not_date_on_month'                   => 'Transaction is not in month ":value"',
    'search_modifier_date_on_day'                         => 'A transação é no dia do mês ":value"',
    'search_modifier_not_date_on_day'                     => 'Transaction is not on day of month ":value"',
    'search_modifier_date_before_year'                    => 'A transação é antes ou no ano ":value"',
    'search_modifier_date_before_month'                   => 'A transação é antes ou no mês ":value"',
    'search_modifier_date_before_day'                     => 'A transação é antes ou no dia do mês ":value"',
    'search_modifier_date_after_year'                     => 'A transação é no ou depois do ano ":value"',
    'search_modifier_date_after_month'                    => 'A transação é no ou depois do mês ":value"',
    'search_modifier_date_after_day'                      => 'A transação é depois ou no dia do mês ":value"',


    // new
    'search_modifier_tag_is_not'                          => 'Nenhuma etiqueta é ":value"',
    'search_modifier_not_tag_is_not'                      => 'Tag is ":value"',
    'search_modifier_account_is'                          => 'Qualquer das contas é ":value"',
    'search_modifier_not_account_is'                      => 'Neither account is ":value"',
    'search_modifier_account_contains'                    => 'Qualquer das contas contêm ":value"',
    'search_modifier_not_account_contains'                => 'Neither account contains ":value"',
    'search_modifier_account_ends'                        => 'Qualquer das contas acaba com ":value"',
    'search_modifier_not_account_ends'                    => 'Neither account ends with ":value"',
    'search_modifier_account_starts'                      => 'Qualquer das contas começa com ":value"',
    'search_modifier_not_account_starts'                  => 'Neither account starts with ":value"',
    'search_modifier_account_nr_is'                       => 'Qualquer um dos números de conta/IBAN é ":value"',
    'search_modifier_not_account_nr_is'                   => 'Neither account number / IBAN is ":value"',
    'search_modifier_account_nr_contains'                 => 'Qualquer um dos números de conta/IBAN contêm ":value"',
    'search_modifier_not_account_nr_contains'             => 'Neither account number / IBAN contains ":value"',
    'search_modifier_account_nr_ends'                     => 'Qualquer um dos números de conta/IBAN acaba em ":value"',
    'search_modifier_not_account_nr_ends'                 => 'Neither account number / IBAN ends with ":value"',
    'search_modifier_account_nr_starts'                   => 'Qualquer um dos números de conta/IBAN começa com ":value"',
    'search_modifier_not_account_nr_starts'               => 'Neither account number / IBAN starts with ":value"',
    'search_modifier_category_contains'                   => 'A categoria contém ":value"',
    'search_modifier_not_category_contains'               => 'Category does not contain ":value"',
    'search_modifier_category_ends'                       => 'Category ends on ":value"',
    'search_modifier_not_category_ends'                   => 'Category does not end on ":value"',
    'search_modifier_category_starts'                     => 'A categoria começa com ":value"',
    'search_modifier_not_category_starts'                 => 'Category does not start with ":value"',
    'search_modifier_budget_contains'                     => 'O orçamento contém ":value"',
    'search_modifier_not_budget_contains'                 => 'Budget does not contain ":value"',
    'search_modifier_budget_ends'                         => 'O orçamento acaba com ":value"',
    'search_modifier_not_budget_ends'                     => 'Budget does not end on ":value"',
    'search_modifier_budget_starts'                       => 'O orçamento começa com ":value"',
    'search_modifier_not_budget_starts'                   => 'Budget does not start with ":value"',
    'search_modifier_bill_contains'                       => 'A fatura contêm ":value"',
    'search_modifier_not_bill_contains'                   => 'Bill does not contain ":value"',
    'search_modifier_bill_ends'                           => 'A fatura termina com ":value"',
    'search_modifier_not_bill_ends'                       => 'Bill does not end on ":value"',
    'search_modifier_bill_starts'                         => 'A fatura começa com ":value"',
    'search_modifier_not_bill_starts'                     => 'Bill does not start with ":value"',
    'search_modifier_external_id_contains'                => 'O ID Externo contém ":value"',
    'search_modifier_not_external_id_contains'            => 'External ID does not contain ":value"',
    'search_modifier_external_id_ends'                    => 'O ID Externo termina com ":value"',
    'search_modifier_not_external_id_ends'                => 'External ID does not end with ":value"',
    'search_modifier_external_id_starts'                  => 'O ID Externo começa em ":value"',
    'search_modifier_not_external_id_starts'              => 'External ID does not start with ":value"',
    'search_modifier_internal_reference_contains'         => 'A referência interna contêm ":value"',
    'search_modifier_not_internal_reference_contains'     => 'Internal reference does not contain ":value"',
    'search_modifier_internal_reference_ends'             => 'A referência interna termina em ":value"',
    'search_modifier_internal_reference_starts'           => 'A referência interna começa com ":value"',
    'search_modifier_not_internal_reference_ends'         => 'Internal reference does not end with ":value"',
    'search_modifier_not_internal_reference_starts'       => 'Internal reference does not start with ":value"',
    'search_modifier_external_url_is'                     => 'O URL externo é ":value"',
    'search_modifier_not_external_url_is'                 => 'External URL is not ":value"',
    'search_modifier_external_url_contains'               => 'O URL externo contém ":value"',
    'search_modifier_not_external_url_contains'           => 'External URL does not contain ":value"',
    'search_modifier_external_url_ends'                   => 'O URL externo termina em ":value"',
    'search_modifier_not_external_url_ends'               => 'External URL does not end with ":value"',
    'search_modifier_external_url_starts'                 => 'O URL externo começa com ":value"',
    'search_modifier_not_external_url_starts'             => 'External URL does not start with ":value"',
    'search_modifier_has_no_attachments'                  => 'A transacção não tem anexos',
    'search_modifier_not_has_no_attachments'              => 'Transaction has attachments',
    'search_modifier_not_has_attachments'                 => 'Transaction has no attachments',
    'search_modifier_account_is_cash'                     => 'Either account is the "(cash)" account.',
    'search_modifier_not_account_is_cash'                 => 'Neither account is the "(cash)" account.',
    'search_modifier_journal_id'                          => 'The journal ID is ":value"',
    'search_modifier_not_journal_id'                      => 'The journal ID is not ":value"',
    'search_modifier_recurrence_id'                       => 'The recurring transaction ID is ":value"',
    'search_modifier_not_recurrence_id'                   => 'The recurring transaction ID is not ":value"',
    'search_modifier_foreign_amount_is'                   => 'The foreign amount is ":value"',
    'search_modifier_not_foreign_amount_is'               => 'The foreign amount is not ":value"',
    'search_modifier_foreign_amount_less'                 => 'The foreign amount is less than ":value"',
    'search_modifier_not_foreign_amount_more'             => 'The foreign amount is less than ":value"',
    'search_modifier_not_foreign_amount_less'             => 'The foreign amount is more than ":value"',
    'search_modifier_foreign_amount_more'                 => 'The foreign amount is more than ":value"',
    'search_modifier_exists'                              => 'Transaction exists (any transaction)',
    'search_modifier_not_exists'                          => 'Transaction does not exist (no transaction)',

    // date fields
    'search_modifier_interest_date_on'                    => 'Transaction interest date is ":value"',
    'search_modifier_not_interest_date_on'                => 'Transaction interest date is not ":value"',
    'search_modifier_interest_date_on_year'               => 'Transaction interest date is in year ":value"',
    'search_modifier_not_interest_date_on_year'           => 'Transaction interest date is not in year ":value"',
    'search_modifier_interest_date_on_month'              => 'Transaction interest date is in month ":value"',
    'search_modifier_not_interest_date_on_month'          => 'Transaction interest date is not in month ":value"',
    'search_modifier_interest_date_on_day'                => 'Transaction interest date is on day of month ":value"',
    'search_modifier_not_interest_date_on_day'            => 'Transaction interest date is not on day of month ":value"',
    'search_modifier_interest_date_before_year'           => 'Transaction interest date is before or in year ":value"',
    'search_modifier_interest_date_before_month'          => 'Transaction interest date is before or in month ":value"',
    'search_modifier_interest_date_before_day'            => 'Transaction interest date is before or on day of month ":value"',
    'search_modifier_interest_date_after_year'            => 'Transaction interest date is after or in year ":value"',
    'search_modifier_interest_date_after_month'           => 'Transaction interest date is after or in month ":value"',
    'search_modifier_interest_date_after_day'             => 'Transaction interest date is after or on day of month ":value"',
    'search_modifier_book_date_on_year'                   => 'Transaction book date is in year ":value"',
    'search_modifier_book_date_on_month'                  => 'Transaction book date is in month ":value"',
    'search_modifier_book_date_on_day'                    => 'Transaction book date is on day of month ":value"',
    'search_modifier_not_book_date_on_year'               => 'Transaction book date is not in year ":value"',
    'search_modifier_not_book_date_on_month'              => 'Transaction book date is not in month ":value"',
    'search_modifier_not_book_date_on_day'                => 'Transaction book date is not on day of month ":value"',
    'search_modifier_book_date_before_year'               => 'Transaction book date is before or in year ":value"',
    'search_modifier_book_date_before_month'              => 'Transaction book date is before or in month ":value"',
    'search_modifier_book_date_before_day'                => 'Transaction book date is before or on day of month ":value"',
    'search_modifier_book_date_after_year'                => 'Transaction book date is after or in year ":value"',
    'search_modifier_book_date_after_month'               => 'Transaction book date is after or in month ":value"',
    'search_modifier_book_date_after_day'                 => 'Transaction book date is after or on day of month ":value"',
    'search_modifier_process_date_on_year'                => 'Transaction process date is in year ":value"',
    'search_modifier_process_date_on_month'               => 'Transaction process date is in month ":value"',
    'search_modifier_process_date_on_day'                 => 'Transaction process date is on day of month ":value"',
    'search_modifier_not_process_date_on_year'            => 'Transaction process date is not in year ":value"',
    'search_modifier_not_process_date_on_month'           => 'Transaction process date is not in month ":value"',
    'search_modifier_not_process_date_on_day'             => 'Transaction process date is not on day of month ":value"',
    'search_modifier_process_date_before_year'            => 'Transaction process date is before or in year ":value"',
    'search_modifier_process_date_before_month'           => 'Transaction process date is before or in month ":value"',
    'search_modifier_process_date_before_day'             => 'Transaction process date is before or on day of month ":value"',
    'search_modifier_process_date_after_year'             => 'Transaction process date is after or in year ":value"',
    'search_modifier_process_date_after_month'            => 'Transaction process date is after or in month ":value"',
    'search_modifier_process_date_after_day'              => 'Transaction process date is after or on day of month ":value"',
    'search_modifier_due_date_on_year'                    => 'Transaction due date is in year ":value"',
    'search_modifier_due_date_on_month'                   => 'Transaction due date is in month ":value"',
    'search_modifier_due_date_on_day'                     => 'Transaction due date is on day of month ":value"',
    'search_modifier_not_due_date_on_year'                => 'Transaction due date is not in year ":value"',
    'search_modifier_not_due_date_on_month'               => 'Transaction due date is not in month ":value"',
    'search_modifier_not_due_date_on_day'                 => 'Transaction due date is not on day of month ":value"',
    'search_modifier_due_date_before_year'                => 'Transaction due date is before or in year ":value"',
    'search_modifier_due_date_before_month'               => 'Transaction due date is before or in month ":value"',
    'search_modifier_due_date_before_day'                 => 'Transaction due date is before or on day of month ":value"',
    'search_modifier_due_date_after_year'                 => 'Transaction due date is after or in year ":value"',
    'search_modifier_due_date_after_month'                => 'Transaction due date is after or in month ":value"',
    'search_modifier_due_date_after_day'                  => 'Transaction due date is after or on day of month ":value"',
    'search_modifier_payment_date_on_year'                => 'Transaction payment date is in year ":value"',
    'search_modifier_payment_date_on_month'               => 'Transaction payment date is in month ":value"',
    'search_modifier_payment_date_on_day'                 => 'Transaction payment date is on day of month ":value"',
    'search_modifier_not_payment_date_on_year'            => 'Transaction payment date is not in year ":value"',
    'search_modifier_not_payment_date_on_month'           => 'Transaction payment date is not in month ":value"',
    'search_modifier_not_payment_date_on_day'             => 'Transaction payment date is not on day of month ":value"',
    'search_modifier_payment_date_before_year'            => 'Transaction payment date is before or in year ":value"',
    'search_modifier_payment_date_before_month'           => 'Transaction payment date is before or in month ":value"',
    'search_modifier_payment_date_before_day'             => 'Transaction payment date is before or on day of month ":value"',
    'search_modifier_payment_date_after_year'             => 'Transaction payment date is after or in year ":value"',
    'search_modifier_payment_date_after_month'            => 'Transaction payment date is after or in month ":value"',
    'search_modifier_payment_date_after_day'              => 'Transaction payment date is after or on day of month ":value"',
    'search_modifier_invoice_date_on_year'                => 'Transaction invoice date is in year ":value"',
    'search_modifier_invoice_date_on_month'               => 'Transaction invoice date is in month ":value"',
    'search_modifier_invoice_date_on_day'                 => 'Transaction invoice date is on day of month ":value"',
    'search_modifier_not_invoice_date_on_year'            => 'Transaction invoice date is not in year ":value"',
    'search_modifier_not_invoice_date_on_month'           => 'Transaction invoice date is not in month ":value"',
    'search_modifier_not_invoice_date_on_day'             => 'Transaction invoice date is not on day of month ":value"',
    'search_modifier_invoice_date_before_year'            => 'Transaction invoice date is before or in year ":value"',
    'search_modifier_invoice_date_before_month'           => 'Transaction invoice date is before or in month ":value"',
    'search_modifier_invoice_date_before_day'             => 'Transaction invoice date is before or on day of month ":value"',
    'search_modifier_invoice_date_after_year'             => 'Transaction invoice date is after or in year ":value"',
    'search_modifier_invoice_date_after_month'            => 'Transaction invoice date is after or in month ":value"',
    'search_modifier_invoice_date_after_day'              => 'Transaction invoice date is after or on day of month ":value"',
    // other dates
    'search_modifier_updated_at_on_year'                  => 'Transaction was last updated in year ":value"',
    'search_modifier_updated_at_on_month'                 => 'Transaction was last updated in month ":value"',
    'search_modifier_updated_at_on_day'                   => 'Transaction was last updated on day of month ":value"',
    'search_modifier_not_updated_at_on_year'              => 'Transaction was not last updated in year ":value"',
    'search_modifier_not_updated_at_on_month'             => 'Transaction was not last updated in month ":value"',
    'search_modifier_not_updated_at_on_day'               => 'Transaction was not last updated on day of month ":value"',
    'search_modifier_updated_at_before_year'              => 'Transaction was last updated in or before year ":value"',
    'search_modifier_updated_at_before_month'             => 'Transaction was last updated in or before month ":value"',
    'search_modifier_updated_at_before_day'               => 'Transaction was last updated on or before day of month ":value"',
    'search_modifier_updated_at_after_year'               => 'Transaction was last updated in or after year ":value"',
    'search_modifier_updated_at_after_month'              => 'Transaction was last updated in or after month ":value"',
    'search_modifier_updated_at_after_day'                => 'Transaction was last updated on or after day of month ":value"',
    'search_modifier_created_at_on_year'                  => 'Transaction was created in year ":value"',
    'search_modifier_created_at_on_month'                 => 'Transaction was created in month ":value"',
    'search_modifier_created_at_on_day'                   => 'Transaction was created on day of month ":value"',
    'search_modifier_not_created_at_on_year'              => 'Transaction was not created in year ":value"',
    'search_modifier_not_created_at_on_month'             => 'Transaction was not created in month ":value"',
    'search_modifier_not_created_at_on_day'               => 'Transaction was not created on day of month ":value"',
    'search_modifier_created_at_before_year'              => 'Transaction was created in or before year ":value"',
    'search_modifier_created_at_before_month'             => 'Transaction was created in or before month ":value"',
    'search_modifier_created_at_before_day'               => 'Transaction was created on or before day of month ":value"',
    'search_modifier_created_at_after_year'               => 'Transaction was created in or after year ":value"',
    'search_modifier_created_at_after_month'              => 'Transaction was created in or after month ":value"',
    'search_modifier_created_at_after_day'                => 'Transaction was created on or after day of month ":value"',
    'search_modifier_interest_date_before'                => 'Transaction interest date is on or before ":value"',
    'search_modifier_interest_date_after'                 => 'Transaction interest date is on or after ":value"',
    'search_modifier_book_date_on'                        => 'Transaction book date is on ":value"',
    'search_modifier_not_book_date_on'                    => 'Transaction book date is not on ":value"',
    'search_modifier_book_date_before'                    => 'Transaction book date is on or before ":value"',
    'search_modifier_book_date_after'                     => 'Transaction book date is on or after ":value"',
    'search_modifier_process_date_on'                     => 'Transaction process date is on ":value"',
    'search_modifier_not_process_date_on'                 => 'Transaction process date is not on ":value"',
    'search_modifier_process_date_before'                 => 'Transaction process date is on or before ":value"',
    'search_modifier_process_date_after'                  => 'Transaction process date is on or after ":value"',
    'search_modifier_due_date_on'                         => 'Transaction due date is on ":value"',
    'search_modifier_not_due_date_on'                     => 'Transaction due date is not on ":value"',
    'search_modifier_due_date_before'                     => 'Transaction due date is on or before ":value"',
    'search_modifier_due_date_after'                      => 'Transaction due date is on or after ":value"',
    'search_modifier_payment_date_on'                     => 'Transaction payment date is on ":value"',
    'search_modifier_not_payment_date_on'                 => 'Transaction payment date is not on ":value"',
    'search_modifier_payment_date_before'                 => 'Transaction payment date is on or before ":value"',
    'search_modifier_payment_date_after'                  => 'Transaction payment date is on or after ":value"',
    'search_modifier_invoice_date_on'                     => 'Transaction invoice date is on ":value"',
    'search_modifier_not_invoice_date_on'                 => 'Transaction invoice date is not on ":value"',
    'search_modifier_invoice_date_before'                 => 'Transaction invoice date is on or before ":value"',
    'search_modifier_invoice_date_after'                  => 'Transaction invoice date is on or after ":value"',
    'search_modifier_created_at_on'                       => 'Transaction was created on ":value"',
    'search_modifier_not_created_at_on'                   => 'Transaction was not created on ":value"',
    'search_modifier_created_at_before'                   => 'Transaction was created on or before ":value"',
    'search_modifier_created_at_after'                    => 'Transaction was created on or after ":value"',
    'search_modifier_updated_at_on'                       => 'Transaction was updated on ":value"',
    'search_modifier_not_updated_at_on'                   => 'Transaction was not updated on ":value"',
    'search_modifier_updated_at_before'                   => 'Transaction was updated on or before ":value"',
    'search_modifier_updated_at_after'                    => 'Transaction was updated on or after ":value"',

    'search_modifier_attachment_name_is'                  => 'Any attachment\'s name is ":value"',
    'search_modifier_attachment_name_contains'            => 'Any attachment\'s name contains ":value"',
    'search_modifier_attachment_name_starts'              => 'Any attachment\'s name starts with ":value"',
    'search_modifier_attachment_name_ends'                => 'Any attachment\'s name ends with ":value"',
    'search_modifier_attachment_notes_are'                => 'Any attachment\'s notes are ":value"',
    'search_modifier_attachment_notes_contains'           => 'Any attachment\'s notes contain ":value"',
    'search_modifier_attachment_notes_starts'             => 'Any attachment\'s notes start with ":value"',
    'search_modifier_attachment_notes_ends'               => 'Any attachment\'s notes end with ":value"',
    'search_modifier_not_attachment_name_is'              => 'Any attachment\'s name is not ":value"',
    'search_modifier_not_attachment_name_contains'        => 'Any attachment\'s name does not contain ":value"',
    'search_modifier_not_attachment_name_starts'          => 'Any attachment\'s name does not start with ":value"',
    'search_modifier_not_attachment_name_ends'            => 'Any attachment\'s name does not end with ":value"',
    'search_modifier_not_attachment_notes_are'            => 'Any attachment\'s notes are not ":value"',
    'search_modifier_not_attachment_notes_contains'       => 'Any attachment\'s notes do not contain ":value"',
    'search_modifier_not_attachment_notes_starts'         => 'Any attachment\'s notes start with ":value"',
    'search_modifier_not_attachment_notes_ends'           => 'Any attachment\'s notes do not end with ":value"',
    'search_modifier_sepa_ct_is'                          => 'SEPA CT is ":value"',
    'update_rule_from_query'                              => 'Actualizar regra ":rule" da pesquisa',
    'create_rule_from_query'                              => 'Criar nova regra a partir da pesquisa',
    'rule_from_search_words'                              => 'O mecanismo de regras tem dificuldade com ":string". A regra sugerida que se encaixa na pesquisa pode mostrar resultados diferentes. Por favor, verifique os gatilhos das regras cuidadosamente.',


    // END
    'modifiers_applies_are'                               => 'Os seguintes modificadores também são aplicados à pesquisa:',
    'general_search_error'                                => 'Ocorreu um erro ao procurar. Por favor, verifique os arquivos de log para mais informações.',
    'search_box'                                          => 'Pesquisa',
    'search_box_intro'                                    => 'Bem vindo a funcao de pesquisa do Firefly III. Introduz os termos de pesquisa na caixa. Certifica-te que olhas o nosso ficheiro de ajuda porque a pesquisa e bastante avancada.',
    'search_error'                                        => 'Erro durante a pesquisa',
    'search_searching'                                    => 'A pesquisar ...',
    'search_results'                                      => 'Resultados da pesquisa',

    // repeat frequencies:
    'repeat_freq_yearly'                                  => 'anualmente',
    'repeat_freq_half-year'                               => 'todo meio ano',
    'repeat_freq_quarterly'                               => 'trimestral',
    'repeat_freq_monthly'                                 => 'mensalmente',
    'repeat_freq_weekly'                                  => 'semanalmente',
    'repeat_freq_daily'                                   => 'diariamente',
    'daily'                                               => 'diariamente',
    'weekly'                                              => 'semanalmente',
    'quarterly'                                           => 'trimestral',
    'half-year'                                           => 'todo meio ano',
    'yearly'                                              => 'anual',

    // rules
    'is_not_rule_trigger'                                 => 'Not',
    'cannot_fire_inactive_rules'                          => 'Você não pode executar regras inactivas.',
    'rules'                                               => 'Regras',
    'rule_name'                                           => 'Nome da regra',
    'rule_triggers'                                       => 'Regra dispara quando',
    'rule_actions'                                        => 'Regra vai',
    'new_rule'                                            => 'Nova regra',
    'new_rule_group'                                      => 'Novo grupo de regras',
    'rule_priority_up'                                    => 'Dar mais prioridade a regra',
    'rule_priority_down'                                  => 'Dar menos prioridade a regra',
    'make_new_rule_group'                                 => 'Criar novo grupo de regras',
    'store_new_rule_group'                                => 'Gravar novo grupo de regras',
    'created_new_rule_group'                              => 'Novo grupo de regras ":title" gravado!',
    'updated_rule_group'                                  => 'Grupo de regras actualizado com sucesso ":title".',
    'edit_rule_group'                                     => 'Editar grupo de regras ":title"',
    'duplicate_rule'                                      => 'Duplicar regra ":title"',
    'rule_copy_of'                                        => 'Cópia de ":title"',
    'duplicated_rule'                                     => 'Duplicada regra ":title" para ":newTitle"',
    'delete_rule_group'                                   => 'Apagar grupo de regras ":title"',
    'deleted_rule_group'                                  => 'Grupo de regras ":title" apagado',
    'update_rule_group'                                   => 'Actualizar grupo de regras',
    'no_rules_in_group'                                   => 'Não há regras neste grupo',
    'move_rule_group_up'                                  => 'Mover para cima o grupo de regras',
    'move_rule_group_down'                                => 'Mover para baixo o grupo de regras',
    'save_rules_by_moving'                                => 'Guardar esta regra movendo-a para outro grupo de regras:|Salvar estas regras movendo-as para outro grupo de regras:',
    'make_new_rule'                                       => 'Adicione uma nova regra ao grupo de regras ":title"',
    'make_new_rule_no_group'                              => 'Criar uma nova regra',
    'instructions_rule_from_bill'                         => 'Para combinar transações com a sua nova fatura ":name", o Firefly III pode criar uma regra que verifica automaticamente todas as transações que guardar. Por favor, verifique os detalhes abaixo e guarde a regra para que o Firefly III combine automaticamente as transações para a sua nova fatura.',
    'instructions_rule_from_journal'                      => 'Crie uma regra com base numa das suas transacções. Complete ou envie o formulário abaixo.',
    'rule_is_strict'                                      => 'regra restrita',
    'rule_is_not_strict'                                  => 'regra nao restrita',
    'rule_help_stop_processing'                           => 'Quando você marcar esta caixa, as regras posteriores neste grupo não serão executadas.',
    'rule_help_strict'                                    => 'Nas regras estritas TODOS os disparos devem ser executados para a(s) ação(ões) ocorrerem. Nas regras não estritas QUALQUER disparo é suficiente para executar uma ação.',
    'rule_help_active'                                    => 'Regras inactivas nunca dispararão.',
    'stored_new_rule'                                     => 'Guardada nova regra com o título ":title"',
    'deleted_rule'                                        => 'Apagada regra com o título ":title"',
    'store_new_rule'                                      => 'Gravar nova regra',
    'updated_rule'                                        => 'Actualizada a regra com o título ":title"',
    'default_rule_group_name'                             => 'Regras padrão',
    'default_rule_group_description'                      => 'Todas as regras não estão num grupo específico.',
    'trigger'                                             => 'Disparados',
    'trigger_value'                                       => 'Disparar no valor',
    'stop_processing_other_triggers'                      => 'Parar os outros disparos',
    'add_rule_trigger'                                    => 'Adicionar novo gatilho',
    'action'                                              => 'Acção',
    'action_value'                                        => 'Valor da ação',
    'stop_executing_other_actions'                        => 'Parar de executar outras acções',
    'add_rule_action'                                     => 'Adicionar nova acção',
    'edit_rule'                                           => 'Editar regra ":title"',
    'delete_rule'                                         => 'Apagar regra ":title"',
    'update_rule'                                         => 'Actualizar regra',
    'test_rule_triggers'                                  => 'Ver transacções correspondentes',
    'warning_no_matching_transactions'                    => 'Nenhuma transacção correspondente foi encontrada.',
    'warning_no_valid_triggers'                           => 'Nenhum gatilho válido encontrado.',
    'apply_rule_selection'                                => 'Aplicar a regra ":title" a uma selecção de transacções',
    'apply_rule_selection_intro'                          => 'Regras como ":title" são normalmente aplicadas a transações novas ou atualizadas, no entanto pode dizer ao Firefly III para executar as mesmas em transações selecionadas. Isto pode ser útil quando tiver atualizado uma regra e necessite de aplicar as alterações a todas as transações que devem ser afetas.',
    'include_transactions_from_accounts'                  => 'Incluir transações destas contas',
    'include'                                             => 'Incluir?',
    'applied_rule_selection'                              => '{0} Nenhuma transação na sua seleção foi alterada pela regra ":title".[1] Uma transação na sua seleção foi alterada pela regra ":title".├[2,*] :count transações na sua seleção foram alteradas pela regra ":title".',
    'execute'                                             => 'Executar',
    'apply_rule_group_selection'                          => 'Aplicar grupo de regras ":title" a uma selecção de transacções',
    'apply_rule_group_selection_intro'                    => 'Regras de grupo como ":title" são normalmente aplicadas a transações novas ou atualizadas, no entanto pode dizer ao Firefly III para executar as mesmas neste grupo em transações selecionadas. Isto pode ser útil quando tiver atualizado regras de grupo e necessite de aplicar as alterações a todas as transações que devem ser afetas.',
    'applied_rule_group_selection'                        => 'As regras de grupo ":title" foram aplicadas à sua seleção.',

    // actions and triggers
    'rule_trigger_store_journal'                          => 'Quando uma transacção é criada',
    'rule_trigger_update_journal'                         => 'Quando uma transacção é actualizada',
    'rule_trigger_user_action'                            => 'A ação de utilizador é ":trigger_value"',


    // OLD values (remove non-doubles later):
    'rule_trigger_source_account_starts_choice'           => 'O nome da conta de origem começa com..',
    'rule_trigger_source_account_starts'                  => 'O nome da conta de origem começa com ":trigger_value"',
    'rule_trigger_source_account_ends_choice'             => 'O nome da conta de origem acaba com..',
    'rule_trigger_source_account_ends'                    => 'O nome da conta de origem acaba com ":trigger_value"',
    'rule_trigger_source_account_is_choice'               => 'O nome da conta de origem é..',
    'rule_trigger_source_account_is'                      => 'O nome da conta de origem é ":trigger_value"',
    'rule_trigger_source_account_contains_choice'         => 'Nome da conta de origem contém..',
    'rule_trigger_source_account_contains'                => 'Nome da conta de origem contém ":trigger_value"',
    'rule_trigger_account_id_choice'                      => 'Either account ID is exactly..',
    'rule_trigger_account_id'                             => 'Either account ID is exactly :trigger_value',
    'rule_trigger_source_account_id_choice'               => 'O ID da conta de origem é exatamente..',
    'rule_trigger_source_account_id'                      => 'O ID da conta de origem é exactamente :trigger_value',
    'rule_trigger_destination_account_id_choice'          => 'O ID da conta de destino é exatamente..',
    'rule_trigger_destination_account_id'                 => 'O ID da conta de destino é exactamente :trigger_value',
    'rule_trigger_account_is_cash_choice'                 => 'Either account is cash',
    'rule_trigger_account_is_cash'                        => 'Either account is cash',
    'rule_trigger_source_is_cash_choice'                  => 'A conta de origem é uma conta (dinheiro)',
    'rule_trigger_source_is_cash'                         => 'A conta de origem é uma conta (dinheiro)',
    'rule_trigger_destination_is_cash_choice'             => 'A conta de destino é uma conta (dinheiro)',
    'rule_trigger_destination_is_cash'                    => 'A conta de destino é uma conta (dinheiro)',
    'rule_trigger_source_account_nr_starts_choice'        => 'Número de conta de origem / IBAN começa com..',
    'rule_trigger_source_account_nr_starts'               => 'Número de conta de origem / IBAN começa com ":trigger_value"',
    'rule_trigger_source_account_nr_ends_choice'          => 'Número de conta de origem / IBAN acaba com..',
    'rule_trigger_source_account_nr_ends'                 => 'Número de conta de origem / IBAN acaba com ":trigger_value"',
    'rule_trigger_source_account_nr_is_choice'            => 'Número de conta de origem / IBAN é..',
    'rule_trigger_source_account_nr_is'                   => 'O número da conta de origem / IBAN é ":trigger_value"',
    'rule_trigger_source_account_nr_contains_choice'      => 'Número da conta de origem / IBAN contém..',
    'rule_trigger_source_account_nr_contains'             => 'Número de conta de origem / IBAN contém ":trigger_value"',
    'rule_trigger_destination_account_starts_choice'      => 'Nome da conta de destino começa com..',
    'rule_trigger_destination_account_starts'             => 'O nome da conta de destino começa com ":trigger_value"',
    'rule_trigger_destination_account_ends_choice'        => 'O nome da conta de destino acaba com..',
    'rule_trigger_destination_account_ends'               => 'Nome da conta de destino acaba com ":trigger_value"',
    'rule_trigger_destination_account_is_choice'          => 'Nome da conta de destino é..',
    'rule_trigger_destination_account_is'                 => 'O nome da conta de destino é ":trigger_value"',
    'rule_trigger_destination_account_contains_choice'    => 'Nome da conta de destino contém..',
    'rule_trigger_destination_account_contains'           => 'Nome da conta de destino contém ":trigger_value"',
    'rule_trigger_destination_account_nr_starts_choice'   => 'Número da conta de destino / IBAN começa com..',
    'rule_trigger_destination_account_nr_starts'          => 'Número da conta de destino/IBAN começa com ":trigger_value"',
    'rule_trigger_destination_account_nr_ends_choice'     => 'Número da conta de destino / IBAN acaba com..',
    'rule_trigger_destination_account_nr_ends'            => 'Número da conta de destino/IBAN acaba com ":trigger_value"',
    'rule_trigger_destination_account_nr_is_choice'       => 'Número da conta de destino / IBAN é..',
    'rule_trigger_destination_account_nr_is'              => 'Número da conta de destino / IBAN é ":trigger_value"',
    'rule_trigger_destination_account_nr_contains_choice' => 'Número da conta de destino / IBAN contém..',
    'rule_trigger_destination_account_nr_contains'        => 'O número da conta de destino/IBAN contém ":trigger_value"',
    'rule_trigger_transaction_type_choice'                => 'A transação é do tipo..',
    'rule_trigger_transaction_type'                       => 'Transação é do tipo ":trigger_value"',
    'rule_trigger_category_is_choice'                     => 'A categoria é..',
    'rule_trigger_category_is'                            => 'A categoria é ":trigger_value"',
    'rule_trigger_amount_less_choice'                     => 'O montante é menos de..',
    'rule_trigger_amount_less'                            => 'Quantia é menor que :trigger_value',
    'rule_trigger_amount_is_choice'                       => 'O montante é..',
    'rule_trigger_amount_is'                              => 'Amount is :trigger_value',
    'rule_trigger_amount_more_choice'                     => 'O montante é maior que..',
    'rule_trigger_amount_more'                            => 'Quantia é maior que :trigger_value',
    'rule_trigger_description_starts_choice'              => 'A descricao comeca com..',
    'rule_trigger_description_starts'                     => 'Descrição começa com ":trigger_value"',
    'rule_trigger_description_ends_choice'                => 'A descricao termina com..',
    'rule_trigger_description_ends'                       => 'Descrição acaba com ":trigger_value"',
    'rule_trigger_description_contains_choice'            => 'A descricao contem..',
    'rule_trigger_description_contains'                   => 'Descrição contém ":trigger_value"',
    'rule_trigger_description_is_choice'                  => 'A descrição é..',
    'rule_trigger_description_is'                         => 'Descrição é ":trigger_value"',
    'rule_trigger_date_on_choice'                         => 'Transaction date is..',
    'rule_trigger_date_on'                                => 'Transaction date is ":trigger_value"',
    'rule_trigger_date_before_choice'                     => 'Data de transacção é anterior..',
    'rule_trigger_date_before'                            => 'Data da transacção é antes de ":trigger_value"',
    'rule_trigger_date_after_choice'                      => 'Data da transacção é após..',
    'rule_trigger_date_after'                             => 'Data da transacção é após ":trigger_value"',
    'rule_trigger_created_at_on_choice'                   => 'Transaction was made on..',
    'rule_trigger_created_at_on'                          => 'Transaction was made on ":trigger_value"',
    'rule_trigger_updated_at_on_choice'                   => 'Transaction was last edited on..',
    'rule_trigger_updated_at_on'                          => 'Transaction was last edited on ":trigger_value"',
    'rule_trigger_budget_is_choice'                       => 'O orçamento é..',
    'rule_trigger_budget_is'                              => 'O orçamento é ":trigger_value"',
    'rule_trigger_tag_is_choice'                          => 'Any tag is..',
    'rule_trigger_tag_is'                                 => 'Any tag is ":trigger_value"',
    'rule_trigger_currency_is_choice'                     => 'A moeda da transação é..',
    'rule_trigger_currency_is'                            => 'A moeda da transacção é ":trigger_value"',
    'rule_trigger_foreign_currency_is_choice'             => 'A moeda estrangeira da transacção é..',
    'rule_trigger_foreign_currency_is'                    => 'A moeda estrangeira da transacção é ":trigger_value"',
    'rule_trigger_has_attachments_choice'                 => 'Tem, pelo menos, esta quantidade de anexos',
    'rule_trigger_has_attachments'                        => 'Tem pelo menos :trigger_value anexo(s)',
    'rule_trigger_has_no_category_choice'                 => 'Não tem categoria',
    'rule_trigger_has_no_category'                        => 'Transacção não tem categoria',
    'rule_trigger_has_any_category_choice'                => 'Tem uma categoria (qualquer)',
    'rule_trigger_has_any_category'                       => 'A transacção tem uma categoria (qualquer)',
    'rule_trigger_has_no_budget_choice'                   => 'Não tem orçamento',
    'rule_trigger_has_no_budget'                          => 'A transacção não tem orçamento',
    'rule_trigger_has_any_budget_choice'                  => 'Tem um orçamento (qualquer)',
    'rule_trigger_has_any_budget'                         => 'A transacção tem um orçamento (qualquer)',
    'rule_trigger_has_no_bill_choice'                     => 'Não tem fatura',
    'rule_trigger_has_no_bill'                            => 'A transação não tem fatura',
    'rule_trigger_has_any_bill_choice'                    => 'Tem (qualquer) fatura',
    'rule_trigger_has_any_bill'                           => 'A transação tem (uma qualquer) fatura',
    'rule_trigger_has_no_tag_choice'                      => 'Não tem etiquetas',
    'rule_trigger_has_no_tag'                             => 'A transação não tem etiqueta(s)',
    'rule_trigger_has_any_tag_choice'                     => 'Tem uma ou mais etiquetas (quaisquer)',
    'rule_trigger_has_any_tag'                            => 'A transação tem uma ou mais etiquetas (quaisquer)',
    'rule_trigger_any_notes_choice'                       => 'Tem notas (quaisquer)',
    'rule_trigger_any_notes'                              => 'A transacção tem notas (quaisquer)',
    'rule_trigger_no_notes_choice'                        => 'Não tem notas',
    'rule_trigger_no_notes'                               => 'A transacção não tem notas',
    'rule_trigger_notes_is_choice'                        => 'Notes are..',
    'rule_trigger_notes_is'                               => 'Notes are ":trigger_value"',
    'rule_trigger_notes_contains_choice'                  => 'Notes contain..',
    'rule_trigger_notes_contains'                         => 'Notes contain ":trigger_value"',
    'rule_trigger_notes_starts_choice'                    => 'Notes start with..',
    'rule_trigger_notes_starts'                           => 'Notes start with ":trigger_value"',
    'rule_trigger_notes_ends_choice'                      => 'Notes end with..',
    'rule_trigger_notes_ends'                             => 'Notes end with ":trigger_value"',
    'rule_trigger_bill_is_choice'                         => 'A fatura é..',
    'rule_trigger_bill_is'                                => 'A fatura é ":trigger_value"',
    'rule_trigger_external_id_is_choice'                  => 'O ID Externo é..',
    'rule_trigger_external_id_is'                         => 'External ID is ":trigger_value"',
    'rule_trigger_internal_reference_is_choice'           => 'Internal reference is..',
    'rule_trigger_internal_reference_is'                  => 'Internal reference is ":trigger_value"',
    'rule_trigger_journal_id_choice'                      => 'O ID do diário de transações é..',
    'rule_trigger_journal_id'                             => 'O ID do diário de transações é ":trigger_value"',
    'rule_trigger_no_external_url'                        => 'Transaction has no external URL',
    'rule_trigger_any_external_url'                       => 'Transaction has an external URL',
    'rule_trigger_any_external_url_choice'                => 'Transaction has an external URL',
    'rule_trigger_no_external_url_choice'                 => 'Transaction has no external URL',
    'rule_trigger_id_choice'                              => 'ID da transação é..',
    'rule_trigger_id'                                     => 'Transaction ID is ":trigger_value"',
    'rule_trigger_sepa_ct_is_choice'                      => 'SEPA CT is..',
    'rule_trigger_sepa_ct_is'                             => 'SEPA CT is ":trigger_value"',

    // new values:
    'rule_trigger_user_action_choice'                     => 'User action is ":trigger_value"',
    'rule_trigger_tag_is_not_choice'                      => 'No tag is..',
    'rule_trigger_tag_is_not'                             => 'No tag is ":trigger_value"',
    'rule_trigger_account_is_choice'                      => 'Either account is exactly..',
    'rule_trigger_account_is'                             => 'Either account is exactly ":trigger_value"',
    'rule_trigger_account_contains_choice'                => 'Either account contains..',
    'rule_trigger_account_contains'                       => 'Either account contains ":trigger_value"',
    'rule_trigger_account_ends_choice'                    => 'Either account ends with..',
    'rule_trigger_account_ends'                           => 'Either account ends with ":trigger_value"',
    'rule_trigger_account_starts_choice'                  => 'Either account starts with..',
    'rule_trigger_account_starts'                         => 'Either account starts with ":trigger_value"',
    'rule_trigger_account_nr_is_choice'                   => 'Either account number / IBAN is..',
    'rule_trigger_account_nr_is'                          => 'Either account number / IBAN is ":trigger_value"',
    'rule_trigger_account_nr_contains_choice'             => 'Either account number / IBAN contains..',
    'rule_trigger_account_nr_contains'                    => 'Either account number / IBAN contains ":trigger_value"',
    'rule_trigger_account_nr_ends_choice'                 => 'Either account number / IBAN ends with..',
    'rule_trigger_account_nr_ends'                        => 'Either account number / IBAN ends with ":trigger_value"',
    'rule_trigger_account_nr_starts_choice'               => 'Either account number / IBAN starts with..',
    'rule_trigger_account_nr_starts'                      => 'Either account number / IBAN starts with ":trigger_value"',
    'rule_trigger_category_contains_choice'               => 'Category contains..',
    'rule_trigger_category_contains'                      => 'Category contains ":trigger_value"',
    'rule_trigger_category_ends_choice'                   => 'Category ends with..',
    'rule_trigger_category_ends'                          => 'Category ends with ":trigger_value"',
    'rule_trigger_category_starts_choice'                 => 'Category starts with..',
    'rule_trigger_category_starts'                        => 'Category starts with ":trigger_value"',
    'rule_trigger_budget_contains_choice'                 => 'O orçamento contém..',
    'rule_trigger_budget_contains'                        => 'Budget contains ":trigger_value"',
    'rule_trigger_budget_ends_choice'                     => 'Budget ends with..',
    'rule_trigger_budget_ends'                            => 'Budget ends with ":trigger_value"',
    'rule_trigger_budget_starts_choice'                   => 'Budget starts with..',
    'rule_trigger_budget_starts'                          => 'Budget starts with ":trigger_value"',
    'rule_trigger_bill_contains_choice'                   => 'Bill contains..',
    'rule_trigger_bill_contains'                          => 'Bill contains ":trigger_value"',
    'rule_trigger_bill_ends_choice'                       => 'Bill ends with..',
    'rule_trigger_bill_ends'                              => 'Bill ends with ":trigger_value"',
    'rule_trigger_bill_starts_choice'                     => 'Bill starts with..',
    'rule_trigger_bill_starts'                            => 'Bill starts with ":trigger_value"',
    'rule_trigger_external_id_contains_choice'            => 'External ID contains..',
    'rule_trigger_external_id_contains'                   => 'External ID contains ":trigger_value"',
    'rule_trigger_external_id_ends_choice'                => 'External ID ends with..',
    'rule_trigger_external_id_ends'                       => 'External ID ends with ":trigger_value"',
    'rule_trigger_external_id_starts_choice'              => 'External ID starts with..',
    'rule_trigger_external_id_starts'                     => 'External ID starts with ":trigger_value"',
    'rule_trigger_internal_reference_contains_choice'     => 'Internal reference contains..',
    'rule_trigger_internal_reference_contains'            => 'Internal reference contains ":trigger_value"',
    'rule_trigger_internal_reference_ends_choice'         => 'Internal reference ends with..',
    'rule_trigger_internal_reference_ends'                => 'Internal reference ends with ":trigger_value"',
    'rule_trigger_internal_reference_starts_choice'       => 'Internal reference starts with..',
    'rule_trigger_internal_reference_starts'              => 'Internal reference starts with ":trigger_value"',
    'rule_trigger_external_url_is_choice'                 => 'External URL is..',
    'rule_trigger_external_url_is'                        => 'External URL is ":trigger_value"',
    'rule_trigger_external_url_contains_choice'           => 'External URL contains..',
    'rule_trigger_external_url_contains'                  => 'External URL contains ":trigger_value"',
    'rule_trigger_external_url_ends_choice'               => 'External URL ends with..',
    'rule_trigger_external_url_ends'                      => 'External URL ends with ":trigger_value"',
    'rule_trigger_external_url_starts_choice'             => 'External URL starts with..',
    'rule_trigger_external_url_starts'                    => 'External URL starts with ":trigger_value"',
    'rule_trigger_has_no_attachments_choice'              => 'Has no attachments',
    'rule_trigger_has_no_attachments'                     => 'Transaction has no attachments',
    'rule_trigger_recurrence_id_choice'                   => 'Recurring transaction ID is..',
    'rule_trigger_recurrence_id'                          => 'Recurring transaction ID is ":trigger_value"',
    'rule_trigger_interest_date_on_choice'                => 'Interest date is on..',
    'rule_trigger_interest_date_on'                       => 'Interest date is on ":trigger_value"',
    'rule_trigger_interest_date_before_choice'            => 'Interest date is before..',
    'rule_trigger_interest_date_before'                   => 'Interest date is before ":trigger_value"',
    'rule_trigger_interest_date_after_choice'             => 'Interest date is after..',
    'rule_trigger_interest_date_after'                    => 'Interest date is after ":trigger_value"',
    'rule_trigger_book_date_on_choice'                    => 'Book date is on..',
    'rule_trigger_book_date_on'                           => 'Book date is on ":trigger_value"',
    'rule_trigger_book_date_before_choice'                => 'Book date is before..',
    'rule_trigger_book_date_before'                       => 'Book date is before ":trigger_value"',
    'rule_trigger_book_date_after_choice'                 => 'Book date is after..',
    'rule_trigger_book_date_after'                        => 'Book date is after ":trigger_value"',
    'rule_trigger_process_date_on_choice'                 => 'Process date is on..',
    'rule_trigger_process_date_on'                        => 'Process date is ":trigger_value"',
    'rule_trigger_process_date_before_choice'             => 'Process date is before..',
    'rule_trigger_process_date_before'                    => 'Process date is before ":trigger_value"',
    'rule_trigger_process_date_after_choice'              => 'Process date is after..',
    'rule_trigger_process_date_after'                     => 'Process date is after ":trigger_value"',
    'rule_trigger_due_date_on_choice'                     => 'Due date is on..',
    'rule_trigger_due_date_on'                            => 'Due date is on ":trigger_value"',
    'rule_trigger_due_date_before_choice'                 => 'Due date is before..',
    'rule_trigger_due_date_before'                        => 'Due date is before ":trigger_value"',
    'rule_trigger_due_date_after_choice'                  => 'Due date is after..',
    'rule_trigger_due_date_after'                         => 'Due date is after ":trigger_value"',
    'rule_trigger_payment_date_on_choice'                 => 'Payment date is on..',
    'rule_trigger_payment_date_on'                        => 'Payment date is on ":trigger_value"',
    'rule_trigger_payment_date_before_choice'             => 'Payment date is before..',
    'rule_trigger_payment_date_before'                    => 'Payment date is before ":trigger_value"',
    'rule_trigger_payment_date_after_choice'              => 'Payment date is after..',
    'rule_trigger_payment_date_after'                     => 'Payment date is after ":trigger_value"',
    'rule_trigger_invoice_date_on_choice'                 => 'Invoice date is on..',
    'rule_trigger_invoice_date_on'                        => 'Invoice date is on ":trigger_value"',
    'rule_trigger_invoice_date_before_choice'             => 'Invoice date is before..',
    'rule_trigger_invoice_date_before'                    => 'Invoice date is before ":trigger_value"',
    'rule_trigger_invoice_date_after_choice'              => 'Invoice date is after..',
    'rule_trigger_invoice_date_after'                     => 'Invoice date is after ":trigger_value"',
    'rule_trigger_created_at_before_choice'               => 'Transaction was created before..',
    'rule_trigger_created_at_before'                      => 'Transaction was created before ":trigger_value"',
    'rule_trigger_created_at_after_choice'                => 'Transaction was created after..',
    'rule_trigger_created_at_after'                       => 'Transaction was created after ":trigger_value"',
    'rule_trigger_updated_at_before_choice'               => 'Transaction was last updated before..',
    'rule_trigger_updated_at_before'                      => 'Transaction was last updated before ":trigger_value"',
    'rule_trigger_updated_at_after_choice'                => 'Transaction was last updated after..',
    'rule_trigger_updated_at_after'                       => 'Transaction was last updated after ":trigger_value"',
    'rule_trigger_foreign_amount_is_choice'               => 'Foreign amount is exactly..',
    'rule_trigger_foreign_amount_is'                      => 'Foreign amount is exactly ":trigger_value"',
    'rule_trigger_foreign_amount_less_choice'             => 'Foreign amount is less than..',
    'rule_trigger_foreign_amount_less'                    => 'Foreign amount is less than ":trigger_value"',
    'rule_trigger_foreign_amount_more_choice'             => 'Foreign amount is more than..',
    'rule_trigger_foreign_amount_more'                    => 'Foreign amount is more than ":trigger_value"',
    'rule_trigger_attachment_name_is_choice'              => 'Any attachment\'s name is..',
    'rule_trigger_attachment_name_is'                     => 'Any attachment\'s name is ":trigger_value"',
    'rule_trigger_attachment_name_contains_choice'        => 'Any attachment\'s name contains..',
    'rule_trigger_attachment_name_contains'               => 'Any attachment\'s name contains ":trigger_value"',
    'rule_trigger_attachment_name_starts_choice'          => 'Any attachment\'s name starts with..',
    'rule_trigger_attachment_name_starts'                 => 'Any attachment\'s name starts with ":trigger_value"',
    'rule_trigger_attachment_name_ends_choice'            => 'Any attachment\'s name ends with..',
    'rule_trigger_attachment_name_ends'                   => 'Any attachment\'s name ends with ":trigger_value"',
    'rule_trigger_attachment_notes_are_choice'            => 'Any attachment\'s notes are..',
    'rule_trigger_attachment_notes_are'                   => 'Any attachment\'s notes are ":trigger_value"',
    'rule_trigger_attachment_notes_contains_choice'       => 'Any attachment\'s notes contain..',
    'rule_trigger_attachment_notes_contains'              => 'Any attachment\'s notes contain ":trigger_value"',
    'rule_trigger_attachment_notes_starts_choice'         => 'Any attachment\'s notes start with..',
    'rule_trigger_attachment_notes_starts'                => 'Any attachment\'s notes start with ":trigger_value"',
    'rule_trigger_attachment_notes_ends_choice'           => 'Any attachment\'s notes end with..',
    'rule_trigger_attachment_notes_ends'                  => 'Any attachment\'s notes end with ":trigger_value"',
    'rule_trigger_reconciled_choice'                      => 'Transaction is reconciled',
    'rule_trigger_reconciled'                             => 'Transaction is reconciled',
    'rule_trigger_exists_choice'                          => 'Any transaction matches(!)',
    'rule_trigger_exists'                                 => 'Any transaction matches',

    // more values for new types:
    'rule_trigger_not_account_id'                         => 'Account ID is not ":trigger_value"',
    'rule_trigger_not_source_account_id'                  => 'Source account ID is not ":trigger_value"',
    'rule_trigger_not_destination_account_id'             => 'Destination account ID is not ":trigger_value"',
    'rule_trigger_not_transaction_type'                   => 'Transaction type is not ":trigger_value"',
    'rule_trigger_not_tag_is'                             => 'Tag is not ":trigger_value"',
    'rule_trigger_not_tag_is_not'                         => 'Tag is ":trigger_value"',
    'rule_trigger_not_description_is'                     => 'Description is not ":trigger_value"',
    'rule_trigger_not_description_contains'               => 'Description does not contain',
    'rule_trigger_not_description_ends'                   => 'Description does not end with ":trigger_value"',
    'rule_trigger_not_description_starts'                 => 'Description does not start with ":trigger_value"',
    'rule_trigger_not_notes_is'                           => 'Notes are not ":trigger_value"',
    'rule_trigger_not_notes_contains'                     => 'Notes do not contain ":trigger_value"',
    'rule_trigger_not_notes_ends'                         => 'Notes do not end on ":trigger_value"',
    'rule_trigger_not_notes_starts'                       => 'Notes do not start with ":trigger_value"',
    'rule_trigger_not_source_account_is'                  => 'Source account is not ":trigger_value"',
    'rule_trigger_not_source_account_contains'            => 'Source account does not contain ":trigger_value"',
    'rule_trigger_not_source_account_ends'                => 'Source account does not end on ":trigger_value"',
    'rule_trigger_not_source_account_starts'              => 'Source account does not start with ":trigger_value"',
    'rule_trigger_not_source_account_nr_is'               => 'Source account number / IBAN is not ":trigger_value"',
    'rule_trigger_not_source_account_nr_contains'         => 'Source account number / IBAN does not contain ":trigger_value"',
    'rule_trigger_not_source_account_nr_ends'             => 'Source account number / IBAN does not end on ":trigger_value"',
    'rule_trigger_not_source_account_nr_starts'           => 'Source account number / IBAN does not start with ":trigger_value"',
    'rule_trigger_not_destination_account_is'             => 'Destination account is not ":trigger_value"',
    'rule_trigger_not_destination_account_contains'       => 'Destination account does not contain ":trigger_value"',
    'rule_trigger_not_destination_account_ends'           => 'Destination account does not end on ":trigger_value"',
    'rule_trigger_not_destination_account_starts'         => 'Destination account does not start with ":trigger_value"',
    'rule_trigger_not_destination_account_nr_is'          => 'Destination account number / IBAN is not ":trigger_value"',
    'rule_trigger_not_destination_account_nr_contains'    => 'Destination account number / IBAN does not contain ":trigger_value"',
    'rule_trigger_not_destination_account_nr_ends'        => 'Destination account number / IBAN does not end on ":trigger_value"',
    'rule_trigger_not_destination_account_nr_starts'      => 'Destination account number / IBAN does not start with ":trigger_value"',
    'rule_trigger_not_account_is'                         => 'Neither account is ":trigger_value"',
    'rule_trigger_not_account_contains'                   => 'Neither account contains ":trigger_value"',
    'rule_trigger_not_account_ends'                       => 'Neither account ends on ":trigger_value"',
    'rule_trigger_not_account_starts'                     => 'Neither account starts with ":trigger_value"',
    'rule_trigger_not_account_nr_is'                      => 'Neither account number / IBAN is ":trigger_value"',
    'rule_trigger_not_account_nr_contains'                => 'Neither account number / IBAN contains ":trigger_value"',
    'rule_trigger_not_account_nr_ends'                    => 'Neither account number / IBAN ends on ":trigger_value"',
    'rule_trigger_not_account_nr_starts'                  => 'Neither account number / IBAN starts with ":trigger_value"',
    'rule_trigger_not_category_is'                        => 'Neither category is ":trigger_value"',
    'rule_trigger_not_category_contains'                  => 'Neither category contains ":trigger_value"',
    'rule_trigger_not_category_ends'                      => 'Neither category ends on ":trigger_value"',
    'rule_trigger_not_category_starts'                    => 'Neither category starts with ":trigger_value"',
    'rule_trigger_not_budget_is'                          => 'Neither budget is ":trigger_value"',
    'rule_trigger_not_budget_contains'                    => 'Neither budget contains ":trigger_value"',
    'rule_trigger_not_budget_ends'                        => 'Neither budget ends on ":trigger_value"',
    'rule_trigger_not_budget_starts'                      => 'Neither budget starts with ":trigger_value"',
    'rule_trigger_not_bill_is'                            => 'Bill is not is ":trigger_value"',
    'rule_trigger_not_bill_contains'                      => 'Bill does not contain ":trigger_value"',
    'rule_trigger_not_bill_ends'                          => 'Bill does not end on ":trigger_value"',
    'rule_trigger_not_bill_starts'                        => 'Bill does not end with ":trigger_value"',
    'rule_trigger_not_external_id_is'                     => 'External ID is not ":trigger_value"',
    'rule_trigger_not_external_id_contains'               => 'External ID does not contain ":trigger_value"',
    'rule_trigger_not_external_id_ends'                   => 'External ID does not end on ":trigger_value"',
    'rule_trigger_not_external_id_starts'                 => 'External ID does not start with ":trigger_value"',
    'rule_trigger_not_internal_reference_is'              => 'Internal reference is not ":trigger_value"',
    'rule_trigger_not_internal_reference_contains'        => 'Internal reference does not contain ":trigger_value"',
    'rule_trigger_not_internal_reference_ends'            => 'Internal reference does not end on ":trigger_value"',
    'rule_trigger_not_internal_reference_starts'          => 'Internal reference does not start with ":trigger_value"',
    'rule_trigger_not_external_url_is'                    => 'External URL is not ":trigger_value"',
    'rule_trigger_not_external_url_contains'              => 'External URL does not contain ":trigger_value"',
    'rule_trigger_not_external_url_ends'                  => 'External URL does not end on ":trigger_value"',
    'rule_trigger_not_external_url_starts'                => 'External URL does not start with ":trigger_value"',
    'rule_trigger_not_currency_is'                        => 'Currency is not ":trigger_value"',
    'rule_trigger_not_foreign_currency_is'                => 'Foreign currency is not ":trigger_value"',
    'rule_trigger_not_id'                                 => 'Transaction ID is not ":trigger_value"',
    'rule_trigger_not_journal_id'                         => 'Transaction journal ID is not ":trigger_value"',
    'rule_trigger_not_recurrence_id'                      => 'Recurrence ID is not ":trigger_value"',
    'rule_trigger_not_date_on'                            => 'Date is not on ":trigger_value"',
    'rule_trigger_not_date_before'                        => 'Date is not before ":trigger_value"',
    'rule_trigger_not_date_after'                         => 'Date is not after ":trigger_value"',
    'rule_trigger_not_interest_date_on'                   => 'Interest date is not on ":trigger_value"',
    'rule_trigger_not_interest_date_before'               => 'Interest date is not before ":trigger_value"',
    'rule_trigger_not_interest_date_after'                => 'Interest date is not after ":trigger_value"',
    'rule_trigger_not_book_date_on'                       => 'Book date is not on ":trigger_value"',
    'rule_trigger_not_book_date_before'                   => 'Book date is not before ":trigger_value"',
    'rule_trigger_not_book_date_after'                    => 'Book date is not after ":trigger_value"',
    'rule_trigger_not_process_date_on'                    => 'Process date is not on ":trigger_value"',
    'rule_trigger_not_process_date_before'                => 'Process date is not before ":trigger_value"',
    'rule_trigger_not_process_date_after'                 => 'Process date is not after ":trigger_value"',
    'rule_trigger_not_due_date_on'                        => 'Due date is not on ":trigger_value"',
    'rule_trigger_not_due_date_before'                    => 'Due date is not before ":trigger_value"',
    'rule_trigger_not_due_date_after'                     => 'Due date is not after ":trigger_value"',
    'rule_trigger_not_payment_date_on'                    => 'Payment date is not on ":trigger_value"',
    'rule_trigger_not_payment_date_before'                => 'Payment date is not before ":trigger_value"',
    'rule_trigger_not_payment_date_after'                 => 'Payment date is not after ":trigger_value"',
    'rule_trigger_not_invoice_date_on'                    => 'Invoice date is not on ":trigger_value"',
    'rule_trigger_not_invoice_date_before'                => 'Invoice date is not before ":trigger_value"',
    'rule_trigger_not_invoice_date_after'                 => 'Invoice date is not after ":trigger_value"',
    'rule_trigger_not_created_at_on'                      => 'Transaction is not created on ":trigger_value"',
    'rule_trigger_not_created_at_before'                  => 'Transaction is not created before ":trigger_value"',
    'rule_trigger_not_created_at_after'                   => 'Transaction is not created after ":trigger_value"',
    'rule_trigger_not_updated_at_on'                      => 'Transaction is not updated on ":trigger_value"',
    'rule_trigger_not_updated_at_before'                  => 'Transaction is not updated before ":trigger_value"',
    'rule_trigger_not_updated_at_after'                   => 'Transaction is not updated after ":trigger_value"',
    'rule_trigger_not_amount_is'                          => 'Transaction amount is not ":trigger_value"',
    'rule_trigger_not_amount_less'                        => 'Transaction amount is more than ":trigger_value"',
    'rule_trigger_not_amount_more'                        => 'Transaction amount is less than ":trigger_value"',
    'rule_trigger_not_foreign_amount_is'                  => 'Foreign transaction amount is not ":trigger_value"',
    'rule_trigger_not_foreign_amount_less'                => 'Foreign transaction amount is more than ":trigger_value"',
    'rule_trigger_not_foreign_amount_more'                => 'Foreign transaction amount is less than ":trigger_value"',
    'rule_trigger_not_attachment_name_is'                 => 'No attachment is named ":trigger_value"',
    'rule_trigger_not_attachment_name_contains'           => 'No attachment name contains ":trigger_value"',
    'rule_trigger_not_attachment_name_starts'             => 'No attachment name starts with ":trigger_value"',
    'rule_trigger_not_attachment_name_ends'               => 'No attachment name ends on ":trigger_value"',
    'rule_trigger_not_attachment_notes_are'               => 'No attachment notes are ":trigger_value"',
    'rule_trigger_not_attachment_notes_contains'          => 'No attachment notes contain ":trigger_value"',
    'rule_trigger_not_attachment_notes_starts'            => 'No attachment notes start with ":trigger_value"',
    'rule_trigger_not_attachment_notes_ends'              => 'No attachment notes end on ":trigger_value"',
    'rule_trigger_not_reconciled'                         => 'Transaction is not reconciled',
    'rule_trigger_not_exists'                             => 'Transaction does not exist',
    'rule_trigger_not_has_attachments'                    => 'Transaction has no attachments',
    'rule_trigger_not_has_any_category'                   => 'Transaction has no category',
    'rule_trigger_not_has_any_budget'                     => 'Transaction has no category',
    'rule_trigger_not_has_any_bill'                       => 'Transaction has no bill',
    'rule_trigger_not_has_any_tag'                        => 'Transaction has no tags',
    'rule_trigger_not_any_notes'                          => 'Transaction has no notes',
    'rule_trigger_not_any_external_url'                   => 'Transaction has no external URL',
    'rule_trigger_not_has_no_attachments'                 => 'Transaction has a (any) attachment(s)',
    'rule_trigger_not_has_no_category'                    => 'Transaction has a (any) category',
    'rule_trigger_not_has_no_budget'                      => 'Transaction has a (any) budget',
    'rule_trigger_not_has_no_bill'                        => 'Transaction has a (any) bill',
    'rule_trigger_not_has_no_tag'                         => 'Transaction has a (any) tag',
    'rule_trigger_not_no_notes'                           => 'Transaction has any notes',
    'rule_trigger_not_no_external_url'                    => 'Transaction has an external URL',
    'rule_trigger_not_source_is_cash'                     => 'Source account is not a cash account',
    'rule_trigger_not_destination_is_cash'                => 'Destination account is not a cash account',
    'rule_trigger_not_account_is_cash'                    => 'Neither account is a cash account',


    // actions
    'rule_action_delete_transaction_choice'               => 'DELETE transaction(!)',
    'rule_action_delete_transaction'                      => 'DELETE transaction(!)',
    'rule_action_set_category'                            => 'Definir categoria para ":action_value"',
    'rule_action_clear_category'                          => 'Limpar categoria',
    'rule_action_set_budget'                              => 'Definir o orçamento para ":action_value"',
    'rule_action_clear_budget'                            => 'Limpar orçamento',
    'rule_action_add_tag'                                 => 'Adicionar etiqueta ":action_value"',
    'rule_action_remove_tag'                              => 'Remover etiqueta ":action_value"',
    'rule_action_remove_all_tags'                         => 'Remover todas as etiquetas',
    'rule_action_set_description'                         => 'Definir descrição para ":action_value"',
    'rule_action_append_description'                      => 'Acrescentar à descrição com ":action_value"',
    'rule_action_prepend_description'                     => 'Preceder a descrição com ":action_value"',
    'rule_action_set_category_choice'                     => 'Set category to ..',
    'rule_action_clear_category_choice'                   => 'Limpar qualquer categoria',
    'rule_action_set_budget_choice'                       => 'Set budget to ..',
    'rule_action_clear_budget_choice'                     => 'Limpar qualquer orçamento',
    'rule_action_add_tag_choice'                          => 'Add tag ..',
    'rule_action_remove_tag_choice'                       => 'Remove tag ..',
    'rule_action_remove_all_tags_choice'                  => 'Remover todas as etiquetas',
    'rule_action_set_description_choice'                  => 'Set description to ..',
    'rule_action_update_piggy_choice'                     => 'Add / remove transaction amount in piggy bank ..',
    'rule_action_update_piggy'                            => 'Add / remove transaction amount in piggy bank ":action_value"',
    'rule_action_append_description_choice'               => 'Append description with ..',
    'rule_action_prepend_description_choice'              => 'Prepend description with ..',
    'rule_action_set_source_account_choice'               => 'Set source account to ..',
    'rule_action_set_source_account'                      => 'Definir conta de origem para :action_value',
    'rule_action_set_destination_account_choice'          => 'Set destination account to ..',
    'rule_action_set_destination_account'                 => 'Definir a conta de destino para :action_value',
    'rule_action_append_notes_choice'                     => 'Append notes with ..',
    'rule_action_append_notes'                            => 'Anexar notas com ":action_value"',
    'rule_action_prepend_notes_choice'                    => 'Prepend notes with ..',
    'rule_action_prepend_notes'                           => 'Preceder notas com ":action_value"',
    'rule_action_clear_notes_choice'                      => 'Remover todas as notas',
    'rule_action_clear_notes'                             => 'Remover todas as notas',
    'rule_action_set_notes_choice'                        => 'Set notes to ..',
    'rule_action_link_to_bill_choice'                     => 'Link to a bill ..',
    'rule_action_link_to_bill'                            => 'Ligar a uma fatura ":action_value"',
    'rule_action_set_notes'                               => 'Defina notas para ":action_value"',
    'rule_action_convert_deposit_choice'                  => 'Converter a transacção para um depósito',
    'rule_action_convert_deposit'                         => 'Converter a transacção para um depósito de ":action_value"',
    'rule_action_convert_withdrawal_choice'               => 'Converter a transacção para um levantamento',
    'rule_action_convert_withdrawal'                      => 'Converter a transacção para um levantamento de ":action_value"',
    'rule_action_convert_transfer_choice'                 => 'Converter a transacção para uma transferência',
    'rule_action_convert_transfer'                        => 'Converter a transacção para uma transferência de ":action_value"',
    'rule_action_append_descr_to_notes_choice'            => 'Append the description to the transaction notes',
    'rule_action_append_notes_to_descr_choice'            => 'Append the transaction notes to the description',
    'rule_action_move_descr_to_notes_choice'              => 'Replace the current transaction notes with the description',
    'rule_action_move_notes_to_descr_choice'              => 'Replace the current description with the transaction notes',
    'rule_action_append_descr_to_notes'                   => 'Append description to notes',
    'rule_action_append_notes_to_descr'                   => 'Append notes to description',
    'rule_action_move_descr_to_notes'                     => 'Replace notes with description',
    'rule_action_move_notes_to_descr'                     => 'Replace description with notes',
    'rulegroup_for_bills_title'                           => 'Grupo de regras para faturas',
    'rulegroup_for_bills_description'                     => 'A special rule group for all the rules that involve bills.',
    'rule_for_bill_title'                                 => 'Auto-generated rule for bill ":name"',
    'rule_for_bill_description'                           => 'This rule is auto-generated to try to match bill ":name".',
    'create_rule_for_bill'                                => 'Criar uma nova regra para a fatura ":name"',
    'create_rule_for_bill_txt'                            => 'You have just created a new bill called ":name", congratulations!Firefly III can automagically match new withdrawals to this bill. For example, whenever you pay your rent, the bill "rent" will be linked to the expense. This way, Firefly III can accurately show you which bills are due and which ones aren\'t. In order to do so, a new rule must be created. Firefly III has filled in some sensible defaults for you. Please make sure these are correct. If these values are correct, Firefly III will automatically link the correct withdrawal to the correct bill. Please check out the triggers to see if they are correct, and add some if they\'re wrong.',
    'new_rule_for_bill_title'                             => 'Regra para a fatura ":name"',
    'new_rule_for_bill_description'                       => 'Esta regra marca as transações para a fatura ":name".',

    'new_rule_for_journal_title'                => 'Regra baseada na transação ":description"',
    'new_rule_for_journal_description'          => 'A regra é baseada na transação ":description". Ou seja a regra vai ser aplicada a todas as transações iguais.',

    // tags
    'store_new_tag'                             => 'Gravar nova etiqueta',
    'update_tag'                                => 'Atualizar etiqueta',
    'no_location_set'                           => 'Sem localização definida.',
    'meta_data'                                 => 'Meta dados',
    'location'                                  => 'Localização',
    'without_date'                              => 'Sem data',
    'result'                                    => 'Resultado',
    'sums_apply_to_range'                       => 'Todas as somas aplicam-se ao intervalo seleccionado',
    'mapbox_api_key'                            => 'Para usar o mapa, arranje uma chaves de API de <a href="https://www.mapbox.com/">Mapbox</a>. Após abra o seu ficheiro <code>.env</code> e adicione a variável <code> MAPBOX_API_KEY=</code> com a chave que arranjou.',
    'press_object_location'                     => 'Carregue com o botão direito do rato ou pressione longamente para definir o local do objeto.',
    'clear_location'                            => 'Limpar localização',
    'delete_all_selected_tags'                  => 'Excluir todas as etiquetas selecionadas',
    'select_tags_to_delete'                     => 'Não se esqueça de selecionar algumas etiquetas.',
    'deleted_x_tags'                            => 'Apagada :count etiqueta.|:count etiquetas apagadas.',
    'create_rule_from_transaction'              => 'Criar regra com base na transacção',
    'create_recurring_from_transaction'         => 'Criar transacção recorrente com base na transacção',


    // preferences
    'equal_to_language'                         => '(igual ao idioma)',
    'pref_home_screen_accounts'                 => 'Contas do ecrã inicial',
    'pref_home_screen_accounts_help'            => 'Que contas devem ser mostradas na página principal?',
    'pref_view_range'                           => 'Ver intervalo',
    'pref_view_range_help'                      => 'Alguns gráficos são automaticamente agrupados por períodos. Os seus orçamentos serão também agrupados em períodos. Que período você prefere?',
    'pref_1D'                                   => 'Um dia',
    'pref_1W'                                   => 'Uma semana',
    'pref_1M'                                   => 'Um mês',
    'pref_3M'                                   => 'Três meses (trimestre)',
    'pref_6M'                                   => 'Seis meses',
    'pref_1Y'                                   => 'Um ano',
    'pref_last365'                              => 'Last year',
    'pref_last90'                               => 'Últimos 90 dias',
    'pref_last30'                               => 'Últimos 30 dias',
    'pref_last7'                                => 'Últimos 7 dias',
    'pref_YTD'                                  => 'Year to date',
    'pref_QTD'                                  => 'Quarter to date',
    'pref_MTD'                                  => 'Month to date',
    'pref_languages'                            => 'Idiomas',
    'pref_locale'                               => 'Definições locais',
    'pref_languages_help'                       => 'Firefly III suporta vários idiomas. Qual prefere?',
    'pref_locale_help'                          => 'O Firefly III permite que você defina configurações locais, tais como o formato das moedas, números ou datas. As entradas na lista podem não ser suportadas pelo seu sistema. O Firefly III não têm as definições de datas corretas para todos os dialetos; contacte-me para melhorias.',
    'pref_locale_no_demo'                       => 'Esta funcionalidade não funciona para o utilizador de demonstração.',
    'pref_custom_fiscal_year'                   => 'Definições do ano fiscal',
    'pref_custom_fiscal_year_label'             => 'Activado',
    'pref_custom_fiscal_year_help'              => 'Nos países que usam ano fiscal diferente de 1 de Janeiro a 31 de Dezembro, você pode alterar estas datas para começarem em acabarem nos dias de inicio e fim corretos',
    'pref_fiscal_year_start_label'              => 'Data de início do ano fiscal',
    'pref_two_factor_auth'                      => 'Verificação de 2 passos',
    'pref_two_factor_auth_help'                 => 'Quando você ativa a autenticação em 2 fatores (também conhecida por autenticação de 2 fatores), você pode adicionar uma camada extra de segurança à sua conta. Pode iniciar sessão com algo que você conhece (a sua palavra passe) e com algo que tem (um código de verificação). Os códigos de verificação são gerados por uma aplicação no seu telemóvel tais como, a Authy ou o Google Authenticator.',
    'pref_enable_two_factor_auth'               => 'Activar verificação de 2 passos',
    'pref_two_factor_auth_disabled'             => 'Código de verificação de 2 passos removido e desactivado',
    'pref_two_factor_auth_remove_it'            => 'Não se esqueça de remover a conta da aplicação de autenticação!',
    'pref_two_factor_auth_code'                 => 'Código de verificação',
    'pref_two_factor_auth_code_help'            => 'Leia o código QR com uma aplicação como a Authy ou o Google Authenticator e depois introduza o código gerado.',
    'pref_two_factor_auth_reset_code'           => 'Repor código de verificação',
    'pref_two_factor_auth_disable_2fa'          => 'Desactivar 2FA',
    '2fa_use_secret_instead'                    => 'Se não conseguir ler o código QR, sinta-se livre de utilizar um segredo em alternativa: <code>:secret</code>.',
    '2fa_backup_codes'                          => 'Guarde estes códigos de backup para acesso, caso perca seu dispositivo.',
    '2fa_already_enabled'                       => 'A verificação de 2 passos já está activada.',
    'wrong_mfa_code'                            => 'Esse código MFA não é válido.',
    'pref_save_settings'                        => 'Guardar definições',
    'saved_preferences'                         => 'Definições guardadas!',
    'preferences_general'                       => 'Gerais',
    'preferences_frontpage'                     => 'Ecrã inicial',
    'preferences_security'                      => 'Segurança',
    'preferences_layout'                        => 'Disposição',
    'preferences_notifications'                 => 'Notifications',
    'pref_home_show_deposits'                   => 'Mostrar depósitos no ecrã inicial',
    'pref_home_show_deposits_info'              => 'O ecrã inicial já mostra as contas de despesas. Deveria também mostrar as receitas?',
    'pref_home_do_show_deposits'                => 'Sim, mostrar',
    'successful_count'                          => 'dos quais :count bem sucedido(s)',
    'list_page_size_title'                      => 'Tamanho da página',
    'list_page_size_help'                       => 'Qualquer lista de coisas (contas, transacções, etc.) mostra, no máximo, este número por página.',
    'list_page_size_label'                      => 'Tamanho da página',
    'between_dates'                             => '(:start e :end)',
    'pref_optional_fields_transaction'          => 'Campos opcionais para transacções',
    'pref_optional_fields_transaction_help'     => 'Por defeito, nem todos os campos estão habilitados ao criar uma nova transacção (para não atrapalhar). Abaixo, pode habilitar os campos se achar que eles podem lhe úteis. Claro, qualquer campo que estiver desabilitado, mas já preenchido, será visível independente da configuração.',
    'optional_tj_date_fields'                   => 'Campos de data',
    'optional_tj_other_fields'                  => 'Outros campos',
    'optional_tj_attachment_fields'             => 'Campos de anexo',
    'pref_optional_tj_interest_date'            => 'Data de juros',
    'pref_optional_tj_book_date'                => 'Data do agendamento',
    'pref_optional_tj_process_date'             => 'Data de processamento',
    'pref_optional_tj_due_date'                 => 'Data de vencimento',
    'pref_optional_tj_payment_date'             => 'Data de pagamento',
    'pref_optional_tj_invoice_date'             => 'Data da fatura',
    'pref_optional_tj_internal_reference'       => 'Referência interna',
    'pref_optional_tj_notes'                    => 'Notas',
    'pref_optional_tj_attachments'              => 'Anexos',
    'pref_optional_tj_external_url'             => 'External URL',
    'pref_optional_tj_location'                 => 'Localização',
    'pref_optional_tj_links'                    => 'Links transacionais',
    'optional_field_meta_dates'                 => 'Datas',
    'optional_field_meta_business'              => 'Empresariais',
    'optional_field_attachments'                => 'Anexos',
    'optional_field_meta_data'                  => 'Meta data opcional',
    'external_url'                              => 'URL Externo',
    'pref_notification_bill_reminder'           => 'Reminder about expiring bills',
    'pref_notification_new_access_token'        => 'Alert when a new API access token is created',
    'pref_notification_transaction_creation'    => 'Alert when a transaction is created automatically',
    'pref_notification_user_login'              => 'Alert when you login from a new location',
    'pref_notifications'                        => 'Notifications',
    'pref_notifications_help'                   => 'Indicate if these are notifications you would like to get. Some notifications may contain sensitive financial information.',
    'slack_webhook_url'                         => 'Slack Webhook URL',
    'slack_webhook_url_help'                    => 'If you want Firefly III to notify you using Slack, enter the webhook URL here. Otherwise leave the field blank. If you are an admin, you need to set this URL in the administration as well.',
    'slack_url_label'                           => 'Slack "incoming webhook" URL',

    // profile:
    'purge_data_title'                          => 'Purge data from Firefly III',
    'purge_data_expl'                           => '"Purging" means "deleting that which is already deleted". In normal circumstances, Firefly III deletes nothing permanently. It just hides it. The button below deletes all of these previously "deleted" records FOREVER.',
    'delete_stuff_header'                       => 'Delete and purge data',
    'purge_all_data'                            => 'Purge all deleted records',
    'purge_data'                                => 'Purge data',
    'purged_all_records'                        => 'All deleted records have been purged.',
    'delete_data_title'                         => 'Delete data from Firefly III',
    'permanent_delete_stuff'                    => 'You can delete stuff from Firefly III. Using the buttons below means that your items will be removed from view and hidden. There is no undo-button for this, but the items may remain in the database where you can salvage them if necessary.',
    'other_sessions_logged_out'                 => 'Todas as outras sessões foram desconectadas.',
    'delete_unused_accounts'                    => 'Deleting unused accounts will clean your auto-complete lists.',
    'delete_all_unused_accounts'                => 'Delete unused accounts',
    'deleted_all_unused_accounts'               => 'All unused accounts are deleted',
    'delete_all_budgets'                        => 'Apagar TODOS os orçamentos',
    'delete_all_categories'                     => 'Apagar TODAS as categorias',
    'delete_all_tags'                           => 'Apagar TODAS as etiquetas',
    'delete_all_bills'                          => 'Apagar TODAS as faturas',
    'delete_all_piggy_banks'                    => 'Apagar todos os mealheiros',
    'delete_all_rules'                          => 'Apagar TODAS as regras',
    'delete_all_recurring'                      => 'Apagar TODAS as transacções recorrentes',
    'delete_all_object_groups'                  => 'Apagar TODOS os grupos de objectos',
    'delete_all_accounts'                       => 'Apagar TODAS as contas',
    'delete_all_asset_accounts'                 => 'Apagar TODAS as contas de activos',
    'delete_all_expense_accounts'               => 'Apagar TODAS as contas de despesas',
    'delete_all_revenue_accounts'               => 'Apagar TODOS as contas de receita',
    'delete_all_liabilities'                    => 'Apagar TODOS os passivos',
    'delete_all_transactions'                   => 'Apagar TODAS as suas transacções',
    'delete_all_withdrawals'                    => 'Apagar TODOS os levantamentos',
    'delete_all_deposits'                       => 'Apagar TODOS os depósitos',
    'delete_all_transfers'                      => 'Apagar TODOS as transferências',
    'also_delete_transactions'                  => 'Apagar a conta também apaga TODOS os levantamentos, depósitos e transferências associadas!',
    'deleted_all_budgets'                       => 'Todos os orçamentos foram apagados',
    'deleted_all_categories'                    => 'Todas as categorias foram apagadas',
    'deleted_all_tags'                          => 'Todas as etiquetas foram apagadas',
    'deleted_all_bills'                         => 'Todas as faturas foram apagadas',
    'deleted_all_piggy_banks'                   => 'Todos os mealheiros foram apagados',
    'deleted_all_rules'                         => 'Todas as regras e grupos de regras foram apagadas',
    'deleted_all_object_groups'                 => 'Todos os grupos foram apagados',
    'deleted_all_accounts'                      => 'Todas as contas foram apagadas',
    'deleted_all_asset_accounts'                => 'Todas as contas de activos foram apagadas',
    'deleted_all_expense_accounts'              => 'Todas as contas de despesas foram apagadas',
    'deleted_all_revenue_accounts'              => 'Todas as contas de receita foram apagadas',
    'deleted_all_liabilities'                   => 'Todos os passivos foram apagados',
    'deleted_all_transactions'                  => 'Todas as transacções foram apagadas',
    'deleted_all_withdrawals'                   => 'Todas os levantamentos foram apagados',
    'deleted_all_deposits'                      => 'Todos os depósitos foram apagados',
    'deleted_all_transfers'                     => 'Todas as transferências foram apagadas',
    'deleted_all_recurring'                     => 'Todas as transacções recorrentes foram apagadas',
    'change_your_password'                      => 'Altere a sua palavra-passe',
    'delete_account'                            => 'Apagar conta de utilizador',
    'current_password'                          => 'Palavra-passe actual',
    'new_password'                              => 'Nova palavra-passe',
    'new_password_again'                        => 'Nova palavra-passe (novamente)',
    'delete_your_account'                       => 'Apagar a conta',
    'delete_your_account_help'                  => 'Apagar a sua conta Firefly III apaga também todas as contas, transacções, <em>tudo</em> o que esta guardado no Firefly III. Isso será perdido.',
    'delete_your_account_password'              => 'Introduza a palavra-passe para continuar.',
    'password'                                  => 'Palavra-passe',
    'are_you_sure'                              => 'Tem a certeza? Não pode desfazer esta acção.',
    'delete_account_button'                     => 'Eliminar a conta',
    'invalid_current_password'                  => 'Palavra-passe actual inválida!',
    'password_changed'                          => 'Palavra-passe alterada!',
    'should_change'                             => 'A ideia é alterar palavra-passe.',
    'invalid_password'                          => 'Palavra-passe inválida!',
    'what_is_pw_security'                       => 'O que é "verificar segurança da palavra-passe"?',
    'secure_pw_title'                           => 'Como escolher uma palavra-passe segura',
    'forgot_password_response'                  => 'Obrigado. Se existir uma conta com este endereço de e-mail, você encontrará instruções na sua caixa de entrada.',
    'secure_pw_history'                         => 'Não há uma semana em que não se leia nas noticias sobre websites perderem as palavras-passe dos utilizadores. Hackers e ladrões utilizam essas palavras-passe para tentar roubar a sua informação pessoal, e essa informação é valiosa.',
    'secure_pw_ff'                              => 'Utiliza a mesma palavra-passe para tudo na internet? Se um website perder a sua palavra-passe, hackers podem aceder a toda a sua informação. O Firefly III depende de uma palavra-passe forte e única para poder proteger toda a sua informação financeira.',
    'secure_pw_check_box'                       => 'Para ajudá-lo o Firefly III pode verificar se a palavra-passe que pretende usar já foi roubada no passado. Se este for o caso, o Firefly III recomenda a que não a utilize.',
    'secure_pw_working_title'                   => 'Como funciona?',
    'secure_pw_working'                         => 'Ao marcar a caixa, Firefly III enviará os cinco primeiros caracteres do hash SHA1 da sua palavra-passe para <a href="https://www.troyhunt.com/introducing-306-million-freely-downloadable-pwned-passwords/">o website Troy Hunt</a> para confirmar se está na lista. Assim consegue impedi-lo de utilizar a palavras-passe inseguras, como é recomendado na última <a href="https://pages.nist.gov/800-63-3/sp800-63b.html">publicação NIST Special</a> sobre o assunto.',
    'secure_pw_should'                          => 'Devo marcar a caixa?',
    'secure_pw_long_password'                   => 'Sim. Verifique sempre se a a sua palavra-passe é segura.',
    'command_line_token'                        => 'Token de linha de comando',
    'explain_command_line_token'                => 'Você necessita de um token para executar opções de linha de comando, tais como exportar dados. Sem isso, os comandos inseridos não funcionarão. Não partilhe o seu token da linha de comandos com ninguém. Nunca ninguém nem mesmo eu, alguma vez lhe pediremos esse token. Se sentir que o perdeu, ou se sentir paranoico, pode substituir o mesmo usando o botão.',
    'regenerate_command_line_token'             => 'Recriar token de linha de comando',
    'token_regenerated'                         => 'Um novo token de linha de comando foi criado',
    'change_your_email'                         => 'Alterar o seu e-mail',
    'email_verification'                        => 'Uma mensagem de e-mail será enviada para o seu endereço de e-mail ANTIGO E NOVO. Por razões de segurança, não será capaz de iniciar sessão até confirmar o seu novo endereço de e-mail. Se não tem a certeza se sua instalação do Firefly III é capaz de enviar e-mails, por favor não utilize esta funcionalidade. Se é um administrador, pode testar-la na <a href="admin">Administração</a>.',
    'email_changed_logout'                      => 'Até verificar o seu endereço de e-mail, não poderá iniciar sessão.',
    'login_with_new_email'                      => 'Agora já pode iniciar sessão com o seu novo endereço de e-mail.',
    'login_with_old_email'                      => 'Agora já pode iniciar sessão com o seu endereço de e-mail antigo.',
    'login_provider_local_only'                 => 'Esta acção não está disponível ao autenticar através de ":login_provider".',
    'external_user_mgt_disabled'                => 'Esta acção não está disponível quando o Firefly III não é responsável pela gestão de utilizadores ou autenticação.',
    'external_auth_disabled'                    => 'Esta acção não está disponível quando o Firefly III não é responsável pela gestão de autenticação.',
    'delete_local_info_only'                    => "Como o Firefly III não é responsável pela gestão de utilizadores ou autenticação, esta função apenas apaga informações locais do Firefly III.",
    'oauth'                                     => 'OAuth',
    'profile_oauth_clients'                     => 'Clientes OAuth',
    'profile_oauth_no_clients'                  => 'Não criou nenhum cliente OAuth.',
    'profile_oauth_clients_header'              => 'Clientes',
    'profile_oauth_client_id'                   => 'ID do Cliente',
    'profile_oauth_client_name'                 => 'Nome',
    'profile_oauth_client_secret'               => 'Código secreto',
    'profile_oauth_create_new_client'           => 'Criar Novo Cliente',
    'profile_oauth_create_client'               => 'Criar Cliente',
    'profile_oauth_edit_client'                 => 'Editar Cliente',
    'profile_oauth_name_help'                   => 'Algo que os utilizadores reconheçam e confiem.',
    'profile_oauth_redirect_url'                => 'URL de redireccionamento',
    'profile_oauth_redirect_url_help'           => 'URL de callback de autorização da aplicação.',
    'profile_authorized_apps'                   => 'Aplicações autorizados',
    'profile_authorized_clients'                => 'Clientes autorizados',
    'profile_scopes'                            => 'Contextos',
    'profile_revoke'                            => 'Revogar',
    'profile_oauth_client_secret_title'         => 'Segredo do cliente',
    'profile_oauth_client_secret_expl'          => 'Aqui está o seu segredo de cliente. Apenas estará visível uma vez portanto não o perca! Pode agora utilizar este segredo para fazer pedidos à API.',
    'profile_personal_access_tokens'            => 'Tokens de acesso pessoal',
    'profile_personal_access_token'             => 'Token de acesso pessoal',
    'profile_oauth_confidential'                => 'Confidencial',
    'profile_oauth_confidential_help'           => 'Exigir que o cliente se autentique com um segredo. Clientes confidenciais podem manter credenciais de forma segura sem expor as mesmas a terceiros não autorizadas. Aplicações públicas, como por exemplo aplicações nativas de sistema operativo ou SPA JavaScript, são incapazes de garantir a segurança dos segredos.',
    'profile_personal_access_token_explanation' => 'Aqui está o seu novo token de acesso pessoal. Esta é a única vês que o mesmo será mostrado portanto não o perca! Pode utiliza-lo para fazer pedidos de API.',
    'profile_no_personal_access_token'          => 'Você ainda não criou tokens de acesso pessoal.',
    'profile_create_new_token'                  => 'Criar novo token',
    'profile_create_token'                      => 'Criar token',
    'profile_create'                            => 'Criar',
    'profile_save_changes'                      => 'Guardar alterações',
    'profile_whoops'                            => 'Oops!',
    'profile_something_wrong'                   => 'Algo correu mal!',
    'profile_try_again'                         => 'Algo correu mal. Por favor, tente novamente.',
    'amounts'                                   => 'Montantes',
    'multi_account_warning_unknown'             => 'Dependendo do tipo de transição que quer criar, a conta de origem e/ou a destino de subsequentes divisões pode ser sub-escrita por quaisquer regra definida na primeira divisão da transação.',
    'multi_account_warning_withdrawal'          => 'Mantenha em mente que a conta de origem de divisões subsequentes será sobre-escrita por quaisquer regra definida na primeira divisão do levantamento.',
    'multi_account_warning_deposit'             => 'Mantenha em mente que a conta de destino de divisões subsequentes será sobre-escrita por quaisquer regra definida na primeira divisão do depósito.',
    'multi_account_warning_transfer'            => 'Mantenha em mente que a conta de origem + destino de divisões subsequentes serão sobre-escritas por quaisquer regras definidas na divisão da transferência.',

    // export data:
    'export_data_title'                         => 'Exportar dados do Firefly III',
    'export_data_menu'                          => 'Exportar dados',
    'export_data_bc'                            => 'Exportar dados do Firefly III',
    'export_data_main_title'                    => 'Exportar dados do Firefly III',
    'export_data_expl'                          => 'Esta hiperligação permite-lhe exportar todas as transações e os meta dados do Firefly III. Por favor consulte a ajuda (canto superior direito ícone-(?)) para obter mais informações sobre o processo.',
    'export_data_all_transactions'              => 'Exportar todas as transações',
    'export_data_advanced_expl'                 => 'Se precisar de um tipo mais específico ou avançado de exportação, leia a ajuda sobre como usar o comando da consola <code>php artisan help firefly-iii:export-data</code>.',

    // attachments
    'nr_of_attachments'                         => 'Um anexo|:count anexos',
    'attachments'                               => 'Anexos',
    'edit_attachment'                           => 'Alterar anexo ":name"',
    'update_attachment'                         => 'Alterar anexo',
    'delete_attachment'                         => 'Apagar anexo ":name"',
    'attachment_deleted'                        => 'Anexo apagado ":name"',
    'liabilities_deleted'                       => 'Passivo apagado ":name"',
    'attachment_updated'                        => 'Anexo alterado ":name"',
    'upload_max_file_size'                      => 'Tamanho maximo do ficheiro: :size',
    'list_all_attachments'                      => 'Lista de todos os anexos',

    // transaction index
    'title_expenses'                            => 'Despesas',
    'title_withdrawal'                          => 'Despesas',
    'title_revenue'                             => 'Receita / renda',
    'title_deposit'                             => 'Receita / renda',
    'title_transfer'                            => 'Transferências',
    'title_transfers'                           => 'Transferências',
    'submission_options'                        => 'Submission options',
    'apply_rules_checkbox'                      => 'Apply rules',
    'fire_webhooks_checkbox'                    => 'Fire webhooks',

    // convert stuff:
    'convert_is_already_type_Withdrawal'        => 'Esta transação já e um levantamento',
    'convert_is_already_type_Deposit'           => 'Esta transação já e um depósito',
    'convert_is_already_type_Transfer'          => 'Esta transação já é uma transferência',
    'convert_to_Withdrawal'                     => 'Converter ":description" para um levantamento',
    'convert_to_Deposit'                        => 'Converter ":description" para um depósito',
    'convert_to_Transfer'                       => 'Converter ":description" para uma transferência',
    'convert_options_WithdrawalDeposit'         => 'Converter o levantamento para um depósito',
    'convert_options_WithdrawalTransfer'        => 'Converter o levantamento para uma transferência',
    'convert_options_DepositTransfer'           => 'Converter o depósito para uma transferência',
    'convert_options_DepositWithdrawal'         => 'Converter o depósito para um levantamento',
    'convert_options_TransferWithdrawal'        => 'Converter a transferência para um levantamento',
    'convert_options_TransferDeposit'           => 'Converter a transferência para um depósito',
    'convert_Withdrawal_to_deposit'             => 'Converter este levantamento para um depósito',
    'convert_Withdrawal_to_transfer'            => 'Converter este levantamento para uma transferência',
    'convert_Deposit_to_withdrawal'             => 'Converter este depósito para um levantamento',
    'convert_Deposit_to_transfer'               => 'Converter este depósito para uma transferência',
    'convert_Transfer_to_deposit'               => 'Converter esta transferência para um depósito',
    'convert_Transfer_to_withdrawal'            => 'Converter esta transferência para um levantamento',
    'convert_please_set_revenue_source'         => 'Por favor, seleccione a conta de receitas de onde virá dinheiro.',
    'convert_please_set_asset_destination'      => 'Por favor, escolha a conta de activos para onde vai o dinheiro.',
    'convert_please_set_expense_destination'    => 'Por favor, escolha a conta de despesas para onde vai o dinheiro.',
    'convert_please_set_asset_source'           => 'Por favor, escolha a conta de activos de onde virá o dinheiro.',
    'convert_expl_w_d'                          => 'Ao converter de um levantamento para um depósito, o dinheiro será depositado na conta de destino exibida, em vez de ser retirado dela. Ao converter de um levantamento num depósito, o dinheiro será depositado nas contas de destino exibidas, em vez de ser retirado delas.',
    'convert_expl_w_t'                          => 'Ao converter um levantamento para uma transferência, o dinheiro será transferido para fora da conta de origem para outro activo ou conta de responsabilidade em vez de ser gasto na conta de despesa original.|Ao converter um levantamento para uma transferência, o dinheiro será transferido das contas de origem para outros activos ou contas de responsabilidade em vez de ser gasto nas contas de despesas originais.',
    'convert_expl_d_w'                          => 'Quando converter um depósito num levantamento, o dinheiro será retirado da apresentada conta de origem, em vez de ser depositado na mesma.|Quando converter um depósito num levantamento, o dinheiro será retirado das apresentadas contas de origem, em vez de ser depositado nas mesmas.',
    'convert_expl_d_t'                          => 'Quando converter um depósito para uma transferência, o dinheiro será depositado na conta de destino listada de qualquer uma de sua conta de activos ou de responsabilidade.|Quando converter um depósito para uma transferência, o dinheiro será depositado nas contas de destino listadas de qualquer um dos seus activos ou contas de responsabilidade.',
    'convert_expl_t_w'                          => 'Quando converter uma transferência num levantamento, o dinheiro será gasto na conta de destino que definiu aqui, em vez de ser transferido para fora.|Quando converter uma transferência num levantamento, o dinheiro será gasto nas contas de destino que definiu aqui, em vez de ser transferido para fora.',
    'convert_expl_t_d'                          => 'Ao converter uma transferência em depósito, o dinheiro será depositado na conta de destino que vê aqui, em vez de ser transferido para ela.| Ao converter uma transferência em depósito, o dinheiro será depositado nas contas de destino que vê aqui, em vez de ser transferido para elas.',
    'convert_select_sources'                    => 'Para completar a conversão, por favor defina uma nova conta de origem abaixo.|Para completar a conversão, por favor defina uma nova conta de origem abaixo.',
    'convert_select_destinations'               => 'Para completar a conversão, por favor selecione a nova conta de destino abaixo.|Para completar a conversão, por favor selecione as contas de destino abaixo.',
    'converted_to_Withdrawal'                   => 'A transação foi convertida num levantamento',
    'converted_to_Deposit'                      => 'A transação foi convertida num depósito',
    'converted_to_Transfer'                     => 'A transação foi convertida numa transferência',
    'invalid_convert_selection'                 => 'A conta que selecionou ou já está em uso nas transações ou não existe.',
    'source_or_dest_invalid'                    => 'Não foi possível encontrar os detalhes corretos da transação. A conversão não é possível.',
    'convert_to_withdrawal'                     => 'Converter para levantamento',
    'convert_to_deposit'                        => 'Converter para depósito',
    'convert_to_transfer'                       => 'Converter para uma transferência',

    // create new stuff:
    'create_new_withdrawal'                     => 'Criar novo levantamento',
    'create_new_deposit'                        => 'Criar novo depósito',
    'create_new_transfer'                       => 'Criar nova transferências',
    'create_new_asset'                          => 'Criar nova conta de activos',
    'create_new_liabilities'                    => 'Criar novo passivo',
    'create_new_expense'                        => 'Criar nova conta de despesas',
    'create_new_revenue'                        => 'Criar nova conta de receitas',
    'create_new_piggy_bank'                     => 'Criar mealheiro',
    'create_new_bill'                           => 'Criar nova fatura',

    // currencies:
    'create_currency'                           => 'Criar uma nova moeda',
    'store_currency'                            => 'Guardar nova moeda',
    'update_currency'                           => 'Actualizar moeda',
    'new_default_currency'                      => ':name é a moeda padrão.',
    'cannot_delete_currency'                    => 'Não é possível apagar :name porque ainda está em uso.',
    'cannot_delete_fallback_currency'           => ':name é a moeda de reserva do sistema e não pode ser apagada.',
    'cannot_disable_currency_journals'          => 'Não é possível desativar :name porque ainda há transações a usa-la.',
    'cannot_disable_currency_last_left'         => 'Não é possível desativar :name porque é a única moeda ativada.',
    'cannot_disable_currency_account_meta'      => 'Não é possível desactivar :name porque ele é utilizado em contas de activos.',
    'cannot_disable_currency_bills'             => 'Não é possível desativar :name porque está a ser utilizado em faturas.',
    'cannot_disable_currency_recurring'         => 'Não é possível desativar :name porque é utilizado em transações recorrentes.',
    'cannot_disable_currency_available_budgets' => 'Não é possível desativar :name porque é utilizado nos orçamentos disponíveis.',
    'cannot_disable_currency_budget_limits'     => 'Não é possível desativar :name porque está a ser usado nos limites de orçamento.',
    'cannot_disable_currency_current_default'   => 'Não é possível desactivar :name porque é a moeda padrão actual.',
    'cannot_disable_currency_system_fallback'   => 'Não é possível desactivar :name porque é a moeda padrão do sistema.',
    'disable_EUR_side_effects'                  => 'O Euro é a moeda de reserva no caso de emergência no sistema. Desativa-la pode trazer efeitos secundários não desejáveis e pode anular a sua garantia.',
    'deleted_currency'                          => 'Moeda :name apagada',
    'created_currency'                          => 'Moeda :name criada',
    'could_not_store_currency'                  => 'Não foi possível guardar a nova moeda.',
    'updated_currency'                          => 'Moeda :name actualizada',
    'ask_site_owner'                            => 'Por favor, peça ao :owner para adicionar, remover ou editar moedas.',
    'currencies_intro'                          => 'Firefly III suporta várias moedas que pode definir e activar aqui.',
    'make_default_currency'                     => 'Tornar padrão',
    'default_currency'                          => 'padrão',
    'currency_is_disabled'                      => 'Desactivado',
    'enable_currency'                           => 'Activar',
    'disable_currency'                          => 'Desactivar',
    'currencies_default_disabled'               => 'A maioria destas moedas está desactivada. Para poder usá-las, tem que as activar primeiro.',
    'currency_is_now_enabled'                   => 'Divisa ":name" foi activada',
    'currency_is_now_disabled'                  => 'Divisa ":name" foi desactivada',

    // forms:
    'mandatoryFields'                           => 'Campos obrigatorios',
    'optionalFields'                            => 'Campos opcionais',
    'options'                                   => 'Opções',

    // budgets:
    'daily_budgets'                             => 'Orçamento diário',
    'weekly_budgets'                            => 'Orçamento semanal',
    'monthly_budgets'                           => 'Orçamento mensal',
    'quarterly_budgets'                         => 'Orçamento trimestral',
    'half_year_budgets'                         => 'Orçamento semestral',
    'yearly_budgets'                            => 'Orçamento anual',
    'other_budgets'                             => 'Orçamentos de tempo personalizado',
    'budget_limit_not_in_range'                 => 'Esta quantia aplica-se de :start a :end:',
    'total_available_budget'                    => 'Orçamento total disponível (entre :start e :end)',
    'total_available_budget_in_currency'        => 'Orçamento total disponível em :currency',
    'see_below'                                 => 'ver abaixo',
    'create_new_budget'                         => 'Criar um novo orçamento',
    'store_new_budget'                          => 'Gravar novo orçamento',
    'stored_new_budget'                         => 'Novo orçamento ":name" gravado',
    'available_between'                         => 'Disponivel entre :start e :end',
    'transactionsWithoutBudget'                 => 'Despesas sem orçamento',
    'transactions_no_budget'                    => 'Despesas sem orçamento entre :start e :end',
    'spent_between'                             => 'Já gasto entre :start e :end',
    'set_available_amount'                      => 'Definir montante disponível',
    'update_available_amount'                   => 'Actualizar montante disponível',
    'ab_basic_modal_explain'                    => 'Use este formulário para indicar quanto espera conseguir orçamentar (no total, em :currency) no período indicado.',
    'createBudget'                              => 'Novo orçamento',
    'invalid_currency'                          => 'Esta é uma moeda inválida',
    'invalid_amount'                            => 'Por favor, insira um montante',
    'set_ab'                                    => 'O montante do orçamento disponível foi definido',
    'updated_ab'                                => 'O montante do orçamento disponível foi actualizado',
    'deleted_ab'                                => 'O montante do orçamento disponível foi apagado',
    'deleted_bl'                                => 'O montante orçamentado foi retirado',
    'alt_currency_ab_create'                    => 'Definir o orçamento disponível em outra moeda',
    'bl_create_btn'                             => 'Definir orçamento em outra moeda',
    'inactiveBudgets'                           => 'Orçamentos inativos',
    'without_budget_between'                    => 'Transações sem orçamento entre :start e :end',
    'delete_budget'                             => 'Apagar orçamento ":name"',
    'deleted_budget'                            => 'Orçamento ":name" apagado',
    'edit_budget'                               => 'Alterar orçamento ":name"',
    'updated_budget'                            => 'Orçamento ":name" apagado',
    'update_amount'                             => 'Alterar montante',
    'update_budget'                             => 'Alterar orçamento',
    'update_budget_amount_range'                => 'Actualizar o valor (esperado) disponível entre :start e :end',
    'set_budget_limit_title'                    => 'Definir montante orçado para o orçamento :budget entre :start e :end',
    'set_budget_limit'                          => 'Definir montante orçamentado',
    'budget_period_navigator'                   => 'Navegador de período',
    'info_on_available_amount'                  => 'O que tenho disponível?',
    'available_amount_indication'               => 'Utilize estes valores para obter uma indicação do que seu orçamento total poderia ser.',
    'suggested'                                 => 'Sugerido',
    'average_between'                           => 'Media entre :start e :end',
    'transferred_in'                            => 'Transferido (para)',
    'transferred_away'                          => 'Transferido (de)',
    'auto_budget_none'                          => 'Sem orçamento automático',
    'auto_budget_reset'                         => 'Defina um valor fixo em cada período',
    'auto_budget_rollover'                      => 'Adicionar um montante a cada período',
    'auto_budget_period_daily'                  => 'Diariamente',
    'auto_budget_period_weekly'                 => 'Semanalmente',
    'auto_budget_period_monthly'                => 'Mensalmente',
    'auto_budget_period_quarterly'              => 'Trimestralmente',
    'auto_budget_period_half_year'              => 'A cada meio ano',
    'auto_budget_period_yearly'                 => 'Anualmente',
    'auto_budget_help'                          => 'Pode saber mais sobre esta funcionalidade na ajuda. Carregue no ícone(?) no canto superior direito.',
    'auto_budget_reset_icon'                    => 'Este orçamento será definido periodicamente',
    'auto_budget_rollover_icon'                 => 'O montante do orçamento irá aumentar periodicamente',
    'remove_budgeted_amount'                    => 'Remover montante de orçamento no(a) :currency',

    // bills:
    'not_expected_period'                       => 'Este período não foi previsto',
    'not_or_not_yet'                            => 'Não (ainda)',
    'visit_bill'                                => 'Visit bill ":name" at Firefly III',
    'match_between_amounts'                     => 'Fatura corresponde à transação entre :low e :high.',
    'running_again_loss'                        => 'As transações ligadas anteriormente a esta fatura poderão perder a ligação, se coincidirem (ou não) com a(s) regra(s).',
    'bill_related_rules'                        => 'Regras relacionadas a esta fatura',
    'repeats'                                   => 'Repete',
    'bill_end_date_help'                        => 'Optional field. The bill is expected to end on this date.',
    'bill_extension_date_help'                  => 'Optional field. The bill must be extended (or cancelled) on or before this date.',
    'bill_end_index_line'                       => 'Esta fatura termina em :date',
    'bill_extension_index_line'                 => 'This bill must be extended or cancelled on :date',
    'connected_journals'                        => 'Transações ligadas entre si',
    'auto_match_on'                             => 'Correspondido automaticamente pelo Firefly III',
    'auto_match_off'                            => 'Nao correspondido automaticamente pelo Firefly III',
    'next_expected_match'                       => 'Proxima correspondencia esperada',
    'delete_bill'                               => 'Apagar fatura ":name"',
    'deleted_bill'                              => 'Fatura apagada ":name"',
    'edit_bill'                                 => 'Editar fatura ":name"',
    'more'                                      => 'Mais',
    'rescan_old'                                => 'Executar regras novamente, em todas as transacções',
    'update_bill'                               => 'Atualizar fatura',
    'updated_bill'                              => 'Fatura atualizada ":name"',
    'store_new_bill'                            => 'Guardar nova fatura',
    'stored_new_bill'                           => 'Nova fatura guardada ":name"',
    'cannot_scan_inactive_bill'                 => 'Faturas inativas não podem ser verificadas.',
    'rescanned_bill'                            => 'Foi tudo verificado novamente e foi ligada :count transação à fatura.|Foi tudo verificado novamente e foram ligadas :count transações à fatura.',
    'average_bill_amount_year'                  => 'Média das faturas (:year)',
    'average_bill_amount_overall'               => 'Média das faturas (geral)',
    'bill_is_active'                            => 'A fatura está ativa',
    'bill_expected_between'                     => 'Esperado entre :start e :end',
    'bill_will_automatch'                       => 'A fatura será automaticamente ligada a transações correspondentes',
    'skips_over'                                => 'passar à frente',
    'bill_store_error'                          => 'Ocorreu um erro inesperado ao guardar a nova fatura. Por favor, verifique os arquivos de log',
    'list_inactive_rule'                        => 'regra inactiva',
    'bill_edit_rules'                           => 'O Firefly III tentará editar também a regra relacionada a esta fatura. Se editou esta regra, o Firefly III não irá mudar nada.|O Firefly III tentará editar também as :count regras relacionadas a esta fatura. Se editou estas regras por si mesmo no entanto, o Firefly III não irá mudar nada.',
    'bill_expected_date'                        => 'Esperado :date',
    'bill_expected_date_js'                     => 'Esperado {date}',
    'bill_paid_on'                              => 'Pago a {date}',
    'bill_repeats_weekly'                       => 'Repete-se semanalmente',
    'bill_repeats_monthly'                      => 'Repete mensalmente',
    'bill_repeats_quarterly'                    => 'Repete trimestralmente',
    'bill_repeats_half-year'                    => 'Repete-se a cada meio ano',
    'bill_repeats_yearly'                       => 'Repete-se anualmente',
    'bill_repeats_weekly_other'                 => 'Repete-se a cada semana',
    'bill_repeats_monthly_other'                => 'Repete-se a cada outro mês',
    'bill_repeats_quarterly_other'              => 'Repete-se a cada trimestre',
    'bill_repeats_half-year_other'              => 'Repete-se anualmente',
    'bill_repeats_yearly_other'                 => 'Repete-se a cada ano',
    'bill_repeats_weekly_skip'                  => 'Repete-se a cada {skip} semanas',
    'bill_repeats_monthly_skip'                 => 'Repete-se a cada {skip} meses',
    'bill_repeats_quarterly_skip'               => 'Repete a cada {skip} trimestres',
    'bill_repeats_half-year_skip'               => 'Repete-se a cada {skip} meio ano',
    'bill_repeats_yearly_skip'                  => 'Repete-se a cada {skip} anos',
    'subscriptions'                             => 'Subscrições',
    'forever'                                   => 'Para sempre',
    'extension_date_is'                         => 'A data de extensão é {date}',

    // accounts:
    'inactive_account_link'                     => 'Você tem :count conta inativa (arquivada), que pode visualizar nesta página separada.| Você tem :count contas inativas (arquivadas), que pode visualizar nesta página separada.',
    'all_accounts_inactive'                     => 'Estas são as suas contas inactivas.',
    'active_account_link'                       => 'Este link volta para suas contas activas.',
    'account_missing_transaction'               => 'A conta #:id (":name") não pode ser visualizada diretamente, no entanto o Firefly está sem informação de redirecionamento.',
    'cc_monthly_payment_date_help'              => 'Selecione qualquer ano e mês, será ignorado de qualquer forma. Apenas o dia do mês é relevante.',
    'details_for_asset'                         => 'Detalhes para a conta de activos ":name"',
    'details_for_expense'                       => 'Detalhes para a conta de despesas ":name"',
    'details_for_revenue'                       => 'Detalhes para a conta de receitas ":name"',
    'details_for_cash'                          => 'Detalhes de conta caixa ":name"',
    'store_new_asset_account'                   => 'Guardar nova conta de activos',
    'store_new_expense_account'                 => 'Guardar nova conta de despesas',
    'store_new_revenue_account'                 => 'Guardar nova conta de receitas',
    'edit_asset_account'                        => 'Editar conta de activos ":name"',
    'edit_expense_account'                      => 'Editar conta de despesas ":name"',
    'edit_revenue_account'                      => 'Editar conta de receitas ":name"',
    'delete_asset_account'                      => 'Apagar conta de activos ":name"',
    'delete_expense_account'                    => 'Apagar conta de despesas ":name"',
    'delete_revenue_account'                    => 'Apagar conta de receitas ":name"',
    'delete_liabilities_account'                => 'Apagar passivo ":name"',
    'asset_deleted'                             => 'Conta de activos ":name" apagada com sucesso',
    'account_deleted'                           => 'Conta ":name" eliminada com sucesso',
    'expense_deleted'                           => 'Conta de despesas ":name" apagada com sucesso',
    'revenue_deleted'                           => 'Conta de receitas ":name" apagada com sucesso',
    'update_asset_account'                      => 'Actualizar conta de activos',
    'update_undefined_account'                  => 'Actualizar conta',
    'update_liabilities_account'                => 'Actualizar passivo',
    'update_expense_account'                    => 'Alterar conta de despesas',
    'update_revenue_account'                    => 'Alterar conta de receitas',
    'make_new_asset_account'                    => 'Criar conta de activos',
    'make_new_expense_account'                  => 'Criar conta de despesas',
    'make_new_revenue_account'                  => 'Criar conta de receitas',
    'make_new_liabilities_account'              => 'Criar um novo passivo',
    'asset_accounts'                            => 'Conta de activos',
    'undefined_accounts'                        => 'Accounts',
    'asset_accounts_inactive'                   => 'Contas de activos (inactivas)',
    'expense_accounts'                          => 'Conta de despesas',
    'expense_accounts_inactive'                 => 'Contas de despesas (desactivadas)',
    'revenue_accounts'                          => 'Conta de receitas',
    'revenue_accounts_inactive'                 => 'Contas de receita (desactivadas)',
    'cash_accounts'                             => 'Contas de dinheiro',
    'Cash account'                              => 'Conta de dinheiro',
    'liabilities_accounts'                      => 'Passivos',
    'liabilities_accounts_inactive'             => 'Passivos (inactivos)',
    'reconcile_account'                         => 'Reconciliar conta ":account"',
    'overview_of_reconcile_modal'               => 'Visão geral da reconciliação',
    'delete_reconciliation'                     => 'Apagar reconciliação',
    'update_reconciliation'                     => 'Actualizar reconciliação',
    'amount_cannot_be_zero'                     => 'O valor não pode ser zero',
    'end_of_reconcile_period'                   => 'Período de fim de reconciliação: :period',
    'start_of_reconcile_period'                 => 'Início do período de reconciliação: :period',
    'start_balance'                             => 'Balanco inicial',
    'end_balance'                               => 'Balanco final',
    'update_balance_dates_instruction'          => 'Corresponda os valores e datas acima ao seu extracto bancário e pressione "Começar reconciliar"',
    'select_transactions_instruction'           => 'Seleccione as transacções que aparecem no seu extracto bancário.',
    'select_range_and_balance'                  => 'Primeiro verifique a data e os saldos. Em seguida, pressione "Iniciar reconciliação"',
    'date_change_instruction'                   => 'Se alterar o intervalo de datas agora, todo o progresso será perdido.',
    'update_selection'                          => 'Actualizar seleccao',
    'store_reconcile'                           => 'Guardar reconciliação',
    'reconciliation_transaction'                => 'Transacção de reconciliação',
    'Reconciliation'                            => 'Reconciliação',
    'reconciliation'                            => 'Reconciliação',
    'reconcile_options'                         => 'Opções de reconciliação',
    'reconcile_range'                           => 'Intervalo de reconciliação',
    'start_reconcile'                           => 'Começar a reconciliar',
    'cash_account_type'                         => 'Dinheiro',
    'cash'                                      => 'dinheiro',
    'cant_find_redirect_account'                => 'Firefly III tentou redirecciona-lo mas não conseguiu. Pedimos desculpa. De volta ao inicio.',
    'account_type'                              => 'Tipo de conta',
    'save_transactions_by_moving'               => 'Guarde esta transacção movendo-a para outra conta:|Guarde estas transacções movendo-as para outra conta:',
    'save_transactions_by_moving_js'            => 'Nenhuma transação| Guarde esta transação movendo-a para outra conta| Guarde estas transações movendo-as para outra conta.',
    'stored_new_account'                        => 'Nova conta ":name" gravada!',
    'stored_new_account_js'                     => 'Nova conta "<a href="accounts/show/{ID}">{name}</a>" armazenada!',
    'updated_account'                           => 'Conta ":name" alterada',
    'updated_account_js'                        => 'Conta atualizada "<a href="accounts/show/{ID}">{title}</a>".',
    'credit_card_options'                       => 'Opções do cartão de credito',
    'no_transactions_account'                   => 'Não existem transações (neste período) para a conta de ativos ":name".',
    'no_transactions_period'                    => 'Não há transacções (neste período).',
    'no_data_for_chart'                         => 'Não existe informação suficiente (ainda) para gerar este gráfico.',
    'select_at_least_one_account'               => 'Por favor seleccione, pelo menos, uma conta de activos',
    'select_at_least_one_category'              => 'Por favor selecciona, pelo menos, uma categoria',
    'select_at_least_one_budget'                => 'Por favor selecione, pelo menos, um orçamento',
    'select_at_least_one_tag'                   => 'Por favor selecione, pelo menos, uma etiqueta',
    'select_at_least_one_expense'               => 'Por favor, seleccione pelo menos uma combinação de contas de despesas/receita. Se você não tiver nenhuma (a lista está vazia), este relatório não está disponível.',
    'account_default_currency'                  => 'Esta vai ser a moeda padrão associada a esta conta.',
    'reconcile_has_more'                        => 'O seu livro fiscal Firefly III tem mais dinheiro no seu banco do que afirma ter. Existem várias opções. Por favor escolha o que quer fazer. Após, pressione "Confirmar reconciliação".',
    'reconcile_has_less'                        => 'O seu livro fiscal Firefly III tem menos dinheiro do que o seu banco afirma ter. Existem várias opções. Por favor escolha o que quer fazer. Após, pressione "Confirmar reconciliação".',
    'reconcile_is_equal'                        => 'O seu livro fiscal Firefly III e a informação que o seu banco forneceu estão iguais. Não existe nada para fazer. Por favor carregue em "Confirmar reconciliação" para confirmar a sua inserção.',
    'create_pos_reconcile_transaction'          => 'Desmarque as transacções seleccionadas e crie uma correcção adicionando :amount a esta conta activos.',
    'create_neg_reconcile_transaction'          => 'Desmarque as transacções seleccionadas e crie uma correcção removendo :amount desta conta de activos.',
    'reconcile_do_nothing'                      => 'Limpar as transações selecionadas, mas não corrigir.',
    'reconcile_go_back'                         => 'Pode sempre editar ou eliminar uma correção mais tarde.',
    'must_be_asset_account'                     => 'Só pode conciliar contas de activos',
    'reconciliation_stored'                     => 'Reconciliação guardada',
    'reconciliation_error'                      => 'Devido a um erro as transacções foram marcadas como reconciliadas mas a correcção não foi guardada: :error.',
    'reconciliation_transaction_title'          => 'Reconciliação (:from a :to)',
    'sum_of_reconciliation'                     => 'Soma da reconciliação',
    'reconcile_this_account'                    => 'Reconciliar esta conta',
    'reconcile'                                 => 'Reconciliar',
    'show'                                      => 'Mostrar',
    'confirm_reconciliation'                    => 'Confirmar reconciliação',
    'submitted_start_balance'                   => 'Saldo inicial enviado',
    'selected_transactions'                     => 'Transacções seleccionadas (:count)',
    'already_cleared_transactions'              => 'Transacções já removidas (:count)',
    'submitted_end_balance'                     => 'Saldo final enviado',
    'initial_balance_description'               => 'Saldo inicial para ":account"',
    'liability_credit_description'              => 'Crédito de responsabilidade para ":account"',
    'interest_calc_'                            => 'desconhecido',
    'interest_calc_daily'                       => 'Diario',
    'interest_calc_monthly'                     => 'Mensal',
    'interest_calc_yearly'                      => 'Anual',
    'interest_calc_weekly'                      => 'Por semana',
    'interest_calc_half-year'                   => 'Por meio ano',
    'interest_calc_quarterly'                   => 'Por trimestre',
    'initial_balance_account'                   => 'Saldo inicial da conta :account',
    'list_options'                              => 'Lista de opções',

    // categories:
    'new_category'                              => 'Nova categoria',
    'create_new_category'                       => 'Criar nova categoria',
    'without_category'                          => 'Sem uma categoria',
    'update_category'                           => 'Atualizar categoria',
    'updated_category'                          => 'Categoria ":name" actualizada',
    'categories'                                => 'Categorias',
    'edit_category'                             => 'Editar categoria ":name"',
    'no_category'                               => '(sem categoria)',
    'category'                                  => 'Categoria',
    'delete_category'                           => 'Apagar categoria ":name"',
    'deleted_category'                          => 'Categoria ":name" apagada',
    'store_category'                            => 'Gravar categoria',
    'stored_category'                           => 'Categoria ":name" gravada',
    'without_category_between'                  => 'Sem categoria entre :start e :end',

    // transactions:
    'update_withdrawal'                         => 'Alterar levantamento',
    'update_deposit'                            => 'Alterar depósito',
    'update_transaction'                        => 'Actualizar transacção',
    'update_transfer'                           => 'Alterar transferência',
    'updated_withdrawal'                        => 'Alterar levantamento ":description"',
    'updated_deposit'                           => 'Alterar depósito ":description"',
    'updated_transfer'                          => 'Alterar transferência ":description"',
    'no_changes_withdrawal'                     => 'O levantamento ":description" não foi alterado.',
    'no_changes_deposit'                        => 'O depósito ":description" não foi alterado.',
    'no_changes_transfer'                       => 'A transferência ":description" não foi alterada.',
    'delete_withdrawal'                         => 'Apagar levantamento ":description"',
    'delete_deposit'                            => 'Apagar depósito ":description"',
    'delete_transfer'                           => 'Apagar transferência ":description"',
    'deleted_withdrawal'                        => 'Apagado o levantamento ":description" com sucesso',
    'deleted_deposit'                           => 'Apagado o depósito ":description" com sucesso',
    'deleted_transfer'                          => 'Transferência ":description" apagada com sucesso',
    'deleted_reconciliation'                    => 'Transacção de reconciliação ":description" apagada com sucesso',
    'stored_journal'                            => 'Inserida a transação ":description" com sucesso',
    'stored_journal_no_descr'                   => 'Nova transacção criada com sucesso',
    'updated_journal_no_descr'                  => 'Transacção actualizada com sucesso',
    'select_transactions'                       => 'Selecionar todas as transações',
    'rule_group_select_transactions'            => 'Aplicar ":title" às transações',
    'rule_select_transactions'                  => 'Aplicar ":title" às transações',
    'stop_selection'                            => 'Pare de seleccionar transacções',
    'reconcile_selected'                        => 'Reconciliar',
    'mass_delete_journals'                      => 'Apagar um número de transacções',
    'mass_edit_journals'                        => 'Editar um número de transacções',
    'mass_bulk_journals'                        => 'Editar em massa um número de transacções',
    'mass_bulk_journals_explain'                => 'Este formulário permite alterar as propriedades das transacções listadas abaixo numa actualização abrangente. Todas as transacções na tabela serão actualizadas quando alterar os parâmetros que estão aqui.',
    'part_of_split'                             => 'Esta transação faz parte de uma transação dividida. Se não selecionar todas as partições, você pode acabar a mudar apenas uma parcela da transação.',
    'bulk_set_new_values'                       => 'Use as entradas abaixo para definir os novos valores. Se deixar em branco, serão definidas em branco para todos. Além disso, note que apenas levantamentos serão dados a orçamentos.',
    'no_bulk_category'                          => 'Nao actualizar categoria',
    'no_bulk_budget'                            => 'Não atualizar orçamento',
    'no_bulk_tags'                              => 'Não atualizar etiqueta(s)',
    'replace_with_these_tags'                   => 'Substituir com estas etiquetas',
    'append_these_tags'                         => 'Adicionar estas etiquetas',
    'mass_edit'                                 => 'Editar seleccionados individualmente',
    'bulk_edit'                                 => 'Editar seleccionados em conjunto',
    'mass_delete'                               => 'Apagar seleccionados',
    'cannot_edit_other_fields'                  => 'Você não pode editar em massa outros campos para além destes, porque não existe espaço para mostrá-los. Por favor siga a hiperligação para edita-los um-a-um, se tiver necessidade para tal.',
    'cannot_change_amount_reconciled'           => 'Você não pode alterar o montante de transações reconciliadas.',
    'no_budget'                                 => '(sem orçamento)',
    'no_bill'                                   => '(sem fatura)',
    'account_per_budget'                        => 'Conta por orçamento',
    'account_per_category'                      => 'Conta por categoria',
    'create_new_object'                         => 'Criar',
    'empty'                                     => '(vazio)',
    'all_other_budgets'                         => '(todos os outros orçamentos)',
    'all_other_accounts'                        => '(todas as outras contas)',
    'expense_per_source_account'                => 'Despesas por conta origem',
    'expense_per_destination_account'           => 'Despesas por conta de destino',
    'income_per_destination_account'            => 'Rendimento por conta de destino',
    'spent_in_specific_category'                => 'Gasto na categoria ":category"',
    'earned_in_specific_category'               => 'Ganhos na categoria ":category"',
    'spent_in_specific_tag'                     => 'Gasto na etiqueta ":tag"',
    'earned_in_specific_tag'                    => 'Ganhos na etiqueta ":tag"',
    'income_per_source_account'                 => 'Rendimento por conta origem',
    'average_spending_per_destination'          => 'Média das despesas por conta de destino',
    'average_spending_per_source'               => 'Média das despesas por conta de origem',
    'average_earning_per_source'                => 'Média dos ganhos por conta de origem',
    'average_earning_per_destination'           => 'Média de ganhos por conta de destino',
    'account_per_tag'                           => 'Conta por etiqueta',
    'tag_report_expenses_listed_once'           => 'Despesas e receitas nunca são listadas duas vezes. Se uma transação tiver múltiplas etiquetas, apenas aparece se estiver debaixo de uma etiqueta selecionada. Esta lista pode parecer que têm dados em falta, no entanto os montantes estarão corretos.',
    'double_report_expenses_charted_once'       => 'Despesas e receitas nunca são listadas duas vezes. Se uma transação tiver múltiplas etiquetas, apenas aparece se estiver debaixo de uma etiqueta selecionada. Este gráfico pode parecer que têm dados em falta, no entanto os montantes estarão corretos.',
    'tag_report_chart_single_tag'               => 'Este gráfico está aplicado a uma única etiqueta. Se a transação tiver múltiplas etiquetas, o que você vê aqui pode ser refletido noutros gráficos de outras etiquetas.',
    'tag'                                       => 'Etiqueta',
    'no_budget_squared'                         => '(sem orçamento)',
    'perm-delete-many'                          => 'Apagar tantos itens de uma vez pode ter efeitos desastrosos. Por favor tenha cuidado. Pode sempre apagar partes de uma transação dividida a partir desta página, por tanto tenha cuidado.',
    'mass_deleted_transactions_success'         => 'Apagada :count transação.|Apagadas :count transações.',
    'mass_edited_transactions_success'          => 'Atualizada :count transação.|Atualizadas :count transações.',
    'opt_group_'                                => '(sem tipo de conta)',
    'opt_group_no_account_type'                 => '(sem tipo de conta)',
    'opt_group_defaultAsset'                    => 'Conta de activos padrão',
    'opt_group_savingAsset'                     => 'Contas poupança',
    'opt_group_sharedAsset'                     => 'Contas de activos partilhados',
    'opt_group_ccAsset'                         => 'Cartões de credito',
    'opt_group_cashWalletAsset'                 => 'Carteiras de dinheiro',
    'opt_group_expense_account'                 => 'Contas de despesas',
    'opt_group_revenue_account'                 => 'Contas de receitas',
    'opt_group_l_Loan'                          => 'Responsabilidade: Emprestimo',
    'opt_group_cash_account'                    => 'Conta em dinheiro',
    'opt_group_l_Debt'                          => 'Responsabilidade: divida',
    'opt_group_l_Mortgage'                      => 'Responsabilidade: hipoteca',
    'opt_group_l_Credit card'                   => 'Passivo: cartão de crédito',
    'notes'                                     => 'Notas',
    'unknown_journal_error'                     => 'Não foi possível guardar a transação. Por favor verifique os ficheiros de log.',
    'attachment_not_found'                      => 'Este anexo não foi encontrado.',
    'journal_link_bill'                         => 'Esta transação está ligada à fatura <a href=":route">:name</a>. Para remover a ligação, desmarque a caixa de seleção. Utilize as regras para conectá-la a outra fatura.',
    'transaction_stored_link'                   => '<a href="transactions/show/{ID}">Transação #{ID} ("{title}")</a> foi guardada.',
    'transaction_new_stored_link'               => '<a href="transactions/show/{ID}">Transação#{ID}</a> foi guardada.',
    'transaction_updated_link'                  => '<a href="transactions/show/{ID}">Transação #{ID}</a> ("{title}") foi atualizada.',
    'transaction_updated_no_changes'            => '<a href="transactions/show/{ID}">Transação #{ID}</a> ("{title}") não recebeu nenhuma alteração.',
    'first_split_decides'                       => 'A primeira divisão determina o valor deste campo',
    'first_split_overrules_source'              => 'A primeira divisão pode anular a conta de origem',
    'first_split_overrules_destination'         => 'A primeira divisão pode anular a conta de destino',
    'spent_x_of_y'                              => 'Gasto {amount} de {total}',

    // new user:
    'welcome'                                   => 'Bem vindo ao Firefly III!',
    'submit'                                    => 'Enviar',
    'submission'                                => 'Submissão',
    'submit_yes_really'                         => 'Enviar (eu sei o que estou a fazer)',
    'getting_started'                           => 'Primeiros Passos',
    'to_get_started'                            => 'É bom ver que instalou o Firefly III com sucesso. Para começar a utilizar esta ferramenta por favor insira o nome do seu banco bem como o montante presente na sua conta corrente principal. Não se preocupe por agora se tiver múltiplas contas. Pode sempre adicioná-las depois. É que o Firefly III necessita de alguma coisa para começar.',
    'savings_balance_text'                      => 'O Firefly III criará automaticamente uma conta de poupança. Por padrão, não haverá dinheiro na sua conta poupança, mas se indicar ao Firefly III o saldo ele será armazenado como tal.',
    'finish_up_new_user'                        => 'É isso mesmo! Pode continuar a pressionar <strong>Enviar</strong>. Vai voltar ao inicio do Firefly III.',
    'stored_new_accounts_new_user'              => 'Yay! As novas contas foram guardadas.',
    'set_preferred_language'                    => 'Se prefer utilizar o Firefly III em outro idioma, por favor indique-o aqui.',
    'language'                                  => 'Idioma',
    'new_savings_account'                       => 'Conta de poupança :bank_name',
    'cash_wallet'                               => 'Carteira de dinheiro',
    'currency_not_present'                      => 'Não se preocupe se a moeda que utiliza normalmente não está listada. Pode criar as suas próprias moedas em Opções > Moedas.',

    // home page:
    'transaction_table_description'             => 'Uma tabela com as suas transacções',
    'opposing_account'                          => 'Conta oposta',
    'yourAccounts'                              => 'As suas contas',
    'your_accounts'                             => 'Resumo da sua conta',
    'category_overview'                         => 'Resumo da categoria',
    'expense_overview'                          => 'Resumo da conta de despesas',
    'revenue_overview'                          => 'Resumo da conta de receitas',
    'budgetsAndSpending'                        => 'Orçamentos e despesas',
    'budgets_and_spending'                      => 'Orçamentos e despesas',
    'go_to_budget'                              => 'Vá para o orçamento "{budget}"',
    'go_to_deposits'                            => 'Ir para depósitos',
    'go_to_expenses'                            => 'Ir para despesas',
    'savings'                                   => 'Poupanças',
    'newWithdrawal'                             => 'Nova despesa',
    'newDeposit'                                => 'Novo depósito',
    'newTransfer'                               => 'Nova transferência',
    'bills_to_pay'                              => 'Faturas a pagar',
    'per_day'                                   => 'Por dia',
    'left_to_spend_per_day'                     => 'Restante para gastar por dia',
    'bills_paid'                                => 'Fatura pagas',
    'custom_period'                             => 'Período personalizado',
    'reset_to_current'                          => 'Reiniciar o período personalizado',
    'select_period'                             => 'Selecionar um período',

    // menu and titles, should be recycled as often as possible:
    'currency'                                  => 'Moeda',
    'preferences'                               => 'Definições',
    'logout'                                    => 'Terminar Sessão',
    'logout_other_sessions'                     => 'Terminar todas as outras sessões',
    'toggleNavigation'                          => 'Mostrar/esconder navegação',
    'searchPlaceholder'                         => 'Pesquisar...',
    'version'                                   => 'Versão',
    'dashboard'                                 => 'Painel de controlo',
    'available_budget'                          => 'Orçamento disponível ({currency})',
    'currencies'                                => 'Moedas',
    'activity'                                  => 'Actividade',
    'usage'                                     => 'Uso',
    'accounts'                                  => 'Contas',
    'Asset account'                             => 'Conta de activos',
    'Default account'                           => 'Conta de activos',
    'Expense account'                           => 'Conta de despesas',
    'Revenue account'                           => 'Conta de receitas',
    'Initial balance account'                   => 'Conta de balanco inicial',
    'account_type_Debt'                         => 'Debito',
    'account_type_Loan'                         => 'Emprestimo',
    'account_type_Mortgage'                     => 'Hipoteca',
    'account_type_debt'                         => 'Dívida',
    'account_type_loan'                         => 'Empréstimo',
    'account_type_mortgage'                     => 'Hipoteca',
    'account_type_Credit card'                  => 'Cartao de credito',
    'credit_card_type_monthlyFull'              => 'Pagamento completo a cada mês',
    'liability_direction_credit'                => 'Esta dívida é-me devida',
    'liability_direction_debit'                 => 'Devo esta dívida a outra pessoa',
    'liability_direction_credit_short'          => 'Deve-lhe esta dívida',
    'liability_direction_debit_short'           => 'Deve esta dívida',
    'liability_direction__short'                => 'Desconhecido',
    'liability_direction_null_short'            => 'Desconhecido',
    'Liability credit'                          => 'Crédito de responsabilidade',
    'budgets'                                   => 'Orçamentos',
    'tags'                                      => 'Etiquetas',
    'reports'                                   => 'Relatórios',
    'transactions'                              => 'Transações',
    'expenses'                                  => 'Despesas',
    'income'                                    => 'Receita / renda',
    'transfers'                                 => 'Transferências',
    'moneyManagement'                           => 'Gestao de dinheiro',
    'money_management'                          => 'Gestão Monetária',
    'tools'                                     => 'Ferramentas',
    'piggyBanks'                                => 'Mealheiros',
    'piggy_banks'                               => 'Mealheiros',
    'amount_x_of_y'                             => '{current} de {total}',
    'bills'                                     => 'Faturas',
    'withdrawal'                                => 'Levantamento',
    'opening_balance'                           => 'Saldo de abertura',
    'deposit'                                   => 'Depósito',
    'account'                                   => 'Conta',
    'transfer'                                  => 'Transferência',
    'Withdrawal'                                => 'Levantamento',
    'Deposit'                                   => 'Depósito',
    'Transfer'                                  => 'Transferência',
    'bill'                                      => 'Fatura',
    'yes'                                       => 'Sim',
    'no'                                        => 'Nao',
    'amount'                                    => 'Montante',
    'overview'                                  => 'Visao geral',
    'saveOnAccount'                             => 'Salvar na conta',
    'unknown'                                   => 'Desconhecido',
    'monthly'                                   => 'Mensalmente',
    'profile'                                   => 'Perfil',
    'errors'                                    => 'Erros',
    'debt_start_date'                           => 'Data inicial da divida',
    'debt_start_amount'                         => 'Montante inicial da dívida',
    'debt_start_amount_help'                    => 'É sempre melhor definir esse valor como um valor negativo. Leia as páginas de ajuda (canto superior direito (?)) para obter mais informações.',
    'interest_period_help'                      => 'Este campo é pura e simplesmente cosmético e não será calculado por si. O que acontece é que os bancos costumam ser muito matreiros e por isso o Firefly III nunca acerta direito.',
    'store_new_liabilities_account'             => 'Guardar novo passivo',
    'edit_liabilities_account'                  => 'Editar passivo ":name"',
    'financial_control'                         => 'Controlo financeiro',
    'accounting'                                => 'Contabilidade',
    'automation'                                => 'Automatização',
    'others'                                    => 'Outros',
    'classification'                            => 'Classificação',
    'store_transaction'                         => 'Guardar transação',

    // reports:
    'report_default'                            => 'Relatório financeiro padrão entre :start e :end',
    'report_audit'                              => 'Visão geral do histórico de transações entre :start e :end',
    'report_category'                           => 'Relatório da categoria entre :start e :end',
    'report_double'                             => 'Relatório de despesas/receitas entre :start e :end',
    'report_budget'                             => 'Relatório de orçamento entre :start e :end',
    'report_tag'                                => 'Relatório de etiqueta entre :start e :end',
    'quick_link_reports'                        => 'Links rapidos',
    'quick_link_examples'                       => 'Estes são apenas alguns exemplos de hiperligações para o ajudar a começar. Veja as páginas de ajuda presentes no botão-(?) para mais informação sobre todos os relatórios e as palavras mágicas que pode usar.',
    'quick_link_default_report'                 => 'Relatório financeiro padrão',
    'quick_link_audit_report'                   => 'Visão geral do histórico da transação',
    'report_this_month_quick'                   => 'Mês actual, todas as contas',
    'report_last_month_quick'                   => 'Mês passado, todas as contas',
    'report_this_year_quick'                    => 'Ano actual, todas as contas',
    'report_this_fiscal_year_quick'             => 'Ano fiscal actual, todas as contas',
    'report_all_time_quick'                     => 'Todas as contas, de sempre',
    'reports_can_bookmark'                      => 'Lembre-se de que os relatórios podem ser guardados.',
    'incomeVsExpenses'                          => 'Receitas vs Despesas',
    'accountBalances'                           => 'Saldos das contas',
    'balanceStart'                              => 'Saldo no início do período',
    'balanceEnd'                                => 'Saldo no final do período',
    'splitByAccount'                            => 'Dividir por conta',
    'coveredWithTags'                           => 'Com etiquetas',
    'leftInBudget'                              => 'Margem no orçamento',
    'left_in_debt'                              => 'Montante em dívida',
    'sumOfSums'                                 => 'Soma dos montantes',
    'noCategory'                                => '(sem categoria)',
    'notCharged'                                => 'Não alterado (ainda)',
    'inactive'                                  => 'Inactivo',
    'active'                                    => 'Activo',
    'difference'                                => 'Diferença',
    'money_flowing_in'                          => 'Dentro',
    'money_flowing_out'                         => 'Fora',
    'topX'                                      => 'superior :number',
    'show_full_list'                            => 'Mostrar a lista inteira',
    'show_only_top'                             => 'Mostrar apenas topo :number',
    'report_type'                               => 'Tipo de relatório',
    'report_type_default'                       => 'Relatório financeiro padrão',
    'report_type_audit'                         => 'Visão geral do histórico de transacções (auditoria)',
    'report_type_category'                      => 'Relatório por categoria',
    'report_type_budget'                        => 'Relatório por orçamento',
    'report_type_tag'                           => 'Relatório por etiqueta',
    'report_type_double'                        => 'Relatório de despesas/receitas',
    'more_info_help'                            => 'Mais informação sobre este tipo de relatórios pode ser encontrada nas páginas de ajuda. Por favor carregue no ícone (?) no canto superior direito.',
    'report_included_accounts'                  => 'Contas incluídas',
    'report_date_range'                         => 'Intervalo de datas',
    'report_preset_ranges'                      => 'Intervalos pré-definidos',
    'shared'                                    => 'Partilhado',
    'fiscal_year'                               => 'Ano fiscal',
    'income_entry'                              => 'Rendimento da conta ":name" entre :start e :end',
    'expense_entry'                             => 'Despesas na conta ":name" entre :start e :end',
    'category_entry'                            => 'Despesas e receitas na categoria ":name" entre :start e :end',
    'budget_spent_amount'                       => 'Despesas no orçamento ":budget" entre :start e :end',
    'balance_amount'                            => 'Despesas no orçamento ":budget" pagas com a conta ":account" entre :start e :end',
    'no_audit_activity'                         => 'Sem atividade registada na conta <a href=":url" title=":account_name">:account_name</a> entre :start e :end.',
    'audit_end_balance'                         => 'O saldo da conta <a href=":url" title=":account_name">:account_name</a> no final de :end era :balance',
    'reports_extra_options'                     => 'Opções extras',
    'report_has_no_extra_options'               => 'Este relatório não tem opções extras',
    'reports_submit'                            => 'Ver relatório',
    'end_after_start_date'                      => 'A data de fim do relatório deve ser superior à da data de início.',
    'select_category'                           => 'Selecionar categoria(s)',
    'select_budget'                             => 'Selecionar orçamento(s).',
    'select_tag'                                => 'Selecionar etiqueta(s).',
    'income_per_category'                       => 'Receita por categoria',
    'expense_per_category'                      => 'Despesa por categoria',
    'expense_per_budget'                        => 'Despesa por orçamento',
    'income_per_account'                        => 'Receita por conta',
    'expense_per_account'                       => 'Despesa por conta',
    'expense_per_tag'                           => 'Despesa por etiqueta',
    'income_per_tag'                            => 'Receita por etiqueta',
    'include_expense_not_in_budget'             => 'Despesas não incluídas no(s) orçamento(s) selecionado(s)',
    'include_expense_not_in_account'            => 'Despesas não incluídas nas conta(s) selecionada(s)',
    'include_expense_not_in_category'           => 'Despesas não incluídas na(s) categoria(s) selecionada(s)',
    'include_income_not_in_category'            => 'Rendimento não incluído na(s) categoria(s) selecionada(s)',
    'include_income_not_in_account'             => 'Rendimento não incluído na(s) conta(s) selecionada(s)',
    'include_income_not_in_tags'                => 'Rendimento não incluído na(s) etiqueta(s) selecionada(s)',
    'include_expense_not_in_tags'               => 'Despesas não incluídas na(s) etiqueta(s) selecionada(s)',
    'everything_else'                           => 'Tudo o restante',
    'income_and_expenses'                       => 'Receitas e despesas',
    'spent_average'                             => 'Gasto (media)',
    'income_average'                            => 'Receitas (media)',
    'transaction_count'                         => 'Contagem das transações',
    'average_spending_per_account'              => 'Média de gastos por conta',
    'average_income_per_account'                => 'Rendimento médio por conta',
    'total'                                     => 'Total',
    'description'                               => 'Descricao',
    'sum_of_period'                             => 'Soma do periodo',
    'average_in_period'                         => 'Media no periodo',
    'account_role_defaultAsset'                 => 'Conta de activos padrão',
    'account_role_sharedAsset'                  => 'Conta de activos partilhados',
    'account_role_savingAsset'                  => 'Conta poupança',
    'account_role_ccAsset'                      => 'Cartão de credito',
    'account_role_cashWalletAsset'              => 'Carteira de dinheiro',
    'budget_chart_click'                        => 'Por favor carregue num nome de um orçamento na tabela acima para visualizar um gráfico.',
    'category_chart_click'                      => 'Por favor carregue no nome da categoria na tabela acima para visualizar um gráfico.',
    'in_out_accounts'                           => 'Ganhos e gastos por combinação',
    'in_out_accounts_per_asset'                 => 'Recebido e gasto (por conta de ativos)',
    'in_out_per_category'                       => 'Ganhos e gastos por categoria',
    'out_per_budget'                            => 'Gasto por orçamento',
    'select_expense_revenue'                    => 'Seleccione conta de despesa/receita',
    'multi_currency_report_sum'                 => 'Como esta lista contém contas com várias moedas diferentes, a(s) soma(s) que vê pode não fazer sentido. O relatório vai utilizar sempre a moeda padrão.',
    'sum_in_default_currency'                   => 'A soma estará sempre na moeda padrão.',
    'net_filtered_prefs'                        => 'Esse gráfico nunca incluirá contas que tenham a opção "incluir no património líquido" desmarcada.',

    // charts:
    'chart'                                     => 'Gráfico',
    'month'                                     => 'Mes',
    'budget'                                    => 'Orcamento',
    'spent'                                     => 'Gasto',
    'spent_capped'                              => 'Gasto (limitado)',
    'spent_in_budget'                           => 'Gasto no orçamento',
    'left_to_spend'                             => 'Restante para gastar',
    'earned'                                    => 'Ganho',
    'overspent'                                 => 'Gasto excedido',
    'left'                                      => 'Em falta',
    'max-amount'                                => 'Montante maximo',
    'min-amount'                                => 'Montante minimo',
    'journal-amount'                            => 'Entrada da fatura atual',
    'name'                                      => 'Nome',
    'date'                                      => 'Data',
    'date_and_time'                             => 'Data e hora',
    'time'                                      => 'Hora',
    'paid'                                      => 'Pago',
    'unpaid'                                    => 'Por pagar',
    'day'                                       => 'Dia',
    'budgeted'                                  => 'Orçamentado',
    'period'                                    => 'Período',
    'balance'                                   => 'Saldo',
    'sum'                                       => 'Soma',
    'summary'                                   => 'Resumo',
    'average'                                   => 'Média',
    'balanceFor'                                => 'Saldo para :name',
    'no_tags'                                   => '(sem etiquetas)',

    // piggy banks:
    'event_history'                             => 'Event history',
    'add_money_to_piggy'                        => 'Adicionar dinheiro ao mealheiro ":name"',
    'piggy_bank'                                => 'Mealheiro',
    'new_piggy_bank'                            => 'Novo mealheiro',
    'store_piggy_bank'                          => 'Guardar novo mealheiro',
    'stored_piggy_bank'                         => 'Guardar novo mealheiro ":name"',
    'account_status'                            => 'Estado da conta',
    'left_for_piggy_banks'                      => 'Sobra para os mealheiros',
    'sum_of_piggy_banks'                        => 'Soma dos mealheiro',
    'saved_so_far'                              => 'Poupado ate agora',
    'left_to_save'                              => 'Restante que falta poupar',
    'suggested_amount'                          => 'Sugestao de valor a salvar mensalmente',
    'add_money_to_piggy_title'                  => 'Adicionar dinheiro ao mealheiro ":name"',
    'remove_money_from_piggy_title'             => 'Remover dinheiro do mealheiro ":name"',
    'add'                                       => 'Adicionar',
    'no_money_for_piggy'                        => 'Nao tens dinheiro para colocar neste mealheiro.',
    'suggested_savings_per_month'               => 'Sugerido mensalmente',

    'remove'                    => 'Remover',
    'max_amount_add'            => 'O montante maximo que podes adicionar e',
    'max_amount_remove'         => 'O montante maximo que podes remover e',
    'update_piggy_button'       => 'Actualizar o mealheiro',
    'update_piggy_title'        => 'Actualizar o mealheiro ":name"',
    'updated_piggy_bank'        => 'Mealheiro ":name" actualizado',
    'details'                   => 'Detalhes',
    'events'                    => 'Eventos',
    'target_amount'             => 'Montante alvo',
    'start_date'                => 'Data inicial',
    'no_start_date'             => 'Sem data inicial',
    'target_date'               => 'Data alvo',
    'no_target_date'            => 'Sem data alvo',
    'table'                     => 'Tabela',
    'delete_piggy_bank'         => 'Apagar o mealheiro ":name"',
    'cannot_add_amount_piggy'   => 'Nao consigo adicionar :amount a ":name".',
    'cannot_remove_from_piggy'  => 'Nao consigo remover :amount de ":name".',
    'deleted_piggy_bank'        => 'Mealheiro ":name" apagado',
    'added_amount_to_piggy'     => 'Adicionado :amount a ":name"',
    'removed_amount_from_piggy' => 'Removido :amount de ":name"',
    'piggy_events'              => 'Relacionado ao mealheiro',

    // tags
    'delete_tag'                => 'Apagar etiqueta ":tag"',
    'deleted_tag'               => 'Etiqueta ":tag" apagada',
    'new_tag'                   => 'Nova etiqueta',
    'edit_tag'                  => 'Alterar etiqueta ":tag"',
    'updated_tag'               => 'Etiqueta ":tag" alterada',
    'created_tag'               => 'Etiqueta ":tag" criada!',

    'transaction_journal_information'          => 'Informação da transação',
    'transaction_journal_meta'                 => 'Meta informação',
    'transaction_journal_more'                 => 'Mais informações',
    'basic_journal_information'                => 'Informações básicas de transação',
    'transaction_journal_extra'                => 'Informações extra',
    'att_part_of_journal'                      => 'Guardado em ":journal"',
    'total_amount'                             => 'Montante total',
    'number_of_decimals'                       => 'Numero de casas decimais',

    // administration
    'invite_new_user_title'                    => 'Invite new user',
    'invite_new_user_text'                     => 'As an administrator, you can invite users to register on your Firefly III administration. Using the direct link you can share with them, they will be able to register an account. The invited user and their invite link will appear in the table below. You are free to share the invitation link with them.',
    'invited_user_mail'                        => 'Email address',
    'invite_user'                              => 'Invite user',
    'user_is_invited'                          => 'Email address ":address" was invited to Firefly III',
    'administration'                           => 'Administração',
    'code_already_used'                        => 'Invite code has been used',
    'user_administration'                      => 'Administração de utilizadores',
    'list_all_users'                           => 'Todos os utilizadores',
    'all_users'                                => 'Todos os utilizadores',
    'instance_configuration'                   => 'Configuracoes',
    'firefly_instance_configuration'           => 'Opções de configuração para o Firefly III',
    'setting_single_user_mode'                 => 'Modo de utilizador-unico',
    'setting_single_user_mode_explain'         => 'Por defeito, o Firefly III só aceita um (1) registo: você. Esta é uma medida de segurança, impedindo que outros utilizem a sua plataforma, a menos que permita. Os futuros registos estão bloqueados. Quando desmarcar esta caixa, outros podem utilizar a sua plataforma supondo que eles possam acede-la (quando ela estiver conectada à internet).',
    'store_configuration'                      => 'Gravar configuracao',
    'single_user_administration'               => 'Administração de utilizadores para :email',
    'edit_user'                                => 'Alterar utilizador :email',
    'hidden_fields_preferences'                => 'Pode ativar mais opções de transações nas suas <a href="preferences">preferências</a>.',
    'user_data_information'                    => 'Dados do utilizador',
    'user_information'                         => 'Informação do utilizador',
    'total_size'                               => 'tamanho total',
    'budget_or_budgets'                        => ':count orçamento|:count orçamentos',
    'budgets_with_limits'                      => ':count orçamento com montante definido|:count orçamentos com montante definido',
    'nr_of_rules_in_total_groups'              => ':count_rules regra(s) em :count_groups grupo(s) de regras',
    'tag_or_tags'                              => ':count etiqueta|:count etiquetas',
    'configuration_updated'                    => 'A configuração foi actualizada',
    'setting_is_demo_site'                     => 'Site de demonstração',
    'setting_is_demo_site_explain'             => 'Se marcar esta caixa, esta instalação vai se tornar no site de demonstração, o que pode ter efeitos colaterais estranhos.',
    'block_code_bounced'                       => 'Mensagem(s) de e-mail devolvida(s)',
    'block_code_expired'                       => 'Conta de demonstração expirada',
    'no_block_code'                            => 'Sem razão para bloqueio ou utilizador não bloqueado',
    'block_code_email_changed'                 => 'O utilizador ainda não confirmou o novo endereço de e-mail',
    'admin_update_email'                       => 'Ao contrário da página de perfil, o utilizador NÃO vai ser notificado sobre a alteração do endereço de e-mail!',
    'update_user'                              => 'Actualizar utilizador',
    'updated_user'                             => 'Os dados do utilizador foram alterados.',
    'delete_user'                              => 'Apagar utilizador ":email"',
    'user_deleted'                             => 'O utilizador foi apagado',
    'send_test_email'                          => 'Enviar e-mail de teste',
    'send_test_email_text'                     => 'To see if your installation is capable of sending email or posting Slack messages, please press this button. You will not see an error here (if any), <strong>the log files will reflect any errors</strong>. You can press this button as many times as you like. There is no spam control. The message will be sent to <code>:email</code> and should arrive shortly.',
    'send_message'                             => 'Enviar mensagem',
    'send_test_triggered'                      => 'O teste foi activado. Verifique a caixa de entrada e os arquivos de log.',
    'give_admin_careful'                       => 'Utilizadores que obtiverem direitos de administrador podem remover as suas permissões. Tenha cuidado.',
    'admin_maintanance_title'                  => 'Manutenção',
    'admin_maintanance_expl'                   => 'Alguns botões sofisticados para a manutenção do Firefly III',
    'admin_maintenance_clear_cache'            => 'Limpar cache',
    'admin_notifications'                      => 'Admin notifications',
    'admin_notifications_expl'                 => 'The following notifications can be enabled or disabled by the administrator. If you want to get these messages over Slack as well, set the "incoming webhook" URL.',
    'admin_notification_check_user_new_reg'    => 'User gets post-registration welcome message',
    'admin_notification_check_admin_new_reg'   => 'Administrator(s) get new user registration notification',
    'admin_notification_check_new_version'     => 'A new version is available',
    'admin_notification_check_invite_created'  => 'A user is invited to Firefly III',
    'admin_notification_check_invite_redeemed' => 'A user invitation is redeemed',
    'all_invited_users'                        => 'All invited users',
    'save_notification_settings'               => 'Save settings',
    'notification_settings_saved'              => 'The notification settings have been saved',


    'split_transaction_title'               => 'Descrição da transacção dividida',
    'split_transaction_title_help'          => 'Se criar uma transacção dividida, deve haver uma descrição global para todas as partes da transacção.',
    'split_title_help'                      => 'Se criar uma transacção dividida, deve haver uma descrição global para todas as partes da transacção.',
    'you_create_transfer'                   => 'Está a criar uma transferência.',
    'you_create_withdrawal'                 => 'Está a criar um levantamento.',
    'you_create_deposit'                    => 'Está a criar um depósito.',


    // links
    'journal_link_configuration'            => 'Configuração de ligações de transacção',
    'create_new_link_type'                  => 'Criar novo tipo de ligação',
    'store_new_link_type'                   => 'Guardar novo tipo de ligação',
    'update_link_type'                      => 'Actualizar tipo de ligação',
    'edit_link_type'                        => 'Editar tipo de ligação ":name"',
    'updated_link_type'                     => 'Tipo de ligação ":name" actualizado',
    'delete_link_type'                      => 'Apagar tipo de ligação ":name"',
    'deleted_link_type'                     => 'Tipo de ligação ":name" apagado',
    'stored_new_link_type'                  => 'Guarde novo tipo de ligação ":name"',
    'cannot_edit_link_type'                 => 'Não é possível editar o tipo de ligação ":name"',
    'link_type_help_name'                   => 'Por exemplo "Duplicados"',
    'link_type_help_inward'                 => 'Por exemplo "duplicados"',
    'link_type_help_outward'                => 'Por exemplo "é duplicado pr"',
    'save_connections_by_moving'            => 'Grave a ligação entre estas transações ao mover as mesmas para outro tipo de ligação:',
    'do_not_save_connection'                => '(não guardar a ligação)',
    'link_transaction'                      => 'Ligar transacção',
    'link_to_other_transaction'             => 'Ligue esta transacção a outra transacção',
    'select_transaction_to_link'            => 'Selecione a ligação de transação para associar a esta transação. Estas ligações estão por utilizar no Firefly III (para além das que estão a ser mostradas), mas planeio fazer alterações no futuro. Utilize a caixa de pesquisa para selecionar uma transação ou pelo seu título ou pelo seu ID. Se desejar adicionar ligações feitas à medida, verifique a secção de administração.',
    'this_transaction'                      => 'Esta transacção',
    'transaction'                           => 'Transacção',
    'comments'                              => 'Comentários',
    'link_notes'                            => 'Quaisquer nota que deseje guardar com a ligação.',
    'invalid_link_selection'                => 'Não é possível ligar estas transações',
    'selected_transaction'                  => 'Transacção seleccionada',
    'journals_linked'                       => 'As transacções estão ligadas.',
    'journals_error_linked'                 => 'Estas transacções já estão ligadas.',
    'journals_link_to_self'                 => 'Não pode ligar uma transacção a ela mesma',
    'journal_links'                         => 'Ligações de transacção',
    'this_withdrawal'                       => 'Este levantamento',
    'this_deposit'                          => 'Este depósito',
    'this_transfer'                         => 'Esta transferência',
    'overview_for_link'                     => 'Visão geral do tipo de ligação ":name"',
    'source_transaction'                    => 'Transação de origem',
    'link_description'                      => 'Descrição da ligação',
    'destination_transaction'               => 'Transação de destino',
    'delete_journal_link'                   => 'Apagar a ligação entre <a href=":source_link">:source</a> e <a href=":destination_link">:destination</a>',
    'deleted_link'                          => 'Link apagado',

    // link translations:
    'Paid_name'                             => 'Pago',
    'Refund_name'                           => 'Reembolso',
    'Reimbursement_name'                    => 'Reembolso',
    'Related_name'                          => 'Relacionado',
    'relates to_inward'                     => 'relacionado com',
    'is (partially) refunded by_inward'     => 'e (parcialmente) reembolsado por',
    'is (partially) paid for by_inward'     => 'e (parcialmente) pago por',
    'is (partially) reimbursed by_inward'   => 'e (parcialmente) reembolsado por',
    'inward_transaction'                    => 'Transacção interna',
    'outward_transaction'                   => 'Transacção externa',
    'relates to_outward'                    => 'refere-se a',
    '(partially) refunds_outward'           => 'reembolsos (parcialmente)',
    '(partially) pays for_outward'          => 'pago para (parcialmente)',
    '(partially) reimburses_outward'        => 'reembolsos (parcialmente)',
    'is (partially) refunded by'            => 'é (parcialmente) reembolsado por',
    'is (partially) paid for by'            => 'é (parcialmente) pago por',
    'is (partially) reimbursed by'          => 'é (parcialmente) reembolsado por',
    'relates to'                            => 'relacionado com',
    '(partially) refunds'                   => 'reembolsos (parcialmente)',
    '(partially) pays for'                  => 'pago por (parcialmente)',
    '(partially) reimburses'                => 'reembolsos (parcialmente)',

    // split a transaction:
    'splits'                                => 'Divisões',
    'add_another_split'                     => 'Adicionar outra divisão',
    'cannot_edit_opening_balance'           => 'Você não pode editar o saldo inicial de uma conta.',
    'no_edit_multiple_left'                 => 'Você não selecionou nenhuma transação válida para editar.',
    'breadcrumb_convert_group'              => 'Converter transação',
    'convert_invalid_source'                => 'As informações de origem são inválidas para a transação #%d.',
    'convert_invalid_destination'           => 'As informações de destino são inválidas para a transação #%d.',
    'create_another'                        => 'Depois de guardar, voltar aqui para criar outra.',
    'after_update_create_another'           => 'Após a atualização, regresse aqui para continuar a editar.',
    'store_as_new'                          => 'Guarde como uma nova transação em vez de atualizar.',
    'reset_after'                           => 'Repor o formulário após o envio',
    'errors_submission'                     => 'Aconteceu algo errado com a sua submissão. Por favor, verifique os erros.',
    'transaction_expand_split'              => 'Expandir divisão',
    'transaction_collapse_split'            => 'Ocultar divisão',

    // object groups
    'default_group_title_name'              => '(não agrupado)',

    // empty lists? no objects? instructions:
    'no_accounts_title_asset'               => 'Vamos criar uma conta de activos!',
    'no_accounts_intro_asset'               => 'Ainda não tem nenhuma conta de ativos ainda. Contas de ativos são as suas contas principais: sua conta corrente, conta de poupança, conta compartilhada ou até mesmo o seu cartão de crédito.',
    'no_accounts_imperative_asset'          => 'Para começar a usar o Firefly III, tem que criar pelo menos uma conta de activos. Vamos cria-la agora:',
    'no_accounts_create_asset'              => 'Criar uma conta de activos',
    'no_accounts_title_expense'             => 'Vamos criar uma conta de despesas!',
    'no_accounts_intro_expense'             => 'Você ainda não tem contas de despesas. Contas de despesas servem para os lugares onde você gasta dinheiro, como lojas e supermercados.',
    'no_accounts_imperative_expense'        => 'As contas de despesas são criadas automaticamente quando você cria transações, mas você também pode criar uma manualmente, se quiser. Vamos criar uma agora:',
    'no_accounts_create_expense'            => 'Criar uma conta de despesas',
    'no_accounts_title_revenue'             => 'Vamos criar uma conta de receitas!',
    'no_accounts_intro_revenue'             => 'Ainda não tem contas de receita. Contas de receita são os locais de onde recebe dinheiro, como por exemplo o seu trabalho.',
    'no_accounts_imperative_revenue'        => 'As contas de receita são criadas automaticamente quando você cria transações, mas você também pode criar uma manualmente, se quiser. Vamos criar uma agora:',
    'no_accounts_create_revenue'            => 'Criar uma conta de receitas',
    'no_accounts_title_liabilities'         => 'Vamos criar um passivo!',
    'no_accounts_intro_liabilities'         => 'Ainda não tem passivos. Passivos é onde são registadas dividas e empréstimos.',
    'no_accounts_imperative_liabilities'    => 'Não precisa de utilizar esta funcionalidade, mas pode-lhe ser útil se quiser acompanhar este tipo de coisas.',
    'no_accounts_create_liabilities'        => 'Criar um passivo',
    'no_budgets_title_default'              => 'Vamos criar um orçamento',
    'no_rules_title_default'                => 'Vamos criar uma regra',
    'no_budgets_intro_default'              => 'Você ainda não tem orçamentos. Os orçamentos são usados para organizar as suas despesas em grupos lógicos, que você pode usar como limiar para ajudar a limitar as suas despesas.',
    'no_rules_intro_default'                => 'Você ainda não tem regras. As regras são poderosas automações que podem gerir transações por si.',
    'no_rules_imperative_default'           => 'As regras podem ser muito úteis quando está a gerir transações. Vamos criar uma agora:',
    'no_budgets_imperative_default'         => 'Os orçamentos são as ferramentas básicas da gestão financeira. Vamos criar um agora:',
    'no_budgets_create_default'             => 'Criar um orçamento',
    'no_rules_create_default'               => 'Criar uma regra',
    'no_categories_title_default'           => 'Vamos criar uma categoria!',
    'no_categories_intro_default'           => 'Ainda não tem categorias. As categorias são usadas para ajustar as transacções e rotulá-las para uma categoria especifica.',
    'no_categories_imperative_default'      => 'As categorias são criadas automaticamente quando cria transacções, mas também pode criar uma manualmente. Vamos criar uma agora:',
    'no_categories_create_default'          => 'Criar uma categoria',
    'no_tags_title_default'                 => 'Vamos criar uma etiqueta!',
    'no_tags_intro_default'                 => 'Ainda não tem etiquetas. As etiquetas são usadas para ajustar as transações e rotulá-las com palavras-chave específicas.',
    'no_tags_imperative_default'            => 'As etiquetas são criadas automaticamente quando cria transações, mas também pode criar uma manualmente. Vamos criar uma agora:',
    'no_tags_create_default'                => 'Criar uma etiqueta',
    'no_transactions_title_withdrawal'      => 'Vamos criar uma despesa!',
    'no_transactions_intro_withdrawal'      => 'Você ainda não tem despesas. Você deve criar despesas para começar a gerir as suas finanças.',
    'no_transactions_imperative_withdrawal' => 'Você gastou algum dinheiro? Então deveria anotá-lo:',
    'no_transactions_create_withdrawal'     => 'Criar despesa',
    'no_transactions_title_deposit'         => 'Vamos criar uma receita!',
    'no_transactions_intro_deposit'         => 'Ainda não tem rendimentos registados. Deve criar entradas de rendimentos para começar a gerir as suas finanças.',
    'no_transactions_imperative_deposit'    => 'Recebeu dinheiro? Então é melhor anotá-lo:',
    'no_transactions_create_deposit'        => 'Criar depósito',
    'no_transactions_title_transfers'       => 'Vamos criar uma transferência!',
    'no_transactions_intro_transfers'       => 'Ainda não tem transferências. Quando você move dinheiro entre contas de activos, ele é registado como uma transferência.',
    'no_transactions_imperative_transfers'  => 'Você moveu algum dinheiro? Então deve anotá-lo:',
    'no_transactions_create_transfers'      => 'Criar transferência',
    'no_piggies_title_default'              => 'Vamos criar um mealheiro!',
    'no_piggies_intro_default'              => 'Ainda não tem nenhum mealheiro. Pode criar mealheiros para dividir as suas poupanças e acompanhar o que está a economizar.',
    'no_piggies_imperative_default'         => 'Tem alguma coisa para a qual está a poupar? Crie um mealheiro e acompanhe:',
    'no_piggies_create_default'             => 'Criar um novo mealheiro',
    'no_bills_title_default'                => 'Vamos criar uma fatura!',
    'no_bills_intro_default'                => 'Ainda não tem faturas. Você pode criar faturas para acompanhar as despesas regulares, como a sua renda ou seguro.',
    'no_bills_imperative_default'           => 'Tem faturas regulares? Crie uma fatura e acompanhe os pagamentos:',
    'no_bills_create_default'               => 'Criar uma fatura',

    // recurring transactions
    'create_right_now'                      => 'Create right now',
    'no_new_transaction_in_recurrence' => 'No new transaction was created. Perhaps it was already fired for this date?',
    'recurrences'                           => 'Transações recorrentes',
    'repeat_until_in_past'                  => 'Esta transação recorrente parou de repetir a :date.',
    'recurring_calendar_view'               => 'Calendário',
    'no_recurring_title_default'            => 'Vamos criar uma transação recorrente!',
    'no_recurring_intro_default'            => 'Ainda não tem nenhuma transacção recorrente. Pode usá-las para que o Firefly III lhe crie transacções automaticamente.',
    'no_recurring_imperative_default'       => 'Esta é uma funcionalidade avançada, mas pode ser extremamente útil. Certifique-se de ler a documentação (?)-ícone no canto superior direito) antes de continuar.',
    'no_recurring_create_default'           => 'Criar uma transação recorrente',
    'make_new_recurring'                    => 'Criar transação recorrente',
    'recurring_daily'                       => 'Todos os dias',
    'recurring_weekly'                      => 'Todas as semanas na(o) :weekday',
    'recurring_weekly_skip'                 => 'A cada :skipª semana no :weekdayº dia',
    'recurring_monthly'                     => 'Todos os meses no dia :dayOfMonth',
    'recurring_monthly_skip'                => 'A cada :skip meses no :dayOfMonthº dia',
    'recurring_ndom'                        => 'A cada mês na :dayOfMonthª :weekday',
    'recurring_yearly'                      => 'Todos os anos em :date',
    'overview_for_recurrence'               => 'Visão geral da transação recorrente ":title"',
    'warning_duplicates_repetitions'        => 'Em raras ocasiões, as datas aparecem duas vezes nesta lista. Isso pode acontecer quando várias repetições colidem. O Firefly III irá sempre gerar uma transação por dia.',
    'created_transactions'                  => 'Transações relacionadas',
    'expected_withdrawals'                  => 'Levantamentos esperados',
    'expected_deposits'                     => 'Depósitos esperados',
    'expected_transfers'                    => 'Transferências esperadas',
    'created_withdrawals'                   => 'Levantamentos criados',
    'created_deposits'                      => 'Depósitos criados',
    'created_transfers'                     => 'Transferência criada',
    'recurring_info'                        => 'Transação recorrente :count / :total',
    'created_from_recurrence'               => 'Criado a partir da transação recorrente ":title" (#:id)',
    'recurring_never_cron'                  => 'Aparentemente o cron job necessário para suportar transações recorrentes nunca foi executado. Isto é algo normal quando acaba de instalar o Firefly III, no entanto isto deve ser configurado o mais rápido possível. Por favor verifique as páginas de ajuda no ícone-(?) no canto superior direito da página.',
    'recurring_cron_long_ago'               => 'Parece que a última vez que o cron job que trata das transações recorrentes correu foi há mais de 36 horas desde a ultima vez. Têm a certeza que está configurado corretamente? Por favor verifique as páginas de ajuda através do ícone-(?) no canto superior direito da página.',

    'create_new_recurrence'              => 'Criar nova transação recorrente',
    'help_first_date'                    => 'Indique a primeira recorrência esperada. Isto deve ser no futuro.',
    'help_first_date_no_past'            => 'Indique a primeira recorrência esperada. O Firefly III não irá criar transações recorrentes no passado.',
    'no_currency'                        => '(sem moeda)',
    'mandatory_for_recurring'            => 'Informações de recorrência obrigatórias',
    'mandatory_for_transaction'          => 'Informações obrigatórias de transação',
    'optional_for_recurring'             => 'Opcional informação recorrente',
    'optional_for_transaction'           => 'Opcional informação de transação',
    'change_date_other_options'          => 'Altere a "primeira data" para ver mais opções.',
    'mandatory_fields_for_tranaction'    => 'Os valores aqui presentes vão acabar na(s) transação(ões) a serem criadas',
    'click_for_calendar'                 => 'Carregue aqui para ver um calendário que lhe irá mostrar quando a transação irá repetir.',
    'repeat_forever'                     => 'Repetir para sempre',
    'repeat_until_date'                  => 'Repetir até uma data',
    'repeat_times'                       => 'Repetir um número de vezes',
    'recurring_skips_one'                => 'Todos os outros',
    'recurring_skips_more'               => 'Saltar :count ocorrências',
    'store_new_recurrence'               => 'Guardar transação recorrente',
    'stored_new_recurrence'              => 'Transação recorrente ":title" guardada com sucesso.',
    'edit_recurrence'                    => 'Editar transação recorrente ":title"',
    'recurring_repeats_until'            => 'Repete até :date',
    'recurring_repeats_forever'          => 'Repetir para sempre',
    'recurring_repeats_x_times'          => 'Repete :count vez|Repete :count vezes',
    'update_recurrence'                  => 'Alterar transação recorrente',
    'updated_recurrence'                 => 'Alterar transação recorrente ":title"',
    'recurrence_is_inactive'             => 'Esta transação recorrente não está ativada e não serão geradas novas transações.',
    'delete_recurring'                   => 'Apagar transação recorrente ":title"',
    'new_recurring_transaction'          => 'Nova transação recorrente',
    'help_weekend'                       => 'O quê que o Firefly III deve fazer quando uma transação recorrente falha num sábado ou domingo?',
    'do_nothing'                         => 'Apenas crie a transação',
    'skip_transaction'                   => 'Passar à frente a ocorrência',
    'jump_to_friday'                     => 'Criar uma transação na sexta-feira passada em vez',
    'jump_to_monday'                     => 'Criar a transação na próxima segunda-feira em vez',
    'will_jump_friday'                   => 'Será criada na sexta-feira em vez de fins de semana.',
    'will_jump_monday'                   => 'Será criada na segunda-feira em vez de fins de semana.',
    'except_weekends'                    => 'Excepto fins de semana',
    'recurrence_deleted'                 => 'Transação recorrente ":title" apagada',

    // new lines for summary controller.
    'box_balance_in_currency'            => 'Saldo (:currency)',
    'box_spent_in_currency'              => 'Gasto (:currency)',
    'box_earned_in_currency'             => 'Ganho (:currency)',
    'box_budgeted_in_currency'           => 'Orçamentado (:currency)',
    'box_bill_paid_in_currency'          => 'Faturas pagas (:currency)',
    'box_bill_unpaid_in_currency'        => 'Faturas por pagar (:currency)',
    'box_left_to_spend_in_currency'      => 'Restante para gastar (:currency)',
    'box_net_worth_in_currency'          => 'Valor líquido (:currency)',
    'box_spend_per_day'                  => 'Restante para gastar por dia: :amount',

    // debug page
    'debug_page'                         => 'Página de depuração',
    'debug_submit_instructions'          => 'Se estiver com problemas, pode utilizar a informação desta caixa como informação de depuração. Por favor copie e cola a mesma num <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub issue</a> novo ou existente. Irá gerar uma tabela linda que pode ser usada como diagnóstico rápido do seu problema.',
    'debug_pretty_table'                 => 'Se copiar e colar o conteúdo da caixa abaixo numa issue do GitHub irá gerar uma tabela. Por favor não envolva o texto com acentos ou aspas.',
    'debug_additional_data'              => 'Pode também partilhar o conteúdo da caixa abaixo. Pode copiar e colar a mesma num <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub issue</a> novo ou existente. No entanto, o conteúdo da caixa abaixo pode conter informação pessoa como nomes de contas, detalhes de transações, ou endereços de email.',

    // object groups
    'object_groups_menu_bar'             => 'Grupos',
    'object_groups_page_title'           => 'Grupos',
    'object_groups_breadcrumb'           => 'Grupos',
    'object_groups_index'                => 'Visão geral',
    'object_groups'                      => 'Grupos',
    'object_groups_empty_explain'        => 'Algumas coisas no Firefly III podem ser divididos entre grupos. Mealheiros pro exemplo, têm um campo "Grupo" tanto no ecrã de criar e de editar. Quando você define este campo, pode alterar os nomes e a ordem dos grupos nesta página. Para mais informação, veja a ajuda existente no canto superior direito, no botão com ícone-(?).',
    'object_group_title'                 => 'Titulo',
    'edit_object_group'                  => 'Editar grupo ":title"',
    'delete_object_group'                => 'Apagar grupo ":title"',
    'update_object_group'                => 'Actualizar grupo',
    'updated_object_group'               => 'Grupo ":title" atualizado com sucesso',
    'deleted_object_group'               => 'Grupo ":title" eliminado com sucesso',
    'object_group'                       => 'Grupo',

    // other stuff
    'placeholder'                        => '[Placeholder]',

    // audit log entries
    'audit_log_entries'                  => 'Audit log entries',
    'ale_action_log_add'                 => 'Added :amount to piggy bank ":name"',
    'ale_action_log_remove'              => 'Removed :amount from piggy bank ":name"',
    'ale_action_clear_budget'            => 'Removed from budget',
    'ale_action_clear_category'          => 'Removed from category',
    'ale_action_clear_notes'             => 'Removed notes',
    'ale_action_clear_tag'               => 'Cleared tag',
    'ale_action_clear_all_tags'          => 'Cleared all tags',
    'ale_action_set_bill'                => 'Linked to bill',
    'ale_action_set_budget'              => 'Set budget',
    'ale_action_set_category'            => 'Set category',
    'ale_action_set_source'              => 'Set source account',
    'ale_action_set_destination'         => 'Set destination account',
    'ale_action_update_transaction_type' => 'Changed transaction type',
    'ale_action_update_notes'            => 'Changed notes',
    'ale_action_update_description'      => 'Changed description',
    'ale_action_add_to_piggy'            => 'Piggy bank',
    'ale_action_remove_from_piggy'       => 'Piggy bank',
    'ale_action_add_tag'                 => 'Added tag',

];
