<?php

/**
 * firefly.php
 * Copyright (c) 2019 james@firefly-iii.org
 *
 * This file is part of Firefly III (https://github.com/firefly-iii).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

declare(strict_types=1);

return [
    // general stuff:
    'close'                                => '關閉',
    'actions'                              => '操作',
    'edit'                                 => '編輯',
    'delete'                               => '刪除',
    'split'                                => '分割',
    'single_split'                         => 'Split',
    'clone'                                => '複製',
    'confirm_action'                       => 'Confirm action',
    'last_seven_days'                      => '最近7天',
    'last_thirty_days'                     => '最近30天',
    'last_180_days'                        => 'Last 180 days',
    'month_to_date'                        => 'Month to date',
    'year_to_date'                         => 'Year to date',
    'YTD'                                  => 'YTD',
    'welcome_back'                         => 'What\'s playing?',
    'everything'                           => '所有',
    'today'                                => '今天',
    'customRange'                          => '自訂範圍',
    'date_range'                           => 'Date range',
    'apply'                                => '套用',
    'select_date'                          => '選擇日期..',
    'cancel'                               => '取消',
    'from'                                 => '自',
    'to'                                   => '至',
    'structure'                            => '結構',
    'help_translating'                     => '此說明尚欠奉中文版，<a href="https://crowdin.com/project/firefly-iii-help">要協助翻譯嗎？</a>',
    'showEverything'                       => '全部顯示',
    'never'                                => '未有資料',
    'no_results_for_empty_search'          => '您的搜尋空白，結果也是空白。',
    'removed_amount'                       => '已移除 :amount',
    'added_amount'                         => '已新增 :amount',
    'asset_account_role_help'              => '選擇後如有額外選項，可稍後設定。',
    'Opening balance'                      => '初始餘額',
    'create_new_stuff'                     => '建立新內容',
    'new_withdrawal'                       => '新提款',
    'create_new_transaction'               => 'Create a new transaction',
    'sidebar_frontpage_create'             => 'Create',
    'new_transaction'                      => '新交易',
    'no_rules_for_bill'                    => '此帳單未設定相關的規則。',
    'go_to_asset_accounts'                 => '檢視您的資產帳戶',
    'go_to_budgets'                        => '前往您的預算',
    'go_to_withdrawals'                    => 'Go to your withdrawals',
    'clones_journal_x'                     => 'This transaction is a clone of ":description" (#:id)',
    'go_to_categories'                     => '前往您的分類',
    'go_to_bills'                          => '前往您的帳單',
    'go_to_expense_accounts'               => '查看您的支出帳戶',
    'go_to_revenue_accounts'               => '查看您的收入帳戶',
    'go_to_piggies'                        => '前往您的小豬撲滿',
    'new_deposit'                          => '新存款',
    'new_transfer'                         => '新轉帳',
    'new_transfers'                        => '新轉帳',
    'new_asset_account'                    => '新資產帳戶',
    'new_expense_account'                  => '新支出帳戶',
    'new_revenue_account'                  => '新收入帳戶',
    'new_liabilities_account'              => '新債務',
    'new_budget'                           => '新預算',
    'new_bill'                             => '新帳單',
    'block_account_logout'                 => '您已被登出。被封鎖的帳號無法使用本網站，您是以有效的電子郵件地址註冊嗎？',
    'flash_success'                        => '成功！',
    'flash_info'                           => '訊息',
    'flash_warning'                        => '警告！',
    'flash_error'                          => '錯誤！',
    'flash_danger'                         => 'Danger!',
    'flash_info_multiple'                  => '有 1 個訊息|有 :count 個訊息',
    'flash_error_multiple'                 => '有 1 個錯誤|有 :count 個錯誤',
    'net_worth'                            => '淨值',
    'help_for_this_page'                   => '本頁說明',
    'help_for_this_page_body'              => 'You can find more information about this page <a href="https://docs.firefly-iii.org/">in the documentation</a>.',
    'two_factor_welcome'                   => '您好！',
    'two_factor_enter_code'                => '如要繼續，請輸入您的兩步驟驗證 (two factor authentication) 代碼，您的應用程式可為您產生。',
    'two_factor_code_here'                 => '在此輸入代碼',
    'two_factor_title'                     => '兩步驟驗證',
    'authenticate'                         => '驗證',
    'two_factor_forgot_title'              => '遺失兩步驟驗證',
    'two_factor_forgot'                    => '啥兩步驟我忘了。',
    'two_factor_lost_header'               => '遺失您的兩步驟驗證嗎？',
    'two_factor_lost_intro'                => 'If you lost your backup codes as well, you have bad luck. This is not something you can fix from the web interface. You have two choices.',
    'two_factor_lost_fix_self'             => 'If you run your own instance of Firefly III, read <a href="https://docs.firefly-iii.org/faq/other#i-lost-my-two-factor-authentication-codes-and-backup-codes">this entry in the FAQ</a> for instructions.',
    'two_factor_lost_fix_owner'            => '否則，請寄送電子郵件至網站擁有者 <a href="mailto::site_owner">:site_owner</a> 要求重設您的兩步驟驗證。',
    'mfa_backup_code'                      => 'You have used a backup code to login to Firefly III. It can\'t be used again, so cross it from your list.',
    'pref_two_factor_new_backup_codes'     => 'Get new backup codes',
    'pref_two_factor_backup_code_count'    => 'You have :count valid backup code.|You have :count valid backup codes.',
    '2fa_i_have_them'                      => 'I stored them!',
    'warning_much_data'                    => '載入 :days 天的資料或會相當耗時。',
    'registered'                           => '您已成功註冊！',
    'Default asset account'                => '預設資產帳戶',
    'no_budget_pointer'                    => 'You seem to have no budgets yet. You should create some on the <a href="budgets">budgets</a>-page. Budgets can help you keep track of expenses.',
    'no_bill_pointer'                      => 'You seem to have no bills yet. You should create some on the <a href="bills">bills</a>-page. Bills can help you keep track of expenses.',
    'Savings account'                      => '儲蓄帳戶',
    'Credit card'                          => '信用卡',
    'source_accounts'                      => 'Source account|Source accounts',
    'destination_accounts'                 => 'Destination account|Destination accounts',
    'user_id_is'                           => '您的使用者 ID 是 <strong>:user</strong>',
    'field_supports_markdown'              => '此欄位支援 <a href="https://en.support.wordpress.com/markdown-quick-reference/">Markdown</a> 語法。',
    'need_more_help'                       => '如果您需要更多 Firefly III 的協助，請 <a href="https://github.com/firefly-iii/firefly-iii/issues">於 GitHub 建立提問</a>。',
    'reenable_intro_text'                  => 'You can also re-enable <a href="#" id="reenableGuidance">the introduction guidance</a>.',
    'intro_boxes_after_refresh'            => '當您重新整理頁面後，介紹框將會重新出現。',
    'show_all_no_filter'                   => '不以日期分組，顯示所有交易紀錄',
    'expenses_by_category'                 => '按分類的支出',
    'expenses_by_budget'                   => '按預算的支出',
    'income_by_category'                   => '按分類的收入',
    'expenses_by_asset_account'            => '按資產帳戶的支出',
    'expenses_by_expense_account'          => '按支出帳戶的支出',
    'cannot_redirect_to_account'           => 'Firefly III 無法重新導向正確頁面，抱歉。',
    'sum_of_expenses'                      => '支出總和',
    'sum_of_income'                        => '收入總和',
    'liabilities'                          => '債務',
    'spent_in_specific_budget'             => '預算「:budget」中的花費',
    'spent_in_specific_double'             => 'Spent in account ":account"',
    'earned_in_specific_double'            => 'Earned in account ":account"',
    'source_account'                       => 'Source account',
    'source_account_reconciliation'        => 'You can\'t edit the source account of a reconciliation transaction.',
    'destination_account'                  => 'Destination account',
    'destination_account_reconciliation'   => 'You can\'t edit the destination account of a reconciliation transaction.',
    'sum_of_expenses_in_budget'            => '預算「:budget」中的總花費',
    'left_in_budget_limit'                 => '依照預算的支出尚餘',
    'current_period'                       => '目前區間',
    'show_the_current_period_and_overview' => '顯示目前區間與概覽',
    'pref_languages_locale'                => '英文以外的語言，須搭配作業系統內對應的地區資訊 (locale-information) 才能正常運作，否則貨幣資料、日期與金額或會格式有誤。',
    'budget_in_period'                     => 'All transactions for budget ":name" between :start and :end in :currency',
    'chart_budget_in_period'               => 'Chart for all transactions for budget ":name" between :start and :end in :currency',
    'chart_budget_in_period_only_currency' => 'The amount you budgeted was in :currency, so this chart will only show transactions in :currency.',
    'chart_account_in_period'              => 'Chart for all transactions for account ":name" (:balance) between :start and :end',
    'chart_category_in_period'             => '分類「:name」自 :start 至 :end 的所有交易圖表',
    'chart_category_all'                   => '分類「:name」的所有交易圖表',
    'clone_withdrawal'                     => '複製此提款',
    'clone_deposit'                        => '複製此存款',
    'clone_transfer'                       => '複製此轉帳',
    'multi_select_no_selection'            => '未選取',
    'multi_select_select_all'              => '選取全部',
    'multi_select_n_selected'              => '選取',
    'multi_select_all_selected'            => '全部選取',
    'multi_select_filter_placeholder'      => '搜尋…',
    'intro_next_label'                     => '下一步',
    'intro_prev_label'                     => '上一步',
    'intro_skip_label'                     => '略過',
    'intro_done_label'                     => '完成',
    'between_dates_breadcrumb'             => '自 :start 至 :end',
    'all_journals_without_budget'          => '沒有預算的所有交易',
    'journals_without_budget'              => '沒有預算的交易',
    'all_journals_without_category'        => '沒有分類的所有交易',
    'journals_without_category'            => '沒有分類的交易',
    'all_journals_for_account'             => ':name 帳戶的所有交易',
    'chart_all_journals_for_account'       => ':name 帳戶的所有交易圖表',
    'journals_in_period_for_account'       => ':name 帳戶自 :start 至 :end 的所有交易',
    'journals_in_period_for_account_js'    => 'All transactions for account {title} between {start} and {end}',
    'transferred'                          => '已轉帳',
    'all_withdrawal'                       => '所有支出',
    'all_transactions'                     => '所有交易',
    'title_withdrawal_between'             => '自 :start 至 :end 的所有支出',
    'all_deposit'                          => '所有收入',
    'title_deposit_between'                => '自 :start 至 :end 的所有收入',
    'all_transfers'                        => '所有轉帳',
    'title_transfers_between'              => '自 :start 至 :end 的所有轉帳',
    'all_transfer'                         => '所有轉帳',
    'all_journals_for_tag'                 => '標籤「:tag」的所有交易',
    'title_transfer_between'               => '自 :start 至 :end 的所有轉帳',
    'all_journals_for_category'            => '分類 :name 的所有交易',
    'all_journals_for_budget'              => '預算 :name 的所有交易',
    'chart_all_journals_for_budget'        => '預算 :name 的所有交易圖表',
    'journals_in_period_for_category'      => '分類 :name 自 :start 至 :end 的所有交易',
    'journals_in_period_for_tag'           => '標籤 :tag 自 :start 至 :end 的所有交易',
    'not_available_demo_user'              => '此功能未開放予展示使用者。',
    'exchange_rate_instructions'           => '資產帳戶「@name」僅接受以 @native_currency 交易，若您希望使用 @foreign_currency，請確認對應 @native_currency 的總額：',
    'transfer_exchange_rate_instructions'  => '來源資產帳戶「@source_name」僅接受以 @source_currency 交易，目標資產帳戶「@dest_name」僅接受以 @dest_currency 交易，您必須提供對應兩種貨幣的轉帳總額。',
    'transaction_data'                     => '交易資料',
    'invalid_server_configuration'         => '伺服器組態無效',
    'invalid_locale_settings'              => 'Firefly III is unable to format monetary amounts because your server is missing the required packages. There are <a href="https://docs.firefly-iii.org/firefly-iii/advanced-installation/locales/">instructions how to do this</a>.',
    'quickswitch'                          => '快速切換',
    'sign_in_to_start'                     => '登入以開始您的連線階段',
    'sign_in'                              => '登入',
    'register_new_account'                 => '註冊新帳號',
    'forgot_my_password'                   => '我忘記了密碼',
    'problems_with_input'                  => '輸入有誤。',
    'reset_password'                       => '重設密碼',
    'button_reset_password'                => '重設密碼',
    'reset_button'                         => '重設',
    'want_to_login'                        => '我想登入',
    'login_page_title'                     => '登入 Firefly III',
    'register_page_title'                  => '在 Firefly III 註冊',
    'forgot_pw_page_title'                 => '忘記您 Firefly III 的密碼',
    'reset_pw_page_title'                  => '重設您 Firefly III 的密碼',
    'cannot_reset_demo_user'               => '您不能重設 展示使用者 的密碼。',
    'no_att_demo_user'                     => 'The demo user can\'t upload attachments.',
    'button_register'                      => '註冊帳號',
    'authorization'                        => '身份認證',
    'active_bills_only'                    => '僅限使用中帳單',
    'active_bills_only_total'              => 'all active bills',
    'active_exp_bills_only'                => 'active and expected bills only',
    'active_exp_bills_only_total'          => 'all active expected bills only',
    'per_period_sum_1D'                    => 'Expected daily costs',
    'per_period_sum_1W'                    => 'Expected weekly costs',
    'per_period_sum_1M'                    => 'Expected monthly costs',
    'per_period_sum_3M'                    => 'Expected quarterly costs',
    'per_period_sum_6M'                    => 'Expected half-yearly costs',
    'per_period_sum_1Y'                    => 'Expected yearly costs',
    'average_per_bill'                     => '每張帳單的平均數',
    'expected_total'                       => '預期總數',
    'reconciliation_account_name'          => ':name reconciliation (:currency)',
    'saved'                                => 'Saved',
    'advanced_options'                     => 'Advanced options',
    'advanced_options_explain'             => 'Some pages in Firefly III have advanced options hidden behind this button. This page doesn\'t have anything fancy here, but do check out the others!',
    'here_be_dragons'                      => 'Hic sunt dracones',

    // Webhooks
    'webhooks'                             => 'Webhooks',
    'webhooks_breadcrumb'                  => 'Webhooks',
    'no_webhook_messages'                  => 'There are no webhook messages',
    'webhook_trigger_STORE_TRANSACTION'    => 'After transaction creation',
    'webhook_trigger_UPDATE_TRANSACTION'   => 'After transaction update',
    'webhook_trigger_DESTROY_TRANSACTION'  => 'After transaction delete',
    'webhook_response_TRANSACTIONS'        => 'Transaction details',
    'webhook_response_ACCOUNTS'            => 'Account details',
    'webhook_response_none_NONE'           => 'No details',
    'webhook_delivery_JSON'                => 'JSON',
    'inspect'                              => 'Inspect',
    'create_new_webhook'                   => 'Create new webhook',
    'webhooks_create_breadcrumb'           => 'Create new webhook',
    'webhook_trigger_form_help'            => 'Indicate on what event the webhook will trigger',
    'webhook_response_form_help'           => 'Indicate what the webhook must submit to the URL.',
    'webhook_delivery_form_help'           => 'Which format the webhook must deliver data in.',
    'webhook_active_form_help'             => 'The webhook must be active or it won\'t be called.',
    'stored_new_webhook'                   => 'Stored new webhook ":title"',
    'delete_webhook'                       => 'Delete webhook',
    'deleted_webhook'                      => 'Deleted webhook ":title"',
    'edit_webhook'                         => 'Edit webhook ":title"',
    'updated_webhook'                      => 'Updated webhook ":title"',
    'edit_webhook_js'                      => 'Edit webhook "{title}"',
    'show_webhook'                         => 'Webhook ":title"',
    'webhook_was_triggered'                => 'The webhook was triggered on the indicated transaction. You can refresh this page to see the results.',
    'webhook_messages'                     => 'Webhook message',
    'view_message'                         => 'View message',
    'view_attempts'                        => 'View failed attempts',
    'message_content_title'                => 'Webhook message content',
    'message_content_help'                 => 'This is the content of the message that was sent (or tried) using this webhook.',
    'attempt_content_title'                => 'Webhook attempts',
    'attempt_content_help'                 => 'These are all the unsuccessful attempts of this webhook message to submit to the configured URL. After some time, Firefly III will stop trying.',
    'no_attempts'                          => 'There are no unsuccessful attempts. That\'s a good thing!',
    'webhook_attempt_at'                   => 'Attempt at {moment}',
    'logs'                                 => 'Logs',
    'response'                             => 'Response',
    'visit_webhook_url'                    => 'Visit webhook URL',
    'reset_webhook_secret'                 => 'Reset webhook secret',

    // API access
    'authorization_request'                => 'Firefly III :version 版授權請求',
    'authorization_request_intro'          => 'Application "<strong>:client</strong>" is requesting permission to access your financial administration. Would you like to authorize <strong>:client</strong> to access these records?',
    'authorization_request_site'           => 'You will be redirected to <code>:url</code> which will then be able to access your Firefly III data.',
    'authorization_request_invalid'        => 'This access request is invalid. Please never follow this link again.',
    'scopes_will_be_able'                  => '此應用程式可以：',
    'button_authorize'                     => '授權',
    'none_in_select_list'                  => '(空)',
    'no_piggy_bank'                        => '(no piggy bank)',
    'name_in_currency'                     => ':name 於 :currency',
    'paid_in_currency'                     => '以 :currency 支付',
    'unpaid_in_currency'                   => '未以 :currency 支付',
    'is_alpha_warning'                     => 'You are running an ALPHA version. Be wary of bugs and issues.',
    'is_beta_warning'                      => 'You are running an BETA version. Be wary of bugs and issues.',
    'all_destination_accounts'             => 'Destination accounts',
    'all_source_accounts'                  => 'Source accounts',
    'back_to_index'                        => 'Back to the index',
    'cant_logout_guard'                    => 'Firefly III can\'t log you out.',
    'internal_reference'                   => 'Internal reference',

    // check for updates:
    'update_check_title'                   => '檢查更新',
    'admin_update_check_title'             => '自動檢查更新',
    'admin_update_check_explain'           => 'Firefly III can check for updates automatically. When you enable this setting, it will contact the Firefly III update server to see if a new version of Firefly III is available. When it is, you will get a notification. You can test this notification using the button on the right. Please indicate below if you want Firefly III to check for updates.',
    'check_for_updates_permission'         => 'Firefly III 可以自動檢查更新，但需要您先許可。請前往 <a href=":link">系統管理</a> 表示您是否想啟用此功能。',
    'updates_ask_me_later'                 => '稍後再詢問',
    'updates_do_not_check'                 => '不檢查更新',
    'updates_enable_check'                 => '啟用更新檢查',
    'admin_update_check_now_title'         => '立刻檢查更新',
    'admin_update_check_now_explain'       => '如果您按下此按鈕，Firefly III 將會檢查您現在的版本是否為最新版。',
    'check_for_updates_button'             => '馬上檢查！',
    'update_new_version_alert'             => 'A new version of Firefly III is available. You are running :your_version, the latest version is :new_version which was released on :date.',
    'update_version_beta'                  => 'This version is a BETA version. You may run into issues.',
    'update_version_alpha'                 => 'This version is a ALPHA version. You may run into issues.',
    'update_current_version_alert'         => 'You are running :version, which is the latest available release.',
    'update_newer_version_alert'           => 'You are running :your_version, which is newer than the latest release, :new_version.',
    'update_check_error'                   => 'An error occurred while checking for updates: :error',
    'unknown_error'                        => 'Unknown error. Sorry about that.',
    'just_new_release'                     => 'A new version is available! Version :version was released :date. This release is very fresh. Wait a few days for the new release to stabilize.',
    'disabled_but_check'                   => 'You disabled update checking. So don\'t forget to check for updates yourself every now and then. Thank you!',
    'admin_update_channel_title'           => 'Update channel',
    'admin_update_channel_explain'         => 'Firefly III has three update "channels" which determine how ahead of the curve you are in terms of features, enhancements and bugs. Use the "beta" channel if you\'re adventurous and the "alpha" when you like to live life dangerously.',
    'update_channel_stable'                => 'Stable. Everything should work as expected.',
    'update_channel_beta'                  => 'Beta. New features but things may be broken.',
    'update_channel_alpha'                 => 'Alpha. We throw stuff in, and use whatever sticks.',

    // search
    'search'                               => '搜尋',
    'search_query'                         => '查詢',
    'search_found_transactions'            => 'Firefly III found :count transaction in :time seconds.|Firefly III found :count transactions in :time seconds.',
    'search_found_more_transactions'       => 'Firefly III found more than :count transactions in :time seconds.',
    'search_for_query'                     => 'Firefly III 正搜尋包含所有這些字詞的交易：<span class="text-info">:query</span>',
    'invalid_operators_list'               => 'These search parameters are not valid and have been ignored.',

    // old

    'search_modifier_date_on'                             => 'Transaction date is ":value"',
    'search_modifier_not_date_on'                         => 'Transaction date is not ":value"',
    'search_modifier_reconciled'                          => 'Transaction is reconciled',
    'search_modifier_not_reconciled'                      => 'Transaction is not reconciled',
    'search_modifier_id'                                  => 'Transaction ID is ":value"',
    'search_modifier_not_id'                              => 'Transaction ID is not ":value"',
    'search_modifier_date_before'                         => 'Transaction date is before or on ":value"',
    'search_modifier_date_after'                          => 'Transaction date is after or on ":value"',
    'search_modifier_external_id_is'                      => 'External ID is ":value"',
    'search_modifier_not_external_id_is'                  => 'External ID is not ":value"',
    'search_modifier_no_external_url'                     => 'The transaction has no external URL',
    'search_modifier_no_external_id'                      => 'The transaction has no external ID',
    'search_modifier_not_any_external_url'                => 'The transaction has no external URL',
    'search_modifier_not_any_external_id'                 => 'The transaction has no external ID',
    'search_modifier_any_external_url'                    => 'The transaction must have a (any) external URL',
    'search_modifier_any_external_id'                     => 'The transaction must have a (any) external ID',
    'search_modifier_not_no_external_url'                 => 'The transaction must have a (any) external URL',
    'search_modifier_not_no_external_id'                  => 'The transaction must have a (any) external ID',
    'search_modifier_internal_reference_is'               => 'Internal reference is ":value"',
    'search_modifier_not_internal_reference_is'           => 'Internal reference is not ":value"',
    'search_modifier_description_starts'                  => 'Description starts with ":value"',
    'search_modifier_not_description_starts'              => 'Description does not start with ":value"',
    'search_modifier_description_ends'                    => 'Description ends on ":value"',
    'search_modifier_not_description_ends'                => 'Description does not end on ":value"',
    'search_modifier_description_contains'                => 'Description contains ":value"',
    'search_modifier_not_description_contains'            => 'Description does not contain ":value"',
    'search_modifier_description_is'                      => 'Description is exactly ":value"',
    'search_modifier_not_description_is'                  => 'Description is exactly not ":value"',
    'search_modifier_currency_is'                         => 'Transaction (foreign) currency is ":value"',
    'search_modifier_not_currency_is'                     => 'Transaction (foreign) currency is not ":value"',
    'search_modifier_foreign_currency_is'                 => 'Transaction foreign currency is ":value"',
    'search_modifier_not_foreign_currency_is'             => 'Transaction foreign currency is not ":value"',
    'search_modifier_has_attachments'                     => 'The transaction must have an attachment',
    'search_modifier_has_no_category'                     => 'The transaction must have no category',
    'search_modifier_not_has_no_category'                 => 'The transaction must have a (any) category',
    'search_modifier_not_has_any_category'                => 'The transaction must have no category',
    'search_modifier_has_any_category'                    => 'The transaction must have a (any) category',
    'search_modifier_has_no_budget'                       => 'The transaction must have no budget',
    'search_modifier_not_has_any_budget'                  => 'The transaction must have no budget',
    'search_modifier_has_any_budget'                      => 'The transaction must have a (any) budget',
    'search_modifier_not_has_no_budget'                   => 'The transaction must have a (any) budget',
    'search_modifier_has_no_bill'                         => 'The transaction must have no bill',
    'search_modifier_not_has_no_bill'                     => 'The transaction must have a (any) bill',
    'search_modifier_has_any_bill'                        => 'The transaction must have a (any) bill',
    'search_modifier_not_has_any_bill'                    => 'The transaction must have no bill',
    'search_modifier_has_no_tag'                          => 'The transaction must have no tags',
    'search_modifier_not_has_any_tag'                     => 'The transaction must have no tags',
    'search_modifier_not_has_no_tag'                      => 'The transaction must have a (any) tag',
    'search_modifier_has_any_tag'                         => 'The transaction must have a (any) tag',
    'search_modifier_notes_contains'                      => 'The transaction notes contain ":value"',
    'search_modifier_not_notes_contains'                  => 'The transaction notes do not contain ":value"',
    'search_modifier_notes_starts'                        => 'The transaction notes start with ":value"',
    'search_modifier_not_notes_starts'                    => 'The transaction notes do not start with ":value"',
    'search_modifier_notes_ends'                          => 'The transaction notes end with ":value"',
    'search_modifier_not_notes_ends'                      => 'The transaction notes do not end with ":value"',
    'search_modifier_notes_is'                            => 'The transaction notes are exactly ":value"',
    'search_modifier_not_notes_is'                        => 'The transaction notes are exactly not ":value"',
    'search_modifier_no_notes'                            => 'The transaction has no notes',
    'search_modifier_not_no_notes'                        => 'The transaction must have notes',
    'search_modifier_any_notes'                           => 'The transaction must have notes',
    'search_modifier_not_any_notes'                       => 'The transaction has no notes',
    'search_modifier_amount_is'                           => 'Amount is exactly :value',
    'search_modifier_not_amount_is'                       => 'Amount is not :value',
    'search_modifier_amount_less'                         => 'Amount is less than or equal to :value',
    'search_modifier_not_amount_more'                     => 'Amount is less than or equal to :value',
    'search_modifier_amount_more'                         => 'Amount is more than or equal to :value',
    'search_modifier_not_amount_less'                     => 'Amount is more than or equal to :value',
    'search_modifier_source_account_is'                   => 'Source account name is exactly ":value"',
    'search_modifier_not_source_account_is'               => 'Source account name is not ":value"',
    'search_modifier_source_account_contains'             => 'Source account name contains ":value"',
    'search_modifier_not_source_account_contains'         => 'Source account name does not contain ":value"',
    'search_modifier_source_account_starts'               => 'Source account name starts with ":value"',
    'search_modifier_not_source_account_starts'           => 'Source account name does not start with ":value"',
    'search_modifier_source_account_ends'                 => 'Source account name ends with ":value"',
    'search_modifier_not_source_account_ends'             => 'Source account name does not end with ":value"',
    'search_modifier_source_account_id'                   => 'Source account ID is :value',
    'search_modifier_not_source_account_id'               => 'Source account ID is not :value',
    'search_modifier_source_account_nr_is'                => 'Source account number (IBAN) is ":value"',
    'search_modifier_not_source_account_nr_is'            => 'Source account number (IBAN) is not ":value"',
    'search_modifier_source_account_nr_contains'          => 'Source account number (IBAN) contains ":value"',
    'search_modifier_not_source_account_nr_contains'      => 'Source account number (IBAN) does not contain ":value"',
    'search_modifier_source_account_nr_starts'            => 'Source account number (IBAN) starts with ":value"',
    'search_modifier_not_source_account_nr_starts'        => 'Source account number (IBAN) does not start with ":value"',
    'search_modifier_source_account_nr_ends'              => 'Source account number (IBAN) ends on ":value"',
    'search_modifier_not_source_account_nr_ends'          => 'Source account number (IBAN) does not end on ":value"',
    'search_modifier_destination_account_is'              => 'Destination account name is exactly ":value"',
    'search_modifier_not_destination_account_is'          => 'Destination account name is not ":value"',
    'search_modifier_destination_account_contains'        => 'Destination account name contains ":value"',
    'search_modifier_not_destination_account_contains'    => 'Destination account name does not contain ":value"',
    'search_modifier_destination_account_starts'          => 'Destination account name starts with ":value"',
    'search_modifier_not_destination_account_starts'      => 'Destination account name does not start with ":value"',
    'search_modifier_destination_account_ends'            => 'Destination account name ends on ":value"',
    'search_modifier_not_destination_account_ends'        => 'Destination account name does not end on ":value"',
    'search_modifier_destination_account_id'              => 'Destination account ID is :value',
    'search_modifier_not_destination_account_id'          => 'Destination account ID is not :value',
    'search_modifier_destination_is_cash'                 => 'Destination account is the "(cash)" account',
    'search_modifier_not_destination_is_cash'             => 'Destination account is not the "(cash)" account',
    'search_modifier_source_is_cash'                      => 'Source account is the "(cash)" account',
    'search_modifier_not_source_is_cash'                  => 'Source account is not the "(cash)" account',
    'search_modifier_destination_account_nr_is'           => 'Destination account number (IBAN) is ":value"',
    'search_modifier_not_destination_account_nr_is'       => 'Destination account number (IBAN) is ":value"',
    'search_modifier_destination_account_nr_contains'     => 'Destination account number (IBAN) contains ":value"',
    'search_modifier_not_destination_account_nr_contains' => 'Destination account number (IBAN) does not contain ":value"',
    'search_modifier_destination_account_nr_starts'       => 'Destination account number (IBAN) starts with ":value"',
    'search_modifier_not_destination_account_nr_starts'   => 'Destination account number (IBAN) does not start with ":value"',
    'search_modifier_destination_account_nr_ends'         => 'Destination account number (IBAN) ends with ":value"',
    'search_modifier_not_destination_account_nr_ends'     => 'Destination account number (IBAN) does not end with ":value"',
    'search_modifier_account_id'                          => 'Source or destination account ID\'s is/are: :value',
    'search_modifier_not_account_id'                      => 'Source or destination account ID\'s is/are not: :value',
    'search_modifier_category_is'                         => 'Category is ":value"',
    'search_modifier_not_category_is'                     => 'Category is not ":value"',
    'search_modifier_budget_is'                           => 'Budget is ":value"',
    'search_modifier_not_budget_is'                       => 'Budget is not ":value"',
    'search_modifier_bill_is'                             => 'Bill is ":value"',
    'search_modifier_not_bill_is'                         => 'Bill is not ":value"',
    'search_modifier_transaction_type'                    => 'Transaction type is ":value"',
    'search_modifier_not_transaction_type'                => 'Transaction type is not ":value"',
    'search_modifier_tag_is'                              => 'Tag is ":value"',
    'search_modifier_not_tag_is'                          => 'No tag is ":value"',
    'search_modifier_date_on_year'                        => 'Transaction is in year ":value"',
    'search_modifier_not_date_on_year'                    => 'Transaction is not in year ":value"',
    'search_modifier_date_on_month'                       => 'Transaction is in month ":value"',
    'search_modifier_not_date_on_month'                   => 'Transaction is not in month ":value"',
    'search_modifier_date_on_day'                         => 'Transaction is on day of month ":value"',
    'search_modifier_not_date_on_day'                     => 'Transaction is not on day of month ":value"',
    'search_modifier_date_before_year'                    => 'Transaction is before or in year ":value"',
    'search_modifier_date_before_month'                   => 'Transaction is before or in month ":value"',
    'search_modifier_date_before_day'                     => 'Transaction is before or on day of month ":value"',
    'search_modifier_date_after_year'                     => 'Transaction is in or after year ":value"',
    'search_modifier_date_after_month'                    => 'Transaction is in or after month ":value"',
    'search_modifier_date_after_day'                      => 'Transaction is after or on day of month ":value"',


    // new
    'search_modifier_tag_is_not'                          => 'No tag is ":value"',
    'search_modifier_not_tag_is_not'                      => 'Tag is ":value"',
    'search_modifier_account_is'                          => 'Either account is ":value"',
    'search_modifier_not_account_is'                      => 'Neither account is ":value"',
    'search_modifier_account_contains'                    => 'Either account contains ":value"',
    'search_modifier_not_account_contains'                => 'Neither account contains ":value"',
    'search_modifier_account_ends'                        => 'Either account ends with ":value"',
    'search_modifier_not_account_ends'                    => 'Neither account ends with ":value"',
    'search_modifier_account_starts'                      => 'Either account starts with ":value"',
    'search_modifier_not_account_starts'                  => 'Neither account starts with ":value"',
    'search_modifier_account_nr_is'                       => 'Either account number / IBAN is ":value"',
    'search_modifier_not_account_nr_is'                   => 'Neither account number / IBAN is ":value"',
    'search_modifier_account_nr_contains'                 => 'Either account number / IBAN contains ":value"',
    'search_modifier_not_account_nr_contains'             => 'Neither account number / IBAN contains ":value"',
    'search_modifier_account_nr_ends'                     => 'Either account number / IBAN ends with ":value"',
    'search_modifier_not_account_nr_ends'                 => 'Neither account number / IBAN ends with ":value"',
    'search_modifier_account_nr_starts'                   => 'Either account number / IBAN starts with ":value"',
    'search_modifier_not_account_nr_starts'               => 'Neither account number / IBAN starts with ":value"',
    'search_modifier_category_contains'                   => 'Category contains ":value"',
    'search_modifier_not_category_contains'               => 'Category does not contain ":value"',
    'search_modifier_category_ends'                       => 'Category ends on ":value"',
    'search_modifier_not_category_ends'                   => 'Category does not end on ":value"',
    'search_modifier_category_starts'                     => 'Category starts with ":value"',
    'search_modifier_not_category_starts'                 => 'Category does not start with ":value"',
    'search_modifier_budget_contains'                     => 'Budget contains ":value"',
    'search_modifier_not_budget_contains'                 => 'Budget does not contain ":value"',
    'search_modifier_budget_ends'                         => 'Budget ends with ":value"',
    'search_modifier_not_budget_ends'                     => 'Budget does not end on ":value"',
    'search_modifier_budget_starts'                       => 'Budget starts with ":value"',
    'search_modifier_not_budget_starts'                   => 'Budget does not start with ":value"',
    'search_modifier_bill_contains'                       => 'Bill contains ":value"',
    'search_modifier_not_bill_contains'                   => 'Bill does not contain ":value"',
    'search_modifier_bill_ends'                           => 'Bill ends with ":value"',
    'search_modifier_not_bill_ends'                       => 'Bill does not end on ":value"',
    'search_modifier_bill_starts'                         => 'Bill starts with ":value"',
    'search_modifier_not_bill_starts'                     => 'Bill does not start with ":value"',
    'search_modifier_external_id_contains'                => 'External ID contains ":value"',
    'search_modifier_not_external_id_contains'            => 'External ID does not contain ":value"',
    'search_modifier_external_id_ends'                    => 'External ID ends with ":value"',
    'search_modifier_not_external_id_ends'                => 'External ID does not end with ":value"',
    'search_modifier_external_id_starts'                  => 'External ID starts with ":value"',
    'search_modifier_not_external_id_starts'              => 'External ID does not start with ":value"',
    'search_modifier_internal_reference_contains'         => 'Internal reference contains ":value"',
    'search_modifier_not_internal_reference_contains'     => 'Internal reference does not contain ":value"',
    'search_modifier_internal_reference_ends'             => 'Internal reference ends with ":value"',
    'search_modifier_internal_reference_starts'           => 'Internal reference starts with ":value"',
    'search_modifier_not_internal_reference_ends'         => 'Internal reference does not end with ":value"',
    'search_modifier_not_internal_reference_starts'       => 'Internal reference does not start with ":value"',
    'search_modifier_external_url_is'                     => 'External URL is ":value"',
    'search_modifier_not_external_url_is'                 => 'External URL is not ":value"',
    'search_modifier_external_url_contains'               => 'External URL contains ":value"',
    'search_modifier_not_external_url_contains'           => 'External URL does not contain ":value"',
    'search_modifier_external_url_ends'                   => 'External URL ends with ":value"',
    'search_modifier_not_external_url_ends'               => 'External URL does not end with ":value"',
    'search_modifier_external_url_starts'                 => 'External URL starts with ":value"',
    'search_modifier_not_external_url_starts'             => 'External URL does not start with ":value"',
    'search_modifier_has_no_attachments'                  => 'Transaction has no attachments',
    'search_modifier_not_has_no_attachments'              => 'Transaction has attachments',
    'search_modifier_not_has_attachments'                 => 'Transaction has no attachments',
    'search_modifier_account_is_cash'                     => 'Either account is the "(cash)" account.',
    'search_modifier_not_account_is_cash'                 => 'Neither account is the "(cash)" account.',
    'search_modifier_journal_id'                          => 'The journal ID is ":value"',
    'search_modifier_not_journal_id'                      => 'The journal ID is not ":value"',
    'search_modifier_recurrence_id'                       => 'The recurring transaction ID is ":value"',
    'search_modifier_not_recurrence_id'                   => 'The recurring transaction ID is not ":value"',
    'search_modifier_foreign_amount_is'                   => 'The foreign amount is ":value"',
    'search_modifier_not_foreign_amount_is'               => 'The foreign amount is not ":value"',
    'search_modifier_foreign_amount_less'                 => 'The foreign amount is less than ":value"',
    'search_modifier_not_foreign_amount_more'             => 'The foreign amount is less than ":value"',
    'search_modifier_not_foreign_amount_less'             => 'The foreign amount is more than ":value"',
    'search_modifier_foreign_amount_more'                 => 'The foreign amount is more than ":value"',
    'search_modifier_exists'                              => 'Transaction exists (any transaction)',
    'search_modifier_not_exists'                          => 'Transaction does not exist (no transaction)',

    // date fields
    'search_modifier_interest_date_on'                    => 'Transaction interest date is ":value"',
    'search_modifier_not_interest_date_on'                => 'Transaction interest date is not ":value"',
    'search_modifier_interest_date_on_year'               => 'Transaction interest date is in year ":value"',
    'search_modifier_not_interest_date_on_year'           => 'Transaction interest date is not in year ":value"',
    'search_modifier_interest_date_on_month'              => 'Transaction interest date is in month ":value"',
    'search_modifier_not_interest_date_on_month'          => 'Transaction interest date is not in month ":value"',
    'search_modifier_interest_date_on_day'                => 'Transaction interest date is on day of month ":value"',
    'search_modifier_not_interest_date_on_day'            => 'Transaction interest date is not on day of month ":value"',
    'search_modifier_interest_date_before_year'           => 'Transaction interest date is before or in year ":value"',
    'search_modifier_interest_date_before_month'          => 'Transaction interest date is before or in month ":value"',
    'search_modifier_interest_date_before_day'            => 'Transaction interest date is before or on day of month ":value"',
    'search_modifier_interest_date_after_year'            => 'Transaction interest date is after or in year ":value"',
    'search_modifier_interest_date_after_month'           => 'Transaction interest date is after or in month ":value"',
    'search_modifier_interest_date_after_day'             => 'Transaction interest date is after or on day of month ":value"',
    'search_modifier_book_date_on_year'                   => 'Transaction book date is in year ":value"',
    'search_modifier_book_date_on_month'                  => 'Transaction book date is in month ":value"',
    'search_modifier_book_date_on_day'                    => 'Transaction book date is on day of month ":value"',
    'search_modifier_not_book_date_on_year'               => 'Transaction book date is not in year ":value"',
    'search_modifier_not_book_date_on_month'              => 'Transaction book date is not in month ":value"',
    'search_modifier_not_book_date_on_day'                => 'Transaction book date is not on day of month ":value"',
    'search_modifier_book_date_before_year'               => 'Transaction book date is before or in year ":value"',
    'search_modifier_book_date_before_month'              => 'Transaction book date is before or in month ":value"',
    'search_modifier_book_date_before_day'                => 'Transaction book date is before or on day of month ":value"',
    'search_modifier_book_date_after_year'                => 'Transaction book date is after or in year ":value"',
    'search_modifier_book_date_after_month'               => 'Transaction book date is after or in month ":value"',
    'search_modifier_book_date_after_day'                 => 'Transaction book date is after or on day of month ":value"',
    'search_modifier_process_date_on_year'                => 'Transaction process date is in year ":value"',
    'search_modifier_process_date_on_month'               => 'Transaction process date is in month ":value"',
    'search_modifier_process_date_on_day'                 => 'Transaction process date is on day of month ":value"',
    'search_modifier_not_process_date_on_year'            => 'Transaction process date is not in year ":value"',
    'search_modifier_not_process_date_on_month'           => 'Transaction process date is not in month ":value"',
    'search_modifier_not_process_date_on_day'             => 'Transaction process date is not on day of month ":value"',
    'search_modifier_process_date_before_year'            => 'Transaction process date is before or in year ":value"',
    'search_modifier_process_date_before_month'           => 'Transaction process date is before or in month ":value"',
    'search_modifier_process_date_before_day'             => 'Transaction process date is before or on day of month ":value"',
    'search_modifier_process_date_after_year'             => 'Transaction process date is after or in year ":value"',
    'search_modifier_process_date_after_month'            => 'Transaction process date is after or in month ":value"',
    'search_modifier_process_date_after_day'              => 'Transaction process date is after or on day of month ":value"',
    'search_modifier_due_date_on_year'                    => 'Transaction due date is in year ":value"',
    'search_modifier_due_date_on_month'                   => 'Transaction due date is in month ":value"',
    'search_modifier_due_date_on_day'                     => 'Transaction due date is on day of month ":value"',
    'search_modifier_not_due_date_on_year'                => 'Transaction due date is not in year ":value"',
    'search_modifier_not_due_date_on_month'               => 'Transaction due date is not in month ":value"',
    'search_modifier_not_due_date_on_day'                 => 'Transaction due date is not on day of month ":value"',
    'search_modifier_due_date_before_year'                => 'Transaction due date is before or in year ":value"',
    'search_modifier_due_date_before_month'               => 'Transaction due date is before or in month ":value"',
    'search_modifier_due_date_before_day'                 => 'Transaction due date is before or on day of month ":value"',
    'search_modifier_due_date_after_year'                 => 'Transaction due date is after or in year ":value"',
    'search_modifier_due_date_after_month'                => 'Transaction due date is after or in month ":value"',
    'search_modifier_due_date_after_day'                  => 'Transaction due date is after or on day of month ":value"',
    'search_modifier_payment_date_on_year'                => 'Transaction payment date is in year ":value"',
    'search_modifier_payment_date_on_month'               => 'Transaction payment date is in month ":value"',
    'search_modifier_payment_date_on_day'                 => 'Transaction payment date is on day of month ":value"',
    'search_modifier_not_payment_date_on_year'            => 'Transaction payment date is not in year ":value"',
    'search_modifier_not_payment_date_on_month'           => 'Transaction payment date is not in month ":value"',
    'search_modifier_not_payment_date_on_day'             => 'Transaction payment date is not on day of month ":value"',
    'search_modifier_payment_date_before_year'            => 'Transaction payment date is before or in year ":value"',
    'search_modifier_payment_date_before_month'           => 'Transaction payment date is before or in month ":value"',
    'search_modifier_payment_date_before_day'             => 'Transaction payment date is before or on day of month ":value"',
    'search_modifier_payment_date_after_year'             => 'Transaction payment date is after or in year ":value"',
    'search_modifier_payment_date_after_month'            => 'Transaction payment date is after or in month ":value"',
    'search_modifier_payment_date_after_day'              => 'Transaction payment date is after or on day of month ":value"',
    'search_modifier_invoice_date_on_year'                => 'Transaction invoice date is in year ":value"',
    'search_modifier_invoice_date_on_month'               => 'Transaction invoice date is in month ":value"',
    'search_modifier_invoice_date_on_day'                 => 'Transaction invoice date is on day of month ":value"',
    'search_modifier_not_invoice_date_on_year'            => 'Transaction invoice date is not in year ":value"',
    'search_modifier_not_invoice_date_on_month'           => 'Transaction invoice date is not in month ":value"',
    'search_modifier_not_invoice_date_on_day'             => 'Transaction invoice date is not on day of month ":value"',
    'search_modifier_invoice_date_before_year'            => 'Transaction invoice date is before or in year ":value"',
    'search_modifier_invoice_date_before_month'           => 'Transaction invoice date is before or in month ":value"',
    'search_modifier_invoice_date_before_day'             => 'Transaction invoice date is before or on day of month ":value"',
    'search_modifier_invoice_date_after_year'             => 'Transaction invoice date is after or in year ":value"',
    'search_modifier_invoice_date_after_month'            => 'Transaction invoice date is after or in month ":value"',
    'search_modifier_invoice_date_after_day'              => 'Transaction invoice date is after or on day of month ":value"',
    // other dates
    'search_modifier_updated_at_on_year'                  => 'Transaction was last updated in year ":value"',
    'search_modifier_updated_at_on_month'                 => 'Transaction was last updated in month ":value"',
    'search_modifier_updated_at_on_day'                   => 'Transaction was last updated on day of month ":value"',
    'search_modifier_not_updated_at_on_year'              => 'Transaction was not last updated in year ":value"',
    'search_modifier_not_updated_at_on_month'             => 'Transaction was not last updated in month ":value"',
    'search_modifier_not_updated_at_on_day'               => 'Transaction was not last updated on day of month ":value"',
    'search_modifier_updated_at_before_year'              => 'Transaction was last updated in or before year ":value"',
    'search_modifier_updated_at_before_month'             => 'Transaction was last updated in or before month ":value"',
    'search_modifier_updated_at_before_day'               => 'Transaction was last updated on or before day of month ":value"',
    'search_modifier_updated_at_after_year'               => 'Transaction was last updated in or after year ":value"',
    'search_modifier_updated_at_after_month'              => 'Transaction was last updated in or after month ":value"',
    'search_modifier_updated_at_after_day'                => 'Transaction was last updated on or after day of month ":value"',
    'search_modifier_created_at_on_year'                  => 'Transaction was created in year ":value"',
    'search_modifier_created_at_on_month'                 => 'Transaction was created in month ":value"',
    'search_modifier_created_at_on_day'                   => 'Transaction was created on day of month ":value"',
    'search_modifier_not_created_at_on_year'              => 'Transaction was not created in year ":value"',
    'search_modifier_not_created_at_on_month'             => 'Transaction was not created in month ":value"',
    'search_modifier_not_created_at_on_day'               => 'Transaction was not created on day of month ":value"',
    'search_modifier_created_at_before_year'              => 'Transaction was created in or before year ":value"',
    'search_modifier_created_at_before_month'             => 'Transaction was created in or before month ":value"',
    'search_modifier_created_at_before_day'               => 'Transaction was created on or before day of month ":value"',
    'search_modifier_created_at_after_year'               => 'Transaction was created in or after year ":value"',
    'search_modifier_created_at_after_month'              => 'Transaction was created in or after month ":value"',
    'search_modifier_created_at_after_day'                => 'Transaction was created on or after day of month ":value"',
    'search_modifier_interest_date_before'                => 'Transaction interest date is on or before ":value"',
    'search_modifier_interest_date_after'                 => 'Transaction interest date is on or after ":value"',
    'search_modifier_book_date_on'                        => 'Transaction book date is on ":value"',
    'search_modifier_not_book_date_on'                    => 'Transaction book date is not on ":value"',
    'search_modifier_book_date_before'                    => 'Transaction book date is on or before ":value"',
    'search_modifier_book_date_after'                     => 'Transaction book date is on or after ":value"',
    'search_modifier_process_date_on'                     => 'Transaction process date is on ":value"',
    'search_modifier_not_process_date_on'                 => 'Transaction process date is not on ":value"',
    'search_modifier_process_date_before'                 => 'Transaction process date is on or before ":value"',
    'search_modifier_process_date_after'                  => 'Transaction process date is on or after ":value"',
    'search_modifier_due_date_on'                         => 'Transaction due date is on ":value"',
    'search_modifier_not_due_date_on'                     => 'Transaction due date is not on ":value"',
    'search_modifier_due_date_before'                     => 'Transaction due date is on or before ":value"',
    'search_modifier_due_date_after'                      => 'Transaction due date is on or after ":value"',
    'search_modifier_payment_date_on'                     => 'Transaction payment date is on ":value"',
    'search_modifier_not_payment_date_on'                 => 'Transaction payment date is not on ":value"',
    'search_modifier_payment_date_before'                 => 'Transaction payment date is on or before ":value"',
    'search_modifier_payment_date_after'                  => 'Transaction payment date is on or after ":value"',
    'search_modifier_invoice_date_on'                     => 'Transaction invoice date is on ":value"',
    'search_modifier_not_invoice_date_on'                 => 'Transaction invoice date is not on ":value"',
    'search_modifier_invoice_date_before'                 => 'Transaction invoice date is on or before ":value"',
    'search_modifier_invoice_date_after'                  => 'Transaction invoice date is on or after ":value"',
    'search_modifier_created_at_on'                       => 'Transaction was created on ":value"',
    'search_modifier_not_created_at_on'                   => 'Transaction was not created on ":value"',
    'search_modifier_created_at_before'                   => 'Transaction was created on or before ":value"',
    'search_modifier_created_at_after'                    => 'Transaction was created on or after ":value"',
    'search_modifier_updated_at_on'                       => 'Transaction was updated on ":value"',
    'search_modifier_not_updated_at_on'                   => 'Transaction was not updated on ":value"',
    'search_modifier_updated_at_before'                   => 'Transaction was updated on or before ":value"',
    'search_modifier_updated_at_after'                    => 'Transaction was updated on or after ":value"',

    'search_modifier_attachment_name_is'                  => 'Any attachment\'s name is ":value"',
    'search_modifier_attachment_name_contains'            => 'Any attachment\'s name contains ":value"',
    'search_modifier_attachment_name_starts'              => 'Any attachment\'s name starts with ":value"',
    'search_modifier_attachment_name_ends'                => 'Any attachment\'s name ends with ":value"',
    'search_modifier_attachment_notes_are'                => 'Any attachment\'s notes are ":value"',
    'search_modifier_attachment_notes_contains'           => 'Any attachment\'s notes contain ":value"',
    'search_modifier_attachment_notes_starts'             => 'Any attachment\'s notes start with ":value"',
    'search_modifier_attachment_notes_ends'               => 'Any attachment\'s notes end with ":value"',
    'search_modifier_not_attachment_name_is'              => 'Any attachment\'s name is not ":value"',
    'search_modifier_not_attachment_name_contains'        => 'Any attachment\'s name does not contain ":value"',
    'search_modifier_not_attachment_name_starts'          => 'Any attachment\'s name does not start with ":value"',
    'search_modifier_not_attachment_name_ends'            => 'Any attachment\'s name does not end with ":value"',
    'search_modifier_not_attachment_notes_are'            => 'Any attachment\'s notes are not ":value"',
    'search_modifier_not_attachment_notes_contains'       => 'Any attachment\'s notes do not contain ":value"',
    'search_modifier_not_attachment_notes_starts'         => 'Any attachment\'s notes start with ":value"',
    'search_modifier_not_attachment_notes_ends'           => 'Any attachment\'s notes do not end with ":value"',
    'search_modifier_sepa_ct_is'                          => 'SEPA CT is ":value"',
    'update_rule_from_query'                              => 'Update rule ":rule" from search query',
    'create_rule_from_query'                              => 'Create new rule from search query',
    'rule_from_search_words'                              => 'The rule engine has a hard time handling ":string". The suggested rule that fits your search query may give different results. Please verify the rule triggers carefully.',


    // END
    'modifiers_applies_are'                               => '搜尋也套用以下條件：',
    'general_search_error'                                => 'An error occurred while searching. Please check the log files for more information.',
    'search_box'                                          => '搜尋',
    'search_box_intro'                                    => '歡迎使用 Firefly III 搜尋功能，請於方框內鍵入搜尋條件。搜尋功能相當厲害，記得查看說明檔。',
    'search_error'                                        => '搜尋時發生錯誤',
    'search_searching'                                    => '正在搜尋...',
    'search_results'                                      => '搜尋結果',

    // repeat frequencies:
    'repeat_freq_yearly'                                  => '每年',
    'repeat_freq_half-year'                               => '每半年',
    'repeat_freq_quarterly'                               => '每季',
    'repeat_freq_monthly'                                 => '每月',
    'repeat_freq_weekly'                                  => '每週',
    'repeat_freq_daily'                                   => 'daily',
    'daily'                                               => 'daily',
    'weekly'                                              => '每週',
    'quarterly'                                           => '每季',
    'half-year'                                           => '每半年',
    'yearly'                                              => '每年',

    // rules
    'is_not_rule_trigger'                                 => 'Not',
    'cannot_fire_inactive_rules'                          => 'You cannot execute inactive rules.',
    'rules'                                               => '規則',
    'rule_name'                                           => '規則名稱',
    'rule_triggers'                                       => '規則觸發於',
    'rule_actions'                                        => '規則將',
    'new_rule'                                            => '新規則',
    'new_rule_group'                                      => '新規則群組',
    'rule_priority_up'                                    => '提高規則優先順序',
    'rule_priority_down'                                  => '降低規則優先順序',
    'make_new_rule_group'                                 => '建立新規則群組',
    'store_new_rule_group'                                => '儲存新規則群組',
    'created_new_rule_group'                              => '新規則群組 ":title" 已儲存！',
    'updated_rule_group'                                  => '已成功更新 ":title" 規則群組。',
    'edit_rule_group'                                     => '編輯 ":title" 規則群組',
    'duplicate_rule'                                      => 'Duplicate rule ":title"',
    'rule_copy_of'                                        => 'Copy of ":title"',
    'duplicated_rule'                                     => 'Duplicated rule ":title" into ":newTitle"',
    'delete_rule_group'                                   => '刪除 ":title" 規則群組',
    'deleted_rule_group'                                  => '規則群組 ":title" 已刪除',
    'update_rule_group'                                   => '更新規則群組',
    'no_rules_in_group'                                   => '此群組內沒有規則',
    'move_rule_group_up'                                  => '上移規則群組',
    'move_rule_group_down'                                => '下移規則群組',
    'save_rules_by_moving'                                => 'Save this rule by moving it to another rule group:|Save these rules by moving them to another rule group:',
    'make_new_rule'                                       => '在規則群組 ":title" 中建立新規則',
    'make_new_rule_no_group'                              => '建立新規則',
    'instructions_rule_from_bill'                         => '為了媒合交易至您的新帳單 ":name"，Firefly III 可以建立一個針對您儲存的每一筆交易且自動啟動的規則。請驗證下方的資訊並儲存規則，讓 Firefly III 自動媒合交易至您的新帳單。',
    'instructions_rule_from_journal'                      => 'Create a rule based on one of your transactions. Complement or submit the form below.',
    'rule_is_strict'                                      => '嚴謹規則',
    'rule_is_not_strict'                                  => '非嚴謹規則',
    'rule_help_stop_processing'                           => '勾選此核選方塊時，將不會執行此群組中的後續規則。',
    'rule_help_strict'                                    => '在嚴謹規則中，所有觸發器均須觸發以執行動作。在非嚴謹規則中，任何觸發器即足以執行動作。',
    'rule_help_active'                                    => '未啟用的規則永遠不會觸發。',
    'stored_new_rule'                                     => '已以 ":title" 為標題儲存新規則',
    'deleted_rule'                                        => '已刪除標題為 ":title" 的規則',
    'store_new_rule'                                      => '儲存新規則',
    'updated_rule'                                        => '已更新標題為 ":title" 的規則',
    'default_rule_group_name'                             => '預設規則',
    'default_rule_group_description'                      => '所有不屬於特定群組的規則。',
    'trigger'                                             => '觸發器',
    'trigger_value'                                       => '觸發值',
    'stop_processing_other_triggers'                      => '停止處理其他觸發器',
    'add_rule_trigger'                                    => '新增觸發器',
    'action'                                              => '動作',
    'action_value'                                        => '動作值',
    'stop_executing_other_actions'                        => '停止處理其他動作',
    'add_rule_action'                                     => '新增動作',
    'edit_rule'                                           => '編輯規則 ":title"',
    'delete_rule'                                         => '刪除規則 ":title"',
    'update_rule'                                         => '更新規則',
    'test_rule_triggers'                                  => '檢視相符交易',
    'warning_no_matching_transactions'                    => 'No matching transactions found.',
    'warning_no_valid_triggers'                           => '未提供有效觸發器。',
    'apply_rule_selection'                                => '將規則 ":title" 套用至您所選的交易',
    'apply_rule_selection_intro'                          => '規則如 ":title" 一般僅套用至新的或更新後的交易，但您可要求 Firefly III 針對既有的單筆或多筆交易執行規則。在您更新一則規則後，且必須套用該規則至其他交易時，即可使用此功能。',
    'include_transactions_from_accounts'                  => '包含來自這些帳戶的交易',
    'include'                                             => 'Include?',
    'applied_rule_selection'                              => '{0} No transactions in your selection were changed by rule ":title".|[1] One transaction in your selection was changed by rule ":title".|[2,*] :count transactions in your selection were changed by rule ":title".',
    'execute'                                             => '執行',
    'apply_rule_group_selection'                          => '將規則群組 ":title" 套用至您所選的交易',
    'apply_rule_group_selection_intro'                    => '規則群組如 ":title" 一般僅套用至新的或更新後的交易，但您可要求 Firefly III 針對既有的單筆或多筆交易執行規則群組內的規則。在您更新一則規則群組後，且必須套用該群組至其他交易時，即可使用此功能。',
    'applied_rule_group_selection'                        => '規則群組 ":title" 已套用至您選擇的交易。',

    // actions and triggers
    'rule_trigger_store_journal'                          => '當建立一筆交易',
    'rule_trigger_update_journal'                         => '當更新一筆交易',
    'rule_trigger_user_action'                            => '使用者動作為 ":trigger_value"',


    // OLD values (remove non-doubles later):
    'rule_trigger_source_account_starts_choice'           => 'Source account name starts with..',
    'rule_trigger_source_account_starts'                  => 'Source account name starts with ":trigger_value"',
    'rule_trigger_source_account_ends_choice'             => 'Source account name ends with..',
    'rule_trigger_source_account_ends'                    => 'Source account name ends with ":trigger_value"',
    'rule_trigger_source_account_is_choice'               => 'Source account name is..',
    'rule_trigger_source_account_is'                      => 'Source account name is ":trigger_value"',
    'rule_trigger_source_account_contains_choice'         => 'Source account name contains..',
    'rule_trigger_source_account_contains'                => 'Source account name contains ":trigger_value"',
    'rule_trigger_account_id_choice'                      => 'Either account ID is exactly..',
    'rule_trigger_account_id'                             => 'Either account ID is exactly :trigger_value',
    'rule_trigger_source_account_id_choice'               => 'Source account ID is exactly..',
    'rule_trigger_source_account_id'                      => 'Source account ID is exactly :trigger_value',
    'rule_trigger_destination_account_id_choice'          => 'Destination account ID is exactly..',
    'rule_trigger_destination_account_id'                 => 'Destination account ID is exactly :trigger_value',
    'rule_trigger_account_is_cash_choice'                 => 'Either account is cash',
    'rule_trigger_account_is_cash'                        => 'Either account is cash',
    'rule_trigger_source_is_cash_choice'                  => 'Source account is (cash) account',
    'rule_trigger_source_is_cash'                         => 'Source account is (cash) account',
    'rule_trigger_destination_is_cash_choice'             => 'Destination account is (cash) account',
    'rule_trigger_destination_is_cash'                    => 'Destination account is (cash) account',
    'rule_trigger_source_account_nr_starts_choice'        => 'Source account number / IBAN starts with..',
    'rule_trigger_source_account_nr_starts'               => 'Source account number / IBAN starts with ":trigger_value"',
    'rule_trigger_source_account_nr_ends_choice'          => 'Source account number / IBAN ends with..',
    'rule_trigger_source_account_nr_ends'                 => 'Source account number / IBAN ends with ":trigger_value"',
    'rule_trigger_source_account_nr_is_choice'            => 'Source account number / IBAN is..',
    'rule_trigger_source_account_nr_is'                   => 'Source account number / IBAN is ":trigger_value"',
    'rule_trigger_source_account_nr_contains_choice'      => 'Source account number / IBAN contains..',
    'rule_trigger_source_account_nr_contains'             => 'Source account number / IBAN contains ":trigger_value"',
    'rule_trigger_destination_account_starts_choice'      => 'Destination account name starts with..',
    'rule_trigger_destination_account_starts'             => 'Destination account name starts with ":trigger_value"',
    'rule_trigger_destination_account_ends_choice'        => 'Destination account name ends with..',
    'rule_trigger_destination_account_ends'               => 'Destination account name ends with ":trigger_value"',
    'rule_trigger_destination_account_is_choice'          => 'Destination account name is..',
    'rule_trigger_destination_account_is'                 => 'Destination account name is ":trigger_value"',
    'rule_trigger_destination_account_contains_choice'    => 'Destination account name contains..',
    'rule_trigger_destination_account_contains'           => 'Destination account name contains ":trigger_value"',
    'rule_trigger_destination_account_nr_starts_choice'   => 'Destination account number / IBAN starts with..',
    'rule_trigger_destination_account_nr_starts'          => 'Destination account number / IBAN starts with ":trigger_value"',
    'rule_trigger_destination_account_nr_ends_choice'     => 'Destination account number / IBAN ends with..',
    'rule_trigger_destination_account_nr_ends'            => 'Destination account number / IBAN ends with ":trigger_value"',
    'rule_trigger_destination_account_nr_is_choice'       => 'Destination account number / IBAN is..',
    'rule_trigger_destination_account_nr_is'              => 'Destination account number / IBAN is ":trigger_value"',
    'rule_trigger_destination_account_nr_contains_choice' => 'Destination account number / IBAN contains..',
    'rule_trigger_destination_account_nr_contains'        => 'Destination account number / IBAN contains ":trigger_value"',
    'rule_trigger_transaction_type_choice'                => '轉帳類型為…',
    'rule_trigger_transaction_type'                       => '轉帳類型為 ":trigger_value"',
    'rule_trigger_category_is_choice'                     => '類別...',
    'rule_trigger_category_is'                            => '分類為 ":trigger_value"',
    'rule_trigger_amount_less_choice'                     => '金額小於…',
    'rule_trigger_amount_less'                            => '金額小於 :trigger_value',
    'rule_trigger_amount_is_choice'                       => 'Amount is..',
    'rule_trigger_amount_is'                              => 'Amount is :trigger_value',
    'rule_trigger_amount_more_choice'                     => '金額大於…',
    'rule_trigger_amount_more'                            => '金額大於 :trigger_value',
    'rule_trigger_description_starts_choice'              => '描述以…開頭',
    'rule_trigger_description_starts'                     => '描述開頭為 ":trigger_value"',
    'rule_trigger_description_ends_choice'                => '描述以…作結',
    'rule_trigger_description_ends'                       => '描述結尾為 ":trigger_value"',
    'rule_trigger_description_contains_choice'            => '描述包含…',
    'rule_trigger_description_contains'                   => '描述包含 ":trigger_value"',
    'rule_trigger_description_is_choice'                  => '描述是…',
    'rule_trigger_description_is'                         => '描述為 ":trigger_value"',
    'rule_trigger_date_on_choice'                         => 'Transaction date is..',
    'rule_trigger_date_on'                                => 'Transaction date is ":trigger_value"',
    'rule_trigger_date_before_choice'                     => 'Transaction date is before..',
    'rule_trigger_date_before'                            => 'Transaction date is before ":trigger_value"',
    'rule_trigger_date_after_choice'                      => 'Transaction date is after..',
    'rule_trigger_date_after'                             => 'Transaction date is after ":trigger_value"',
    'rule_trigger_created_at_on_choice'                   => 'Transaction was made on..',
    'rule_trigger_created_at_on'                          => 'Transaction was made on ":trigger_value"',
    'rule_trigger_updated_at_on_choice'                   => 'Transaction was last edited on..',
    'rule_trigger_updated_at_on'                          => 'Transaction was last edited on ":trigger_value"',
    'rule_trigger_budget_is_choice'                       => '預算為…',
    'rule_trigger_budget_is'                              => '預算為 ":trigger_value"',
    'rule_trigger_tag_is_choice'                          => 'Any tag is..',
    'rule_trigger_tag_is'                                 => 'Any tag is ":trigger_value"',
    'rule_trigger_currency_is_choice'                     => '轉帳貨幣為…',
    'rule_trigger_currency_is'                            => '轉帳貨幣為 ":trigger_value"',
    'rule_trigger_foreign_currency_is_choice'             => 'Transaction foreign currency is..',
    'rule_trigger_foreign_currency_is'                    => 'Transaction foreign currency is ":trigger_value"',
    'rule_trigger_has_attachments_choice'                 => '至少有這麼多附加檔案',
    'rule_trigger_has_attachments'                        => 'Has at least :trigger_value attachment(s)',
    'rule_trigger_has_no_category_choice'                 => '無分類',
    'rule_trigger_has_no_category'                        => '交易沒有分類',
    'rule_trigger_has_any_category_choice'                => '有一個 (任何) 分類',
    'rule_trigger_has_any_category'                       => '交易有一個 (任何) 分類',
    'rule_trigger_has_no_budget_choice'                   => '沒有預算',
    'rule_trigger_has_no_budget'                          => '交易沒有預算',
    'rule_trigger_has_any_budget_choice'                  => '有一個 (任何) 預算',
    'rule_trigger_has_any_budget'                         => '交易有一個 (任何) 預算',
    'rule_trigger_has_no_bill_choice'                     => 'Has no bill',
    'rule_trigger_has_no_bill'                            => 'Transaction has no bill',
    'rule_trigger_has_any_bill_choice'                    => 'Has a (any) bill',
    'rule_trigger_has_any_bill'                           => 'Transaction has a (any) bill',
    'rule_trigger_has_no_tag_choice'                      => '沒有標籤',
    'rule_trigger_has_no_tag'                             => '交易沒有標籤',
    'rule_trigger_has_any_tag_choice'                     => '有一個或多個 (任何) 標籤',
    'rule_trigger_has_any_tag'                            => '交易有一個或多個 (任何) 標籤',
    'rule_trigger_any_notes_choice'                       => '有 (任何) 註釋',
    'rule_trigger_any_notes'                              => '交易有 (任何) 註釋',
    'rule_trigger_no_notes_choice'                        => '沒有註釋',
    'rule_trigger_no_notes'                               => '交易沒有註釋',
    'rule_trigger_notes_is_choice'                        => 'Notes are..',
    'rule_trigger_notes_is'                               => 'Notes are ":trigger_value"',
    'rule_trigger_notes_contains_choice'                  => 'Notes contain..',
    'rule_trigger_notes_contains'                         => 'Notes contain ":trigger_value"',
    'rule_trigger_notes_starts_choice'                    => 'Notes start with..',
    'rule_trigger_notes_starts'                           => 'Notes start with ":trigger_value"',
    'rule_trigger_notes_ends_choice'                      => 'Notes end with..',
    'rule_trigger_notes_ends'                             => 'Notes end with ":trigger_value"',
    'rule_trigger_bill_is_choice'                         => 'Bill is..',
    'rule_trigger_bill_is'                                => 'Bill is ":trigger_value"',
    'rule_trigger_external_id_is_choice'                  => 'External ID is..',
    'rule_trigger_external_id_is'                         => 'External ID is ":trigger_value"',
    'rule_trigger_internal_reference_is_choice'           => 'Internal reference is..',
    'rule_trigger_internal_reference_is'                  => 'Internal reference is ":trigger_value"',
    'rule_trigger_journal_id_choice'                      => 'Transaction journal ID is..',
    'rule_trigger_journal_id'                             => 'Transaction journal ID is ":trigger_value"',
    'rule_trigger_no_external_url'                        => 'Transaction has no external URL',
    'rule_trigger_any_external_url'                       => 'Transaction has an external URL',
    'rule_trigger_any_external_url_choice'                => 'Transaction has an external URL',
    'rule_trigger_no_external_url_choice'                 => 'Transaction has no external URL',
    'rule_trigger_id_choice'                              => 'Transaction ID is..',
    'rule_trigger_id'                                     => 'Transaction ID is ":trigger_value"',
    'rule_trigger_sepa_ct_is_choice'                      => 'SEPA CT is..',
    'rule_trigger_sepa_ct_is'                             => 'SEPA CT is ":trigger_value"',

    // new values:
    'rule_trigger_user_action_choice'                     => 'User action is ":trigger_value"',
    'rule_trigger_tag_is_not_choice'                      => 'No tag is..',
    'rule_trigger_tag_is_not'                             => 'No tag is ":trigger_value"',
    'rule_trigger_account_is_choice'                      => 'Either account is exactly..',
    'rule_trigger_account_is'                             => 'Either account is exactly ":trigger_value"',
    'rule_trigger_account_contains_choice'                => 'Either account contains..',
    'rule_trigger_account_contains'                       => 'Either account contains ":trigger_value"',
    'rule_trigger_account_ends_choice'                    => 'Either account ends with..',
    'rule_trigger_account_ends'                           => 'Either account ends with ":trigger_value"',
    'rule_trigger_account_starts_choice'                  => 'Either account starts with..',
    'rule_trigger_account_starts'                         => 'Either account starts with ":trigger_value"',
    'rule_trigger_account_nr_is_choice'                   => 'Either account number / IBAN is..',
    'rule_trigger_account_nr_is'                          => 'Either account number / IBAN is ":trigger_value"',
    'rule_trigger_account_nr_contains_choice'             => 'Either account number / IBAN contains..',
    'rule_trigger_account_nr_contains'                    => 'Either account number / IBAN contains ":trigger_value"',
    'rule_trigger_account_nr_ends_choice'                 => 'Either account number / IBAN ends with..',
    'rule_trigger_account_nr_ends'                        => 'Either account number / IBAN ends with ":trigger_value"',
    'rule_trigger_account_nr_starts_choice'               => 'Either account number / IBAN starts with..',
    'rule_trigger_account_nr_starts'                      => 'Either account number / IBAN starts with ":trigger_value"',
    'rule_trigger_category_contains_choice'               => 'Category contains..',
    'rule_trigger_category_contains'                      => 'Category contains ":trigger_value"',
    'rule_trigger_category_ends_choice'                   => 'Category ends with..',
    'rule_trigger_category_ends'                          => 'Category ends with ":trigger_value"',
    'rule_trigger_category_starts_choice'                 => 'Category starts with..',
    'rule_trigger_category_starts'                        => 'Category starts with ":trigger_value"',
    'rule_trigger_budget_contains_choice'                 => 'Budget contains..',
    'rule_trigger_budget_contains'                        => 'Budget contains ":trigger_value"',
    'rule_trigger_budget_ends_choice'                     => 'Budget ends with..',
    'rule_trigger_budget_ends'                            => 'Budget ends with ":trigger_value"',
    'rule_trigger_budget_starts_choice'                   => 'Budget starts with..',
    'rule_trigger_budget_starts'                          => 'Budget starts with ":trigger_value"',
    'rule_trigger_bill_contains_choice'                   => 'Bill contains..',
    'rule_trigger_bill_contains'                          => 'Bill contains ":trigger_value"',
    'rule_trigger_bill_ends_choice'                       => 'Bill ends with..',
    'rule_trigger_bill_ends'                              => 'Bill ends with ":trigger_value"',
    'rule_trigger_bill_starts_choice'                     => 'Bill starts with..',
    'rule_trigger_bill_starts'                            => 'Bill starts with ":trigger_value"',
    'rule_trigger_external_id_contains_choice'            => 'External ID contains..',
    'rule_trigger_external_id_contains'                   => 'External ID contains ":trigger_value"',
    'rule_trigger_external_id_ends_choice'                => 'External ID ends with..',
    'rule_trigger_external_id_ends'                       => 'External ID ends with ":trigger_value"',
    'rule_trigger_external_id_starts_choice'              => 'External ID starts with..',
    'rule_trigger_external_id_starts'                     => 'External ID starts with ":trigger_value"',
    'rule_trigger_internal_reference_contains_choice'     => 'Internal reference contains..',
    'rule_trigger_internal_reference_contains'            => 'Internal reference contains ":trigger_value"',
    'rule_trigger_internal_reference_ends_choice'         => 'Internal reference ends with..',
    'rule_trigger_internal_reference_ends'                => 'Internal reference ends with ":trigger_value"',
    'rule_trigger_internal_reference_starts_choice'       => 'Internal reference starts with..',
    'rule_trigger_internal_reference_starts'              => 'Internal reference starts with ":trigger_value"',
    'rule_trigger_external_url_is_choice'                 => 'External URL is..',
    'rule_trigger_external_url_is'                        => 'External URL is ":trigger_value"',
    'rule_trigger_external_url_contains_choice'           => 'External URL contains..',
    'rule_trigger_external_url_contains'                  => 'External URL contains ":trigger_value"',
    'rule_trigger_external_url_ends_choice'               => 'External URL ends with..',
    'rule_trigger_external_url_ends'                      => 'External URL ends with ":trigger_value"',
    'rule_trigger_external_url_starts_choice'             => 'External URL starts with..',
    'rule_trigger_external_url_starts'                    => 'External URL starts with ":trigger_value"',
    'rule_trigger_has_no_attachments_choice'              => 'Has no attachments',
    'rule_trigger_has_no_attachments'                     => 'Transaction has no attachments',
    'rule_trigger_recurrence_id_choice'                   => 'Recurring transaction ID is..',
    'rule_trigger_recurrence_id'                          => 'Recurring transaction ID is ":trigger_value"',
    'rule_trigger_interest_date_on_choice'                => 'Interest date is on..',
    'rule_trigger_interest_date_on'                       => 'Interest date is on ":trigger_value"',
    'rule_trigger_interest_date_before_choice'            => 'Interest date is before..',
    'rule_trigger_interest_date_before'                   => 'Interest date is before ":trigger_value"',
    'rule_trigger_interest_date_after_choice'             => 'Interest date is after..',
    'rule_trigger_interest_date_after'                    => 'Interest date is after ":trigger_value"',
    'rule_trigger_book_date_on_choice'                    => 'Book date is on..',
    'rule_trigger_book_date_on'                           => 'Book date is on ":trigger_value"',
    'rule_trigger_book_date_before_choice'                => 'Book date is before..',
    'rule_trigger_book_date_before'                       => 'Book date is before ":trigger_value"',
    'rule_trigger_book_date_after_choice'                 => 'Book date is after..',
    'rule_trigger_book_date_after'                        => 'Book date is after ":trigger_value"',
    'rule_trigger_process_date_on_choice'                 => 'Process date is on..',
    'rule_trigger_process_date_on'                        => 'Process date is ":trigger_value"',
    'rule_trigger_process_date_before_choice'             => 'Process date is before..',
    'rule_trigger_process_date_before'                    => 'Process date is before ":trigger_value"',
    'rule_trigger_process_date_after_choice'              => 'Process date is after..',
    'rule_trigger_process_date_after'                     => 'Process date is after ":trigger_value"',
    'rule_trigger_due_date_on_choice'                     => 'Due date is on..',
    'rule_trigger_due_date_on'                            => 'Due date is on ":trigger_value"',
    'rule_trigger_due_date_before_choice'                 => 'Due date is before..',
    'rule_trigger_due_date_before'                        => 'Due date is before ":trigger_value"',
    'rule_trigger_due_date_after_choice'                  => 'Due date is after..',
    'rule_trigger_due_date_after'                         => 'Due date is after ":trigger_value"',
    'rule_trigger_payment_date_on_choice'                 => 'Payment date is on..',
    'rule_trigger_payment_date_on'                        => 'Payment date is on ":trigger_value"',
    'rule_trigger_payment_date_before_choice'             => 'Payment date is before..',
    'rule_trigger_payment_date_before'                    => 'Payment date is before ":trigger_value"',
    'rule_trigger_payment_date_after_choice'              => 'Payment date is after..',
    'rule_trigger_payment_date_after'                     => 'Payment date is after ":trigger_value"',
    'rule_trigger_invoice_date_on_choice'                 => 'Invoice date is on..',
    'rule_trigger_invoice_date_on'                        => 'Invoice date is on ":trigger_value"',
    'rule_trigger_invoice_date_before_choice'             => 'Invoice date is before..',
    'rule_trigger_invoice_date_before'                    => 'Invoice date is before ":trigger_value"',
    'rule_trigger_invoice_date_after_choice'              => 'Invoice date is after..',
    'rule_trigger_invoice_date_after'                     => 'Invoice date is after ":trigger_value"',
    'rule_trigger_created_at_before_choice'               => 'Transaction was created before..',
    'rule_trigger_created_at_before'                      => 'Transaction was created before ":trigger_value"',
    'rule_trigger_created_at_after_choice'                => 'Transaction was created after..',
    'rule_trigger_created_at_after'                       => 'Transaction was created after ":trigger_value"',
    'rule_trigger_updated_at_before_choice'               => 'Transaction was last updated before..',
    'rule_trigger_updated_at_before'                      => 'Transaction was last updated before ":trigger_value"',
    'rule_trigger_updated_at_after_choice'                => 'Transaction was last updated after..',
    'rule_trigger_updated_at_after'                       => 'Transaction was last updated after ":trigger_value"',
    'rule_trigger_foreign_amount_is_choice'               => 'Foreign amount is exactly..',
    'rule_trigger_foreign_amount_is'                      => 'Foreign amount is exactly ":trigger_value"',
    'rule_trigger_foreign_amount_less_choice'             => 'Foreign amount is less than..',
    'rule_trigger_foreign_amount_less'                    => 'Foreign amount is less than ":trigger_value"',
    'rule_trigger_foreign_amount_more_choice'             => 'Foreign amount is more than..',
    'rule_trigger_foreign_amount_more'                    => 'Foreign amount is more than ":trigger_value"',
    'rule_trigger_attachment_name_is_choice'              => 'Any attachment\'s name is..',
    'rule_trigger_attachment_name_is'                     => 'Any attachment\'s name is ":trigger_value"',
    'rule_trigger_attachment_name_contains_choice'        => 'Any attachment\'s name contains..',
    'rule_trigger_attachment_name_contains'               => 'Any attachment\'s name contains ":trigger_value"',
    'rule_trigger_attachment_name_starts_choice'          => 'Any attachment\'s name starts with..',
    'rule_trigger_attachment_name_starts'                 => 'Any attachment\'s name starts with ":trigger_value"',
    'rule_trigger_attachment_name_ends_choice'            => 'Any attachment\'s name ends with..',
    'rule_trigger_attachment_name_ends'                   => 'Any attachment\'s name ends with ":trigger_value"',
    'rule_trigger_attachment_notes_are_choice'            => 'Any attachment\'s notes are..',
    'rule_trigger_attachment_notes_are'                   => 'Any attachment\'s notes are ":trigger_value"',
    'rule_trigger_attachment_notes_contains_choice'       => 'Any attachment\'s notes contain..',
    'rule_trigger_attachment_notes_contains'              => 'Any attachment\'s notes contain ":trigger_value"',
    'rule_trigger_attachment_notes_starts_choice'         => 'Any attachment\'s notes start with..',
    'rule_trigger_attachment_notes_starts'                => 'Any attachment\'s notes start with ":trigger_value"',
    'rule_trigger_attachment_notes_ends_choice'           => 'Any attachment\'s notes end with..',
    'rule_trigger_attachment_notes_ends'                  => 'Any attachment\'s notes end with ":trigger_value"',
    'rule_trigger_reconciled_choice'                      => 'Transaction is reconciled',
    'rule_trigger_reconciled'                             => 'Transaction is reconciled',
    'rule_trigger_exists_choice'                          => 'Any transaction matches(!)',
    'rule_trigger_exists'                                 => 'Any transaction matches',

    // more values for new types:
    'rule_trigger_not_account_id'                         => 'Account ID is not ":trigger_value"',
    'rule_trigger_not_source_account_id'                  => 'Source account ID is not ":trigger_value"',
    'rule_trigger_not_destination_account_id'             => 'Destination account ID is not ":trigger_value"',
    'rule_trigger_not_transaction_type'                   => 'Transaction type is not ":trigger_value"',
    'rule_trigger_not_tag_is'                             => 'Tag is not ":trigger_value"',
    'rule_trigger_not_tag_is_not'                         => 'Tag is ":trigger_value"',
    'rule_trigger_not_description_is'                     => 'Description is not ":trigger_value"',
    'rule_trigger_not_description_contains'               => 'Description does not contain',
    'rule_trigger_not_description_ends'                   => 'Description does not end with ":trigger_value"',
    'rule_trigger_not_description_starts'                 => 'Description does not start with ":trigger_value"',
    'rule_trigger_not_notes_is'                           => 'Notes are not ":trigger_value"',
    'rule_trigger_not_notes_contains'                     => 'Notes do not contain ":trigger_value"',
    'rule_trigger_not_notes_ends'                         => 'Notes do not end on ":trigger_value"',
    'rule_trigger_not_notes_starts'                       => 'Notes do not start with ":trigger_value"',
    'rule_trigger_not_source_account_is'                  => 'Source account is not ":trigger_value"',
    'rule_trigger_not_source_account_contains'            => 'Source account does not contain ":trigger_value"',
    'rule_trigger_not_source_account_ends'                => 'Source account does not end on ":trigger_value"',
    'rule_trigger_not_source_account_starts'              => 'Source account does not start with ":trigger_value"',
    'rule_trigger_not_source_account_nr_is'               => 'Source account number / IBAN is not ":trigger_value"',
    'rule_trigger_not_source_account_nr_contains'         => 'Source account number / IBAN does not contain ":trigger_value"',
    'rule_trigger_not_source_account_nr_ends'             => 'Source account number / IBAN does not end on ":trigger_value"',
    'rule_trigger_not_source_account_nr_starts'           => 'Source account number / IBAN does not start with ":trigger_value"',
    'rule_trigger_not_destination_account_is'             => 'Destination account is not ":trigger_value"',
    'rule_trigger_not_destination_account_contains'       => 'Destination account does not contain ":trigger_value"',
    'rule_trigger_not_destination_account_ends'           => 'Destination account does not end on ":trigger_value"',
    'rule_trigger_not_destination_account_starts'         => 'Destination account does not start with ":trigger_value"',
    'rule_trigger_not_destination_account_nr_is'          => 'Destination account number / IBAN is not ":trigger_value"',
    'rule_trigger_not_destination_account_nr_contains'    => 'Destination account number / IBAN does not contain ":trigger_value"',
    'rule_trigger_not_destination_account_nr_ends'        => 'Destination account number / IBAN does not end on ":trigger_value"',
    'rule_trigger_not_destination_account_nr_starts'      => 'Destination account number / IBAN does not start with ":trigger_value"',
    'rule_trigger_not_account_is'                         => 'Neither account is ":trigger_value"',
    'rule_trigger_not_account_contains'                   => 'Neither account contains ":trigger_value"',
    'rule_trigger_not_account_ends'                       => 'Neither account ends on ":trigger_value"',
    'rule_trigger_not_account_starts'                     => 'Neither account starts with ":trigger_value"',
    'rule_trigger_not_account_nr_is'                      => 'Neither account number / IBAN is ":trigger_value"',
    'rule_trigger_not_account_nr_contains'                => 'Neither account number / IBAN contains ":trigger_value"',
    'rule_trigger_not_account_nr_ends'                    => 'Neither account number / IBAN ends on ":trigger_value"',
    'rule_trigger_not_account_nr_starts'                  => 'Neither account number / IBAN starts with ":trigger_value"',
    'rule_trigger_not_category_is'                        => 'Neither category is ":trigger_value"',
    'rule_trigger_not_category_contains'                  => 'Neither category contains ":trigger_value"',
    'rule_trigger_not_category_ends'                      => 'Neither category ends on ":trigger_value"',
    'rule_trigger_not_category_starts'                    => 'Neither category starts with ":trigger_value"',
    'rule_trigger_not_budget_is'                          => 'Neither budget is ":trigger_value"',
    'rule_trigger_not_budget_contains'                    => 'Neither budget contains ":trigger_value"',
    'rule_trigger_not_budget_ends'                        => 'Neither budget ends on ":trigger_value"',
    'rule_trigger_not_budget_starts'                      => 'Neither budget starts with ":trigger_value"',
    'rule_trigger_not_bill_is'                            => 'Bill is not is ":trigger_value"',
    'rule_trigger_not_bill_contains'                      => 'Bill does not contain ":trigger_value"',
    'rule_trigger_not_bill_ends'                          => 'Bill does not end on ":trigger_value"',
    'rule_trigger_not_bill_starts'                        => 'Bill does not end with ":trigger_value"',
    'rule_trigger_not_external_id_is'                     => 'External ID is not ":trigger_value"',
    'rule_trigger_not_external_id_contains'               => 'External ID does not contain ":trigger_value"',
    'rule_trigger_not_external_id_ends'                   => 'External ID does not end on ":trigger_value"',
    'rule_trigger_not_external_id_starts'                 => 'External ID does not start with ":trigger_value"',
    'rule_trigger_not_internal_reference_is'              => 'Internal reference is not ":trigger_value"',
    'rule_trigger_not_internal_reference_contains'        => 'Internal reference does not contain ":trigger_value"',
    'rule_trigger_not_internal_reference_ends'            => 'Internal reference does not end on ":trigger_value"',
    'rule_trigger_not_internal_reference_starts'          => 'Internal reference does not start with ":trigger_value"',
    'rule_trigger_not_external_url_is'                    => 'External URL is not ":trigger_value"',
    'rule_trigger_not_external_url_contains'              => 'External URL does not contain ":trigger_value"',
    'rule_trigger_not_external_url_ends'                  => 'External URL does not end on ":trigger_value"',
    'rule_trigger_not_external_url_starts'                => 'External URL does not start with ":trigger_value"',
    'rule_trigger_not_currency_is'                        => 'Currency is not ":trigger_value"',
    'rule_trigger_not_foreign_currency_is'                => 'Foreign currency is not ":trigger_value"',
    'rule_trigger_not_id'                                 => 'Transaction ID is not ":trigger_value"',
    'rule_trigger_not_journal_id'                         => 'Transaction journal ID is not ":trigger_value"',
    'rule_trigger_not_recurrence_id'                      => 'Recurrence ID is not ":trigger_value"',
    'rule_trigger_not_date_on'                            => 'Date is not on ":trigger_value"',
    'rule_trigger_not_date_before'                        => 'Date is not before ":trigger_value"',
    'rule_trigger_not_date_after'                         => 'Date is not after ":trigger_value"',
    'rule_trigger_not_interest_date_on'                   => 'Interest date is not on ":trigger_value"',
    'rule_trigger_not_interest_date_before'               => 'Interest date is not before ":trigger_value"',
    'rule_trigger_not_interest_date_after'                => 'Interest date is not after ":trigger_value"',
    'rule_trigger_not_book_date_on'                       => 'Book date is not on ":trigger_value"',
    'rule_trigger_not_book_date_before'                   => 'Book date is not before ":trigger_value"',
    'rule_trigger_not_book_date_after'                    => 'Book date is not after ":trigger_value"',
    'rule_trigger_not_process_date_on'                    => 'Process date is not on ":trigger_value"',
    'rule_trigger_not_process_date_before'                => 'Process date is not before ":trigger_value"',
    'rule_trigger_not_process_date_after'                 => 'Process date is not after ":trigger_value"',
    'rule_trigger_not_due_date_on'                        => 'Due date is not on ":trigger_value"',
    'rule_trigger_not_due_date_before'                    => 'Due date is not before ":trigger_value"',
    'rule_trigger_not_due_date_after'                     => 'Due date is not after ":trigger_value"',
    'rule_trigger_not_payment_date_on'                    => 'Payment date is not on ":trigger_value"',
    'rule_trigger_not_payment_date_before'                => 'Payment date is not before ":trigger_value"',
    'rule_trigger_not_payment_date_after'                 => 'Payment date is not after ":trigger_value"',
    'rule_trigger_not_invoice_date_on'                    => 'Invoice date is not on ":trigger_value"',
    'rule_trigger_not_invoice_date_before'                => 'Invoice date is not before ":trigger_value"',
    'rule_trigger_not_invoice_date_after'                 => 'Invoice date is not after ":trigger_value"',
    'rule_trigger_not_created_at_on'                      => 'Transaction is not created on ":trigger_value"',
    'rule_trigger_not_created_at_before'                  => 'Transaction is not created before ":trigger_value"',
    'rule_trigger_not_created_at_after'                   => 'Transaction is not created after ":trigger_value"',
    'rule_trigger_not_updated_at_on'                      => 'Transaction is not updated on ":trigger_value"',
    'rule_trigger_not_updated_at_before'                  => 'Transaction is not updated before ":trigger_value"',
    'rule_trigger_not_updated_at_after'                   => 'Transaction is not updated after ":trigger_value"',
    'rule_trigger_not_amount_is'                          => 'Transaction amount is not ":trigger_value"',
    'rule_trigger_not_amount_less'                        => 'Transaction amount is more than ":trigger_value"',
    'rule_trigger_not_amount_more'                        => 'Transaction amount is less than ":trigger_value"',
    'rule_trigger_not_foreign_amount_is'                  => 'Foreign transaction amount is not ":trigger_value"',
    'rule_trigger_not_foreign_amount_less'                => 'Foreign transaction amount is more than ":trigger_value"',
    'rule_trigger_not_foreign_amount_more'                => 'Foreign transaction amount is less than ":trigger_value"',
    'rule_trigger_not_attachment_name_is'                 => 'No attachment is named ":trigger_value"',
    'rule_trigger_not_attachment_name_contains'           => 'No attachment name contains ":trigger_value"',
    'rule_trigger_not_attachment_name_starts'             => 'No attachment name starts with ":trigger_value"',
    'rule_trigger_not_attachment_name_ends'               => 'No attachment name ends on ":trigger_value"',
    'rule_trigger_not_attachment_notes_are'               => 'No attachment notes are ":trigger_value"',
    'rule_trigger_not_attachment_notes_contains'          => 'No attachment notes contain ":trigger_value"',
    'rule_trigger_not_attachment_notes_starts'            => 'No attachment notes start with ":trigger_value"',
    'rule_trigger_not_attachment_notes_ends'              => 'No attachment notes end on ":trigger_value"',
    'rule_trigger_not_reconciled'                         => 'Transaction is not reconciled',
    'rule_trigger_not_exists'                             => 'Transaction does not exist',
    'rule_trigger_not_has_attachments'                    => 'Transaction has no attachments',
    'rule_trigger_not_has_any_category'                   => 'Transaction has no category',
    'rule_trigger_not_has_any_budget'                     => 'Transaction has no category',
    'rule_trigger_not_has_any_bill'                       => 'Transaction has no bill',
    'rule_trigger_not_has_any_tag'                        => 'Transaction has no tags',
    'rule_trigger_not_any_notes'                          => 'Transaction has no notes',
    'rule_trigger_not_any_external_url'                   => 'Transaction has no external URL',
    'rule_trigger_not_has_no_attachments'                 => 'Transaction has a (any) attachment(s)',
    'rule_trigger_not_has_no_category'                    => 'Transaction has a (any) category',
    'rule_trigger_not_has_no_budget'                      => 'Transaction has a (any) budget',
    'rule_trigger_not_has_no_bill'                        => 'Transaction has a (any) bill',
    'rule_trigger_not_has_no_tag'                         => 'Transaction has a (any) tag',
    'rule_trigger_not_no_notes'                           => 'Transaction has any notes',
    'rule_trigger_not_no_external_url'                    => 'Transaction has an external URL',
    'rule_trigger_not_source_is_cash'                     => 'Source account is not a cash account',
    'rule_trigger_not_destination_is_cash'                => 'Destination account is not a cash account',
    'rule_trigger_not_account_is_cash'                    => 'Neither account is a cash account',


    // actions
    'rule_action_delete_transaction_choice'               => 'DELETE transaction(!)',
    'rule_action_delete_transaction'                      => 'DELETE transaction(!)',
    'rule_action_set_category'                            => '設定分類為 ":action_value"',
    'rule_action_clear_category'                          => '清空分類',
    'rule_action_set_budget'                              => '設定預算為 ":action_value"',
    'rule_action_clear_budget'                            => '清空預算',
    'rule_action_add_tag'                                 => '新增標籤 ":action_value"',
    'rule_action_remove_tag'                              => '移除標籤 ":action_value"',
    'rule_action_remove_all_tags'                         => '移除所有標籤',
    'rule_action_set_description'                         => '設定描述為 ":action_value"',
    'rule_action_append_description'                      => '描述後加上 ":action_value"',
    'rule_action_prepend_description'                     => '描述前加上 ":action_value"',
    'rule_action_set_category_choice'                     => 'Set category to ..',
    'rule_action_clear_category_choice'                   => '清空任何分類',
    'rule_action_set_budget_choice'                       => 'Set budget to ..',
    'rule_action_clear_budget_choice'                     => '清空任何預算',
    'rule_action_add_tag_choice'                          => 'Add tag ..',
    'rule_action_remove_tag_choice'                       => 'Remove tag ..',
    'rule_action_remove_all_tags_choice'                  => '移除所有標籤',
    'rule_action_set_description_choice'                  => 'Set description to ..',
    'rule_action_update_piggy_choice'                     => 'Add / remove transaction amount in piggy bank ..',
    'rule_action_update_piggy'                            => 'Add / remove transaction amount in piggy bank ":action_value"',
    'rule_action_append_description_choice'               => 'Append description with ..',
    'rule_action_prepend_description_choice'              => 'Prepend description with ..',
    'rule_action_set_source_account_choice'               => 'Set source account to ..',
    'rule_action_set_source_account'                      => '將來源帳戶設為 :action_value',
    'rule_action_set_destination_account_choice'          => 'Set destination account to ..',
    'rule_action_set_destination_account'                 => '將目標帳戶設為 :action_value',
    'rule_action_append_notes_choice'                     => 'Append notes with ..',
    'rule_action_append_notes'                            => '註釋後加上 ":action_value"',
    'rule_action_prepend_notes_choice'                    => 'Prepend notes with ..',
    'rule_action_prepend_notes'                           => '註釋前加上 ":action_value"',
    'rule_action_clear_notes_choice'                      => '移除任何註釋',
    'rule_action_clear_notes'                             => '移除任何註釋',
    'rule_action_set_notes_choice'                        => 'Set notes to ..',
    'rule_action_link_to_bill_choice'                     => 'Link to a bill ..',
    'rule_action_link_to_bill'                            => '連結至帳單 ":action_value"',
    'rule_action_set_notes'                               => '設定註釋至 ":action_value"',
    'rule_action_convert_deposit_choice'                  => '轉換交易為存款',
    'rule_action_convert_deposit'                         => '轉換交易至來自 ":action_value" 的存款',
    'rule_action_convert_withdrawal_choice'               => '轉換交易至提款',
    'rule_action_convert_withdrawal'                      => '轉換交易至 ":action_value" 的存款',
    'rule_action_convert_transfer_choice'                 => '轉換交易至轉帳',
    'rule_action_convert_transfer'                        => '轉換交易至與 ":action_value" 的轉帳',
    'rule_action_append_descr_to_notes_choice'            => 'Append the description to the transaction notes',
    'rule_action_append_notes_to_descr_choice'            => 'Append the transaction notes to the description',
    'rule_action_move_descr_to_notes_choice'              => 'Replace the current transaction notes with the description',
    'rule_action_move_notes_to_descr_choice'              => 'Replace the current description with the transaction notes',
    'rule_action_append_descr_to_notes'                   => 'Append description to notes',
    'rule_action_append_notes_to_descr'                   => 'Append notes to description',
    'rule_action_move_descr_to_notes'                     => 'Replace notes with description',
    'rule_action_move_notes_to_descr'                     => 'Replace description with notes',
    'rulegroup_for_bills_title'                           => '供帳單的規則群組',
    'rulegroup_for_bills_description'                     => 'A special rule group for all the rules that involve bills.',
    'rule_for_bill_title'                                 => 'Auto-generated rule for bill ":name"',
    'rule_for_bill_description'                           => 'This rule is auto-generated to try to match bill ":name".',
    'create_rule_for_bill'                                => '為帳單 ":name" 建立新規則',
    'create_rule_for_bill_txt'                            => 'You have just created a new bill called ":name", congratulations!Firefly III can automagically match new withdrawals to this bill. For example, whenever you pay your rent, the bill "rent" will be linked to the expense. This way, Firefly III can accurately show you which bills are due and which ones aren\'t. In order to do so, a new rule must be created. Firefly III has filled in some sensible defaults for you. Please make sure these are correct. If these values are correct, Firefly III will automatically link the correct withdrawal to the correct bill. Please check out the triggers to see if they are correct, and add some if they\'re wrong.',
    'new_rule_for_bill_title'                             => '供帳單 ":name" 的規則',
    'new_rule_for_bill_description'                       => '此規則標記給帳單 ":name" 的交易。',

    'new_rule_for_journal_title'                => 'Rule based on transaction ":description"',
    'new_rule_for_journal_description'          => 'This rule is based on transaction ":description". It will match transactions that are exactly the same.',

    // tags
    'store_new_tag'                             => '儲存新標籤',
    'update_tag'                                => '更新標籤',
    'no_location_set'                           => '沒有設定位置。',
    'meta_data'                                 => '中繼資料',
    'location'                                  => '位置',
    'without_date'                              => '不含日期',
    'result'                                    => '結果',
    'sums_apply_to_range'                       => '所有總和均套用至所選範圍',
    'mapbox_api_key'                            => '若要使用地圖，請自 <a href="https://www.mapbox.com/">Mapbox</a> 獲得一組 API 金鑰。開啟您的 <code>.env</code> 檔案並於 <code>MAPBOX_API_KEY=</code> 句後輸入金鑰代碼。',
    'press_object_location'                     => 'Right click or long press to set the object\'s location.',
    'clear_location'                            => '清除位置',
    'delete_all_selected_tags'                  => 'Delete all selected tags',
    'select_tags_to_delete'                     => 'Don\'t forget to select some tags.',
    'deleted_x_tags'                            => 'Deleted :count tag.|Deleted :count tags.',
    'create_rule_from_transaction'              => 'Create rule based on transaction',
    'create_recurring_from_transaction'         => 'Create recurring transaction based on transaction',


    // preferences
    'equal_to_language'                         => '(equal to language)',
    'pref_home_screen_accounts'                 => '主畫面帳戶',
    'pref_home_screen_accounts_help'            => '哪些帳戶應該顯示在主頁面上？',
    'pref_view_range'                           => '檢視範圍',
    'pref_view_range_help'                      => '部分圖表在此區間為自動群組化，您的預算亦將在此區間群組化，您傾向的區間為何？',
    'pref_1D'                                   => '1 天',
    'pref_1W'                                   => '1 週',
    'pref_1M'                                   => '1 個月',
    'pref_3M'                                   => '3個月 (季)',
    'pref_6M'                                   => '6個月',
    'pref_1Y'                                   => '1年',
    'pref_last365'                              => 'Last year',
    'pref_last90'                               => 'Last 90 days',
    'pref_last30'                               => 'Last 30 days',
    'pref_last7'                                => 'Last 7 days',
    'pref_YTD'                                  => 'Year to date',
    'pref_QTD'                                  => 'Quarter to date',
    'pref_MTD'                                  => 'Month to date',
    'pref_languages'                            => '語言',
    'pref_locale'                               => 'Locale settings',
    'pref_languages_help'                       => 'Firefly III 支援多種語言，您想顯示哪一種？',
    'pref_locale_help'                          => 'Firefly III allows you to set other local settings, like how currencies, numbers and dates are formatted. Entries in this list may not be supported by your system. Firefly III doesn\'t have the correct date settings for every locale; contact me for improvements.',
    'pref_locale_no_demo'                       => 'This feature won\'t work for the demo user.',
    'pref_custom_fiscal_year'                   => '財政年度設定',
    'pref_custom_fiscal_year_label'             => '已啟用',
    'pref_custom_fiscal_year_help'              => '有些國家/地區採用的會計年度有別於每年 1 月 1 日至 12 月 31 日，您可開啟此功能並指定財政年度的起迄日。',
    'pref_fiscal_year_start_label'              => '財政年度開始日期',
    'pref_two_factor_auth'                      => '兩步驟驗證',
    'pref_two_factor_auth_help'                 => '啟用兩步驟驗證 (亦稱為雙重驗證) 可為您的帳號增添一重安全保障，登入時需憑您腦海的記憶 (密碼) 加上一個手持的憑證 (認證碼)，認證碼由手機應用程式產生，例如 Authy 或 Google Authenticator。',
    'pref_enable_two_factor_auth'               => '啟用兩步驟驗證',
    'pref_two_factor_auth_disabled'             => '兩步驟驗證碼已移除並停用',
    'pref_two_factor_auth_remove_it'            => '別忘記在您的驗證應用程式上刪除此帳號！',
    'pref_two_factor_auth_code'                 => '驗證碼',
    'pref_two_factor_auth_code_help'            => '使用您手機上的應用程式 (如 Authy 或 Google Authenticator) 掃描 QR 碼並輸入自動產生之代碼。',
    'pref_two_factor_auth_reset_code'           => '重設認證碼',
    'pref_two_factor_auth_disable_2fa'          => '停用兩步驟驗證',
    '2fa_use_secret_instead'                    => 'If you cannot scan the QR code, feel free to use the secret instead: <code>:secret</code>.',
    '2fa_backup_codes'                          => 'Store these backup codes for access in case you lose your device.',
    '2fa_already_enabled'                       => '2-step verification is already enabled.',
    'wrong_mfa_code'                            => 'This MFA code is not valid.',
    'pref_save_settings'                        => '儲存設定',
    'saved_preferences'                         => '偏好設定已儲存！',
    'preferences_general'                       => '一般',
    'preferences_frontpage'                     => '主畫面',
    'preferences_security'                      => '安全性',
    'preferences_layout'                        => '版面配置',
    'preferences_notifications'                 => 'Notifications',
    'pref_home_show_deposits'                   => '在主畫面顯示存款',
    'pref_home_show_deposits_info'              => '主畫面已顯示您的支出帳戶，是否亦顯示您的收入帳戶？',
    'pref_home_do_show_deposits'                => '是，要顯示',
    'successful_count'                          => ':count 項成功',
    'list_page_size_title'                      => '頁面大小',
    'list_page_size_help'                       => '任何物品 (帳戶、交易…等) 清單在每頁至多顯示此數量',
    'list_page_size_label'                      => '頁面大小',
    'between_dates'                             => '(:start 與 :end)',
    'pref_optional_fields_transaction'          => '交易的選填欄位',
    'pref_optional_fields_transaction_help'     => '建立新交易時，預設不會啟用全部欄位 (以免版面空間不敷應用)。您可在下方啟用您覺得有用的欄位。當然，若欄位本身停用卻已填入資料，則不論設定如何均會顯示。',
    'optional_tj_date_fields'                   => '日期欄位',
    'optional_tj_other_fields'                  => 'Other fields',
    'optional_tj_attachment_fields'             => '附加檔案欄位',
    'pref_optional_tj_interest_date'            => '利率日期',
    'pref_optional_tj_book_date'                => '登記日期',
    'pref_optional_tj_process_date'             => '處理日期',
    'pref_optional_tj_due_date'                 => '截止日期',
    'pref_optional_tj_payment_date'             => '付款日期',
    'pref_optional_tj_invoice_date'             => '發票日期',
    'pref_optional_tj_internal_reference'       => '內部參照',
    'pref_optional_tj_notes'                    => '備註',
    'pref_optional_tj_attachments'              => '附加檔案',
    'pref_optional_tj_external_url'             => 'External URL',
    'pref_optional_tj_location'                 => 'Location',
    'pref_optional_tj_links'                    => 'Transaction links',
    'optional_field_meta_dates'                 => '日期',
    'optional_field_meta_business'              => '商務',
    'optional_field_attachments'                => '附加檔案',
    'optional_field_meta_data'                  => '可選中繼資料',
    'external_url'                              => 'External URL',
    'pref_notification_bill_reminder'           => 'Reminder about expiring bills',
    'pref_notification_new_access_token'        => 'Alert when a new API access token is created',
    'pref_notification_transaction_creation'    => 'Alert when a transaction is created automatically',
    'pref_notification_user_login'              => 'Alert when you login from a new location',
    'pref_notifications'                        => 'Notifications',
    'pref_notifications_help'                   => 'Indicate if these are notifications you would like to get. Some notifications may contain sensitive financial information.',
    'slack_webhook_url'                         => 'Slack Webhook URL',
    'slack_webhook_url_help'                    => 'If you want Firefly III to notify you using Slack, enter the webhook URL here. Otherwise leave the field blank. If you are an admin, you need to set this URL in the administration as well.',
    'slack_url_label'                           => 'Slack "incoming webhook" URL',

    // profile:
    'purge_data_title'                          => 'Purge data from Firefly III',
    'purge_data_expl'                           => '"Purging" means "deleting that which is already deleted". In normal circumstances, Firefly III deletes nothing permanently. It just hides it. The button below deletes all of these previously "deleted" records FOREVER.',
    'delete_stuff_header'                       => 'Delete and purge data',
    'purge_all_data'                            => 'Purge all deleted records',
    'purge_data'                                => 'Purge data',
    'purged_all_records'                        => 'All deleted records have been purged.',
    'delete_data_title'                         => 'Delete data from Firefly III',
    'permanent_delete_stuff'                    => 'You can delete stuff from Firefly III. Using the buttons below means that your items will be removed from view and hidden. There is no undo-button for this, but the items may remain in the database where you can salvage them if necessary.',
    'other_sessions_logged_out'                 => 'All your other sessions have been logged out.',
    'delete_unused_accounts'                    => 'Deleting unused accounts will clean your auto-complete lists.',
    'delete_all_unused_accounts'                => 'Delete unused accounts',
    'deleted_all_unused_accounts'               => 'All unused accounts are deleted',
    'delete_all_budgets'                        => 'Delete ALL your budgets',
    'delete_all_categories'                     => 'Delete ALL your categories',
    'delete_all_tags'                           => 'Delete ALL your tags',
    'delete_all_bills'                          => 'Delete ALL your bills',
    'delete_all_piggy_banks'                    => 'Delete ALL your piggy banks',
    'delete_all_rules'                          => 'Delete ALL your rules',
    'delete_all_recurring'                      => 'Delete ALL your recurring transactions',
    'delete_all_object_groups'                  => 'Delete ALL your object groups',
    'delete_all_accounts'                       => 'Delete ALL your accounts',
    'delete_all_asset_accounts'                 => 'Delete ALL your asset accounts',
    'delete_all_expense_accounts'               => 'Delete ALL your expense accounts',
    'delete_all_revenue_accounts'               => 'Delete ALL your revenue accounts',
    'delete_all_liabilities'                    => 'Delete ALL your liabilities',
    'delete_all_transactions'                   => 'Delete ALL your transactions',
    'delete_all_withdrawals'                    => 'Delete ALL your withdrawals',
    'delete_all_deposits'                       => 'Delete ALL your deposits',
    'delete_all_transfers'                      => 'Delete ALL your transfers',
    'also_delete_transactions'                  => 'Deleting accounts will also delete ALL associated withdrawals, deposits and transfers!',
    'deleted_all_budgets'                       => 'All budgets have been deleted',
    'deleted_all_categories'                    => 'All categories have been deleted',
    'deleted_all_tags'                          => 'All tags have been deleted',
    'deleted_all_bills'                         => 'All bills have been deleted',
    'deleted_all_piggy_banks'                   => 'All piggy banks have been deleted',
    'deleted_all_rules'                         => 'All rules and rule groups have been deleted',
    'deleted_all_object_groups'                 => 'All groups have been deleted',
    'deleted_all_accounts'                      => 'All accounts have been deleted',
    'deleted_all_asset_accounts'                => 'All asset accounts have been deleted',
    'deleted_all_expense_accounts'              => 'All expense accounts have been deleted',
    'deleted_all_revenue_accounts'              => 'All revenue accounts have been deleted',
    'deleted_all_liabilities'                   => 'All liabilities have been deleted',
    'deleted_all_transactions'                  => 'All transactions have been deleted',
    'deleted_all_withdrawals'                   => 'All withdrawals have been deleted',
    'deleted_all_deposits'                      => 'All deposits have been deleted',
    'deleted_all_transfers'                     => 'All transfers have been deleted',
    'deleted_all_recurring'                     => 'All recurring transactions have been deleted',
    'change_your_password'                      => '更改您的密碼',
    'delete_account'                            => '移除帳號',
    'current_password'                          => '目前密碼',
    'new_password'                              => '新密碼',
    'new_password_again'                        => '新密碼 (再輸入一次)',
    'delete_your_account'                       => '刪除您的帳號',
    'delete_your_account_help'                  => '刪除您的帳號，將一併刪除任何帳戶、交易，<em>一切</em> 您可能儲存在 Firefly III 上的資料，都將<strong>一去不復返</strong>。',
    'delete_your_account_password'              => '輸入您的密碼以繼續。',
    'password'                                  => '密碼',
    'are_you_sure'                              => '您確定嗎？您無法還原此操作。',
    'delete_account_button'                     => '*刪除* 您的帳號',
    'invalid_current_password'                  => '無效的目前密碼！',
    'password_changed'                          => '已變更密碼！',
    'should_change'                             => '建議您變更密碼。',
    'invalid_password'                          => '無效密碼！',
    'what_is_pw_security'                       => '何謂 "驗證密碼安全"？',
    'secure_pw_title'                           => '如何選擇安全的密碼',
    'forgot_password_response'                  => 'Thank you. If an account exists with this email address, you will find instructions in your inbox.',
    'secure_pw_history'                         => '翻閱新聞，屢屢可見有網站遺失使用者密碼，駭客與竊賊利用這些密碼企圖竊取個人資料，這些資訊是有價的。',
    'secure_pw_ff'                              => '您在網路上都用同一個密碼走天涯嗎？如果一個網站遺失您的密碼，駭客就可存取您所有的資料。Firefly III 倚賴您選擇一個強而獨特的密碼以保護您的財務紀錄。',
    'secure_pw_check_box'                       => '為此，Firefly III 可協助您檢查選用的密碼過去是否曾被竊取。若然如此，Firefly III 建議您<strong>避免</strong>使用此密碼。',
    'secure_pw_working_title'                   => '這是如何運作？',
    'secure_pw_working'                         => '若您勾選此方塊，Firefly III 將以您的密碼產生一個 SHA1 湊合，並將首 5 個字元傳送到 <a href="https://www.troyhunt.com/introducing-306-million-freely-downloadable-pwned-passwords/">Troy Hunt 的網站</a> 比對一個清單，避免您使用一些已知不安全的密碼，遵從最近 <a href="https://pages.nist.gov/800-63-3/sp800-63b.html">NIST Special Publication</a> 有關此課題的建議。',
    'secure_pw_should'                          => '我該勾選此方塊嗎？',
    'secure_pw_long_password'                   => '是，好以驗證您的密碼是安全的。',
    'command_line_token'                        => '指令列權杖',
    'explain_command_line_token'                => 'You need this token to perform command line options, such as exporting data. Without it, that sensitive command will not work. Do not share your command line token. Nobody will ask you for this token, not even me. If you fear you lost this, or when you\'re paranoid, regenerate this token using the button.',
    'regenerate_command_line_token'             => '重新產生指令列權杖',
    'token_regenerated'                         => '產生了新的指令列權杖',
    'change_your_email'                         => '更改您的電子郵件地址',
    'email_verification'                        => 'An email message will be sent to your old AND new email address. For security purposes, you will not be able to login until you verify your new email address. If you are unsure if your Firefly III installation is capable of sending email, please do not use this feature. If you are an administrator, you can test this in the <a href="admin">Administration</a>.',
    'email_changed_logout'                      => '在驗證您的電子郵件地址之前，您將無法登入。',
    'login_with_new_email'                      => '現在，您可以使用新的電子郵件地址登入。',
    'login_with_old_email'                      => '現在，您可以再次使用舊的電子郵件地址登入。',
    'login_provider_local_only'                 => '當藉由 ":login_provider" 驗證時，此動作不可用。',
    'external_user_mgt_disabled'                => 'This action is not available when Firefly III isn\'t responsible for user management or authentication handling.',
    'external_auth_disabled'                    => 'This action is not available when Firefly III isn\'t responsible for authentication handling.',
    'delete_local_info_only'                    => "Because Firefly III isn't responsible for user management or authentication handling, this function will only delete local Firefly III information.",
    'oauth'                                     => 'OAuth',
    'profile_oauth_clients'                     => 'OAuth Clients',
    'profile_oauth_no_clients'                  => 'You have not created any OAuth clients.',
    'profile_oauth_clients_header'              => 'Clients',
    'profile_oauth_client_id'                   => 'Client ID',
    'profile_oauth_client_name'                 => 'Name',
    'profile_oauth_client_secret'               => 'Secret',
    'profile_oauth_create_new_client'           => 'Create New Client',
    'profile_oauth_create_client'               => 'Create Client',
    'profile_oauth_edit_client'                 => 'Edit Client',
    'profile_oauth_name_help'                   => 'Something your users will recognize and trust.',
    'profile_oauth_redirect_url'                => 'Redirect URL',
    'profile_oauth_redirect_url_help'           => 'Your application\'s authorization callback URL.',
    'profile_authorized_apps'                   => 'Authorized applications',
    'profile_authorized_clients'                => 'Authorized clients',
    'profile_scopes'                            => 'Scopes',
    'profile_revoke'                            => 'Revoke',
    'profile_oauth_client_secret_title'         => 'Client Secret',
    'profile_oauth_client_secret_expl'          => 'Here is your new client secret. This is the only time it will be shown so don\'t lose it! You may now use this secret to make API requests.',
    'profile_personal_access_tokens'            => 'Personal Access Tokens',
    'profile_personal_access_token'             => 'Personal Access Token',
    'profile_oauth_confidential'                => 'Confidential',
    'profile_oauth_confidential_help'           => 'Require the client to authenticate with a secret. Confidential clients can hold credentials in a secure way without exposing them to unauthorized parties. Public applications, such as native desktop or JavaScript SPA applications, are unable to hold secrets securely.',
    'profile_personal_access_token_explanation' => 'Here is your new personal access token. This is the only time it will be shown so don\'t lose it! You may now use this token to make API requests.',
    'profile_no_personal_access_token'          => 'You have not created any personal access tokens.',
    'profile_create_new_token'                  => 'Create new token',
    'profile_create_token'                      => 'Create token',
    'profile_create'                            => 'Create',
    'profile_save_changes'                      => 'Save changes',
    'profile_whoops'                            => 'Whoops!',
    'profile_something_wrong'                   => 'Something went wrong!',
    'profile_try_again'                         => 'Something went wrong. Please try again.',
    'amounts'                                   => 'Amounts',
    'multi_account_warning_unknown'             => 'Depending on the type of transaction you create, the source and/or destination account of subsequent splits may be overruled by whatever is defined in the first split of the transaction.',
    'multi_account_warning_withdrawal'          => 'Keep in mind that the source account of subsequent splits will be overruled by whatever is defined in the first split of the withdrawal.',
    'multi_account_warning_deposit'             => 'Keep in mind that the destination account of subsequent splits will be overruled by whatever is defined in the first split of the deposit.',
    'multi_account_warning_transfer'            => 'Keep in mind that the source + destination account of subsequent splits will be overruled by whatever is defined in the first split of the transfer.',

    // export data:
    'export_data_title'                         => 'Export data from Firefly III',
    'export_data_menu'                          => 'Export data',
    'export_data_bc'                            => 'Export data from Firefly III',
    'export_data_main_title'                    => 'Export data from Firefly III',
    'export_data_expl'                          => 'This link allows you to export all transactions + meta data from Firefly III. Please refer to the help (top right (?)-icon) for more information about the process.',
    'export_data_all_transactions'              => 'Export all transactions',
    'export_data_advanced_expl'                 => 'If you need a more advanced or specific type of export, read the help on how to use the console command <code>php artisan help firefly-iii:export-data</code>.',

    // attachments
    'nr_of_attachments'                         => '̇1 個附加檔案|:count 個附加檔案',
    'attachments'                               => '附加檔案',
    'edit_attachment'                           => '編輯附加檔案 ":name"',
    'update_attachment'                         => '更新附加檔案',
    'delete_attachment'                         => '刪除附加檔案 ":name"',
    'attachment_deleted'                        => '已刪除附加檔案 ":name"',
    'liabilities_deleted'                       => 'Deleted liability ":name"',
    'attachment_updated'                        => '已更新附加檔案 ":name',
    'upload_max_file_size'                      => '最大檔案大小: :size',
    'list_all_attachments'                      => '全部附加檔案清單',

    // transaction index
    'title_expenses'                            => '支出',
    'title_withdrawal'                          => '支出',
    'title_revenue'                             => '收入',
    'title_deposit'                             => '收入',
    'title_transfer'                            => '轉帳',
    'title_transfers'                           => '轉帳',
    'submission_options'                        => 'Submission options',
    'apply_rules_checkbox'                      => 'Apply rules',
    'fire_webhooks_checkbox'                    => 'Fire webhooks',

    // convert stuff:
    'convert_is_already_type_Withdrawal'        => '此交易已是一筆提款',
    'convert_is_already_type_Deposit'           => '此交易已是一筆存款',
    'convert_is_already_type_Transfer'          => '此交易已是一筆轉帳',
    'convert_to_Withdrawal'                     => '轉換 ":description" 成一筆提款',
    'convert_to_Deposit'                        => '轉換 ":description" 成一筆存款',
    'convert_to_Transfer'                       => '轉換 ":description" 成一筆轉帳',
    'convert_options_WithdrawalDeposit'         => '將一筆提款轉為存款',
    'convert_options_WithdrawalTransfer'        => '將一筆提款轉為轉帳',
    'convert_options_DepositTransfer'           => '將一筆存款轉為轉帳',
    'convert_options_DepositWithdrawal'         => '將一筆存款轉為提款',
    'convert_options_TransferWithdrawal'        => '將一筆轉帳轉為提款',
    'convert_options_TransferDeposit'           => '將一筆轉帳轉為存款',
    'convert_Withdrawal_to_deposit'             => '將此提款轉為存款',
    'convert_Withdrawal_to_transfer'            => '將此提款轉為轉帳',
    'convert_Deposit_to_withdrawal'             => '將此存款轉為提款',
    'convert_Deposit_to_transfer'               => '將此存款轉為轉帳',
    'convert_Transfer_to_deposit'               => '將此轉帳轉為存款',
    'convert_Transfer_to_withdrawal'            => '將此轉帳轉為提款',
    'convert_please_set_revenue_source'         => '請選擇金錢來源的收入帳戶',
    'convert_please_set_asset_destination'      => '請選擇金錢要去資產帳戶',
    'convert_please_set_expense_destination'    => '請選擇金錢要去的支出帳戶',
    'convert_please_set_asset_source'           => '請選擇金錢來源的資產帳戶',
    'convert_expl_w_d'                          => 'When converting from a withdrawal to a deposit, the money will be deposited into the displayed destination account, instead of being withdrawn from it.|When converting from a withdrawal to a deposit, the money will be deposited into the displayed destination accounts, instead of being withdrawn from them.',
    'convert_expl_w_t'                          => 'When converting a withdrawal into a transfer, the money will be transferred away from the source account into other asset or liability account instead of being spent on the original expense account.|When converting a withdrawal into a transfer, the money will be transferred away from the source accounts into other asset or liability accounts instead of being spent on the original expense accounts.',
    'convert_expl_d_w'                          => 'When converting a deposit into a withdrawal, the money will be withdrawn from the displayed source account, instead of being deposited into it.|When converting a deposit into a withdrawal, the money will be withdrawn from the displayed source accounts, instead of being deposited into them.',
    'convert_expl_d_t'                          => 'When you convert a deposit into a transfer, the money will be deposited into the listed destination account from any of your asset or liability account.|When you convert a deposit into a transfer, the money will be deposited into the listed destination accounts from any of your asset or liability accounts.',
    'convert_expl_t_w'                          => 'When you convert a transfer into a withdrawal, the money will be spent on the destination account you set here, instead of being transferred away.|When you convert a transfer into a withdrawal, the money will be spent on the destination accounts you set here, instead of being transferred away.',
    'convert_expl_t_d'                          => 'When you convert a transfer into a deposit, the money will be deposited into the destination account you see here, instead of being transferred into it.|When you convert a transfer into a deposit, the money will be deposited into the destination accounts you see here, instead of being transferred into them.',
    'convert_select_sources'                    => 'To complete the conversion, please set the new source account below.|To complete the conversion, please set the new source accounts below.',
    'convert_select_destinations'               => 'To complete the conversion, please select the new destination account below.|To complete the conversion, please select the new destination accounts below.',
    'converted_to_Withdrawal'                   => '此交易已被轉換為一筆提款',
    'converted_to_Deposit'                      => '此交易已被轉換為一筆存款',
    'converted_to_Transfer'                     => '此交易已被轉換為一筆轉帳',
    'invalid_convert_selection'                 => '您選擇的帳戶已用於此交易或不存在',
    'source_or_dest_invalid'                    => '找不到正確的交易細節，無法轉換。',
    'convert_to_withdrawal'                     => '轉換成提款',
    'convert_to_deposit'                        => '轉換成存款',
    'convert_to_transfer'                       => '轉換成轉帳',

    // create new stuff:
    'create_new_withdrawal'                     => '建立新提款',
    'create_new_deposit'                        => '建立新存款',
    'create_new_transfer'                       => '建立新轉帳',
    'create_new_asset'                          => '建立新資產帳戶',
    'create_new_liabilities'                    => 'Create new liability',
    'create_new_expense'                        => '建立新支出帳戶',
    'create_new_revenue'                        => '建立新收入帳戶',
    'create_new_piggy_bank'                     => '建立新小豬撲滿',
    'create_new_bill'                           => '建立新帳單',

    // currencies:
    'create_currency'                           => '建立新貨幣',
    'store_currency'                            => '儲存新貨幣',
    'update_currency'                           => '更新貨幣',
    'new_default_currency'                      => ':name 現已為預設貨幣',
    'cannot_delete_currency'                    => '因為仍在使用中，無法刪除 :name 。',
    'cannot_delete_fallback_currency'           => ':name is the system fallback currency and can\'t be deleted.',
    'cannot_disable_currency_journals'          => 'Cannot disable :name because transactions are still using it.',
    'cannot_disable_currency_last_left'         => 'Cannot disable :name because it is the last enabled currency.',
    'cannot_disable_currency_account_meta'      => 'Cannot disable :name because it is used in asset accounts.',
    'cannot_disable_currency_bills'             => 'Cannot disable :name because it is used in bills.',
    'cannot_disable_currency_recurring'         => 'Cannot disable :name because it is used in recurring transactions.',
    'cannot_disable_currency_available_budgets' => 'Cannot disable :name because it is used in available budgets.',
    'cannot_disable_currency_budget_limits'     => 'Cannot disable :name because it is used in budget limits.',
    'cannot_disable_currency_current_default'   => 'Cannot disable :name because it is the current default currency.',
    'cannot_disable_currency_system_fallback'   => 'Cannot disable :name because it is the system default currency.',
    'disable_EUR_side_effects'                  => 'The Euro is the system\'s emergency fallback currency. Disabling it may have unintended side-effects and may void your warranty.',
    'deleted_currency'                          => ':name 貨幣已刪除',
    'created_currency'                          => ':name 貨幣已建立',
    'could_not_store_currency'                  => '無法儲存新貨幣',
    'updated_currency'                          => ':name 貨幣已更新',
    'ask_site_owner'                            => '請要求 :owner 新增、刪除或編輯貨幣。',
    'currencies_intro'                          => 'Firefly III 支援多種貨幣，您可在此設定並啟用。',
    'make_default_currency'                     => '設為預設',
    'default_currency'                          => '預設',
    'currency_is_disabled'                      => '已停用',
    'enable_currency'                           => '啟用',
    'disable_currency'                          => '停用',
    'currencies_default_disabled'               => '大多數的貨幣均預設為停用，如欲使用，請先啟用。',
    'currency_is_now_enabled'                   => '貨幣 ":name" 已被啟用',
    'currency_is_now_disabled'                  => '貨幣 ":name" 已被停用',

    // forms:
    'mandatoryFields'                           => '必要欄位',
    'optionalFields'                            => '選填欄位',
    'options'                                   => '選項',

    // budgets:
    'daily_budgets'                             => 'Daily budgets',
    'weekly_budgets'                            => 'Weekly budgets',
    'monthly_budgets'                           => 'Monthly budgets',
    'quarterly_budgets'                         => 'Quarterly budgets',
    'half_year_budgets'                         => 'Half-yearly budgets',
    'yearly_budgets'                            => 'Yearly budgets',
    'other_budgets'                             => 'Custom timed budgets',
    'budget_limit_not_in_range'                 => 'This amount applies from :start to :end:',
    'total_available_budget'                    => 'Total available budget (between :start and :end)',
    'total_available_budget_in_currency'        => 'Total available budget in :currency',
    'see_below'                                 => 'see below',
    'create_new_budget'                         => '建立新預算',
    'store_new_budget'                          => '儲存新預算',
    'stored_new_budget'                         => '已儲存新預算 ":name"',
    'available_between'                         => '自 :start 至 :end 間可用',
    'transactionsWithoutBudget'                 => '無預算支出',
    'transactions_no_budget'                    => '自 :start 至 :end 的無預算支出',
    'spent_between'                             => 'Already spent between :start and :end',
    'set_available_amount'                      => 'Set available amount',
    'update_available_amount'                   => 'Update available amount',
    'ab_basic_modal_explain'                    => 'Use this form to indicate how much you expect to be able to budget (in total, in :currency) in the indicated period.',
    'createBudget'                              => '新預算',
    'invalid_currency'                          => 'This is an invalid currency',
    'invalid_amount'                            => 'Please enter an amount',
    'set_ab'                                    => 'The available budget amount has been set',
    'updated_ab'                                => 'The available budget amount has been updated',
    'deleted_ab'                                => 'The available budget amount has been deleted',
    'deleted_bl'                                => 'The budgeted amount has been removed',
    'alt_currency_ab_create'                    => 'Set the available budget in another currency',
    'bl_create_btn'                             => 'Set budget in another currency',
    'inactiveBudgets'                           => '未使用預算',
    'without_budget_between'                    => '自 :start 至 :end 無預算的交易',
    'delete_budget'                             => '刪除預算 ":name"',
    'deleted_budget'                            => '已刪除預算 ":name"',
    'edit_budget'                               => '編輯預算 ":name"',
    'updated_budget'                            => '預算 ":name" 已更新',
    'update_amount'                             => '更新金額',
    'update_budget'                             => '更新預算',
    'update_budget_amount_range'                => '更新 (預期) 自 :start 至 :end 的可用金額',
    'set_budget_limit_title'                    => 'Set budgeted amount for budget :budget between :start and :end',
    'set_budget_limit'                          => 'Set budgeted amount',
    'budget_period_navigator'                   => '期間導覽',
    'info_on_available_amount'                  => '我有甚麼可用？',
    'available_amount_indication'               => '使用這些金額以獲得您總預算可能為何的指標',
    'suggested'                                 => '建議',
    'average_between'                           => '自 :start 至 :end 的平均',
    'transferred_in'                            => '轉帳 (轉入)',
    'transferred_away'                          => '轉帳 (轉出)',
    'auto_budget_none'                          => 'No auto-budget',
    'auto_budget_reset'                         => 'Set a fixed amount every period',
    'auto_budget_rollover'                      => 'Add an amount every period',
    'auto_budget_period_daily'                  => 'Daily',
    'auto_budget_period_weekly'                 => 'Weekly',
    'auto_budget_period_monthly'                => 'Monthly',
    'auto_budget_period_quarterly'              => 'Quarterly',
    'auto_budget_period_half_year'              => 'Every half year',
    'auto_budget_period_yearly'                 => 'Yearly',
    'auto_budget_help'                          => 'You can read more about this feature in the help. Click the top-right (?) icon.',
    'auto_budget_reset_icon'                    => 'This budget will be set periodically',
    'auto_budget_rollover_icon'                 => 'The budget amount will increase periodically',
    'remove_budgeted_amount'                    => 'Remove budgeted amount in :currency',

    // bills:
    'not_expected_period'                       => 'Not expected this period',
    'not_or_not_yet'                            => 'Not (yet)',
    'visit_bill'                                => 'Visit bill ":name" at Firefly III',
    'match_between_amounts'                     => '帳單配合自 :low 至 :high 的交易。',
    'running_again_loss'                        => 'Previously linked transactions to this bill may lose their connection, if they (no longer) match the rule(s).',
    'bill_related_rules'                        => '與此帳單相關的規則',
    'repeats'                                   => '重複',
    'bill_end_date_help'                        => 'Optional field. The bill is expected to end on this date.',
    'bill_extension_date_help'                  => 'Optional field. The bill must be extended (or cancelled) on or before this date.',
    'bill_end_index_line'                       => 'This bill ends on :date',
    'bill_extension_index_line'                 => 'This bill must be extended or cancelled on :date',
    'connected_journals'                        => '已連接交易',
    'auto_match_on'                             => '由 Firefly III 自動配對',
    'auto_match_off'                            => '不由 Firefly III 自動配對',
    'next_expected_match'                       => '下一個預期配對',
    'delete_bill'                               => '刪除帳單 ":name"',
    'deleted_bill'                              => '已刪除帳單 ":name"',
    'edit_bill'                                 => '編輯帳單 ":name"',
    'more'                                      => '更多',
    'rescan_old'                                => '再次於所有交易執行規則',
    'update_bill'                               => '更新帳單',
    'updated_bill'                              => '已更新帳單 ":name"',
    'store_new_bill'                            => '儲存新帳單',
    'stored_new_bill'                           => '已儲存新帳單 ":name"',
    'cannot_scan_inactive_bill'                 => '未啟用的帳單無法被掃描。',
    'rescanned_bill'                            => 'Rescanned everything, and linked :count transaction to the bill.|Rescanned everything, and linked :count transactions to the bill.',
    'average_bill_amount_year'                  => '平均帳單數 (:year)',
    'average_bill_amount_overall'               => '平均帳單數 (總體)',
    'bill_is_active'                            => '帳單為啟用狀態',
    'bill_expected_between'                     => '期待自 :start 至 :end',
    'bill_will_automatch'                       => '帳單將自動鏈結至相符的交易',
    'skips_over'                                => '略過',
    'bill_store_error'                          => '儲存您的新帳單時發生錯誤，請檢查日誌檔',
    'list_inactive_rule'                        => '未啟用的規則',
    'bill_edit_rules'                           => 'Firefly III will attempt to edit the rule related to this bill as well. If you\'ve edited this rule yourself however, Firefly III won\'t change anything.|Firefly III will attempt to edit the :count rules related to this bill as well. If you\'ve edited these rules yourself however, Firefly III won\'t change anything.',
    'bill_expected_date'                        => 'Expected :date',
    'bill_expected_date_js'                     => 'Expected {date}',
    'bill_paid_on'                              => 'Paid on {date}',
    'bill_repeats_weekly'                       => 'Repeats weekly',
    'bill_repeats_monthly'                      => 'Repeats monthly',
    'bill_repeats_quarterly'                    => 'Repeats quarterly',
    'bill_repeats_half-year'                    => 'Repeats every half year',
    'bill_repeats_yearly'                       => 'Repeats yearly',
    'bill_repeats_weekly_other'                 => 'Repeats every other week',
    'bill_repeats_monthly_other'                => 'Repeats every other month',
    'bill_repeats_quarterly_other'              => 'Repeats every other quarter',
    'bill_repeats_half-year_other'              => 'Repeats yearly',
    'bill_repeats_yearly_other'                 => 'Repeats every other year',
    'bill_repeats_weekly_skip'                  => 'Repeats every {skip} weeks',
    'bill_repeats_monthly_skip'                 => 'Repeats every {skip} months',
    'bill_repeats_quarterly_skip'               => 'Repeats every {skip} quarters',
    'bill_repeats_half-year_skip'               => 'Repeats every {skip} half years',
    'bill_repeats_yearly_skip'                  => 'Repeats every {skip} years',
    'subscriptions'                             => 'Subscriptions',
    'forever'                                   => 'Forever',
    'extension_date_is'                         => 'Extension date is {date}',

    // accounts:
    'inactive_account_link'                     => 'You have :count inactive (archived) account, which you can view on this separate page.|You have :count inactive (archived) accounts, which you can view on this separate page.',
    'all_accounts_inactive'                     => 'These are your inactive accounts.',
    'active_account_link'                       => 'This link goes back to your active accounts.',
    'account_missing_transaction'               => '帳戶 #:id (":name") 無法直接檢視，惟 Firefly 找不到重新導向資訊。',
    'cc_monthly_payment_date_help'              => 'Select any year and any month, it will be ignored anyway. Only the day of the month is relevant.',
    'details_for_asset'                         => '資產帳戶 ":name" 的詳細資訊',
    'details_for_expense'                       => '支出帳戶 ":name" 的詳細資訊',
    'details_for_revenue'                       => '收入帳戶 ":name" 的詳細資訊',
    'details_for_cash'                          => '現金帳戶 ":name" 的詳細資訊',
    'store_new_asset_account'                   => '儲存新資產帳戶',
    'store_new_expense_account'                 => '儲存新支出帳戶',
    'store_new_revenue_account'                 => '儲存新收入帳戶',
    'edit_asset_account'                        => '編輯資產帳戶 ":name"',
    'edit_expense_account'                      => '編輯支出帳戶 ":name"',
    'edit_revenue_account'                      => '編輯收入帳戶 ":name"',
    'delete_asset_account'                      => '刪除資產帳戶 ":name"',
    'delete_expense_account'                    => '刪除支出帳戶 ":name"',
    'delete_revenue_account'                    => '刪除收入帳戶 ":name"',
    'delete_liabilities_account'                => '刪除債務 ":name"',
    'asset_deleted'                             => '已成功刪除資產帳戶 ":name"',
    'account_deleted'                           => 'Successfully deleted account ":name"',
    'expense_deleted'                           => '已成功刪除支出帳戶 ":name"',
    'revenue_deleted'                           => '已成功刪除收入帳戶 ":name"',
    'update_asset_account'                      => '更新資產帳戶',
    'update_undefined_account'                  => 'Update account',
    'update_liabilities_account'                => '更新債務',
    'update_expense_account'                    => '更新支出帳戶',
    'update_revenue_account'                    => '更新收入帳戶',
    'make_new_asset_account'                    => '建立新資產帳戶',
    'make_new_expense_account'                  => '建立新支出帳戶',
    'make_new_revenue_account'                  => '建立新收入帳戶',
    'make_new_liabilities_account'              => '建立新債務',
    'asset_accounts'                            => '資產帳戶',
    'undefined_accounts'                        => 'Accounts',
    'asset_accounts_inactive'                   => 'Asset accounts (inactive)',
    'expense_accounts'                          => '支出帳戶',
    'expense_accounts_inactive'                 => 'Expense accounts (inactive)',
    'revenue_accounts'                          => '收入帳戶',
    'revenue_accounts_inactive'                 => 'Revenue accounts (inactive)',
    'cash_accounts'                             => '現金帳戶',
    'Cash account'                              => '現金帳戶',
    'liabilities_accounts'                      => '債務',
    'liabilities_accounts_inactive'             => 'Liabilities (inactive)',
    'reconcile_account'                         => '核對帳戶 ":account"',
    'overview_of_reconcile_modal'               => '對帳概覽',
    'delete_reconciliation'                     => '刪除對帳',
    'update_reconciliation'                     => '更新對帳',
    'amount_cannot_be_zero'                     => '金額不能為零',
    'end_of_reconcile_period'                   => '對帳區間結束: :period',
    'start_of_reconcile_period'                 => '對帳區間開始: :period',
    'start_balance'                             => '初始餘額',
    'end_balance'                               => '結束餘額',
    'update_balance_dates_instruction'          => '與您的銀行帳單配對上述金額及日期，並按一下 "開始對帳"',
    'select_transactions_instruction'           => '選擇您銀行帳單上顯示的交易',
    'select_range_and_balance'                  => '請驗證日期範圍與餘額，然後按下 "開始對帳"',
    'date_change_instruction'                   => '如果您現在變更日期範圍，任何進度均將遺失。',
    'update_selection'                          => '更新選擇',
    'store_reconcile'                           => '儲存對帳',
    'reconciliation_transaction'                => '對帳交易',
    'Reconciliation'                            => '對帳',
    'reconciliation'                            => '對帳',
    'reconcile_options'                         => '對帳選項',
    'reconcile_range'                           => '對帳範圍',
    'start_reconcile'                           => '開始對帳',
    'cash_account_type'                         => 'Cash',
    'cash'                                      => '現金',
    'cant_find_redirect_account'                => 'Firefly III tried to redirect you but couldn\'t. Sorry about that. Back to the index.',
    'account_type'                              => '帳戶類型',
    'save_transactions_by_moving'               => 'Save this transaction by moving it to another account:|Save these transactions by moving them to another account:',
    'save_transactions_by_moving_js'            => 'No transactions|Save this transaction by moving it to another account. |Save these transactions by moving them to another account.',
    'stored_new_account'                        => '新帳戶 ":name" 已儲存！',
    'stored_new_account_js'                     => 'New account "<a href="accounts/show/{ID}">{name}</a>" stored!',
    'updated_account'                           => '帳戶 ":name" 已更新',
    'updated_account_js'                        => 'Updated account "<a href="accounts/show/{ID}">{title}</a>".',
    'credit_card_options'                       => '信用卡選項',
    'no_transactions_account'                   => '資產帳戶 ":name" 沒有交易 (在此區間)。',
    'no_transactions_period'                    => '沒有交易記錄 (在此期間)。',
    'no_data_for_chart'                         => '目前 (尚) 沒有足夠資訊以產生此圖表。',
    'select_at_least_one_account'               => '選擇至少一個資產帳戶',
    'select_at_least_one_category'              => '選擇至少一個分類',
    'select_at_least_one_budget'                => '選擇至少一個預算',
    'select_at_least_one_tag'                   => '選擇至少一個標籤',
    'select_at_least_one_expense'               => '選擇至少一個支出/收入帳戶組合，若無 (清單為空) 則此報表不可用。',
    'account_default_currency'                  => '此將為與此帳戶關連的預設貨幣。',
    'reconcile_has_more'                        => '您的 Firefly III 帳目比您的銀行有更多的金錢，有多個選項可應處，請選擇並按下 "確認對帳"。',
    'reconcile_has_less'                        => '您的 Firefly III 帳目比您的銀行有更少的金錢，有多個選項可應處，請選擇並按下 "確認對帳"。',
    'reconcile_is_equal'                        => '您的 Firefly III 帳目和您的銀行相符，無須處理，請按下 "確認對帳" 確認匯入。',
    'create_pos_reconcile_transaction'          => '清除選擇交易，並建立校正，新增 :amount 至此資產帳戶。',
    'create_neg_reconcile_transaction'          => '清除選擇交易，並建立校正，自此資產帳戶移除 :amount。',
    'reconcile_do_nothing'                      => '刪除選擇交易，但不校正。',
    'reconcile_go_back'                         => '您可稍後再編輯或刪除校正。',
    'must_be_asset_account'                     => '您只可以對帳資產帳戶。',
    'reconciliation_stored'                     => '已儲存對帳',
    'reconciliation_error'                      => '發生錯誤，交易已標記為已對帳，惟修正未能儲存: :error。',
    'reconciliation_transaction_title'          => '對帳 (:from 至 :to)',
    'sum_of_reconciliation'                     => '對帳加總',
    'reconcile_this_account'                    => '對帳此帳戶',
    'reconcile'                                 => 'Reconcile',
    'show'                                      => 'Show',
    'confirm_reconciliation'                    => '確認對帳',
    'submitted_start_balance'                   => '初始餘額已送出',
    'selected_transactions'                     => '已選擇交易 (:count)',
    'already_cleared_transactions'              => '以清空交易 (:count)',
    'submitted_end_balance'                     => '已送出結束餘額',
    'initial_balance_description'               => '“:account” 的初始餘額',
    'liability_credit_description'              => 'Liability credit for ":account"',
    'interest_calc_'                            => '未知',
    'interest_calc_daily'                       => '每日',
    'interest_calc_monthly'                     => '每月',
    'interest_calc_yearly'                      => '每年',
    'interest_calc_weekly'                      => 'Per week',
    'interest_calc_half-year'                   => 'Per half year',
    'interest_calc_quarterly'                   => 'Per quarter',
    'initial_balance_account'                   => ':account 初始餘額帳戶',
    'list_options'                              => 'List options',

    // categories:
    'new_category'                              => '新分類',
    'create_new_category'                       => '建立新分類',
    'without_category'                          => '沒有分類',
    'update_category'                           => '更新分類',
    'updated_category'                          => '已更新分類 “:name”',
    'categories'                                => '分類',
    'edit_category'                             => '編輯分類 “:name”',
    'no_category'                               => '(沒有分類)',
    'category'                                  => '分類',
    'delete_category'                           => '刪除分類 “:name”',
    'deleted_category'                          => '已刪除分類 “:name”',
    'store_category'                            => '儲存新分類',
    'stored_category'                           => '已儲存新分類 “:name”',
    'without_category_between'                  => '自 :start 至 :end 之間沒有分類',

    // transactions:
    'update_withdrawal'                         => '更新提款',
    'update_deposit'                            => '更新存款',
    'update_transaction'                        => 'Update transaction',
    'update_transfer'                           => '更新轉帳',
    'updated_withdrawal'                        => '已更新提款 “:description“',
    'updated_deposit'                           => '已更新存款 ”:description“',
    'updated_transfer'                          => '已更新轉帳 “:description”',
    'no_changes_withdrawal'                     => 'Withdrawal ":description" was not changed.',
    'no_changes_deposit'                        => 'Deposit ":description" was not changed.',
    'no_changes_transfer'                       => 'Transfer ":description" was not changed.',
    'delete_withdrawal'                         => '刪除提款 “:description”',
    'delete_deposit'                            => '刪除存款 “:description”',
    'delete_transfer'                           => '刪除轉帳 “:description”',
    'deleted_withdrawal'                        => '已成功刪除提款 “:description”',
    'deleted_deposit'                           => '已成功刪除存款 “:description”',
    'deleted_transfer'                          => '已成功刪除轉帳 “:description”',
    'deleted_reconciliation'                    => 'Successfully deleted reconciliation transaction ":description"',
    'stored_journal'                            => '已成功建立新交易 “:description”',
    'stored_journal_no_descr'                   => '已成功建立新交易',
    'updated_journal_no_descr'                  => '已成功更新您的交易',
    'select_transactions'                       => '選擇交易',
    'rule_group_select_transactions'            => '套用 ”:title“ 至交易',
    'rule_select_transactions'                  => '套用 ”:title“ 至交易',
    'stop_selection'                            => '停止選取交易',
    'reconcile_selected'                        => '對帳',
    'mass_delete_journals'                      => '刪除數個交易',
    'mass_edit_journals'                        => '編輯數個交易',
    'mass_bulk_journals'                        => '批次編輯數個交易',
    'mass_bulk_journals_explain'                => 'This form allows you to change properties of the transactions listed below in one sweeping update. All the transactions in the table will be updated when you change the parameters you see here.',
    'part_of_split'                             => 'This transaction is part of a split transaction. If you have not selected all the splits, you may end up with changing only half the transaction.',
    'bulk_set_new_values'                       => '在下方的輸入欄位設定新值。若您留空，則全部皆會為空白值。此外，請注意僅有提款會被賦予預算。',
    'no_bulk_category'                          => '不更新分類',
    'no_bulk_budget'                            => '不更新預算',
    'no_bulk_tags'                              => '不更新標籤',
    'replace_with_these_tags'                   => 'Replace with these tags',
    'append_these_tags'                         => 'Add these tags',
    'mass_edit'                                 => 'Edit selected individually',
    'bulk_edit'                                 => 'Edit selected in bulk',
    'mass_delete'                               => 'Delete selected',
    'cannot_edit_other_fields'                  => '受版面空間所限，您僅能大量編輯此處顯示的欄位。若您需要編輯其他欄位，請按一下連結並逐一編輯。',
    'cannot_change_amount_reconciled'           => 'You can\'t change the amount of reconciled transactions.',
    'no_budget'                                 => '(無預算)',
    'no_bill'                                   => '(no bill)',
    'account_per_budget'                        => 'Account per budget',
    'account_per_category'                      => 'Account per category',
    'create_new_object'                         => 'Create',
    'empty'                                     => '(empty)',
    'all_other_budgets'                         => '(all other budgets)',
    'all_other_accounts'                        => '(all other accounts)',
    'expense_per_source_account'                => 'Expenses per source account',
    'expense_per_destination_account'           => 'Expenses per destination account',
    'income_per_destination_account'            => 'Income per destination account',
    'spent_in_specific_category'                => 'Spent in category ":category"',
    'earned_in_specific_category'               => 'Earned in category ":category"',
    'spent_in_specific_tag'                     => 'Spent in tag ":tag"',
    'earned_in_specific_tag'                    => 'Earned in tag ":tag"',
    'income_per_source_account'                 => 'Income per source account',
    'average_spending_per_destination'          => 'Average expense per destination account',
    'average_spending_per_source'               => 'Average expense per source account',
    'average_earning_per_source'                => 'Average earning per source account',
    'average_earning_per_destination'           => 'Average earning per destination account',
    'account_per_tag'                           => 'Account per tag',
    'tag_report_expenses_listed_once'           => 'Expenses and income are never listed twice. If a transaction has multiple tags, it may only show up under one of its tags. This list may appear to be missing data, but the amounts will be correct.',
    'double_report_expenses_charted_once'       => 'Expenses and income are never displayed twice. If a transaction has multiple tags, it may only show up under one of its tags. This chart may appear to be missing data, but the amounts will be correct.',
    'tag_report_chart_single_tag'               => 'This chart applies to a single tag. If a transaction has multiple tags, what you see here may be reflected in the charts of other tags as well.',
    'tag'                                       => 'Tag',
    'no_budget_squared'                         => '(無預算)',
    'perm-delete-many'                          => 'Deleting many items in one go can be very disruptive. Please be cautious. You can delete part of a split transaction from this page, so take care.',
    'mass_deleted_transactions_success'         => 'Deleted :count transaction.|Deleted :count transactions.',
    'mass_edited_transactions_success'          => 'Updated :count transaction.|Updated :count transactions.',
    'opt_group_'                                => '(沒有帳戶類型)',
    'opt_group_no_account_type'                 => '(沒有帳戶類型)',
    'opt_group_defaultAsset'                    => '預設資產帳戶',
    'opt_group_savingAsset'                     => '儲蓄帳戶',
    'opt_group_sharedAsset'                     => '共用資產帳戶',
    'opt_group_ccAsset'                         => '信用卡',
    'opt_group_cashWalletAsset'                 => '現金皮夾',
    'opt_group_expense_account'                 => 'Expense accounts',
    'opt_group_revenue_account'                 => 'Revenue accounts',
    'opt_group_l_Loan'                          => '債務: 貸款',
    'opt_group_cash_account'                    => 'Cash account',
    'opt_group_l_Debt'                          => '債務: 欠款',
    'opt_group_l_Mortgage'                      => '債務: 抵押',
    'opt_group_l_Credit card'                   => '債務: 信用卡',
    'notes'                                     => '備註',
    'unknown_journal_error'                     => '無法儲存交易，請檢視日誌檔。',
    'attachment_not_found'                      => '此附加檔案無法被找到。',
    'journal_link_bill'                         => '此交易已與帳單 <a href=":route">:name</a> 鏈結。如要移除鏈結，取消核選方塊，使用規則將它與其他帳單鏈結。',
    'transaction_stored_link'                   => '<a href="transactions/show/{ID}">Transaction #{ID} ("{title}")</a> has been stored.',
    'transaction_new_stored_link'               => '<a href="transactions/show/{ID}">Transaction #{ID}</a> has been stored.',
    'transaction_updated_link'                  => '<a href="transactions/show/{ID}">Transaction #{ID}</a> ("{title}") has been updated.',
    'transaction_updated_no_changes'            => '<a href="transactions/show/{ID}">Transaction #{ID}</a> ("{title}") did not receive any changes.',
    'first_split_decides'                       => 'The first split determines the value of this field',
    'first_split_overrules_source'              => 'The first split may overrule the source account',
    'first_split_overrules_destination'         => 'The first split may overrule the destination account',
    'spent_x_of_y'                              => 'Spent {amount} of {total}',

    // new user:
    'welcome'                                   => '歡迎使用 Firefly III！',
    'submit'                                    => '送出',
    'submission'                                => 'Submission',
    'submit_yes_really'                         => '送出 (我知道我在幹嘛)',
    'getting_started'                           => '開始使用',
    'to_get_started'                            => '很高興看到您成功安裝 Firefly III。要開始使用此工具，請輸入您主要使用的的銀行名稱與餘額。別擔心，如您有多個帳戶，可以稍後新增，這儘是為了 Firefly III 需要初始使用而設。',
    'savings_balance_text'                      => 'Firefly III 會自動為您建立儲蓄帳戶。預設下，儲蓄帳戶會沒有金錢，但若您告訴 Firefly III 餘額為何，亦可以此儲存。',
    'finish_up_new_user'                        => '這就對了！您可按下 <strong>送出</strong> 繼續，您將被帶至 Firefly III 的首頁。',
    'stored_new_accounts_new_user'              => '太好了！您的帳戶已被儲存。',
    'set_preferred_language'                    => '若您傾向在 Firefly III 使用其他語言，請於此表示。',
    'language'                                  => '語系',
    'new_savings_account'                       => ':bank_name 儲蓄帳戶',
    'cash_wallet'                               => '現金皮夾',
    'currency_not_present'                      => '若您日常使用的貨幣未在表上，請別擔心，您可在 選項 > 貨幣 建立自己的貨幣',

    // home page:
    'transaction_table_description'             => 'A table containing your transactions',
    'opposing_account'                          => 'Opposing account',
    'yourAccounts'                              => '您的帳戶',
    'your_accounts'                             => '您的帳戶概覽',
    'category_overview'                         => '分類概覽',
    'expense_overview'                          => '支出帳戶概覽',
    'revenue_overview'                          => '收入帳戶概覽',
    'budgetsAndSpending'                        => '預算與花費',
    'budgets_and_spending'                      => '預算與花費',
    'go_to_budget'                              => '前往預算 “{budget}”',
    'go_to_deposits'                            => 'Go to deposits',
    'go_to_expenses'                            => 'Go to expenses',
    'savings'                                   => '儲蓄',
    'newWithdrawal'                             => '新支出',
    'newDeposit'                                => '新存款',
    'newTransfer'                               => '新轉帳',
    'bills_to_pay'                              => '待付帳單',
    'per_day'                                   => '每日',
    'left_to_spend_per_day'                     => '每日剩餘花費',
    'bills_paid'                                => '已繳帳單',
    'custom_period'                             => 'Custom period',
    'reset_to_current'                          => 'Reset to current period',
    'select_period'                             => 'Select a period',

    // menu and titles, should be recycled as often as possible:
    'currency'                                  => '貨幣',
    'preferences'                               => '偏好設定',
    'logout'                                    => '登出',
    'logout_other_sessions'                     => 'Logout all other sessions',
    'toggleNavigation'                          => '切換導覽',
    'searchPlaceholder'                         => '搜尋…',
    'version'                                   => '版本',
    'dashboard'                                 => '監控面板',
    'available_budget'                          => '可用預算 ({currency})',
    'currencies'                                => '貨幣',
    'activity'                                  => '活動',
    'usage'                                     => '使用',
    'accounts'                                  => '帳戶',
    'Asset account'                             => '資產帳戶',
    'Default account'                           => '資產帳戶',
    'Expense account'                           => '支出帳戶',
    'Revenue account'                           => '收入帳戶',
    'Initial balance account'                   => '初始餘額帳戶',
    'account_type_Debt'                         => '負債',
    'account_type_Loan'                         => '貸款',
    'account_type_Mortgage'                     => '抵押',
    'account_type_debt'                         => 'Debt',
    'account_type_loan'                         => 'Loan',
    'account_type_mortgage'                     => 'Mortgage',
    'account_type_Credit card'                  => '信用卡',
    'credit_card_type_monthlyFull'              => 'Full payment every month',
    'liability_direction_credit'                => 'I am owed this debt',
    'liability_direction_debit'                 => 'I owe this debt to somebody else',
    'liability_direction_credit_short'          => 'Owed this debt',
    'liability_direction_debit_short'           => 'Owe this debt',
    'liability_direction__short'                => 'Unknown',
    'liability_direction_null_short'            => 'Unknown',
    'Liability credit'                          => 'Liability credit',
    'budgets'                                   => '預算',
    'tags'                                      => '標籤',
    'reports'                                   => '報表',
    'transactions'                              => '交易',
    'expenses'                                  => '支出',
    'income'                                    => '收入 / 所得',
    'transfers'                                 => '轉帳',
    'moneyManagement'                           => '金錢管理',
    'money_management'                          => '金錢管理',
    'tools'                                     => '工具',
    'piggyBanks'                                => '小豬撲滿',
    'piggy_banks'                               => '小豬撲滿',
    'amount_x_of_y'                             => '{current} 分之 {total}',
    'bills'                                     => '帳單',
    'withdrawal'                                => '提款',
    'opening_balance'                           => '開戶餘額',
    'deposit'                                   => '存款',
    'account'                                   => '帳戶',
    'transfer'                                  => '轉帳',
    'Withdrawal'                                => '提款',
    'Deposit'                                   => '存款',
    'Transfer'                                  => '轉帳',
    'bill'                                      => '帳單',
    'yes'                                       => '是',
    'no'                                        => '否',
    'amount'                                    => '金額',
    'overview'                                  => '概覽',
    'saveOnAccount'                             => '存於帳戶',
    'unknown'                                   => '未知',
    'monthly'                                   => '逐月',
    'profile'                                   => '個人檔案',
    'errors'                                    => '錯誤',
    'debt_start_date'                           => '負債開始日期',
    'debt_start_amount'                         => '負債開始金額',
    'debt_start_amount_help'                    => 'It\'s always best to set this value to a negative amount. Read the help pages (top right (?)-icon) for more information.',
    'interest_period_help'                      => 'This field is purely cosmetic and won\'t be calculated for you. As it turns out banks are very sneaky so Firefly III never gets it right.',
    'store_new_liabilities_account'             => '儲存新債務',
    'edit_liabilities_account'                  => '編輯債務 “:name”',
    'financial_control'                         => 'Financial control',
    'accounting'                                => 'Accounting',
    'automation'                                => 'Automation',
    'others'                                    => 'Others',
    'classification'                            => 'Classification',
    'store_transaction'                         => 'Store transaction',

    // reports:
    'report_default'                            => '自 :start 至 :end 的預設財務報表',
    'report_audit'                              => '自 :start 至 :end 的交易歷史概覽',
    'report_category'                           => '自 :start 至 :end 的分類報表',
    'report_double'                             => 'Expense/revenue account report between :start and :end',
    'report_budget'                             => '自 :start 至 :end 的預算報表',
    'report_tag'                                => '自 :start 至 :end 的標籤報表',
    'quick_link_reports'                        => '快速連結',
    'quick_link_examples'                       => '以下為供您啟程的範例連結，查看 (?) 按鈕下的協助頁面以獲得所有報表以及可用魔術詞彙的資訊。',
    'quick_link_default_report'                 => '預設財務報表',
    'quick_link_audit_report'                   => '交易歷史概覽',
    'report_this_month_quick'                   => '目前月份之全部帳戶',
    'report_last_month_quick'                   => '上月，所有帳戶',
    'report_this_year_quick'                    => '目前年份之全部帳戶',
    'report_this_fiscal_year_quick'             => '目前財政年度之全部帳戶',
    'report_all_time_quick'                     => '所有時間之全部帳戶',
    'reports_can_bookmark'                      => '請記得可以加入報表至我的最愛',
    'incomeVsExpenses'                          => '所得 vs. 支出',
    'accountBalances'                           => '帳戶餘額',
    'balanceStart'                              => '此區間起始餘額',
    'balanceEnd'                                => '此區間結束餘額',
    'splitByAccount'                            => '以帳戶分割',
    'coveredWithTags'                           => '以標籤涵蓋',
    'leftInBudget'                              => '預算剩餘',
    'left_in_debt'                              => 'Amount due',
    'sumOfSums'                                 => '總和',
    'noCategory'                                => '(沒有分類)',
    'notCharged'                                => '(尚) 未開始',
    'inactive'                                  => '未啟用',
    'active'                                    => '啟用',
    'difference'                                => '差異',
    'money_flowing_in'                          => '在',
    'money_flowing_out'                         => '外',
    'topX'                                      => '前 :number',
    'show_full_list'                            => '顯示所有清單',
    'show_only_top'                             => '僅顯示前 :number',
    'report_type'                               => '報表類型',
    'report_type_default'                       => '預設財務報表',
    'report_type_audit'                         => '交易歷史概覽 (稽核)',
    'report_type_category'                      => '分類報表',
    'report_type_budget'                        => '預算報表',
    'report_type_tag'                           => '標籤報表',
    'report_type_double'                        => 'Expense/revenue account report',
    'more_info_help'                            => '可在協助頁面找到更多關於報表類型的資訊，請點選右上角的 (?) 圖示。',
    'report_included_accounts'                  => '已包含的帳戶',
    'report_date_range'                         => '日期範圍',
    'report_preset_ranges'                      => '預設範圍',
    'shared'                                    => '共用',
    'fiscal_year'                               => '財政年度',
    'income_entry'                              => '帳戶 “:name” 自 :start 至 :end 的所得',
    'expense_entry'                             => '帳戶 “:name” 自 :start 至 :end 的支出',
    'category_entry'                            => 'Expenses and income in category ":name" between :start and :end',
    'budget_spent_amount'                       => '預算 “:budget” 自 :start 至 :end 的支出',
    'balance_amount'                            => '自 :start 至 :end 間由帳戶 ":account" 於預算 “:budget” 的支出',
    'no_audit_activity'                         => '帳戶 <a href=":url" title=":account_name">:account_name</a> 自 :start 至 :end 沒有任何交易紀錄。',
    'audit_end_balance'                         => '<a href=":url" title=":account_name">:account_name</a> 帳戶於 :end 終點的帳戶餘額為: :balance',
    'reports_extra_options'                     => '額外選項',
    'report_has_no_extra_options'               => '此報表沒有額外選項',
    'reports_submit'                            => '檢視報表',
    'end_after_start_date'                      => '報表的結束日期必須在開始日期之後。',
    'select_category'                           => '選擇類別',
    'select_budget'                             => '選擇預算。',
    'select_tag'                                => '選擇標籤',
    'income_per_category'                       => '每個類別的收入',
    'expense_per_category'                      => '每個類別的支出',
    'expense_per_budget'                        => '每個預算的費用',
    'income_per_account'                        => '每個帳戶的收入',
    'expense_per_account'                       => '每個帳戶的支出',
    'expense_per_tag'                           => '每個標籤的支出',
    'income_per_tag'                            => '每個標籤的收入',
    'include_expense_not_in_budget'             => '包含的支出不在所选的预算内',
    'include_expense_not_in_account'            => '包含的支出不在所选的账户内',
    'include_expense_not_in_category'           => '包含的支出不在所选的份额里内',
    'include_income_not_in_category'            => '未列入所選類別的收入',
    'include_income_not_in_account'             => '未列入所選帳戶的收入',
    'include_income_not_in_tags'                => '未包含在所選標記中的收入',
    'include_expense_not_in_tags'               => '未包含在所選標記中的支出',
    'everything_else'                           => '其他',
    'income_and_expenses'                       => '收入與支出',
    'spent_average'                             => '支出（平均）',
    'income_average'                            => '所得（平均）',
    'transaction_count'                         => '交易數',
    'average_spending_per_account'              => '每個帳戶的平均支出',
    'average_income_per_account'                => '每個帳戶的平均收入',
    'total'                                     => '總共',
    'description'                               => '描述',
    'sum_of_period'                             => '区间内的总和',
    'average_in_period'                         => '區間平均',
    'account_role_defaultAsset'                 => '預設資產帳戶',
    'account_role_sharedAsset'                  => '共用資產帳戶',
    'account_role_savingAsset'                  => '儲蓄帳戶',
    'account_role_ccAsset'                      => '信用卡',
    'account_role_cashWalletAsset'              => '現金錢包',
    'budget_chart_click'                        => '請點擊上表中的預算名稱查看圖表。',
    'category_chart_click'                      => '請點擊上表中的類別名稱以查看圖表。',
    'in_out_accounts'                           => '每個組合的所賺取與花費',
    'in_out_accounts_per_asset'                 => 'Earned and spent (per asset account)',
    'in_out_per_category'                       => '每個分類的所賺取與花費',
    'out_per_budget'                            => '每個預算的費用',
    'select_expense_revenue'                    => '選擇 支出/收入 帳戶',
    'multi_currency_report_sum'                 => '由於此清單包括多種貨幣，您所看到的總額並非合理的。報表會總是以您的預設貨幣為主。',
    'sum_in_default_currency'                   => '總額會總是以您的預設貨幣顯示',
    'net_filtered_prefs'                        => '此圖表永遠不會囊括未勾選 “包含於淨值" 選項的帳戶',

    // charts:
    'chart'                                     => '圖表',
    'month'                                     => '月',
    'budget'                                    => '預算',
    'spent'                                     => '支出',
    'spent_capped'                              => 'Spent (capped)',
    'spent_in_budget'                           => '預算內支出',
    'left_to_spend'                             => '剩餘可花費',
    'earned'                                    => '已賺得',
    'overspent'                                 => '超支',
    'left'                                      => '剩餘',
    'max-amount'                                => '最小金額',
    'min-amount'                                => 'Minimum amount',
    'journal-amount'                            => '目前帳單條目',
    'name'                                      => '名稱',
    'date'                                      => '日期',
    'date_and_time'                             => 'Date and time',
    'time'                                      => 'Time',
    'paid'                                      => '已付款',
    'unpaid'                                    => '未付款',
    'day'                                       => '日',
    'budgeted'                                  => '已列入預算',
    'period'                                    => '區間',
    'balance'                                   => '餘額',
    'sum'                                       => '總計',
    'summary'                                   => '概要',
    'average'                                   => '平均',
    'balanceFor'                                => ':name 的餘額',
    'no_tags'                                   => '(no tags)',

    // piggy banks:
    'event_history'                             => 'Event history',
    'add_money_to_piggy'                        => '新增金錢至小豬撲滿 “:name”',
    'piggy_bank'                                => '小豬撲滿',
    'new_piggy_bank'                            => '新小豬撲滿',
    'store_piggy_bank'                          => '儲存新小豬撲滿',
    'stored_piggy_bank'                         => '儲存新小豬撲滿 “:name”',
    'account_status'                            => '帳戶狀態',
    'left_for_piggy_banks'                      => '留給小豬撲滿',
    'sum_of_piggy_banks'                        => '小豬撲滿總和',
    'saved_so_far'                              => '保存到目前為止',
    'left_to_save'                              => '剩餘可供儲蓄',
    'suggested_amount'                          => '建議每月儲蓄金額',
    'add_money_to_piggy_title'                  => '新增金錢至小豬撲滿 “:name”',
    'remove_money_from_piggy_title'             => '自小豬撲滿 “:name” 中移走金錢',
    'add'                                       => '新增',
    'no_money_for_piggy'                        => '您已沒有錢可放至小豬撲滿',
    'suggested_savings_per_month'               => '每月建議',

    'remove'                    => '移除',
    'max_amount_add'            => '所能增加之最大金額為',
    'max_amount_remove'         => '所能移除之最大金額為',
    'update_piggy_button'       => '更新小豬撲滿',
    'update_piggy_title'        => '更新小豬撲滿 ":name"',
    'updated_piggy_bank'        => '更新小豬撲滿 ":name"',
    'details'                   => '明細',
    'events'                    => '事件',
    'target_amount'             => '目標金額',
    'start_date'                => '開始日期',
    'no_start_date'             => '無開始日期',
    'target_date'               => '目標日期',
    'no_target_date'            => '無目標日期',
    'table'                     => '表格',
    'delete_piggy_bank'         => '删除小豬撲滿 ":name"',
    'cannot_add_amount_piggy'   => '無法增加 :amount 至 “:name”。',
    'cannot_remove_from_piggy'  => '無法自 “:name” 移除 :amount。',
    'deleted_piggy_bank'        => '删除小豬撲滿 ":name"',
    'added_amount_to_piggy'     => '已新增 :amount 至 “:name”',
    'removed_amount_from_piggy' => '已自 “:name” 移除 :amount',
    'piggy_events'              => '相關的小豬撲滿',

    // tags
    'delete_tag'                => '刪除標籤 ":tag"',
    'deleted_tag'               => '已刪除標籤 ":tag"',
    'new_tag'                   => '建立新標籤',
    'edit_tag'                  => '編輯標籤 ":tag"',
    'updated_tag'               => '已更新標籤 “:tag”',
    'created_tag'               => '標籤 “:tag” 已被建立！',

    'transaction_journal_information'          => '交易資訊',
    'transaction_journal_meta'                 => '後設資訊',
    'transaction_journal_more'                 => '更多資訊',
    'basic_journal_information'                => 'Basic transaction information',
    'transaction_journal_extra'                => 'Extra information',
    'att_part_of_journal'                      => '儲存在 ":journal"',
    'total_amount'                             => '總金額',
    'number_of_decimals'                       => '小數位數：',

    // administration
    'invite_new_user_title'                    => 'Invite new user',
    'invite_new_user_text'                     => 'As an administrator, you can invite users to register on your Firefly III administration. Using the direct link you can share with them, they will be able to register an account. The invited user and their invite link will appear in the table below. You are free to share the invitation link with them.',
    'invited_user_mail'                        => 'Email address',
    'invite_user'                              => 'Invite user',
    'user_is_invited'                          => 'Email address ":address" was invited to Firefly III',
    'administration'                           => '管理',
    'code_already_used'                        => 'Invite code has been used',
    'user_administration'                      => '使用者管理',
    'list_all_users'                           => '所有使用者',
    'all_users'                                => '所有使用者',
    'instance_configuration'                   => '組態設定',
    'firefly_instance_configuration'           => 'Firefly III 的組態設定選項',
    'setting_single_user_mode'                 => '單使用者模式',
    'setting_single_user_mode_explain'         => '預設下，Firefly III 只接受一個 (1) 註冊，即您本人。此為安全措施，在除經你同意外，防止其他人使用您的空間，目前註冊功能已關閉。當您取消此核選方塊後，若他們能連接到此空間 (在已聯網狀態)，其他人也可以使用。',
    'store_configuration'                      => '儲存設定',
    'single_user_administration'               => ':email 的使用者管理後臺',
    'edit_user'                                => '編輯使用者 :email',
    'hidden_fields_preferences'                => 'You can enable more transaction options in your <a href="preferences">preferences</a>.',
    'user_data_information'                    => '使用者資料',
    'user_information'                         => '使用者資訊',
    'total_size'                               => '總大小',
    'budget_or_budgets'                        => ':count budget|:count budgets',
    'budgets_with_limits'                      => ':count budget with configured amount|:count budgets with configured amount',
    'nr_of_rules_in_total_groups'              => ':count_groups规则组中，包含:count_rules条规则',
    'tag_or_tags'                              => ':count tag|:count tags',
    'configuration_updated'                    => '已更新組態設定',
    'setting_is_demo_site'                     => '演示網站',
    'setting_is_demo_site_explain'             => '若您勾選此選項，此安裝將會以展示網站方式運作，會有奇怪的副作用。',
    'block_code_bounced'                       => '電子郵件被退回',
    'block_code_expired'                       => '演示帳戶已過期',
    'no_block_code'                            => '無封鎖原因或使用者未被封鎖',
    'block_code_email_changed'                 => '使用者尚未確認新的電子郵件地址',
    'admin_update_email'                       => '與個人資料頁面相反，使用者不會被通知他們的電子郵件地址已變更！',
    'update_user'                              => '更新使用者',
    'updated_user'                             => '使用者資料已更改。',
    'delete_user'                              => '刪除使用者 :email',
    'user_deleted'                             => '使用者已被刪除',
    'send_test_email'                          => '寄送測試郵件訊息',
    'send_test_email_text'                     => 'To see if your installation is capable of sending email or posting Slack messages, please press this button. You will not see an error here (if any), <strong>the log files will reflect any errors</strong>. You can press this button as many times as you like. There is no spam control. The message will be sent to <code>:email</code> and should arrive shortly.',
    'send_message'                             => '發送消息',
    'send_test_triggered'                      => '測試已觸發，請檢視您的收件匣與日誌檔。',
    'give_admin_careful'                       => 'Users who are given admin rights can take away yours. Be careful.',
    'admin_maintanance_title'                  => 'Maintenance',
    'admin_maintanance_expl'                   => 'Some nifty buttons for Firefly III maintenance',
    'admin_maintenance_clear_cache'            => 'Clear cache',
    'admin_notifications'                      => 'Admin notifications',
    'admin_notifications_expl'                 => 'The following notifications can be enabled or disabled by the administrator. If you want to get these messages over Slack as well, set the "incoming webhook" URL.',
    'admin_notification_check_user_new_reg'    => 'User gets post-registration welcome message',
    'admin_notification_check_admin_new_reg'   => 'Administrator(s) get new user registration notification',
    'admin_notification_check_new_version'     => 'A new version is available',
    'admin_notification_check_invite_created'  => 'A user is invited to Firefly III',
    'admin_notification_check_invite_redeemed' => 'A user invitation is redeemed',
    'all_invited_users'                        => 'All invited users',
    'save_notification_settings'               => 'Save settings',
    'notification_settings_saved'              => 'The notification settings have been saved',


    'split_transaction_title'               => '拆分交易的描述',
    'split_transaction_title_help'          => 'If you create a split transaction, there must be a global description for all splits of the transaction.',
    'split_title_help'                      => '若您建立一筆拆分交易，須有一個有關交易所有拆分的整體描述。',
    'you_create_transfer'                   => 'You\'re creating a transfer.',
    'you_create_withdrawal'                 => 'You\'re creating a withdrawal.',
    'you_create_deposit'                    => 'You\'re creating a deposit.',


    // links
    'journal_link_configuration'            => '交易鏈結設定',
    'create_new_link_type'                  => '建立新連結類型',
    'store_new_link_type'                   => '儲存新連結類型',
    'update_link_type'                      => '更新連結類型',
    'edit_link_type'                        => '編輯連結類型 ":name"',
    'updated_link_type'                     => '更新連結類型 ":name"',
    'delete_link_type'                      => '刪除連結類型 ":name"',
    'deleted_link_type'                     => '刪除連結類型 ":name"',
    'stored_new_link_type'                  => '新建連結類型 ":name"',
    'cannot_edit_link_type'                 => '無法編輯連結類型 ":name"',
    'link_type_help_name'                   => '即 "重複"',
    'link_type_help_inward'                 => '即 "重複"',
    'link_type_help_outward'                => '即 "為重複，因“',
    'save_connections_by_moving'            => 'Save the link between these transactions by moving them to another link type:',
    'do_not_save_connection'                => '(不保存連接)',
    'link_transaction'                      => '連結交易',
    'link_to_other_transaction'             => '鏈結此交易至另一筆',
    'select_transaction_to_link'            => 'Select a transaction to link this transaction to. The links are currently unused in Firefly III (apart from being shown), but I plan to change this in the future. Use the search box to select a transaction either by title or by ID. If you want to add custom link types, check out the administration section.',
    'this_transaction'                      => '这笔交易',
    'transaction'                           => '交易',
    'comments'                              => '評論',
    'link_notes'                            => 'Any notes you wish to store with the link.',
    'invalid_link_selection'                => '無法連結這些交易',
    'selected_transaction'                  => 'Selected transaction',
    'journals_linked'                       => '交易是連結的。',
    'journals_error_linked'                 => '這些交易已互相鏈結',
    'journals_link_to_self'                 => '您無法將一筆交易鏈結至該交易本身',
    'journal_links'                         => '交易連結',
    'this_withdrawal'                       => '此取款',
    'this_deposit'                          => '這筆存款',
    'this_transfer'                         => '此傳輸',
    'overview_for_link'                     => '連結類型 “:name” 概覽',
    'source_transaction'                    => '源交易記錄',
    'link_description'                      => '連結說明',
    'destination_transaction'               => '指定的交易',
    'delete_journal_link'                   => '刪除 <a href=":source_link">:source</a> 和<a href=":destination_link">:destination</a>之間的聯繫',
    'deleted_link'                          => '刪除連結',

    // link translations:
    'Paid_name'                             => '已付款',
    'Refund_name'                           => '退款',
    'Reimbursement_name'                    => '報銷',
    'Related_name'                          => '相關',
    'relates to_inward'                     => '關聯於',
    'is (partially) refunded by_inward'     => '被 (部分) 退還, 由',
    'is (partially) paid for by_inward'     => '被 (部分) 付款, 由',
    'is (partially) reimbursed by_inward'   => '被 (部分) 核銷, 由',
    'inward_transaction'                    => '內向交易',
    'outward_transaction'                   => '外向交易',
    'relates to_outward'                    => '關聯於',
    '(partially) refunds_outward'           => '(部分) 退還',
    '(partially) pays for_outward'          => '(部分) 支付',
    '(partially) reimburses_outward'        => '(部分) 核銷',
    'is (partially) refunded by'            => 'is (partially) refunded by',
    'is (partially) paid for by'            => 'is (partially) paid for by',
    'is (partially) reimbursed by'          => 'is (partially) reimbursed by',
    'relates to'                            => 'relates to',
    '(partially) refunds'                   => '(partially) refunds',
    '(partially) pays for'                  => '(partially) pays for',
    '(partially) reimburses'                => '(partially) reimburses',

    // split a transaction:
    'splits'                                => '拆分',
    'add_another_split'                     => '增加拆分',
    'cannot_edit_opening_balance'           => '您無法編輯一個帳戶的開戶餘額。',
    'no_edit_multiple_left'                 => '您沒有選擇有效的交易紀錄以供編輯。',
    'breadcrumb_convert_group'              => 'Convert transaction',
    'convert_invalid_source'                => 'Source information is invalid for transaction #%d.',
    'convert_invalid_destination'           => 'Destination information is invalid for transaction #%d.',
    'create_another'                        => 'After storing, return here to create another one.',
    'after_update_create_another'           => 'After updating, return here to continue editing.',
    'store_as_new'                          => 'Store as a new transaction instead of updating.',
    'reset_after'                           => 'Reset form after submission',
    'errors_submission'                     => 'There was something wrong with your submission. Please check out the errors.',
    'transaction_expand_split'              => 'Expand split',
    'transaction_collapse_split'            => 'Collapse split',

    // object groups
    'default_group_title_name'              => '(ungrouped)',

    // empty lists? no objects? instructions:
    'no_accounts_title_asset'               => '建立新資產帳戶',
    'no_accounts_intro_asset'               => '您還沒有資產帳戶。資產帳戶可以包括: 你的支票帳戶、儲蓄帳戶、共用帳戶甚至信用卡。',
    'no_accounts_imperative_asset'          => '要使用 Firefly III ，您至少需要一个資產帳戶。現在開始吧：',
    'no_accounts_create_asset'              => '建立新資產帳戶',
    'no_accounts_title_expense'             => '建立新支出帳戶',
    'no_accounts_intro_expense'             => '您目前沒有支出帳戶。支出帳戶係供您花錢的地方，如商店或超市。',
    'no_accounts_imperative_expense'        => '當您建立交易時支出帳戶會自動被建立，但您也可以手動建立，現在就新增一個：',
    'no_accounts_create_expense'            => '建立新支出帳戶',
    'no_accounts_title_revenue'             => '建立新收入帳戶',
    'no_accounts_intro_revenue'             => '您還沒有收入帳戶，收入帳戶是您收款的地方，比如您的雇主。',
    'no_accounts_imperative_revenue'        => '當您建立交易時收入帳戶會自動被建立，但您也可以手動建立，現在就新增一個：',
    'no_accounts_create_revenue'            => '建立新收入帳戶',
    'no_accounts_title_liabilities'         => '一起建立一筆債務！',
    'no_accounts_intro_liabilities'         => '您目前沒有債務，債務係用來註冊您 (學生) 貸款或其他借貸的帳戶。',
    'no_accounts_imperative_liabilities'    => '您不需使用此功能，但若您要追蹤這些東西，此功能可是很有用的。',
    'no_accounts_create_liabilities'        => '建立新債務',
    'no_budgets_title_default'              => '一起建立一筆預算',
    'no_rules_title_default'                => 'Let\'s create a rule',
    'no_budgets_intro_default'              => 'You have no budgets yet. Budgets are used to organize your expenses into logical groups, which you can give a soft-cap to limit your expenses.',
    'no_rules_intro_default'                => 'You have no rules yet. Rules are powerful automations that can handle transactions for you.',
    'no_rules_imperative_default'           => 'Rules can be very useful when you\'re managing transactions. Let\'s create one now:',
    'no_budgets_imperative_default'         => '預算是財務管理的基本工具，現在就建立一筆：',
    'no_budgets_create_default'             => '建立新預算',
    'no_rules_create_default'               => 'Create a rule',
    'no_categories_title_default'           => '一起建立一個分類！',
    'no_categories_intro_default'           => '您還沒有分類。分類是用來微調您的交易紀錄，並依指定分類標示。',
    'no_categories_imperative_default'      => '當您建立交易時分類會自動被建立，但您也可以手動建立，現在就新增一個：',
    'no_categories_create_default'          => '建立分類',
    'no_tags_title_default'                 => '我們來建立一個標籤吧！',
    'no_tags_intro_default'                 => '您還沒有標籤。標籤是用來微調您的交易紀錄，並依指定關鍵字標示。',
    'no_tags_imperative_default'            => '當您建立交易時標籤會自動被建立，但您也可以手動建立，現在就新增一個：',
    'no_tags_create_default'                => '建立標籤',
    'no_transactions_title_withdrawal'      => '建立新支出',
    'no_transactions_intro_withdrawal'      => '您目前沒有支出，您應該建立支出以開始管理您的財務。',
    'no_transactions_imperative_withdrawal' => '你花了一些錢嗎？然後你應該把它寫下來:',
    'no_transactions_create_withdrawal'     => '建立一筆支出',
    'no_transactions_title_deposit'         => '建立新收入',
    'no_transactions_intro_deposit'         => '目前沒有所得紀錄，您應該建立所得資料以開始管理您的財務。',
    'no_transactions_imperative_deposit'    => '你收了一些錢嗎？然後你應該把它寫下來:',
    'no_transactions_create_deposit'        => '新增存款',
    'no_transactions_title_transfers'       => '我們來建立一筆轉帳！',
    'no_transactions_intro_transfers'       => '您還沒有轉帳。當您自資產帳戶之前移動金錢，會自動記錄為一筆轉帳。',
    'no_transactions_imperative_transfers'  => '你已動用了一些錢嗎？那麼把它寫下來：',
    'no_transactions_create_transfers'      => '新增轉帳',
    'no_piggies_title_default'              => '我們來建立一個小豬撲滿！',
    'no_piggies_intro_default'              => '您目前沒有小豬撲滿。您可以建立小豬撲滿來分別您的儲蓄，並追蹤您儲蓄的目標。',
    'no_piggies_imperative_default'         => '您有想要儲蓄的東西嗎？建立一個小豬撲滿然後開始追蹤：',
    'no_piggies_create_default'             => '創建一個新小豬撲滿',
    'no_bills_title_default'                => '我們來建立一筆帳單！',
    'no_bills_intro_default'                => '您目前沒有帳單。您可以建立帳單以追蹤您的日常支出，如房租與保險。',
    'no_bills_imperative_default'           => '你們有這樣的普通帳單嗎？創建帳單並跟蹤您的付款:',
    'no_bills_create_default'               => '建立新帳單',

    // recurring transactions
    'create_right_now'                      => 'Create right now',
    'no_new_transaction_in_recurrence' => 'No new transaction was created. Perhaps it was already fired for this date?',
    'recurrences'                           => '週期性交易',
    'repeat_until_in_past'                  => 'This recurring transaction stopped repeating on :date.',
    'recurring_calendar_view'               => '月曆',
    'no_recurring_title_default'            => '一起建立一筆週期性交易！',
    'no_recurring_intro_default'            => '您目前沒有週期性交易。您可使用此功能讓 Firefly III 自動為您建立交易。',
    'no_recurring_imperative_default'       => '這是一個非常進階的功能，也極為有用。請確定在繼續之前，您已閱讀右上角 (?) 圖示的文件說明。',
    'no_recurring_create_default'           => '建立一筆週期性交易',
    'make_new_recurring'                    => '建立一筆週期性交易',
    'recurring_daily'                       => '每天',
    'recurring_weekly'                      => '每星期:weekday',
    'recurring_weekly_skip'                 => 'Every :skip(st/nd/rd/th) week on :weekday',
    'recurring_monthly'                     => '每月第 :dayOfMonth 天',
    'recurring_monthly_skip'                => 'Every :skip(st/nd/rd/th) month on the :dayOfMonth(st/nd/rd/th) day',
    'recurring_ndom'                        => '每月第 :dayOfMonth 個 :weekday',
    'recurring_yearly'                      => '每年的:date',
    'overview_for_recurrence'               => '週期性交易 ":title" 概覽',
    'warning_duplicates_repetitions'        => '在少數情況下，日期在此清單上會顯示兩次，這在多個重複衝突之下會發生。Firefly III 每天只會產生一條紀錄。',
    'created_transactions'                  => '關聯交易',
    'expected_withdrawals'                  => '預期提款',
    'expected_deposits'                     => '預期存款',
    'expected_transfers'                    => '預期轉帳',
    'created_withdrawals'                   => '已建立提款',
    'created_deposits'                      => '已建立存款',
    'created_transfers'                     => '已建立轉帳',
    'recurring_info'                        => 'Recurring transaction :count / :total',
    'created_from_recurrence'               => '由週期性交易 ":title" (#:id) 所建立',
    'recurring_never_cron'                  => '用來支援週期性交易的 cron job 似乎沒有運行過，這在您剛安裝 Firefly III 沒多久時是非常正常的，但能越快處理越好。請使用本頁右上角的 (?)-圖示查閱說明頁面。',
    'recurring_cron_long_ago'               => '用來支援週期性交易的 cron job 自上次運行已超過了 36 小時，您確定您已正確設定了嗎？請使用本頁右上角的 (?)-圖示查閱說明頁面。',

    'create_new_recurrence'              => '建立新週期性交易',
    'help_first_date'                    => '表示第一筆預期的週期性交易，應於未來發生。',
    'help_first_date_no_past'            => '表示第一筆預期的週期交易，Firefly III 不會建立過去的交易。',
    'no_currency'                        => '(沒有貨幣)',
    'mandatory_for_recurring'            => '必填週期性資訊',
    'mandatory_for_transaction'          => '必填交易資訊',
    'optional_for_recurring'             => '選擇性週期性資訊',
    'optional_for_transaction'           => '選擇性交易資訊',
    'change_date_other_options'          => '更改 "第一個日期" 以查看更多選項。',
    'mandatory_fields_for_tranaction'    => '當交易建立完後這裡的數值會結束',
    'click_for_calendar'                 => '點這裡開啟顯示週期性交易的行事曆',
    'repeat_forever'                     => '永遠重複',
    'repeat_until_date'                  => '重複至特定日期',
    'repeat_times'                       => '重複一定次數',
    'recurring_skips_one'                => '每隔一個',
    'recurring_skips_more'               => '略過 :count 個情況',
    'store_new_recurrence'               => '儲存週期交易',
    'stored_new_recurrence'              => '週期性交易 ":title" 已成功儲存',
    'edit_recurrence'                    => '編輯週期性交易 ":title"',
    'recurring_repeats_until'            => '重複至 :date',
    'recurring_repeats_forever'          => '永遠重複',
    'recurring_repeats_x_times'          => 'Repeats :count time|Repeats :count times',
    'update_recurrence'                  => '更新定期交易記錄',
    'updated_recurrence'                 => '更新了定期交易記錄:title',
    'recurrence_is_inactive'             => '此週期性交易並未啟用亦不會自動產生新交易。',
    'delete_recurring'                   => '刪除定期交易 ":title"',
    'new_recurring_transaction'          => '新週期性交易',
    'help_weekend'                       => '當週期性交易落於週六及週日時， Firefly III 該如何應處？',
    'do_nothing'                         => '仍建立交易',
    'skip_transaction'                   => 'Skip the occurrence',
    'jump_to_friday'                     => '於前一個週五建立交易',
    'jump_to_monday'                     => '於次一個週一建立交易',
    'will_jump_friday'                   => '將於週五建立交易，而非週末。',
    'will_jump_monday'                   => '將於週一建立交易，而非週末。',
    'except_weekends'                    => '例外的周末',
    'recurrence_deleted'                 => '週期性交易 ":title" 已刪除',

    // new lines for summary controller.
    'box_balance_in_currency'            => '餘額 (:currency)',
    'box_spent_in_currency'              => '已花費 (:currency)',
    'box_earned_in_currency'             => '盈利 (:currency)',
    'box_budgeted_in_currency'           => 'Budgeted (:currency)',
    'box_bill_paid_in_currency'          => '已付帳單 (:currency)',
    'box_bill_unpaid_in_currency'        => '未付帳單 (:currency)',
    'box_left_to_spend_in_currency'      => '可供花費 (:currency)',
    'box_net_worth_in_currency'          => '淨值 (:currency)',
    'box_spend_per_day'                  => '每日可供花費: :amount',

    // debug page
    'debug_page'                         => 'Debug page',
    'debug_submit_instructions'          => 'If you are running into problems, you can use the information in this box as debug information. Please copy-and-paste into a new or existing <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub issue</a>. It will generate a beautiful table that can be used to quickly diagnose your problem.',
    'debug_pretty_table'                 => 'If you copy/paste the box below into a GitHub issue it will generate a table. Please do not surround this text with backticks or quotes.',
    'debug_additional_data'              => 'You may also share the content of the box below. You can also copy-and-paste this into a new or existing <a href="https://github.com/firefly-iii/firefly-iii/issues">GitHub issue</a>. However, the content of this box may contain private information such as account names, transaction details or email addresses.',

    // object groups
    'object_groups_menu_bar'             => 'Groups',
    'object_groups_page_title'           => 'Groups',
    'object_groups_breadcrumb'           => 'Groups',
    'object_groups_index'                => 'Overview',
    'object_groups'                      => 'Groups',
    'object_groups_empty_explain'        => 'Some things in Firefly III can be divided into groups. Piggy banks for example, feature a "Group" field in the edit and create screens. When you set this field, you can edit the names and the order of the groups on this page. For more information, check out the help-pages in the top right corner, under the (?)-icon.',
    'object_group_title'                 => 'Title',
    'edit_object_group'                  => 'Edit group ":title"',
    'delete_object_group'                => 'Delete group ":title"',
    'update_object_group'                => 'Update group',
    'updated_object_group'               => 'Successfully updated group ":title"',
    'deleted_object_group'               => 'Successfully deleted group ":title"',
    'object_group'                       => 'Group',

    // other stuff
    'placeholder'                        => '[Placeholder]',

    // audit log entries
    'audit_log_entries'                  => 'Audit log entries',
    'ale_action_log_add'                 => 'Added :amount to piggy bank ":name"',
    'ale_action_log_remove'              => 'Removed :amount from piggy bank ":name"',
    'ale_action_clear_budget'            => 'Removed from budget',
    'ale_action_clear_category'          => 'Removed from category',
    'ale_action_clear_notes'             => 'Removed notes',
    'ale_action_clear_tag'               => 'Cleared tag',
    'ale_action_clear_all_tags'          => 'Cleared all tags',
    'ale_action_set_bill'                => 'Linked to bill',
    'ale_action_set_budget'              => 'Set budget',
    'ale_action_set_category'            => 'Set category',
    'ale_action_set_source'              => 'Set source account',
    'ale_action_set_destination'         => 'Set destination account',
    'ale_action_update_transaction_type' => 'Changed transaction type',
    'ale_action_update_notes'            => 'Changed notes',
    'ale_action_update_description'      => 'Changed description',
    'ale_action_add_to_piggy'            => 'Piggy bank',
    'ale_action_remove_from_piggy'       => 'Piggy bank',
    'ale_action_add_tag'                 => 'Added tag',

];
